<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,com.edeal.frontline.custom.*,java.util.*, com.edeal.frontline.navigation.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>

<jsp:useBean class="com.edeal.frontline.AxisBean" id="Axis" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();

boolean creation = true;
String id = null;
try { 
	id = Axis.getAxeID(); 
	if (id != null)
		creation = false;	
} catch (FieldNotInitializedException e) {}

String myFldID = null;
try { myFldID = Axis.getAxeFldID(); }
catch (FieldNotInitializedException e) {}

String personObjID = dico.getTable("sql", "Person").getObjID();

String[] fld = {"FldID", "FldDisplay", "FldDisplayLabel"};
String sql = "SELECT FldID, FldDisplay, FldDisplayLabel FROM Field " + 
			"\nWHERE (FldObjID = " + Utils.formatToSQL(context, personObjID) +
							"\n\tAND FldTabID IS NOT NULL " +
							"\n\tAND FldMultival <> 1 " + 
			"\nAND NOT EXISTS (SELECT * FROM Axis WHERE AxeFldID = FldID))" +
			(myFldID != null ? "\nOR FldID = " + Utils.formatToSQL(context, myFldID) : "") +
			"\n ORDER BY FldDisplay";
Vector fields = FieldBean.listSQL(context, fld, sql);

%>
<html>
<head>
<title><fl:title name="Axis"/></title>
<script language="javascript">

function doSubmit() {
	var f = document.forms[0];
	if(f.AxeCode.value == ''){
		alert("Veuillez saisir un code");
		f.AxeCode.focus();
		return;
	}else{
		if(f.AxeName.value == ''){
			alert("Veuillez saisir un nom");
			f.AxeName.focus();
			return;
		}
	}
	
	
<% if (fields == null || fields.size() == 0) { %>
	window.alert("<fl:getMessage code="M60B4" alt="Tous les champs de personne contraints par table de rfrence et monovalus sont utiliss par un axe." js="true"/>");
<% } %>

	f.submit();
	return;
}
</script>
</head>
<body>
<fl:form action="/save_axis.fl" bean="Axis">
<input type="hidden" name="isAxe" value="true">
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L629D\", false, true, \"Axe\")%>" ou="<%=\"/edit_axis.fl\"+(id!=null ? \"?id=\"+id : \"\")%>">

<table cellpadding="0" class="container">

<% if (fields == null || fields.size() == 0) { %>
	<tr valign="top">
		<td class="alertbandeau"><fl:getMessage code="M60B4" alt="Tous les champs de personne contraints par table de rfrence et monovalus sont utiliss par un axe."/></td>
	</tr>

<% } else { %>
	<tr>
		<td>
			<table class="container" cellpadding="0">	
				<tr>
					<td colspan="3">
						<table class="container" cellpadding="0">	
							<tr class="fieldline">
								<td class="labelTitreFiche">
									<fl:label field="AxeCode" labelClassName="titreFiche"/>
								</td>
								<td class="fieldTitreFiche">
									<fl:input property="AxeCode" mandatoryMsgCode="L6144"  unicityMsgCode="M60CE"  onblur="if (this.form.AxeCode.value == '') this.form.AxeCode.value = this.value;"/>
								</td>
						</table>
					</td>
				</tr>
				<tr class="ligne_separation"><td></td></tr>
				<tr>
						<td class="column2">
							<table class="container" cellpadding="0">				
									<fl:fieldEdit property="AxeName" mandatoryMsgCode="M60A2"/>
							</table>
						</td>
						<td class="separation"><div class="separation"></div></td>	
						<td class="column2">
							<table class="container" cellpadding="0">									
									<tr class="fieldline">
										<td class="dataLabel"><fl:label field="AxeFldID"/></td>
										<td class="dataValue">
											<% if (creation) { %>			
											<select name="AxeFldID" class="chpsTextObligatoire" style="width:100%">
											<% for (int i=0 ; i<fields.size() ; i++) { 
												String fldID = (String)((Hashtable)fields.elementAt(i)).get("FldID");
												String fldDisplay = (String)((Hashtable)fields.elementAt(i)).get("FldDisplay");
												String fldDisplayLabel = (String)((Hashtable)fields.elementAt(i)).get("FldDisplayLabel");				
											%>
												<option value="<%= fldID %>"<%= fldID.equals(myFldID) ? " selected" : "" %> ><%= (fldDisplayLabel != null ? Utils.getMessage(session, fldDisplayLabel, fldDisplay) : Utils.formatToWeb(fldDisplay, false)) %></option>
											<% } %>
											</select>
											<% } else { %>
												<fl:getProperty name="Axis" property="AxeFldID" bean="true" alt=""/>
											<% } %>
										</td>
									</tr>
							</table>						
						</td>
				</tr>		
			</table>
			
		</td>
	</tr>
	<tr class="ligne_separation"><td></td></tr>
	<tr>
		<td>
			<table class="container" cellpadding="0">
				<tr class="ligne_separation"><td></td></tr>
				<tr>
					<td class="titrePartie"><fl:label field="AxeDescription"/></td>
				</tr>
				<tr>
					<td class="dataValue noPaddingLeft"><fl:input property="AxeDescription" nodiv="false"/></td>
				</tr>
				<tr class="ligne_separation"><td></td></tr>
				<%--<tr class="ligne_separation_couleur"><td></td></tr>
				<tr class="ligne_separation"><td></td></tr>--%>
			</table> 
		</td>
	</tr>	
<% } %>
</table>
</fl:bigTabs>
</fl:form>
</body>
</html>
<%
/******************************************************************************
 * 
 *
 * m.ichahane@e-deal.ma : 2006/08/30 18:03:25 : Mustapha
 * 
 *
 *****************************************************************************/
 %>
