<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page language="java"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="java.util.Map" %>
<%@ page import="com.edeal.frontline.navigation.WebUtils" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.AccessDeniedException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();

// List code
String lc = flRequest.getRequestParameterOrAttribute("lc");
if (lc == null) {
	lc = flRequest.getRequestParameterOrAttribute("code");
}
if (lc == null) {
	lc = "AXIS";
}
request.setAttribute("lc", lc);
// search criteria
String sc = flRequest.getRequestParameterOrAttribute("sc");
// object uri
String ou = flRequest.getRequestParameterOrAttribute("ou");

Map searchCriteria = new Hashtable();
if (sc != null) {
	searchCriteria = WebUtils.parseQueryString(sc);
}

request.setAttribute("selectedTab", "0");

String SegCode = null;
	
	// List code

	Vector vectTyr = dico.getRefList(session, "ReqTyrID");

	//Reinitailisation des parametres de recherche
	
	String fSegCode	= flRequest.getRequestParameterOrAttribute("SegCode");
	String fSegLabel = flRequest.getRequestParameterOrAttribute("SegLabel");
	String fSegVolumeMin = flRequest.getRequestParameterOrAttribute("SegVolumeMin");
	String fSegVolumeMax = flRequest.getRequestParameterOrAttribute("SegVolumeMax");
	String fCalcFirst = flRequest.getRequestParameterOrAttribute("calcFirst");
	

	if (fSegCode == null) fSegCode = Utils.getMessage(session, "M602D", "<Code>");	
	if (fSegLabel == null) fSegLabel = Utils.getMessage(session, "L605B", "<Libell>");
	if (fSegVolumeMin == null) fSegVolumeMin ="";
	if (fSegVolumeMax == null) fSegVolumeMax = "";
	if ("1".equals(fCalcFirst)) fCalcFirst="checked";
		else fCalcFirst = "";

	String errorMessage = "";
%>

	
<script language="javascript">

function doSearch() {
	var myQuery = "";
	var debReq = "";
	var myForm = document.forms[0];
	if (myForm.Code.value != '' &&  myForm.Code.value != '<fl:getMessage code="M602D" alt="<Code>" js="true"/>') {
		var strValue = myReplace(myForm.Code.value, "*", "%");
		strValue = myReplace(strValue, "?", "_");	
		myQuery += "SegCode=" + encodeURIComponent(strValue).split("+").join("%2b") + "&";
	}
	if (myForm.Name.value != '' && myForm.Name.value != '<fl:getMessage code="L605B" alt="<Libell>" js="true"/>') {
		var strValue = myReplace(myForm.Name.value, "*", "%");
		strValue = myReplace(strValue, "?", "_");	
		myQuery += "SegLabel=" + encodeURIComponent(strValue).split("+").join("%2b") + "&";
	}
	if (myForm.VolumeMin.value != '') {
		var strValue = myForm.VolumeMin.value;
		myQuery += "SegVolumeMin=" + encodeURIComponent(strValue).split("+").join("%2b") + "&";
	}
	if (myForm.VolumeMax.value != '') {
		var strValue = myForm.VolumeMax.value;
		myQuery += "SegVolumeMax=" + encodeURIComponent(strValue).split("+").join("%2b") + "&";
	}
	if (myForm.calcFirst.checked) {
		myQuery += "calcFirst=1&";
	}
	
	if (myQuery == "") {
		myForm.action = '<fl:link url="/list_axis.fl" list="true"/>';
		myForm.sc.value = "NoCriteria";
	} else {
		myForm.action = '<fl:link url="/list_axis.fl?1=1" list="true"/>' + '&'+myQuery;	
		myForm.sc.value = myQuery;	
	}
	myForm.submit();
}

</script>


<form action="javascript:doSearch();" method="post">
<input type="hidden" name="lc" value="<%= Utils.formatToWeb(lc, true) %>">
<input type="hidden" name="sc" value="">
<input type="hidden" name="ou" value="<%= Utils.formatToWeb(ou, true) %>">
<input type="hidden" name="cu" value="/list_axis_criteria.fl">
<input type="hidden" name="lu" value="/list_axis.fl">
<input type="hidden" name="obj.title" value="<%= Utils.getMessage(session, "L6313", "Segmentation") %>">
<input type="hidden" name="criteria.title" value="<%= Utils.getMessage(session, "L64D7", "Recherche segmentation") %>">
<input type="hidden" name="list.title" value="<%= Utils.getMessage(session, "L64D8", "Liste des segmentations") %>">

<fl:bigTabs criteriaTitle="<%= Utils.getMessage(session, \"L64D7\", \"Recherche segmentation\") %>">
	<table class="container" cellpadding="0">
		<tr>
			<td>
				<table class="container" cellpadding="0" style="width:50%">
					<tr>
						<td>
							<%--CODE--%>
							<input class="criteriaField" style="size: 20" type="text" name="Code" value="<%=fSegCode%>" onfocus="if (this.value == '<fl:getMessage code="M602D" alt="<Code>"/>') this.value = '';" onblur="if (this.value == '') this.value = '<fl:getMessage code="M602D" alt="<Code>"/>';"> 
									&nbsp;
							<%--NOM--%>
							<input class="criteriaField" size="27" type="text" name="Name" value="<%=fSegLabel%>" onfocus="if (this.value=='<fl:getMessage code="L605B" alt="<Libell>"/>') this.value='';" onblur="if (this.value == '') this.value = '<fl:getMessage code="L605B" alt="<Libell>"/>';">
						</td>
					</tr>
					<tr class="ligne_separation"><td></td></tr>
					<tr>
						<td>
							<%--VOLUME--%>
							<fl:getMessage code="F609A" alt="Volume"/> <fl:getMessage code="L6308" alt="entre"/>							
							<% errorMessage = Utils.getMessage(session, "M303D", true, "Veuillez saisir une valeur correcte."); %>
							&nbsp;
							<input class="criteriaField" type="text" name="VolumeMin" value="<%=fSegVolumeMin%>" size="10" onfocus="this.select()" onblur="ctrlNumField(this, 'integer', '<%= errorMessage %>');">
							&nbsp;
							<fl:getMessage code="L604B" alt="et"/>
							&nbsp;
							<input class="criteriaField" type="text" name="VolumeMax" value="<%=fSegVolumeMax%>" size="10" onfocus="this.select()" onblur="ctrlNumField(this, 'integer', '<%= errorMessage %>');">
						</td>
					</tr>
					<tr class="ligne_separation"><td></td></tr>
					<tr>
						<td>
							<%-- FORCER CALCUL PREMIER NIVEAU --%>
							<input type="checkbox" name="calcFirst" value="1" <%=fCalcFirst%>><fl:getMessage code="L6315" alt="Forcer le calcul au permier niveau"/>			
						</td>
					</tr>
				</table>
			</td>
        	<td class="separation"><div class="separation"></div></td>
			<td>
				<input type="image" onmouseover="window.status = '<fl:getMessage code="A2009" alt="Rechercher" js="true"/>'; return true;" onmouseout="window.status = ''; return true;" src="<fl:webapp/>/icons/ico/valid_green2_long.gif" border="0" onclick="javascript:doSearch();">
			</td>
		</tr>
	</table>

</fl:bigTabs>
</form>
<%
/******************************************************************************
 * 
 *
 * m.ichahane@e-deal.ma : 2006/08/31 09:47:10 : Mustapha
 * 
 *
 *****************************************************************************/
 %>