<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,com.edeal.frontline.custom.*,java.util.*,java.text.*, com.edeal.frontline.navigation.*" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>

<jsp:useBean class="com.edeal.frontline.AxisBean" id="Axis" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();

String id = null;
try { id = Axis.getAxeID(); }
catch (FieldNotInitializedException e) {}

String myFldID = null;
try { myFldID = Axis.getAxeFldID(); }
catch (FieldNotInitializedException e) {}

try {
	FieldBean fld = dico.getFieldByID(myFldID);
	String fldTabID = null;
	try { fldTabID = fld.getFldTabID(); }
	catch (FieldNotInitializedException e) {}
}catch (FrontlineException ex){}

String oui = Utils.getMessage(session, "L2005", "Oui");
String non = Utils.getMessage(session, "L2006", "Non");

String calculate = flRequest.getRequestParameterOrAttribute("calculate");
if ("1".equals(calculate)) {
	Axis.calculateAxis();
} 

DecimalFormat df = FlLocale.getInstance(session).getDecimalFormat("#,##0.##");

%>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">


<script language="javascript">
	function editSegment(id) {
		window.open("<fl:webapp/>/edit_segment.fl?id=" + id, "Segment", "menubar=no,status=yes,toolbar=no,scrollbars=yes,resizable=yes,width=400,height=300");
	}
	
	function waitNreload(){
		setTimeout('reloadSeg()', 5);		
	}
	function  reloadSeg(){
		doAjax('<fl:link url="/list_segment.fl"/>'+'&id='+'<%=id%>');
	}
	
	function doOnLoad(){
		var strURL = _grid__ListSegment_js_.getAjaxUrl();
		var params=new Object();
		params["ListSegment_$$idx"]=0;
		params["id"]='<%=id%>';
		params["ListSegment_$$nb"]=0;
		
		//EdealGrid.prototype.callAjaxForHtml=function(ajaxUrl,parameters,fReinitParameters,fEditMode,callBack,fPriorityToUrlParams,fDisplayPreview) {
		_grid__ListSegment_js_.callAjaxForHtml(strURL,params,true,false,null,false);
		//_grid__ListSegment_js_.render()
	}
</script>

<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L630A\", false, true, \"Axe\")%>" ou="<%=\"/read_axis.fl\"+(id!=null ? \"?id=\"+id:\"\")%>">
<table>
		<tr class="fieldline">
			<td class="titreFiche" colspan="3">				
				<fl:getProperty name="Axis" property="AxeCode" alt=""/>				
			</td>
		</tr>
		<tr></tr>
		<tr>
			<td class="column2">
				<table class="container" cellpadding="0">					
						<fl:fieldRead property="AxeName"/>					
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="container" cellpadding="0">					
						<fl:fieldRead property="AxeFldID" bean="true"/>	
						<fl:fieldRead property="AxeLastCalculation" format="date"/>				
				</table>
			</td>
		</tr>		
		<tr class="ligne_separation"><td></td></tr>		
</table>
<table class="container">
	<tr>
		<td>
			<fl:notes name="desc" title="<%=Utils.getMessage(session, \"L2007\", false, true, \"Description\")%>"><fl:getProperty name="Axis" property="AxeDescription" alt=""/></fl:notes>
		</td>
	</tr>
</table>


<fl:smallTabs name="AxiSeg">
	<fl:sTab id="segment" title="<%=Utils.getMessage(session, \"L6312\", false, true, \"Segments\")%>">
	<div style="overflow:auto">
		<fl:grid name="ListSegment" hidePage="true" ajaxUrl="/list_segment.fl" width="100%" height="200px"></fl:grid>
	</div>
	</fl:sTab>

</fl:smallTabs>

</fl:bigTabs>
<%
/******************************************************************************
 * 
 *
 * m.ichahane@e-deal.ma : 2006/08/30 17:45:15 : Mustapha
 * 
 *
 *****************************************************************************/
 %>