
<%@page import="com.edeal.frontline.services.cti.CTIServiceClient"%><%
	/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true" import="com.edeal.frontline.*,java.util.*,java.lang.reflect.*,com.edeal.frontline.navigation.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>



<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	FlLocale locale = FlLocale.getInstance(session);

	boolean isCTIActive = false;
	try {
		final CTIServiceClient cti = (CTIServiceClient)context.getServiceManager().getServiceClient(session, "CTI");
		isCTIActive = (cti != null);
	} catch (Exception e) {
	}
	
	String actID = (String)session.getAttribute("actorID");
	boolean actHasCTILic;
	try {
		actHasCTILic = ((Boolean)session.getAttribute("actorHasCTI")).booleanValue();
	} catch (Exception e) {
		// Lic V3 version
		actHasCTILic = context.getLicenceManager().actorHasSoftware(actID, CTIServiceClient.CTI_LIC_CODE, LicenceManager.LicenceType.PermanentLicence, null);
		session.setAttribute("actorHasCTI", new Boolean(actHasCTILic));
	}

	String strActID = (String) session.getAttribute("actorID");
	
	String nom = flRequest.getRequestParameterOrAttribute("PvtPersonID:PerName");
	String profession 	=  flRequest.getRequestParameterOrAttribute("PvtPersonID:PerFctID");
	
	//EVENT INFO
	String pvtEventID = flRequest.getRequestParameterOrAttribute("PvtEventID");
	String dispEvent = null;
	String evtLabel=Utils.getMessage(session, "L614B", "<Evnement>");
	String stat = flRequest.getRequestParameterOrAttribute("PvtStatus");
	String fonction = flRequest.getRequestParameterOrAttribute("PvtPersonID:PerFctID");
	String actor = flRequest.getRequestParameterOrAttribute("PvtPersonID:PerEntID:EntActID");
	String pvtTMK = flRequest.getRequestParameterOrAttribute("PvtTMK");
	String submitFlag = flRequest.getRequestParameterOrAttribute("submitFlag");
	String sc = flRequest.getRequestParameterOrAttribute("sc");


	Map searchCriteria = new Hashtable();
	String str = "";
	if (sc != null) {
		searchCriteria = WebUtils.parseQueryString(sc);
		try{
	Vector v = (Vector)searchCriteria.get("PvtEventID");
	if (pvtEventID == null && v!=null){
		pvtEventID = (String) v.get(0);				
	}
	
	
	v = (Vector)searchCriteria.get("PvtPersonID:PerName");
	
	if (nom==null && v!=null){
		nom = (String) v.get(0);
	}
	
	v = (Vector)searchCriteria.get("PvtPersonID:PerFctID");
	if (profession==null && v!=null){
		profession = (String) v.get(0);				
	}
	
	v = (Vector)searchCriteria.get("PvtPersonID:PerEntID:EntActID");
	if (actor ==null && v!=null){
		actor = (String) v.get(0);			
	}
	
	
		}catch(Exception e){}
	}
		


Vector eventStatusList = new Vector();

if (pvtEventID != null) {
	EventBean event = new EventBean(pvtEventID, session);
	String eCode = "";
	try {
		eCode = event.getEvtCode();
	} catch (FieldNotInitializedException fnie) {
	}
	
	try {
		evtLabel = event.getEvtLabel();
	} catch (FieldNotInitializedException fnie) {
	}
	dispEvent = (eCode + " - " + evtLabel).trim();
	
	for (int i=0 ; i<10 ; i++) {
		String evtStatus = null;
		try {
	Method getter = Class.forName("com.edeal.frontline.EventBean").getMethod("getEvtStatus" + i , null);
	evtStatus = (String) getter.invoke(event, null);
		} catch (Exception e) {			
		}
		if (evtStatus != null) {
	Vector oneStatus = new Vector();
	oneStatus.add(Integer.toString(i));
	oneStatus.add(evtStatus);
	eventStatusList.add(oneStatus);
		}
	}

}
%>
<script language="javascript">
function doOnLoad() {
	doReload();
}

function doReload() {
	var f = document.forms[0];
	//var query = "?1=1";
	var query = "";
	<%if (nom!=null){%>
		query += '&PvtPersonID:PerName='+'<%=nom%>';
	<%}%>
	
	<%if (pvtEventID!=null){%>
		query += '&PvtEventID='+'<%=pvtEventID%>';
	<%}%>	
	
	<%if (fonction !=null){%>
		query += '&PvtPersonID:PerFctID='+'<%=fonction%>';
	<%}%>	
	
	<%if (actor!=null){%>
		query += '&PvtPersonID:PerEntID:EntActID='+'<%=actor%>';
	<%}%>	
	<%if (pvtTMK!=null){%>
		query += '&PvtTMK='+'<%=pvtTMK%>';
	<%}%>
	<%if (stat!=null){%>
		query += '&PvtStatus='+'<%=stat%>';
	<%}%>
	<%if (submitFlag!=null){%>
		query += '&submitFlag=1';
	<%}%>
	
	//Nous mettons le submit flag car nous demandons un reload			
	query += '&submitFlag=1';
	<%if (sc!=null){%>
		query += '&sc='+encodeURIComponent('<%=sc%>');
	<%}%>	
	var url = '<%=flRequest.computeURL("/callinglist_ajax.fl")%>'+query;
	doAjax(url);
}
function call(pvtID, pPhone) {
	window.open('<fl:webapp/>/callperson.fl?id=' + pvtID+'&pPhone='+pPhone ,'','menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=600,height=400');
	
	<% if (isCTIActive && actHasCTILic) { %>
	//Appel effectu sur le onLoad de la popup callperson.fl
	//doCall(pPhone, '', '');
	<% } %>
}
function waitNreload(){
	setTimeout('doReload()', 5);
}
function displayNote(pvtID) {
	window.open('<fl:webapp/>/marketing/callinglist/note.jsp?pvtID=' + pvtID, '', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=500,height=200');	
}
</script>
<fl:bigTabs criteriaTitle="<%=Utils.getMessage(session, \"L64CD\", \"Recherche liste d\\'appel\")%>" listTitle="<%=Utils.getMessage(session, \"L6200\", false, true, \"Liste d\\'appel\")%>" lu="/callinglist_result.fl?gridName=callingList" cu="/callinglist_criteria.fl">
	<table width="100%">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td width="100%">
				<fl:grid name="callingList" ajaxUrl="/callinglist_ajax.fl" height="400" width="100%"/>				
			</td>
		</tr>
	</table>
</fl:bigTabs>
