<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.text.DecimalFormat" %>
<%@ page import="com.edeal.frontline.DepartmentBean" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.*" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@ page import="com.edeal.frontline.CampaignBean" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.CampaignBean" id="Campaign" scope="request"/>

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String SfwID = flRequest.getRequestParameterOrAttribute("SfwID");
	String id = null;
	try {
		id = Campaign.getID();
	} catch (FieldNotInitializedException fnie) {
	}

	DecimalFormat intFormat = FlLocale.getInstance(session).getDecimalFormat("#,##0;- #,##0");
	DecimalFormat floatFormat = FlLocale.getInstance(session).getDecimalFormat("#,##0.##;- #,##0.##");
	DecimalFormat moneyFormat = FlLocale.getInstance(session).getDecimalFormat("#,##0.##;- #,##0.##");
	moneyFormat.setMaximumFractionDigits(2);
	moneyFormat.setMinimumFractionDigits(2);
	
	float cpgCostPerUnit = 0;
	try {
		cpgCostPerUnit = Campaign.getCpgCost();
	} catch (FieldNotInitializedException fnie) {
	}
	
	int cpgNumberUnits = 0;
	try {
		cpgNumberUnits = Campaign.getCpgUnitNo();
	} catch (FieldNotInitializedException fnie) {
	}
	
	int cpgTargetNo = 0;
	try {
		cpgTargetNo = Campaign.getCpgTargetNo();
	} catch (FieldNotInitializedException fnie) {
	}
	
	float cpgTotalBudget = cpgCostPerUnit * cpgNumberUnits;
	
	DepartmentBean Department = null;
	try {
		Department = new DepartmentBean(Campaign.getCpgDept(), context);
	} catch (Exception e) {
	}
	session.setAttribute("Department", Department);

	int budgetEst = 0;
	try {
		Integer str = (Integer)flRequest.getAttribute("budgetEst");
		if (str != null) {
			budgetEst = str.intValue();
		}		
	} catch (Exception e) {
		budgetEst = 0;
	}
	
	int budgetReal = 0;
	try {
		Integer str = (Integer)flRequest.getAttribute("budgetReal");
		if (str != null) {		
			budgetReal = str.intValue();
		}		
		
	} catch (Exception e) {
		budgetReal = 0;
	}
	
	
	
	double budgetDiffN = 0;
	try {
		Double str = (Double)flRequest.getAttribute("budgetDiffN");
		if (str != null) {
			budgetDiffN = str.doubleValue();
		}	
		
	} catch (Exception e) {
		budgetDiffN = 0;
	}

	double budgetDiffP = 0;
	try {
		Double str = (Double)flRequest.getAttribute("budgetDiffP");
		if (str != null) {
			budgetDiffP = str.doubleValue();
		}	
		 
	} catch (Exception e) {
		budgetDiffP = 0;
	}

	float excBudget = 0;
	try {
		excBudget = ((Float)session.getAttribute("excBudget_CpgExc")).floatValue();
	} catch (Exception e) {
		excBudget = 0;
	}

	float financement = 0;
	try {
		financement = ((Float)session.getAttribute("financement_CpgCtb")).floatValue();
	} catch (Exception e) {
		financement = 0;
	}

	float totalTarget=0;
	try {
		totalTarget = ((Float)session.getAttribute("totalTarget_CpgStg")).floatValue();
	} catch (Exception e) {
		totalTarget = 0;
	}

	float totalImputed=0;
	try {
		totalImputed = ((Float)session.getAttribute("totalImputed_CpgStg")).floatValue();
	} catch (Exception e) {
		totalImputed = 0;
	}

	//Intituls des indicateurs par defaut
	String defIndic1 = (String)dico.getRefDisp(session, "Cai", "Te1", dico.getRefIdByCode("Cai", "Te1", "INDIC1"));
	String defIndic2 = (String)dico.getRefDisp(session, "Cai", "Te1", dico.getRefIdByCode("Cai", "Te1", "INDIC2"));
	String defIndic3 = (String)dico.getRefDisp(session, "Cai", "Te1", dico.getRefIdByCode("Cai", "Te1", "INDIC3"));
	String defIndic4 = (String)dico.getRefDisp(session, "Cai", "Te1", dico.getRefIdByCode("Cai", "Te1", "INDIC4"));
	String defIndic5 = (String)dico.getRefDisp(session, "Cai", "Te1", dico.getRefIdByCode("Cai", "Te1", "INDIC5"));
	
	String defIndic1JS = Utils.formatToJavascript(defIndic1);
	String defIndic2JS = Utils.formatToJavascript(defIndic2);
	String defIndic3JS = Utils.formatToJavascript(defIndic3);
	String defIndic4JS = Utils.formatToJavascript(defIndic4);
	String defIndic5JS = Utils.formatToJavascript(defIndic5);
	Vector units = dico.getRefCodeList("CpgIndicUnit1");
	
	String errorMsg = Utils.getMessage(session, "M2000", true, "Format du champ incorrect");
%>
<script language="javascript">
	function refreshPostes() {
		_grid__POSTBUDG_js_.render()
	}
	
	function refreshContributions() {
		_grid__CONTRIB_js_.render()
	}
	
	function refreshStages() {
		doAjax(myAjaxURL_CpgStg);
	}
	
	function deleteExc(ExcID) {
		if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
			doAjax('<fl:link url="/delete_object_ajax.fl?type=ExpenseCategory" />&id=' + ExcID, deleteExcReturn);
		}
	}
	
	function deleteExcReturn(arrIndex) {
		if(eDealXmlhttpArr[arrIndex].readyState == 4) {
			var rtrn = trimStr(eDealXmlhttpArr[arrIndex].responseText);

			if (rtrn == '') {
				refreshPostes();
			} else {
				eval(rtrn);
			}
		}
	}
	
	function deleteCtb(CtbID) {
		if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
			doAjax('<fl:link url="/delete_object_ajax.fl?type=Contribution" />&id=' + CtbID, deleteCtbReturn);
		}
	}
	
	function deleteCtbReturn(arrIndex) {
		if(eDealXmlhttpArr[arrIndex].readyState == 4) {
			var rtrn = trimStr(eDealXmlhttpArr[arrIndex].responseText);

			if (rtrn == '') {
				refreshContributions();
			} else {
				eval(rtrn);
			}
		}
	}
	
</script>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L2026\", false, true, \"Campagne\")  %>" ou="<%= \"/read_campaign.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
	<table class="container" cellpadding="0">
		<tr class="fieldline">
			<td colspan="3" class="titreFiche">
				<fl:getProperty name="Campaign" property="CpgTitle" alt="&nbsp;"/>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table class="container" cellpadding="0">	
		<tr>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="CpgCode" />
					<fl:fieldRead property="CpgDateBeg" labelCode="F2002" />
					 <% 
							boolean isEnd = false;
							Date CpgDateEnd=null;
							try {
								isEnd = Campaign.isCpgEnd();
								logger.info("cloture::::"+isEnd);
							}catch (FieldNotInitializedException e){}
							if (isEnd) {
								String close = " ( " + Utils.getMessage(session, "F2004", "Cloture") + " ) ";
							try {
								CpgDateEnd = Campaign.getCpgDateEnd();
							}catch (FieldNotInitializedException e){}
							if (CpgDateEnd==null){
							%>
							<tr class="fieldline">
									<td class="dataLabel"><fl:label code="F2003"/></td>
									<td class="dataValue"><div><fl:getProperty name="Campaign" property="CpgDateEnd" alt="<%=close%>"/></div>
							</tr>
							<%} else {%>
								<fl:fieldRead property="CpgDateEnd" labelCode="F2003" postText="<%= close %>"/>
							<%} 
							}else {%>
								<fl:fieldRead property="CpgDateEnd" labelCode="F2003"/>
							<%}%>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					
					<fl:fieldRead property="CpgDept" bean="true" href="true" disp="<%=\"/read_department.fl?SfwID=\"+SfwID%>" />
					<fl:fieldRead property="CpgLevel" />
					<fl:fieldRead property="CpgYear" labelCode="F6102"/>
				
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="CpgCost" postText="&nbsp;&euro;" />
					<fl:fieldRead property="CpgUnitNo" />
					<fl:fieldRead property="CpgTargetNo" />
				</table>
			</td>
		</tr>
	</table>
	<fl:notes name="CpgAim" title="<%= Utils.getMessage(session, \"F2005\", \"Objectifs\") %>" nbPix="30"><fl:getProperty name="Campaign" property="CpgAim" alt=""/></fl:notes>
	<fl:notes name="CpgTarget" title="<%= Utils.getMessage(session, \"F6121\", \"Cibles\") %>" nbPix="30"><fl:getProperty name="Campaign" property="CpgTarget" alt=""/></fl:notes>
	<fl:notes name="CpgMeans" title="<%= Utils.getMessage(session, \"F2007\", \"Notes\") %>" nbPix="30"><fl:getProperty name="Campaign" property="CpgMeans" alt=""/></fl:notes>
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">	
	<fl:smallTabs name="CampaignTabs">
		<fl:sTab id="BUDGET" title="<%= Utils.getMessage(session, \"L2009\", false, true, \"Budget\") %>">
			<div>
				<table class="data_column" cellpadding="0">
					<tr>
						<td class="column3">
							<table class="data_column" cellpadding="0">
								<tr class="fieldline">
									<td class="dataLabel"><fl:label code="F2008"/></td>
									<td class="dataValue"><div><%= intFormat.format(budgetEst) %>&nbsp;&euro;</div></td>
								</tr>
								<tr class="fieldline">
									<td class="dataLabel"><fl:label code="F200A"/></td>
									<td class="dataValue"><div><fl:getProperty name="Campaign" property="CpgROIEst" alt=""/>&nbsp;<fl:getMessage code="L200B" alt=" mois"/></div></td>
								</tr>
							</table>
						</td>
						<td class="separation"><div class="separation"></div></td>
						<td class="column3">
							<table class="data_column" cellpadding="0">
								<tr class="fieldline">
									<td class="dataLabel"><fl:label code="F2009"/></td>
									<td class="dataValue"><div><%= intFormat.format(budgetReal) %>&nbsp;&euro;</div></td>
								</tr>
							</table>
						</td>
						<td class="separation"><div class="separation"></div></td>
						<td class="column3">
							<table class="data_column" cellpadding="0">
								<tr class="fieldline">
									<td class="dataLabel"><fl:label code="L200A"/></td>
									<td class="dataValue"><div><%= intFormat.format(budgetDiffN) %>&nbsp;&euro;&nbsp;:&nbsp;<%= floatFormat.format(budgetDiffP) %>&nbsp;%</div></td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</div>
		</fl:sTab>
		<fl:sTab id="POSTB" title="<%= Utils.getMessage(session, \"F60D5\", false, true, \"Poste Budgtaire\") %>" onselect="refreshPostes();">
			<div><fl:grid height="100" name="POSTBUDG" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=POSTBUDG&ExcCampID=\" + id %>"/></div>
			<table class="container" cellpadding="0">
				<tr>
					<td class="dataValue" style="text-align:center;"><span><fl:getMessage code="L6348" alt="Budget total"/>:&nbsp;<%= moneyFormat.format(excBudget) %>&nbsp;&euro;</span></td>
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="CONTR" title="<%= Utils.getMessage(session, \"L632D\", false, true, \"Contributions\") %>" onselect="refreshContributions();">
			<fl:grid height="100" name="CONTRIB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CONTRIB&CtbCampID=\" + id %>"/>			
			<table class="container" cellpadding="0">
				<tr class="fieldline">
					<td class="dataValue" style="text-align: center;">
						<fl:getMessage code="L6331" alt="Financement"/>:&nbsp;<%= moneyFormat.format(financement) %>&nbsp;&euro;&nbsp;-&nbsp;<fl:getMessage code="L6332" alt="Reste a financer"/>:&nbsp;<%= moneyFormat.format(excBudget - financement) %>&nbsp;&euro;
					</td>
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="CAMPAIGN1" title="<%= context.getAutoDisplayManager().getTitle(session, \"Campaign\", \"Campagne 1\") %>" visible="<%= context.getAutoDisplayManager().hasEntry(\"Campaign\", \"Campagne 1\") %>">
			<fl:autodisplay name="Campaign" zone="Campagne 1"/>
		</fl:sTab>
		<fl:sTab id="INDIC" title="<%= Utils.getMessage(session, \"L620C\", false, true, \"Indicateurs\") %>">
			<table class="container" cellpadding="0" style="width: 100%;">
				<tr style="vertical-align: top">
					<td class="headerDataGrid textGridHeader"  style="width: 30%;">&nbsp;</td>
					<td class="headerDataGrid textGridHeader" style="width:20%;"><fl:getMessage code="F2008" alt="Prvisionnel"/></td>
					<td class="headerDataGrid textGridHeader" style="width:20%;"><fl:getMessage code="F2009" alt="Rel"/></td>
					<td class="headerDataGrid textGridHeader" style="width:30%;"><fl:getMessage code="L200A" alt="Ecart"/></td>
				</tr>
				<tr class="tabSimpleFdBleu">
					<%
					float est = 0;
					float reel = 0;
					float diffN = 0;
					double diffP = 0;
					try {
						est = Campaign.getCpgIndicEst1();
					} catch(FieldNotInitializedException e) {
					}
					try {
						reel = Campaign.getCpgIndicReal1();
					} catch(FieldNotInitializedException e) {
					}
					diffN = reel - est;
					if (est != 0) {
						diffP = ((double)diffN / (double)est) * 100;
					}
					String unit1 = "";
					try {
						String deviseStr = (String)dico.getRefDisp(session, "CpgIndicUnit1", Campaign.getCpgIndicUnit1());
						unit1 = (deviseStr == null ? "" : "&nbsp;" + deviseStr);
					} catch (Exception e) {
						unit1 = "";
					}
					%>
					<td class="dataValue textGridRowTitle" nowrap style="text-align: left;width: 30%;"><fl:getProperty name="Campaign" property="CpgIndicLabel1" alt=""/></td>
					<td class="dataValue borderLineOne" nowrap style="text-align: right;width: 20%; padding-right:2px;"><%= floatFormat.format(est).trim() %><%= unit1 %>&nbsp;</td>
					<td class="dataValue borderLineOne" nowrap style="text-align: right;width: 20%; padding-right:2px;"><%= floatFormat.format(reel).trim() %><%= unit1 %>&nbsp;</td>
					<td class="dataValue borderLineOne" nowrap style="text-align: right;width: 30%; padding-right:2px;"><%= floatFormat.format(diffN).trim() %><%= unit1 %> : <%= floatFormat.format(diffP).trim() %>&nbsp;%&nbsp;</td>
				</tr>
				<tr class="tabSimpleFdBlanc">
					<%
					try {
						est = Campaign.getCpgIndicEst2();
					} catch(FieldNotInitializedException e) {
						est = 0;
					}
					try {
						reel = Campaign.getCpgIndicReal2();
					} catch(FieldNotInitializedException e) {
						reel = 0;
					}
					diffN = reel - est;
					if (est != 0) {
						diffP = ((double)diffN / (double)est) * 100;
					} else {
						diffP = 0;
					}
					try {
						String deviseStr = (String)dico.getRefDisp(session, "CpgIndicUnit2", Campaign.getCpgIndicUnit2());
						unit1 = (deviseStr == null ? "" : "&nbsp;" + deviseStr);
					} catch (Exception e) {
						unit1 = "";
					}
					%>
					<td class="dataValue textGridRowTitle" nowrap style="width: 30%;text-align: left;"><fl:getProperty name="Campaign" property="CpgIndicLabel2" alt=""/></td>
					<td class="dataValue borderLineOne" nowrap style="width: 20%;text-align: right; padding-right:2px;"><%= floatFormat.format(est).trim() %><%= unit1 %>&nbsp;</td>
					<td class="dataValue borderLineOne" nowrap style="width: 20%;text-align: right; padding-right:2px;"><%= floatFormat.format(reel).trim() %><%= unit1 %>&nbsp;</td>
					<td class="dataValue borderLineOne" nowrap style="width: 30%;text-align: right; padding-right:2px;"><%= floatFormat.format(diffN).trim() %><%= unit1 %> : <%= floatFormat.format(diffP).trim() %>&nbsp;%&nbsp;</td>
				</tr>
				<tr class="tabSimpleFdBleu">
					<%
					try {
						est = Campaign.getCpgIndicEst3();
					} catch(FieldNotInitializedException e) {
						est = 0;
					}
					try {
						reel = Campaign.getCpgIndicReal3();
					} catch(FieldNotInitializedException e) {
						reel = 0;
					}
					diffN = reel - est;
					if (est != 0) {
						diffP = ((double)diffN / (double)est) * 100;
					} else {
						diffP = 0;
					}
					try {
						String deviseStr = (String)dico.getRefDisp(session, "CpgIndicUnit3", Campaign.getCpgIndicUnit3());
						unit1 = (deviseStr == null ? "" : "&nbsp;" + deviseStr);
					} catch (Exception e) {
						unit1 = "";
					}
					%>
					<td class="dataValue textGridRowTitle" nowrap style="text-align: left;width: 30%;"><fl:getProperty name="Campaign" property="CpgIndicLabel3" alt=""/></td>
					<td class="dataValue borderLineOne" nowrap style="text-align: right;width: 20%; padding-right:2px;"><%= floatFormat.format(est).trim() %><%= unit1 %>&nbsp;</td>
					<td class="dataValue borderLineOne" nowrap style="text-align: right;width: 20%; padding-right:2px;"><%= floatFormat.format(reel).trim() %><%= unit1 %>&nbsp;</td>
					<td class="dataValue borderLineOne" nowrap style="text-align: right;width: 30%; padding-right:2px;"><%= floatFormat.format(diffN).trim() %><%= unit1 %> : <%= floatFormat.format(diffP).trim() %>&nbsp;%&nbsp;</td>
				</tr>
				<tr class="tabSimpleFdBlanc">
					<%
					try {
						est = Campaign.getCpgIndicEst4();
					} catch(FieldNotInitializedException e) {
						est = 0;
					}
					try {
						reel = Campaign.getCpgIndicReal4();
					} catch(FieldNotInitializedException e) {
						reel = 0;
					}
					diffN = reel - est;
					if (est != 0) {
						diffP = ((double)diffN / (double)est) * 100;
					} else {
						diffP = 0;
					}
					unit1 = "";
					try {
						String deviseStr = (String)dico.getRefDisp(session, "CpgIndicUnit4", Campaign.getCpgIndicUnit4());
						unit1 = (deviseStr == null ? "" : "&nbsp;" + deviseStr);
					} catch (Exception e) {
					}
					%>
					<td class="dataValue textGridRowTitle" nowrap style="width: 30%;text-align: left;"><fl:getProperty name="Campaign" property="CpgIndicLabel4" alt=""/></td>
					<td class="dataValue borderLineOne" nowrap style="width: 20%;text-align: right;"><%= floatFormat.format(est) %><%= unit1 %></td>
					<td class="dataValue borderLineOne" nowrap style="width: 20%;text-align: right;"><%= floatFormat.format(reel).trim() %><%= unit1 %></td>
					<td class="dataValue borderLineOne" nowrap style="width: 30%;text-align: right;"><%= floatFormat.format(diffN).trim() %><%= unit1 %> : <%= floatFormat.format(diffP).trim() %>&nbsp;%</td>
				</tr>
				<tr class="tabSimpleFdBleu">
					<%
					try {
						est = Campaign.getCpgIndicEst5();
					} catch(FieldNotInitializedException e) {
						est = 0;
					}
					try {
						reel = Campaign.getCpgIndicReal5();
					} catch(FieldNotInitializedException e) {
						reel = 0;
					}
					diffN = reel - est;
					if (est != 0) {
						diffP = ((double)diffN / (double)est) * 100;
					} else {
						diffP = 0;
					}
					try {
						String deviseStr = (String)dico.getRefDisp(session, "CpgIndicUnit5", Campaign.getCpgIndicUnit5());
						unit1 = (deviseStr == null ? "" : "&nbsp;" + deviseStr);
					} catch (Exception e) {
						unit1 = "";
					}
					%>
					<td class="dataValue textGridRowTitle" nowrap style="text-align: left;width: 30%;"><fl:getProperty name="Campaign" property="CpgIndicLabel5" alt=""/></td>
					<td class="dataValue borderLineOne" nowrap style="text-align: right;width: 20%;"><%= floatFormat.format(est).trim() %><%= unit1 %></td>
					<td class="dataValue borderLineOne" nowrap style="text-align: right;width: 20%;"><%= floatFormat.format(reel).trim() %><%= unit1 %></td>
					<td class="dataValue borderLineOne" nowrap style="text-align: right;width: 30%;"><%= floatFormat.format(diffN).trim() %><%= unit1 %> : <%= floatFormat.format(diffP).trim() %>&nbsp;%</td>
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="ETAPES" title="<%= Utils.getMessage(session, \"L2008\", false, true, \"Etapes\") %>">
			<TABLE cellspacing="0" cellpadding="0" BORDER=0 width="100%" >
			<%
			String[] stgFields = { "StgID", "StgCpgID", "StgDateBeg", "StgContactEst", "StgTitle" };
			String[][] stgQuery = { { "StgCpgID = " + Utils.formatToSQL(context,id ) } };
			String[] stgOrder = { "StgPos","StgDateBeg ASC" };
			Vector stgResult = StageBean.listSummary(context, stgFields, stgQuery, stgOrder);
			//float totalImputed = 0;
			//	int totalTarget = 0;
	
		if (stgResult.size() == 0) {
%>
		<tr class="fieldline">
			<TD WIDTH="25%" class="transparent" style="text-align: left"><span class="comment"><fl:getMessage code="L6045" alt="Aucune tape n\'a t dfinie"/></span></td>
		</tr>
<%
		} else {
%>
		<tr class="fieldline">
			<TD class="headerDataGrid borderLineOne" style=" width:25%;text-align: left ;"><fl:getMessage code="L3046" alt="Etape"/></TD>
			<TD class="headerDataGrid borderLineOne" style="width:20%;text-align: left ;"><fl:getMessage code="F2002" alt="Date dbut"/></TD>
			<TD class="headerDataGrid borderLineOne" style="width:20%;text-align: right ;"><fl:getMessage code="L6333" alt="Imput"/></TD>
			<TD class="headerDataGrid borderLineOne" style="width:20%;text-align: right ;"><fl:getMessage code="F2006" alt="Cible"/></TD>
			<TD class="headerDataGrid borderLineOne" style="width:15%;text-align: right ;"><fl:getMessage code="L632F" alt="Part"/></TD>
		</tr>
<%	
		boolean isBlue = true;
		for (int cnt = 0; cnt < stgResult.size(); ++cnt) {
			Hashtable row = (Hashtable) stgResult.elementAt(cnt);

			String stgID = (String) row.get("StgID");
		
			float imputed = 0;
			int target = 0; 
		
			String[] ctnFields = { "CtnID", "CtnNumUnits", "CtnCampID", "CtnStageID", "CtnFactLn:IneUnitPrice" };
			String[][] ctnQuery = { { 
				"CtnCampID = " + Utils.formatToSQL(context, id), 
				"CtnStageID = " + Utils.formatToSQL(context, stgID) } };
			Vector ctnResults = CategorizationBean.listSummary(context, ctnFields, ctnQuery);
	
			int numUnits;
			float unitPrice;
			
			for (int cnt2 = 0; cnt2 < ctnResults.size(); ++cnt2) {
				Hashtable row2 = (Hashtable) ctnResults.elementAt(cnt2);
	
				try {
					numUnits = Integer.parseInt(row2.get("CtnNumUnits").toString());
					unitPrice = Float.parseFloat(row2.get("CtnFactLn:IneUnitPrice").toString());
				} catch (Exception e) {
					numUnits = 0;
					unitPrice = 0;
				}
	
				imputed += numUnits * unitPrice;
			}
			
			try {
				target = ((Integer)row.get("StgContactEst")).intValue();
			} catch (Exception e) {
				target = 0;
			}
		
		float part = ((float) target) / cpgTargetNo * 100; 
%>
	<tr class="<%= (cnt%2 == 0) ? "tabSimpleFdBleu":"tabSimpleFdBlanc" %>">
		<TD style="width:25%;text-align : left;">
			<a href="<fl:webapp/>/read_stage.fl?id=<%= stgID %>+&SfwID=<%=SfwID%>" target="_parent"><%= row.get("StgTitle") %></a>
		</TD>
		<TD style="text-align : left;width:20%;"><%= Utils.formatToWebDate(session, (Date)row.get("StgDateBeg"), true) %></TD>
		<TD style="text-align : right ;width:20%;"><%= moneyFormat.format(imputed) %> <%=Utils.getMessage(session, "L648F", false, true, "&euro;") %></TD>
		<TD style="text-align : right;width:20%;"><%= intFormat.format(target) %></TD>
		<TD style="text-align : right;width:15%;"><%= !Float.isNaN(part)? floatFormat.format(part):"0 %" %>  </TD>
	</tr>
<%		
		isBlue = !isBlue;
		totalImputed += imputed;
		totalTarget += target;
		imputed = 0;
	}
%>
	</TABLE>
	<br>
			<TABLE cellspacing="0" cellpadding="0" BORDER=0 width="85%" >
				<tr>
					<td colspan="3"class="headerDataGrid">&nbsp;</td>
				</tr>
				<tr class="tabSimpleFdBleu">
					<td style="width:45%;">
						<fl:label code="L6331"/>
					</td>
					<td id="ImpQuant" style="text-align : right;width:19%;">
						<%= moneyFormat.format(totalImputed) %> <%=Utils.getMessage(session, "L648F", false, true, "&euro;") %>
					</td>
					<td id="ImpBudg" style="text-align : right;width:20%;">
						<%= intFormat.format(totalTarget) %>
					</td>
				</tr>
				<% isBlue = !isBlue;%>
				<tr class="tabSimpleFdBlanc">
					<td>
						<fl:label code="L6334"/>
					</td>
					<td id="RestImp" style="text-align : right;">
						<%= moneyFormat.format(Math.max(excBudget - totalImputed, 0)) %> <%=Utils.getMessage(session, "L648F", false, true, "&euro;") %>
					</td>
					<td id="RestBudg" style="text-align : right;">
						<%= intFormat.format(Math.max(cpgTargetNo - totalTarget, 0)) %>
					</td>
				</tr>
				<% isBlue = !isBlue;%>
				<tr class="tabSimpleFdBleu">
					<td>
						<fl:label code="F1052"/>
					</td>
					<%	
						float budgPercent = 0;
						float targetPercent = 0;
						try {
						if (totalImputed != 0)
							budgPercent = (float)totalImputed / excBudget * 100;
						if (totalTarget != 0 )
							targetPercent = (float)totalTarget / cpgTargetNo * 100;
						} catch (ArithmeticException e) {
						}	
					%>
					<td id="RestImp" style="text-align : right;">
						<%= floatFormat.format(budgPercent) %> %
					</td>
					<td id="RestBudg" style="text-align : right;">
						<%= floatFormat.format(targetPercent) %> %
					</td>
				</tr>
<%
	}
%>
	</TABLE>
	</fl:sTab>		
	<fl:sTab id="CAMPAIGN2" title="<%= context.getAutoDisplayManager().getTitle(session, \"Campaign\", \"Campagne 2\") %>" visible="<%= context.getAutoDisplayManager().hasEntry(\"Campaign\", \"Campagne 2\") %>">
			<fl:autodisplay name="Campaign" zone="Campagne 2"/>
	</fl:sTab>
	<fl:sTab id="ATTACHMENT" title="<%= Utils.getMessage(session, \"L201C\", false, true, \"Documents joints\") %>">
		<fl:attach name="Campaign" colID="CpgAttID" edit="false"/>
	</fl:sTab>
</fl:smallTabs>
</fl:bigTabs>
