<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.GregorianCalendar" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="com.edeal.frontline.controller.actions.SelectAction" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
%>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/jsOnload.jsp"></script>
<script language="javascript">
	function doCalendar() {
		var f = document.forms[0];
		var url;
		
		if (f.type[0].checked == true) {
			var finalDiv = document.getElementById('campCalendar');
			finalDiv.innerHTML = document.getElementById('baseDaily').innerHTML;
			url = '<fl:webapp/>/campaign_calendar_month_ajax.fl';
		} else {
			var finalDiv = document.getElementById('campCalendar');
			finalDiv.innerHTML = document.getElementById('baseYearly').innerHTML;
			url = '<fl:webapp/>/campaign_calendar_year_ajax.fl';
		}
		
		url += '?CpgYear=' + f.CpgYear[f.CpgYear.selectedIndex].value;

		url += '&type=' + f.type[0].checked;
		
		if (f.CpgEnt.selectedIndex != 0) {
			url += '&CpgEnt=' + f.CpgEnt[f.CpgEnt.selectedIndex].value;
		}
		
		if (f.StgCpgID.value != '') {
			url += '&CpgID=' + f.StgCpgID.value;
			if (f.lblStgCpgID.value == '<fl:getMessage code="L635A" alt="<Campagne>" js="true"/>') {
				f.StgCpgID.value = '';
			}
		}
		
		if (f.CpgDept.value != '') {
			url += '&CpgDept=' + f.CpgDept.value;
		}
		
		if (f.date.value != '') {
			url += '&date=' + f.date.value;
			f.date.value = '';
		}
		
		doAjax(url);
	}
	
	function goTo(pDate) {
		var f = document.forms[0];
		f.date.value = pDate;
		doCalendar();
	}
	
	function ondateChange() {
		setTimeout("doCalendar()", 50);
	}
	
	function doMonthly(date, cpgID) {
		var f = document.forms[0];
		
		f.type[0].checked = true;
		f.date.value = date;
		f.CpgID.value = cpgID;
		
		doCalendar();
	}
	
</script>
<style>
	#campCalendar {
		height: 250px;
	}
	
	.dayText {
		font-size: small;
		font-size: expression("x-small");
		color: rgb(64, 64, 64);
		font-family: Arial, Verdana, sans-serif;
		font-style: italic;
		width: 100%;
		text-align: center;
	}
	
	.weekText {
		font-size: small;
		font-size: expression("x-small");
		color: rgb(64, 64, 64);
		font-family: Arial, Verdana, sans-serif;
		text-align: center;
		white-space: nowrap;
		width: auto;
		border-left: thin dashed #9EC6D0;
		border-right: thin dashed #9EC6D0;
	}
	
	.weekTextDiv {
		width: 100%;
	}
	
	.marked {
		background-color: #FF0000;
	}
	
	.campLink {
		font-size: small;
		font-size: expression("x-small");
		color: rgb(64, 64, 64);
		font-family: Arial, Verdana, sans-serif;
		width: 150px;
		text-align: left;
		white-space: nowrap;
	}
	
	.campWeekRow {
		vertical-align: top;
	}
	
	.campRowTitle {
		width: 150px;
		border-bottom: thin dashed #9EC6D0;
	}
	
	.campRowTitleBlank {
		width: 150px;
	}
	
	.campRowCell {
		width: auto;
		border-bottom: thin dashed #9EC6D0;
	}
</style>
<fl:bigTabs ou="/campaign_calendar.fl" ignoreList="true" objectTitle="<%= Utils.getMessage(session, \"A0004\", false, true, \"Calendrier\") %>">
<form method="post" action="javascript:doCalendar();">
	<input type="hidden" name="date" value="" onchange="javascript:doCalendar();"/>
	<table class="container" cellpadding="0">
		<tr>
			<td>
				<div class="criteriaTableDiv">
					<input id="CpgDept" name="CpgDept" type="hidden" value="">
					<input id="lblCpgDept" name="lblCpgDept" class="criteriaField" type="text" value="<fl:getMessage code="L635C" alt="<Dpartement>"/>" autocomplete="off" onfocus="displayOnFocus(this);">
					<a href="javascript:var win = window.open('<fl:webapp/>/select.fl?type=Department&field=CpgDept', 'SelectDepartment', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=600,height=350')" tabindex="3"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon"></a>
					<a href="javascript:var f = window.document.forms[0]; f.CpgDept.value = ''; f.lblCpgDept.value = '<fl:getMessage code="L635C" alt="<Dpartement>" js="true"/>'; void('')" tabindex="4"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon"></a>
					<script language="javascript">runOnTime('installFobAC(document.forms[0].lblCpgDept);', 200);</script>
								
					<select class="criteriaField leftMargin10" id="CpgEnt" name="CpgEnt">
						<option value=""><fl:getMessage code="L635B" alt="<Entit>"/></option>
						<option value="0001cc0000000640">Si&egrave;ge</option>
						<option value="0001cc0000000643">Regional</option>
						<option value="0001cc0000000646">Autre</option>
					</select>
					
					<br><br>
			
				
					<input id="StgCpgID" name="StgCpgID" type="hidden" value="">
					<input id="lblStgCpgID" name="lblStgCpgID" class="criteriaField" onfocus="displayOnFocus(this);" type="text" value="<fl:getMessage code="L635A" alt="<Campagne>"/>" autocomplete="off">
					<a href="javascript:var win = window.open('<fl:webapp/>/select.fl?type=Campaign&field=StgCpgID', 'SelectCampaign', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=500,height=500')" tabindex="3"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon"></a>
					<a href="javascript:var f = window.document.forms[0]; f.StgCpgID.value = ''; f.lblStgCpgID.value = '<fl:getMessage code="L635A" alt="<Campagne>" js="true"/>'; void('')" tabindex="4"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon"></a>
					<script language="javascript">runOnTime("installFobAC(document.forms[0].lblStgCpgID);", 200);</script>
					<span class="criteriaLabel leftMargin10"><fl:getMessage code="F6102" alt="Exercice"/>&nbsp;</span>
					<select name="CpgYear" class="criteriaField">
						<%
							Vector yearRefList = dico.getRefList("Anf", "Te2");
							Vector tmpVector;
							Iterator it = yearRefList.iterator();
							String refID;
							String refVal;
							String yearVal;
							while (it.hasNext()) {
								tmpVector = (Vector) it.next();
								refID = (String) tmpVector.get(0);
								refVal = (String) tmpVector.get(1);
								yearVal = dico.getRefCode("Anf", "Te1", refID);
						%>
								<option value="<%= refID %>"<%= "O".equalsIgnoreCase(refVal) ? "selected" : "" %>><%= yearVal %></option>
						<% } %>
					</select>
				</div>
			</td>
			<td class="separation"><div class="separation"></div></td>
	        <td valign="top" style="width: 15%;">
	            <table class="container" cellpadding="0" style="width: 100%;">
					<tr>
						<td style="text-align: left;" colspan="2">
							<span class="dataLabel"><fl:getMessage code="L63E5" alt="Vision"/>&nbsp;:</span>
						</td>
					</tr>
					<tr>
						<td style="white-space: nowrap; width: 10%; text-align: left;">
							<input type="radio" name="type" value="week" checked>
						</td>
						<td style="text-align: left; width: 90%;">
							<div>
								<span class="dataLabel" style="vertical-align:bottom; width: 100%;"><label for="type"><fl:getMessage code="L635F" alt="5 semaines"/></label></span>
							</div>
						</td>
					</tr>
					<tr>
						<td style="white-space: nowrap; width: 10%; text-align: left;">
							<input type="radio" name="type" value="year">
						</td>
						<td style="text-align: left; width: 90%;">
							<div>
								<span class="dataLabel" style="vertical-align:bottom; width: 100%;"><label for="type"><fl:getMessage code="L6360" alt="Annuelle"/></label></span>
							</div>
						</td>
					</tr>
	                <tr class="ligne_separation"><td></td></tr>
					<tr>
						<td>
							<input type="image" src="<fl:webapp/>/icons/ico/valid_green2_long.gif" border="0"  tabindex="999" align="left">
						</td>
					</tr>
	                <tr class="ligne_separation"><td></td></tr>
	            </table>
	        </td>
		</tr>
	</table>                
	<table style="width: 100%">
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
</form>
<div id="errorMessage" style="width: 100%; text-align: center; display: none;">
</div>
<div id="controlDiv" style="width: 100%;">
	<table class="container" cellpadding="0" style="width:95%" align="center">
		<tr id="controlRow" style="vertical-align: top; display: none;">
			<td align="center" width="100%">
		    	<a id="campDoubleLeft" href=""><img src="<fl:webapp/>/icons/ico/flecheGdouble.gif"></a> 
		    	<a id="campLeft" href=""><img src="<fl:webapp/>/icons/ico/flecheG.gif"></a>
		        <a href="javascript:openCalendar(document.forms[0].date);"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif"></a> 
		    	<a id="campRight" href=""><img src="<fl:webapp/>/icons/ico/flecheD.gif"></a>
		    	<a id="campDoubleRight" href=""><img src="<fl:webapp/>/icons/ico/flecheDdouble.gif"></a> 
			</td>
		</tr>
	</table>
</div>
<div id="campCalendar" style="width: 100%; overflow: auto">
</div>
<div id="baseDaily" style="overflow: auto;">
	<table class="container" cellpadding="0" style="width:95%" align="left">
		<tr id="campWeekRow" style="display: none;">
			<td class="campRowTitleBlank">&nbsp;</td><% for (int cnt = 0; cnt < 5; ++cnt) { %><td id="week<%= cnt %>Title" colspan="7" class="weekText">&nbsp;</td><% } %>
		</tr>
		<tr id="campDayRow" style="vertical-align: top; display: none;"><td class="campRowTitleBlank">&nbsp;</td>
			<% 
			for (int cnt = 0; cnt < 5; ++cnt) {
				for (int cnt2 = 0; cnt2 < 7; ++cnt2) { 
				%><td class="tabSimpleFdBleu" style="text-align: center;"><span class="dayText"><%= Utils.getMessage(session, "F612" + (2 + cnt2), "?") %></span></td><% }
			} %>
		</tr>
		<% for (int row = 0; row < 40; ++row) { %><tr id="campRow<%= row %>" style="display: none;"><td id="campRow<%= row %>Link" class="campRowTitle">&nbsp;</td><% for (int col = 0; col < 35; ++col) { %><td id="campRow<%= row %>Day<%= col %>" class="campRowCell">&nbsp;</td><% } %></tr><% } %>
	</table>
</div>
<div id="baseYearly">
	<table class="container" cellpadding="0" style="width:95%" align="left">
		<tr id="campYearRow" style="vertical-align: top; display: none;">
			<td>&nbsp;</td>
			<% for (int col = 0; col < 12; ++col) { %><td id="campMonth<%= col %>" class="weekText" style="">&nbsp;</td><% } %>
		</tr>
		<% for (int row = 0; row < 40; ++row) { %><tr id="campYearRow<%= row %>" style="vertical-align: top; display: none;"><td id="campYearRow<%= row %>Link" class="campLink" style="border-bottom: thin dashed #9EC6D0;">&nbsp;</td><% for (int col = 0; col < 12; ++col) { %><td id="campYearRow<%= row %>Col<%= col %>" class="<%= (row % 2 == 0) ? "tabSimpleFdBleu" : "tabSimpleFdBlanc" %>" style="text-align: center;">&nbsp;</td><% } %></tr><% } %>
	</table>
</div>
</fl:bigTabs>