<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@ page session="true" import="com.edeal.frontline.*" %>
<%@ page session="true" import="com.edeal.frontline.navigation.*" %>
<%@ page session="true" import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String object = flRequest.getParameter("object");
	String idObj = flRequest.getParameter("idObj");
	String format = flRequest.getParameter("format");
	Vector addressRulesDisplay = null, addressRulesObject = null;;
	try {
 		addressRulesDisplay = dico.getRefList("Aru", "Te1");
 		addressRulesObject = dico.getRefList("Aru", "Te3");
	} catch(FrontlineException fe) {
	}
	
%>
<html>
<head>
<title><fl:getMessage code="L2025" alt="E-DEAL"/> CRM</title>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/edeal/libraries/jquery/jquery.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
  <script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
<script language="javascript">
function doReadActor(actid){
	window.opener.location="<fl:webapp/>/read_actor.fl?id=" + actid;
	window.close();
}
function doReadDocument(docid){
	window.opener.location="<fl:webapp/>/read_document.fl?id=" + docid;
	window.close();
}

function doWordFusion(idObj, attID, lngid, outFormat) {
	var checkedFilter = $('input:radio[name=filter]:checked').val();
	var urlFusion = "<fl:webapp/>/WordFusion?id=" + idObj + "&docid=" + attID + "&lngid=" + lngid + "&format=" + outFormat;
	if (checkedFilter != undefined) {
		urlFusion += "&lsf=" + checkedFilter;
	}
	window.location = urlFusion;
}
function doOnLoad(){
	refreshFusionDocs();
}

function loadFilterDescription(checkedFilter) {
	$.getJSON("<fl:webapp/>/get_filter_description.fl?id=" + checkedFilter, function(result) {
		$('#RulesDescription').html(result != null ? decodeURIComponent(result.description) : "");	
	});
}

function doFilterChange() {
	var checkedFilter = $('input:radio[name=filter]:checked').val();
	loadFilterDescription(checkedFilter);
}

function refreshFusionDocs() {
	_grid__FUSIONDOCS_js_.render();
}
</script>
<style type="text/css">
.RulesDescription
{
	border: 0px;
	height:	200px;
	width:	50px;
	overflow: auto;
}
</style>
</head>
<body>
<div id="object_css" style="top: 0px; left: 0px; bottom: 0px; height: 100%;">
<fl:bigTabs ignoreList="true" selectedTab="true" objectTitle="<%= Utils.getMessage(session, \"L60C7\", false, true, \"Liste des documents\") %>">
	<table cellpadding="0" class="data_column">
<%
if (addressRulesObject != null) {
	int k = 0;
	for (int j = 0 ; j < addressRulesObject.size() ; j++) {
		Vector vAddressRulesObject = (Vector) addressRulesObject.elementAt(j);
		String obj = (String) vAddressRulesObject.elementAt(1);
		if (obj != null && obj.equals(object)) {
			k++;
			if (k == 1) {
%>		
				<tr class="fieldline">
					<td class="dataLabel" id="Rules_label">
						<div>
							<fl:label code="L8140" label="Choix de l\'adresse" forInput="Rules"/>
						</div>
					</td>
					<td class="dataValue">
					</td>	
				</tr>	
<%			}
			Vector vAddressRulesDisplay = (Vector) addressRulesDisplay.elementAt(j);
%>			
				<tr class="fieldline">
					<td class="dataLabel"></td>
					<td class="dataValue">
						<input type="radio" name="filter" <%= k == 1 ? "checked" : "" %> value="<%= Utils.formatToWeb((String) vAddressRulesDisplay.elementAt(0), true) %>" onchange="if (typeof(doFilterChange) == 'function') doFilterChange();"><%= Utils.formatToWeb((String) vAddressRulesDisplay.elementAt(1), false) %>
					</td>
				</tr>	

<%
		}
	}
	if (k > 0) {
%>						
				<tr>
					<td class="dataLabel">
						<div>
							<fl:label code="L2007" label="Description"/>
						</div>
					</td>
					<td class="dataValue">
						<div id="RulesDescription"></div>
					</td>
				</tr>
<% 							
	}	
}	
%>		
			
	</table>
	<table class="container" cellpadding="0">	
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td style="width: 100%">
				<div style="height:240px;overflow:auto">
					<%-- <fl:grid name="ListDoc" ajaxUrl="/fusion_document_ajax.fl" /> --%>
					<fl:grid height="150px" name="FUSIONDOCS" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=FUSIONDOCS&idObj=\" + idObj + \"&format=\" + format + \"&object=\" + object %>"/>
				</div>
			</td>
		</tr>
		
	</table>
	
</fl:bigTabs>
<br>
<table class="container" width="100%">
	<tr class="fieldline">
		<td colspan="2" style="text-align: center;">
			<a href="javascript:window.close()"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif"></a>
		</td>
	</tr>
</table>
</div>
</body>
</html>

<%
/******************************************************************************
 * CVS Log File - This is no longer maintained!
 *
 * Revision 1.1  2004/07/23 18:20:44  brian
 * Initial Revision
 *
 *****************************************************************************/
%>