<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.DocumentBean" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Hashtable" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.DocumentBean" id="Document" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();

String id = null;
try {
    id = Document.getID();
} catch (FieldNotInitializedException fnie) {
}

String typOppdocid = null;
try {
	typOppdocid = (String) Document.getCustomProperty("DocOppType_");
} catch (FieldNotInitializedException fnie) {
}


boolean hasVersion = false;
String[] fields={"DocID","DocTitle","DocDate","DocVersion"};
String[] orderBy = {"DocVersion DESC"};
String[][] query ={{"DocID <> " + Utils.formatToSQL(context, Document.getID()), "DocTitle = " + Utils.formatToSQL(context, Document.getDocTitle())}};
Vector list = new Vector();
try{
	list = DocumentBean.listSummary(context,fields,query,orderBy);
} catch(Exception e){
}
if (list != null && list.size() > 0) {
	hasVersion = true;
}
%>
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L60C6\", \"Document\")%>" listTitle="<%= Utils.getMessage(session, \"L63E2\", false, true, \"Liste des documentaires\")%>" ou="<%= \"/read_document.fl\" + (id != null ? \"?id=\" + id : \"\")%>">
	<table class="container">
		<tr>
			<td colspan="3" class="titreFiche">
				<fl:getProperty name="Document" property="DocTitle" alt=""/>
			</td>
		</tr>
		<tr><td class="ligne_separation">&nbsp;</td></tr>
		<tr>
			<td class="column2">
				<table class="container" cellpadding="0">
					<fl:autodisplay name="Document" zone="DocCol1" tableDivTag="false"/>
					<fl:fieldRead property="DocObjID" alt="" bean="true"/>
					<tr class="fieldline">
						<td class="dataLabel"><fl:label code="F003C" label="Fichier"/></td>
						<td class="dataValue">
							<fl:attach name="Document" colID="DocAttID" edit="false"/>
						</td>
					</tr>
				</table>
			</td>
			<td class="separation"><div class="separation"/></td>
			<td class="column2">
				<table class="container" cellpadding="0">
				    <fl:fieldRead property="DocVersion" alt=""/>
				    <fl:fieldRead property="DocCode" alt=""/>
					<fl:fieldRead name="Document" property="DocIsArchive" valueIfFalse="<%=Utils.getMessage(session, \"L2006\", \"Non\")%>" valueIfTrue="<%=Utils.getMessage(session, \"L2005\", \"Oui\")%>"/>
					<fl:fieldRead name="Document" property="DocIsWord" valueIfFalse="<%=Utils.getMessage(session, \"L2006\", \"Non\")%>" valueIfTrue="<%=Utils.getMessage(session, \"L2005\", \"Oui\")%>"/>
					<% if (typOppdocid != null) {%>
					<fl:fieldRead property="DocOppType_" alt=""/>
					<% }%>
					<fl:autodisplay name="Document" zone="DocCol2"  tableDivTag="false"/>
				</table>
			</td>
		</tr>
	</table>
	<fl:notes name="DocNotes" title="<%= Utils.getMessage(session, \"F2024\", \"Notes\") %>"><fl:getProperty name="Document" property="DocNotes" alt=""/></fl:notes>
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">

	<fl:smallTabs name="DocumentTabs">

		<fl:sTab id="Dispo" title="<%= Utils.getMessage(session, \"L60C5\", \"Disponibilit\") %>">
			<table class="container">
				<tr>
					<td class="column2">
						<table class="container" cellpadding="0">
							<fl:fieldRead property="DocRolesID" separator="<br/>"/>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
					</td>
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="Versions" title="<%= Utils.getMessage(session, \"L60D0\", \"Autres versions\") %>" visible="<%= hasVersion %>">
			<table class="container" cellpadding="0">
<%
	for (int i=0; i < list.size();i++) {
		Hashtable currDoc =(Hashtable) list.elementAt(i);
		String docID = (String) currDoc.get("DocID");
		Date docDate = (Date) currDoc.get("DocDate");
		String docVersion = (String) currDoc.get("DocVersion");
		String link = flRequest.computeURL("/read_document.fl?id="+docID, true, true, true);
%>				<tr class="fieldline">
					<td class="dataValue">
						<fl:getMessage code="F602D" alt="Version"/>&nbsp;<a href="<%=link%>" target="_parent"><%=docVersion%></a>&nbsp;<fl:getMessage code="L3128" alt="Du"/>&nbsp;<%=Utils.formatToWebDate(session, docDate,false)%>
					</td>
				</tr>
<%
	}
%>			</table>
		</fl:sTab>
		<fl:sTab id="Connex" title="<%= Utils.getMessage(session, \"F6032\", \"Documents Connexes\") %>">
			<table class="container">
				<tr>
					<td class="column2">
						<table class="container" cellpadding="0">							
							<fl:fieldRead property="DocDocID" href="true" bean="true" disp="<%= flRequest.computeURL(\"/read_document.fl\")%>" separator="<br/>"/>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2"></td>
				</tr>
			</table>
		</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>
