<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Dossier_Bean"%>
<%@ page import="com.edeal.frontline.ActorBean"%>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FrontlineException"%>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Iterator" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Dossier_Bean" id="Dossier_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	

	try {
	    id = Dossier_.getID();
	} catch (FieldNotInitializedException fnie) {}
	
	String statutDs_ = null;
	try {
		statutDs_ = Dossier_.getDs_Statut();
	} catch (FieldNotInitializedException fnie) {
	}
	
	// Types du statut du dossier
	String missPrevState = null;
	String missCommandee = null;
	try {
		missCommandee = (String)dico.getRefIdByCode("Ds_", "Te1", "MIS_COMM");
	} catch (Exception e) {
		missCommandee ="";
	}
	
	
	try {
		if(id == null) {
			missPrevState = (String)dico.getRefIdByCode("Ds_", "Te1", "MIS_PREV");
			Dossier_.setDs_Statut(missPrevState); // on initialise le dossier  l'tat mission prvisionnelle
			statutDs_ = missPrevState;
		} 
	} catch (Exception e) {
	}
	
	
	// Seul l'admin peut modifier l'tat du dossier
		// On rcupre l'ID de l'acteur connect
	String actID = null;
	Boolean isAdmin = false;
	
	if (session != null) {
	  actID = (String)session.getAttribute("effectiveActorID");
	  if (actID == null) {
	    actID = (String)session.getAttribute("actorID");
	    if (actID == null) {
	      throw new FrontlineException("there is not an actor ID in session");
	    }
	  }
	}
	
	try {
		ActorBean act = new ActorBean(actID, context);
		Vector<String> actRolesIDs = new Vector<String>();
		// On rcupre les roles
		actRolesIDs.addAll(act.getRoles());
		String roleADMID = dico.getRefIdByCode("ActRoles", "ADMIN"); /* Role Administrateur*/
		if(!(actRolesIDs.isEmpty())) {
			Iterator iter = actRolesIDs.iterator();
			String rowl = "";
			while (iter.hasNext()) {
		      rowl = (String)iter.next();
		      if( rowl.equalsIgnoreCase(roleADMID)) {
		    	  isAdmin = true;
		      }
		    }
		}
		} catch (FrontlineException e) {
		}
%>
<script type="text/javascript" language="javascript">
	function doSubmit() {
		var f = document.forms[0];		
		return true;
	}
</script>
<fl:form action="save_dossier_.fl" bean="Dossier_">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"LF036\", \"Dossier\") %>" ou="<%= \"edit_dossier_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
		<%
		if( id == null ) {
		%>	
			<input name="Ds_Statut" type="hidden" value="<%=statutDs_%>">
		<%}
		%>
		<table class="container" cellpadding="0">
		<!-- 
		<tr>
			<td colspan="3">
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td class="labelTitreFiche">
							<fl:label field="Ds_Libelle" labelClassName="titreFiche"/>
						</td>
						<td class="fieldTitreFiche">
							<fl:input property="Ds_Libelle" mandatoryMsgCode="M60BF"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	 	-->
		<tr class="ligne_separation"><td colspan="3"></td></tr>	
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td id="Dossier_label" class="dataLabel"><fl:label code="FF066" label="Comit"/></td>
						<td id="Apercu_value" class="dataValue">							
							<fl:getProperty name="Dossier_" property="Ds_Comite" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_event.fl\") %>" postText="" alt=""/>
						</td>
					</tr>
					<% if (isAdmin) {%>
					<fl:fieldEdit property="Ds_Statut"/>
					<%}%>
					
					<fl:fieldEdit property="Ds_HotelID" query="[[EntTyeID:RefVal = 'ETAB'], [EntTyeID:RefVal = 'HOTEL'], [EntTyeID:RefVal = 'RESTO']]" />
					<fl:fieldEdit property="Ds_Typologie" mandatoryMsgCode="MF064"/>
					<!-- 
					<fl:fieldEdit property="Ds_CabinetAudit" query="[[EntTyeID:RefVal = 'AUDIT']]"/>
					<fl:fieldEdit property="Ds_Auditeur" query="[[PerFctID:RefVal = 'AUDI']]"/>
					<fl:fieldEdit property="Ds_Mandat"/>
					 -->
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		</table>
<fl:smallTabs name="Dossier__Tabs">
		<fl:sTab id="AttFiles" title="<%=Utils.getMessage(session, \"L201C\", false, true, \"Fichiers\")%>">
		<div>
			<table class="container" cellpadding="0">
				<fl:fieldEdit property="Ds_Fichiers"/>
			</table>
		</div>
	</fl:sTab>

</fl:smallTabs>
</fl:bigTabs>
</fl:form>
