<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Dossier_Bean"%>
<%@ page import="com.edeal.frontline.custom.Classement_Bean"%>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Dossier_Bean" id="Dossier_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	String id = null;
	try {
	    id = Dossier_.getID();
	} catch (FieldNotInitializedException fnie) {}
	
	String statutDs_ = "";
	try {
		statutDs_ = Dossier_.getDs_Statut();
	} catch (FieldNotInitializedException fnie) {
	}
	
	// Types du statut du dossier
	String missCommandee = "";
	String missEffeState = "";
	try {
		missCommandee = (String)dico.getRefIdByCode("Ds_", "Te1", "MIS_COMM");
		missEffeState = (String)dico.getRefIdByCode("Ds_", "Te1", "MIS_EFFE");
	} catch (Exception e) {
	}
	
	Boolean presencecabinet = true;
	String dsauditeur = null;
	try {
		dsauditeur = (String) Dossier_.getDs_Auditeur();
	} catch (FieldNotInitializedException fnie) {
	}
	
	String cabauditeur = null;
	try {
		cabauditeur = (String) Dossier_.getDs_CabinetAudit();
	} catch (FieldNotInitializedException fnie) {
		presencecabinet = false;
	}
	
	Date datemandat = null;
	try {
		datemandat = (Date) Dossier_.getDs_MandatDt();
	} catch (FieldNotInitializedException fnie) {
	}
	
    Boolean decisionMade = false;
	String[] fields = {"Cl_Dossier"};
	String[][] query = {{"Cl_Dossier  = '" + id  + "'"}};
	Vector list = Classement_Bean.listSummary(context, fields, query);
	if(list != null && !list.isEmpty()) {
		decisionMade = true;
	}
	
%>

<script type="text/javascript" language="javascript">
function doRefresh() {
	window.top.location.reload();	
}

function verifPresenceCabinetAudit() {
	var presence = <%=presencecabinet%>	
		
	if(presence) {
		window.location.href='<fl:link url="<%= \"/conf_mission_dossier_.fl?initDs_ID=\" + id%>"/>';
	} else {
		alert("Vous devez rattacher la mission  un cabinet d'audit.");
		cabinet();
	}
}

function verifPresenceDecision() {
	var presence = <%=decisionMade%>	
		
	if(presence) {
		window.location.href='<fl:link url="<%= \"/valide_decision_dossier_.fl?initDs_ID=\" + id%>"/>';
	} else {
		alert("Vous devez saisir au moins une dcision pour ce dossier");
	}
}

function refreshClassements(){
	_grid__CLAS_EMB2_js_.render();
}

</script>

<style>
.dostabdiv {
	margin-left: 150px;
}
.dostabtitle {
	color: red;
	font-size: 15px;
}
</style>

<fl:bigTabs objectTitle="Dossier" ou="<%= \"read_dossier_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
    <table class="container" cellpadding="0">
    	<tr>
			<td class="titreFiche" colspan="3">
				<fl:getProperty name="Dossier_" property="Ds_Libelle" alt=""/>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:label code="FF066" label="Comit"/></td>
							<td id="Apercu_value" class="dataValue">							
								<fl:getProperty name="Dossier_" property="Ds_Comite" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_event.fl\") %>" postText="" alt=""/>
							</td>
						</tr>
						
						<fl:fieldRead property="Ds_Statut"/>
						<tr class="fieldline">
							<td id="DosVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>
						<fl:fieldRead property="Ds_HotelID" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_enterprise.fl\") %>" alt=""/>
						<tr class="fieldline">
							<td id="DosVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>
						<fl:fieldRead property="Ds_Typologie"/>
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:label code="FF0C7" label="Cabinet d'audit"/></td>
							<td id="Apercu_value" class="dataValue">							
								<fl:getProperty name="Dossier_" property="Ds_CabinetAudit" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_enterprise.fl\") %>" postText="" alt=""/>
							</td>
						</tr>
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:label code="FF0C8" label="Auditeur"/></td>
							<td id="Apercu_value" class="dataValue">							
								<fl:getProperty name="Dossier_" property="Ds_Auditeur" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_person.fl\") %>" postText="" alt=""/>
							</td>
						</tr>
						<fl:fieldRead property="Ds_MandatDt"/>
				</table>
				
			</td>
			
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	
	<fl:smallTabs name="DossierTabs">
	<fl:sTab id="MKG" title="<%=Utils.getMessage(session, \"LF046\", \"Rsultat des caculs de MKG\")%>">
		<div class="dostabdiv">
				<table class="data_column" cellpadding="0">
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:getMessage code="FF109" alt="Nombre de chemines calcul"/></td>
							<td id="Apercu_value" class="dataValue">							
								
							</td>
						</tr>
						
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:getMessage code="FF10A" alt="Nombre de cocottes calcul"/></td>
							<td id="Apercu_value" class="dataValue">							
								
							</td>
						</tr>
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:getMessage code="FF10B" alt="Plan Qualit Tourisme"/></td>
							<td id="Apercu_value" class="dataValue">							
								
							</td>
						</tr>
						
						<tr class="fieldline">
							<td id="DosVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>
						
						<fl:fieldRead property="Ds_DateAudit"/>
						
						<fl:fieldRead property="Ds_Typologie"/>
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:label code="FF0C7" label="Cabinet d'audit"/></td>
							<td id="Apercu_value" class="dataValue">							
								<fl:getProperty name="Dossier_" property="Ds_CabinetAudit" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_enterprise.fl\") %>" postText="" alt=""/>
							</td>
						</tr>
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:label code="FF0C8" label="Auditeur"/></td>
							<td id="Apercu_value" class="dataValue">							
								<fl:getProperty name="Dossier_" property="Ds_Auditeur" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_person.fl\") %>" postText="" alt=""/>
							</td>
						</tr>
						<tr class="fieldline">
							<td id="SolVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>
						<tr class="fieldline">
							<td id="SolVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>
						<tr class="fieldline">
							<td id="SolVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>
						<tr class="fieldline">
							<td id="Dossier_label" class="dostabtitle" colspan="0"><fl:getMessage code="LF047" alt="Le dtail des critres obligatoires Logis valids ou non valids avec le commentaire associ ?"/></td>
							
						</tr>						
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:getMessage code="FF10C" alt="Les nombres de points totaux possibles"/></td>
							<td id="Apercu_value" class="dataValue">							
								
							</td>
						</tr>
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:getMessage code="FF10D" alt="Les nombres de points obtenus"/></td>
							<td id="Apercu_value" class="dataValue">							
								
							</td>
						</tr>
						<tr class="fieldline">
							<td id="Dossier_label" class="dataLabel"><fl:getMessage code="FF10E" alt="Les nombres de points non mesurs"/></td>
							<td id="Apercu_value" class="dataValue">							
								
							</td>
						</tr>
				</table>
			</div>
	</fl:sTab>

	<fl:sTab id="Classements" title="<%= Utils.getMessage(session, \"FF214\", \"Classements\") %>" onselect="refreshClassements();">
		<fl:grid name="CLAS_EMB2" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CLAS_EMB2&Cl_Dossier=\" + id  %>"/>
		<div><br/></div>
	</fl:sTab>


	<fl:sTab id="AttFiles" title="<%=Utils.getMessage(session, \"L201C\", false, true, \"Fichiers\")%>">
			<table>
				<fl:fieldRead property="Ds_Fichiers"/>
			</table>
	</fl:sTab>
	
	
	</fl:smallTabs>
</fl:bigTabs>