<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest"%>
<%@ page import="com.edeal.frontline.FlContext"%>
<%@ page import="com.edeal.frontline.DataDictionary"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException"%>
<%@ page import="com.edeal.frontline.custom.Dossier_Bean"%>
<%@ page import="com.edeal.frontline.custom.Classement_Bean"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Dossier_Bean" id="Dossier_" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	

	try {
	    id = Dossier_.getID();
	} catch (FieldNotInitializedException fnie) {}

    // ramener les ids des 13 tats possibles du Dossier
    /*
    MIS_PREV 	Mission prvisionnelle 	 +
	MIS_COMM 	Mission commande	+
	MIS_CONF 	Mission confirme	+
	MIS_EFFE 	Mission effectue 	 
	DOS_CREE 	Dossier cr	+
	PROS_MARQ 	Propose au comit de la marque	+ 
	VALI_MARQ 	Valide au comit de la marque
	NOTIF_MARQ 	Notifie suite au comit de la marque 	 
	DEM_APP 	Demande d'appel
	PROP_APP 	Propose au comit d'appel 	 
	VALI_APP 	Valide au comit d'appel 	 
	NOTIF_APP 	Notifie suite au comit d'appel 	 
	NON_PROP 	Non propos aux comits
    */
    
    String missPrevState = null;
    String missCommandee = null;
    String missConfirmee = null;
    String missEffectuee = null;
    String dossCree = null;
    String dossProp = null;
    String dossValide = null;
    String dossNotifie = null;
    String dossDemAppel = null;
    String dossPropAppel = null;
    String dossValidAppel = null;
    String dossNotifAppel = null;
    String dossNonPropose = null;
    
    
    try {
	   	missPrevState = dico.getRefIdByCode("Ds_", "Te1", "MIS_PREV");
    	missCommandee = dico.getRefIdByCode("Ds_", "Te1", "MIS_COMM");
    	missConfirmee = dico.getRefIdByCode("Ds_", "Te1", "MIS_CONF");
    	missEffectuee = dico.getRefIdByCode("Ds_", "Te1", "MIS_EFFE");
    	dossCree = dico.getRefIdByCode("Ds_", "Te1", "DOS_CREE");
    	dossProp = dico.getRefIdByCode("Ds_", "Te1", "PROS_MARQ");
    	dossValide = dico.getRefIdByCode("Ds_", "Te1", "VALI_MARQ");
    	dossNotifie = dico.getRefIdByCode("Ds_", "Te1", "NOTIF_MARQ");
    	dossDemAppel = dico.getRefIdByCode("Ds_", "Te1", "DEM_APP");
    	dossPropAppel = dico.getRefIdByCode("Ds_", "Te1", "PROP_APP");
    	dossValidAppel = dico.getRefIdByCode("Ds_", "Te1", "VALI_APP");
    	dossNotifAppel = dico.getRefIdByCode("Ds_", "Te1", "NOTIF_APP");
    	dossNonPropose = dico.getRefIdByCode("Ds_", "Te1", "NON_PROP");
    	
    } catch (Exception e) {
        missPrevState = "";
        missCommandee = "";
        missConfirmee = "";
        missEffectuee = "";
        dossCree = "";
        dossProp = "";
        dossValide = "";
        dossNotifie = "";
        dossDemAppel = "";
        dossPropAppel = "";
        dossValidAppel = "";
        dossNotifAppel = "";
        dossNonPropose = "";
    }
    
 	// Dtecter l'tat du Dossier
    String statutID;
    try {
    	statutID = Dossier_.getDs_Statut();
    } catch (FieldNotInitializedException e) {
    	statutID = missPrevState; /* Par dfaut on considre le dossier comme mission prvissionnelle */
    }
	
 	// L'htel conecern par le dossier
    String hotelID = null;
    try {
    	hotelID = Dossier_.getDs_HotelID();
    } catch (FieldNotInitializedException e) {
    }
    
 	// La typologie du Dossier
    String typoID = null;
    try {
    	typoID = Dossier_.getDs_Typologie();
    } catch (FieldNotInitializedException e) {
    }

    // dtecter si le dossier ast affect  un comit
    String comiteID = null;
    try {
    	comiteID = Dossier_.getDs_Comite();
    } catch (FieldNotInitializedException e) {
    }
    
%>
<script language="javascript">


function doDelete(){

	if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
		window.parent.location = '<fl:link url="<%= \"/delete_dossier_.fl?id=\" + id%>"/>';
	}		
}

function comite() {
	window.open('<fl:link list="false" url="<%= \"/affecter_dossier_.fl?$$presentFields=&id=\" + id %>"/>','Dossier_', 'width=750,height=310,scrollbars=yes,resizable=yes,toolbar=no');
}

function cabinet() {
	window.open('<fl:link list="false" url="<%= \"/rattacher_cabinet.fl?$$presentFields=&id=\" + id %>"/>','Dossier_', 'width=750,height=310,scrollbars=yes,resizable=yes,toolbar=no');
}

function genererFicheVal(id,obj,informat) {
	format = "Word";
	if (informat && informat == "PDF") {
		format = "PDF";
	}
	window.open('<fl:webapp/>/fusion_document.fl?format=' + format + '&idObj='+id+'&object='+obj, 'listOpp', 'menubar=no,status=no,toolbar=no,scrollbars=auto,resizable=yes,width=860,height=460');
	window.location.href='<fl:link url="<%= \"/proposer_dossier_.fl?initDs_ID=\" + id%>"/>';
}

function genererFicheValAppel(id,obj,informat) {
	format = "Word";
	if (informat && informat == "PDF") {
		format = "PDF";
	}
	window.open('<fl:webapp/>/fusion_document.fl?format=' + format + '&idObj='+id+'&object='+obj, 'listOpp', 'menubar=no,status=no,toolbar=no,scrollbars=auto,resizable=yes,width=860,height=460');
	window.location.href='<fl:link url="<%= \"/prop_appel_dossier_.fl?initDs_ID=\" + id%>"/>';
}
</script>


 
<fl:access operation="edit" name="Dossier_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/edit_dossier_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="delete" name="Dossier_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="javascript:doDelete();">
                    <p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="edit" name="Dossier_">

<%
if( statutID.equalsIgnoreCase(missPrevState)){%>
   <!-- 
   <tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
			<a href="javascript:cabinet()">
				<p class="actions_tabletext"><fl:getMessage code="LF119" alt="Rattacher la mission  un cabinet d'audit"/></p>
			</a>
		</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>	
   -->
   <tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
          	<a href="javascript:cabinet()">
				<p class="actions_tabletext"><fl:getMessage code="LF0FC" alt="Commander la mission d'audit"/></p>
			</a>
		</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>
   
   <tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
			<a href="<fl:link url="<%= \"/dossier_special.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">
				<p class="actions_tabletext"><fl:getMessage code="LF0FF" alt="Crer le dossier spcial"/></p>
			</a>
		</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>
   
<%} else if(statutID.equalsIgnoreCase(missCommandee)) {%>	
   <tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
          	<a href="javascript:verifPresenceCabinetAudit()">
				<p class="actions_tabletext"><fl:getMessage code="LF0FD" alt="Confirmer la commande"/></p>
			</a>
		</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>
<%} else if (statutID.equalsIgnoreCase(missConfirmee)) {%>
   
   <tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
          	<a href="javascript:cabinet()">
				<p class="actions_tabletext"><fl:getMessage code="LF10A" alt="Re-Commander la mission d'audit"/></p>
			</a>
		</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>

   <tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
			<a href="<fl:link url="<%= \"/real_mission_dossier_.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">
				<p class="actions_tabletext"><fl:getMessage code="LF0FE" alt="Raliser la commande"/></p>
			</a>
		</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>
<%} else if (statutID.equalsIgnoreCase(missEffectuee)) {%>
	<tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
			<a href="<fl:link url="<%= \"/integrer_resultat_dossier_.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">
				<p class="actions_tabletext"><fl:getMessage code="LF100" alt="Intgrer les rsultats de l'audit"/></p>
			</a>
		</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>
   
   	<tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
			<a href="<fl:link url="<%= \"/dossier_special.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">
				<p class="actions_tabletext"><fl:getMessage code="LF0FF" alt="Crer le dossier spcial"/></p>
			</a>
		</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>
<%} else if (statutID.equalsIgnoreCase(dossCree)) {%>
	<tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
			<a href="javascript:comite()">
				<p class="actions_tabletext"><fl:getMessage code="LF106" alt="Affecter  un comit"/></p>
			</a>
			</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>
   <% if(comiteID != null) { %>
   <tr>
       <td class="actions_cell_left"></td>
       <td>
          	<div class="actions_tablecell_1">
			<a href="javascript:genererFicheVal('<%=id%>','Dossier_','Word');">
				<p class="actions_tabletext"><fl:getMessage code="LF107" alt="Gnrer la fiche de validation"/></p>
			</a>
		</div>
       </td>
       <td class="actions_cell_right"></td>
   </tr>
   <tr>
       <td class="actions_cell_left"></td>
       <td class="actions_tablecell_seperator"></td>
       <td class="actions_cell_right"></td>
   </tr>
   <%} %>
<%} else if (statutID.equalsIgnoreCase(dossProp)) {%>
<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
		<a href="<fl:link url="<%= \"/create_classement_.fl\" + ( id != null ? \"?initCl_Dossier=\" + id : \"\") + (  hotelID != null ? \"&initCl_Tiers=\" + hotelID : \"\") + (  comiteID != null ? \"&initCl_Comite=\" + comiteID : \"\") + (  typoID != null ? \"&initCl_DossClassType=\" + typoID : \"\")%>"/>">
			<p class="actions_tabletext"><fl:getMessage code="LF102" alt="Saisir la dcision"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>

<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
   	 	<a href="javascript:verifPresenceDecision()">
			<p class="actions_tabletext"><fl:getMessage code="LF198" alt="Valider la dcision au Comit de la marque"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>

<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
		<a href="<fl:link url="<%= \"/refaire_dossier_.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">
			<p class="actions_tabletext"><fl:getMessage code="LF103" alt="Refaire le Dossier"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>
<%} else if (statutID.equalsIgnoreCase(dossValide)) {%>
<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
		<a href="<fl:link url="<%= \"/notifier_dossier_.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">
			<p class="actions_tabletext"><fl:getMessage code="LF104" alt="Notifier l'hotl"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>
<%} else if (statutID.equalsIgnoreCase(dossNotifie)) {%>
<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
		<a href="<fl:link url="<%= \"/dem_appel_dossier_.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">
			<p class="actions_tabletext"><fl:getMessage code="LF105" alt="Demande d'appel"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>
<%} else if (statutID.equalsIgnoreCase(dossDemAppel)) {%>
<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
		<a href="javascript:genererFicheValAppel('<%=id%>','Dossier_','Word');">
			<p class="actions_tabletext"><fl:getMessage code="LF107" alt="Gnrer la fiche de validation"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>
<%} else if (statutID.equalsIgnoreCase(dossPropAppel)) {%>
<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
		<a href="<fl:link url="<%= \"/create_classement_.fl\" + ( id != null ? \"?initCl_Dossier=\" + id : \"\") + (  hotelID != null ? \"&initCl_Tiers=\" + hotelID : \"\") + (  comiteID != null ? \"&initCl_Comite=\" + comiteID : \"\") + (  typoID != null ? \"&initCl_DossClassType=\" + typoID : \"\")%>"/>">
			<p class="actions_tabletext"><fl:getMessage code="LF102" alt="Dcision sur le dossier"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>

<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
   	<a href="javascript:verifPresenceDecision()">
   		<p class="actions_tabletext"><fl:getMessage code="LF198" alt="Valider la dcision au Comit de la marque"/></p>
	</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>

<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
		<a href="<fl:link url="<%= \"/dem_appel_dossier_.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">	
			<p class="actions_tabletext"><fl:getMessage code="LF11E" alt="Re-Demander en Appel"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>

<%} else if (statutID.equalsIgnoreCase(dossValidAppel)) {%>
<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
		<a href="<fl:link url="<%= \"/notifier_appel_dossier_.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">
			<p class="actions_tabletext"><fl:getMessage code="LF104" alt="Notifier l'hotl"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>
<%}

// Ne plus proposer le dossier ou la mission dans les cas suivants
if (statutID.equalsIgnoreCase(missPrevState) || statutID.equalsIgnoreCase(missCommandee) || statutID.equalsIgnoreCase(missConfirmee) || statutID.equalsIgnoreCase(dossProp) || statutID.equalsIgnoreCase(dossCree)) {%>
<tr>
<td class="actions_cell_left"></td>
<td>
   	<div class="actions_tablecell_1">
		<a href="<fl:link url="<%= \"/annuler_mission_dossier_.fl\" + (id != null? \"?initDs_ID=\" + id : \"\") %>"/>">
			<p class="actions_tabletext"><fl:getMessage code="LF108" alt="Ne plus proposer aux comits"/></p>
		</a>
	</div>
</td>
<td class="actions_cell_right"></td>
</tr>
<tr>
<td class="actions_cell_left"></td>
<td class="actions_tablecell_seperator"></td>
<td class="actions_cell_right"></td>
</tr>
<%} %>
</fl:access>
