<%
/******************************************************************************
 * Copyright (c) 2000-2008 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.PopulationBean" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
boolean canGenerate = true;

String statusID = flRequest.getParameter("statusID");
String statusType = flRequest.getParameter("statusType");
String id = flRequest.getParameter("id");
if (id == null) {
	id = "";
}

try {
	PopulationBean.getGeneration(context, 0);
} catch (FrontlineException ex) {
	canGenerate = false;
}
%>
<html>
<head>
	<title><fl:getMessage code="L2025" alt="E-DEAL"/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
  	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
  	<script type="text/javascript" language="javascript">
	var alreadyAsked  = false;
	
  	function check_popname() {
  		var f = document.forms[0];
  		if (!f.SelName.value) {
  			alert('<fl:getMessage code="M0018" alt="Veuillez spcifier le nom de la population." js="true"/>');
  			return;
  		}
		var url = '<fl:webapp/>/check_event_popname.fl?field=PopName';
		url += "&type=Population";
		url += "&value=" + f.SelName.value;
		url += "&msg=<%= flRequest.urlEncode(Utils.getMessage(session, "M0019", true, "Une population portant le mme nom existe dj.\nVeuillez en choisir un autre.")) %>";
		ajaxResponseWaited = true;
		doAjax(url);
	}
	
	function generate() {
		if (!alreadyAsked) {
			check_popname();
		}
	}
	
	function submit() {
		document.forms[0].submit();
	}
	
	function doSubmit() {
		return true; 
	}
  	</script>
</head>
<body style="padding-right: 10px">
	<div id="object_css" style="top:0px;left: 0px;height:100%;">
		<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L63DA\", false, true, \"Cration d'une population\") %>">
		<%
			if (canGenerate) {
		%>
				<form action="<fl:webapp/>/generate_pop_from_event.fl">
					<input type="hidden" name="oldPopID" value="">
					<input type="hidden" name="id" value="<%= id %>">
					<input type="hidden" name="statusID" value="<%= statusID == null ? "" : statusID %>">
					<input type="hidden" name="statusType" value="<%= statusType %>">
					<input type="hidden" name="SfwID" value="<%= flRequest.getParameter("SfwID") %>">
					<table class="container" cellpadding="0">
					    <tr class="fieldline">
							<td colspan="5">
			             		<table>
			             			<tr> 
			             				<td class="labelTitreFiche" ><fl:label field="SfwName" labelClassName="titreFiche"/></td>
							            <td class="fieldTitreFiche" colspan="5"><fl:input property="SelName" mandatoryMsgCode="M3033" onchange="void(alreadyAsked = false);"/></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr class="ligne_separation"><td></td></tr>
						<tr>
							<td class="column2">
								<table class="container" cellpadding="0">
									<tr class="fieldline">
										<td class="dataLabel"><fl:getMessage code="F6148" alt="Auto suppression"/></td>
										<td class="dataValue">
											<input type="checkbox" name="PopAutoDel">
										</td>							
									</tr>
								</table>						
							</td>
							<td class="separation"><div class="separation"></div></td>
							<td class="column2"></td>
						</tr>				
					</table>
				</form>
		<%
			} else {
		%>
				<table class="container" cellpadding="0">
					<tr>
						<td><fl:getMessage code="M6021" alt="Trop de gnration en cours. Veuillez ressayer ultrieurement." js="true"/></td>
					</tr>
				</table>
				<div align="center">
					<a href="#" onclick="self.close();"><img src="<fl:link url="/icons/ico/cochevalid.gif"/>" border="0" alt="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>" title="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>"></a>
				</div>
		<%
			}
		%>
		</fl:bigTabs>
		<br>
		<div align="center">
			<a href="javascript:generate();"><img src="<fl:webapp/>/icons/ico/valid_green_long.gif" border="0" alt="<fl:getMessage code="A2001" alt="Valider"/>" title="<fl:getMessage code="A2001" alt="Valider"/>"></a>
			<a href="javascript:window.close();"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif" border="0" alt="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>" title="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>"></a>
		</div>
	</div>
	<div id="waiting" style="display:none"><fl:getMessage code="L639B" alt="Chargement ..."/></div>
</body>
</html>
