<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.EventBean" %>
<%@ page import="java.util.Hashtable" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String evtID = flRequest.getParameter("id");

String evtLabel = null;
try {
	EventBean 	evtBean  = new EventBean(evtID,context);
	evtLabel = evtBean.getEvtLabel();
}catch (FieldNotInitializedException e){
}catch (FrontlineException e){}

String evtFields[] = {
    "EvtID","EvtStatus0", "EvtStatus1", "EvtStatus2", "EvtStatus3", "EvtStatus4", "EvtStatus5", "EvtStatus6", "EvtStatus7", 
    "EvtStatus8", "EvtStatus9"
};
String evtQuery[][] = {
    {
        "EvtID = " + Utils.formatToSQL(context, evtID)
    }
};
Vector evtRes = new Vector();
Utils.showQuery(evtFields,evtQuery);
try
{
    evtRes = EventBean.listSummary(session, evtFields, evtQuery);
} catch(FrontlineException frontlineexception) { }
        

%>
<script language="javascript" src="<fl:webapp/>/js/tooltip_js.jsp">
</script>
<script language="javascript">
function doSearch() {
	var f = window.document.forms['searchForm'];
	if (f.EvtStatus) {
		_grid__GUEST_js_.render("EvtStatus",f.EvtStatus.value);
	}
}

function updateStatus(pvtID){
	f = document.forms[0];
	var status = f.elements['EvtStatus'+pvtID].value;	
	url = "<fl:webapp/>/save_object_ajax.fl?type=PersonEvent&$$presentFields=&id="+pvtID+"&PvtStatus="+status;
	doAjax(url);
}

function doSubmit() {
	return true;
}

function formResponseValidation(perid,formresponseid) {
	var url="<fl:webapp/>/formresponse_validate.fl?id="+perid+"&frpid="+formresponseid;
	window.open(url,"validation");
	
}

// tooltip(link, event, content, caption)
function formResponsePreview_callback(link,event) {
	var cb=function(arrIndex) {
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
				hideWaiting();
				content=eDealXmlhttpArr[arrIndex].responseText;
				tooltip(link,event,content);
			}
	};
	return cb;
}

function formResponsePreview(link,event,formresponseid) {
	var url="<fl:webapp/>/read_formresponse_ajax.fl?id="+formresponseid;
	doAjax(url,formResponsePreview_callback(link,event))
}	

function doOnLoad(){
	_grid__GUEST_js_.render()
}
</script>


<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L6546\", \"Liste des invités\") %>" ou="/list_guest.fl?id=<%= evtID %>" ignoreCriteria="true" ignoreList="true" >
	<form name="searchForm" id="searchForm" action="javascript:doSearch();">
			<table class="container" cellpadding="0">
				<tr>
					<td class="dataLabel">
						<fl:getMessage code="L305F" alt="Evénement"/>
						<a href="<fl:link url="<%=\"/read_event.fl?id=\"+ evtID %>"/>">
							<%= Utils.formatToWeb(evtLabel,false) %>
						</a>
					</td>

					<td class="dataLabel">
						<fl:getMessage code="F1010" alt="Statut"/> 
						<select name="EvtStatus">
						<option value=""><fl:getMessage code="L6142" alt="Tous"/></option>
	<% 		Hashtable evt = (Hashtable) evtRes.elementAt(0);
			for (int j=0 ; j < 10 ; j++) {
					
					String propName = "EvtStatus" + new Integer(j).toString();
					if (evt.get(propName) != null) {
	%>
	
						<option value="<%= j%>"><%= evt.get(propName)%></option>;
					
	<%				}
				}
	%>
						</select>
					</td>
					<td class="separation" align="right" style="background-repeat:repeat-y;background-position:right;padding-right:0;"></td>
					<td align="left" width="16%">
						<input type="image" src="<fl:webapp/>/icons/ico/valid_green2_long.gif" border="0" tabindex="999">
					</td>
				</tr>
				<tr><td colspan="5" class="ligne_separation"/></tr>
				<tr class="ligne_separation_couleur"><td colspan="5"></td></tr>
				<tr><td colspan="5" class="ligne_separation"/></tr>
			</table>
			<div style="width: 100%">
				<%-- The line below was a workaround for this list that was not handling pagination : the workaround always displays all the results, in a single page --%>
				<%--
				<fl:grid name="GUEST" width="100%" height="400" ajaxUrl="/list_guest_ajax.fl?GUEST_$$nb=0">
				--%>
				<fl:grid name="GUEST" width="100%" height="100%" ajaxUrl="/list_guest_ajax.fl">
				</fl:grid>
			</div>
	</form>
</fl:bigTabs>
