<%/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/%>
<%@ page session="true" %>
<%@ page import="java.util.*" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.AccessControlManager" %>
<%@ page import="com.edeal.frontline.SalesInvestBean" %>
<%@ page import="com.edeal.frontline.GuestListBean" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.helper.EventBaseHelper.EventCategory" %> 
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.EventBean" id="Event" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
	
String id = null;
try {
	id = Event.getEvtID();
} catch(FieldNotInitializedException e) {
}

String eventCategoryID = null;
try {
	eventCategoryID = Event.getEvtCategory();
} catch (FieldNotInitializedException e) {
	eventCategoryID ="";
}

String eventCategory = null;
try {
	eventCategory = (String) dico.getRefDisp("Ect", "Te2", eventCategoryID);
} catch (Exception e) {
}
	
boolean isActiveSalesInvest = SalesInvestBean.isSalesInvestActive(context);

boolean isSalesInvest = false;
try {
	isSalesInvest = Event.isEvtIsSalesInvest();
} catch (FieldNotInitializedException e) {
}
boolean isGuestRefresh = false;
try {
	String[] field = { "GliID" };
	String[][] query = { { "GliEvtID = " + Utils.formatToSQL(context,id) } };
	Vector listGli = GuestListBean.listSummary(context, field, query);
	isGuestRefresh = listGli != null && listGli.size() > 0;
} catch (FrontlineException e) {
}

String sfwID = (String) flRequest.getRequestParameterOrAttribute("SfwID");

    // on dtcte le type de l'vnement
	String typEvt = "";
    try {
		typEvt = Event.getEvtCategory();
	} catch (FieldNotInitializedException e) {}

	// On rcupre l'ID de l'acteur connect
	String actID = null;
	boolean fHasRightModif = false;
	boolean fHasRightSupp = false;
	if (session != null) {
	  actID = (String)session.getAttribute("effectiveActorID");
	  if (actID == null) {
	    actID = (String)session.getAttribute("actorID");
	    if (actID == null) {
	      throw new FrontlineException("there is not an actor ID in session");
	    }
	  }
	}
	
	try {
		ActorBean act = new ActorBean(actID, context);
		Vector<String> actRolesIDs = new Vector<String>();
		Vector<String> vEvtActID = new Vector<String>();
		// On rcupre lese roles
		actRolesIDs.addAll(act.getRoles());
	
		String roleADMID = dico.getRefIdByCode("ActRoles", "ADMIN"); /* Role Administrateur*/
		String roleTECHADMID = dico.getRefIdByCode("ActRoles", "S_ADM_TECH"); /* Role Administrateur Technique*/
		
		String role1ID = dico.getRefIdByCode("ActRoles", "D_ATTACH_DIR"); /* Role Attache de Direction*/
		String role2ID = dico.getRefIdByCode("ActRoles", "D_SECR_DIR"); /* Role Secretariat de direction */
		String role3ID = dico.getRefIdByCode("ActRoles", "R_RESP_RES_AFFIL"); /* Role Responsable Affilies */
		String role4ID = dico.getRefIdByCode("ActRoles", "ASSO_SAL"); /* Role Association avec Salari */
		String role5ID = dico.getRefIdByCode("ActRoles", "ASSO_SANS_SAL"); /* Role Association sans Salari*/
		String role6ID = dico.getRefIdByCode("ActRoles", "D_DIR_PRES"); /* Role Directeur/Prsident*/
		String role7ID = dico.getRefIdByCode("ActRoles", "J_RESP_POLE_JUR"); /* Role Responsable Ple Rseau - Juridique - Qualit*/
		String role8ID = dico.getRefIdByCode("ActRoles", "R_ASSIST_RES_AFFIL"); /* Role Assistant Rseau Affilis */
		
		if(!(actRolesIDs.isEmpty())) {
			// on prend le 1er role de l'acteur connect
			String actRoleIDactuel = actRolesIDs.get(0).toString();
			if (actRoleIDactuel.equals(roleADMID)) {
				fHasRightModif =true;
				fHasRightSupp =true;
			} else if (actRoleIDactuel.equals(roleTECHADMID)) {
				fHasRightModif =true;
				fHasRightSupp =false;
			} else if ( (typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "AGFED")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "CAFED")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "BNASSO"))) && ( actRoleIDactuel.equals(role4ID) || actRoleIDactuel.equals(role5ID)) ) {
				fHasRightModif =true;
				fHasRightSupp =true;
			} else if ( (typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "SEM")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "CONG")) ) && (actRoleIDactuel.equals(role6ID) || actRoleIDactuel.equals(role2ID)) ) {
				fHasRightModif =true;
				fHasRightSupp =true;
			} else if ( (typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "CM")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "COM")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "COPIL"))) && (actRoleIDactuel.equals(role8ID))) {
				fHasRightModif =true;
				fHasRightSupp =true;
			} else if ( (typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "AGFED")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "CAFED")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "BNFED")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "CM")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "COM")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "COPIL"))) && (actRoleIDactuel.equals(role7ID)) ) {
				fHasRightModif =true;
				fHasRightSupp =true;
			} else if ( (typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "AGFED")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "CAFED")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "BNFED")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "CM")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "COM")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "COPIL")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "SEM")) || typEvt.equals((String)dico.getRefIdByCode("EvtCategory", "CONG")) )  && (actRoleIDactuel.equals(role1ID)) ) {
				fHasRightModif =true;
				fHasRightSupp =true;
			}
			
			/*On vrifie si l'acteur connect appartient aux propritaires de l'objet*/
			try {
				// On rcupre les IDs des acteurs de l'vnement
				vEvtActID.addAll(Event.getEvtActors());
			} catch (FieldNotInitializedException e) {
				//nothing todo
			}
			
			for (int i = 0; i < vEvtActID.size(); i++) {
				if (actID.equals(vEvtActID.get(i))) {
					fHasRightModif =true;
					fHasRightSupp =true;
				} 
			}
		}
		
		} catch (FrontlineException e) {
		}
	
		// vrifier si on a un Evnement AG  l'tat Ouvert
		// Types du statut de l'Evenement 
		String openStatutType = null;
		String closedStatutType = null;
		try {
			openStatutType = (String) dico.getRefIdByCode("EvtStatut_", "OPEN");
			closedStatutType = (String) dico.getRefIdByCode("EvtStatut_", "CLOSED");
		} catch (Exception e) {
		}
	
		// Type de l'Evenementt ag	ASSO
		String eventTypeAssoID = null;
		try {
			eventTypeAssoID = (String) dico.getRefIdByCode("EvtCategory", "AGASSO");
		} catch (Exception e) {
		}
		
		// Type de l'Evenementt ag	FIL
		String eventTypeFedID = null;
		try {
			eventTypeFedID = (String) dico.getRefIdByCode("EvtCategory", "AGFED");
		} catch (Exception e) {
		}
		
	 	// le statut
		String eventStatut_ID = null;
		try {
			eventStatut_ID = (String)Event.getCustomProperty("EvtStatut_");
		} catch (FieldNotInitializedException e){
			eventStatut_ID = "";
		}
		
%>
<script type="text/javascript" language="javascript">
function doDelete(){
	if (window.confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>') == true) {
		window.location = '<fl:link url="<%= \"/delete_evenement.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>';
	}
}

function delSales(id) {
	var fenetreChoix = window.open('<fl:webapp/>/delete_event_salesinvest.fl?evtID='+id , 'DelSalesInvest' , 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=500,height=180');
}

function changeSales(id) {
	var fenetreChoix = window.open('<fl:webapp/>/calculate_event_salesinvest.fl?evtID='+id , 'DelSalesInvest' , 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=500,height=180');
}

function doCreateGuestList(id) {
	var fenetreChoix = window.open('<fl:webapp/>/create_guestlist.fl?evtID=' + id + '&SfwID=<%=sfwID%>' , 'CreateGuestList' , 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=500,height=180');
}

function doRefreshGuestList(id) {
	var fenetreChoix = window.open('<fl:webapp/>/refresh_guestlist.fl?evtID=' + id + '&SfwID=<%=sfwID%>', 'RefreshGuestList' , 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=500,height=180');
}
function doWord(id,obj,informat) {
	format = "Word";
	if (informat && informat == "PDF") {
		format = "PDF";
	}
	window.open('<fl:webapp/>/fusion_document.fl?format=' + format + '&idObj='+id+'&object='+obj, 'listOpp', 'menubar=no,status=no,toolbar=no,scrollbars=auto,resizable=yes,width=860,height=460');
}

function copyEvent() {
	window.location = '<fl:link url="<%= \"/copy_event.fl?id=\" + id %>"/>';
}

function doPremierAppel() {
	
}

function doPriseRDV() {
	
}

function doSouhaiteRDV() {
	
}

function doSouhaiteDevis() {
	
}

function doAfficherPlus() {
	
}

</script>

	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1 actions_nolabel">
				<a class="doc_fusion word" title="<fl:getMessage code="L6126" alt="Gnrer Document Word"/>" href="javascript:doWord('<fl:getProperty name="Event" property="EvtID" alt=""/>','Event','Word');">
					<img src="<fl:webapp/>/icons/ico_word_inv.gif" border=0 width="15" height="15" alt="<fl:getMessage code="L6126" alt="Gnrer Document Word"/>">
				</a>&nbsp;
				<a  class="doc_fusion pdf" title="<fl:getMessage code="L6557" alt="Gnrer Document PDF"/>" href="javascript:doWord('<fl:getProperty name="Event" property="EvtID" alt=""/>','Event', 'PDF');">
					<img src="<fl:webapp/>/icons/ico_acrobat_inv.gif" border=0 width="15" height="15" alt="<fl:getMessage code="L6557" alt="Gnrer Document PDF"/>">
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
<% if (fHasRightModif) {
%>
<fl:access name="Event" operation="edit">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/edit_event.fl?id=\" + Event.getID() %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%}
if (openStatutType.equalsIgnoreCase(eventStatut_ID) && ( eventCategoryID.equalsIgnoreCase(eventTypeAssoID) || eventCategoryID.equalsIgnoreCase(eventTypeFedID) )) {
%>
<fl:access name="Event" operation="edit">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
           	<div class="actions_tablecell_1">
					<a href="<fl:link list="true" url="<%= \"/cloturer_evenement.fl?id=\" + Event.getID() %>"/>">	
						<p class="actions_tabletext"><fl:getMessage code="LF0F8" alt="Clturer l'vnement"/></p>
					</a>
			</div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%}
  if(fHasRightSupp) {
%>
<fl:access name="Event" operation="delete">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
           <a href="javascript:doDelete()">
                    <p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%} %>
<fl:access name="Event" operation="Create">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link url="<%= \"/duplicate_event.fl?id=\" + id  %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="L662A" alt="Dupliquer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<!--  
<% /*if (!isGuestRefresh) { */%>
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
           <a href="javascript:doCreateGuestList('<%/* id */%>')">
                    <p class="actions_tabletext"><fl:getMessage code="L6544" alt="Renvoyer validations"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
 
<%/* } else { */%>
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
           <a href="javascript:doRefreshGuestList('<%/* id */%>');">
                    <p class="actions_tabletext"><fl:getMessage code="L6547" alt="Rafrachir liste validation"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
  
<%/* } */%>
  
 -->  
   
<% if (isActiveSalesInvest && isSalesInvest) { 
%>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="javascript:changeSales('<%= id %>');">
                    <p class="actions_tabletext"><fl:getMessage code="L64F8" alt="Recalculer Invest. Ciaux"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="javascript:delSales('<%= id %>');">
                    <p class="actions_tabletext"><fl:getMessage code="L64F9" alt="Suppr. Invest. Ciaux"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
<% 
	} 
%>

	
	<fl:access operation="create" name="PersonEvent">
		<tr>
			<td class="actions_cell_left"></td>
			<td class="actions_tablecell_seperator"></td>
			<td class="actions_cell_right"></td>
		</tr>
		<tr>
			<td class="actions_cell_left"></td>
			<td>
				<div class="actions_tablecell_1">
					<a href="javascript:doInscription();">
						<p class="actions_tabletext"><fl:getMessage code="F80AF" alt="Inscription"/> +</p>
					</a>
				</div>
			</td>
			<td class="actions_cell_right"></td>
		</tr>
		
	</fl:access>
	
<% 	if (EventCategory.TMK.toString().equals(eventCategory)) { %>		
	<fl:access operation="create" name="PersonEvent">
		<tr>
			<td class="actions_cell_left"></td>
			<td class="actions_tablecell_seperator"></td>
			<td class="actions_cell_right"></td>
		</tr>
		<tr>
			<td class="actions_cell_left"></td>
			<td>
				<div class="actions_tablecell_1">
					<a href="javascript:doAssignCall();">
						<p class="actions_tabletext"><fl:getMessage code="L819F" alt="Affecter appels"/></p>
					</a>
				</div>
			</td>
			<td class="actions_cell_right"></td>
		</tr>
		
	</fl:access>
<% } %>
<fl:access name="Event" operation="edit">
		<tr>
			<td class="actions_cell_left"></td>
			<td class="actions_tablecell_seperator"></td>
			<td class="actions_cell_right"></td>
		</tr>
		<tr>
			<td class="actions_cell_left"></td>
			<td>
				<div class="actions_tablecell_1">
					<a href="javascript:doPremierAppel();">
						<p class="actions_tabletext"><fl:getMessage code="LF022" alt="Premier Appel"/></p>
					</a>
				</div>
			</td>
			<td class="actions_cell_right"></td>
		</tr>
</fl:access>
<fl:access name="Event" operation="edit">
		<tr>
			<td class="actions_cell_left"></td>
			<td class="actions_tablecell_seperator"></td>
			<td class="actions_cell_right"></td>
		</tr>
		<tr>
			<td class="actions_cell_left"></td>
			<td>
				<div class="actions_tablecell_1">
					<a href="javascript:doPriseRDV();">
						<p class="actions_tabletext"><fl:getMessage code="LF023" alt="Prise de RDV"/></p>
					</a>
				</div>
			</td>
			<td class="actions_cell_right"></td>
		</tr>
</fl:access>
<fl:access name="Event" operation="edit">
		<tr>
			<td class="actions_cell_left"></td>
			<td class="actions_tablecell_seperator"></td>
			<td class="actions_cell_right"></td>
		</tr>
		<tr>
			<td class="actions_cell_left"></td>
			<td>
				<div class="actions_tablecell_1">
					<a href="javascript:doSouhaiteDevis();">
						<p class="actions_tabletext"><fl:getMessage code="LF024" alt="Souhaite Devis"/></p>
					</a>
				</div>
			</td>
			<td class="actions_cell_right"></td>
		</tr>
</fl:access>
<fl:access name="Event" operation="edit">
		<tr>
			<td class="actions_cell_left"></td>
			<td class="actions_tablecell_seperator"></td>
			<td class="actions_cell_right"></td>
		</tr>
		<tr>
			<td class="actions_cell_left"></td>
			<td>
				<div class="actions_tablecell_1">
					<a href="javascript:doSouhaiteRDV();">
						<p class="actions_tabletext"><fl:getMessage code="LF025" alt="Souhaite RDV"/></p>
					</a>
				</div>
			</td>
			<td class="actions_cell_right"></td>
		</tr>
</fl:access>
<fl:access name="Event" operation="edit">
		<tr>
			<td class="actions_cell_left"></td>
			<td class="actions_tablecell_seperator"></td>
			<td class="actions_cell_right"></td>
		</tr>
		<tr>
			<td class="actions_cell_left"></td>
			<td>
				<div class="actions_tablecell_1">
					<a href="javascript:doAfficherPlus();">
						<p class="actions_tabletext"><fl:getMessage code="LF026" alt="Afficher plus"/></p>
					</a>
				</div>
			</td>
			<td class="actions_cell_right"></td>
		</tr>
</fl:access>

<fl:getProcessList nbEntry="4" runType="BULK" objectType="PersonEvent" withSeparation="true"/>