<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldBean" %>
<%@ page import="com.edeal.frontline.EventBean" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.controller.actions.MassSelectLayerAction" %>
<%@ page import="com.edeal.frontline.helper.custom.EventHelper" %>

<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
String jsonArr = (String) flRequest.getAttribute("jsonArr");
String evtID = (String) flRequest.getAttribute("evtID");
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String labelStatus = Utils.getMessage(session, "F1010", "Statut");	
EventHelper evtHelper = new EventHelper(new EventBean(evtID, context));

%>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<style type="text/css">
		.popup-div {
			/*width: 800px;*/
		}
		.popup-content {
		  height: 99%;
		  margin-top: 5px;
		  margin-bottom: 5px;
		}
		th {
		    color: #84A6AE;
		    font-size: 12px;
		    text-align: left;
		}
	</style>
	<script type="text/javascript" language="javascript">
		function doSave() {
			var parStatus = new Array();
			var insStatus = new Array();
			for (i = 0; i < 10; i++) {
				 parStatus.push($("select[id=PvtParStatus" + i + "] option:selected").val());			
				 insStatus.push($("select[id=PvtInsStatus" + i + "] option:selected").val());				 
			}
			var ids = jQuery.parseJSON('<%= jsonArr %>');
			var json = { "ids" : ids, "parStatus" : parStatus, "insStatus" : insStatus };
			var jsonstr = JSON.stringify(json);

			openPopupLayerWaiting(jsonstr);
		}
		function openPopupLayerWaiting(jsonstr) {
			doClosePopUp("PopupLayer");
			$.openPopupLayer({
				name: "WaitingPopup",
				width: "auto",
				height: "auto",
				url: "<fl:webapp/>/waiting_operation_popup.fl",
				success : function() {
					$.ajax({
						   data: jsonstr,
						   type: "POST",
						   url: "<fl:webapp/>/affect_event_status.fl",
						   timeout: 20000,
						   contentType: "application/json;charset=utf-8",
						   dataType: 'json',
						   success: analyseResponse
						});
					}
			});		
			function analyseResponse(data) {
				waitingPopupStatus(data);
			}
		}
		
		function waitingPopupStatus(data) {
			if (data != null) {
				if (data.status == "OK") {
					$("#waiting_popup").attr("src", "<fl:webapp/>/js/progressbar/images/success.png");
					$("#detail_popup").html(decodeURIComponent(data.detail));
				} else if (data.status == "KO") {
					$("#waiting_popup").attr("src", "<fl:webapp/>/js/progressbar/images/failure.png");
					$("#detail_popup").html(decodeURIComponent(data.detail));
					$("#error_popup").html(decodeURIComponent(data.error));
				} else {
					$("#waiting_popup").attr("src", "<fl:webapp/>/js/progressbar/images/failure.png");
				}
			}
		}
	</script>
	
	<table cellspacing="0" border="0"> 
 		<tr class="tooltip" height="10px">
			<td class="corner" id="topleft" width="19px"><img src="<fl:webapp/>/icons/tooltip/bubble-1.png"/></td>
			<td class="top" style="background-image:url('<fl:webapp/>/icons/tooltip/bubble-2.png'); align: center"></td>
			<td class="corner" id="topright"><img src="<fl:webapp/>/icons/tooltip/bubble-3.png"/></td>
		</tr>					
		<tr class="tooltip">
			<td class="left" style="background-image:url('<fl:webapp/>/icons/tooltip/bubble-4.png');"></td>
			<td style="vertical-align: top;">	
				<table class="data_column, innerPopup" cellspacing="0" cellpadding="0" border="0" width="100%">	
					<tr>
						<td nowrap="nowrap">
							<div class="popup-div">				
									<div class="popup-content">
										<table cellspacing="0" cellpadding="0" border="0" style="width: 500px; height: 200px">
											<tr style="height: 43px;">
												<td><img width="10" height="10" src="<fl:webapp/>/icons/spacer.gif"></td>
												<td width="98%" valign="top" colspan="3">
													<table cellpadding="0" class="container" id="BTabs">
														<tr>
															<td style="text-align: right; width: 15px;"><img style="width: 15px; height: 43px;" src="<fl:webapp/>/icons/nav/principal_onglet/ong_blanc_pos_1.gif"></td>
															<td class="ongletblanc">
																<fl:getMessage code="L811C" alt="Affecter"/>	
															</td>
															<td class="actif-fin"></td>
															<td style="width: 90%; text-align: right; background: url(&quot;<fl:webapp/>/icons/nav/principal_onglet/fd_cell.gif&quot;) repeat scroll 0% 0% transparent;" class="tabRightSpace"></td>
															<td class="finTab">&nbsp;</td>
														</tr>
													</table>
												</td>
												<td width="10"><img width="10" height="10" src="<fl:webapp/>/icons/spacer.gif"></td>
											</tr>
											<tr style="height: 100%;">
												<td width="10"><img width="10" height="10" src="<fl:webapp/>/icons/spacer.gif"></td>
												<td width="15" background="<fl:webapp/>/icons/nav/principal_cadre/fd_cell_g.gif"><img width="15" height="42" src="<fl:webapp/>/icons/spacer.gif"></td>
												<td valign="top">
													<form id="frm">
														<table class="container" cellspacing="0" cellpadding="0" border="0">	
														<thead>
															<tr>												    
																<th></th>
																<th><fl:getMessage code="L8186" alt="Participation"/></th>		
																<th></th>													
																<th><fl:getMessage code="F80AF" alt="Inscription"/></th>
															</tr>
														</thead>
														<tr class="ligne_separation"><td></td></tr>															
<%
														String labelStatusPar = "";
														String labelStatusIns = "";
														String idStatusPar = "";
														String idStatusIns = "";
														for (int i = 0; i < 10; i++) {
															labelStatusPar = labelStatus + " " + (i + 1);
															
															String eventStatus = evtHelper.getEventStatus(i);
															idStatusPar = "PvtParStatus" + i;
															idStatusIns = "PvtInsStatus" + i;															
%>															
														<tr class="fieldline">
														 	<td>
															 	<table>
																 	<tr>
																	 	<td><label><%= labelStatusPar + " : " %></label></td>
																	 	<td><%= (eventStatus == null ? " " : eventStatus + " ") %></td>
																 	</tr>
															 	</table>
														 	</td>
														 	<td class="column2">
														 		<fl:input property="PvtParStatus" formIndex="1"  alt=" " id="<%= idStatusPar %>" />
														 	</td>
														 	<td>&nbsp;</td>
															<td class="column2">
																<fl:input property="PvtInsStatus" formIndex="1" alt=" " id="<%= idStatusIns %>"/>															
															</td>
														</tr>
														<tr class="ligne_separation"><td></td></tr>	
<%		
														}
%>														 	
														</table>	
													</form>									
												</td>
												<td width="15" background="<fl:webapp/>/icons/nav/principal_cadre/fd_cell_d.gif"><img width="15" height="42" src="<fl:webapp/>/icons/spacer.gif"></td>
												<td width="10"><img width="10" height="10" src="<fl:webapp/>/icons/spacer.gif"></td>
											</tr>											
											<tr style="height: 15px;">
												<td width="10"><img width="10" height="10" src="<fl:webapp/>/icons/spacer.gif"></td>
												<td width="15"><img width="15" height="15" src="<fl:webapp/>/icons/nav/principal_cadre/cell_bas_g.gif"></td>
												<td width="98%" background="<fl:webapp/>/icons/nav/principal_cadre/fd_cell_bas_m.gif"><img width="15" height="15" src="<fl:webapp/>/icons/spacer.gif"></td>
												<td width="15"><img width="15" height="15" src="<fl:webapp/>/icons/nav/principal_cadre/cell_bas_d.gif"></td>
												<td width="10"><img width="10" height="10" src="<fl:webapp/>/icons/spacer.gif"></td>
											</tr>
											<tr style="height: 20px;">
												<td colspan="5" style="text-align: center;">
													<div>
														<a href="#" title="<fl:getMessage code="A2001" alt="Valider"/>" onclick="javascript:doSave();"><img src="<fl:link url="/icons/ico/valid_green_long.gif"/>"></a>
														<a title="<fl:getMessage code="A3035" alt="Fermer"/>" href="javascript:doClosePopUp('PopupLayer');"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif" /></a>
													</div>
												</td>
											</tr>
										</table>
									</div>	
							</div>
						</td>
					</tr>
				</table>
			</td>
			<td class="right" style="background-image:url('<fl:webapp/>/icons/tooltip/bubble-5.png')" width="19px"></td>    
		</tr>						
		<tr class="tooltip">
			<td class="corner" id="bottomleft" style="background-image:url('<fl:webapp/>/icons/tooltip/bubble-6.png')" ></td>
			<td class="bottom" style="background-image:url('<fl:webapp/>/icons/tooltip/bubble-7.png')" width="30" height="20"></td>
			<td class="corner" id="bottomright" style="background-image:url('<fl:webapp/>/icons/tooltip/bubble-8.png')"></td>
		</tr>
  	</table>