<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*,java.text.*"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>

<jsp:useBean class="com.edeal.frontline.ExpenseCategoryBean" id="ExpenseCategory" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	String contextPath = (String) session.getAttribute("contextPath");
	FlContext context = null;
	if (contextPath!=null) {
		context = Frontline.getContext(contextPath);
	} else {
		context = Frontline.getContext(request.getContextPath());
	}
	FlRequest flRequest=new FlRequest(request);
	
	DataDictionary dico = context.getDataDictionary();
	
	String id = null;
	try{
		id = ExpenseCategory.getID();
	}catch(FieldNotInitializedException fnie){
	}
	
	String cpgId = flRequest.getParameter("initIntCpgID");
	
	String ExcID = flRequest.getParameter( "id");
	CampaignBean cBean = new CampaignBean(cpgId, context);
	request.setAttribute("Campaign", cBean);
	
	String postType = null;
	String ExcPosteIDStr = null;
	try {
		ExcPosteIDStr = ExpenseCategory.getExcPosteID();
		String ref = (String)dico.getRefDisp("Pst", "Te2", ExcPosteIDStr);			
		postType = dico.getRefIdByCode("Ptf", "Te1", ref);
	} catch (FieldNotInitializedException e) {
	}
	String sfwId = request.getParameter("SfwID");

%>
<jsp:useBean class="com.edeal.frontline.CampaignBean" id="Campaign" scope="request"/>

<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<script language="javascript">

function doRefresh() {
	var f = document.forms[0];
	f.target = "_self";
	f.action = '<fl:link url="/refresh_expensecategory.fl" list="true" />';
	doExitConf = false;
	presentFieldsValue();
	prepAutoNumsForSubmit();	
	f.submit();
}
</script>

<fl:form method="post" action="/save_expensecategory.fl" bean="ExpenseCategory" multivalSeparator=";">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"A3067\", false, true, \"Poste bugtaire\")%>" ou="<%= \"/edit_contribution.fl\" + (id != null ? \"?id=\" + id : \"\")%>">
	<% if (ExcID!=null) { %><input type="hidden" name="id" value="<%= ExcID %>"><% } %>
	<input type="hidden" name="$$whatNext">
	<input type="hidden" name="$$presentFields">
 	<input type="hidden" name="initIntCpgID" value="<%= cpgId %>">
	<input type="hidden" name="ExcCampID" value="<%= cpgId %>">


<table class="container" celpadding="0">
	<tr class="fieldline">
		<td class="labelTitreFiche">
			<fl:getMessage code="L2007" alt="Description"/>
		</td>
		<td class="fieldTitreFiche">
			<fl:input property="ExcDesc" alt="&nbsp;" mandatoryMsgCode="M60FD" />
		</td>
	</tr>

<tr class="ligne_separation"><td colspan="3"></td></tr>
</table>
<table class="container" cellpadding="0">
	<tr>
		<td class="column2">
			<table class="container" cellpadding="0">
				<fl:fieldRead name="Campaign" bean="true" property="CpgDept" alt="&nbsp;"/>
				<fl:fieldEdit property="ExcPosteID" alt=" " onchange="doRefresh();" mandatoryMsgCode="M60FE"/>
				<% if (postType != null) { %>
					<fl:fieldEdit property="ExcUnitP" postText="&euro;" mandatoryMsgCode="M60FF"/>
				<% } %>
			</table>
		</td>
		<td class="separation"><div class="separation"></div></td>
		<td class="column2">
			<table class="container" cellpadding="0">
				<%
					//Rcuprer l'entit du dpartement
					try {
						String cpgDept = Campaign.getCpgDept();
						DepartmentBean cpgDepartement = new DepartmentBean(cpgDept,context);
						String cpgEnt = cpgDepartement.getDptEnt();
						Campaign.setCpgEnt(cpgEnt);
					}catch (FieldNotInitializedException e){}
				
				 %>
				<fl:fieldRead property="CpgEnt" name="Campaign" bean="true" alt="&nbsp;"/>
				 <% if (postType != null) { %>
				<tr class="fieldline">
					<td class="dataLabel"><fl:getMessage code="F6030" alt="Famille"/></td>
					<td class="dataValue"><%= (String)dico.getRefDisp("Ptf","Te1",postType) %></td>
				</tr>				
				<% } %>
				<% if (postType != null) { %>	
					<fl:fieldEdit property="ExcQuant" postText="Units" mandatoryMsgCode="M6100"/>	
				<% } %>
			</table>
		</td>
	</tr>
</table>
&nbsp;
<table class="container" cellpadding="0">
	<tr class="ligne_separation"><td></td></tr>
	<tr>
		<td class="titrePartie"><fl:getMessage code="F2024" alt="Notes"/></td>
	</tr>
	<tr>
		<td class="dataValue noPaddingLeft"><fl:input property="ExcNotes" nodiv="false"/></td>
	</tr>
	<tr class="ligne_separation"><td></td></tr>
</table>

</fl:bigTabs>
</fl:form>

