<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true"%><%@ page import="com.edeal.frontline.navigation.FlRequest"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<jsp:useBean class="com.edeal.frontline.FormBean" id="Form" scope="request"/>
<%
    FlRequest flRequest = new FlRequest(request);
    String id = null;
    
    try{
    	id = Form.getID();
    } catch(FieldNotInitializedException fnie) {
    }
    
%>
<script language="javascript">
function doDelete(){
	if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
		window.parent.location = '<fl:link url="<%= \"/delete_form.fl?id=\" + id %>"/>';
	}		
}

function doPurge(){
	if (confirm('<fl:getMessage code="M6067" alt="Etes-vous sr de vouloir purger les rponses pour ce questionnaire?" js="true"/>')) {
		window.parent.location = '<fl:link url="<%= \"/purge_form.fl?id=\" + id %>"/>';
	}		
}

function openPreview(){
	window.open('<fl:webapp/>/form_preview.fl?formID=<%= id %>&preview=1', 'PreviewForm', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=800,height=800');
}

function eventCreate() {
	window.parent.location = '<fl:link url="<%= \"/create_event_from_form.fl?formID=\" + id %>"/>';
}
</script>

<tr>
	<td class="actions_cell_left"></td>
	<td>
		<div class="actions_tablecell_1 actions_nolabel">
			<a class="" href="<fl:link url="<%= \"/form_answers.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
				<img src="<fl:webapp/>/icons/ico/excel.png" border="0" alt="<fl:getMessage code="L70A7" alt="Exporter les rponses"/>" title="<fl:getMessage code="L70A7" alt="Exporter les rponses"/>">
			</a>
		</div>
	</td>
	<td class="actions_cell_right"></td>
</tr>
<fl:access name="Form" operation="edit">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/edit_form.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access name="Form" operation="delete">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="javascript:doDelete();">
                    <p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
	<tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
<fl:access name="Form" operation="create">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link url="<%= \"/copy_form.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="L662A" alt="Dupliquer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
	<tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
<fl:access name="FormResponse" operation="edit">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="javascript:openPreview();">
                    <p class="actions_tabletext"><fl:getMessage code="L6147" alt="Prvisualiser"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>    
</fl:access>

<tr>
	<td class="actions_cell_left"></td>
	<td>
	    <div class="actions_tablecell_1">
	       <a href="<fl:link list="true" url="<%= \"/get_form_answers.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
	         	<p class="actions_tabletext"><fl:getMessage code="L81B7" alt="Voir rponses"/></p>
	        </a>
	    </div>
	</td>
	<td class="actions_cell_right"></td>
</tr> 
<tr>
   <td class="actions_cell_left"></td>
   <td class="actions_tablecell_seperator"></td>
   <td class="actions_cell_right"></td>
</tr> 
<fl:access name="FormReturn" operation="Delete">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:doPurge();"/>
                    <p class="actions_tabletext"><fl:getMessage code="L614A" alt="Purge des rponses"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr> 
</fl:access>