
<%@page import="com.edeal.frontline.initializers.JournalistReadInitializer"%><%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" import="com.edeal.frontline.*"%><%@page import="java.util.*" %>
<%@ page import="com.edeal.frontline.grid.GridData" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ taglib uri="http://www.e-deal.com/taglib/ft" prefix="ft" %>
<jsp:useBean class="com.edeal.frontline.JournalistBean" id="Journalist" scope="request"/>

<%
    FlRequest flRequest = new FlRequest(request);
    FlContext context = flRequest.getContext();
    
    String jouProZip = null;
	try{
		jouProZip = Journalist.getJouProZip();
	}catch(FieldNotInitializedException e){}
	
	String jouProCity = null;
	try{
		jouProCity = Journalist.getJouProCity();
	}catch(FieldNotInitializedException e){}  
	
	String jouPerZip = null;
	try{
		jouPerZip = Journalist.getJouPerZip();
	}catch(FieldNotInitializedException e){}
	
	String jouPerCity = null;
	try{
		jouPerCity = Journalist.getJouPerCity();
	}catch(FieldNotInitializedException e){}
	
	String jouPerMailStatus = (String)request.getAttribute(JournalistReadInitializer.JOU_PERMAIL_STATUS_STR);
	String jouProMailStatus = (String)request.getAttribute(JournalistReadInitializer.JOU_PROMAIL_STATUS_STR);
%>
<head>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<script language="javascript" >
function refreshInter() {
	_grid__jouInter_js_.render()
}
</script>
</head>

<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"F201B\", \"Journaliste\")%>" ou="<%=\"/read_journalist.fl?id=\"+Journalist.getID()%>" >
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3" class="titreFiche">
				<fl:getProperty name="Journalist" property="JouCivID" alt="" bean="true"/>&nbsp;<fl:getProperty name="Journalist" property="JouFstName" alt="" />&nbsp;<fl:getProperty name="Journalist" property="JouName" alt="" />		
			</td>
		</tr>
		<tr valign="top">
		<td class="column2">
			<table class="container" cellpadding="0">
			<tr>
				<td class="dataLabel" valign="top"><fl:getMessage code="L2036" alt="Adresse pro."/></td>
				<td class="dataValue">
			      <fl:getProperty name="Journalist" property="JouProAd1" alt="" postText="<br>"/>
			      <fl:getProperty name="Journalist" property="JouProAd2" alt="" postText="<br>"/>
			      <fl:getProperty name="Journalist" property="JouProAd3" alt="" postText="<br>"/>
			      <fl:getProperty name="Journalist" property="JouProZip" alt="" postText="&nbsp;"/><fl:getProperty name="Journalist" property="JouProCity" alt="" postText=""/><% try { Journalist.getJouProZip();Journalist.getJouProCity();%><br><% } catch (FieldNotInitializedException fnie) {try {Journalist.getJouProCity();%><br><%} catch (FieldNotInitializedException fnie2) {}} %>
			      <fl:getProperty name="Journalist" property="JouProCtrID" alt="&nbsp;" preText="<%= (jouProZip != null && jouProCity == null) ? \"<br>\" : \"\"%>"/>
			     </td>
			</tr>
			</table>
		</td>
		<td class="separation"><div class="separation"></div></td>				
		<td class="column2">
			<table class="container" cellpadding="0">
				<tr>
					<td class="dataLabel"><fl:getMessage code="F2073" alt="Tlphone"/></td>
					<td class="dataValue">
						<fl:getProperty name="Journalist" property="JouProPhone" alt="" format="phone"/>
					</td>
				</tr>
				
				<tr>
					<td class="dataLabel"><fl:getMessage code="F2013" alt="Fax"/></td>
					<td class="dataValue">
						<fl:getProperty name="Journalist" property="JouProFax" alt="&nbsp;"/>
					</td>
				</tr>
				<tr>
					<td class="dataLabel"><fl:getMessage code="F201D" alt="Mobile"/></td>
					<td class="dataValue">
						<fl:getProperty name="Journalist" property="JouProMobile" alt="" format="phone"/>
					</td>			
				</tr>
				<tr>
					<td class="dataLabel"><fl:getMessage code="F201E" alt="e-mail"/></td>
					<td class="dataValue">
						<%  String id = "";
						 try { id = Journalist.getJouID(); %>
						<% } catch (FieldNotInitializedException fnie) {} %>		
						<ft:email idObjMod="<%=id %>" typObjMod="Journalist"><fl:getProperty name="Journalist" property="JouProMail" alt=""/></ft:email>      
					</td>
				</tr>
				<tr>
					<td class="dataLabel"><fl:label code="F619C"/></td>
					<td class="dataValue"><%= jouProMailStatus %></td>
				</tr>
			</table>
	    </td>		    
		</tr>

		<tr class="ligne_separation">
			<td colspan="3"></td>
		</tr>
	</table>
	<fl:notes name="JouNote" title="<%= Utils.getMessage(session, \"F2024\", \"Notes\") %>"><fl:getProperty name="Journalist" property="JouRemarks" alt=""/></fl:notes>	
	<fl:smallTabs name="JouRead">
		<fl:sTab id="ADR_PERSO" title="<%= Utils.getMessage(session, \"L2037\", \"Adresse personnelle\") %>">
			<table class="container" cellpadding="0">	
				<tr>
					<td class="column2">
						<table class="data_column" cellpadding="0">
							<tr class="fieldline">
								<td id="Per.Address_label" class="dataLabel"><fl:getMessage code="F2012" alt="Adresse"/></td>
								<td id="Per.Address_value" class="dataValue">
									<fl:getProperty name="Journalist" property="JouPerAd1" alt="" postText="<br>"/>
									<fl:getProperty name="Journalist" property="JouPerAd2" alt="" postText="<br>"/>
									<fl:getProperty name="Journalist" property="JouPerAd3" alt="" postText="<br>"/>
									<fl:getProperty name="Journalist" property="JouPerZip" alt="" postText="&nbsp;"/><fl:getProperty name="Journalist" property="JouPerCity" alt="" postText=""/><% try { Journalist.getJouPerZip(); Journalist.getJouPerCity(); %><br><% } catch(FieldNotInitializedException e) { try { Journalist.getJouPerCity(); %><br><% } catch (FieldNotInitializedException ex) {}} %>
									<fl:getProperty name="Journalist" property="JouPerCtrID" alt="&nbsp;" preText="<%= (jouPerZip != null && jouPerCity == null) ? \"<br>\" : \"\"%>"/>
								</td>
							</tr>	
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table>
							<tr class="fieldline">
								<td class="dataLabel"><fl:getMessage code="F2073" alt="Tlphone"/></td>
								<TD class="dataValue"><fl:getProperty name="Journalist" property="JouPerPhone" alt=""/></TD>
							</tr>
							<tr class="fieldline">
								<td class="dataLabel"><fl:getMessage code="F201D" alt="Mobile"/></td>
								<TD class="dataValue"><fl:getProperty name="Journalist" property="JouPerMobile" alt=""/></TD>
							</tr>
							<tr class="fieldline">
								<td class="dataLabel"><fl:getMessage code="F2013" alt="Fax"/></td>
								<TD class="dataValue"><fl:getProperty name="Journalist" property="JouPerFax" alt=""/></TD>
							</tr>
							<tr class="fieldline">
								<td class="dataLabel"><fl:getMessage code="F201E" alt="e-mail"/></td>
								<TD class="dataValue"><fl:getProperty name="Journalist" property="JouPerMail" alt=""/></TD>
							</tr>
							<tr>
								<td class="dataLabel"><fl:label code="F619C"/></td>
								<td class="dataValue"><%= jouPerMailStatus %></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>			
		</fl:sTab>
		<fl:sTab id="PROFILE" title="<%= Utils.getMessage(session, \"L2038\", \"Profil\") %>">
			<table class="container">
				<tr>
					<td>
					<TABLE>
						<fl:fieldRead name="Journalist" property="JouSupID" bean="true" href="true" disp="<%=flRequest.computeURL(\"/read_support.fl\")%>"/>
						<fl:autodisplay name="Journalist" zone="JouProf1" tableDivTag="false" />				
					</TABLE>
					</td>
					
					<td class="separation"><div class="separation"></div></td>
					<td>
						<table>
							<fl:autodisplay name="Journalist" zone="JouProf2" tableDivTag="false" />
						</table>
					</td>
				</tr>
			</table>
			<div></div>
		</fl:sTab>
		<fl:sTab id="JouInter" title="<%=Utils.getMessage(session, \"S003A\", false, true, \"Interaction\")%>" onselect="refreshInter()">
			<div>
				<fl:grid name="jouInter" height="100" ajaxUrl="<%=\"/list_JouInter_ajax.fl?type=journalist&id=\"+Journalist.getID()%>"/>
			</div>	
		</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>
