<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*,java.text.*,java.lang.reflect.*,com.edeal.frontline.navigation.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>

<jsp:useBean class="com.edeal.frontline.LinkScriptElementBean" id="LinkScriptElement" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();

String id=null;
	try{
		id = LinkScriptElement.getID();
	}catch(Exception e){
		id = flRequest.getRequestParameterOrAttribute("id");
	}
	
// get scriptID
String scriptID = null;
try {
	scriptID = LinkScriptElement.getLseScriptID();
} catch (FieldNotInitializedException e) {}

	

//get scriptElementID from the linkscriptelementbean
String scriptElementID = null;
try {
	scriptElementID = LinkScriptElement.getLseScriptElementID();
} catch (FieldNotInitializedException e) {}
String dispSce = null;
if (scriptElementID != null) {
	ScriptElementBean sce = new ScriptElementBean(scriptElementID, context);
	dispSce = sce.getSceLabel();
}

//Get transitions for that LinkScriptElement
String[][] query2 = {{"SetLse1ID = " + Utils.formatToSQL(context, id)}};
String[] fields2 = {"SetID", "SetPosition"};
String[] orderBy2 = {"SetPosition"};
Vector transitionsList = ScriptElementTransitionBean.listSummary(session , fields2, query2, orderBy2);

String[] pagesFields = {"ScpID", "ScpTitre", "ScpCode", "ScpPosition"};
String[][] pagesQuery = {{"ScpScriptID = " + Utils.formatToSQL(context, scriptID)}};
String[] pagesOrderBy = {"ScpPosition ASC"};
Vector pages = ScriptPageBean.listSummary(session, pagesFields, pagesQuery, pagesOrderBy);
boolean pageMode = false;
if (pages != null && pages.size() > 0) {
	pageMode = true;
}

String saved = flRequest.getRequestParameterOrAttribute("saved");
String pageID = "";
	try{
		pageID = LinkScriptElement.getLsePageID();
	}catch(FieldNotInitializedException fnie){}
%>
<html>
<head>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
<script language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
<script language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
<script language="javascript" src="<fl:webapp/>/js/utils.js"></script>
<script language="javascript" type="text/javascript" src="<fl:webapp/>/js/smalltabs.jsp"></script>

<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>

<script language="javascript">

function doReadTransition(id) {

	window.open('<%=flRequest.computeURL("/read_scriptelementtransition.fl?LseID="+id)%>'+'&id='+id, '','menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=800,height=600');
}

function doRefresh() {
	window.top.location.reload();	
}

function myReload(){
	window.top.location = '<%=flRequest.computeURL("/read_linkscriptelement.fl?id="+id)%>'	
}

function doCheck(){
	<%if (saved!=null && "true".equals(saved)){%>
		window.top.opener.waitNrefresh();		
	<%}%>
	window.resizeTo(810, 330); 
}

function doEdit(){
	window.top.location='<%=flRequest.computeURL("/edit_linkscriptelement.fl?id="+id)%>';
	window.resizeTo(810, 450);        
}

function doDelete(){
	if (confirm('<fl:getMessage code="M6076" alt="Etes-vous sr de vouloir dtacher cet lment?" js="true"/>')) {	
		doAjax('<fl:webapp/>/delete_object_ajax.fl?type=LinkScriptElement&id='+'<%=id%>', waitN);
	}
}
	
function waitN(arrIndex) {
	if (eDealXmlhttpArr[arrIndex].readyState == 4) {
		window.top.opener.waitNrefresh();
		setTimeout('waitNclose()',10);
	}
}

function waitNclose(){
	window.top.close();
}


</script>
<title><fl:getMessage code="L2025" alt="e-Deal"/></title>
</head>
<body onload="doCheck()">
<div class="main_body" style="border:none; height:100%; padding-top: 10px;">
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L61EF\", false, true, \"Elment de script\")%>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3" class="titreFiche">
				<fl:getProperty name="LinkScriptElement" property="LseScriptElementID" bean="true" href="true" disp="<%=flRequest.computeURL(\"/view_scriptelement.fl?popUp=1\")%>" alt=""/>
			</td>
		</tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
		<tr><td>
			<table class="container" cellpadding="0">
				<tr>
					<td class="column2">
						<table class="container" cellpadding="0">																				
							<fl:fieldRead property="LsePosition"/>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table class="data_column" cellpadding="0">
		<% 
		if (pageMode) { 
			%>
							<fl:fieldRead property="LsePageID" bean="true" href="true" disp="<%=flRequest.computeURL(\"/read_scriptpage.fl\")%>"/>
		<% } else { %>
							<tr><td></td></tr>
		<% } %>
						</table>
					</td>
				</tr>
			</table>
		</td></tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
	</table>

	<% if (!pageMode) { %>	
		<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
		<fl:smallTabs name="ScriptTabs">
		<fl:sTab id="TRANS" title="<%= Utils.getMessage(session, \"L621A\",\"Transitions\") %>">
			<table width="100%" class="container">	
		
			<% if (transitionsList.size() > 0) { %>
				<%-- For every transition --%>
				<% for (int i=0 ; i < transitionsList.size() ; i++) { 
					Hashtable curTransition = (Hashtable)transitionsList.elementAt(i);
					Integer position = (Integer)curTransition.get("SetPosition"); 	
					String transitionID = (String)curTransition.get("SetID");
				%>
			<tr class="fieldline">
				<td colspan="4" class="dataValue">
					<jsp:include page="/marketing/scriptelementtransition/view.jsp" flush="true">
						<jsp:param name="id" value="<%= transitionID %>"/>
						<jsp:param name="Edit" value="0"/>
					</jsp:include>
				</td>
			</tr>
				<% } %>
			<% } else { %>
			<tr class="fieldline">
				<td colspan="4" class="dataValue">
					<fl:getMessage code="L6221" alt="Aucune transition n\'est dfinie pour cet lment de script."/>	
				</td>
			</tr>
		
			<% } %>
			</table>
		</fl:sTab>
		</fl:smallTabs>
		<% } %>
</fl:bigTabs>
<table class="container">
	<tr class="ligne_separation"><td></td></tr>		
	<tr class="fieldline">
	    <td width="40%">&nbsp;</td>
	    <td><a href="javascript:doEdit();" title="<fl:getMessage code="A0008" alt="Modifier"/>"><img src="<fl:webapp/>/icons/ico/zoom.gif"/></a></td>
	    <td>&nbsp;&nbsp;</td>
	    <td><a href="javascript:window.top.close();" title="<fl:getMessage code="A3035" alt="Fermer"/>"><img src="<fl:webapp/>/icons/ico/valid_green_long.gif"/></a></td>	    	    	
	   	<td>&nbsp;&nbsp;</td>
	    <td><a href="javascript:doDelete();" title="<fl:getMessage code="L6225" alt="Dtacher"/>"><img src="<fl:webapp/>/icons/ico/supprimer_long.gif"/></a></td>	    	    	
	    <td width="40%">&nbsp;</td>  
	</tr>
</table>
</div>
</body>
