<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">


<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">

<jsp:useBean class="com.edeal.frontline.MeasuringMediaBean" id="MeasuringMedia" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();

String id = null;
String titre=null;
boolean exclu=false;

String publicationType = (String) Utils.getRequestParameter(context, request, "MemPublicationType");
String exclusive = (String) Utils.getRequestParameter(context, request, "exclusive");
String memSupID=null;
String str="";
String type="edit";

	try{
	id = MeasuringMedia.getID();
	}
	catch (FieldNotInitializedException e){
	}
	
	if (publicationType==null){
		try{
			if (MeasuringMedia.isMemPublicationType()){
				publicationType = "true";
			}else{
				publicationType ="false";
			}
		}catch(FieldNotInitializedException fnie){}
	}
	
	try{
	memSupID = MeasuringMedia.getMemSupID();
	}
	catch (FieldNotInitializedException e){
	}
	

	if (id==null){
		titre = Utils.getMessage(session, "L2054", false, true, "Cration d\'une pige pour le support");
	}else{
		titre = Utils.getMessage(session, "L63AB", false, true, "Modification d\'une pige pour le support");
	}
	
	if ("false".equals(publicationType)){
		exclu=true;
	}

%>
<script language="javascript">
function doSubmit() {
	var f = document.forms[0];

	if (f.MemPublicationType.value == '') {
		window.alert('<fl:getMessage code="M201B" alt="Veuillez slectionner le type de publication" js="true"/>');
		f.MemPublicationType.focus();
		return false;
	}
	<% if ("0".equals(publicationType) && "0".equals(exclusive)) { %>
	if (f.MemCitation.value == "") {
		f.MemCitation.value = "0";
	} else {
		f.MemCitation.value = checkInteger(f.MemCitation.value); 
	}
	<% } %>
	
	if (f.MemURL && f.MemURL.value!='' && f.MemURL.value.substring(0,7) != 'http://') {
		f.MemURL.value = 'http://' + f.MemURL.value;	
	}

	return true;
}
</script>


<fl:form action="/modified_measuringmedia.fl" bean="MeasuringMedia">
<fl:bigTabs objectTitle="<%=titre%>" ou="<%= \"/read_editorialplanning.fl?id=\" + id %>">

	<table class="container" cellpadding="0" width="100%">
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 50%">
				<table class="datacolumn" cellpadding="0" width="100%">
					<fl:fieldEdit property="MemSupID" mandatoryMsgCode="M2019" width="80%"/>		
					<tr>
						<td id="Mem.title_label" class="dataLabel" style="vertical-align:top"><fl:getMessage code="F2016" alt="Titre"/></td>
						<td class="dataValue"><input type="text" name="MemATitle" value="<fl:getProperty name="MeasuringMedia" property="MemATitle" alt="" />" style="width:80%"/></td>
					</tr>
					<fl:fieldEdit property="MemDate" format="date" mandatoryMsgCode="M604B"/>
					<fl:fieldEdit property="MemNumber"/>


					<tr>
						<td class="dataLabel"><fl:getMessage code="F2030" alt="Type de citation"/></td>
						<td class="dataValue">
							<select name="MemPublicationType" onChange="doRefreshBody()" style="width:60%">
								
							<% if (id != null) { %>
								<option <%= MeasuringMedia.isMemPublicationType() ? "selected" : ""  %> value="true"><fl:getMessage code="F2037" alt="Publicit&eacute;"/></option>
								<option <%= !MeasuringMedia.isMemPublicationType() ? "selected" : ""  %> value="false"><fl:getMessage code="F2038" alt="R&eacute;dactionnel"/></option>
							<% } else { %>
								<option <%= "true".equals(publicationType) ? "selected" : ""  %> value="true"><fl:getMessage code="F2037" alt="Publicit&eacute;"/></option>
								<option <%if ("false".equals(publicationType)||(publicationType==null)) {str = "selected";}%><%=str%> value="false"><fl:getMessage code="F2038" alt="R&eacute;dactionnel"/></option>
							<% } %>
							</select>
						</td>
					</tr>
			
				</table>
			</td>
			
			<td class="separation"><div class="separation"></div></td>
			
			<td class="dataValue" style="vertical-align:top; width: 50%">
				<table class="datacolumn" cellpadding="0" width="100%">		
					<fl:fieldEdit property="MemPagID" width="60%"/>					
					<fl:fieldEdit property="MemCptID" labelCode="F202F" mandatoryMsgCode="M201A" width="60%"/>
					
					<%
					if ("true".equals(publicationType)){
					%>
					<tr>
						<td id="Mem.Code_label" class="dataLabel" style="vertical-align:top"><fl:getMessage code="F2000" alt="Code"/></td>
						<td class="dataValue"><input type="text" name="MemCode" value="<fl:getProperty name="MeasuringMedia" property="MemCode" alt="" />" style="width:60%" /></td>
					</tr>
					<%}else{%>				
					<fl:fieldEdit property="MemAtyID" width="60%"/>					
					<tr>
						<td id="Mem.URL_label" class="dataLabel" style="vertical-align:top"><fl:getMessage code="F2035" alt="URL"/></td>
						<td class="dataValue"><input type="text" name="MemURL" value="<fl:getProperty name="MeasuringMedia" property="MemURL" alt="" />" style="width:80%"/></td>
					</tr>
					<tr>
						<td id="Mem.Exclusive_label" class="dataLabel" style="vertical-align:top"><fl:getMessage code="F2034" alt="Exclusif"/></td>
						<td class="dataValue"><input type="checkbox" name="MemExclusive" value="<%=true%>" checked /></td>
					</tr>					

					<%}%>
				</table>
			</td>
		</tr>
		
		<tr class="ligne_separation"><td>&nbsp;</td></tr>
	
		<tr>
			<td colspan="3">
				<fl:smallTabs name="MemDetAttach" >
					<fl:sTab id="MemDet" title="<%=Utils.getMessage(session, \"F202C\", false, true, \"Dtails\")%>">
						<div>
							<table width="100%">
								<fl:fieldEdit property="MemDetails" style="width:100%" rows="5" label="&nbsp;"/>
							</table>
						</div>
					</fl:sTab>			
						
					<fl:sTab id="MemAttach" title="<%=Utils.getMessage(session, \"A3022\", false, true, \"Fichiers attachs\")%>">
						<fl:attach name="MeasuringMedia" colID="MemAttID" />
					</fl:sTab>			
				</fl:smallTabs>	
			</td>
		</tr>
	</table>
</fl:bigTabs>
</fl:form>
