<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Date"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<html>
<head>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">

<jsp:useBean class="com.edeal.frontline.MeasuringMediaBean" id="MeasuringMedia" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();

String id = null;
boolean exclu=false;

String publicationType = (String) Utils.getRequestParameter(context, request, "MemPublicationType");
String exclusive = (String) Utils.getRequestParameter(context, request, "exclusive");
String memSupID=null;
String str="";

	try{
	id = MeasuringMedia.getID();
	}
	catch (FieldNotInitializedException e){
	}
	
	try{
	memSupID = MeasuringMedia.getMemSupID();
	}
	catch (FieldNotInitializedException e){
	}
	String titre = null;
	if (id==null){
		titre = Utils.getMessage(session, "L2054", false, true, "Cration d\'une pige pour le support");
		
		//initialisation de la date
		MeasuringMedia.setMemDate(new Date());
		
	}else{
		titre = Utils.getMessage(session, "L63AB", false, true, "Modification d\'une pige pour le support");
	}
	
//"/create_measuringmedia.fl?memSupID="+memSupID;

	if ("false".equals(publicationType)){
		exclu=true;
	}

%>

<script language="javascript">
function doEnreg() {
	window.document.forms[0].$$returnedHtmlHead.value	='<scr' + 'ipt language="javascript">window.top.location = "<fl:link url="/create_measuringmedia.fl?1=1"/>&memSupID=' +window.document.forms[0].MemSupID.value +'";</s' + 'cript>';
	submit();
}

function doEnd() {

	window.document.forms[0].$$returnedHtmlHead.value	=	'<scr' + 'ipt language="javascript">window.top.close();</s' + 'cript>';
	submit();
}
function doSubmit() {
	var f = document.forms[0];
	<% if (id != null) { %>
	if (f.MemSupID.value == '') {
		window.alert("<fl:getMessage code="M2019" alt="Vous devez spcifier un support" js="true"/>");
		return false;
	}
	<% } %>
	<%--
	if (f.MemCptID.value == '') {
		window.alert("<fl:getMessage code="M201A" alt="Veuillez choisir la socit cite." js="true"/>");
		return false;
	}
	--%>
	if (f.MemPublicationType.value == '') {
		window.alert("<fl:getMessage code="M201B" alt="Veuillez slectionner le type de publication" js="true"/>");
		f.MemPublicationType.focus();
		return false;
	}
	<% if ("0".equals(publicationType) && "0".equals(exclusive)) { %>
	if (f.MemCitation.value == "") {
		f.MemCitation.value = "0";
	} else {
		f.MemCitation.value = checkInteger(f.MemCitation.value); 
	}
	<% } %>
	
	if (f.MemURL && f.MemURL.value!='' && f.MemURL.value.substring(0,7)!='http://'){
		f.MemURL.value = 'http://' +f.MemURL.value;
	}
	

	return true;
}
</script>

</head>
<body>

<fl:form action="/save_measuringmedia.fl" bean="MeasuringMedia">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L6112\", \"Pige\") %>" ou="<%= \"/read_editorialplanning.fl?id=\" + id %>">

	<input type="hidden" name="$$returnedHtmlHead" value=""/>
	<input type="hidden" name="$$returnedHtmlBody" value="..."/>
	<table class="container" cellpadding="0" width="100%">
		<tr>
			<td colspan="3">
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td class="labelTitreFiche">
							<fl:label field="MemATitle" labelClassName="titreFiche"/>
						</td>
						<td class="fieldTitreFiche">
							<fl:input property="MemATitle" mandatoryMsgCode="L63DC"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
		<tr>
			<td class="column2">
				<table class="container" cellpadding="0">
					<fl:fieldEdit property="MemSupID" mandatoryMsgCode="M2019"/>	
					<fl:fieldEdit property="MemNumber"/>
					<fl:fieldEdit property="MemDate" format="date" mandatoryMsgCode="M604B"/>
					<tr>
						<td class="dataLabel"><fl:getMessage code="F2030" alt="Type de citation"/></td>
						<td class="dataValue">
							<select name="MemPublicationType" onChange="doRefresh()" style="width:60%">
							<% if (id != null) { %>
								<option <%= MeasuringMedia.isMemPublicationType() ? "selected" : ""  %> value="true"><fl:getMessage code="F2037" alt="Publicit&eacute;"/></option>
								<option <%= !MeasuringMedia.isMemPublicationType() ? "selected" : ""  %> value="false"><fl:getMessage code="F2038" alt="R&eacute;dactionnel"/></option>
							<% } else { %>
								<option <%= "true".equals(publicationType) ? "selected" : ""  %> value="true"><fl:getMessage code="F2037" alt="Publicit&eacute;"/></option>
								<option <%if (("false".equals(publicationType))||(publicationType == null)) {str = "selected";}%><%=str%> value="false"><fl:getMessage code="F2038" alt="R&eacute;dactionnel"/></option>
							<% } %>
							</select>
						</td>
					</tr>
					<fl:fieldEdit property="MemCptID" mandatoryMsgCode="M201A" labelCode="F202F"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="container" cellpadding="0">		
					<fl:fieldEdit property="MemPagID"/>
					<%
					if ("true".equals(publicationType)){
					%>
					<fl:fieldEdit property="MemCode"/>
	
					<%}else{%>				
					<fl:fieldEdit property="MemAtyID"/>					
					<tr>
						<td id="Mem.URL_label" class="dataLabel"><fl:getMessage code="F2035" alt="URL"/></td>
						<td class="dataValue"><input type="text" name="MemURL" value="<fl:getProperty name="MeasuringMedia" property="MemURL" alt="" />" style="width:100%"/></td>
					</tr>
					<tr>
						<td id="Mem.Exclusive_label" class="dataLabel"><fl:getMessage code="F2034" alt="Exclusif"/></td>
						<td class="dataValue"><input type="checkbox" name="MemExclusive" value="<%=true%>" checked /></td>
					</tr>					

					<%}%>
				</table>
			</td>
		</tr>	
		<tr class="ligne_separation"><td>&nbsp;</td></tr>
	</table>
	<fl:smallTabs name="MemDetAttach" >
		<fl:sTab id="MemDet" title="<%=Utils.getMessage(session, \"F202C\", false, true, \"Dtails\")%>">
			<table class="container" cellpadding="0">
				<tr class="ligne_separation"><td></td></tr>
				<tr>
					<td>
						<fl:input property="MemDetails"/>
					</td>
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="MemAttach" title="<%=Utils.getMessage(session, \"L201C\", false, true, \"Documents joints\")%>">
			<fl:attach name="MeasuringMedia" colID="MemAttID" />
		</fl:sTab>			
	</fl:smallTabs>
</fl:bigTabs>
</fl:form>
<fl:title name="MeasuringMedia"/>
</body>
</html>