<%@page import="com.edeal.frontline.ScriptResponseBean"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
 %>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.AccessControlManager" %>
<%@ page import="com.edeal.frontline.SalesInvestBean" %>
<%@ page import="com.edeal.frontline.GuestListBean" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.helper.EventBaseHelper.EventCategory" %> 
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PersonEventBean" id="PersonEvent" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
	
String id = null;
try {
	id = PersonEvent.getPvtID();
} catch(FieldNotInitializedException e) {
}

String pvtSrpID = null;
try {
	pvtSrpID = PersonEvent.getPvtSrpID();
} catch(FieldNotInitializedException e) {
}

String personID = null;
try {
	personID = PersonEvent.getPvtPersonID();
} catch(FieldNotInitializedException e) {
}

String sfwID = (String) flRequest.getRequestParameterOrAttribute("SfwID");
%>
<script type="text/javascript" language="javascript">
function doDelete(){
	if (window.confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>') == true) {
		window.location = '<fl:link url="<%= \"/delete_evenement.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>';
	}
}
</script>

<fl:access name="Event" operation="edit">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/edit_petarget.fl?id=\" + id %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access name="Event" operation="delete">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
           <a href="javascript:doDelete()">
                    <p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access operation="create" name="Interaction">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_interaction.fl?" />&initIntPerID=<%= personID %>&initIntPvtID=<%= id %>">
					<p class="actions_tabletext"><fl:getMessage code="L30B2" alt="Interaction"/> +</p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access operation="create" name="Interaction">
<tr>
	<td class="actions_cell_left"></td>
	<td>
	    <div class="actions_tablecell_1">
	       <a href="<fl:link list="true" url="<%= \"/create_realize_interaction.fl?initIntAtvCode=OUTPHONE&initIntPersonEventID=\" + id %>"/>">
	         	<p class="actions_tabletext"><fl:getMessage code="L6204" alt="Appel"/> +</p>
	        </a>
	    </div>
	</td>
	<td class="actions_cell_right"></td>
</tr> 
<tr>
   <td class="actions_cell_left"></td>
   <td class="actions_tablecell_seperator"></td>
   <td class="actions_cell_right"></td>
</tr>
</fl:access>
<% if (pvtSrpID != null) { %>
<tr>
	<td class="actions_cell_left"></td>
	<td>
	    <div class="actions_tablecell_1">
			<% ScriptResponseBean responseBean = new ScriptResponseBean (pvtSrpID, session); %>
			<edLink 
				edtooltip='{"content": {"text":"<fl:getMessage code="L82E9" alt="Lancer le script"/>"}}'
				values="<fl:getMessage code="L82E9" alt="Lancer le script"/>"
				target="POPUP"
				url='<fl:webapp/>/preview_scriptresponse.fl?scriptID=<%= responseBean.getSrpScriptID() %>&preview=0&lsePosition=0&hasNotes=&perID=<%= personID %>'
			><fl:getMessage code="L82E9" alt="Lancer le script"/></edLink>
	    </div>
	</td>
	<td class="actions_cell_right"></td>
</tr> 
<tr>
   <td class="actions_cell_left"></td>
   <td class="actions_tablecell_seperator"></td>
   <td class="actions_cell_right"></td>
</tr> 
<tr>
	<td class="actions_cell_left"></td>
	<td>
	    <div class="actions_tablecell_1">
			<edLink 
				edtooltip='{"content": {"text":"<fl:getMessage code="L82E8" alt="Voir les rponses"/>"}}'
				values="<fl:getMessage code="L82E8" alt="Voir les rponses"/>"
				target="POPUP"
				url='<fl:webapp/>/read_scriptresponse.fl?scriptID=<%= pvtSrpID %>&preview=0&lsePosition=0&hasNotes=false&perID=<%= personID %>'
			><fl:getMessage code="L82E8" alt="Voir les rponses"/></edLink>
	    </div>
	</td>
	<td class="actions_cell_right"></td>
</tr> 
<tr>
   <td class="actions_cell_left"></td>
   <td class="actions_tablecell_seperator"></td>
   <td class="actions_cell_right"></td>
</tr> 
<% } %>
<fl:getProcessList nbEntry="4"/>
   
