<%@ page language="java"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
Number nbPerN = (Number)flRequest.getAttribute("NbPer");
int nbPer = 0;
if (nbPerN != null) {
	nbPer = nbPerN.intValue();
}

String eventLink = (String) flRequest.getAttribute("eventLink");
if (eventLink == null) {
	eventLink = "";
}
%><html>
	<head>
		<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
		<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	  	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
	  	<script type="text/javascript">
	  	function doOpenEvent(evtID) {
			var w = window.top.opener;
			w.doOpenEvent(evtID);
			window.close();
		}
	  	</script>
	</head>
	<body class="popup_body">
		<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L615F\", true, false, \"Evnements personne\") %>" ignoreList="true">
			<table class="container" cellpadding="0">
				<tbody>
					<tr class="fieldline">
						<td class="dataValue"><fl:getMessage code="L30CB" alt="La population a bien t affecte"/></td>
					</tr>
					<tr class="ligne_separation">
						<td></td>
					</tr>
					<tr class="fieldline">
						<td class="dataValue">
						<% if (nbPer == 0) { %>
						<fl:getMessage code="L639F" alt="Aucune personne n\'a t impacte"/>
						<% } else if (nbPer == 1) { %>
						1 <fl:getMessage code="L639E" alt="personne a t impacte"/>&nbsp;<fl:getMessage code="L8192" alt=" l\'vnement"/>&nbsp;<%= eventLink %>
						<% } else { %>
						<%= FlLocale.getInstance(session).getDecimalFormat("#,##0").format(nbPer) %> <fl:getMessage code="L63A0" alt="personnes ont t impactes"/>&nbsp;<fl:getMessage code="L8192" alt=" l\'vnement"/>&nbsp;<%= eventLink %>
						<% } %>
						</td>
					</tr>
				</tbody>
			</table>
		</fl:bigTabs>
	</body>
	<div align="center">
		<a href="#" onclick="self.close();"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif" border="0" alt="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>" title="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>"></a>
	</div>
</html>
