<%@page import="com.edeal.frontline.FrontlineException"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2010 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.ObjectsBean" %>
<%@ page import="com.edeal.frontline.ObjectsBean" %>
<%@ page import="com.edeal.frontline.FieldBean" %>
<%@ page import="com.edeal.frontline.DocumentBean" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="com.edeal.frontline.SalesInvestBean" %>
<%@ page import="com.edeal.frontline.controller.actions.SelectAction" %>
<%@ page import="com.edeal.frontline.controller.actions.ListImportDocumentAction" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean id="Population" class="com.edeal.frontline.PopulationBean" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String pPopType = flRequest.getRequestParameterOrAttribute("PopType");
String salesModel = context.getContextParameter("SalesModel");
String id = flRequest.getRequestParameterOrAttribute("id");
String actorID = (String) session.getAttribute("actorID");
String actMail = null;
Vector<String> actRoles = new Vector<String>();
String[] fieldsA = {"ActID", "ActMail", "ActRoles"};
String[][] queryA = {{"ActID = " + Utils.formatToSQL(context, actorID)}};
Vector actV = ActorBean.listSummary(context, fieldsA, queryA);
if (actV.size() > 0) {
	Hashtable actH = (Hashtable)actV.elementAt(0);
	actMail = (String)actH.get("ActMail");
	actRoles = (Vector<String>) actH.get("ActRoles");
}
String type = flRequest.getRequestParameterOrAttribute("PvtTypeSelect");
String montant = flRequest.getRequestParameterOrAttribute("PvtMontant");

boolean popIsPer = Population.isPopIsPer();

boolean popIsEnt = Population.isPopIsEnt();

Vector addressRulesDisplay = null, addressRulesObject = null;;
try {
 	addressRulesDisplay = dico.getRefList("Aru", "Te1");
 	addressRulesObject = dico.getRefList("Aru", "Te3");
} catch(Exception fe) {
}

String adminRoleId = null;
String adminFctRoleId = null;
try{
	adminRoleId = dico.getRefIdByCode("ActRoles", "ADMIN");
}catch(FrontlineException e){
	
}
try{
	adminFctRoleId = dico.getRefIdByCode("ActRoles", "ADMFCT");
}catch(FrontlineException e){
	
}

boolean massBlockDisp = false;
if(actRoles.contains(adminRoleId) || actRoles.contains(adminFctRoleId)){
	massBlockDisp = true;
}

%>
<!-- Javascript include -->

<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/jsOnload.jsp"></script>
<script type="text/javascript" language="javascript">
function doPvtEventIDChange() {
	setTimeout("runAjax()", 50);
}

function runAjax() {
	var f = document.forms['eventForm'];
	doAjax('<fl:link url="/event_status.fl?formName=eventForm&field=PvtInsStatusSelect" />&EvtID=' + f.PvtEventID.value);
}

function doSendMail() {
	var f = document.forms['emailForm'];
	try {
		if (acCurHighlightedDiv != null) {
			return false;
		}
	} catch (error) {
	}
	var field='';
	
	if (f.Field.options[f.Field.selectedIndex].value != '') {
	 	field = f.Field.options[f.Field.selectedIndex].value;
	 } else {
	 	window.alert('<fl:getMessage code="F6182" alt="Veuillez specifier un parametre" js="true"/>');
	 	return;
	 }
	// return;
	var msgID = f.EmaHtmlMsgID.value;
	if (msgID) {
		var fenetreChoix = window.open('<fl:webapp/>/prepare_populationv2_email.fl?popID=<%= id %>&fields='+field+'&msgID='+msgID , 'EnvoiMessage' , 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=500,height=210');
	} else {
		window.alert('<fl:getMessage code="F6033" alt="Veuillez entrer un message." js="true"/>');
	}
	return;
}

function doImpactBase() {
	var f = document.forms['impactForm'];
	var perPevID = f.PerPevID.options[f.PerPevID.selectedIndex].value;
	var perPevIDRemove = f.PerPevIDRemove.checked;
	if (f.EntEveID) {
		var entEveID = f.EntEveID.options[f.EntEveID.selectedIndex].value;
		var entEveIDRemove = f.EntEveIDRemove.checked;
	}
	if (perPevID || entEveID) {
		f.Val.value = (perPevID ? perPevID : '') + ';' + (entEveID ? entEveID : '');
		f.Rem.value = (perPevIDRemove ? perPevIDRemove : '') + ';' + (entEveIDRemove ? entEveIDRemove : '');
		var win = window.open('<fl:webapp/>/blank.jsp', 'PopulationImpact<%= id %>', 'width=500,height=170,scrollbars');
		f.target = win.name;
		f.submit();
	}
	return;
}

function doSelection() {
	var emailFormIndex = $.inArray($("#emailForm")[0], document.forms);
	var fenetreChoix = window.open('<fl:webapp/>/select.fl?formIndex='+emailFormIndex+'&field=EmaHtmlMsgID&type=Messages&query=MsgType:RefVal=\'MODELE\'' , 'MessageSelection' , 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=<%= SelectAction.SELECT_WINDOW_WIDTH %>,height=350');
}

function doSelectNone() {
	var f = document.forms['emailForm'];
	f.EmaHtmlMsgID .value = '';
	f.lblEmaHtmlMsgID.value = '';
}

function mailing() {
	var f = document.forms['mailingForm'];
	var query = "<fl:webapp/>/populationv2_person_mailing.fl?";
	query += "id=" + f.id.value;
	query += "&delim=" + encodeURIComponent($('[name=delim]:checked').val());
	query += "&separator=" + encodeURIComponent($('[name=separator]:checked').val());
	query += "&header=" + encodeURIComponent($('[name=header]:checked').val());
	var checkedFilter = $('#Rules').val();
	if (checkedFilter != undefined) {
		query += "&lsf=" + checkedFilter;
	}
	if (f.model) {
		query += "&model=" + encodeURIComponent($('[name=model]').val());
	}

	window.parent.location = query;
}

function doAffect() {
	window.open('<fl:webapp/>/edit_assignment.fl?popID=<%= Population.getPopID()%>&SfwID=<%= flRequest.getRequestParameterOrAttribute("SfwID") %>','Population','menubar=no,status=yes,toolbar=no,scrollbars=yes,resizable=yes,width=800,height=250');
}
function doOpenEvent(evtID) {
	var query = '<fl:webapp/>/read_event.fl?id=' + evtID + '&SfwID=<%= flRequest.getRequestParameterOrAttribute("SfwID") %>';
	window.parent.location = query;
}
function doEvent() {
<%	if (popIsPer) {%>
	var f = document.forms['eventForm'];
	var pvtStatus = "";
	try {
		if (acCurHighlightedDiv != null) {
			return false;
		}
	} catch (error) {
	}
	if (f.PvtEventID.value == '') {
		window.alert('<fl:getMessage code="M604D" alt="Veuillez slectionner un vnement et un statut." js="true"/>');
		return;
	}
	if (f.PvtInsStatusSelect.options[f.PvtInsStatusSelect.selectedIndex].value != "") {
		pvtInsStatus = f.PvtInsStatusSelect.options[f.PvtInsStatusSelect.selectedIndex].value;
		f.PopEvtID.value = f.PvtEventID.value;	
		var urlAjax = "<fl:link url="<%= \"/population_person_event.fl?popID=\" + id %>"/>&PvtInsStatus=" + encodeURIComponent(pvtInsStatus) + "&PopEvtID=" + encodeURIComponent(f.PopEvtID.value);
		window.open(urlAjax, "impactWin", "menubar=no,status=no,toolbar=no,resizable=yes,width=500,height=150");
	} else {
		window.alert('<fl:getMessage code="L8191" alt="Veuillez choisir un statut d\\\'inscription" js="true"/>');
		return;
	}
<%	}%>
}

function doInvest() {
	var f = document.forms['investForm'];
	var type = f.PvtTypeSelect.options[f.PvtTypeSelect.selectedIndex].value;
	var montant = f.SinMt.value;
	window.open("<fl:link url="<%= \"/population_salesinvest.fl?popID=\" + id %>"/>&PvtType=" + encodeURIComponent(type) + "&PvtMontant=" + encodeURIComponent(montant), "salesinvestWin","scrollbars=auto,menubar=no,status=no,toolbar=no,resizable=yes,width=500,height=150");
}

function critOnKeyPress(event) {
	var keyPress = 0;
	try {
		keyPress = event.which;
	} catch (error) {
	}	
	if (keyPress == 0) {
		try {
			keyPress = window.event.keyCode;
		} catch (error) {
		}
	}	
	
	// Someone pressed the enter key, AND we're not AC'ing
	if (keyPress == 13 && acCurHighlightedDiv == null) {
		if (acCurFieldName == 'lblPvtEventID') doEvent();
		if (acCurFieldName == 'lblEmaHtmlMsgID') doSendMail();
	}
	
}

function doOnLoad() {
	<%if (popIsPer) {%>
	window.document.forms['eventForm'].onsubmit = doEvent;
	<%}%>
	window.document.forms['emailForm'].onsubmit = doSendMail;
	document.onkeypress = critOnKeyPress;
}


function loadFilterDescription(filterID) {
	$.getJSON("<fl:webapp/>/get_filter_description.fl?id=" + $('#Rules option:selected').val(), function(result) {
		$('#RulesDescription').html(result != null ? decodeURIComponent(result.description) : "");	
	});
}

function findEventFormIndex(){
	return $.inArray($("#eventForm")[0], document.forms);
}

function cleanEventStatus(option) {
	option.options.length = 0;
	option.options[option.options.length] = new Option('<' + '<fl:getMessage code="F80AF" alt="Inscription"/>' + '>', '', true, true);
}
</script>
<style type="text/css">
.submit {
	font-weight: bold;
	white-space: nowrap;
	width: 1%;
	vertical-align: bottom;
	text-align: center;
	padding-left: 10px;
	padding-right: 10px;
}
</style>
<link rel="stylesheet" href="<fl:webapp/>/css/smalltabs_css.jsp" type="text/css">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L30DE\", false, true, \"Actions sur une population\") %>" ou="/population_actions.fl">
	<table class="container" cellpadding="0">
		<tr>
			<td class="titreFiche"><fl:getProperty name="Population" property="PopName" alt="&nbsp;" /></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
<%
		if (popIsPer) {

%>
		<tr>
			<td class="titreInterneSmalltabs"><fl:getMessage code="L615F" alt="Inscrire  un vnement"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<form name="eventForm" method="get" id="eventForm" action="">
					<input name="id" type="hidden" value="<%= id %>">
					<input id="PopEvtID" name="PopEvtID" type="hidden" value="" >
					<table class="data_column" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="F605B" label="Evnement"/></td>
							<td class="dataValue">
									<table class="fieldTable" cellpadding="0">
										<tr>
											<td class="bigFieldPart">
												<input id="PvtEventID" name="PvtEventID" type="hidden" value="" >
												<input id="lblPvtEventID" name="lblPvtEventID" type="text" value="" onblur="doPvtEventIDChange();" autocomplete="off" onfocus="displayOnFocusTwo(this,3);acResizeDisplayDiv(lblPvtEventID);" class="input fob" style="width: 100%;">
											</td>
											<td class="smallFieldPart">&nbsp;
												<a href="javascript:var win = window.open('<fl:webapp/>/select.fl?type=Event&field=PvtEventID&formIndex='+findEventFormIndex(), 'SelectActor', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=600,height=400')">
													<img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon" alt="S&eacute;lectionner" title="S&eacute;lectionner"></a>&nbsp;
												<a href="javascript:var f = window.document.forms['eventForm']; f.PvtEventID.value = f.lblPvtEventID.value = ''; acLastCompleteValues['lblPvtEventID'] = '';acLastCompleteValues['PvtEventID'] = ''; void('');cleanEventStatus(f.PvtInsStatusSelect);">
													<img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon" alt="Vider le champ" title="Vider le champ"></a>
												<script language="javascript">runOnTime("installFobAC(window.document.forms['eventForm'].lblPvtEventID);", 200);</script>
											</td>
							
											<td class="smallFieldPart" style="padding-left: 25px">
												<select class="input select auto chpsTextObligatoire" name="PvtInsStatusSelect" >
													<option value="">&lt;<fl:getMessage code="F80AF" alt="<Inscription>"/>&gt;</option>
												</select>
											</td>		
										</tr>
									</table>
							</td>
							<td class="submit">
								<a href="javascript:doEvent();"><img src="<fl:webapp/>/icons/ico/valider.gif" alt="<fl:getMessage code="L615F" alt="Evnements personne"/>" title="<fl:getMessage code="L615F" alt="Evnements personne"/>" style="vertical-align: middle"></a>
							</td>
						</tr>
					</table>
				</form>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
<%
	}
%>
		<tr>
			<td class="titreInterneSmalltabs"><fl:getMessage code="L829E" alt="Extraire les cibles"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<%
			ObjectsBean obj = dico.getTable("sql", "Population");
			String textRefID = dico.getRefIdByCode("DocType", "TEXTE");
			String objID = obj.getID();
			String[] fields = {"DocID", "DocTitle"};
			String[][] query = {{"DocObjID = " + Utils.formatToSQL(context, objID), "DocType = " + Utils.formatToSQL(context, textRefID)}};
			String[] orderBy = {"DocTitle"};
			//Vector docList = DocumentBean.listSummary(session, fields, query, orderBy);
			
			Vector docList = (Vector) request.getAttribute(ListImportDocumentAction.ATT_DOCS); 
			
			
		%>
		<tr>
			<td class="" style="vertical-align:top; width: 100%">
				<form name="mailingForm" method="get" id="mailingForm" action="">
					<input name="id" type="hidden" value="<%= id %>">
					<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="L30D0" label="Dlimiteur"/></td>
							<td class="dataValue">
								<div class="input">
									<input name="delim" id="delim1" type="radio" class="radio" value=""><label id="delim1_label" for="delim1" class="radioLabel"><fl:getMessage code="L30D1" alt="Aucun"/></label>
									<input name="delim" id="delim2" type="radio" class="radio" value="&quot;" checked><label id="delim2_label" for="delim2" class="radioLabel"><fl:getMessage code="L30D2" alt="Guillemet"/></label>
								</div>
							</td>
							<td class="submit" rowspan="<%= docList != null && docList.size() > 0 ? "6" : "5" %>">
								<a href="javascript:mailing();"><img src="<fl:webapp/>/icons/ico/valider.gif" alt="<fl:getMessage code="A303F" alt="tlcharger le fichier de mailing"/>" title="<fl:getMessage code="A303F" alt="tlcharger le fichier de mailing"/>" style="vertical-align: middle;"></a>
							</td>
						</tr>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="L30D3" label="Sparateur"/></td>
							<td class="dataValue" style="overflow: visible;">
								<div class="input">
									<input name="separator" id="sep1" type="radio" class="radio" value="tab"><label id="sep1_label" for="sep1" class="radioLabel"><fl:getMessage code="L30D4" alt="Tabulation"/></label>
									<input name="separator" id="sep2" type="radio" class="radio" value=";" checked><label id="sep2_label" for="sep2" class="radioLabel"><fl:getMessage code="L30D5" alt="Point-virgule"/></label>
									<input name="separator" id="sep3" type="radio" class="radio" value=","><label id="sep3_label" for="sep3" class="radioLabel"><fl:getMessage code="L30D6" alt="Virgule"/></label>
								</div>
							</td>
						</tr>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="F61A0" label="En-tte"/></td>
							<td class="dataValue" style="overflow: visible;">
								<div class="input">
									<input name="header" id="header1" type="radio" class="radio" value="true" checked><label id="header1_label" for="header1" class="radioLabel"><fl:getMessage code="L2005" alt="Oui"/></label>
									<input name="header" id="header2" type="radio" class="radio" value="false"><label id="header2_label" for="header2" class="radioLabel"><fl:getMessage code="L2006" alt="Non"/></label>
								</div>
							</td>
						</tr>
<%
				if (addressRulesObject != null && addressRulesObject.size() > 0) {
%>		
						<tr class="fieldline">
							<td class="dataLabel" id="Rules_label">
								<div>
									<fl:label code="L8140" label="Choix de l\'adresse" forInput="Rules"/>
								</div>
							</td>
							<td class="dataValue" id="Rules_value">
								<div class="input select">
									<select class="input select" name="Rules" id="Rules" onchange="loadFilterDescription()">
<%
									for (int j = 0 ; j < addressRulesObject.size() ; j++) {
										Vector vAddressRulesObject = (Vector) addressRulesObject.elementAt(j);
										String object = (String) vAddressRulesObject.elementAt(1);
										if ("PopulationEntry".equals(object)) {
											Vector vAddressRulesDisplay = (Vector) addressRulesDisplay.elementAt(j);
%>	
										<option value=<%= Utils.formatToWeb((String) vAddressRulesDisplay.elementAt(0), true) %>>
											<%= Utils.formatToWeb((String) vAddressRulesDisplay.elementAt(1), false) %>
										</option>
<%
										}
									}
%>
									</select>
								</div>
							</td>
						</tr>
					
						<tr>
							<td class="dataLabel">
								<div>
									<fl:label code="L2007" label="Description"/>
								</div>
							</td>
							<td class="dataValue">
								<div id="RulesDescription"></div>
							</td>
						</tr>
<% } 
						if (docList != null && !docList.isEmpty()) { 
%>						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="L6169" label="Modle" forInput="model"/></td>
							<td class="dataValue">
									<select name="model" id="model" class="input select">
<%							for (int i = 0; i < docList.size(); i++) { 
								Hashtable row = (Hashtable)docList.elementAt(i);
								String docID = (String)row.get("DocID");
								String docTitle = (String)row.get("DocTitle");
%>										<option value="<%= Utils.formatToWeb(docID, true) %>"><%= Utils.formatToWeb(docTitle, false) %></option>
<%							} 
%>									</select>
							</td>
						</tr>
<%						} 
%>					</table>
				</form>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titreInterneSmalltabs"><fl:getMessage code="L8274" alt="Envoyer un e-mailing non personnalis"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<form name="emailForm" method="get" id="emailForm" action="">
					<input name="id" type="hidden" value="<%= id %>">
					<table class="data_column" cellpadding="0">
<%				//E-Mailing	
					Vector	listToDisp = new Vector();
					Vector  listRefTe2 = new Vector();
					Vector refdisplayTe2 = new Vector();
					Vector refdisplayTe1 = new Vector();
					String code = null;
					String fldSql = null;
					Vector refvalues = dico.getRefCodeList("Fem", "Te2");
					for (int i = 0 ; i < refvalues.size() ; i++) {
						code = String.valueOf(i);
						String refid=(String)((Vector)refvalues.get(i)).firstElement();
						refdisplayTe2.addElement((String) dico.getRefDisp(session, "Fem", "Te2",refid));
						refdisplayTe1.addElement((String) dico.getRefDisp(session, "Fem", "Te1", refid));
						
						Vector s1 = Utils.explodeList(refdisplayTe2.get(i).toString(), ":");
						String chaine1 = s1.get(0).toString();
						if ("PpePerID".equals(chaine1)&& Population.isPopIsPer()) {
							listToDisp.addElement((String)refdisplayTe1.get(i));
							listRefTe2.addElement((String)refdisplayTe2.get(i));
						} else if ("PpeJouID".equals(chaine1)&& Population.isPopIsJou()) {
							listToDisp.addElement((String)refdisplayTe1.get(i));
							listRefTe2.addElement((String)refdisplayTe2.get(i));
						} else if ("PpeSilID".equals(chaine1)&& Population.isPopIsSil()) {
							listToDisp.addElement((String)refdisplayTe1.get(i));
							listRefTe2.addElement((String)refdisplayTe2.get(i));
						} else if ("PpeEntID".equals(chaine1)&& Population.isPopIsEnt()) {
							listToDisp.addElement((String)refdisplayTe1.get(i));
							listRefTe2.addElement((String)refdisplayTe2.get(i));
						} else if("PpeFob1".equals(chaine1)) {
							fldSql = s1.get(1).toString();
							if (fldSql != null) {
								String popObjID = "";
								String fldobjid = "";
								FieldBean fldBean = dico.getFieldByName(fldSql);
								try {
									popObjID = Population.getPopObj1();
									
								} catch (FieldNotInitializedException ex) {
								}
								try {
									fldobjid = fldBean.getFldObjID();
								} catch (FieldNotInitializedException ex) {
								}
								
								if (popObjID.equals(fldobjid)) {
									listToDisp.addElement((String)refdisplayTe1.get(i));
									listRefTe2.addElement((String)refdisplayTe2.get(i));
								}
							}
						} else if("PpeFob2".equals(chaine1)) {
							fldSql =s1.get(1).toString();
							if (fldSql != null) {
							String popObjID="";
							String fldobjid="";
							FieldBean fldBean = dico.getFieldByName(fldSql);
							try {
								popObjID=Population.getPopObj2();
								
							 } catch (FieldNotInitializedException ex) {}
							 try {
							 
								 fldobjid=fldBean.getFldObjID();
							} catch (FieldNotInitializedException ex) {}
							if (popObjID.equals(fldobjid)) {
								listToDisp.addElement((String)refdisplayTe1.get(i));
								listRefTe2.addElement((String)refdisplayTe2.get(i));
								}
							}
						} else if("PpeFob3".equals(chaine1)) {
							fldSql = s1.get(1).toString();
							if (fldSql != null) {
							String popObjID="";
							String fldobjid="";
							FieldBean fldBean = dico.getFieldByName(fldSql);
							try {
								popObjID=Population.getPopObj3();
								
							 } catch (FieldNotInitializedException ex) {}
							try {
							 
								 fldobjid=fldBean.getFldObjID();
							} catch (FieldNotInitializedException ex) {}
							if (popObjID.equals(fldobjid)) {
								listToDisp.addElement((String)refdisplayTe1.get(i));
								listRefTe2.addElement((String)refdisplayTe2.get(i));
								}
							}
						} else if("PpeFob4".equals(chaine1)) {
							fldSql =s1.get(1).toString();
							if (fldSql != null) {
							String popObjID="";
							String fldobjid="";
							FieldBean fldBean = dico.getFieldByName(fldSql);
							try {
								popObjID=Population.getPopObj4();
								
							 } catch (FieldNotInitializedException ex) {}
							 try {
							 
								 fldobjid=fldBean.getFldObjID();
							} catch (FieldNotInitializedException ex) {}
							if (popObjID.equals(fldobjid)) {
								listToDisp.addElement((String)refdisplayTe1.get(i));
								listRefTe2.addElement((String)refdisplayTe2.get(i));
								}
							}
						} else if("PpeFob5".equals(chaine1)) {
							fldSql =s1.get(1).toString();
							if (fldSql != null) {
							String popObjID="";
							String fldobjid="";
							FieldBean fldBean = dico.getFieldByName(fldSql);
							try {
								popObjID=Population.getPopObj5();
								
							 } catch (FieldNotInitializedException ex) {}
							 try {
							 
								 fldobjid=fldBean.getFldObjID();
							} catch (FieldNotInitializedException ex) {}
							if (popObjID.equals(fldobjid)) {
								listToDisp.addElement((String)refdisplayTe1.get(i));
								listRefTe2.addElement((String)refdisplayTe2.get(i));
							}
						}
					}
				}
						if (listToDisp != null&& !listToDisp.isEmpty()) {
%>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label nodiv="true" code="F201E" label="e-mail"/></td>
							<td class="dataValue">
								<select name="Field" class="input select">
				<%    						
								try {
										 for (int i = 0 ; i< listToDisp.size() ; i++) {
				            				String disp = (String) listToDisp.elementAt(i);
											String chaine1 = (String)listRefTe2.get(i);/*s1.get(1).toString();//right String to ":"*/
				%>      
									<option value="<%= chaine1 %>" ><%= disp %></option>            
				<%    
				 						 }
				 				} catch (Exception e) {
				 				}	  
				%>			
								</select>
							</td>
						</tr>
				<%			} %>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="F6002" label="Message"/></td>
							<td class="dataValue">
								<table class="fieldTable" cellpadding="0">
									<tr>
										<td class="bigFieldPart">
											<input id="EmaHtmlMsgID" name="EmaHtmlMsgID" type="hidden" value="" >
											<input id="lblEmaHtmlMsgID" name="lblEmaHtmlMsgID" type="text" value="" autocomplete="off" onfocus="displayOnFocusTwo(this,1);acResizeDisplayDiv(lblEmaHtmlMsgID);" class="input fob" style="width: 100%;">
										</td>
										<td class="smallFieldPart">&nbsp;
											<a href="javascript:doSelection()">
												<img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon" alt="S&eacute;lectionner" title="S&eacute;lectionner"></a>&nbsp;
											<a href="javascript:var f = window.document.forms['emailForm']; f.EmaHtmlMsgID.value = f.lblEmaHtmlMsgID.value = ''; acLastCompleteValues['lblEmaHtmlMsgID'] = '';acLastCompleteValues['EmaHtmlMsgID'] = ''; void('')">
												<img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon" alt="Vider le champ" title="Vider le champ"></a>
											<script language="javascript">runOnTime("installFobAC(window.document.forms['emailForm'].lblEmaHtmlMsgID);", 200);</script>
										</td>
									</tr>
								</table>
							</td>
							<td class="submit" rowspan="4">
								<a href="javascript:doSendMail();"><img src="<fl:webapp/>/icons/ico/valider.gif" alt="<fl:getMessage code="A3041" alt="envoyer l'e-mailing"/>" title="<fl:getMessage code="A3041" alt="envoyer l'e-mailing"/>" style="vertical-align: middle"></a>
							</td>
						</tr>
<%						if (actMail == null) {
%>						<tr class="fieldline">
							<td class="dataValue" colspan="2" style="color: red;" class="dataValue">
								<fl:getMessage code="L60DA" alt="Vous n\'avez pas de mail! veuillez le saisir ou demander  l\'administrateur de le faire avant de lancer cette action."/>
							</td>
						</tr>
<%						}
%>					</table>
				</form>
			</td>
		</tr>
		<%if(popIsPer || popIsEnt) { %>
		
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titreInterneSmalltabs">
<%						if (!"B2C".equalsIgnoreCase(salesModel)) {
%>				<fl:getMessage code="L30DA" alt="Modifier les marqueurs"/>
<%						} else {
%>				<fl:getMessage code="L62D6" alt="Marqueurs personne"/>
<%						}
%>			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<form name="impactForm" method="get" id="impactForm" action="<fl:link url="/population_person_impact.fl"/>">
					<input name="id" type="hidden" value="<%= id %>">
					<input name="PopFld" type="hidden" value="PpePerID;PpeEntID">
					<input name="Fld" type="hidden" value="PerPevID;EntEveID">
					<input name="Val" type="hidden" value="">
					<input name="Rem" type="hidden" value="">
					<table class="data_column" cellpadding="0">
					
					<%
					int nbline = 0;
					if (popIsPer) {
					nbline++; 
					%>
					<tr class="fieldline">
							<td class="dataLabel"><fl:label code="L30DC" label="Marqueurs personne" forInput="PerPevID"/></td>
							<td class="dataValue">
									<table class="fieldTable" cellpadding="0">
										<tr>
											<td class="bigFieldPart">
												<select name="PerPevID" id="PerPevID" class="input select">
													<option value="">&lt;<fl:getMessage code="L30D1" alt="Aucun"/>&gt;</option>
<%						Vector vectPerEvt = dico.getRefList(session, "PerPevID", false);
						for (int i = 0; i < vectPerEvt.size(); i++) {
							Vector vectRef = (Vector)vectPerEvt.elementAt(i);
							String refID = (String)vectRef.elementAt(0);
							String refDisp = (String)vectRef.elementAt(1);
%>													<option value="<%= refID %>"><%= Utils.formatToWeb(refDisp, false) %></option>
<%						}
%>												</select>
											</td>
											<td class="smallFieldPart">
												<input type="checkbox" class="checkbox" name="PerPevIDRemove" id="PerPevIDRemove"><label id="PerPevIDRemove_label" for="PerPevIDRemove" class="checkboxLabel"><fl:getMessage code="A0012" alt="Retirer"/></label>
											</td>
										</tr>
									</table>
							</td>
						</tr>
<%                     }	%>
<%						if (!"B2C".equals(salesModel)&(popIsEnt)) {
						nbline++;  %>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="L30DD" label="Marqueur entreprise" forInput="EntEveID"/></td>
							<td class="dataValue">
									<table class="fieldTable" cellpadding="0">
										<tr>
											<td class="bigFieldPart">
												<select name="EntEveID" id="EntEveID" class="input select">
													<option value="">&lt;<fl:getMessage code="L30D1" alt="Aucun"/>&gt;</option>
<%								Vector vectEntEvt = dico.getRefList(session, "EntEveID", false);
								for (int i = 0; i < vectEntEvt.size(); i++) {
								Vector vectRef = (Vector)vectEntEvt.elementAt(i);
								String refID = (String)vectRef.elementAt(0);
								String refDisp = (String)vectRef.elementAt(1);
%>													<option value="<%= refID %>"><%= Utils.formatToWeb(refDisp, false) %></option>
<%
							}
%>												</select>
											</td>
											<td class="smallFieldPart">
												<input type="checkbox" class="checkbox" name="EntEveIDRemove" id="EntEveIDRemove"><label id="EntEveIDRemove_label" for="EntEveIDRemove" class="checkboxLabel"><fl:getMessage code="A0012" alt="Retirer"/></label>
											</td>
										</tr>
									</table>
							</td>
						</tr>
<%						}
	%>					<tr class="fieldline">
								<td></td>
								<td></td>
								<td class="submit" rowspan="<%=nbline+1%>">
								<a href="javascript:doImpactBase();"><img src="<fl:webapp/>/icons/ico/valider.gif" alt="<fl:getMessage code="L614E" alt="Marquer / dmarquer entreprises/interlocuteurs"/>" title="<fl:getMessage code="L614E" alt="Marquer / dmarquer entreprises/interlocuteurs"/>" style="vertical-align: middle;"></a>
							</td>

						</tr>
					</table>
				</form>
			</td>
		</tr>
<%     }
		
	boolean isSalesInvestActive = SalesInvestBean.isSalesInvestActive(context);
	if (isSalesInvestActive) {
%>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titreInterneSmalltabs"><fl:getMessage code="L8275" alt="Ajouter un cot commercial"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<form name="investForm" method="get" id="investForm" action="">
					<input name="id" type="hidden" value="<%= id %>">
					<table class="data_column" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="F1023" label="Type"/></td>
							<td class="dataValue">
									<table class="fieldTable" cellpadding="0">
										<tr>
											<td class="bigFieldPart">
											<select name="PvtTypeSelect" class="input select">
												<option value="U"<%= "U".equals(type) ? " selected" : "" %>><fl:getMessage code="L64F4" alt="Unitaire"/></option>
												<option value="G"<%= "G".equals(type) ? " selected" : "" %>><fl:getMessage code="L0018" alt="global"/></OPTION>
											</select>
											</td>							
										</tr>
									</table>
							</td>
							<td>&nbsp;<td>
						</tr>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="L6330" label="Montant"/></td>
							<td class="dataValue">
									<table class="fieldTable" cellpadding="0">
										<tr>
											<td class="bigFieldPart">
												<fl:input name="SalesInvest" style="width: 100%;" property="SinMt" postText="&nbsp;&euro;&nbsp;" nodiv="true"/>
											</td>							
										</tr>
									</table>
							</td>
							<td class="submit">
								<a href="javascript:doInvest();"><img src="<fl:webapp/>/icons/ico/valider.gif" alt="<fl:getMessage code="L64EC" alt="Investissements commerciaux"/>" title="<fl:getMessage code="L64EC" alt="Investissements commerciaux"/>" style="vertical-align: middle"></a>
							</td>
						</tr>
					</table>
				</form>
			</td>
		</tr>

<%	}
	
	if(massBlockDisp){
%>	
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titreInterneSmalltabs"><fl:getMessage code="L8276" alt="Modifier en masse"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>		
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td class="dataLabel">&nbsp;</td>
						<td class="dataValue">&nbsp;</td>
						<td class="submit">
							<a href="javascript:doAffect();"><img src="<fl:webapp/>/icons/ico/valider.gif" alt="<fl:getMessage code="L65BE" alt="Affectation en masse"/>" title="<fl:getMessage code="L65BE" alt="Affectation en masse"/>" style="vertical-align: middle;"></a>
						</td>
					</tr>
				</table>
			</td>						
		</tr>
<%} %>
	</table>
</fl:bigTabs>
