<%
/******************************************************************************
 * Copyright (c) 2000-2008 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*"%><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PopulationBean" id="Population" scope="request"/>
<%
	FlRequest flRequest = new FlRequest(request);
	String id = null;
	try {
		id = Population.getID();
	} catch (FieldNotInitializedException fnie) {
	}

	int popType = 0;
	try {
		popType = Population.getPopType();
	} catch (FieldNotInitializedException ex) {
	}

	// We only show the "Add" button if we have only one object, OR it's a Ent/Per couple
	boolean isEntPer = false;
	boolean isEntPerSil = false;
	int nbObjTypes = 0;
	if (id != null) {
		try { if (Population.isPopIsEnt()) nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		try { if (Population.isPopIsPer()) nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		try { if (Population.isPopIsJou()) nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		try { if (Population.isPopIsSup()) nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		try { if (Population.isPopIsSil()) nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		try { Population.getPopObj1(); nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		try { Population.getPopObj2(); nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		try { Population.getPopObj3(); nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		try { Population.getPopObj4(); nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		try { Population.getPopObj5(); nbObjTypes++; } catch (FieldNotInitializedException fnie) {}
		
		if (nbObjTypes == 2) {
			try {
				isEntPer = (Population.isPopIsEnt() && Population.isPopIsPer());
			} catch (FieldNotInitializedException e) {
			}
		}
		
		if (nbObjTypes == 3) {
			try {
				isEntPerSil = (Population.isPopIsEnt() && Population.isPopIsPer() && Population.isPopIsSil());
			} catch (FieldNotInitializedException e) {
			}
		}
	}
%>
<script type="text/javascript" language="javascript">
function doAddPopulationEntry() {
	// Adding Person/enterprise couples is done in a different screen
	var urlToOpen;
	var size;
	if (<%= isEntPer || isEntPerSil %>) {
		urlToOpen = '<fl:link url="/add_PerEnt_entry.fl" list="true"/>&coupleType=PerEnt&PopID=<%= id %>';
		size = 'width=770,height=420';
	} else {
		urlToOpen = '<fl:link url="<%= \"/add_populationentryV2.fl?PopType=\" + popType + \"&PopID=\" + id %>" list="true"/>';
		size = 'width=770,height=300';
	}
	
	window.open(urlToOpen, 'AddPopulationEntry<%= id %>', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,' + size + ',screenX=50,screenY=10');
}

function doAddSilPopulationEntry() {
	var urlToOpen = '<fl:link url="<%= \"/add_populationentryV2.fl?PopType=\" + popType + \"&PopID=\" + id %>" list="true"/>&PopIsSil=1';
	var size = 'width=770,height=300';
	window.open(urlToOpen, 'AddPopulationEntry<%= id %>', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,' + size + ',screenX=50,screenY=10');
}

function doDeleteAddedEntries() {
	if (!confirm('<fl:getMessage code="M614E" alt="Ces entres seront marques \\u0022retires\\u0022. Etes-vous sr?" js="true"/>')) {
		return;
	}

	var url = '<fl:link url="<%= \"/removeAddedEntriesAjax.fl?id=\" + id %>" />';
	doAjax(url, doDeleteAddedEntriesReturn);
}

function doDeleteAddedEntriesReturn(arrIndex) {
	if (eDealXmlhttpArr[arrIndex].readyState == 4) {
		hideWaiting();
		eval(eDealXmlhttpArr[arrIndex].responseText);
		
		refreshActiveTab();
	}
}

</script>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:submit()">
					<p class="actions_tabletext"><fl:getMessage code="A0003" alt="Enregistrer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
<% if (isEntPer || nbObjTypes == 1) { %>
<fl:access name="PopulationEntry" operation="create">
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doAddPopulationEntry()">
					<p class="actions_tabletext"><fl:getMessage code="A000F" alt="Ajouter"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<% } else if (isEntPerSil) { %>
<fl:access name="PopulationEntry" operation="create">
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doAddPopulationEntry()">
					<p class="actions_tabletext"><fl:getMessage code="M614D" alt="Ajouter Per/Ent couple"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doAddSilPopulationEntry()">
					<p class="actions_tabletext"><fl:getMessage code="M6134" alt="Ajouter Silhouette"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<% } %>
<% if (id != null) { %>
<fl:access name="PopulationEntry" operation="edit">
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doDeleteAddedEntries()">
					<p class="actions_tabletext"><fl:getMessage code="M614F" alt="Retirer entres ajoutes"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<% } %>