<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.controller.actions.SelectAction" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
FlRequest flRequest = new FlRequest(request);
String pPopType = flRequest.getRequestParameterOrAttribute("PopType");
%>
<script type="text/javascript" language="javascript">

function doSelect(pFld) {
	var f = document.forms[0];
	var fldType = '';
	var popID = '';
	var query = '';
	if (pFld == 'FstPopID') {
		fldType = 'FstType';
		<% if (pPopType == null) { %>
		if (f.ScdType.value != '') {
			if (query != '') {
				query += ' AND ';
			}
			query += 'PopType=' + f.ScdType.value;
		}
		<% } %>
	} else if (pFld == 'ScdPopID') {
		fldType = 'ScdType;ScdIsPer;ScdIsEnt;ScdIsJou;ScdIsSil;ScdIsSup';
		<% if (pPopType == null) {%>
		if (f.FstType.value != '') {
			if (query != '') {
				query += ' AND ';
			}
			query += 'PopType=' + f.FstType.value;
		}
		<% } %>
		if (f.FstPopID.value != '') {
			popID = f.FstPopID.value;
		} else if (f.ScdPopID.value != '') {
			popID = f.ScdPopID.value;
		}
	} else if (pFld == 'PopIDToReplace') {
		fldType = 'PopType';
		if (f.FstPopID.value != '') {
			popID = f.FstPopID.value ;
		}else if (f.ScdPopID.value != '') {
			popID = f.ScdPopID.value ;
		 }
		<% if(pPopType == null) { %>
		
		if (f.FstType.value != '') {
			if (query != '') {
				query += ' AND ';
			}
			query += 'PopType=' + f.FstType.value;
		}
		<% } %>
	}
	<% if(pPopType != null) { %>
		if (query != '') {
			query += ' AND ';
		}
		query += '<%= "PopType=" + pPopType %>';
	<% } %>
	query = '&query=' + encodeURIComponent(query);
	window.open('<fl:webapp/>/pop_operation_select.fl?type=Population&field=' + pFld + '&fldType=' + fldType +',FstIsPer,FstIsEnt,FstIsJou,FstIsSil,FstIsSup&popID='+ popID + query, 'PopulationSelect', 'width=<%= SelectAction.SELECT_WINDOW_WIDTH %>,height=400,scrollbars=yes,status=yes');
}

function doRemove(pFld) {
	var f = document.forms[0];
	f.elements[pFld].value = '';
	f.elements['lbl' + pFld].value = '';
	if(pFld == 'FstPopID') {
		f.FstType.value = '';
	} else if(pFld == 'ScdPopID') {
		f.ScdType.value = '';
	} else if(pFld == 'PopIDToReplace') {
		f.PopType.value = '';
	}
}
function population_precheck() {
	var f = document.forms[0];
	if (!f.PopName.value) {
		return;
	}
	
	var url = '<fl:webapp/>/precheck_popv2_operations.fl';
	url += '?FstPopID=' + f.FstPopID.value; 
	url += '&ScdPopID=' + f.ScdPopID.value;
	url += '&PopIDToReplace=' + f.PopIDToReplace.value;
	if (f.PopIDToReplace.value == '') {
		url += '&value=' + escape(f.PopName.value);	
	}
	
	doAjax(url);
}

function generate() {
	var f = document.forms[0];
	
	// on vrifie les champs obligatoires
	if (!mandatoryFields()) {
		return;
	}

	if (f.FstPopID.value == f.ScdPopID.value) {
		alert('<fl:getMessage code="M610D" alt="Les populations doivent tre diffrents" js="true"/>');
		return;
	}

	population_precheck();
}

function submit() {
	document.forms[0].submit();
}

function doPopIDToReplaceChange() {
	var f = document.forms[0];
	f.PopName.value = f.lblPopIDToReplace.value;
}
</script>
<form action="<fl:webapp/>/execute_populationv2_operations.fl" method="post">
	<input name="$$compareFields" type="hidden" value="PpeEntID;PpePerID;PpeSilID;PpeSupID;PpeJouID;PpeFob1;PpeFob2;PpeFob3;PpeFob4;PpeFob5">
	<input name="$$presentFields" type="hidden" value="">
	<input name="$$multivalSeparator" type="hidden" value=";">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L8240\", false, true, \"Assembler des populations\") %>" ou="/populationv2_operations.fl">
	<table class="container" cellpadding="0">
		<tr>
			<td class="titrePartie"><fl:getMessage code="L60BC" alt="Populations d\'origines"/></td>
		</tr>
		<tr class="ligne_separation_couleur">
			<td></td>
		</tr>
		<tr class="ligne_separation">
			<td></td>
		</tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td class="dataLabel"><fl:getMessage code="L60BD" alt="Population A"/></td>
						<td class="dataValue">
							<input name="PopType" type="hidden" value="<%= pPopType %>">
							<input name="FstPopID" type="hidden" value="">
							<input name="FstType" type="hidden" value="">
							<input name="SfwID" type="hidden" value="<%= flRequest.getParameter("SfwID") %>">
							<input name="lblFstPopID" type="text" value="" size="60" class="chpsTextObligatoire" readonly onFocus="this.blur();">
							<a href="javascript:doSelect('FstPopID')"><img src="<fl:webapp/>/icons/ico/rechercher.gif" border="0" width="17" height="17" alt="<fl:getMessage code="A3047" alt="Slectionner une population existante"/>"></a>
							<a href="javascript:doRemove('FstPopID')"><img src="<fl:webapp/>/icons/ico/supprimer.gif" border="0" width="17" height="17" alt=""></a>
							<input type="hidden" name="mandatory" value="FstPopID"/>
							<input type="hidden" id="mandatory.FstPopID" name="mandatory.FstPopID" value="<fl:getMessage code="M0001" alt="Veuillez slectionner une population."/>">
							<span id="FstPopID_msg" class="mandatory_alert" style="display: none">!</span>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel"><fl:getMessage code="L60BE" alt="Population B"/></td>
						<td class="dataValue">
							<input name="ScdPopID" type="hidden" value="">
							<input name="ScdType" type="hidden" value="">
							<input name="lblScdPopID" type="text" value="" size="60" class="chpsTextObligatoire" readonly onFocus="this.blur();" >
							<a href="javascript:doSelect('ScdPopID')"><img src="<fl:webapp/>/icons/ico/rechercher.gif" border="0" width="17" height="17" alt="<fl:getMessage code="A3047" alt="Slectionner une population existante"/>"></a>
							<a href="javascript:doRemove('ScdPopID')"><img src="<fl:webapp/>/icons/ico/supprimer.gif" border="0" width="17" height="17" alt=""></a>
							<input type="hidden" name="mandatory" value="ScdPopID"/>
							<input type="hidden" id="mandatory.ScdPopID" name="mandatory.ScdPopID" value="<fl:getMessage code="M0001" alt="Veuillez slectionner une population."/>">
							<span id="ScdPopID_msg" class="mandatory_alert" style="display: none">!</span>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation">
			<td></td>
		</tr>
		<tr>
			<td class="titrePartie"><fl:getMessage code="L60C0" alt="Population rsultante"/></td>
		</tr>
		<tr class="ligne_separation_couleur">
			<td></td>
		</tr>
		<tr class="ligne_separation">
			<td></td>
		</tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td class="dataLabel"><fl:getMessage code="F003D" alt="Nom de la population"/></td>
						<td class="dataValue">
							<input name="PopIDToReplace" type="hidden" value="">
							<input name="PopType" type="hidden" value="">
							<input name="PopName" type="hidden" value="">
							<input name="lblPopIDToReplace" type="text" value="" size="60" class="chpsTextObligatoire" onFocus="javascript:if(document.forms[0].PopIDToReplace.value!=''){blur()}" maxlength="100";" onchange="this.form.PopName.value=this.value;">
							<a href="javascript:doSelect('PopIDToReplace');"><img src="<fl:webapp/>/icons/ico/rechercher.gif" border="0" width="17" height="17" alt="<fl:getMessage code="A3047" alt="Slectionner une population existante"/>"></a>
							<a href="javascript:doRemove('PopIDToReplace')"><img src="<fl:webapp/>/icons/ico/supprimer.gif" border="0" width="17" height="17" alt=""></a>
							<input type="hidden" name="mandatory" value="PopName"/>
							<input type="hidden" id="mandatory.PopName" name="mandatory.PopName" value="<fl:getMessage code="M0018" alt="Veuillez spcifier le nom de la population."/>">
							<span id="PopName_msg" class="mandatory_alert" style="display: none">!</span>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataLabel"><fl:getMessage code="F602B" alt="Opration"/></td>
						<td class="dataValue">
							<input name="op" id="op1" type="radio" class="chpsTextObligatoire" value="union"/><label id="lop1" for="op1"><fl:getMessage code="L310A" alt="Union"/></label><br>
							<input name="op" id="op2" type="radio" class="chpsTextObligatoire" value="intersection"/><label id="lop2" for="op2"><fl:getMessage code="A3049" alt="Intersection"/></label><br>
							<input name="op" id="op3" type="radio" class="chpsTextObligatoire" value="A-B"/><label id="lop3" for="op3"><fl:getMessage code="L616A" alt="A - B"/></label><br>
							<input name="op" id="op4" type="radio" class="chpsTextObligatoire" value="B-A"/><label id="lop4" for="op4"><fl:getMessage code="L616B" alt="B - A"/></label>
							<input type="hidden" name="mandatory" value="op"/>
							<input type="hidden" id="mandatory.op" name="mandatory.op" value="<fl:getMessage code="M6020" alt="Veuillez slectionner une mthode."/>">
							<span id="op_msg" class="mandatory_alert" style="display: none">!</span>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</fl:bigTabs>
</form>
