<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PopulationBean" id="Population" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
String id = null;
try {
	id = Population.getID();
} catch (FieldNotInitializedException fnie) {
}
String selID = null;
String reqID = null;
String sjoID = null;
try {
	selID = Population.getPopSelID();
} catch (FieldNotInitializedException ex) {
}
try {
	sjoID = Population.getPopSjoID();
} catch (FieldNotInitializedException ex) {
}
try {
	reqID = Population.getPopReqID();
} catch (FieldNotInitializedException ex) {
}
int popType = 0;
try {
	popType = Population.getPopType();
} catch (FieldNotInitializedException ex) {
}
String salesModel = context.getContextParameter("SalesModel");
String actorUrl = flRequest.computeURL("/read_actor.fl");
String reqUrl = flRequest.computeURL("/read_requester.fl");
String selUrl = flRequest.computeURL("/read_selection.fl");
%>
<!-- Javascript include -->


<script type="text/javascript" language="javascript">
function doSubmit() {
	var f = document.forms[0];
	if (f.nb.value == '') {
		window.alert("<fl:getMessage code="M604F" alt="Vous devez saisir un nombre d\\\'entres ou un pourcentage" js="true"/>");
		f.nb.focus();
		return false;
	}
	if (parseInt(toSysNum(f.nb.value)) <= 0) {
		window.alert("<fl:getMessage code="M6050" alt="Vous devez entrer un nombre strictement positif." js="true"/>");
		f.nb.focus();
		return false;
	}
	if (f.typeOfSample[0].checked && parseInt(toSysNum(f.nb.value)) > <fl:getProperty name="Population" property="PopTotNbr" alt="0" format="###0"/>) {
		window.alert("<fl:getMessage code="M6051" alt="Vous devez entrer un nombre infrieur au nombre de contact dans la population." js="true"/>");
		f.nb.focus();
		return false;
	}
	if (f.typeOfSample[1].checked && parseInt(toSysNum(f.nb.value)) > 100) {
		window.alert("<fl:getMessage code="M6052" alt="Vous devez entrer un nombre comprise entre 0 et 100." js="true"/>");
		f.nb.focus();
		return false;
	}
	return true;
}
</script>
<fl:form action="/execute_populationv2_sample.fl" bean="Population">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"F000C\", false, true, \"Population\") %>" ou="<%= \"/edit_populationv2.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
	<table class="container" cellpadding="0">
		<tr>
			<td class="titreFiche">
				<fl:getMessage code="L615E" alt="Echantillonage"/><fl:getProperty name="Population" property="PopName" alt="&nbsp;" preText="&nbsp;-&nbsp;"/>
			</td>
		</tr>
		<tr class="ligne_separation">
			<td></td>
		</tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td class="dataValue" rowspan="2" style="white-space: nowrap; text-align: right; width: 10%"><input type="text" name="nb" value="" size="5" onblur="ctrlNumField(this, 'integer', '<fl:getMessage code="M302F" alt="Format de nombre incorrect. Veuillez corriger." js="true"/>');"></td>
						<td class="dataValue" style="white-space: nowrap; text-align: left; width: 90%">
							<input type="radio" id="nbtype" name="typeOfSample" value="NB" checked > <label id="nbtype_label" for="nbtype"><fl:getMessage code="L6162" alt="entres"/></label>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataValue" style="white-space: nowrap; text-align: left; width: 90%;">
							<input type="radio" name="typeOfSample" id="percenttype" value="PERCENT"> <label id="percenttype_label" for="percenttype"><fl:getMessage code="L6163" alt="pourcent"/></label>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation">
			<td></td>
		</tr>
	</table>
</fl:bigTabs>
</fl:form>
