<%
/******************************************************************************
 * Copyright (c) 2000-2008 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page language="java"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	FlRequest flRequest = new FlRequest(request);
	String popID = flRequest.getParameter("PopID");
%><html>
	<head>
		<link rel="stylesheet" type="text/css" href="<fl:link url="/css/grid/edeal_grid_css.jsp"/>">
		<link rel="stylesheet" type="text/css" href="<fl:link url="/common/select/select_css.jsp"/>">
		<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp" type="text/css">
		<script type="text/javascript" src="<fl:link url="/js/edeal/libraries/jquery/jquery.js"/>"></script>
		<script type="text/javascript" src="<fl:link url="/js/ajax/sarissa.js"/>"></script>
		<script type="text/javascript" src="<fl:link url="/js/ajax/ajax.js"/>"></script>
	  	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
		<script type="text/javascript" language="javascript">
		
		function doAddEntryCallback(arrIndex) {
			if (eDealXmlhttpArr[arrIndex].readyState == 4) {
				if (eDealXmlhttpArr[arrIndex].responseText == '') {
					if (window.opener.refreshActiveTab) {
						window.opener.refreshActiveTab();
					} 
				} else {
					eval(eDealXmlhttpArr[arrIndex].responseText);
					if (window.opener.refreshActiveTab) {
						window.opener.refreshActiveTab();
					}
				}
				
				hideWaiting();
			}
		}
		
		function doAddEntry(ppeEntID, ppePerID) {
			if(!ppeEntID && !ppePerID) return;
			if(!ppeEntID) ppeEntID = '';
			if(!ppePerID) ppePerID = '';
			
			var fields = '';
			var ids = '';
			if (ppeEntID != '') {
				fields = 'PpeEntID';
				ids = ppeEntID;
			}
			
			if (ppePerID != '') {
				if (fields != '') {
					fields += ',';
				}
				fields += 'PpePerID';
				
				if (ids != '') {
					ids += '|';
				}
				ids += ppePerID;
			}
			
			var urlToCall = '<fl:webapp/>/add_populationentryV2_valid.fl?PopID=<%= popID %>';
			urlToCall += '&fields=' + escape(',' + fields + ',');
			urlToCall += '&ids=' + ids;
			
			doAjax(urlToCall, doAddEntryCallback);
		}

		function doSubmit(f) {
			var params={};
			var entity_type=f.type.value;
			params["type"]=encodeURIComponent(entity_type);
			params["query"]=encodeURIComponent(f.query.value + '%');
			params["criteria"]=encodeURIComponent(f.criteria.value);
			var entity_type=f.type.value;
			var strURL = '<fl:webapp/>/add_PerEnt_entry_list.fl';
			if(entity_type=="enterprise"){
				_grid__select_organization_js_.callAjaxForHtml(_grid__select_organization_js_.getAjaxUrl(),params,true);
			}
			else
			{
				_grid__select_individual_js_.callAjaxForHtml(_grid__select_individual_js_.getAjaxUrl(),params,true);
			}
		}

		function doSelectIndiv(groupID, type) {
			var params={};
			params["type"]="person";
			params["query"]=encodeURIComponent(groupID);
			params["criteria"]="PerEntID";
			_grid__select_individual_js_.callAjaxForHtml(_grid__select_individual_js_.getAjaxUrl(),params,true);
		}
		
		function displayReturnedMessage(type, msg) {
			$("#fback" + type).html(msg);
			$("#fback" + type).show('slow').delay(2000).hide('slow')
		}
		</script>
	</head>
	<body>
		<div>
			<table class="global" cellpadding="0">
				<tr>
					<td class="header_top_left"></td>
					<td class="header_top_middle" style="width: 343px"></td>
					<td class="header_top_right"></td>
					<td class="header_top_left"></td>
					<td class="header_top_middle" style="width: 343px"></td>
					<td class="header_top_right"></td>
				</tr>
				<tr>
					<td class="header_center_left"></td>
					<td width="320px"class="header_center_middle title">
						<form action="javascript:doSubmit(window.document.forms[0])">
							<div style="display: inline">
								<div class="criteria">
									<input type="hidden" name="criteria" id="criteria" value="EntCorpName">									
									<input type="hidden" name="type" id="type" value="enterprise">
									<span class="criteria_field">
									<fl:getMessage code="F002B" alt="Entreprise"/>
									</span>
									<span class="criteria_field"><input id="query" name="query" type="text" size="20" value=""></span>
								</div>
							</div>
							<input  type="image" src="<fl:link url="/icons/ico/valid_green2_long.gif"/>" style="width:74px; height: 17px; margin-left: 10px; border: none; vertical-align: middle; background: transparent;">
						</form>
					</td>
					<td class="header_center_right"></td>
					<td class="header_center_left"></td>
					<td width="380px" class="header_center_middle title">
						<form action="javascript:doSubmit(window.document.forms[1])">
							<div style="display: inline">
								<div class="criteria">
									<input type="hidden" name="criteria" id="criteria" value="PerName">
									<input type="hidden" name="type" id="type" value="person">
									<span class="criteria_field">									
											<fl:getMessage code="F002E" alt="Personne"/>
									</span>
									<span class="criteria_field"><input id="query" name="query" type="text" size="20" value=""></span>
								</div>
							</div>
							<input type="image" src="<fl:link url="/icons/ico/valid_green2_long.gif"/>" style="width:74px; height: 17px; margin-left: 10px; border: none; vertical-align: middle; background: transparent;">
						</form>
					</td>
					<td class="header_center_right"></td>
				</tr>
				<tr>
					<td class="header_bottom_left"></td>
					<td class="header_bottom_middle"></td>
					<td class="header_bottom_right"></td>
					<td class="header_bottom_left"></td>
					<td class="header_bottom_middle"></td>
					<td class="header_bottom_right"></td>
				</tr>
				<tr style="height: 250px">
					<td class="body_left"></td>
					<td class="body_middle"><div><fl:grid name="select_organization" width="100%" height="250px" hidePage="true" allowUpdate="false" ajaxUrl="/add_PerEnt_entry_list.fl"></fl:grid></div></td>
					<td class="body_right"></td>
					<td class="body_left"></td>
					<td class="body_middle"><div><fl:grid name="select_individual" width="100%" height="250px" hidePage="true" allowUpdate="false" ajaxUrl="/add_PerEnt_entry_list.fl"></fl:grid></div></td>
					<td class="body_right"></td>
				</tr>
				<tr>
					<td class="body_bottom_left"></td>
					<td class="body_bottom_middle"><img src="<fl:link url="/icons/popup/pop14.gif"/>" width="9" height="18"></td>
					<td class="body_bottom_right"></td>
					<td class="body_bottom_left"></td>
					<td class="body_bottom_middle"><img src="<fl:link url="/icons/popup/pop14.gif"/>" width="9" height="18"></td>
					<td class="body_bottom_right"></td>
				</tr>
			</table>			
		</div>
		<br>
		<table class="container" width="100%">
			<tr class="fieldline" height="20px">
				<td style="text-align: center; width: 50%;"><label id="fbackent"></label></td>
				<td style="text-align: center; width: 50%;"><label id="fbackper"></label></td>
			</tr>
		</table>		
		<table class="container" width="100%">
			<tr class="fieldline">
				<td colspan="2" style="text-align: center;">
					<a href="javascript:window.close()"><img border="none" src="<fl:webapp/>/icons/ico/fermer_red_long.gif"></a>
				</td>
			</tr>
		</table>
	</body>
</html>
