<%/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@page session="true" import="com.edeal.frontline.*"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ page import="com.edeal.frontline.grid.GridData" %>
<jsp:useBean class="com.edeal.frontline.PricingBean" id="Pricing" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
String id = null;
String prlPricing = null;
try {
    id = Pricing.getID();
} catch (FieldNotInitializedException fnie) {
}
String message = Utils.getMessage(flRequest.getSession(),"L30D1","Aucun");
%>
<script type="text/javascript" language="javascript">
	var selectedStab = 0;

	function doSubmit() {
	    return true;
	}
	
	function doOnLoad() {
		refreshCatLine();
	}

	function refreshCatLine() {
		selectedStab = 0;
		_grid__PRCPRL_js_.render(); 
	}
	
	function refreshCatLineA(){
		selectedStab = 2;
		_grid__PRCPRLARC_js_.render();
	}
	
	function refreshCatLineP(){
		selectedStab = 2;
		_grid__PRCPRLACT_js_.render();
	}
	
	function doDeletePrcPrl(idPrcPrl) {
		if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer ?" js="true"/>')) {
			var str = '<fl:link url="/delete_object_ajax.fl?type=PricingLine&id=' + idPrcPrl + '"/>';
			doAjax(str, refresh);
		}
	}	

	function refresh(arrIndex) {
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			if (selectedStab == 0){
				refreshCatLine();
			} else if (selectedStab == 1) {
				refreshCatLineA();		
			} else {
				refreshCatLineP();
			}	
		}
	}
		
</script>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L62C5\", false, true, \"Catalogue\") %>" ou="<%= \"/read_pricing.fl\" + (id != null ? \"?id=\" + id : \"\")%>">
    <table class="container" cellpadding="0">
		<tr>
			<td colspan="2" class="titreFiche"><fl:getProperty name="Pricing" property="PrcName" alt="&nbsp;"/></td>
		</tr>
		<tr class="ligne_separation"><td>&nbsp;</td></tr>
	</table>
    <table class="container" cellpadding="0">
    	<tr>
    		<td class="column2">
			    <table class="container" cellpadding="0">
					<fl:fieldRead property="PrcParent" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_pricing.fl\", true, true, true) %>" alt="<%=message%>"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">&nbsp;</td>
		</tr>
	</table>
    <table class="container" cellpadding="0">
		<tr class="ligne_separation"><td>&nbsp;</td></tr>
	</table>
		<fl:notes name="PrcNote" title="<%= Utils.getMessage(session, \"F2024\", \"Notes\") %>" ><fl:getProperty name="Pricing" property="PrcNote" alt=""/></fl:notes>
	
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">

	<fl:smallTabs name="PrcRead">
		<fl:sTab id="TOUTES" title="<%= Utils.getMessage(session, \"F60B4\", \"Lignes catalogue\")+\": \"+Utils.getMessage(session, \"L302C\", \"Toutes\") %>" onselect="refreshCatLine();">
			<div style="height:100%;overflow:auto">
				<fl:grid height="150px" width="100%" name="PRCPRL" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=PRCPRL&PrlPricing=\" + id %>"/>&nbsp;
			</div>
		</fl:sTab>
		<fl:sTab id="PREVIOUS" title="<%= Utils.getMessage(session, \"F60B4\", \"Lignes catalogue\")+\": \"+Utils.getMessage(session, \"L6088\", \"Actives\") %>" onselect="refreshCatLineP();" > 
			<div style="height:100%;overflow:auto">
				<fl:grid height="150px" width="100%" name="PRCPRLACT" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=PRCPRLACT&PrlPricing=\" + id %>"/>&nbsp;
			</div>
		</fl:sTab>	
		<fl:sTab id="ACTIVES" title="<%= Utils.getMessage(session, \"F60B4\", \"Lignes catalogue\")+\": \"+Utils.getMessage(session, \"L62D1\", \"Archives\") %>" onselect="refreshCatLineA();">
			<div style="height:100%;overflow:auto">
				<fl:grid height="150px" width="100%" name="PRCPRLARC" ajaxUrl="<%=\"/embedded_list_ajax.fl?code=PRCPRLARC&PrlPricing=\" + id %>"/>&nbsp;
			</div>
		</fl:sTab>		
	</fl:smallTabs>
</fl:bigTabs>
