<%/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.PricingBean" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PricingLineBean" id="PricingLine" scope="request"/>
<jsp:useBean class="com.edeal.frontline.PricingBean" id="Pricing" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
String id = null;
String pricingID= null;
String idParent=null;


try {
    id = PricingLine.getID();
} catch (FieldNotInitializedException fnie) {
}
pricingID = flRequest.getRequestParameterOrAttribute("pricingID");

if (pricingID==null){
	try{
		pricingID = PricingLine.getPrlPricing();
	}catch(Exception e){}
}

try {
	PricingBean tempPric = new PricingBean(pricingID, session);
	flRequest.setAttribute("Pricing", tempPric);
} catch (Exception e) {
}

%>
<script type="text/javascript" language="javascript">
var sumibted;

function doOnLoad(){
	submited = false;
}

function doPrlFamilyIDChange(){
	deleteProduct();
}

function doPrlPrdIDChange(){
	deleteFamily();
}

function deleteProduct(){
var f = window.document.forms[0];
	if (f.PrlPrdID){
		f.PrlPrdID.value = '';
		f.lblPrlPrdID.value='';
	}
}

function deleteFamily(){
var f = window.document.forms[0];
	if(f.PrlFamilyID){
		f.PrlFamilyID.value='';
		f.lblPrlFamilyID.value='';
	}	
}

function deleteRemise(){
var f = window.document.forms[0];
	if (f.PrlVariationRel){
		f.PrlVariationRel.value='';
		}
}

function deletePrix(){
var f = window.document.forms[0];
	if(f.PrlVariationAbs){
		f.PrlVariationAbs.value='';
	}
}

function doSubmit(){
	var f = window.document.forms[0];
	
	if (f.PrlStartDate.value!="" && f.PrlEndDate.value!="" && compareDate(f.PrlStartDate.value, '', f.PrlEndDate.value, '') > 0) {
		window.alert('<fl:getMessage code="M0021" alt="La date de dbut doit tre infrieure  la date de fin" js="true"/>');
		f.PrlEndDate.focus();
		return false;
	}

	if (!submited){
	    if ((f.PrlPrdID.value=='')&&(f.PrlFamilyID.value=='')){
	    	window.alert('<fl:getMessage code="L63B5" js="true" alt="Veuillez choisir un produit ou une famille de produit"/>');
	    	return false;
	    }
		
		var str = '&type=PricingLine&PrlPrdID='+f.PrlPrdID.value+'&PrlVariationAbs='+encodeURIComponent(f.PrlVariationAbs.value)+'&PrlStartDate='+f.PrlStartDate.value;
		str += '&PrlEndDate='+f.PrlEndDate.value+'&PrlFamilyID='+f.PrlFamilyID.value+'&PrlVariationRel='+f.PrlVariationRel.value+'&PrlNote='+encodeURIComponent(f.PrlNote.value);
		str += '&PrlPricing='+'<%=pricingID%>';
		str += '&$$presentFields=PrlPricing|PrlPrdID&id=';
		
		<% if (id!=null) { %> 
			str += '<%= id %>';
		<% } %>
		var url = '<fl:link url="/save_object_ajax.fl?1=1"/>' +str;
		
		doAjax(url, redirect);
		submited = true;
		return false;
	}
}

function redirect(arrIndex) {
	if (eDealXmlhttpArr[arrIndex].readyState == 4) {
		window.location = '<%= flRequest.computeURL("/read_pricing.fl?id=" + pricingID) %>';
	}
}

</script>
<fl:form action="/save_pricingline.fl" bean="PricingLine">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L62C7\", false, true, \"Ligne catalogue\") %>" ou="<%= \"/edit_pricingline.fl\" + (id != null ? \"?id=\" + id : \"\")%>">
    <table class="container" cellpadding="0">
    	<% if (id == null) { %>
	    	<input type="hidden" name="PrlPricing" value="<%= pricingID %>">
    	<% } %>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit readOnly="true" property="PrcName" labelCode="L62C5"/>
					<fl:fieldEdit tabindex="10" property="PrlPrdID" onblur="deleteFamily();"/>
					<fl:fieldEdit tabindex="20" property="PrlFamilyID"/>
					<fl:fieldEdit tabindex="30" property="PrlStartDate"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit readOnly="true" property="PrcParent"/>
					<fl:fieldEdit property="PrlVariationAbs" onchange="deleteRemise();" postText="&nbsp;&euro;" tabindex="40"/>
					<fl:fieldEdit property="PrlVariationRel" postText="&nbsp;%" onchange="deletePrix();" tabindex="50"/>
					<fl:fieldEdit tabindex="60" property="PrlEndDate"/>
				</table>
			</td>
		</tr>
	</table>
    <table class="container" cellpadding="0">
    	<tr>
			<td colspan="2">
				<table class="container" cellpadding="0">
					<tr class="ligne_separation"><td></td></tr>
					<tr>
						<td class="titrePartie"><fl:getMessage code="F2024" alt="Notes"/></td>
					</tr>
					<tr>
						<td class="dataValue noPaddingLeft"><fl:input property="PrlNote" nodiv="false"/></td>
					</tr>
					<tr class="ligne_separation"><td></td></tr>
					<%--<tr class="ligne_separation_couleur"><td></td></tr>
					<tr class="ligne_separation"><td></td></tr>--%>
				</table>
			</td>
		</tr>
	</table>
</fl:bigTabs>
</fl:form>
