<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Vector" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.ProductBean" id="Product" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	String pdfID = null;
	String pdfFileName = null;
	String logo = null;
	
	String sfwID = flRequest.getRequestParameterOrAttribute("SfwID");

	try {
	    id = Product.getID();
	} catch (FieldNotInitializedException fnie) {
	}
	boolean isGroup = false;
	try {
		String prdType = Product.getPrdTypID();
		isGroup = prdType != null && prdType.equals(dico.getRefIdByCode("PrdTypID","GROUPE"));
	} catch (FieldNotInitializedException fnie) {
	}
	
	boolean isCalcul = false;
	if (isGroup){
		try{
			String idPriceType = Product.getPrdTprID();
			isCalcul = idPriceType !=null && idPriceType.equals(dico.getRefIdByCode("PrdTprID", "CAL"));
		}catch(FieldNotInitializedException fnie){}
	}
	
	try{
		pdfID = Product.getPrdPdfID();
		pdfFileName = Product.getPrdPdfFileName();
		
	} catch (FieldNotInitializedException fnie) {
	}
	
	try{
		logo = Product.getPrdPicID();		
	} catch (FieldNotInitializedException fnie) {
	}	

	String tailleTab1 = "50%";
	String tailleTab2 = "50%";

	if (logo!=null){
		tailleTab1 = "45%";
		tailleTab2 = "35%";
	}
	
	boolean isGesStocks = false;
	try {
		isGesStocks = new Boolean(Product.getCustomProperty("PrdGestionStocks_").toString());
	} catch (FieldNotInitializedException ex) {
	}
	
	String productFamilyID = null;
	String productFamilyVal = null;
	try {
		productFamilyID = (String)Product.getCustomProperty("PrdFamilleProduit_");
		productFamilyVal = dico.getRefCode("PrdFamilleProduit_", productFamilyID);
	} catch (FieldNotInitializedException fnie) {
	}
%>
<style>
.borderLineOne {
	border-right: 1px dashed #9EC6D0;
	border-bottom: 1px dashed #9EC6D0;
}

</style>
<script language="javascript">

function doOnLoad(){
	refreshList();
}

function waitNrefresh(){
	setTimeout("refreshList()", 50);	
}

function refreshList(){
	<% if (isGroup) { %>
		doAjax('<fl:webapp/>/groupEntries_table_ajax.fl?PrdID=<%= id %>&listOnly=true');
	<% } %>
}


function refreshSelectedPrd(){
	setTimeout("refreshList()", 100);
}

function refreshHisto(){
	_grid__HISTO_EMB_js_.render();
}

function doRefresh() {
	
	window.top.location.reload();	
}

</script>
<input type="hidden" name="$$presentFields" value="">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"F203E\", false, true, \"Produit\") %>" ou="<%= \"/read_product.fl\" + (id != null ? \"?id=\" + id : \"\")%>">
    <table class="container" cellpadding="0">
    	<% if (id != null) { %>
		<tr class="fieldline">
			<td colspan="3" class="titreFiche">
				<fl:getProperty name="Product" property="PrdName" alt="&nbsp;" /><br>
			</td>
		</tr>
    	<% } %>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="fieldline">
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="PrdCode" />
					<fl:fieldRead property="PrdFamilleProduit_" />
					<tr class="fieldline">
						<td id="PhVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<fl:fieldRead property="PrdDistributeur_" />
					<fl:fieldRead property="PrdFournisseur_" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_enterprise.fl\") %>"/>
					<tr class="fieldline">
						<td id="PhVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<% if(!(productFamilyVal.startsWith("COT"))){ %>
						<% if(isGesStocks) { %>
							<tr class="fieldline">
								<td id="Hs_label" class="dataLabel">
									<fl:label field="PrdGestionStocks_"/>
								</td>
								<td id="Apercu_value" class="dataValue">
									<input type="checkbox" checked="checked" disabled="disabled"/>
								</td>
							</tr>
							<fl:fieldRead property="PrdStockActuel_" />
							<fl:fieldRead property="PrdStockMinimum_" />
						<% } else { %>
							<tr class="fieldline">
								<td id="Hs_label" class="dataLabel">
									<fl:label field="PrdGestionStocks_"/>
								</td>
								<td id="Apercu_value" class="dataValue">
									<input type="checkbox" disabled="disabled"/>
								</td>
							</tr>
					<% }}else{%>
						 <fl:fieldRead property="PrdMaxQt_"/>
					<% } %>
					<tr class="fieldline">
						<td id="PhVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<tr class="fieldline">
						<td id="PhVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;"><fl:getMessage code="LF090" alt="Commercialisation"/></span></td>
					</tr>
					
					<fl:fieldRead property="PrdStatut_" />
					<fl:fieldRead property="PrdPrice" postText="&nbsp;&euro;" format="money"/>
					<fl:fieldRead property="PrdTVADefaut_" />
					<fl:fieldRead property="PrdTaxeParafiscale_" />
					<tr class="fieldline">
						<td id="PhVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<fl:fieldRead property="PrdType_" />
					<fl:fieldRead property="PrdPubSince"/>
					<fl:fieldRead property="PrdPubTo"/>
					<fl:fieldRead property="PrdCodeComptable_" />
					<fl:fieldRead property="PrdCodeAnalytique_" />
					<fl:fieldRead property="PrdCompteFrance_" />
					<fl:fieldRead property="PrdCompteExport_" />
					<fl:fieldRead property="PrdCompteINTRACOM_" />
					
					<%--
					
					<fl:fieldRead property="PrdActID" bean="true" disp="<%= flRequest.computeURL(\"/read_actor.fl\")%>" href="true"/>
					<fl:fieldRead property="PrdFamilyID"  bean="true" disp="<%=flRequest.computeURL(\"/read_productfamily.fl\", true, true, true)%>" href="true"/>
					<fl:fieldRead property="PrdTypID"/>
					<% if(isGroup) { %>
						<fl:fieldRead property="PrdTprID"/>
					<% } %>
					<tr class="fieldline">
						<td class="dataLabel"><fl:getMessage code="F2043" alt="Prix unitaire"/></td>
						<td<%= isCalcul ? " id=\"productPriceTotal\"" : "" %> class="dataValue"><fl:getProperty name="Product" property="PrdPrice" format="#,##0.##" alt=""/> &euro;</td>
					</tr>					
					<fl:fieldRead property="PrdRopID"/>					
					<fl:fieldRead property="PrdTvaID" postText="%"/>
					<fl:fieldRead property="PrdQualification" />	
					 --%>				
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>	
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<%
						try {
							String picID = Product.getPrdPicID();
					%>
						<tr class="fieldline">
								<td>
									<img src="<fl:webapp/>/download?id=<%= picID %>" alt="" height="150" width="200"/>
								</td>
						</tr>
					<%
						} catch (Exception e) {
						}
					%>
					<tr class="fieldline">
						<td id="PhVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<tr class="fieldline">
						<td id="PhVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<tr class="fieldline">
						<td id="PhVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<fl:fieldRead property="PrdRespProduit_" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_actor.fl\") %>"/>
					<tr class="fieldline">
						<td id="PhVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<fl:fieldRead property="PrdID_partenaire_"/>
					<fl:fieldRead property="PrdTypologieProduit_"/>
					<fl:fieldRead property="PrdMillesime_" />
					<fl:fieldRead property="PrdCtrID_" />
					<%--			
					<fl:fieldRead property="PrdPubSince"/>
					<fl:fieldRead property="PrdPubTo"/>					
					<% if (pdfID != null) { %>
						<tr class="fieldline">
							<td id="PrdPdfID_label" class="dataLabel">
								<fl:label code="F60C0"/>
							</td>
							<td id="PrdPdfID_value" class="dataValue">
								<div>
									<fl:attach name="Product" colID="PrdPdfID" edit="false"/>
								</div>
							</td>
						</tr>
					<% } %>
					<fl:fieldRead property="PrdStock"/>
					<fl:fieldRead property="PrdPkgID"/>									
					<fl:fieldRead property="PrdCptID" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_competitor.fl\") %>"/>
					 --%>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td>&nbsp;</td></tr>
	</table>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<fl:smallTabs name="ProductTabs">	
	<fl:sTab id="DescCol" title="<%= Utils.getMessage(session, \"FF11C\", \"Descriptif\") %>">
		<div>
			<table class="container">
				<tr class="fieldline">
					<td class="dataValue">
						<fl:getProperty name="Product" property="PrdProdCard" alt=" "/>
					</td>
				</tr>
			</table>				
		</div>		    
	</fl:sTab>
	<fl:sTab id="DescCol" title="<%= Utils.getMessage(session, \"FF11D\", \"Informations complmentaires\") %>">
		<div>
			<table class="container">
				<tr class="fieldline">
					<td class="dataValue">
						<fl:getProperty name="Product" property="PrdInfosComplementaires_" alt=" "/>
					</td>
				</tr>
			</table>				
		</div>		    
	</fl:sTab>
	<fl:sTab id="Histo" title="<%= Utils.getMessage(session, \"LF04A\", \"Historique de stocks\") %>" onselect="refreshHisto();" visible="<%= isGesStocks %>">
		<fl:grid name="HISTO_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=HISTO_EMB&Hs_Produit=\" + id %>"/>
	</fl:sTab>
	<fl:sTab id="PtFort" title="<%= Utils.getMessage(session, \"FF120\", \"Forces\") %>">
		<div>
			<table class="container">
				<tr class="fieldline">
					<td class="dataValue">
						<fl:getProperty name="Product" property="PrdStrength" alt=" "/>
					</td>
				</tr>
			</table>				
		</div>
	</fl:sTab>
	<fl:sTab id="PtFaible" title="<%= Utils.getMessage(session, \"FF121\", \"Faiblesses\") %>">
		<div>
			<table class="container">
				<tr class="fieldline">
					<td class="dataValue">
						<fl:getProperty name="Product" property="PrdWeakness" alt=" "/>
					</td>
				</tr>
			</table>				
		</div>
	</fl:sTab>
	<fl:sTab id="PrdAttach" title="<%=Utils.getMessage(session, \"L201C\", \"Documents joints\")%>">
		<fl:attach name="Product" colID="PrdAttID" edit="false"/>
	</fl:sTab>	
</fl:smallTabs>
</fl:bigTabs>
