<%/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.controller.actions.SelectAction" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.ProductGroupEntryBean" id="ProductGroupEntry" scope="request"/>
<html>
<head>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">

<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
<script type="text/javascript" language="javascript" src="<fl:link url="/js/checkFields.jsp"/>"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>

<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<script language="javascript" type="text/javascript" src="<fl:webapp/>/js/smalltabs.jsp"></script>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();

	String id = null;
	String pgeGrpPrdID = Utils.getRequestParameter(context, request, "pgeGrpPrdID");

	try {
	    id = ProductGroupEntry.getID();
	} catch (FieldNotInitializedException fnie) {
		id = "";
	}

	String errorMsg = Utils.getMessage(session, "M302F", true, "Format de nombre incorrect. Veuillez corriger.");
	String intChange = "ctrlNumField(this, 'integer', '" + errorMsg + "');";
%>
<style type="text/css">
.dataValueX {
	width: 66%;
	overflow: hidden;
	margin: 0px;
	padding: 0px;
	padding-left: 10px;
	font-size: small;
	font-size: expression("x-small");
	color: rgb(0, 0, 0);
	font-family: Arial, Verdana, sans-serif;
	vertical-align: top;
	padding: 4px;
}
.borderLineOne {
	border-right: 1px dashed #9EC6D0;
	border-bottom: 1px dashed #9EC6D0;
}
.borderLineTwo {
	border-right: 1px dashed #9EC6D0;
}
</style>
<script type="text/javascript" language="javascript">
function onLoadHandler(){
	show();
	hide();
	setTimeout("refreshSelectedList()", 200);
}

function doSearch() {
	var f = window.document.forms[0];
	var str = '';
	var parameters=new Array();
	if (f.PrdName.value!=''&&f.PrdName.value!='<fl:getMessage code="L6122" alt="<Dsignation>" js="true"/>'){
		//str = str + "&PrdName="+f.PrdName.value;
		parameters['PrdName']=f.PrdName.value;
	}

	if (f.PrdFamilyID.value){
		//str = str + "&PrdFamilyID="+f.PrdFamilyID.value;
		parameters['PrdFamilyID']=f.PrdFamilyID.value;
	}
	
	if (f.PrdCode.value!='' && f.PrdCode.value!='<fl:getMessage code="M602D" alt="<Code>" js="true"/>'){
		//str = str + "&PrdCode="+f.PrdCode.value;
		parameters['PrdCode']=f.PrdCode.value;
	}
	
	//str +="&pgeGrpPrdID=" + '<%=pgeGrpPrdID%>';
	parameters['pgeGrpPrdID']='<%=pgeGrpPrdID%>';
	parameters['ListProduct_$$nb']=0;
	parameters['ListProduct_$$idx']=0;
//function(ajaxUrl,parameters,fReinitParameters,fEditMode,callBack,fPriorityToUrlParams,fDisplayPreview) {
	_grid__ListProduct_js_.callAjaxForHtml(_grid__ListProduct_js_.getAjaxUrl(),parameters,true,false,null,false,false);

}

function hide(){
	divDisplay = document.getElementById('createProd');
	divDisplay.style.visibility = 'hidden';
	document.getElementById('ProductEntry_stab0').innerHTML = '';
}

function show(){
	document.getElementById('createProd').style.visibility = 'visible';
	//document.getElementById('ProductEntry_stab0').innerHTML = '<fl:getMessage code="L648E" alt="Produit slction" js="true"/>';
}

function selectProd(ProductID){
	f = window.document.forms[0];

	doAjax('<fl:webapp/>/list_custom_selectedproduct_ajax.fl?PrdID=' + ProductID);
	show();
}

function refreshSelectedList(){
	doAjax('<fl:webapp/>/groupEntries_table_ajax.fl?PrdID=<%= pgeGrpPrdID %>&listOnly=false');
}

function doSubmit() {
	return true;
}


function doTransfert() {
	window.top.opener.waitNrefresh();
	window.top.close();
}

function doEdit(idPge){
	f = window.document.forms[0];
	doAjax('<fl:webapp/>/list_custom_selectedproduct_ajax.fl?PgeID='+idPge);
	show();
}

function doDelete(idPge){
	f = window.document.forms[0];

	if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
		doAjax('<fl:link url="/delete_object_ajax.fl?1=1"/>'+'&type=ProductGroupEntry'+'&id='+idPge, waitNrefreshSL);
		hide();	
	}
}

function addProd() {
	var f = document.forms[0];

	ctrlNumField(f.PgeNombre, 'integer', 'Format incorrect. Veuillez corriger');

	if (f.PgeNombre.value =='') {
		alert('<fl:getMessage code="M301E" alt="Vous devez prciser la quantit." js="true"/>');
		f.PgeNombre.focus();
		return ;
	} else if (f.PgeNombre.value < 1) {
		alert('<fl:getMessage code="M60B5" alt="Vous devez prciser une quantit suprieure  0." js="true"/>');
		f.PgeNombre.value = '';
		f.PgeNombre.focus();
		return;
	}
	
	str = '&PgeGrpPrdID=<%= pgeGrpPrdID %>&PgePrdID='+f.PrdID.value+'&PgeNombre='+f.PgeNombre.value+'&type=ProductGroupEntry'+'&$$presentFields=PgeGrpPrdID|PgeNombre|&id='+'<%=id%>';
	str = '<fl:link url="/save_object_ajax.fl?1=1"/>' + str;

	doAjax(str, waitNrefreshSL);
	hide();
}

function SavePge(idPge){
	f = window.document.forms[0];

	ctrlNumField(f.PgeNombre, 'integer', '<fl:getMessage code="M302E" alt="Format incorrect. Veuillez corriger" js="true"/>');

	if (f.PgeNombre.value == ''){
		alert('<fl:getMessage code="M301E" alt="Vous devez prciser la quantit." js="true"/>');
		f.PgeNombre.focus();
		return ;
	} else if (f.PgeNombre.value < 1){
		alert('<fl:getMessage code="M60B5" alt="Vous devez prciser une quantit suprieure  0." js="true"/>');
		f.PgeNombre.value = '';
		f.PgeNombre.focus();
		return;
	}

	
	str = '&PgeGrpPrdID=<%=pgeGrpPrdID%>&PgePrdID='+f.PrdID.value+'&PgeNombre='+f.PgeNombre.value+'&type=ProductGroupEntry'+'&$$presentFields=PgeGrpPrdID|PgeNombre|&id='+idPge;
	str = '<fl:link url="/save_object_ajax.fl?1=1"/>' +str;

	doAjax(str, waitNrefreshSL);
	
	f.PgeID.value='';
	hide();
}

function waitNrefreshSL(arrIndex) {
	if (eDealXmlhttpArr[arrIndex].readyState == 4) {
		refreshSelectedList();
	}
}
</script>
</head>
<body style="height: auto; overflow: auto;" onload="onLoadHandler();">
<div id="object_css" style="top: 0px;">
<fl:form action="/save_productgroupentry.fl" bean="ProductGroupEntry">
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L6120\", \"Choix produits\")%>" ou="<%= \"/edit_productgroupentry.fl\" + (id != null ? \"?id=\" + id : \"\")%>">
    <input type="hidden" name="$$returnedHtmlHead" value=""/>
	<input type="hidden" name="$$returnedHtmlBody" value="..."/>
	<input type="hidden" name="PrdID" value="">
	<input type="hidden" name="PgeID" value="">
    
    <table class="container" cellpadding="0">
		<tr>
			<td style="width: 20%;"> <!-- Begin search area -->
			<table border="0" cellpadding="0" cellspacing="0" width="100%">
				<tr valign="top">
					<td class="titrePartie"><fl:getMessage code="F2048" alt="Produits"/></td>
				</tr>
				<tr valign="top" class="ligne_separation_couleur"><td></td></tr>
				<tr valign="top" class="ligne_separation"><td></td></tr>
				<tr valign="top">
					<td colspan="2">
						<div class="fieldTable" ><table class="fieldTable" cellpadding="0"><tr><td class="principalText"><input id="PrdFamilyID" name="PrdFamilyID" type="hidden" value=""><input id="lblPrdFamilyID" name="lblPrdFamilyID" type="text" value="<fl:getMessage code="L635D" alt="<Famille>"/>" onfocus="this.blur();" readonly class="input fob"></td><td class="postText">&nbsp;<a href="javascript:var win = window.open('<fl:webapp/>/select.fl?type=ProductFamily&field=PrdFamilyID&formIndex=0', 'SelectActor', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=<%= SelectAction.SELECT_WINDOW_WIDTH %>,height=370')"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon" alt="<fl:getMessage code="A2003" alt="Slectionner"/>" title="<fl:getMessage code="A2003" alt="Slectionner"/>"></a>&nbsp;<a href="javascript:var f = window.document.forms[0]; f.PrdFamilyID.value = ''; f.lblPrdFamilyID.value = '<fl:getMessage code="L635D" alt="<Famille>" js="true"/>'; void('')"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon" alt="<fl:getMessage code="A3005" alt="Vider le champ"/>" title="<fl:getMessage code="A3005" alt="Vider le champ"/>"></a></td></tr></table></div>
					</td>
				</tr>
				<tr valign="top">
					<td colspan="2">
						<div style="margin-top: 5px;" >
							<input name="PrdCode" type="text" class="input text" value="<fl:getMessage code="M602D" alt="<Code>"/>" size="20" onfocus="if (this.value=='<fl:getMessage code="M602D" alt="<Code>" js="true"/>') this.value=''" onblur="if(this.value == '') this.value = '<fl:getMessage code="M602D" alt="<Code>" js="true"/>';">
						</div>
					</td>
				</tr>
				<tr valign="top">
					<td colspan="2">
						<div style="margin-top: 5px;" >
							<input name="PrdName" type="text" class="input text" value="<fl:getMessage code="L6122" alt="<Dsignation>"/>" size="20" onfocus="if (this.value=='<fl:getMessage code="L6122" alt="<Dsignation>" js="true"/>') this.value=''" onblur="if(this.value == '') this.value = '<fl:getMessage code="L6122" alt="<Dsignation>" js="true"/>';">
						</div>
					</td>
				</tr>
				<tr>
					<td align="center">
						<div style="margin-top: 10px;" >
							<a href="javascript:doSearch();" onmouseover="window.status = '<fl:getMessage code="A2009" alt="Rechercher" js="true"/>'; return true;" onmouseout="window.status = ''; return true;"><img src="<fl:webapp/>/icons/ico/valid_green2_long.gif" border="0" alt="<fl:getMessage code="A2009" alt="Rechercher"/>"></a>
						</div>
					</td>
				</tr>
			</table>
			</td> <!-- Fin search area -->
		
		
		<!-- Liste des produits -->
		<td style="width:80%;" height="200px">
			<fl:smallTabs name="ProductList">
			<fl:sTab hideLink="true" id="ListePrd" title="<%= Utils.getMessage(session, \"L603D\", false, true, \"Liste des produits\")%>">
					<div  class="edealGrid" style="overflow: auto; height: 200px;">
					<fl:grid height="200px" name="ListProduct" ajaxUrl="/list_custom_listproduct_ajax.fl"/>
					</div>
				</div>
			</fl:sTab>
			</fl:smallTabs>
		
		</td>
		</tr>
		<!-- Fin Liste des produits -->
		
		<!-- Produit Selectionn -->
		<tr>
			<td width="20%">&nbsp;</td>
			<td width="80%" height="100px">
			<fl:smallTabs name="ProductEntry">
				<fl:sTab id="PrdEntry" title="">
					<div id="createProd" style="visibility: hidden;">
						<table cellpadding="0" class="container" border="0">
							<tr valign="top">
								<td class="headerDataGrid" style="width: 18%;" nowrap>
									<fl:getMessage code="F2049" alt="Code produit"/>
								</td>
								<td class="headerDataGrid" style="width: 24%;">
									<fl:getMessage code="F6030" alt="Famille"/>
								</td>
								<td class="headerDataGrid" style="width: 23%;">
									<fl:getMessage code="L6375" alt="Designation"/>
								</td>
								<td class="headerDataGrid" style="width: 8%;">
									<fl:getMessage code="F2019" alt="Date"/>
								</td>
								<td class="headerDataGrid" style="width: 14%;">
									<fl:getMessage code="F60B8" alt="Prix"/>
								</td>
								<td class="headerDataGrid" style="width: 8%;">
									<fl:getMessage code="F3024" alt="Qte"/>
								</td>
								<td class="headerDataGrid" style="width: 5%;">&nbsp;</td>
							</tr>
							<tr valign="top">
								<td id="PgePrdCode" class="dataValueX borderLineTwo" style="width: 18%; text-align: left;" nowrap>
									&nbsp;
								</td>
								<td id="PrdFamily" class="dataValueX borderLineTwo" style="width: 24%; text-align: left;">
									&nbsp;
								</td>
								<td id="PrdNom" class="dataValueX borderLineTwo" style="width: 23%; text-align: left;">
									&nbsp;
								</td>
								<td id="PrdDate" class="dataValueX borderLineTwo" style="width: 8%; text-align: right;" nowrap>
									&nbsp;
								</td>
								<td id="PrdPrice" class="dataValueX borderLineTwo" style="width: 14%; text-align: right;" nowrap>
									&nbsp;
								</td>
								<td class="dataValueX borderLineTwo" style="width: 8%; text-align: right;">
									<fl:input property="PgeNombre" size="3" onchange="<%= intChange %>" />
								</td>
								<td id="PrdLink" class="dataValueX" style="width: 5%; text-align: center;">
									&nbsp;
								</td>
							</tr>
						</table>
					</div>
				</fl:sTab>
			</fl:smallTabs>
			</td>
		</tr>

		<!--Fin Produit Selectionn -->
		
				
		<!-- Liste des produits Selectionns  -->
		<tr>
			<td width="20%" align="center" valign="bottom">
			  <input  type="image" src="<fl:link url="/icons/ico/valid_green_long.gif"/>" value="<fl:getMessage code="A3035" alt="Fermer"/>" onClick="doTransfert();">
			</td>
			<td height="160px" colspan="1" width="80%">
				<fl:smallTabs name="ProductSelected">
					<fl:sTab hideLink="true" id="PrdSel" title="<%= Utils.getMessage(session, \"L1035\", false, true, \"Dtail\") %>">
						<div id="GroupEntriesTable" style="overflow: auto; height: 160px;">
							<table class="container" cellpadding="0" style="width: 100%;">
								<tr>
									<td>
										&nbsp;
									</td>
								</tr>
							</table>
						</div>
					</fl:sTab>
				</fl:smallTabs>
			</td>
		</tr>					
	</table>
</fl:bigTabs>
</fl:form>
</div>
<fl:title title="<%=Utils.getMessage(session, \"L6321\", false, true, \"Groupe de produit\")%>"/>
</body>
</html>
