<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" contentType="text/plain;charset=UTF-8"%><%@ page import="com.edeal.frontline.FlContext" %><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="java.util.Vector" %><%@ page import="java.util.Hashtable" %><%@ page import="java.text.DecimalFormat" %><%@ page import="com.edeal.frontline.FlLocale" %><%@ page import="com.edeal.frontline.Utils" %><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();

	boolean listOnly;
	try {
		listOnly = Boolean.valueOf(flRequest.getParameter("listOnly")).booleanValue();
	} catch (Exception e) {
		listOnly = true;
	}
	
	DecimalFormat moneyFormat = FlLocale.getInstance(session).getDecimalFormat("#,##0.00;- #,##0.00");
	DecimalFormat intFormat = FlLocale.getInstance(session).getDecimalFormat("#,##0;- #,##0");
	
	double totalPrice = 0;
	Vector prods = (Vector)flRequest.getAttribute("prods");
	if (prods == null) {
		prods = new Vector();
	}
	
	StringBuffer tableBuf = new StringBuffer();
	
	// Construct our table
	tableBuf.append("<table class=\"container\" cellpadding=\"0\" style=\"width: 100%;\">");
	
	if (prods.size() == 0) {
		tableBuf.append("<tr><td colspan=\\\"5\\\" style=\\\"width: 100%;\\\"><span class=\\\"dataLabel\\\">");
		tableBuf.append(Utils.getMessage(session, "L0001", true, "Aucune entrée disponible"));
		tableBuf.append("</span></td></tr>");
	} else {
		tableBuf.append("<tr><td class=\\\"borderLineOne headerDataGrid textGridHeader\\\" style=\\\"width: 25%;text-align:left;\\\">");
		tableBuf.append(Utils.getMessage(session, "F2000", true, "Code"));
		tableBuf.append("</td><td class=\\\"borderLineOne headerDataGrid textGridHeader\\\" style=\\\"padding-left: 10px;width: 30%; text-align: left;\\\">");
		tableBuf.append(Utils.getMessage(session, "F203F", true, "Désignation"));
		tableBuf.append("</td><td class=\\\"borderLineOne headerDataGrid textGridHeader\\\" style=\\\"width: 10%;\\\">");
		tableBuf.append(Utils.getMessage(session, "F3024", true, "Qte"));
		tableBuf.append("</td><td class=\\\"borderLineOne headerDataGrid textGridHeader\\\" style=\\\"width: 15%;\\\">");
		tableBuf.append(Utils.getMessage(session, "F60B8", true, "Prix"));
		tableBuf.append("</td><td class=\\\"borderLineOne headerDataGrid textGridHeader\\\" style=\\\"width: 20%;\\\">");
		tableBuf.append(Utils.getMessage(session, "F1058", true, "Total"));
		tableBuf.append("</td></tr>");
		// Product rows
		for (int cnt = 0; cnt < prods.size(); ++cnt) {
			Hashtable row = (Hashtable)prods.elementAt(cnt);
			Double PrdPrice = (Double) row.get("PgePrdID:PrdPrice");
			String PrdCode = (String)row.get("PgePrdID:PrdCode");
			String PrdName = (String)row.get("PgePrdID:PrdName");
			Integer PgeNombre = (Integer)row.get("PgeNombre");
			double lineTotal = PrdPrice.doubleValue() * PgeNombre.doubleValue();
			totalPrice += lineTotal;
						
			tableBuf.append("<tr><td class=\\\"dataValue textGridRowTitle\\\" nowrap style=\\\"text-align: left; padding-left: 0px; width: 25%;\\\">");
			if (!listOnly) {
				tableBuf.append("<a href=\\\"javascript:doEdit(\\\'" + row.get("PgeID") + "\\\')\\\"><img src=\\\"" + context.getContextName() + "/icons/ico/zoom.gif\\\" class=\\\"icon\\\" style=\\\"padding-left: 0px;\\\"></a>&nbsp;-&nbsp;");
				tableBuf.append("<a href=\\\"javascript:doDelete(\\\'" + row.get("PgeID") + "\\\')\\\"><img src=\\\"" + context.getContextName() + "/icons/ico/supprimer.gif\\\" class=\\\"icon\\\"></a>&nbsp;-&nbsp;");
			}
			
			if (listOnly) {
				tableBuf.append("<a href=\\\"" + flRequest.computeURL("/read_product.fl?id=" + row.get("PgePrdID"), true, false, true) + "\\\">");
			}
			tableBuf.append(PrdCode == null ? "&nbsp;" : Utils.formatToJavascript(PrdCode));
			if (listOnly) {
				tableBuf.append("</a>");
			}
			
			tableBuf.append("</td><td class=\\\"tabSimpleFdBleu textGridCell dataValue\\\" style=\\\"width: 30%;text-align:left;\\\" nowrap>");
			tableBuf.append(PrdName == null ? "&nbsp;" : Utils.formatToJavascript(PrdName));
			tableBuf.append("</td><td class=\\\"tabSimpleFdBleu textGridCell dataValue\\\" style=\\\"width: 10%;text-align:right;\\\" nowrap>");
			tableBuf.append(PgeNombre == null ? "&nbsp;" : intFormat.format(PgeNombre.intValue()));
			tableBuf.append("</td><td class=\\\"tabSimpleFdBleu textGridCell dataValue\\\" style=\\\"width: 15%;text-align:right;\\\" nowrap>");
			tableBuf.append(PrdPrice == null ? "&nbsp;" : moneyFormat.format(PrdPrice.doubleValue()) + "&nbsp;&euro;");
			tableBuf.append("</td><td class=\\\"tabSimpleFdBleu textGridCell dataValue\\\" style=\\\"width: 20%;text-align:right;\\\" nowrap>");
			tableBuf.append(lineTotal == 0 ? "&nbsp;" : moneyFormat.format(lineTotal) + "&nbsp;&euro;");
			tableBuf.append("</td></tr>");
		}
		
		// Total - headers
		tableBuf.append("<tr class=\\\"ligne_separation\\\"><td colspan=\\\"5\\\">&nbsp;</td></tr>");
		tableBuf.append("<tr style=\\\"vertical-align: top\\\">");
		tableBuf.append("<td colspan=\\\"4\\\" style=\\\"text-align: right;\\\" class=\\\"dataValue\\\">");
		tableBuf.append(Utils.getMessage(session, "F1058", true, "Total") + "&nbsp;:&nbsp;");
		tableBuf.append("</td><td class=\\\"tabSimpleFdBleu textGridCell dataValue\\\" style=\\\"text-align: right;\\\">");
		tableBuf.append(moneyFormat.format(totalPrice) + "&nbsp;&euro;");
		tableBuf.append("</td></tr>");
	}
	tableBuf.append("</table>");
%>var f = document.getElementById('GroupEntriesTable');
f.innerHTML = '<%= tableBuf.toString() %>';
try {
	document.getElementById('productPriceTotal').innerHTML = '<%= moneyFormat.format(totalPrice) %> €';
} catch (error) {
}