<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*,java.text.*,java.lang.reflect.*,com.edeal.frontline.navigation.*"%>
<%@ page import="java.util.LinkedHashMap" %> 
<%@ page import="com.edeal.frontline.helper.custom.EventHelper" %> 
<%@ page import="com.edeal.frontline.helper.EventBaseHelper.StatusType" %> 
<%@ page import="com.edeal.frontline.helper.EventBaseHelper.EventCategory" %> 
<%@ page import="java.util.Iterator" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">



<%


final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();

// GET ACTOR NAME
String actID = (String)session.getAttribute("actorID");
String actCompleteName = ".........";
try {
	ObjectsBean objBean = dico.getTable("sql", "Actor");
	actCompleteName = objBean.toString(session, actID);
} catch (FrontlineException fe) {
}

//GET PARAMETERS 
String lsePositionStr = flRequest.getRequestParameterOrAttribute("lsePosition");
String perID = flRequest.getRequestParameterOrAttribute("perID");
String scriptID = flRequest.getRequestParameterOrAttribute("scriptID");
String preview = flRequest.getRequestParameterOrAttribute("preview");
if (preview == null) {
	preview = "0";
}
int lsePosition = new Integer(lsePositionStr).intValue();

//GET OBJECTS FROM SESSION
PersonBean person = (PersonBean)session.getAttribute("srpPerson");
ScriptBean script = (ScriptBean)session.getAttribute("srpScript");
Vector scriptElements = (Vector)session.getAttribute("srpScriptElements");
Vector scriptPages = (Vector)session.getAttribute("ScriptPages");
Vector scriptPagesID = (Vector)session.getAttribute("ScriptPagesID");
Vector linkScriptElements = (Vector)session.getAttribute("srpLinkScriptElements");
Hashtable objections = (Hashtable)session.getAttribute("Objections");
Hashtable responses = (Hashtable)session.getAttribute("ScriptResponses");

if (script == null || scriptElements == null || scriptElements.size() == 0 || !scriptID.equals(script.getScrID())) {
	throw new FrontlineException("scriptresponse edit_body info missing");
}
// pour la replication de session en cluster
if (person != null) {
	person.setSession(session);
}
if (script != null) {
	script.setSession(session);
}
for (int i = 0; i < scriptElements.size(); i++) {
	if (scriptElements.elementAt(i) != null) {
		((ScriptElementBean)scriptElements.elementAt(i)).setSession(session);
	}
} 
for (int i = 0; i < linkScriptElements.size(); i++) {
	if (linkScriptElements.elementAt(i) != null) {
		((LinkScriptElementBean)linkScriptElements.elementAt(i)).setSession(session);
	}
} 

// recuperation des lments et des LinkScriptElement de la page
String pageID = (String)scriptPagesID.elementAt(lsePosition);
ScriptPageBean scp = (ScriptPageBean)scriptPages.elementAt(lsePosition);

Vector pagesElements = new Vector();
Vector pagesLinkScriptElements = new Vector();
Vector displayedElementsID = new Vector();
for (int i = 0; i < linkScriptElements.size(); i ++) {
	LinkScriptElementBean currLse = (LinkScriptElementBean)linkScriptElements.elementAt(i);
	try {
		String lsePageID = currLse.getLsePageID();
		String lseElementID = currLse.getLseScriptElementID();
		if (pageID.equals(lsePageID)) {
			pagesLinkScriptElements.addElement(currLse);
			pagesElements.addElement((ScriptElementBean)scriptElements.elementAt(i));
		}
	} catch (FieldNotInitializedException fnie) {
	}
}

//GET DISPLAY INFO
String scriptLabel = "???";
String scriptNumber = "???";
String scriptEventID = script.getScrEventID();

String scrParStatusRule = null;
try {
	scrParStatusRule = script.getScrParStatusRule();
} catch (FieldNotInitializedException e) {
}

String scrParStatus = null;
try {
	scrParStatus = script.getScrParStatus();
} catch (FieldNotInitializedException e) {
}

scriptLabel = script.getScrLabel();
DecimalFormat df = FlLocale.getInstance(session).getDecimalFormat("0000");
scriptNumber = df.format((long) (script.getScrSeqNum()));

String perCompleteName = (person == null) ? Utils.getMessage(session, "L620E", "<Nom de la personne>") : person.toString();

//IF THIS IS THE LAST SCRIPT ELEMENT, WE'LL BE SHOWING THE EVENT STATUS CHOICES
LinkedHashMap<String, String> statusParIDAndDisplay = new LinkedHashMap<String, String>();
boolean askForParStatus = false;

if (lsePosition == scriptPages.size() - 1) {
	String[][] queryPvt = {{"PvtEventID = " + Utils.formatToSQL(context, scriptEventID) , "PvtPersonID = " + Utils.formatToSQL(context, perID)}};
	String[] fieldsPvt = {"PvtID"};
	Vector listPvt = PersonEventBean.listSummary(session, fieldsPvt, queryPvt);
	//On regarde si on doit poser la question de l'tat pour l'evenement

	if (scrParStatusRule == null || "NONE".equals(dico.getRefCode("ScrParStatusRule" , scrParStatusRule)) ) {
		if (listPvt == null || listPvt.size() == 0) {
			askForParStatus = true;
		}
	} else if ( "MANU".equals(dico.getRefCode("ScrParStatusRule" , scrParStatusRule)) ) {
		askForParStatus = true;		
	}

	if (askForParStatus) {	
		statusParIDAndDisplay = EventHelper.getListStatusByEvent(context, StatusType.PARTICIPATION, scriptEventID);		
	}
}

boolean hasNotes = "true".equals(flRequest.getRequestParameterOrAttribute("hasNotes"));

%>

<html>
<head>

<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
<script language="JavaScript">
function doFinish(){
	var f=document.forms[0];
	var returnedScript = "<scr" + "ipt language=\"javascript\">"+"if (window.top.opener.waitNreload) window.top.opener.waitNreload();window.top.close();" + "</s" + "cript>";
	f.elements["$$returnedHtmlHead"].value = returnedScript;
	f.elements["$$returnedHtmlBody"].value = "...";
}
function doSubmit() {
	mf = document.forms[0];
	
	mf.action = '<%=flRequest.computeURL("/save_scriptresponsepage.fl?scriptID="+scriptID)+"&preview="+preview+ (perID != null && !perID.equals("null") ? "&perID=" + perID : "" )+(hasNotes ? "&hasNotes=true" : "") %>';

	mf.submit();
}
</script>

<title><%= scriptLabel %></title>
</head>
<body style="overflow: auto">

<form method="post" action="javascript:document.forms[0].NextPosition.value='next';doSubmit();">
<div id="object_css" style="top:0px;left: 0px;height:<%=hasNotes ? "80%;overflow: auto;" : "100%"%>">
<%-- DISPLAY NAVIGATION BAR --%>
<div align="left" style="font-size: 8pt ; font-weight: normal">
	<a href="javascript:document.forms[0].NextPosition.value='0';doSubmit();" style="font-size: 10pt"><img src="<fl:webapp/>/icons/ico/flecheGdouble.gif"/></a>
	&nbsp;
	<a href="javascript:document.forms[0].NextPosition.value='prev';doSubmit();" style="font-size: 10pt"><img src="<fl:webapp/>/icons/ico/flecheG.gif"/></a>
	&nbsp;
<% if (lsePosition != scriptPages.size() -1) { %>
	<a href="javascript:document.forms[0].NextPosition.value='next';doSubmit();" style="font-size: 10pt"><img src="<fl:webapp/>/icons/ico/flecheD.gif"/></a>
<% } else { %>
	<a href="javascript:document.forms[0].NextPosition.value='end';doSubmit();" style="font-size: 10pt"><img src="<fl:webapp/>/icons/ico/flecheD.gif"/></a>
<% } %>
	&nbsp;
	<a href="javascript:document.forms[0].NextPosition.value='<%= scriptPages.size() - 1 %>';doSubmit();" style="font-size: 10pt"><img src="<fl:webapp/>/icons/ico/flecheDdouble.gif"/></a>
</div>

<%-- HEADER --%>
<div align="center" style="font-size: 14pt ; font-weight: bold">
<%
//IF THIS IS NOT A PREVIEW, SHOW A LINK TO THE PERSON
 if (perID != null) { %>
	<a href="<fl:webapp/>/read_person.fl?id=<%= perID %>" target="_blank" style="font-size: 14pt"><%= perCompleteName %><a>
<% } else { %>
	<%= perCompleteName %>
<% } %>
</div>
<div align="center" style="font-size: 12pt ; font-weight: bold"><%= scriptLabel %> (<%= scriptNumber %>)</div>


<%-- END OF HEADER --%>
<%-- Current element index --%>
<input type="hidden" name="LsePosition" value="<%= lsePosition %>">

<%-- HIDDEN FORM FIELDS --%>
<input type="hidden" name="ScriptID" value="<%= scriptID %>">
<%-- Next element requested index --%>
<input type="hidden" name="NextPosition" value="">
<input type="hidden" name="Preview" value="<%= preview %>">
<input type="hidden" name="PerID" value="<%= perID %>">
<input type="hidden" name="EventID" value="<%= scriptEventID %>">
<input type="hidden" name="$$returnedHtmlHead" value='<%= "<scr" + "ipt language=\"javascript\">window.top.close();</s"+"cript>"%>'>
<input type="hidden" name="$$returnedHtmlBody" value="...">
<input type="hidden" name="LastIndex" value="<%= pagesElements.size() %>">

<fl:bigTabs objectTitle="<%=Utils.formatToWeb(scp.getScpTitre(), false)%>">
<table class="container" width="100%">
<tr class="ligne_separation"><td></td></tr>
<%
for (int eltIndex = 0; eltIndex < pagesElements.size(); eltIndex++) {
	
	ScriptElementBean scriptElement = (ScriptElementBean)pagesElements.elementAt(eltIndex);
	LinkScriptElementBean linkScriptElement = (LinkScriptElementBean)pagesLinkScriptElements.elementAt(eltIndex);
	Vector scriptElementResponses = (Vector)responses.get(linkScriptElement.getID());
	if (scriptElementResponses == null) {
		scriptElementResponses = new Vector();
	} else {
		for (int i = 0; i < scriptElementResponses.size(); i++) {
			if (scriptElementResponses.elementAt(i) != null) {
				((ScriptElementResponseBean)scriptElementResponses.elementAt(i)).setSession(session);
			}
		}
	}
	if (scriptElement != null) {
		String qLabel = null;
		try {
			qLabel = scriptElement.getSceLabel();
		} catch (FieldNotInitializedException fnie) {
		}
		String qDescription = null;
		try {
			qDescription = Utils.formatToWeb(scriptElement.getSceDescription(), false);
		} catch (FieldNotInitializedException fnie) {
		}
		// remplacement de $$actor$$ et $$person$$ 
		if (qDescription != null) {
			qDescription = Utils.replace(qDescription, "$$person$$", perCompleteName);
			qDescription = Utils.replace(qDescription, "$$actor$$", actCompleteName);
		}
		/*
		String qComment = null;
		try {
			qComment = Utils.formatToWeb((String)scriptElement.getCustomProperty("SceComment_"), false);
		} catch (FieldNotInitializedException fnie) {
		}
		// remplacement de $$actor$$ et $$person$$ 
		if (qComment != null) {
			qComment = Utils.replace(qComment, "$$person$$", perCompleteName);
			qComment = Utils.replace(qComment, "$$actor$$", actCompleteName);
		}
		*/
		//IMAGE
		String picID = null;
		try {
			picID = scriptElement.getSceImage();
		} catch (FieldNotInitializedException ex) {
		}
		%>
		<%-- DISPLAY SCRIPT ELEMENT LABEL --%>
	<tr class="ligne_separation"><td colspan="2">&nbsp;</td></tr>
	<tr class="fieldline">
		<td class="titrePartie" colspan="2" nowrap>
		
			<%= qLabel == null ? "&nbsp;" : qLabel %>
			<input type="hidden" name="<%= eltIndex %>_ScriptElementID" value="<%= scriptElement.getSceID() %>">
			<input type="hidden" name="<%= eltIndex %>_LinkScriptElementID" value="<%= linkScriptElement.getLseID() %>">
			<input type="hidden" name="<%= eltIndex %>_LseIndex" value="<%= linkScriptElements.indexOf(linkScriptElement) %>">
			<input type="hidden" name="<%= eltIndex %>_SceIndex" value="<%= scriptElements.indexOf(scriptElement) %>">
		</td>
	</tr>
	<tr class="ligne_separation_couleur"><td colspan="2"></td></tr>
	<tr class="ligne_separation"><td colspan="2">&nbsp;</td></tr>

		<%-- DISPLAY SCRIPT ELEMENT IMAGE IF ANY --%>
		<% if (picID != null) { %>	
	<tr class="fiiledLine">
		<td class="dataValue" colspan="2" valign="top">
			<img src="<fl:webapp/>/download?id=<%= picID %>" border="0" alt="<fl:getMessage code="F6025" alt="Image"/>">
		</td>
	</tr>
	<tr class="ligne_separation"><td colspan="2">&nbsp;</td></tr>
		<% } %>

	<%-- DISPLAY SCRIPT ELEMENT DESCRIPTION --%>
	<tr class="fieldline">
		<td class="dataLabel" style="width: 20%">
			<%= qDescription == null ? "&nbsp;" : qDescription %>
		</td>	
		


		<%-- DISPLAY SCRIPT ELEMENT ANSWERS --%>
		<%
		if (scriptElement.getSceHasAnswers() == 1) {
			String qType = null;
			try {
				qType = scriptElement.getSceType();
			} catch (FieldNotInitializedException fnie) {
			}
			//if text libre
			if ( qType == null || qType.equals(dico.getRefIdByCode("SceType" , "FRE")) ) {
				int inputSize = 0;
				try {
					inputSize = scriptElement.getSceInputSize();
				} catch (FieldNotInitializedException fnie) {
				}
				String value = "";
				if (scriptElementResponses.size() > 0) {
					try { value = ((ScriptElementResponseBean)scriptElementResponses.elementAt(0)).getSerText(); }
					catch (FieldNotInitializedException e) {}
				}
				if (inputSize == -1) {
%>
	<%--<tr>--%>
		<td class="dataValue">
			<textarea name="<%= eltIndex %>_ResponseTxt" rows="5" style="width: 100%"><%= value %></textarea>
		</td>
	</tr>
<%
				} else {
%>
	<%--<tr>--%>
		<td class="dataValue">
			<input type="text" name="<%= eltIndex %>_ResponseTxt" value="<%=value%>" size="<%= inputSize == 0 ? "50" : Integer.toString(inputSize) %>">
		</td>
	</tr>
<%
				}
			} else { //Pas Texte libre, c-a-d REF ou LST
				boolean isREF = false;
				boolean isLST = false;
				if ( qType.equals(dico.getRefIdByCode("SceType" , "REF")) ) {
					isREF = true;
				}
				if ( qType.equals(dico.getRefIdByCode("SceType" , "LST")) ) {
					isLST = true;
				}
				boolean isCombo = true;
				boolean isRadio = false;
				boolean isCheck = false;
				String dispType = null;
				try {
					dispType = scriptElement.getSceDispType();
				} catch (FieldNotInitializedException fnie) {
				}
				if (dispType != null && dispType.equals(dico.getRefIdByCode("SceDispType", "RADIO"))) {
					isCombo = false;
					isRadio = true;
				}
				if (dispType != null && dispType.equals(dico.getRefIdByCode("SceDispType", "CHECK"))) {
					isCombo = false;
					isCheck = true;
				}
				int complementaryText = 0;
				try {
					complementaryText = scriptElement.getSceAssociatedText();
				} catch (FieldNotInitializedException fnie) {
				}
				int nbColumn = 1;
				try {
					nbColumn = scriptElement.getSceColumnsNb();
				} catch (FieldNotInitializedException fnie) {
				}
				int hasOther = 0;
				try {
					hasOther = scriptElement.getSceHasOther();
				} catch (FieldNotInitializedException fnie) {
				}
				String refTableID = null;
				try {
					refTableID = scriptElement.getSceRefTable();
				} catch (FieldNotInitializedException fnie) {
				}
				Vector possibleResponses = new Vector();
				Vector recordedResponses = new Vector(); //in this vector we will store the responses from scriptElementResponses that we have
				Hashtable complementaryTexts = new Hashtable(); //in this hashtable we will store the complementary texts that we have
				if ( isLST ) {
					for (int j=0 ; j < 15 ; j++) {
						String lstAnswer = null;
						try {
							Method getter = Class.forName("com.edeal.frontline.ScriptElementBean").getMethod("getSceLstAnswer" + j , null);
							lstAnswer = (String) getter.invoke(scriptElement , null);
						} catch (Exception e) {
						}
						if (lstAnswer != null) {
							Vector oneResponse = new Vector();
							oneResponse.add(Integer.toString(j));
							oneResponse.add(lstAnswer);
							possibleResponses.add(oneResponse);
						}
					}
					for (int k = 0 ; k < scriptElementResponses.size() ; k++) {
						try { 
							String choice = new Integer(((ScriptElementResponseBean)scriptElementResponses.elementAt(k)).getSerPosition()).toString();
							recordedResponses.addElement(choice); 
							complementaryTexts.put(choice, ((ScriptElementResponseBean)scriptElementResponses.elementAt(k)).getSerMoreText());
						} catch (FieldNotInitializedException e) {}
						
					}
				} else {
					try {
						possibleResponses = dico.getRefList(session, refTableID , "Te1");
					} catch (FrontlineException fe) {
						logger.error("DBG: dico.getRefList a lanc une exception : " + fe.getMessage());
					}
					for (int k = 0 ; k < scriptElementResponses.size() ; k++) {
						try { 
							String choice = ((ScriptElementResponseBean)scriptElementResponses.elementAt(k)).getSerRefValID();
							recordedResponses.addElement(choice); 
							complementaryTexts.put(choice, ((ScriptElementResponseBean)scriptElementResponses.elementAt(k)).getSerMoreText());
						} catch (FieldNotInitializedException e) {}
					}
				}
				if (isCombo) {
%>
	<%--<tr class="fieldline">--%>
		<td class="dataValue">
			<select name="<%= eltIndex %>_<%= isLST ? "ResponsePosition" : "ResponseRefID" %>" style="width: 25%">
<%
					String responseChoice = new String();
					for (int j=0 ; j < possibleResponses.size() ; j++) {
						responseChoice = (String) ((Vector) possibleResponses.elementAt(j)).elementAt(0);
						String responseLabel = (String) ((Vector) possibleResponses.elementAt(j)).elementAt(1);
%>
				<option value="<%= responseChoice %>"<%= recordedResponses.contains(responseChoice) ? " selected" : ""%> ><%= responseLabel %></option>
<%
					}
%>
   		</select>
<%
					
					if (complementaryText > 0) {
						String compText = null;
						if (responseChoice != null) {
							compText = (String)complementaryTexts.get(responseChoice);
						}
%>
   		<input type="text" name="<%= eltIndex %>_ResponseComplementaryText_Any" value="<%= compText != null ? compText : "" %>" size="<%= Integer.toString(complementaryText) %>">
<%
					}
%>
		</td>
	</tr>
<%
				} else { // pas combo , c-a-d checkbox ou radio
					String tagType = "checkbox";
					if (isRadio) {
						tagType = "radio";
					}
%>
	<%--<tr class="fieldline">--%>
		<td>
		
			<table class="container" width="100%">
				<tr class="fieldline">
<%
					int nbResByColumn = possibleResponses.size() / nbColumn;
					if ( nbColumn * nbResByColumn < possibleResponses.size() ) nbResByColumn++;
					int cptPossibleResponse = 0;
					for (int j=0 ; j < possibleResponses.size() ; j++) {
						String responseChoice = (String) ((Vector) possibleResponses.elementAt(j)).elementAt(0);
						String responseLabel = (String) ((Vector) possibleResponses.elementAt(j)).elementAt(1);
						if (cptPossibleResponse % nbResByColumn == 0) {
							if (cptPossibleResponse > 0) {
%>
					</td>
<%
							}
%>
					<td class="dataValue" style="width: 50%">
						<input type="<%= tagType %>" name="<%= eltIndex %>_<%= isLST ? "ResponsePosition" : "ResponseRefID" %>" value="<%= responseChoice %>"<%= recordedResponses.contains(responseChoice) ? " checked" : ""%> ><%= responseLabel %>
<%
						} else {
%>
						<br>
						<input type="<%= tagType %>" name="<%= eltIndex %>_<%= isLST ? "ResponsePosition" : "ResponseRefID" %>" value="<%= responseChoice %>"<%= recordedResponses.contains(responseChoice) ? " checked" : ""%> ><%= responseLabel %>
<%			
						}
						if ( (complementaryText > 0) || (hasOther > 0 && j == possibleResponses.size() - 1) ) {
							String compText = (String)complementaryTexts.get(responseChoice);
%>
				    <input type="text" name="<%= eltIndex %>_ResponseComplementaryText_<%= responseChoice %>" value="<%= compText != null ? compText : "" %>" size="<%= complementaryText > 0 ? Integer.toString(complementaryText) : Integer.toString(hasOther) %>">
<%
						}
						cptPossibleResponse++;
					}
%>
					</td>
				</tr>
			</table>
			<%}%>
		</td>		
	</tr>
<%-- OBJECTIONS / ARGUMENTS --%>
<%
	if (scriptElement != null && scriptElement.getID() != null) {
		Vector linksList = (Vector)objections.get(scriptElement.getID());
		//if there are links to objections
		if (linksList != null && linksList.size() > 0) {

%>
	<tr class="ligne_separation"><td>&nbsp;</td></tr>
	<tr class="fieldline">
		<td width="100%" colspan="2" style="text-align: center; font-size: 12" class="titrePartie"><fl:getMessage code="L61FC" alt="Liste des objections / arguments"/><strong></td>
	</tr>
		<td class="dataValue" style="text-align: center" colspan="2">
<%
			//for each objection
			for (int i=0 ; i < linksList.size() ; i++) {
				Hashtable curLink = (Hashtable) linksList.elementAt(i);
				String curLsoObjectionID = (String) curLink.get("LsoObjectionID");
				String obaObjection = (String) curLink.get("LsoObjectionID:ObaObjection");
	
			%><%--<a href="<fl:webapp/>/load?typ=ObjectionArgument&op=read&id=<%=curLsoObjectionID%>&disp=/marketing/objectionargument/display_body.jsp" target="_blank"><%= obaObjection %></a><br><%
			--%>
			<a href="<fl:webapp/>/read_objectionargument.fl?id=<%=curLsoObjectionID%>" target="_blank"><%= obaObjection %></a><br><%
			}
	%>
		</td>
	</tr>
<%		}//end of if there are links to objections
	}//end of if there is a script element

%><%-- END OF OBJECTIONS / ARGUMENTS --%><%
								
			}//end of if (texte libre)
		}//end of if (scriptElement.getSceHasAnswers() == 1)
	}
}
%>
</table>


<%-- IF THIS IS THE LAST ELEMENT, WE MAY WANT TO SHOW THE EVENT STATUS SECTION --%>
<% if (lsePosition == scriptElements.size() - 1) { %>
	
	<%-- EVENT STATUS SECTION --%>
	<table class="container" width="100%">
		<tr class="ligne_separation"><td></td></tr>
<%
	if (askForParStatus) {
%>		
		<tr><td class="dataLabel" id="statusPar_label"><div><label title="<fl:getMessage code="L8186" alt="Participation"/>" for="statusPar"><fl:getMessage code="L8186" alt="Participation"/></label></div></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="dataValue">
<%			
		if (statusParIDAndDisplay != null && !statusParIDAndDisplay.isEmpty()) {

			Iterator<String> iter = statusParIDAndDisplay.keySet().iterator();
			while (iter.hasNext()) {	
				String currStatusID = iter.next();
				String currStatusDisplay = statusParIDAndDisplay.get(currStatusID);
%>
			<input type="radio" value="<%= currStatusID %>" name="statusPar" id ="statusPar" <%= currStatusID.equals(scrParStatus) ? "checked" : "" %>><%= currStatusDisplay %>
<%
			}
		}	
	} else if ( scrParStatusRule != null && "AUTO".equals(dico.getRefCode("ScrParStatusRule" , scrParStatusRule)) ) {
	%>
		<tr>
			<td width="100%" colspan="2" class="transparent" align="right" style="text-align: right">
				<input type="hidden" name="statusPar" value="<%= scrParStatus == null ? "" : scrParStatus %>">
			</td>
		</tr>				
	<%
	}		 	
	
%>
			</td>
		</tr>
	
		
	</table>
	<%-- END OF EVENT STATUS SECTION --%>
	
<% } %>

<br>
<%-- PROGRESS BAR --%>
<div align="center" style="font-size: 14pt ; font-weight: bold">
<% if (lsePosition != scriptPages.size() -1) { %>
	<a href="javascript:document.forms[0].NextPosition.value='next';doSubmit();" style="font-size: 20pt"><img src="<fl:webapp/>/icons/ico/flecheD.gif"/></a>
<% } else { %>
	<a href="javascript:document.forms[0].NextPosition.value='end';doFinish();doSubmit();" style="font-size: 20pt"><img src="<fl:webapp/>/icons/ico/flecheDdouble.gif"/></a>
<% } %>
</div>
<%-- END OF PROGRESS BAR --%>
<p>
<%

if (pagesElements == null || pagesElements.size() == 0) {
%><fl:getMessage code="L61FF" alt="Aucun lment de script n\'est rattach  ce script."/><%	
}

%>

<script language="JavaScript">
window.focus();
</script>
</fl:bigTabs>

</div>
<%if (hasNotes){%>
<div id="myNote" style="position: absolute; display:block;bottom: 0; left: 0; width: 100%; height: 19%">
<jsp:include page="notes.jsp" flush="true">
	<jsp:param name="scriptID" value="<%= scriptID %>"/>
	<jsp:param name="perID" value="<%=perID%>"/>
</jsp:include>
</div>
<%}%>
</form>
</body>
</html>
