<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Hashtable" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean id="Selection" class="com.edeal.frontline.SelectionBean" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
%>
<html>
<head>
	<title><fl:getMessage code="L2025" alt="E-DEAL"/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
</head>
<body>
	<div id="object_css" style="top: 0px; left: 0px; height: 100%; width: 100%;">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L30F7\", false, true, \"Test du ciblage\") %>">
								<table class="container" cellpadding="1">
								<tr>
									<td colspan="3" class="titreFiche">
										<fl:getProperty name="Selection" property="SelName" alt="<%= Utils.getMessage(session, \"L60F1\", \"Ciblage\") %>"/>
									</td>
								</tr>
<%
	Hashtable hashPopulation = new Hashtable();
	try {
		hashPopulation =  Selection.countPopulation();
	} catch (Exception e) {
		logger.error("[test.jsp] " + e.getClass().getName() + " : " + e.getMessage());
	}

	int nbEnt = hashPopulation.get("NbEnterprise") != null ? ((Number)hashPopulation.get("NbEnterprise")).intValue() : 0;
	int nbInt = hashPopulation.get("NbPerson") != null ? ((Number)hashPopulation.get("NbPerson")).intValue() : 0;
	int nbNon = hashPopulation.get("NbNonNominative") != null ? ((Number)hashPopulation.get("NbNonNominative")).intValue() : 0;
%>
									<tr>
										<td style="text-align: right; width: 10%; white-space: nowrap;" class="dataValue"><%= nbInt + nbNon %></td>
										<td style="text-align: left; width: 90%;" class="dataValue"><fl:getMessage code="L3106" alt="Contacts"/></td>
									</tr>
									<tr>
										<td style="text-align: right; width: 10%; white-space: nowrap;" class="dataValue"><%= nbEnt %></td>
										<td style="text-align: left; width: 90%;" class="dataValue"><fl:getMessage code="L30F8" alt="Entreprises"/></td>
									</tr>
									<tr>
										<td style="text-align: right; width: 10%; white-space: nowrap;" class="dataValue"><%= nbInt %></td>
										<td style="text-align: left; width: 90%;" class="dataValue"><fl:getMessage code="L30F9" alt="Contacts nominatifs"/></td>
									</tr>
									<tr>
										<td style="text-align: right; width: 10%; white-space: nowrap;" class="dataValue"><%= nbNon %></td>
										<td style="text-align: left; width: 90%;" class="dataValue"><fl:getMessage code="L30FA" alt="Contacts non nominatifs"/></td>
									</tr>
								</table>
								
</fl:bigTabs>
<br>
<div align="center">
									<a href="#" onclick="self.close();"><img src="<fl:link url="/icons/ico/valid_green_long.gif"/>" border="0" alt="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>" title="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>"></a>
								</div>
	</div>
</body>
</html>
