<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page session="true" import="com.edeal.frontline.*,com.edeal.frontline.custom.*" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.Selection2Bean" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.helper.custom.SelectionModelHelper" %>
<%@ page import="com.edeal.frontline.helper.ContextHelper" %>
<jsp:useBean class="com.edeal.frontline.Selection2Bean" id="Selection2" scope="request"/>
<%
	
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = Utils.getRequestParameter(context, request, "id");
	if (id == null){
		try{
			id = Selection2.getID();
		}catch(FieldNotInitializedException fin){}	
	}
	
    Selection2Bean se2Bean =  new Selection2Bean(id, context);
    String edit="edit";
    
    
    int type =0;
    
    try {
    type = se2Bean.getSe2Condition();
    } catch (FieldNotInitializedException ex) {}
    String origine = null;
    try{
    origine = se2Bean.getSe2Cr2ID();
    }  catch (FieldNotInitializedException ex) {}
    
    String selModel = null;
    try{
    selModel = se2Bean.getSe2Model();
    }  catch (FieldNotInitializedException ex) {}
    
    boolean displaySe2FctUnique = ContextHelper.hasMultifunction(context) && SelectionModelHelper.doesReturnPersonObjects(Selection2);
    
    session.setAttribute("Selection2", se2Bean);
	String errorID = (String)request.getAttribute("ErrorID");
	boolean isVisible=false;
   logger.debug("mon origine"+origine);
   if (origine!= null && !"null".equals(origine))
   {
    isVisible= true;
   }
   logger.debug("visible"+isVisible);
   
   SelectionModelBean smdBean = new SelectionModelBean(selModel, context);
   String objDisp = "";
	try {
		String objID = smdBean.getSmdObjID();
		ObjectsBean objBean = new ObjectsBean(objID, context);
		objDisp = objBean.getObjDisplay();
	} catch (Exception e) {}
	String smdDesc = null;
	try {
		smdDesc = smdBean.getSmdDescrLabel();
	} catch (Exception e) {}
	if (smdDesc == null) {
		try {
			smdDesc = smdBean.getSmdDescr();
		} catch (Exception e) {}
	} else {
		smdDesc = Utils.getMessage(session, smdDesc, "");
	}
	String descp = Utils.getMessage(session, "L6461", "Objet Concern :") + " " + objDisp + (smdDesc != null ? "<br><br>" + smdDesc : "");
%>

<html>
	<head>
<script language="javascript">
<%	if(errorID != null) {
		String errorMsg = null;
		if(errorID.equals("NOTBROS")) {
			errorMsg = Utils.getMessage(session, "M3035", true, "Les critres slectionns ne se trouvent pas au mme niveau");
		} else if(errorID.equals("ALONE")) {
			errorMsg = Utils.getMessage(session, "M3036", true, "Veuillez slectionner plusieurs critres");
		} else if(errorID.equals("ROOTSELECTED")) {
			errorMsg = Utils.getMessage(session, "M3037", true, "Il n'est pas possible de dgrouper la racine");
		} else if(errorID.equals("TOOMANY")) {
			errorMsg = Utils.getMessage(session, "M3038", true, "Veuillez ne slectionner qu'un seul groupe de critres");
		} else if(errorID.equals("LEAFSELECTED")) {
			errorMsg = Utils.getMessage(session, "M3039", true, "Veuillez slectionner un groupe de critres");
		} else {
			errorMsg = Utils.getMessage(session, "M303A", true, "Erreur inconnue") + " (" + errorID + ")";
		}
%>
function doInit() {
	
	window.alert('<%= errorMsg %>');
}
<%	} %>
function hasSelected() {
	var f = document.forms[0];
	if (f.id == null) {
		return false;
	}
	var result = false;
	if(f.id.length) {
		for(i = 0; !result && i < f.id.length; i++) {
			result = result || f.id[i].checked;
		}
	} else {
		result = f.id.checked;
	}
	return result;
}

var submitFlag = false;
function doAdd(grpID) {
	var params = '';
	if(grpID) params += '&GrpID=' + grpID;
	window.open('<fl:webapp/>/load?op=edit&typ=Criteria2&disp=marketing/criteria2/edit.jsp?id=<%=id%>&type=<%=type%>'+params, 'Criteria2', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=750,height=200');
}
function doEdit(id) {
	window.open('<fl:webapp/>/marketing/criteria2/edit.jsp?idCr2='+ id +'&edit=<%=edit%>'+'&id=<%= se2Bean.getID() %>', 'Criteria2', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=700,height=200');
}
function doEditAg(id) {
	//window.open('<fl:webapp/>/marketing/criteria2/aggragate.jsp?idCr2='+ id +'&edit=<%=edit%>'+'&id=<%= se2Bean.getID() %>', 'Criteria2', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=700,height=200');
    window.open('<fl:webapp/>/load?typ=Criteria2&op=edit&id='+id+'&disp=/marketing/criteria2/agraggate.jsp?ide=<%=se2Bean.getID()%>&edit=<%=edit%>','Criteria2', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=700,height=200');
}
function doDelete() {
	if(!submitFlag && hasSelected()) {
		submitFlag = true;
		var f = document.forms[0];
		f.action = '<fl:webapp/>/GroupMaker?op=delete&typ=Criteria2&CtrID=<%= se2Bean.getID()  %> ';
		f.submit();
	}
}


function doGroup(val) {
	if(!submitFlag && hasSelected()) {
		submitFlag = true;
		var f = document.forms[0];
		f.action = '<fl:webapp/>/GroupMaker?op=group&typ=Criteria2&CtrID=<%= se2Bean.getID() %>&and=' + val;
		f.submit();
	}
}

function doGroupAnd() {
	doGroup(1);
}

function doGroupOr() {
	doGroup(0);
}

function doUngroup() {
	if(!submitFlag && hasSelected()) {
		submitFlag = true;
		var f = document.forms[0];
		f.action = '<fl:webapp/>/GroupMaker?op=ungroup&typ=Criteria2&CtrID=<%= se2Bean.getID() %>';
		f.submit();
	}
}

function refreshPops() {
	_grid__POP_EMB_js_.render()
}
	
</script>
</head>
	<body<% if(errorID != null) { %> onLoad="doInit();"<% } %>>
<link rel="stylesheet" href="<fl:webapp/>/css/smalltabs_css.jsp" type="text/css">
<fl:bigTabs objectTitle="<%= type==1 ? Utils.getMessage(session, \"L659E\", \"Question type\") : Utils.getMessage(session, \"A0011\", \"Ciblage\") %>" ou="<%= \"/read_selection2.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
<table class="container" cellpadding="0">
			<tr>
				<td colspan="3">
					<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="titreFiche">
								<fl:getProperty name="Selection2" property="Se2Name" alt=""/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td colspan="3" class="ligne_separation"/></tr>
			<tr>
			<td class="column2">
				<table class="container" cellpadding="0">
					<fl:fieldRead name="Selection2" property="Se2Code" labelCode="F2000" alt=""/>
					<% if (displaySe2FctUnique) { %>
					<fl:fieldRead property="Se2FctUnique" valueCodeIfFalse="L2006" valueCodeIfTrue="L2005" />
					<% } %>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="container" cellpadding="0">
					<fl:fieldRead property="Se2Model"  bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_selectionmodel.fl\") %>" />
					<fl:fieldRead property="Se2Event"  bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_event.fl\") %>" />
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td colspan="5">&nbsp;</td></tr>
		</table>
		<table class="container" cellpadding="0">
			<tr>
				<td width="49%">
					<fl:notes name="Se2Description" title="<%= Utils.getMessage(session, \"L2007\", \"Description\") %>"><fl:getProperty name="Selection2" property="Se2Description" alt="&nbsp;"/></fl:notes>
				</td>
				<td width="2%"></td>
				<td width="49%"> 
					<table width="100%" cellpadding="0" class="container">
						<tr class="ligne_separation">
							<td colspan="2">&nbsp;</td>
						</tr>
						<tr class="ligne_separation">
							<td colspan="2">&nbsp;</td>
						</tr>
						<tr valign="top">
							<td class="titrePartie titreTexte"><fl:getMessage code="L811B" alt="Description du modle"/></td>
							<td class="titrePartie titreIcone">
								<a href="javascript:expandNotes('SmdDescr',100,null);void(0);"><img style="padding: 0px;vertical-align: middle;" name="expanderSmdDescr" class="icon" src="<fl:webapp/>/icons/ico/contraction.gif"></a>
							</td>
						</tr>
						<tr>		
							<td colspan="2" class="dataValue noPaddingLeft">
								<div style="height: auto; max-height: 100px; overflow: hidden; white-space: normal; word-wrap: break-word;" id="SmdDescr_value">
									<%= descp %>
								</div>
							</td>	
						</tr>
						<tr class="ligne_separation">
							<td colspan="2"></td>
						</tr>
						<tr class="ligne_separation_couleur">
							<td colspan="2"></td>
						</tr>
						<tr class="ligne_separation">
							<td colspan="2"></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<fl:smallTabs name="CriteriaTabs">
	<fl:sTab id="criteria" title="<%=Utils.getMessage(session, \"L6189\", false, true, \"Critres\")%>">
		<form method="post" action="">
			<table class="container" cellpadding="0">
				<% if (isVisible) { %>
				       	<tr>
							<td class="dataValue" style="padding-left: 20px">
				    			<jsp:include page="/marketing/criteria2/view.jsp" flush="true">
									<jsp:param name="id" value="<%= origine %>"/>
									<jsp:param name="Node" value=""/>
									<jsp:param name="Edit" value=""/>
									<jsp:param name="SelID" value="<%= se2Bean.getID() %>"/>
				   				</jsp:include>
						    </td>
						</tr>
						<tr class="ligne_separation"><td></td></tr>
				  <% } else {%>
				  	<tr>
				  		<td>&nbsp;</td>
				  	</tr>
				  <% } %>
			</table>
		</form>
	</fl:sTab>
	<fl:sTab id="POPS" title="<%= Utils.getMessage(session, \"L6037\", false, true, \"Populations\") %>" onselect="refreshPops();">
		<fl:grid name="POP_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=POP_EMB&PopSe2ID=\" + id %>"/>
	</fl:sTab>
</fl:smallTabs>
</fl:bigTabs>
</body>
</html>