<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.Selection2Bean" %>
<%@ page import="com.edeal.frontline.navigation.WebUtils" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean id="Selection2" class="com.edeal.frontline.Selection2Bean" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	
	String id = flRequest.getRequestParameterOrAttribute("id");
	Selection2Bean obj = new Selection2Bean(id,context);
	
	String hasCriteria = flRequest.getRequestParameterOrAttribute("hasCriteria");
	boolean isCriteriaPresent = (hasCriteria != null) && (hasCriteria.equals("1"));
	
	int cond = 0; 
	try {
	cond = obj.getSe2Condition();
	}catch (FieldNotInitializedException ex ) {}
	
	logger.debug("cond on action "+cond);
	boolean isCond= true;	
	if (cond == 1)
	{
	isCond = false;
	}
	String disp = null;
	if (isCond) {
		disp ="/list_criteria.fl?lc=SELECTION2";
	} else {
		disp="/list_criteria.fl?lc=TEMPLATE";
	}
	
	//SelectionBean obj = (SelectionBean)request.getAttribute("Selection");
	//String id = obj.getID();
	String selName = null;
	try { selName = obj.getSe2Name(); } catch (FieldNotInitializedException ex) {}

%>
<script type="text/javascript" language="javascript">
function doDelete() {
	if (window.confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>') == true) {
		<% if(cond == 0){%>
			window.location = '<fl:link url="<%= \"/delete_selection2.fl?id=\" + id %>"/>';
		<% } else {%>
			window.location = '<fl:link url="<%= \"/delete_template.fl?id=\" + id %>"/>';
		<% } %>
	}
}

<%--function doGeneratePopulation() {
	window.open('<fl:link url="<%= \"/generate_selection2.fl?id=\" + id + (selName == null ? \"\" : \"&SelName=\" + selName) %>"/>','Selection', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=700,height=250');
}--%>

function doTestSelectionT() {	
	window.open('<fl:link url="<%= \"/test_selection2_questiontype.fl?id=\" + id + \"&type=1\"%>" list="false"/>', 'TemplateGenerate', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=500,height=220');	
}

function doGeneratePopulationT() {
	window.open('<fl:link url="<%= \"/prepare_generate_population2_questiontype.fl?id=\" + id + \"&type=2\"%>" list="false"/>', 'TemplateTest', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=700,height=350');
}


function doTestSelection() {
	window.open('<fl:link url="<%= \"/test_selection2.fl?id=\" + id %>" list="false"/>', 'test<%= id %>', 'width=400,height=200,menubar=no,status=no,resizable=yes,toolbar=no,location=no');
}

function doGeneratePopulation(){
	window.open('<fl:link url="<%= \"/prepare_generate_population2.fl?id=\" + id + (selName == null ? \"\" : \"&SelName=\" + WebUtils.urlEncode(context, selName))%>" list="false"/>', 'gen<%= id %>', 'width=500,height=220,menubar=no,status=no,resizable=yes,toolbar=no,location=no');
}
</script>

<tr>
		<td class="actions_cell_left"></td>
		<td>
			
		</td>
		<td class="actions_cell_right"></td>
	</tr>
<fl:access operation="edit" name="Selection2">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link list="true" url="<%= \"/edit_selection2.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access name="Selection2" operation="delete">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doDelete()">
					<p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
	<% if (isCond) { %>
	
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doTestSelection();">
					<p class="actions_tabletext"><fl:getMessage code="A0009" alt="Tester"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>

	
		<% if (isCriteriaPresent) { %>
<fl:access operation="create" name="Population">

	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doGeneratePopulation();">
					<p class="actions_tabletext"><fl:getMessage code="L60E3" alt="Excuter"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
		<% } %>
	
	<% } else { %>
	
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doTestSelectionT();">
					<p class="actions_tabletext"><fl:getMessage code="A0009" alt="Tester"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	
	
		<% if (isCriteriaPresent) { %>
<fl:access operation="create" name="Population">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doGeneratePopulationT();">
					<p class="actions_tabletext"><fl:getMessage code="L60E3" alt="Excuter"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
		<% } %>
<% }%>

<fl:access name="Selection2" operation="edit">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link list="true" url="<%= \"/copy_selection2.fl\" + ( id != null ? \"?id=\" + id : \"\") + ( hasCriteria != null ? \"&hasCriteria=\" + hasCriteria : \"\")%>"/>">
					<p class="actions_tabletext"><fl:getMessage code="L662A" alt="Dupliquer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>