<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.helper.XMLHelper" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.SelectionModelBean" id="SelectionModel" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	
	String nameLabel = null;
	String descrLabel = null;
	String pop ="";
	try {
		nameLabel = SelectionModel.getSmdNameLabel();
	} catch (FieldNotInitializedException fnie) {
	}
	
	try {
		descrLabel = SelectionModel.getSmdDescrLabel();
	} catch (FieldNotInitializedException fnie) {
	}
	boolean isValid = SelectionModel.isSmdXmlOK ();
	
	try {
		pop = SelectionModel.getSmdDisplay();
	}catch (FieldNotInitializedException e){}
	
	String view = "";
	
	if (pop.length()>40){
		view = pop.substring(0,40);
		logger.debug("view: " + view);
	}else {
		view = pop ;
	}
	String objectTitle = Utils.getMessage(session, "L65BC", "Univers de ciblage");
	
	String smdXMLDef = "";
	try{
		smdXMLDef = SelectionModel.getSmdXMLDef();
	}catch(FieldNotInitializedException fnie){		
	}
	smdXMLDef = XMLHelper.formatToColoredXML(smdXMLDef);
%>

<script language="javascript">

var submitFlag = 0;

function doSubmit() {
	if (!submitFlag) {
		submitFlag = 1;
		presentFieldsValue();
		document.forms[0].submit();
	}
}

</script>

<fl:bigTabs listTitle="<%= Utils.getMessage(session, \"L65A0\", \"Liste des schmas de ciblage\") %>" objectTitle="<%= objectTitle %>" ou="/read_selectionmodel.fl">

	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3" class="titreFiche">
				<fl:getProperty name="SelectionModel" property="SmdName" alt="<%=objectTitle %>"/>
			</td>
		</tr>
		<tr>
			<td colspan="5" class="ligne_separation"/>
		</tr>
		<tr>
			<td class="column3">
				<table class="container" cellpadding="0">
						<fl:fieldRead property="SmdCode"/>
						<fl:fieldRead property="SmdObj2" labelCode="L65A4" bean="true"/>
						<fl:fieldRead property="SmdObj5" labelCode="L65A7" bean="true"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="F617C"/></td>
							<td id="SmdNameLabel_value" class="dataValue"><div title="<%= nameLabel == null ? "" : Utils.getMessage(session, nameLabel,  Utils.getMessage(session, "L60E0", "<non spcifi>"))%>"><%=nameLabel == null ? "" : Utils.getMessage(session, nameLabel,  Utils.getMessage(session, "L60E0", "<non spcifi>")) %></div></td>
						</tr>
						<fl:fieldRead property="SmdObj3" labelCode="L65A5" bean="true"/>
						<fl:fieldRead property="SmdObjID" labelCode="F60CF" bean="true"/>
						<fl:fieldRead property="SmdLstID" labelCode="F707D" bean="true" href="true" disp="/read_list.fl"/>						
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="container" cellpadding="0">
						<fl:fieldRead property="SmdObj1" labelCode="L65A3" bean="true"/>
						<fl:fieldRead property="SmdObj4" labelCode="L65A6" bean="true"/>
						<fl:fieldRead property="SmdOrigin"/>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td colspan="5">&nbsp;</td></tr>
	</table>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<th  class="title">
				<table class="container" width="100%">
					<tr>
						<th  class="title" style="text-align: left" width="20%">
							<fl:getMessage code="F617A" alt="Dfinition"/>
						</th>
						<th style="text-align: right" width="80%">
							<label title="<fl:getMessage code="<%= (isValid ? \"L65A9\" : \"L65A8\") %>" alt=""/>">
								<img src="<fl:webapp/><%= (isValid ? "/icons/bigvalid.gif" : "/icons/bigvalid_non.gif") %>">
							</label>	
						</th>
					</tr>
				</table>
			</th>
		</tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="dataValue noPaddingLeft">
				<pre><%=smdXMLDef %><pre>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
	<fl:smallTabs name="CampaignTabs">
	<fl:sTab id="DESCRIP" title="<%= Utils.getMessage(session, \"L2007\", false, true, \"Description\") %>">
		<table class="container" cellpadding="0">
			<tr>
				<td class="column2">
					<table class="data_column" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="F617B"/></td>
							<td class="dataValue"><div title="<%= descrLabel == null ? "" : Utils.getMessage(session, descrLabel,  Utils.getMessage(session, "L60E0", "<non spcifi>"))%>"><%=descrLabel == null ? "" : Utils.getMessage(session, descrLabel,  Utils.getMessage(session, "L60E0", "<non spcifi>")) %></div></td>
						</tr>
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column2">
					<table class="data_column" cellpadding="0">
						<fl:fieldRead property="SmdDescr" labelCode="L2007"/>
					</table>
				</td>
			</tr>
		</table>
	</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>

