<%@page import="com.edeal.frontline.controller.actions.SaveActionbarCssAction"%>
<%@page session="true" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.DateParseException" %>
<%@ page import="java.util.GregorianCalendar" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ page isELIgnored="false"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ page import="java.util.Vector" %>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String strDate = flRequest.getRequestParameterOrAttribute("date");
	
	
	Boolean isABDeployed = (Boolean)session.getAttribute(SaveActionbarCssAction.ACTIONBAR_DEPLOYED_ATTR);
	if (isABDeployed == null) {
		isABDeployed = true;
	}
	String objType = flRequest.getRequestParameterOrAttribute("LoadedFooterType");
	Date date = (Date)flRequest.getAttribute("agendaDate");
	if (date==null) {
		try {
			date = Utils.formatDateFromWeb(session, strDate);
		} catch (DateParseException dpe) {}
	}
	if (date==null) {
		date = new Date();
	}
	
	String type;
	type = flRequest.getRequestParameterOrAttribute("type");
	if(type==null) type = "WORKWEEK";
	String actId = (String) session.getAttribute("actorID");
	String actor = flRequest.getRequestParameterOrAttribute("actor");
	if (actor == null) {
		actor = (String)session.getAttribute("actorID");
	}
	String actorName = null;
	try {
		actorName = dico.getTable("sql", "Actor").toString(session, actor);
	} catch (FrontlineException fe) {
	}
	
	GregorianCalendar calendar = FlLocale.getInstance(session).getCalendar();

	if (date != null) {
		calendar.setTime(date);
	}
	calendar.set(Calendar.HOUR_OF_DAY, 0);
	calendar.set(Calendar.MINUTE, 0);
	calendar.set(Calendar.SECOND, 0);
	calendar.set(Calendar.MILLISECOND, 0);
	
	while (calendar.get(Calendar.DAY_OF_WEEK) != Calendar.MONDAY) {
		calendar.add(Calendar.DAY_OF_YEAR, -1);
	}
	GregorianCalendar endCal = FlLocale.getInstance(session).getCalendar();
	endCal.setTime(calendar.getTime());
	endCal.add(Calendar.DAY_OF_YEAR, 4);
	SimpleDateFormat monthFormat = FlLocale.getInstance(session).getSimpleDateFormat("M");
	SimpleDateFormat yearFormat = FlLocale.getInstance(session).getSimpleDateFormat("yyyy");
%>
<html>
<head>
	<title><fl:getMessage code="L2025" alt="E-DEAL"/> CRM - Agenda</title>
	<link rel="stylesheet" href="<fl:webapp/>/css/common_css.jsp" type="text/css">
	<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/js/edeal/libraries/jquery/plugins/fullcalendar/1.6.1/fullcalendar.css">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/js/edeal/libraries/jquery/plugins/fullcalendar/1.6.1/fullcalendar.print.css">	  
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/sidebar/sidebar.css">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/sidebar/actions_css.jsp">
	<link rel="stylesheet" href="<fl:webapp/>/sales/agenda/agenda_css.jsp" type="text/css">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
  	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/jsOnload.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/global_js.jsp"></script>
	<!-- <script type="text/javascript" language="javascript" src="<fl:webapp/>/js/calendar/jquery-ui-1.8.11.custom.min.js"></script> -->
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/edeal/libraries/jquery/ui/1.9.2/jquery-ui-1.9.2.custom.min.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/edeal/libraries/jquery/plugins/fullcalendar/1.6.1/fullcalendar.min.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/sales/agenda/agenda_js.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/tooltip/jquery.qtip-1.0.0-rc3.js"></script>
  	
  	<style type="text/css">
  	body {
  		background-image: url(<fl:link url="/icons/object_background.jpg"/>);
  		background-color: #DDE2E8;
  	}
  	.header {
  		background-image: url(<fl:webapp/>/icons/calendar/arrDaySelec.gif);
  		height: 20px;
  	}
  	
  	<%
  	  Vector refList = dico.getRefList(session, "Cat", "Te2",true);  
  	  int rSize = refList.size();  	  
	  for (int cnt = 0; cnt < rSize; ++cnt) {
	  	Vector ref = (Vector)refList.elementAt(cnt);
	  	String refId = (String)ref.elementAt(0);
	  	String refCode = dico.getRefCode("Cat", "Te2", refId);
	  	String refValue = (String)ref.elementAt(1);
    %> 	
	    .class-<%= refCode %>,
	    .fc-agenda .class-<%= refCode %> .fc-event-time,
	    .class-<%= refCode %> a {
			border-color: <%= refValue.substring(refValue.lastIndexOf("|") + 1) %>;    
			background-color: <%= refValue.substring(refValue.lastIndexOf("|") + 1) %>; 
			/*color: black;*/
			/*word-wrap: break-word; */
		}
	<%}%>
	.fc-event-time, .fc-event-title {
    	text-decoration:none;
    	word-wrap: break-word; 
    }
    
    .fc-event-time { color: #000; }
    
    .fc-event-title { color: #444; }
    
    .fc-header-title {
		margin-top: 0;
		white-space: nowrap;
		font-size:xx-small;
		font-weight: bold;
		height: 10px;
	}
	.fc-content {
		background-color:white;
		text-decoration: none;

	}
  	#calendar a:link {
		text-decoration: none;
		color: #ccc;
	}
	#calendar a:visited {
		text-decoration: none;
		color: #ccc;
	}
	#calendar a:hover {
		text-decoration: none;
		color: #ccc;
	}
    .fc-widget-header{
		background-color : #BBDAE4;
	} 
  	</style>
  	<script>
  	window.window_ori;
  	$(document).ready(function() {
  	 	window.origin = window.top.opener.origin;
  	 	if(window.origin == undefined)
  	 		window.origin = window.top.opener;
  	})
  	$(document).ready(function() {
	
		var date = new Date();
		var d = date.getDate();
		var m = date.getMonth();
		var y = date.getFullYear();
		
		$('#calendar').fullCalendar({
			header: {
				right: 'prev,next',
				left: 'title'		
			},
			allDaySlot:false,
			year:<%=date.getYear()+1900%>, month:<%=date.getMonth()%>, date:<%=date.getDate()%>,
			firstDay: 1,
			
			<%if("DAY".equalsIgnoreCase(type)){%>
			defaultView: 'agendaDay',						
			<%}%>
			
			<%if("WEEK".equalsIgnoreCase(type)){%>
			defaultView: 'agendaWeek',
			weekends: true,						
			<%}%>
			
			<%if("WORKWEEK".equalsIgnoreCase(type)){%>
			defaultView: 'agendaWeek',
			weekends: false,						
			<%}%>
			
			<%if("MONTH".equalsIgnoreCase(type)){%>
			defaultView: 'month',						
			<%}%>
				
			editable: true,		
			firstHour: 9,
			slotMinutes: 30,
			theme: false,
			aspectRatio:1.50,
			timeFormat: {
	    		agenda: 'H:mm{ - H:mm}',
	    		'': 'H:mm'
			},
			titleFormat: {
			  month: "'<fl:getMessage code="L309C" alt="Agenda de" js="true"/> <%=actorName%> 'MMMM yyyy",
	    	  week: "'<fl:getMessage code="L309C" alt="Agenda de" js="true"/> <%=actorName%> <fl:getMessage code="L661E" alt="du" js="true"/> '<%=FlLocale.getInstance(session).getDateFormat().toPattern()%>{ '<fl:getMessage code="L3127" alt="au" js="true"/>'[ <%=FlLocale.getInstance(session).getDateFormat().toPattern()%>}",
	    	  day: "'<fl:getMessage code="L309C" alt="Agenda de" js="true"/> <%=actorName%> <fl:getMessage code="L661E" alt="du" js="true"/> 'dddd dd MMMM yyyy"            
			},
	
			axisFormat:'H:mm',
			monthNames:['<fl:getMessage code="L1070" alt="Janvier" js="true"/>','<fl:getMessage code="L1071" alt="Février" js="true"/>','<fl:getMessage code="L1072" alt="Mars" js="true"/>','<fl:getMessage code="L1073" alt="Avril" js="true"/>','<fl:getMessage code="L1074" alt="Mai" js="true"/>','<fl:getMessage code="L1075" alt="Juin" js="true"/>','<fl:getMessage code="L1076" alt="Juillet" js="true"/>', '<fl:getMessage code="L1077" alt="Août" js="true"/>','<fl:getMessage code="L1078" alt="Septembre" js="true"/>','<fl:getMessage code="L1079" alt="Octobre" js="true"/>', '<fl:getMessage code="L107A" alt="Novembre" js="true"/>','<fl:getMessage code="L107B" alt="Décembre" js="true"/>'],
			dayNames: ['<fl:getMessage code="F60A6" alt="Dimanche" js="true"/>','<fl:getMessage code="F60A0" alt="Lundi" js="true"/>','<fl:getMessage code="F60A1" alt="Mardi" js="true"/>','<fl:getMessage code="F60A2" alt="Mercredi" js="true"/>','<fl:getMessage code="F60A3" alt="Jeudi" js="true"/>','<fl:getMessage code="F60A4" alt="Vendredi" js="true"/>','<fl:getMessage code="F60A5" alt="Samedi" js="true"/>'],
			allDayText:'<fl:getMessage code="L661D" alt="Journée" js="true"/>',
		
			columnFormat:{
				month: 'dddd',    
	    		week: 'dddd dd/MM', 
	    		day: 'dddd dd/MM' 
			},
			buttonText:	{
	    		prev: '<img align="middle" src="<fl:webapp/>/icons/ico/flecheG.gif" border="0">',
	    		next: '<img align="middle" src="<fl:webapp/>/icons/ico/flecheD.gif" border="0">',
	    		prevYear: '&nbsp;&lt;&lt;&nbsp;', // <<
	    		nextYear: '&nbsp;&gt;&gt;&nbsp;', // >>
	    		today: '',
	    		month: '',
	    		week: '',
	    		day: ''
			},							
	 
			<%if(actId.equalsIgnoreCase(actor)){%>
			eventDrop: function(event, delta, minuteDelta, revert) {
	            doAjax("<fl:webapp/>/agenda_update_data.fl?id="+event.id+"&delta="+delta+"&minuteDelta="+minuteDelta+"&event=drop&allDay="+event.allDay);                
	         },
					
			/*eventResize: function(event, delta, minuteDelta, revert) {
	            alert("truc");
	            doAjax("<fl:webapp/>/agenda_update_data.fl?id="+event.id+"&delta="+delta+"&minuteDelta="+minuteDelta+"&event=resize");
	         },*/
				dayClick: function(dayDate, allDay, jsEvent, view){
				window.open("<fl:webapp/>/create_interaction_popup.fl?fromAgenda=1&initIntDate="+$.fullCalendar.formatDate(dayDate, "<%=FlLocale.getInstance(session).getDateFormat().toPattern()%>")+"&initIntActID=<%=actor%>&initIntTimeBeg="+$.fullCalendar.formatDate(dayDate, "H")+":"+$.fullCalendar.formatDate(dayDate, "mm"),"link", "menubar=no, status=no, toolbar=no, scrollbars=no, resizable=no, width=800, height=570");
			},
				<%}%>
	
			//eventDragStop: function(calEvent, jsEvent, ui, view){
			//alert("stop");
			//},
			 events: 
				function(start, end, callback) {
					updateToDoList("<%=actor%>","<%=type%>",$.fullCalendar.formatDate(start, "<%=FlLocale.getInstance(session).getDateFormat().toPattern()%>"));	
	            	$.getJSON("<fl:webapp/>/agenda_json_data.fl?actor=<%=actor%>&type=<%=type%>&date="+$.fullCalendar.formatDate(start, "<%=FlLocale.getInstance(session).getDateFormat().toPattern()%>"),
	            	{
	                    start: start.getTime(),
	                    end: end.getTime()
	            	},
	            	function(result) {
	        			try {
							callback(result);	
						} catch(e) {
							alert(e);
						} 																			
	            	});
	         	},
		    eventRender: function(event, element) {
		        element.qtip({
		            content: event.description,
		            show: 'click',
						hide: 'unfocus'
		        });
		    }
			
		});
	});
	
	function updateToDoList(actorID,calType,calDate) {
			url='<fl:webapp/>/agenda_todo_list.fl?actor=<%=actor%>&type=<%=type%>&date='+calDate;
			doAjax(url,function(arrIndex) {
					if (eDealXmlhttpArr[arrIndex].readyState == 4) {
					hideWaiting();
					$("#todo").html(eDealXmlhttpArr[arrIndex].responseText);
					}
				});
	 }
			
		
  	</script>
</head>
<body>
	<div style="float: left; width: 790px;">

		<table style="width:790px;">
		<tr>
			<td>&nbsp;</td>
			<td>
				<div id="calendar" style="text-decoration: none;"></div>
			</td>
		</tr>
		</table>
			<div id="appt_details">
				<jsp:include page="/sales/agenda/details.jsp" flush="true"/>
			</div>
		
	<div id="object_actions">
		<%request.setAttribute("action", "/sales/agenda/action.jsp?type="+type); %>
		<c:set var="task" value="true"/>
		<c:set var="note" value="false"/>
		<%@include file="/navigation/sidebar/sidebar.jsp"  %>
	</div>
	</div>
	<div id="waiting" style="display:none"><fl:getMessage code="L639B" alt="Chargement ..."/></div>
</body>
</html>
