<%@ page language="java" session="true" contentType="text/plain; charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.grid.functions.InteractionSyntaxActions" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.InteractionBean" id="Interaction" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String subject = "";
try {
	subject = Utils.formatToJavascript(Utils.formatToWeb(Interaction.getIntSubject(), false));
} catch (FieldNotInitializedException fnie) {
}
String details = "";
try {
	details = Utils.formatToJavascript(Utils.formatToWeb(Interaction.getIntDetails(), false));
} catch (FieldNotInitializedException fnie) {
}
%>
try {
	var doc = document;
	var detailsNode = doc.getElementById("appt_details");
	if (!detailsNode) {
		doc = window.parent.document;
		detailsNode = doc.getElementById("appt_details");
	}
	detailsNode.style.visibility = 'hidden';
	// image
	var categImg = doc.getElementById('details_img_category');
	categImg.src = '<fl:webapp/>/icons/ico_interaction/big_<%= Interaction.getCategoryImg() %>';
	categImg.alt = '<%= Interaction.getCategoryAltImg() %>';
	categImg.title = '<%= Interaction.getCategoryAltImg() %>';
	// sujet
	var subjectNode = doc.getElementById('details_subject');
	while (subjectNode.hasChildNodes()) {
		subjectNode.removeChild(subjectNode.firstChild);
	}
	var newSubject = '<%= subject %>';
	subjectNode.innerHTML = newSubject;
	// activite
	var activityNode = doc.getElementById('details_activity');
	while (activityNode.hasChildNodes()) {
		activityNode.removeChild(activityNode.firstChild);
	}
	var newActivity = '<fl:getProperty name="Interaction" property="IntAtvID" alt="&nbsp;"/>';
	activityNode.innerHTML = newActivity;
	// date
	var dateNode = doc.getElementById('details_date');
	while (dateNode.hasChildNodes()) {
		dateNode.removeChild(dateNode.firstChild);
	}
	var newDate = '<fl:getProperty name="Interaction" property="IntDate" alt="&nbsp;"/>';
	dateNode.innerHTML = newDate;
	// heure
	var timeNode = doc.getElementById('details_time');
	while (timeNode.hasChildNodes()) {
		timeNode.removeChild(timeNode.firstChild);
	}
	var newTime = '<fl:getProperty name="Interaction" property="IntTimeBeg" alt="&nbsp;" postText="&nbsp;-&nbsp;"/>';
	newTime += '<fl:getProperty name="Interaction" property="IntTimeEnd" alt="&nbsp;"/>'
	timeNode.innerHTML = newTime;
	
	// acteurs
	var actorsNode = doc.getElementById('details_actors');
	while (actorsNode.hasChildNodes()) {
		actorsNode.removeChild(actorsNode.firstChild);
	}
var newAct ="";	
<%
Vector actors =(Vector)request.getAttribute("Actors_data");
for(int a=0; a<actors.size(); a++){
%>
	newAct +='<%=actors.get(a)%><br/>';
<%
}

%>	
	actorsNode.innerHTML = newAct;
	// correspondents
	var corNode = doc.getElementById('details_correspondents');
	while (corNode.hasChildNodes()) {
		corNode.removeChild(corNode.firstChild);
	}
	var newCor = '';
<%
Vector corrs = (Vector)request.getAttribute("Correspondent_data");
if (corrs != null && corrs.size() > 0) {
	for (int i = 0; i < corrs.size(); i++) {
		Hashtable row = (Hashtable)corrs.elementAt(i);
		String corDisp = (String)row.get("corDisp");
		String corTitle = (String)row.get("corTitle");
		String corID = (String)row.get("corID");
		String corType = (String)row.get("corType");
		String corGrpDisp = (String)row.get("corGrpDisp");
		String corGrpID = (String)row.get("corGrpID");
		String corGrpType = (String)row.get("corGrpType");
		if (corID != null) {
%>
	newCor += '<a href="javascript:read_person(\'<%=(String)row.get("CorPerID")%>\')"><%= Utils.formatToJavascript(Utils.formatToWeb(corDisp, true)) %></a>';
<%
		} else {
%>
	newCor += '--?--';
<%
		}
		if (corGrpID != null) {
%>
	newCor += ' (<a href="javascript:read_enterprise(\'<%=(String)row.get("CorEntID")%>\')"><%= Utils.formatToJavascript(Utils.formatToWeb(corGrpDisp, true)) %></a>)';
<%
		}
%>
	newCor += '<br/>';
<%
	}
}

%>
	corNode.innerHTML = newCor;
	//notes
	var notesNode = doc.getElementById('details_notes');
	while (notesNode.hasChildNodes()) {
		notesNode.removeChild(notesNode.firstChild);
	}
	var newNotes = '<%= details %>'
	notesNode.innerHTML = newNotes;
	detailsNode.style.visibility = 'visible';
} catch (error) {
	window.alert("Erreur pendant l'affichage de l'interaction :\n" + error);
}