<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.Utils"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Classement_Bean"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Classement_Bean" id="Classement_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();

	String id = null;
	try {
	    id = Classement_.getID();
	} catch (FieldNotInitializedException fnie) {}
	
	String ruptureRefID = null;
	try {
		ruptureRefID = (String) dico.getRefIdByCode("Cl_ClassDecision", "RUPTCONTRAT");
	} catch (Exception e) {
		ruptureRefID = "";
	}
		
 	String classID = null;
 	String hotClassID = null;
 	String restClassID = null;
	try {
		classID = Classement_.getCl_ClassDecision();
	} catch (FieldNotInitializedException e1){
		
	}
	
	String cocRefID = null;
	String chemRefID = null;
	try {
		cocRefID = (String) dico.getRefIdByCode("Cl_ClassType", "COC");
		chemRefID = (String) dico.getRefIdByCode("Cl_ClassType", "CHE");
	} catch (Exception e) {
		cocRefID = "";
		chemRefID = "";
	}
	
	String typeClassID = null;
	
	try {
		typeClassID = Classement_.getCl_ClassType();
	} catch (FieldNotInitializedException e2){
		typeClassID ="";
	}
	
%>

<script type="text/javascript" language="javascript">
</script>

<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"LF014\", \"Classement\") %>" ou="<%= \"read_classement_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
    <table class="container" cellpadding="0">
		<tr>
			<td colspan="5" width="100%">
				<table>
					<tr>					
						<td style="width: 100%" class="titreFiche">
							<fl:getProperty property="Cl_Label" alt="" name="Classement_"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
    
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="Cl_Dossier" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_dossier_.fl\") %>" />
					<fl:fieldRead property="Cl_Tiers" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_enterprise.fl\") %>" alt=""/>
					<fl:fieldRead property="Cl_Comite" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_event.fl\") %>" alt=""/>
										<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="FF094" alt="Dcision Comit"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>
					<fl:fieldRead property="Cl_ClassDecision" />
					<fl:fieldRead property="Cl_Observation"/>
					
					<% if ( (classID != null && classID.equalsIgnoreCase(ruptureRefID))) { %>
					<fl:fieldRead property="Cl_DateRuptuCt"/>
					<fl:fieldRead property="Cl_MotifRuptCt"/>
					<%} %>
					<tr class="ligne_separation"><td></td></tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="Cl_ClassType" />
					<fl:fieldRead property="Cl_Classement" />
					<fl:fieldRead property="Cl_ThemRet"/>
					<fl:fieldRead property="Cl_SenVert" valueCodeIfTrue="LF056" valueCodeIfFalse="LF057"/>
					<fl:fieldRead property="Cl_Audit" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_event.fl\") %>" alt=""/>
					<fl:fieldRead property="Cl_TypeAudit"/>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<fl:notes name="Cl_Commentaires" title="<%= Utils.getMessage(session, \"L64B4\", \"Commentaires\") %>" nbPix="32"><fl:getProperty name="Classement_" property="Cl_Commentaires" alt=""/></fl:notes>
</fl:bigTabs>
