<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Contrat_Bean"%>
<%@ page import="com.edeal.frontline.Utils" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Contrat_Bean" id="Contrat_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	boolean visibleRec = false;
	boolean isPrestation = false;
	

	try {
	    id = Contrat_.getID();
	} catch (FieldNotInitializedException fnie) {}

	try {
		visibleRec = Contrat_.isCt_TaciteRecond();
	} catch (FieldNotInitializedException fnie) {
		
	}
	
	String tempSg = "";
	
	try {
		tempSg = Contrat_.getCt_TempSg();
	} catch (FieldNotInitializedException fnie) {
	}

 	String ct_TypeContrat = null;
	try {
		ct_TypeContrat = Contrat_.getCt_TypeContrat();
	} catch (FieldNotInitializedException e){
		ct_TypeContrat = "";
	}
	
	// Type de contrat LOGIS
	String typeContratLogisID = null;
	try {
		typeContratLogisID = (String) dico.getRefIdByCode("Ct_TypeContrat", "L");
	} catch (Exception e) {
		typeContratLogisID ="";
	}
	
	// Type de contrat PRESTATION
	String typeContratPrestationID = null;
	try {
		typeContratPrestationID = (String) dico.getRefIdByCode("Ct_TypeContrat", "PR");
	} catch (Exception e) {
		typeContratPrestationID ="";
	}
	
	
%>
<script type="text/javascript" language="javascript">
	function doSubmit() {
		var f = document.forms[0];		
		return true;
	}
	
	function doCt_TypeChange() {	
		doRefreshContrat_();
	}
	
	function doHideAndShowRecurrence() {
		var tacite = document.getElementById("Ct_TaciteRecond");
		var recurrenceField = document.getElementById("recurrenceField");
		var visibility = "hidden";
		
		if(tacite.checked) {
			visibility="visible";
		}
		recurrenceField.style.visibility=visibility;
	}
	
	function doRefreshContrat_() {		
		var f = document.forms[0];
		f.action = "<fl:webapp/>/refresh_contrat_.fl";
		f.submit();
	}
	
	function doChangeTypeContrat() {
		var typeContrat = document.forms[0].Ct_TypeContrat;
		
		
		if(typeContrat != null && typeContrat.value != "") {
			var typeContratVal = typeContrat.options[typeContrat.selectedIndex].text;
			document.getElementById("alerteEchField").style.visibility= "hidden";
			
			if(typeContratVal == "Logis") {
				$('input[id=Ct_TaciteRecond]').attr('checked',true);
				$('input[id=Ct_TaciteRecond]').attr('readonly',true);
			} else {
				$('input[id=Ct_TaciteRecond]').attr('checked',<%= visibleRec %>);
				$('input[id=Ct_TaciteRecond]').removeAttr("readonly");
				
				if(typeContratVal == "Prestation") {
					
					document.getElementById("alerteEchField").style.visibility= "visible";
				}
				
			}
			
			doHideAndShowRecurrence();
		}
	}
	
	function doOnLoad() {
		var typeContrat = document.forms[0].Ct_TypeContrat;
		
		if(typeContrat != null && typeContrat.value != "") {
			var typeContratVal = typeContrat.options[typeContrat.selectedIndex].text;
			if(typeContratVal == "Prestation") {
				
				document.getElementById("alerteEchField").style.visibility= "visible";
				<%
					isPrestation=true;
				%>
			}
		}
		doHideAndShowRecurrence();
	}
	
</script>

<fl:form action="save_contrat_.fl" bean="Contrat_">
<input type="hidden" name="Ct_TempSg" value="<%=tempSg%>">
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"LF015\", \"Contrat\")%>" ou="<%= \"edit_contrat_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
    <table class="container" cellpadding="0">
		

		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldLine">
						<fl:fieldEdit property="Ct_TypeContrat" alt="" mandatoryMsgCode="MF021" onchange="javascript:doCt_TypeChange();doChangeTypeContrat();"/>
						<tr class="fieldline">
							<td id="CtVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>
						<fl:fieldEdit property="Ct_TaciteRecond" onclick="javascript:doHideAndShowRecurrence();" />
						
						<tr id="recurrenceField" class="fieldline" style="visibility:hidden">
							<td class="dataLabel"><fl:getMessage code="FF09F" alt="Rcurrence"/></td>
							<td class="dataValue"><fl:input property="Ct_Recurrence" /></td>
						</tr>
						
						<tr class="fieldline">
							<td id="CtVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>
						<% if(!typeContratLogisID.equalsIgnoreCase(ct_TypeContrat)) { %>
						<%-- <fl:fieldEdit property="Ct_ContratPrincipal" mandatoryMsgCode="MF08A"/> --%>
						<fl:fieldEdit property="Ct_ContratPrincipal" />
						<%} %>
						
						<tr class="fieldline">
							<td id="CtVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>
						<fl:fieldEdit property="Ct_DateSignature"/>
						<fl:fieldEdit property="Ct_DateEffet"/>
						<fl:fieldEdit property="Ct_DateFin"/>
						<tr id="alerteEchField" class="fieldline" style="visibility:hidden">
							<td class="dataLabel"><fl:getMessage code="FF0D3" alt="Date d\'alerte de fin d\'chance"/></td>
							<td class="dataValue"><fl:input property="Ct_DateAlerteEch" /></td>
						</tr>
						<fl:fieldEdit property="Ct_ModeReg" alt="" mandatoryMsgCode="MF022"/>
						<fl:fieldEdit property="Ct_Statut" alt="" mandatoryMsgCode="MF023" except="RMP"/>
					</tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>	
			<td class="column2" >
				<table class="data_column" cellpadding="0">
					<tr class="fieldLine">
						
						<fl:fieldEdit property="Ct_InterlocuteurPrivilegie" mandatoryMsgCode="MF024"/>
						<tr class="fieldline">
							<td id="CtVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
						</tr>	
						<fl:fieldEdit property="Ct_LocationEnseigne"/>				
						<fl:fieldEdit property="Ct_NombreChambres" mandatoryMsgCode="MF025"/>						
						<fl:fieldEdit property="Ct_Marque"/>
						<fl:fieldEdit property="Ct_DateDerniereVerif"/>
					</tr>
				</table>
				
			</td>
			
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		
	</table>
<table class="container" cellpadding="0">
			<tr class="ligne_separation"><td></td></tr>
			<tr>
				<td class="titrePartie"><fl:getMessage code="L64B4" alt="Commentaires"/></td>
			</tr>
			<tr>
				<td class="dataValue noPaddingLeft">
					<fl:input property="Ct_Commentaires" style="width:100%" nodiv="false"/>
				</td>
			</tr>
			<tr class="ligne_separation"><td></td></tr>
			<tr class="ligne_separation_couleur"><td></td></tr>
			<tr class="ligne_separation"><td></td></tr>
	</table>

<fl:smallTabs name="Contrat_Tabs">

	<fl:sTab id="DonneesTech" title="<%= Utils.getMessage(session, \"LF060\", \"Donnes techniques\") %>" visible="<%= isPrestation %>">
		<table class="container" cellpadding="0">
			<tr>
				<td class="column2">
					<table class="data_column" cellpadding="0">
						<tr class="fieldLine">
							<fl:fieldEdit property="Ct_TauxCommission" alt=""/>
							<fl:fieldEdit property="Ct_NatureContrat" alt=""/>
							<fl:fieldEdit property="Ct_DelaiPaiement" alt=""/>
							<fl:fieldEdit property="Ct_Garantie" postText="&nbsp;&euro;"/>
							<fl:fieldEdit property="Ct_TypeInterface" alt=""/>
							<fl:fieldEdit property="Ct_StatutProcedure"/>
							<fl:fieldEdit property="Ct_LoginPrincipal"/>
	
						</tr>
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>	
				<td class="column2">
					<table class="data_column" cellpadding="0">
						<tr class="fieldLine">
							<% if(typeContratPrestationID.equalsIgnoreCase(ct_TypeContrat)) { %>
							<fl:fieldEdit property="Ct_InterlocuteursTechniques"/>
							<%} %>
							<fl:fieldEdit property="Ct_DateProchAudit"/>
							<fl:fieldEdit property="Ct_DateEnCoursProc"/>
							<fl:fieldEdit property="Ct_DateAdhesion"/>
							<fl:fieldEdit property="Ct_NumContrat"/>
							<fl:fieldEdit property="Ct_FrequenceInterface"/>
							<fl:fieldEdit property="Ct_EnCoursProc"/>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		
	</fl:sTab>
	<fl:sTab id="Fichiers" title="<%=Utils.getMessage(session, \"L201C\", false, true, \"Fichiers\")%>">
		<div>
			<table class="container" cellpadding="0">
				<tr class="fieldline">					
					<td>
						<fl:attach name="Contrat_" colID="Ct_Fichiers" />
					</td>
				</tr>
			</table>
		</div>
	</fl:sTab>
	
	<fl:sTab id="Partenaire" title="Partenaire"></fl:sTab>

</fl:smallTabs>
</fl:bigTabs>
</fl:form>
