<%@page import="com.edeal.frontline.FrontlineException"%>
<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.custom.Contrat_Bean"%>
<%@ page import="com.edeal.frontline.Utils" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Contrat_Bean" id="Contrat_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	
	boolean isTaciteRec = false;
	boolean isEncoursProc = false;
	boolean isLocationEnseigne = false;
	String typeContrat = null;

	try {
	    id = Contrat_.getID();
	} catch (FieldNotInitializedException fnie) {}

	try {
		isTaciteRec = Contrat_.isCt_TaciteRecond();
	} catch (FieldNotInitializedException fnie) {
		
	}
	try {
		isEncoursProc = Contrat_.isCt_EnCoursProc();
	} catch (FieldNotInitializedException fnie) {
		
	}
	
	try {
		isLocationEnseigne = Contrat_.isCt_LocationEnseigne();
	} catch (FieldNotInitializedException fnie) {
		
	}
	
	try {
		typeContrat = (String)dico.getRefDisp(session, "Ct_TypeContrat", Contrat_.getCt_TypeContrat());
	} catch (FieldNotInitializedException fnie) {
		
	} catch (FrontlineException fle) {
		
	}
	
	boolean isPrestation = ((typeContrat != null && "Prestation".equals(typeContrat)) || (typeContrat != null && "Partenaire".equals(typeContrat)));
	
%>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
<script type="text/javascript" language="javascript">
function refreshProducts(){
	_grid__CONPROD_js_.render();
}

function refreshPartenaires() {
	_grid__CONPART_js_.render();
}

function refreshSignataires() {
	_grid__SIGNATAIRE_js_.render();
}

function refreshTodos() {
	_grid__CORRCON_js_.render();
}

function doOnLoad() {
	<% if(!isPrestation) { %>
		refreshSignataires();
	<%}%>
}

function doRefresh() {
	
	window.top.location.reload();	
}
</script>

<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"LF015\", \"Contrat\")%>" ou="<%= \"read_contrat_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
    <table class="container" cellpadding="0">
		<tr>
			<td colspan="5" width="100%">
				<table>
					<tr>					
						<td style="width: 100%" class="titreFiche">
							<fl:getProperty name="Contrat_" alt="" property="Ct_NumContrat" postText="-" /><fl:getProperty property="Ct_CodeContrat" alt="" name="Contrat_"/>
							
						</td>
					</tr>
				</table>
			</td>
		</tr>
    
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="Ct_TypeContrat"/>
					<fl:fieldRead property="Ct_CodeContrat"/>
					<fl:fieldRead property="Ct_Statut"/>
					<fl:fieldRead property="Ct_DateSignature"/>
					<fl:fieldRead property="Ct_DateEffet"/>
					<fl:fieldRead property="Ct_DateFin"/>
					<tr class="fieldline">
						<td id="CtVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<% if(isTaciteRec) { %>
					<tr class="fieldline">
						<td id="Ct_label" class="dataLabel"><fl:getMessage code="FF09E" alt="Tacite reconduction"/></td>
						<td id="Apercu_value" class="dataValue"><input type="checkbox" disabled="disabled" checked="checked"/></td>
					</tr>
					
					<fl:fieldRead property="Ct_Recurrence"/>
					<%} else { %>
					<tr class="fieldline">
						<td id="Ct_label" class="dataLabel"><fl:getMessage code="FF09E" alt="Tacite reconduction"/></td>
						<td id="Apercu_value" class="dataValue"><input type="checkbox" disabled="disabled"/></td>
					</tr>
					<%} %>
					<tr class="fieldline">
						<td id="CtVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					<fl:fieldRead property="Ct_ContratPrincipal" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_contrat_.fl\") %>"/>
					<tr class="fieldline">
						<td id="CtVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
					
					<fl:fieldRead property="Ct_DateAlerteEch"/>
					<fl:fieldRead property="Ct_ModeReg"/>
					
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>	
			<td class="column2" >
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="Ct_InterlocuteurPrivilegie" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_actor.fl\") %>"/>
					<fl:fieldRead property="Ct_DateAdhesion"/>
					<fl:fieldRead property="Ct_NombreChambres"/>
					<fl:fieldRead property="Ct_ContratHonore"/>
					<fl:fieldRead property="Ct_FrequenceInterface"/>
					<fl:fieldRead property="Ct_DateDerniereVerif"/>
					<fl:fieldRead property="Ct_TypeInterface"/>
					<fl:fieldRead property="Ct_DateProchAudit"/>
					<fl:fieldRead property="Ct_LoginPrincipal"/>
					<fl:fieldRead property="Ct_Marque"/>
					<% if(isLocationEnseigne) { %>
						<tr class="fieldline">
							<td id="Ct_label" class="dataLabel"><fl:getMessage code="FF0DB" alt="Pas de location d\'enseigne"/></td>
							<td id="Apercu_value" class="dataValue"><input type="checkbox" disabled="disabled" checked="checked"/></td>
						</tr>
						
					<% } else { %>
						<tr class="fieldline">
							<td id="Ct_label" class="dataLabel"><fl:getMessage code="FF0DB" alt="Pas de location d\'enseigne"/></td>
							<td id="Apercu_value" class="dataValue"><input type="checkbox" disabled="disabled"/></td>
						</tr>
					<% } %>
				</table>				
			</td>
			
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table>
		<fl:fieldRead property="Ct_Commentaires"/>
	</table>
	
	<fl:smallTabs name="Contrat_Tabs">
		<fl:sTab id="DonneesTech" title="<%= Utils.getMessage(session, \"LF060\", \"Donnes techniques\") %>" visible="<%= isPrestation %>">
		<table class="container" cellpadding="0">
			<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="Ct_TauxCommission"/>
					<fl:fieldRead property="Ct_NatureContrat"/>
					<fl:fieldRead property="Ct_DelaiPaiement"/>
					<fl:fieldRead property="Ct_Garantie" format="#,##0.##" postText="&nbsp;&euro;"/>
					<tr class="fieldline">
						<td id="CtVoie_label" class="dataLabel"><span style="color:#0000;font-weight: bold;">&nbsp;</span></td>
					</tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>	
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="Ct_InterlocuteursTechniques" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_actor.fl\") %>"/>
				</table>
			</td>
			</tr>
		</table>
		
		</fl:sTab>
		<fl:sTab id="Signataires" title="<%=Utils.getMessage(session, \"LF066\", \"Signataires\") %>" onselect="refreshSignataires();">
			<fl:grid name="SIGNATAIRE" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=SIGNATAIRE&Sg_Contrat=\" + id %>"/>
		</fl:sTab>
		<fl:sTab id="Todos" title="<%=Utils.getMessage(session, \"LF011\", \"Todos\") %>" onselect="refreshTodos();">
			
			<fl:grid name="CORRCON" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CORRCON&IntContratID_=\" + id %>"/>
		</fl:sTab>
		<fl:sTab id="Fichiers" title="<%=Utils.getMessage(session, \"L201C\", \"Fichiers\")%>">
			<table class="container" cellpadding="0">
				<tr class="fieldline">					
					<td>
						<fl:attach name="Contrat_" colID="Ct_Fichiers" edit="false"/>
					</td>
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="Produits" title="<%= Utils.getMessage(session, \"FF1BC\", \"Produits\") %>" onselect="refreshProducts();">
			<fl:grid name="CONPROD" ajaxUrl="<%= \"/embedded_list_ajax_ct_.fl?code=CONPROD&Cr_Contrat=\" + id %>"/>
		</fl:sTab>
		<fl:sTab id="Partenaires" title="<%=Utils.getMessage(session, \"LF067\", \"Partenaires\") %>" onselect="refreshPartenaires();" >
			<fl:grid name="CONPART" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CONPART&Cp_Contrat=\" + id %>"/>
		</fl:sTab>
		<fl:sTab id="Historique" title="<%=Utils.getMessage(session, \"L6555\", \"Historique\")%>">
			<table class="container" cellpadding="0">
				<tr>
					<% if(isEncoursProc) { %>
					<tr class="fieldline">
						<td id="Ct_label" class="dataLabel"><fl:getMessage code="FF0DD" alt="En cours de procdure"/></td>
						<td id="Apercu_value" class="dataValue"><input type="checkbox" disabled="disabled" checked="checked"/></td>
					</tr>
					
					<fl:fieldRead property="Ct_Recurrence"/>
					<%} else { %>
					<tr class="fieldline">
						<td id="Ct_label" class="dataLabel"><fl:getMessage code="FF0DD" alt="En cours de procdure"/></td>
						<td id="Apercu_value" class="dataValue"><input type="checkbox" disabled="disabled"/></td>
					</tr>
					<%} %>
					<fl:fieldRead property="Ct_DateEnCoursProc"/>
					<fl:fieldRead property="Ct_StatutProcedure"/>
				</tr>
			</table>
		</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>
