<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest"%>
<%@ page import="com.edeal.frontline.FlContext"%>
<%@ page import="com.edeal.frontline.DataDictionary"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException"%>
<%@ page import="com.edeal.frontline.FrontlineException"%>
<%@ page import="com.edeal.frontline.custom.Contrat_Bean"%>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Hashtable"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Contrat_Bean" id="Contrat_" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	

	try {
	    id = Contrat_.getID();
	} catch (FieldNotInitializedException fnie) {}

    String valideState = null; 
    String rompuState = null;
    String suspenduState = null;
    String archiveState = null;
    String enCoursvalideState = null;
    
    try {
    	valideState = dico.getRefIdByCode("Cs_", "Te1", "VAL");
    } catch (Exception e) {
    	valideState = "";
    }	
    
    try {
    	enCoursvalideState = dico.getRefIdByCode("Cs_", "Te1", "EAV");
    } catch (Exception e) {
    	enCoursvalideState = "";
    }	
    
    try {
    	rompuState = dico.getRefIdByCode("Cs_", "Te1", "RMP");
    } catch (Exception e) {
    	rompuState = "";
    }	
    
    try {
    	suspenduState = dico.getRefIdByCode("Cs_", "Te1", "SUS");
    } catch (Exception e) {
    	suspenduState = "";
    }	
    
    try {
    	archiveState = dico.getRefIdByCode("Cs_", "Te1", "ARC");
    } catch (Exception e) {
    	archiveState = "";
    }	
    
    // id de la famille de produits "Enseignes"
    String enseigneFamID = null; 
    try {
    	//enseigneFamID = dico.getRefIdByCode("Pf_", "Te1", "ENS");
    	enseigneFamID = "STACI";
    } catch (Exception e) {
    }	
	
	// voir si le contrat est valide 
	boolean isValide = false;
	boolean isEncoursValidation = false;
	boolean isRompu = false;
	boolean isSuspendu = false;
	boolean isArchive = false;
	
	String statutContrat = null; 
	try {
		statutContrat = (String)Contrat_.getCt_Statut();
		if(statutContrat.equals(valideState)) {
			isValide = true;
		} else if(statutContrat.equals(rompuState)) {
			isRompu = true;
		} else if(statutContrat.equals(suspenduState)) {
			isSuspendu = true;
		} else if(statutContrat.equals(archiveState)) {
			isArchive = true;
		} else if(statutContrat.equals(enCoursvalideState)) {
			isEncoursValidation = true;
		} 
	} catch (FieldNotInitializedException fnie) {
	}
	
	// rcuprer le Tiers signataire du contrat
	String sgTiers = null; 
	Vector <Hashtable> sg_List = new Vector<Hashtable>();
	try {
		sg_List = Contrat_.getContrat_Signataires("1");
		// on prend le premier
		if (sg_List != null && !sg_List.isEmpty()) {
			Hashtable tabSgs = (Hashtable)sg_List.firstElement();
			sgTiers = (String)tabSgs.get("EntID"); 
		}
	} catch (FrontlineException fe) {
	}
	
	// voir si on a besoin de notifier STACI
	Boolean isNotifierStaci = false;
	try {
		isNotifierStaci = (Boolean)Contrat_.isCt_STACINotification();
	} catch (FieldNotInitializedException fnie) {
	}
	
	// l'affili ne peut avoir d'enseignes
	boolean isCt_LocationEnseigne = false;
	try {
		isCt_LocationEnseigne = Contrat_.isCt_LocationEnseigne();
	} catch (FieldNotInitializedException fnie) {
	}

	String todoID;
	try {
		todoID = dico.getRefIdByCode("IntType_", "ACT");
	} catch (FrontlineException e) {
		todoID = "";
	}
	

%>
<script language="javascript">
function products() {

	window.open('<fl:link list="false" url="<%= \"/edit_contratproduit_.fl?initCr_Contrat=\" + id %>"/>','ChoixProduit', 'width=1000,height=668,resizable');
}

function partenaires() {
	window.open('<fl:link list="false" url="<%= \"/create_contratpartenaire_.fl?initCp_Contrat=\" + id %>"/>&popup=1','ChoixPartenaire', 'width=800,height=368,resizable');
}

function signataires() {

	window.open('<fl:link list="false" url="<%= \"/select_signataire.fl?initSg_Contrat=\" + id %>"/>', 'ChoixSignataire', 'width=1000,height=668,resizable');
}

function doDelete(){

	if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
		window.parent.location = '<fl:link url="<%= \"/delete_contrat_.fl?id=\" + id%>"/>';
	}		
}

function doDisable(){

	if (confirm('<fl:getMessage code="MF020" alt="Etes-vous sr de vouloir dsactiver cette fiche ?" js="true"/>')) {
		window.parent.location = '<fl:link url="<%= \"/disable_contrat_.fl?id=\" + id%>"/>';
	}		
}

function fichier() {
	window.open('<fl:link list="false" url="<%= \"/addfile_contrat_.fl?$$presentFields=&id=\" + id %>"/>','Fichier', 'width=750,height=310,scrollbars=yes,resizable=yes,toolbar=no');
}

</script>


 
<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/edit_contrat_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<% if( isRompu || isSuspendu || isArchive ) { %>	
<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link list="true" url="<%= \"/reintegrer_contrat.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF164" alt="Rintgrer le Contrat"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<% } else { %>
<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link list="true" url="<%= \"/archiver_contrat.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="L826B" alt="Dsactiver"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>




<%} %>



<% if(isValide || isEncoursValidation) { %>

<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link list="true" url="<%= \"/rompre_contrat.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF111" alt="Rompre le contrat"/></p>
            </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link list="true" url="<%= \"/create_contrat_.fl\" + ( id != null ? \"?initCt_ContratPrincipal=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF165" alt="Ajouter un sous-contrat"/></p>
            </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link list="true" url="<%= \"/suspendre_contrat.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF13A" alt="Suspendre le contrat"/></p>
            </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link list="true" url="<%= \"/envoyer_contrat.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF13B" alt="Envoyer au(x) signataire(s)"/></p>
            </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link list="true" url="<%= \"/transferer_contrat_reprise.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF112" alt="Transfrer le contrat"/></p>
            <p style="font-family: Arial,Verdana,sans-serif; color: #777777; font-size: 10px; margin: 0; overflow: hidden; padding: 0; vertical-align: top; white-space: nowrap; width: 100%;"><fl:getMessage code="LF116" alt="Acceptation de reprise"/></p>
            </a>
            
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link list="true" url="<%= \"/transferer_contrat_refus.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF112" alt="Transfrer le contrat"/></p>
            <p style="font-family: Arial,Verdana,sans-serif; color: #777777; font-size: 10px; margin: 0; overflow: hidden; padding: 0; vertical-align: top; white-space: nowrap; width: 100%;"><fl:getMessage code="LF115" alt="Refus de reprise"/> </p>
            </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<%} %>


<% if(isValide && !isCt_LocationEnseigne) { %>

<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/create_opportunity.fl\" + ( id != null ? \"?initOppCmdTypo_=STASI&initOpp=DEV&initOppAffiliationCtID_=\" + id : \"\") + (  sgTiers != null ? \"&initOppEntID=\" + sgTiers : \"\") + (  enseigneFamID != null ? \"&initPrdFamilleProduit_=\" + enseigneFamID : \"\")%>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF16E" alt="Commande STACI"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<%} %>

<% if(isNotifierStaci && isValide) { %>
<%--
<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="<fl:link list="true" url="<%= \"/notifier_staci.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="FF1A9" alt="Notifier STACI"/></p>
            </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
 --%>
<%} %>

<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:signataires();">
                    <p class="actions_tabletext"><fl:getMessage code="LF061" alt="Signataire +"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access name="Interaction" operation="create">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_interaction.fl?" />&IntType_=<%=todoID%>&initIntContrat=<%=id%>">
					<p class="actions_tabletext"><fl:getMessage code="" alt="Todo"/> +</p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<!-- 
<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:products();">
                    <p class="actions_tabletext"><fl:getMessage code="L63B9" alt="Produit +"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
 -->
<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:partenaires();">
                    <p class="actions_tabletext"><fl:getMessage code="FF071" alt="Partenaire"/> +</p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<!-- 
<fl:access operation="edit" name="Contrat_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:fichier()">
                    <p class="actions_tabletext"><fl:getMessage code="FF0BE" alt="Fichier +"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
 -->
	<tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
				<a href="<%=flRequest.computeURL("/contrat_quicklook.fl"+(id!=null ? "?id="+id : ""))%>" >
					<p class="actions_tabletext"><fl:getMessage code="L7009" alt="Quicklook"/></p>
	            </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>