<%
/******************************************************************************
 * Copyright (c) 2000-2010 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Périer
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" contentType="text/html; charset=UTF-8" import="com.edeal.frontline.*, java.util.*, com.edeal.frontline.controller.ControllerServlet"%><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.EnterpriseBean" id="Enterprise" scope="request"/><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	String name = null;
	try {
		name = Enterprise.getEntCorpName();
	} catch (FieldNotInitializedException e) {
	}
%>
<html>
<head>
	<title><%= name %></title>
	<link rel="stylesheet" href="<fl:webapp/>/css/common_css.jsp" type="text/css"  media="screen"/>	
	<link rel="stylesheet" href="<fl:webapp/>/css/tooltip.css" type="text/css"  media="screen"/>
	<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css"  media="screen"/>
	<link rel="icon" href="<fl:webapp/>/favicon.ico" type="image/x-icon"/>
	<link rel="shortcut icon" href="<fl:webapp/>/favicon.ico" type="image/x-icon"/> 
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/print_css.jsp" media="print"/>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	<script language="javascript">setTimeout("window.print();", 2000);</script>
</head>
<body>
	<div>
		<% try { %>
		<jsp:include page="/sales/enterprise/quicklook.jsp">
			<jsp:param name="print" value="true"/>
		</jsp:include>
		<%
		} catch (Exception e) {
			logger.error("Exception raised during body page inclusion", e);
			Throwable t = e.getCause();
			if (t != null) {
				logger.error("Cause is " + t.toString());
			}
		}
		%>
	</div>	
	<div id="waiting" style="display:none"><fl:getMessage code="L639B" alt="Chargement ..."/></div>

</body>
</html>
