<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page session="true" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.edeal.frontline.grid.GridData" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.custom.*" %>
<%@ page import="com.edeal.frontline.services.addressnormalisation.*" %>
<%@ page import="com.edeal.frontline.helper.ContextHelper" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.EnterpriseBean" id="Enterprise" scope="request"/>
<%-- <jsp:useBean class="com.edeal.frontline.custom.Fermetures_Bean" id="Fermetures_" scope="session"/>
<jsp:useBean class="com.edeal.frontline.custom.Equipement_Bean" id="Equipement_" scope="request"/>
<jsp:useBean class="com.edeal.frontline.custom.OtherGuides_Bean" id="OtherGuides_" scope="session"/>
<jsp:useBean class="com.edeal.frontline.custom.OtherLbls_Bean" id="OtherLbls_" scope="session"/>
<jsp:useBean class="com.edeal.frontline.custom.OtherMrq_Bean" id="OtherMrq_" scope="session"/>
 --%>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	String id = null;
	try {
		id = Enterprise.getID();
	} catch (FieldNotInitializedException e) {}
	
	String SfwID = "";
	SfwID =	flRequest.getRequestParameterOrAttribute("SfwID");
	
	String typOrganisation = null;
	boolean isAssociation = false;
	boolean isResto = false;
	boolean isPartenaire = false;
	try {
		typOrganisation = Enterprise.getEntTyeID();
		isAssociation = typOrganisation.equals((String)dico.getRefIdByCode("EntTyeID", "ASSO"));
		isResto = typOrganisation.equals((String)dico.getRefIdByCode("EntTyeID", "RESTO"));
		isPartenaire = typOrganisation.equals((String)dico.getRefIdByCode("EntTyeID", "PART"));
	} catch (FieldNotInitializedException e) {}
	
	//Vector<String> entStrucLocalIDList = null;
	
	String cmdStsRefID =  dico.getRefIdByCode("OppStoID", "ORD");
	String intTodo = dico.getRefIdByCode("IntType_", "ACT");
	String intCOR = dico.getRefIdByCode("IntType_", "COR");
	
	String name = null;
	try {
		name = Enterprise.getEntCorpName();
	} catch (FieldNotInitializedException e) {
	}
	
	String entZip = null;
	try {
		entZip = Enterprise.getEntZip();
	} catch (FieldNotInitializedException e) {
	}
	
	String entCity = null;
	try {
		entCity = Enterprise.getEntCity();
	} catch (FieldNotInitializedException e) {
	}
	
	String webAdr = null;
	try {
		webAdr = Enterprise.getEntWeb();
		if (!webAdr.startsWith("http://") && !webAdr.startsWith("https://")) {
			webAdr = "http://"+webAdr;
		}
		
	} catch (FieldNotInitializedException fnie) {
	}
	
	Vector<LocationBean> vectLoc = null;
	if (id != null) {
		String[][] queryLoc = { { "LocEntID = " + Utils.formatToSQL(context, id) } };
		try {
			vectLoc = LocationBean.list(context, queryLoc);
		} catch (FrontlineException e) {
		}
	}
	
	boolean isGeoLocalized = true;
	try {
		Enterprise.getEntGeoCodeStatusID();
	} catch (FieldNotInitializedException e) {
		isGeoLocalized = false;
	}
	
	String entPhotoID_ = null;
	/*
	String po_LienPhotoExt = null;
	String po_LienPhotoInt = null;
	*/
	String po_apercuPhotoID = null;
	Photo_Bean entPhoto = null;

	try {
		entPhotoID_ = (String)Enterprise.getCustomProperty("EntPhotoID_");
	} catch (FieldNotInitializedException e) {
	}
	
	if (entPhotoID_ != null) {
		try {
			entPhoto = new Photo_Bean(entPhotoID_,context);
		} catch (FrontlineException e) {
		}
	}
	
	if(entPhoto != null) {
		try {
			po_apercuPhotoID = (String)entPhoto.getPo_Apercu();
		} catch (FieldNotInitializedException fne) {
			/*
			try {
				po_LienPhotoInt = (String)entPhoto.getPo_LienPhoto();
			} catch (FieldNotInitializedException fnie) {
			}
			try {
				po_LienPhotoExt = (String)entPhoto.getPo_LienPhotoExt();
			} catch (FieldNotInitializedException fnie) {
			}
			*/
		}
	}
	
	String cacdrID = dico.getRefIdByCode("TrnTypCA", "CACDR");
	String caccID = dico.getRefIdByCode("TrnTypCA", "CACC");
	String cafidID = dico.getRefIdByCode("TrnTypCA", "CAFID");
	String catotID = dico.getRefIdByCode("TrnTypCA", "CATOT");
	
 
	String typoStructID = null;
	try {
		typoStructID = (String)Enterprise.getCustomProperty("EntTypoStructure_");
	} catch (FieldNotInitializedException e){
		typoStructID = "";
	}
	
	String departID = null;
	try {
		departID = dico.getRefIdByCode("EntTypoStructure_", "DEPARTEMENTALE");
	} catch (FrontlineException e) {
		departID = "";
	}
	
	String regionID = null;
	try {
		regionID = dico.getRefIdByCode("EntTypoStructure_", "REGIONAL");
	} catch (FrontlineException e) {
		regionID = "";
	}
	
	String paysID = null;
	try {
		paysID = dico.getRefIdByCode("EntTypoStructure_", "PAYS");
	} catch (FrontlineException e) {
		paysID = "";
	}
	
	boolean isEditionCatalogue = false;
	
	try {
		isEditionCatalogue = (Boolean)Enterprise.getCustomProperty("EntEditListLogis_");
	} catch (FrontlineException e) {
		
	}
	
	String annMillesime = "N/A";
	// Date du jour :
    Date dateDuJour = new Date();
	int mill = dateDuJour.getYear() + 1900;
    annMillesime = "" + mill;
%>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<script language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
<script language="javascript">
	<%if (po_apercuPhotoID != null) {%>
	
	var fois = 0;
	var apercu;
	
	function afficheImage() {
		/*if (fois != 0) {
			return;
		}
		*/
		var apercuWidth = (apercu.width < 400 ? 400 : apercu.width + 50);
		var apercuHeight = ((apercu.height + 100) < 400 ? 400 : (apercu.height + 100));
	
		var ouvrirImage = window.open('<fl:webapp/>/sales/photo_/showApercu.jsp?id=<%=po_apercuPhotoID%>','photoWindow','toolbar=0,location=0,menuBar=0,scrollbars=0,resizable=1,width=' + apercuWidth + ',height=' + apercuHeight);
		fois=1;
	}
	
	<%}%>
	function refreshInstancesAsso(){
		_grid__EVTASSO_js_.render();
	}
	function refreshInstances(){
		_grid__INSTANCE_js_.render();
	}
	
	
	function refreshGiftCHQ(){
		_grid__GCH_EMB_js_.render();
	}
	
	function refreshPrestats(){
		_grid__RESTOS_js_.render();
		refreshPrix();
		refreshFermetures();
		refreshRooms();
		//loadTypePrestation();
		var f = document.prix;
		//loadTypePrestation(f.PrxTypeID.value);
	}
	
	function refreshPrestats2(){
		_grid__EQP_EMB_js_.render();
		_grid__ENV_EMB_js_.render();
	}
	
	function refreshEnvies(){
		_grid__ENV_EMB_js_.render();
	}
	
	function refreshFermetures(){
		_grid__FER_EMB_js_.render();
	}
	
	function refreshPrix(){
		_grid__PRX_EMB_js_.render();
	}
	
	function refreshRooms(){
		_grid__ROO_EMB_js_.render();
	}
	
	function refreshTurnovers(){
		_grid__TURNOVERS1_js_.render();
		_grid__TURNOVERS2_js_.render();
		_grid__TURNOVERS3_js_.render();
		_grid__TURNOVERS4_js_.render();
	}
	
	function refreshFidelity(){
		_grid__CQF_EMB_js_.render();
		_grid__TRF_EMB_js_.render();
	}
	
	function refreshEnseignes(){
		_grid__ENSEIGNES_js_.render();
	}
	
	function refreshOthLabs(){
		_grid__OTHLABELS_js_.render();
	}
	
	function refreshOthMrqs(){
		_grid__OTHMARQUES_js_.render();
	}
	
	function refreshOthGds(){
		_grid__OTHGUIDES_js_.render();
	}
	
	function refreshMissions(){
		_grid__AUDIT_js_.render();
		_grid__CLAS_EMB_js_.render();
	}
	
	function refreshWebCoformity(){
		_grid__WEBCONFORM_js_.render();
	}
	
	function refreshPerAsso(){
		_grid__PER_ASSO_js_.render();
	}
	
	function refreshCTR(){
		_grid__CTR_EMB_js_.render();
	}
	
	function refreshPersons() {
		_grid__PER_EMB_js_.render({"PerEntID":"<%=Enterprise.getID()%>"},{"PerLocID":"LocEntID='<%=Enterprise.getID()%>'"});
	}
	
	function refreshPersonsPart() {
		_grid__PER_EMB_PT_js_.render({"PerEntID":"<%=Enterprise.getID()%>"},{"PerLocID":"LocEntID='<%=Enterprise.getID()%>'"});
	}
	
	function refreshCmds() {
		_grid__CMD_EMB_js_.render();
	}
	
	function refreshSols() {
		_grid__SOL_EMB_js_.render();
	}
	
	function refreshResas() {
		_grid__RESA_js_.render();
	}
	
	function refreshTxts(){
		_grid__TEXTES_js_.render();
	}
	
	function refreshInts() {
		_grid__INTERALIST_js_.render();
	}
	
	function refreshCots() {
		_grid__COTISATION_js_.render();
	}
	
	function refreshPhotos() {
		_grid__PHOTO_EMB_js_.render();
	}
	
	function refreshCorresps() {
		_grid__CORRESLIST_js_.render();
	}
	
	function refreshLocations(){
		myAjaxURL_LOC_EMB = _grid__LOC_EMB_js_.getAjaxUrl();
	    _grid__LOC_EMB_js_.render("LocEntID",'<%= Enterprise.getID()%>')		
	}
	
	function refreshLnks() {
		_grid__EntLin_js_.render("EntName",encodeURIComponent('<%= Utils.formatToJavascript(name) %>'));
	}
	
	function doLink() {
		if (navigator.appName == 'Microsoft Internet Explorer') {
			window.open('<fl:webapp/>/open_link_enterprise.fl?entID=<%= id %>', 'LinkEnt', 'menubar=no, status=no, toolbar=no, scrollbars=no, resizable=yes, width=840, height=230');
		} else {
			window.open('<fl:webapp/>/open_link_enterprise.fl?entID=<%= id %>', 'LinkEnt', 'menubar=no, status=no, toolbar=no, scrollbars=no, resizable=yes, width=840, height=200');
		}
	}
	
	function doLinkID(linID) {
		if (navigator.appName == 'Microsoft Internet Explorer') {
			window.open('<fl:webapp/>/open_link_enterprise.fl?entID=<%= id %>&id=' + linID, 'LinkEnt', 'menubar=no, status=no, toolbar=no, scrollbars=no, resizable=yes, width=840, height=230');
		} else {
			window.open('<fl:webapp/>/open_link_enterprise.fl?entID=<%= id %>&id=' + linID, 'LinkEnt', 'menubar=no, status=no, toolbar=no, scrollbars=no, resizable=yes, width=840, height=200');
		}
	}
	
	function delLink(linID) {
		if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=Link&id=' + linID, lnkDelReturn);
		}
	}
	
	function lnkDelReturn(arrIndex) {
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			window.setTimeout(refreshLnks, 10);
		}
	}
	
	//chercher socit avec siren
	function searchSociete() {
		entCorpName = '<%= Utils.formatToJavascript(name) %>';
		siren = '<fl:getProperty name="Enterprise" property="EntSiren" alt=""/>';
		entZip = '<fl:getProperty name="Enterprise" property="EntZip" alt=""/>';
		if (siren != '') {
			if (siren.length > 9) {
				try {
					siren = siren.substring(0,9);
				} catch(e) {
				}
			}
			window.open('http://www.societe.com/cgi-bin/recherche?rncs=' + siren);
		} else if (entCorpName != '' || entZip != '') {
			if (entZip != '') {
				entZip = entZip.substring(0,2);
			}
			window.open('http://www.societe.com/cgi-bin/liste?nom=' + entCorpName + '&dep=' + entZip);
		} else {
			window.open('http://www.societe.com');
		}
	}
	
	
	function openLinkSite(){
	    entWeb = '<%= Utils.formatToJavascript(webAdr) %>';
	    if (entWeb != '') {
			window.open(entWeb);
		}
	}
	
	function goSearchEnterprise() {
		popupCenter('http://news.google.com/news/search?q=<%= Utils.formatToJavascript(Utils.encodeURIComponent(name)) %>', '<%= Utils.getMessage(session, "L7090", "Google news").replaceAll(" ", "") %>', '930', '600', 'menubar=no, status=no, toolbar=no, scrollbars=yes, resizable=yes');
	}
	
	function doOnLoad() {
		
		if(!<%=isAssociation%> && !<%=isPartenaire%> ) {
			refreshPersons();
			refreshPerAsso();
			refreshCmds();
		} else if(<%=isAssociation%>) {
			refreshPersons();
		} else if(<%=isPartenaire%>) {
			refreshPersonsPart();
		}
		<%if (po_apercuPhotoID != null) {%>
		apercu = new Image();
		apercu.src = '<fl:webapp/>/download?id=<%=po_apercuPhotoID%>';
		
		// Sometimes, for an unknown reason, we have to do it twice 
		if (apercu.width == 0 && apercu.height == 0) {
			apercu = new Image();
			apercu.src = '<fl:webapp/>/download?id=<%=po_apercuPhotoID%>';
		}
		<%}%>
		
	}
	
	function parseDateT(date) {
		var dateParts = date.split("/");
		var dateParsed = new Date(dateParts[2], (dateParts[1] - 1), dateParts[0]);
		return dateParsed;
	}
	

	function addFermeture() {
		var f = window.document.fermetures;
		
		if(f.FerPlageBgDt.value == '' && f.FerHebdoText.value == '') {
			alert('<fl:getMessage code="MF099" alt="Vous devez saisir la date de dbut." js="true"/>');
			f.FerPlageBgDt.focus();
			return;
		}
		
		if(f.FerPlageEndDt.value == '' && f.FerHebdoText.value == '') {
			alert('<fl:getMessage code="MF09A" alt="Vous devez saisir la date de fin." js="true"/>');
			f.FerPlageEndDt.focus();
			return;
		}
		
		var args = '&FerTiersID=<%=id%>';
		if (f.FerMilID.value != '') {
			args += '&FerMilID=' + encodeURIComponent(f.FerMilID.value);
		}
		
		if (f.FerCategorie.value != '') {
			args += '&FerCategorie=' + encodeURIComponent(f.FerCategorie.value);
		}
		
		if (f.FerPlageBgDt.value != '') {
			args += '&FerPlageBgDt=' + encodeURIComponent(f.FerPlageBgDt.value);
		}
		
		if (f.FerPlageEndDt.value != '') {
			args += '&FerPlageEndDt=' + encodeURIComponent(f.FerPlageEndDt.value);
		}
		if (f.FerHebdoText.value != '') {
			args += '&FerHebdoText=' + encodeURIComponent(f.FerHebdoText.value);
		}
		var ajaxURL = '<fl:link url="/save_fermetures_ajax.fl?"/>' + args;
		f.FerPlageBgDt.value = '';
		f.FerPlageEndDt.value = '';
		f.FerHebdoText.value = '';
		doAjax(ajaxURL, waitNrefreshSLFermetures);
	
	}
	
	function addChambre() {
		var f = window.document.chambres;
		
		if(f.RooTypeChambre.value == '') {
			alert('<fl:getMessage code="MF09E" alt="Vous devez saisir un type de chambre." js="true"/>');
			f.RooTypeChambre.focus();
			return;
		}
		
		var args = '&RooTiers=<%=id%>';
		if (f.RooMillesimeID.value != '') {
			args += '&RooMilID=' + encodeURIComponent(f.RooMillesimeID.value);
		}
		if (f.RooTypeChambre.value != '') {
			args += '&RooTypeChambre=' + encodeURIComponent(f.RooTypeChambre.value);
		}
		if (f.RooCouchageNb.value != '') {
			args += '&RooCouchageNb=' + encodeURIComponent(f.RooCouchageNb.value);
		}
		if (f.RooNumber.value != '') {
			args += '&RooNumber=' + encodeURIComponent(f.RooNumber.value);
		}
		//var ajaxURL = '<fl:link url="/save_object_ajax.fl?type=Room_&$$presentFields="/>' + args;
		var ajaxURL = '<fl:link url="/save_chambres_ajax.fl?"/>' + args;
		f.RooCouchageNb.value = '';
		f.RooNumber.value = '';
		doAjax(ajaxURL, waitNrefreshSLRooms);
	
	}
	
	function addTexte() {
		var f = window.document.textes;
		var args = '&TxtTiersID=<%=id%>';
		args += '&Type=Textes_';
		if (f.TxtLngID.value != '') {
			args += '&TxtLngID=' + encodeURIComponent(f.TxtLngID.value);
		}
		if (f.TxtTypID.value != '') {
			args += '&TxtTypID=' + encodeURIComponent(f.TxtTypID.value);
		}
		if (f.TxtContent.value != '') {
			args += '&TxtContent=' + encodeURIComponent(f.TxtContent.value);
		}
		//var ajaxURL = '<fl:link url="/save_object_ajax.fl?type=Room_&$$presentFields="/>' + args;
		var ajaxURL = '<fl:link url="/save_custom_ajax.fl?"/>' + args;
		doAjax(ajaxURL, waitNrefreshSLTextes);
	}
	
	
	function addOtherMrq() {
		var f = window.document.autresmrq;
		
		if(f.Om_DateDeb.value == '') {
			alert('<fl:getMessage code="MF0A2" alt="Vous devez saisir date de dbut." js="true"/>');
			f.Om_DateDeb.focus();
			return;
		}
		
		
		if(f.Om_DateFin.value == '') {
			alert('<fl:getMessage code="MF0A3" alt="Vous devez saisir la date de fin." js="true"/>');
			f.Om_DateFin.focus();
			return;
		}
		if(f.Om_Libelle.value == '') {
			alert('<fl:getMessage code="MF0A0" alt="Vous devez saisir le libell de l\'autre marque." js="true"/>');
			f.Om_Libelle.focus();
			return;
		}
		
		if(parseDateT(f.Om_DateFin.value) < parseDateT(f.Om_DateDeb.value)) {
			alert('<fl:getMessage code="M6064" alt="La date de fin doit tre suprieure  la date de dbut." js="true"/>');
			f.Om_DateDeb.focus();
			return;
		}
		
		var args = '&Om_Tiers=<%=id%>';
		args += '&Type=OtherMrq_';
		if (f.Om_DateDeb.value != '') {
			args += '&Om_DateDeb=' + encodeURIComponent(f.Om_DateDeb.value);
		}
		if (f.Om_MillesimeID.value != '') {
			args += '&Om_MillesimeID=' + encodeURIComponent(f.Om_MillesimeID.value);
		}
		if (f.Om_DateFin.value != '') {
			args += '&Om_DateFin=' + encodeURIComponent(f.Om_DateFin.value);
		}
		if (f.Om_Libelle.value != '') {
			args += '&Om_Libelle=' + encodeURIComponent(f.Om_Libelle.value);
		}

		//var ajaxURL = '<fl:link url="/save_object_ajax.fl?type=OtherMrq_&$$presentFields="/>' + args;
		var ajaxURL = '<fl:link url="/save_custom_ajax.fl?"/>' + args;
		f.Om_DateDeb.value = '';
		f.Om_DateFin.value = '';
		f.Om_Libelle.value = '';
		doAjax(ajaxURL, waitNrefreshSLMrq);
	
	}
	
	function addOtherLbl() {
		var f = window.document.autreslbl;
		
		if(f.Ol_DateDeb.value == '') {
			alert('<fl:getMessage code="MF0A2" alt="Vous devez saisir date de dbut." js="true"/>');
			f.Ol_DateDeb.focus();
			return;
		}
		if(f.Ol_DateFin.value == '') {
			alert('<fl:getMessage code="MF0A3" alt="Vous devez saisir la date de fin." js="true"/>');
			f.Ol_DateFin.focus();
			return;
		}
		if(f.Ol_Libelle.value == '') {
			alert('<fl:getMessage code="MF0A4" alt="Vous devez saisir le libell de l\'autre label." js="true"/>');
			f.Ol_Libelle.focus();
			return;
		}
		
		
		if(parseDateT(f.Ol_DateFin.value) < parseDateT(f.Ol_DateDeb.value)) {
			alert('<fl:getMessage code="M6064" alt="La date de fin doit tre suprieure  la date de dbut." js="true"/>');
			f.Ol_DateDeb.focus();
			return;
		}
		
		var args = '&Ol_Tiers=<%=id%>';
		args += '&Type=OtherLbls_';
		if (f.Ol_DateDeb.value != '') {
			args += '&Ol_DateDeb=' + encodeURIComponent(f.Ol_DateDeb.value);
		}
		if (f.Ol_MillesimeID.value != '') {
			args += '&Ol_MillesimeID=' + encodeURIComponent(f.Ol_MillesimeID.value);
		}
		if (f.Ol_DateFin.value != '') {
			args += '&Ol_DateFin=' + encodeURIComponent(f.Ol_DateFin.value);
		}
		if (f.Ol_Libelle.value != '') {
			args += '&Ol_Libelle=' + encodeURIComponent(f.Ol_Libelle.value);
		}

		//var ajaxURL = '<fl:link url="/save_object_ajax.fl?type=OtherLbls_&$$presentFields="/>' + args;
		var ajaxURL = '<fl:link url="/save_custom_ajax.fl?"/>' + args;
		f.Ol_DateDeb.value = '';
		f.Ol_DateFin.value = '';
		f.Ol_Libelle.value = '';
		doAjax(ajaxURL, waitNrefreshSLLbl);
	
	}
	
	function addOtherGds() {
		var f = window.document.autresgds;
		
		if(f.Og_DateDeb.value == '') {
			alert('<fl:getMessage code="MF0A2" alt="Vous devez saisir date de dbut." js="true"/>');
			f.Og_DateDeb.focus();
			return;
		}
		if(f.Og_DateFin.value == '') {
			alert('<fl:getMessage code="MF0A3" alt="Vous devez saisir la date de fin." js="true"/>');
			f.Og_DateFin.focus();
			return;
		}
		if(f.Og_Libelle.value == '') {
			alert('<fl:getMessage code="MF0A5" alt="Vous devez saisir le libell de l\'autre guide." js="true"/>');
			f.Og_Libelle.focus();
			return;
		}
		
		if(parseDateT(f.Og_DateFin.value) < parseDateT(f.Og_DateDeb.value)) {
			alert('<fl:getMessage code="M6064" alt="La date de fin doit tre suprieure  la date de dbut." js="true"/>');
			f.Og_DateDeb.focus();
			return;
		}
		
		var args = '&Og_Tiers=<%=id%>';
		args += '&Type=OtherGuides_';
		if (f.Og_DateDeb.value != '') {
			args += '&Og_DateDeb=' + encodeURIComponent(f.Og_DateDeb.value);
		}
		if (f.Og_DateFin.value != '') {
			args += '&Og_DateFin=' + encodeURIComponent(f.Og_DateFin.value);
		}
		if (f.Og_MillesimeID.value != '') {
			args += '&Og_MillesimeID=' + encodeURIComponent(f.Og_MillesimeID.value);
		}
		if (f.Og_Libelle.value != '') {
			args += '&Og_Libelle=' + encodeURIComponent(f.Og_Libelle.value);
		}

		//var ajaxURL = '<fl:link url="/save_object_ajax.fl?type=OtherGuides_&$$presentFields="/>' + args;
		var ajaxURL = '<fl:link url="/save_custom_ajax.fl?"/>' + args;
		f.Og_DateDeb.value = '';
		f.Og_DateFin.value = '';
		f.Og_Libelle.value = '';
		doAjax(ajaxURL, waitNrefreshSLGds);
	
	}
	
	function addPrix() {
		var f = window.document.prix;
		var prmin = (f.PrxMin.value).replace(" ","");
		var prmax = (f.PrxMax.value).replace(" ","");
		var prixmin = parseFloat(toSysNum(prmin));
		var prixmax = parseFloat(toSysNum(prmax));
		
		if(f.PrxMin.value == '') {
			alert('<fl:getMessage code="MF0A9" alt="Vous devez saisir un prix minimum." js="true"/>');
			f.PrxMin.focus();
			return;
		}
		
		if( (f.PrxMax.value != '') && (prixmin > prixmax) ) {
			alert('<fl:getMessage code="MF0B9" alt="Le prix Max. doit tre suprieur au prix Min." js="true"/>');
			f.PrxMin.focus();
			return;
		}
		
		var args = '&PrxTiersID=<%=id%>';
		if (f.PrxMin.value != '') {
			args += '&PrxMin=' + encodeURIComponent(f.PrxMin.value);
		}
		if (f.PrxMax.value != '') {
			args += '&PrxMax=' + encodeURIComponent(f.PrxMax.value);
		}
		if (f.PrxMillesimeID.value != '') {
			args += '&PrxMillesimeID=' + encodeURIComponent(f.PrxMillesimeID.value);
		}
		/*
		if (f.PrxTypeID.value != '') {
			args += '&PrxTypeID=' + encodeURIComponent(f.PrxTypeID.value);
		}
		*/
		if (f.PrxPrestationID.value != '') {
			args += '&PrxPrestationID=' + encodeURIComponent(f.PrxPrestationID.value);
		}
		
		//var ajaxURL = '<fl:link url="/save_object_ajax.fl?type=Price_&$$presentFields="/>' + args;
		var ajaxURL = '<fl:link url="/save_prix_ajax.fl?"/>' + args;
		
		f.PrxMin.value = '';
		f.PrxMax.value = '';
		doAjax(ajaxURL, waitNrefreshSLPrx);
	
	}
	
	function addEnvies(){
		var f = window.document.envies;
		var args = '&EnvTiersID=<%=id%>';
		if (f.EnvcategoryID.value != '') {
			args += '&EnvcategoryID=' + encodeURIComponent(f.EnvcategoryID.value);
		}else{
			alert('<fl:getMessage code="MF0B3" alt="Veuillez choisir une catgorie d\\\'envies?" js="true"/>');
			f.EnvcategoryID.focus();
			return;
		}
		if (f.EnvSubCategoryID.value != '') {
			args += '&EnvSubCategoryID=' + encodeURIComponent(f.EnvSubCategoryID.value);
		}
		
		if (f.EnvComments.value != '') {
			args += '&EnvComments=' + encodeURIComponent(f.EnvComments.value);
		}
		
		f.EnvcategoryID.value = '';
		f.EnvSubCategoryID.value = '';
		f.EnvComments.value = '';
		
		var ajaxURL = '<fl:link url="/save_object_ajax.fl?type=Envies_&$$presentFields="/>' + args;
		doAjax(ajaxURL, addEnvCallback);
	}
	
	function addEnvCallback(arrIndex){
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			hideWaiting();
			setTimeout('refreshEnvies()', 10);
		}
	}
	
	function addEquipment(){
		var f = window.document.equipement;
		var args = '&Eq_TiersID=<%=id%>';
		if (f.Eq_NameID.value != '') {
			args += '&Eq_NameID=' + encodeURIComponent(f.Eq_NameID.value);
		}else{
			alert('<fl:getMessage code="MF0B2" alt="Veuillez choisir un libell d\\\'quipement." js="true"/>');
			f.Eq_NameID.focus();
			return;
		}
		if (f.Eq_Comment.value != '') {
			args += '&Eq_Comment=' + encodeURIComponent(f.Eq_Comment.value);
		}
		f.Eq_NameID.value = '';
		f.Eq_Comment.value = '';
		
		var ajaxURL = '<fl:link url="/save_object_ajax.fl?type=Equipement_&$$presentFields="/>' + args;
		doAjax(ajaxURL, addEqpCallback);
	}
	
	function addEqpCallback(arrIndex){
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			hideWaiting();
			setTimeout('refreshEquipement()', 10);
		}
	}
	
	function refreshEquipement(){
		_grid__EQP_EMB_js_.render();
	}
	
	function waitNrefreshSLFermetures(arrIndex) {
		currentState = 0;
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			refreshFermetures();
		}
	}
	
	function waitNrefreshSLRooms(arrIndex) {
		currentState = 0;
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			refreshRooms();
		}
	}
	
	function waitNrefreshSLTextes(arrIndex) {
		currentState = 0;
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			refreshTxts();
		}
	}
	
	function waitNrefreshSLMrq(arrIndex) {
		currentState = 0;
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			refreshOthMrqs();
		}
	}
	
	function waitNrefreshSLPrx(arrIndex) {
		currentState = 0;
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			refreshPrix();
		}
	}
	
	function waitNrefreshSLLbl(arrIndex) {
		currentState = 0;
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			refreshOthLabs();
		}
	}
	
	function waitNrefreshSLGds(arrIndex) {
		currentState = 0;
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			refreshOthGds();
		}
	}
	function deleteMarkedFermeture(FerID) {
		if (confirm('<fl:getMessage code="MF09B" alt="Etes-vous sr de vouloir supprimer cette Priode de fermeture ?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=Fermetures_&id=' + FerID , waitNrefreshSLFermetures);
	}
	}
	
	function deleteMarkedEnvies(envID){
		if (confirm('<fl:getMessage code="MF0B4" alt="Etes-vous sr de vouloir supprimer cette envie?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=Envies_&id=' + envID , addEnvCallback);
		}
	}
	
	function deleteMarkedEquipement(eq_ID) {
		if (confirm('<fl:getMessage code="MF0AD" alt="Etes-vous sr de vouloir supprimer cet quipement?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=Equipement_&id=' + eq_ID , addEqpCallback);
		}
	}
		
	function deleteMarkedChambre(RooID) {
		if (confirm('<fl:getMessage code="MF09F" alt="Etes-vous sr de vouloir supprimer cette Chambre ?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=Room_&id=' + RooID , waitNrefreshSLRooms);
		}
	}
	
	function deleteMarkedOtherMrq(Om_ID) {
		if (confirm('<fl:getMessage code="MF0A1" alt="Etes-vous sr de vouloir supprimer cette Autre Marque ?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=OtherMrq_&id=' + Om_ID , waitNrefreshSLMrq);
	}
	}
	
	function deleteMarkedOtherGds(Og_ID) {
		if (confirm('<fl:getMessage code="MF0A6" alt="Etes-vous sr de vouloir supprimer cet Autre Guide ?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=OtherGuides_&id=' + Og_ID , waitNrefreshSLGds);
	}
	}
	
	function deleteMarkedOtherLbl(Ol_ID) {
		if (confirm('<fl:getMessage code="MF0A7" alt="Etes-vous sr de vouloir supprimer cet Autre Label ?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=OtherLbls_&id=' + Ol_ID , waitNrefreshSLLbl);
	}
	}
	
	function deleteMarkedTxt(Ol_ID) {
		if (confirm('<fl:getMessage code="MF0BB" alt="Etes-vous sr de vouloir supprimer ce Texte ?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=Textes_&id=' + Ol_ID , waitNrefreshSLTextes);
	}
	}
	
	function deleteMarkedPrx(PrxID) {
		if (confirm('<fl:getMessage code="MF0AB" alt="Etes-vous sr de vouloir supprimer ce prix ?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=Price_&id=' + PrxID , waitNrefreshSLPrx);
		}
		
	}
	
	function loadSubCategory(catID) {
		if (catID == undefined || catID == null || catID == '') {
			$("#EnvSubCategoryID").html("<option value=''>&nbsp;</option>");
			$("#EnvSubCategoryID").width($("#div_EnvSubCategoryID").width());
			return;
		}
		$.getJSON("<fl:webapp/>/get_envies__subcategory.fl?catID=" + catID, function(data) {
			if (data != null) {
				var optContent = "<option value=''>&nbsp;</option>";
				for (var i = 0; i < data.length; i++) {
					var optValue = data[i].value;
					var optText = data[i].text;
					optContent += "<option"
					optContent += " value='" + optValue + "'>" + optText + "</option>"
				}
				$("#EnvSubCategoryID").html(optContent);
				$("#EnvSubCategoryID").width($("#div_EnvSubCategoryID").width());//For IE7
			}	
		});
	}
	
	function loadTypePrestation(typPrixID) {
		if (typPrixID == undefined || typPrixID == null || typPrixID == '') {
			$("#PrxPrestationID").html("<option value=''>&nbsp;</option>");
			$("#PrxPrestationID").width($("#div_PrxPrestationID").width());
			return;
		}
		$.getJSON("<fl:webapp/>/get_prestations_prix.fl?typPrixID=" + typPrixID, function(data) {
			if (data != null) {
				var optContent = "";
				for (var i = 0; i < data.length; i++) {
					var optValue = data[i].value;
					var optText = data[i].text;
					optContent += "<option"
					optContent += " value='" + optValue + "'>" + optText + "</option>"
				}
				$("#PrxPrestationID").html(optContent);
				$("#PrxPrestationID").width($("#div_PrxPrestationID").width());//For IE7
			}	
		});
	}
	
</script>
<fl:bigTabs objectTitle="<%= (isAssociation)?Utils.getMessage(session, \"LF09E\", \"Association\"):Utils.getMessage(session, \"F002B\", \"Entreprise\") %>" listTitle="<%= Utils.getMessage(session, \"L30A2\", \"Liste des entreprises\") %>" ou="<%= \"/read_enterprise.fl?id=\" + Enterprise.getID() %>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="5" class="titreFiche">
				<fl:getProperty name="Enterprise" property="EntCorpName" alt="" />
				<span>
					<a href="javascript:goSearchEnterprise();"><img src="<fl:webapp/>/icons/google-news.png" name="icon" border="0" width="20" height="20" style="vertical-align:baseline;" title="<fl:getMessage code="L7090" alt="google news"/>"></a>
				</span>	
			</td>
		</tr>
		<tr class="ligne_separation"><td colspan="5"></td></tr>
		<tr>
			<td class="column2">
				<table class="container" >	
					<fl:fieldRead property="EntTriName_" />
					<tr><td colspan="5" class="ligne_separation"/></tr>	
					<% if(!isAssociation && !isResto && !isPartenaire){ %>
						<fl:fieldRead property="EntHotelID_" />
					<% }else if(isResto){ %>
						<fl:fieldRead property="EntRatachHotelID_" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_enterprise.fl\") %>"/>
						<%-- <fl:fieldRead property="EntRestoDispName_"/>
						<fl:fieldRead property="EntRestoTriName_"/> --%>
					<% } %>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="LF002" alt="Adresse Postale"/>
					</td>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<tr class="fieldline">
						<td id="EntVoie_label" class="dataLabel"><fl:label code="FF02E" label="Voie"/></td>
						<td id="EntVoie_value" class="dataValue"><fl:getProperty name="Enterprise" property="EntVoieNum_" alt=""/>,&nbsp;<fl:getProperty name="Enterprise" property="EntNatureVoieID_" alt=""/>&nbsp;<fl:getProperty name="Enterprise" property="EntLblVoie_" alt=""/></td>
					</tr>
					<fl:fieldRead property="EntGeoCplt_" alt="" />
					<fl:fieldRead property="EntPtRmCourrier_" alt="" />
					<fl:fieldRead property="EntBP_"/>
					<fl:fieldRead property="EntLieuDit_" alt="" />
					<td class="dataLabel"><fl:getMessage code="FF096" alt="Code Postal/Ville"/></td>
					<td id="Ent.Zip_value" class="dataValue">
						<div title="">
							<fl:getProperty name="Enterprise" property="EntZip" alt="" postText="&nbsp;"/><fl:getProperty name="Enterprise" property="EntCity" alt="" postText=""/><% try { Enterprise.getEntZip(); Enterprise.getEntCity(); %><br><% } catch(FieldNotInitializedException e) { try { Enterprise.getEntCity(); %><br><% } catch (FieldNotInitializedException ex) {}} %>
						</div>
					</td>
					<tr><td colspan="5" class="ligne_separation"/></tr>	
					<fl:fieldRead property="EntCtrID" alt="" />
					<% if(isPartenaire){ %>
					<fl:fieldRead property="EntRegionID_" />
					<fl:fieldRead property="EntDepartmentID_" />
					<% } %>
					<tr><td colspan="5" class="ligne_separation"/></tr>	
				</table>
				<%-- begin : Adresse 
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td id="Ent.Address_label" class="dataLabel">
							<fl:label code="F2012" label="Adresse"/>
							<fl:addressNormalisation bean="Enterprise" operation="read" 
								addressStatusField="EntAddressStatus" getAddressMethod="getAddress" setAddressMethod="setAddress" getStatusMethod="getAddressNormalisationStatus" 
								setStatusMethod="setAddressNormalisationStatus" 
								returnUrl="<fl:webapp/>/read_enterprise.fl"/>								
							<edMap id="map_<%= id %>" 
								geolocalizable='{"mustnotbegeolocalized" : <%= isGeoLocalized %>, "objId":"<%= id %>","objType":"Enterprise","latitude":"<%= Enterprise.getGLLatitude() %>", "longitude":"<%= Enterprise.getGLLongitude() %>", "address":"<%= Enterprise.getAddressForGeolocalization() %>"}'
								enablepreview="true"
								>
							</edMap>			
						</td>
						<td id="Ent.Address_value" class="dataValue">
							<div title="">
								<fl:getProperty name="Enterprise" property="EntAd1" alt="" postText="<br>"/>
								<fl:getProperty name="Enterprise" property="EntAd2" alt="" postText="<br>"/>
								<fl:getProperty name="Enterprise" property="EntAd3" alt="" postText="<br>"/>
								<fl:getProperty name="Enterprise" property="EntZip" alt="" postText="&nbsp;"/><fl:getProperty name="Enterprise" property="EntCity" alt="" postText=""/><% try { Enterprise.getEntZip(); Enterprise.getEntCity(); %><br><% } catch(FieldNotInitializedException e) { try { Enterprise.getEntCity(); %><br><% } catch (FieldNotInitializedException ex) {}} %>
								<fl:getProperty name="Enterprise" property="EntCtrID" alt="&nbsp;" preText="<%=(entCity == null && entZip != null) ? \"<br>\" : \"\"%>"/>
							</div>
						</td>
					</tr>
				</table>
				end : Adresse --%>
				<table class="container" >	
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntPhone" format="phone"/>
					<fl:fieldRead property="EntSecondPhone_" format="phone"/>
					<fl:fieldRead property="EntFax"/>
					<fl:fieldRead property="EntMail_"/>
					<fl:fieldRead property="EntSecondMail_"/>
					<% if(!isAssociation && !isPartenaire){ %><fl:fieldRead property="EntBillingMail_" /><% } %>
					<tr class="fieldline">
						<td id="EntWeb_label" class="dataLabel"><fl:label code="F200B" label="Site Web"/></td>
						<td id="EntWeb_value" class="dataValue"><div title="<fl:getProperty name="Enterprise" property="EntWeb" alt=""/>"><% if (webAdr != null) { %><a href="<%=webAdr%>" target="_blank"><fl:getProperty name="Enterprise" property="EntWeb" alt=""/></a><% } else { %>&nbsp;<% } %></div></td>
					</tr>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<% if(isPartenaire){ %>
					<fl:fieldRead property="EntTyeID"/>
					<fl:fieldRead property="EntSousGrp_" />
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntInterlocuteurID_" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_actor.fl\") %>"/>
					
					<% } %>				
				</table>
				<% if(!isAssociation && !isPartenaire){%>
				<table class="container">	
					<fl:fieldRead property="EntTyeID"/>
					<fl:fieldRead property="EntActsID_" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_actor.fl\") %>"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<%
					String entStrucLocalID = null;
					try {
						entStrucLocalID = (String)Enterprise.getCustomProperty("EntStructureLocalID_");
					} catch (FieldNotInitializedException e) {
					}
					if( entStrucLocalID != null ) {
						EnterpriseBean entAsso = new EnterpriseBean(entStrucLocalID,context);
						String entCorpName = null;
						try {
							entCorpName = (String)entAsso.getEntCorpName();
						} catch (FieldNotInitializedException e) {
							entCorpName ="";
						}
					%>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="LF004" alt="Structure Locale"/>
					</td>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntStructureLocalID_" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_enterprise.fl\") %>"/>
					<%	
						String entTypoStructure_ = null;
						try {
							entTypoStructure_ = (String)entAsso.getCustomProperty("EntTypoStructure_");
						} catch (FieldNotInitializedException e) {
						}
						
						if(entTypoStructure_ != null){
							String depStructID = dico.getRefIdByCode("EntTypoStructure_", "DEPARTEMENTALE");
							String regStructID = dico.getRefIdByCode("EntTypoStructure_", "REGIONAL");
							String payStructID = dico.getRefIdByCode("EntTypoStructure_", "PAYS");
							String entTypoStructureDisp = (String)dico.getRefDisp(session, "EntTypoStructure_", entTypoStructure_);
							%>
							<tr class="fieldline">
							<td id="EntTypoStructure___label" class="dataLabel"><fl:label code="FF095" label="Typologie Structure" /></td>
							<td id="EntTypoStructure___value" class="dataValue"><div title="<%=entTypoStructureDisp%>"></div><%=entTypoStructureDisp%></td>
							</tr>
							<%
							if(entTypoStructure_.equals(depStructID)){
								String depName = null;
								try {
									String depNameID = (String)entAsso.getCustomProperty("EntDepartmentID_");
									depName = (String)dico.getRefDisp(session, "EntDepartmentID_", depNameID);
								} catch (FieldNotInitializedException e) {
									depName ="";
								} catch (FrontlineException e) {
									depName ="";
								}
								%>
								<tr class="fieldline">
								<td id="EntDepartmentID___label" class="dataLabel"><fl:label code="L6435" label="Dpartement" /></td>
								<td id="EntDepartmentID___value" class="dataValue"><div title="<%=depName%>"></div><%=depName%></td>
								</tr>
						  <%} else if(entTypoStructure_.equals(regStructID)) {
								String regName = null;
								try {
									String regNameID = (String)entAsso.getCustomProperty("EntRegionID_");
									regName = (String)dico.getRefDisp(session, "EntRegionID_", regNameID);
								} catch (FieldNotInitializedException e) {
									regName ="";
								} catch (FrontlineException e) {
									regName ="";
								}%>
								<tr class="fieldline">
								<td id="EntRegionID___label" class="dataLabel"><fl:label code="F6006" label="Rgion" /></td>
								<td id="EntRegionID___value" class="dataValue"><div title="<%=regName%>"></div><%=regName%></td>
								</tr>
						  <%} else if(entTypoStructure_.equals(payStructID)) {
								String payName = null;
								try {
									String payNameID = (String)entAsso.getEntCtrID();
									payName = (String)dico.getRefDisp(session, "EntCtrID", payNameID);
								} catch (FieldNotInitializedException e) {
									payName ="";
								} catch (FrontlineException e) {
									payName ="";
								}%>
								<tr class="fieldline">
								<td id="EntCtrID__label" class="dataLabel"><fl:label code="F2015" label="Pays" /></td>
								<td id="EntCtrID__value" class="dataValue"><div title="<%=payName%>"></div><%=payName%></td>
								</tr>
						  <%}
							
						}
					}					
					%>
				</table>
				<% } %>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
			
			<% if(!isAssociation && !isPartenaire){%>
				<table class="container" cellpadding="0">
				    <!-- 
				    <tr class="fieldline">
				    	<td id="EntPhoto_label" class="dataLabel"><img src="po_LienPhotoExt " title="" alt="" width="400px" height="250px"/></td>
				    </tr>
				    -->
					<tr class="fieldline">
						<td id="EntPhoto_label" class="dataLabel"><fl:label code="FF001" label="Photo"/></td>
						<td id="EntPhoto_value" class="dataValue">
						<%if(po_apercuPhotoID != null) { %>
							<img alt="" src='<fl:webapp/>/download?id=<%=po_apercuPhotoID%>' onclick="" height="250" width="400">
						<%}%>
						</td>
					</tr>
					<td class="titreInterneSmalltabs" colspan="5">
					<fl:getMessage code="L8267" alt="Localit"/>
					</td>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntLocalityID_" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_localite_.fl\") %>"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntNextAuditDt_"/>
					<fl:fieldRead property="EntCheNbID_"/>					
					<fl:fieldRead property="EntCocNbID_"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntRefLngID_"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<td class="titreInterneSmalltabs" colspan="5">
					<fl:getMessage code="FF01F" alt="Classement toile"/>
					</td>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntStarClassID_"/>
					<fl:fieldRead property="EntNormStarDt_"/>
					<fl:fieldRead property="EntReclassDate_"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntPmsID_"/>					
					<fl:fieldRead property="EntAnnexe_"/>
				</table>
				<%} else if (isAssociation){%>
					<table class="container" cellpadding="0">
					<fl:fieldRead property="EntTyeID"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="LF09E" alt="Association"/>
					</td>
					<tr><td colspan="5" class="ligne_separation"/></tr>
						<fl:fieldRead property="EntTypoStructure_"/>
						<%	if(typoStructID.equalsIgnoreCase(departID)) {%>
							<fl:fieldRead property="EntDepartmentID_" labelCode="FF01D"/>
							<fl:fieldRead property="EntRegionID_" labelCode="FF01C"/>	
						<% } else if (typoStructID.equalsIgnoreCase(regionID)) { %>
							<fl:fieldRead property="EntRegionID_" labelCode="FF01C"/>
						<% } %>
						<fl:fieldRead property="EntAssoDissolDt_"/>
						<tr class="fieldline">
							<td id="Hs_label" class="dataLabel">
								<fl:label field="EntEditListLogis_"/>
							</td>
							<td id="Apercu_value" class="dataValue">
								<input type="checkbox" <%= isEditionCatalogue?"checked":"" %> disabled="disabled"/>
							</td>
						</tr>
						
						<fl:fieldRead property="EntAnimStatut_"/>
						<fl:fieldRead property="EntAffectedTaux_"/>
					</table>
				<%} else if (isPartenaire){%>
					<table class="container" cellpadding="0">
			    	<!--
					<tr class="fieldline">
				    	<td id="EntPhoto_label" class="dataLabel"><img src="po_LienPhotoExt " title="" alt="" width="400px" height="250px"/>
				    	</td>
				    </tr>
				    -->
					<tr class="fieldline">
						<td id="EntPhoto_label" class="dataLabel"><fl:label code="FF001" label="Photo"/></td>
						<td id="EntPhoto_value" class="dataValue">
						<%if(po_apercuPhotoID != null) { %>
							<img src='<fl:webapp/>/download?id=<%=po_apercuPhotoID%>' onclick="javascript:afficheImage()" height="250" width="400">
						<%}%>
						</td>
					</tr>
					</table>
				<% } %>
			</td>
		</tr>
	</table>
	<fl:notes name="EntNotes" title="<%= Utils.getMessage(session, \"L64B4\", \"Commentaires\") %>" nbPix="32"><fl:getProperty name="Enterprise" property="EntNotes" alt=""/></fl:notes>
	<% if(!isAssociation && ! isPartenaire){ %>
	<fl:smallTabs name="EntRead" >	
			<%-- Commandes --%>
			<fl:sTab id="Commandes" title="<%= Utils.getMessage(session, \"\", false, true, \"Commandes\") %>" onselect="refreshCmds();">
				<fl:grid name="CMD_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CMD_EMB&OppEntID=\" + id + \"&OppStoID=\" + cmdStsRefID %>"/>
			</fl:sTab>
			<%-- Autres Marques --%>
			<fl:sTab id="Autres Marques" title="<%= Utils.getMessage(session, \"\", false, true, \"Autres Marques\") %>" onselect="refreshOthLabs();refreshOthMrqs();refreshOthGds();">
				<table class="container" cellpadding="0">
				<tr>
				<td class="column2">
					<fl:access name="OtherMrq_" operation="create">
					<form name="autresmrq" class="fieldTable">
					<table class="container" cellpadding="0">
						<tr><td colspan="3" class="titreInterneSmalltabs"><fl:getMessage code="LF070" alt="Autres marques"/></td></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td>
							<span class="criteriaLabel">
							<fl:getMessage code="F6138" alt="Date de dbut"/>
							</span>
							<input name="Om_DateDeb" class="input date chpsTextObligatoire" type="text"  onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="10" size="10" maxlength="10">
							<a href="javascript:openCalendar(document.autresmrq.Om_DateDeb)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
							<span class="criteriaLabel">
							<fl:getMessage code="F6132" alt="Date de fin"/>
							</span>
							<input name="Om_DateFin" class="input date chpsTextObligatoire" type="text"  onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="11" size="10" maxlength="10">
							<a href="javascript:openCalendar(document.autresmrq.Om_DateFin)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
						</td>
						<td class="smallFieldPart"><a href="javascript:addOtherMrq()">
							<img src="<fl:webapp/>/icons/ico/save_all_long.gif" id="bt_add" title="<fl:getMessage code="A000F" alt="Ajouter"/>"></a>
						</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td colspan="3">
						<span class="criteriaLabel">
						<fl:getMessage code="FF1A2" alt="Millsime"/>
						</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Mil", "Te1");
						%>				<select name="Om_MillesimeID"  id="Om_MillesimeID" style="background-color: #FDCBCC">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
						</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
							<td colspan="3">
							<span class="criteriaLabel">
							<fl:getMessage code="F2001" alt="Libell"/>
							</span>
							<fl:input property="Om_Libelle" style="background-color: #FDCBCC"/>
							</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
					</table>
					</form>
					</fl:access>
				<fl:grid name="OTHMARQUES" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=OTHMARQUES&Om_Tiers=\" + id %>"/>
				<fl:access name="OtherLbls_" operation="create">
					<form name="autreslbl" class="fieldTable">
					<table class="container" cellpadding="0">
						<tr><td colspan="3" class="ligne_separation_couleur"/></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr><td colspan="3" class="titreInterneSmalltabs"><fl:getMessage code="FF1D4" alt="Autres labels"/></td></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td>
							<span class="criteriaLabel">
							<fl:getMessage code="F6138" alt="Date de dbut"/>
							</span>
							<input name="Ol_DateDeb" class="input date chpsTextObligatoire" type="text"  onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="10" size="10" maxlength="10">
							<a href="javascript:openCalendar(document.autreslbl.Ol_DateDeb)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
							<span class="criteriaLabel">
							<fl:getMessage code="F6132" alt="Date de fin"/>
							</span>
							<input name="Ol_DateFin" class="input date chpsTextObligatoire" type="text"  onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="11" size="10" maxlength="10">
							<a href="javascript:openCalendar(document.autreslbl.Ol_DateFin)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
						</td>
						<td class="smallFieldPart"><a href="javascript:addOtherLbl()">
							<img src="<fl:webapp/>/icons/ico/save_all_long.gif" id="bt_add" title="<fl:getMessage code="A000F" alt="Ajouter"/>"></a>
						</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td colspan="3">
						<span class="criteriaLabel">
						<fl:getMessage code="FF1A2" alt="Millsime"/>
						</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Mil", "Te1");
						%>				<select name="Ol_MillesimeID"  id="Ol_MillesimeID" style="background-color: #FDCBCC">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
						</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
							<td colspan="3">
							<span class="criteriaLabel">
							<fl:getMessage code="F2001" alt="Libell"/>
							</span>
							<fl:input property="Ol_Libelle" style="background-color: #FDCBCC"/>
							</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
					</table>
					</form>
				</fl:access>
				<fl:grid name="OTHLABELS" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=OTHLABELS&Ol_Tiers=\" + id %>"/>	
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column2">
				<fl:access name="OtherGuides_" operation="create">
					<form name="autresgds" class="fieldTable">
					<table class="container" cellpadding="0">
						<tr><td colspan="3" class="titreInterneSmalltabs"><fl:getMessage code="FF1D5" alt="Autres guides"/></td></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td>
							<span class="criteriaLabel">
							<fl:getMessage code="F6138" alt="Date de dbut"/>
							</span>
							<input name="Og_DateDeb" class="input date chpsTextObligatoire" type="text"  onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="10" size="10" maxlength="10">
							<a href="javascript:openCalendar(document.autresgds.Og_DateDeb)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
							<span class="criteriaLabel">
							<fl:getMessage code="F6132" alt="Date de fin"/>
							</span>
							<input name="Og_DateFin" class="input date chpsTextObligatoire" type="text"  onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="11" size="10" maxlength="10">
							<a href="javascript:openCalendar(document.autresgds.Og_DateFin)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
						</td>
						<td class="smallFieldPart"><a href="javascript:addOtherGds()">
							<img src="<fl:webapp/>/icons/ico/save_all_long.gif" id="bt_add" title="<fl:getMessage code="A000F" alt="Ajouter"/>"></a>
						</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td colspan="3">
						<span class="criteriaLabel">
						<fl:getMessage code="FF1A2" alt="Millsime"/>
						</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Mil", "Te1");
						%>				<select name="Og_MillesimeID"  id="Og_MillesimeID" style="background-color: #FDCBCC">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
						</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
							<td colspan="3">
							<span class="criteriaLabel">
							<fl:getMessage code="F2001" alt="Libell"/>
							</span>
							<fl:input property="Og_Libelle" style="background-color: #FDCBCC"/>
							</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
					</table>
					</form>
				</fl:access>
				<fl:grid name="OTHGUIDES" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=OTHGUIDES&Og_Tiers=\" + id %>"/>
				</td>
				</tr>
				</table>
			</fl:sTab>
			
			<%-- Conformit site web --%>
			<fl:sTab id="siteweb" title="<%= Utils.getMessage(session, \"LF03A\", false, true, \"Conformit site web\") %>" onselect="refreshWebCoformity();">
				<fl:grid name="WEBCONFORM" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=WEBCONFORM&Wc_TiersID=\" + id  %>"/>
			</fl:sTab>

			<%-- Rservations --%>
			<fl:sTab id="Rservations" title="<%= Utils.getMessage(session, \"\", false, true, \"Rservations\") %>" onselect="refreshResas();">
				<fl:grid name="RESA" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=RESA&Rs_HotelID=\" + id %>"/>
			</fl:sTab>

			<%-- Textes --%>
			<fl:sTab id="Textes" title="<%= Utils.getMessage(session, \"\", false, true, \"Textes\") %>" onselect="refreshTxts();">
					<fl:access name="Textes_" operation="create">
					<form name="textes" class="fieldTable">
					<table class="container" cellpadding="0">
						<tr><td colspan="3" class="titreInterneSmalltabs"><fl:getMessage code="LF037" alt="Textes"/></td></tr>
						<tr><td  colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
							<td colspan="3">
							<span class="criteriaLabel">
							<fl:getMessage code="FF0CB" alt="Type de texte"/>
							</span>
							<%			try {
											Vector<Vector<String>> values = dico.getRefList(session, "Tx_", "Te1");
							%>				<select name="TxtTypID"  id="TxtTypID" style="background-color: #FDCBCC">
							<%				if (values != null) {
												for (Vector<String> row : values) {
													String refID = row.firstElement();
													String refDisp = row.elementAt(1);
							%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
							<%					}
											}
							%>					</select>
							<%			}
										catch (FrontlineException fle) {
										}
							%>
							<span class="criteriaLabel">
							<fl:getMessage code="F303F" alt="Langue"/>
							</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Lna", "Te1");
						%>				<select name="TxtLngID"  id="TxtLngID" style="background-color: #FDCBCC">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					
							<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
							</td>
							<td class="smallFieldPart"><a href="javascript:addTexte()">
							<img src="<fl:webapp/>/icons/ico/save_all_long.gif" id="bt_add" title="<fl:getMessage code="A000F" alt="Ajouter"/>"></a>
						    </td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr><td colspan="3" class="dataValue"><fl:getMessage code="F203D" alt="Contenu"/></td></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td>
							<textarea id="TxtContent" name="TxtContent" class="input textarea" style="width:100%; width:100%;"></textarea>
						</td>
						</tr>
					</table>
					</form>
					</fl:access>
				<fl:grid name="TEXTES" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=TEXTES&TxtTiersID=\" + id %>"/>
			</fl:sTab>
			
			<%-- Chiffres d'affaires --%>
			<fl:sTab id="TURNOVERS" title="<%= Utils.getMessage(session, \"LF091\", false, true, \"Chiffres d\'affaires\") %>" onselect="refreshTurnovers();">
				<table class="container" cellpadding="0">
					<tr><td class="dataLabel"><%= Utils.formatToWeb((String)dico.getRefDisp(session, "TrnTypCA", cacdrID), false)  %></td></tr>
					<tr><td class="dataLabel">&nbsp;</td></tr>
				</table>
				<fl:grid name="TURNOVERS1" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=TURNOVERS&TrnTiersID=\" + id + \"&TrnTypCA=\" + cacdrID %>"/>
				<table class="container" cellpadding="0">
					<tr><td class="dataLabel"><%= Utils.formatToWeb((String)dico.getRefDisp(session, "TrnTypCA", caccID), false)  %></td></tr>
					<tr><td class="dataLabel">&nbsp;</td></tr>
				</table>
				<fl:grid name="TURNOVERS2" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=TURNOVERS&TrnTiersID=\" + id + \"&TrnTypCA=\" + caccID %>"/>
				<table class="container" cellpadding="0">
					<tr><td class="dataLabel"><%= Utils.formatToWeb((String)dico.getRefDisp(session, "TrnTypCA", cafidID), false)  %></td></tr>
					<tr><td class="dataLabel">&nbsp;</td></tr>
				</table>
				<fl:grid name="TURNOVERS3" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=TURNOVERS&TrnTiersID=\" + id + \"&TrnTypCA=\" + cafidID %>"/>
				<table class="container" cellpadding="0">
					<tr><td class="dataLabel"><%= Utils.formatToWeb((String)dico.getRefDisp(session, "TrnTypCA", catotID), false)  %></td></tr>
					<tr><td class="dataLabel">&nbsp;</td></tr>
				</table>
				<fl:grid name="TURNOVERS4" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=TURNOVERS&TrnTiersID=\" + id + \"&TrnTypCA=\" + catotID %>"/>
			</fl:sTab>
			
			<%-- Enseignes --%>
			<fl:sTab id="enseignes" title="<%= Utils.getMessage(session, \"\", false, true, \"Enseignes\") %>" onselect="refreshEnseignes();">
				<fl:grid name="ENSEIGNES" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=ENSEIGNES&pEntID=\" + id %>"/>
			</fl:sTab>
									
			<%-- Fichiers --%>
			<fl:sTab id="FATTACH" title="<%= Utils.getMessage(session, \"L201C\", \"Documents joints\") %>">
				<fl:attach name="Enterprise" colID="EntAttID" edit="false" listFobs="true" />
			</fl:sTab>

			<%-- Chques Cadeaux --%>
			<fl:sTab id="GCH_EMB" title="<%= Utils.getMessage(session, \"LF095\", false, true, \"Chques Cadeaux\") %>" onselect="refreshGiftCHQ();">
				<fl:grid name="GCH_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=GCH_EMB&GchUseWithAdherent=\" + id %>"/>
			</fl:sTab>
						
			<%-- Fidlisation --%>
			<fl:sTab id="Fidelity" title="<%= Utils.getMessage(session, \"FF0AF\", \"Fidlisation\") %>" onselect="refreshFidelity();">
				<table class="container" cellpadding="0">
					<tr><td class="dataLabel"><fl:getMessage code="LF07F" alt="Chques de Fidlit"/></td></tr>
					<tr><td class="dataLabel">&nbsp;</td></tr>
				</table>
				<fl:grid name="CQF_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CQF_EMB&Cf_UtilAdherent=\" + id %>"/>
				<table class="container" cellpadding="0">
					<tr><td class="dataLabel"><fl:getMessage code="LF080" alt="Transactions de Fidlit"/></td></tr>
					<tr><td class="dataLabel">&nbsp;</td></tr>
				</table>
				<fl:grid name="TRF_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=TRF_EMB&Tf_AdherentID=\" + id %>"/>
			</fl:sTab>

		</fl:smallTabs>
		<fl:smallTabs name="tiers">
			<%-- Contacts --%>
			<fl:sTab id="contact" title="<%= Utils.getMessage(session, \"L3106\", false, true, \"Contacts\") %>" onselect="refreshPersons();refreshPerAsso();">
				<div><fl:grid  name="PER_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=PER_EMB&PerEntID=\" + Enterprise.getID() %>"/></div>
				<div><br/></div>
				<div><fl:grid  name="PER_ASSO" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=PER_ASSO&pEntID=\" + Enterprise.getID() %>"/></div>
			</fl:sTab>
			
			<%-- Infos Socit --%>
			<fl:sTab id="infosoc" title="<%= Utils.getMessage(session, \"LF005\", false, true, \"Infos socit\") %>">
			<table class="container" cellpadding="0">
			<tr>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="EntDispName_"/>
					<fl:fieldRead property="EntSiret"/>
					<fl:fieldRead property="EntSiren"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntRCS_"/>
					<fl:fieldRead property="EntCodeAPE_"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntTVAIntracom_"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntCA_"/>
					<fl:fieldRead property="EntNbEmployees_"/>
					<fl:fieldRead property="EntAtvID_"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<td class="titreInterneSmalltabs" colspan="5">
					<fl:getMessage code="LF00E" alt="Coordonnes GPS"/>
					</td>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntGPSX_"/>
					<fl:fieldRead property="EntGPSY_"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<td class="titreInterneSmalltabs" colspan="5">
					<fl:getMessage code="LF12D" alt="Coordonnes Bancaires"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					</td>
					<fl:fieldRead property="EntBanque_"/>
					<fl:fieldRead property="EntIBAN_"/>
					<fl:fieldRead property="EntBIC_"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
				<fl:fieldRead property="EntLimitedResto_" valueCodeIfTrue="L2005" valueCodeIfFalse="L2006"/>
				<fl:fieldRead property="EntMajGA_" valueCodeIfTrue="L2005" valueCodeIfFalse="L2006"/>
				</table>
			</td>
			</tr>
			</table>
			</fl:sTab>
		
		<%-- Correspondances --%>
		<fl:sTab id="Correspondances" title="<%= Utils.getMessage(session, \"LF031\", \"Correspondances\") %>" onselect="refreshCorresps();">
			<fl:grid  name="CORRESLIST" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CORRESLIST&IntTiersConc_=\" + Enterprise.getID()%>" />
		</fl:sTab>

		<%-- Todos --%>
		<fl:sTab id="Todos" title="<%= Utils.getMessage(session, \"LF011\", \"Todos\") %>" onselect="refreshInts();">
			<fl:grid  name="INTERALIST" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=INTERALIST&IntTiersConc_=\" + Enterprise.getID()%>" />
		</fl:sTab>
		
		<%-- Prestations --%>
		<fl:sTab id="prestas2" title="<%= Utils.getMessage(session, \"LF192\", false, true, \"Autres Prestations\") %>" onselect="refreshPrestats2();refreshEquipement();">
			<table class="container" cellpadding="0">
				<tr>
					<td class="column2">
						<fl:access name="Equipement_" operation="create">
					<form name="equipement" class="fieldTable">
					<table class="container" cellpadding="0">
						<tr><td colspan="2" class="titreInterneSmalltabs"><fl:getMessage code="FF03E" alt="Equipement"/></td></tr>
						<tr><td colspan="2" class="dataLabel">&nbsp;</td></tr>
						<tr>
							<td>
								<span class="criteriaLabel">
								<fl:getMessage code="F2001" alt="Libell"/>
								</span>
								<%			try {
												Vector<Vector<String>> values = dico.getRefList(session, "Qp_", "Te1");
								%>				<select name="Eq_NameID"  id="Eq_NameID" style="background-color: #FDCBCC">
													<option value=""></option>
								<%				if (values != null) {
													for (Vector<String> row : values) {
														String refID = row.firstElement();
														String refDisp = row.elementAt(1);
								%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
								<%					}
												}
								%>					</select>
								<%			}
											catch (FrontlineException fle) {
											}
								%>
								<span class="criteriaLabel">
							</td>
							<td class="smallFieldPart"><a href="javascript:addEquipment()">
								<img src="<fl:webapp/>/icons/ico/save_all_long.gif" id="bt_addEq" title="<fl:getMessage code="A000F" alt="Ajouter"/>"></a>
							</td>
						</tr>
						<tr><td colspan="2" class="dataLabel">&nbsp;</td></tr>
						<tr>
							<td colspan="2">
								<span class="criteriaLabel">
									<fl:getMessage code="F2024" alt="Notes"/>
								</span>
								<fl:input property="Eq_Comment" width="auto"/>	
							</td>
						</tr>
						<tr><td  colspan="2" class="dataLabel">&nbsp;</td></tr>
					</table>
					</form>
					</fl:access>
					<fl:grid  name="EQP_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=EQP_EMB&Eq_TiersID=\" + id %>"/>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<fl:access name="Envies_" operation="create">
					<form name="envies" class="fieldTable">
					<table class="container" cellpadding="0">
						<tr><td colspan="3" class="titreInterneSmalltabs"><fl:getMessage code="FF15E" alt="Envies"/></td></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
							<td>
								<span class="criteriaLabel">
								<fl:getMessage code="F2029" alt="Catgorie"/>
								</span>
								<%			try {
												Vector<Vector<String>> values = dico.getRefList(session, "E1_", "Te1");
								%>				<select name="EnvcategoryID"  id="EnvcategoryID" style="background-color: #FDCBCC" onchange="loadSubCategory(this.value);">
													<option value=""></option>
								<%				if (values != null) {
													for (Vector<String> row : values) {
														String refID = row.firstElement();
														String refDisp = row.elementAt(1);
								%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
								<%					}
												}
								%>					</select>
								<%			}
											catch (FrontlineException fle) {
											}
								%>
								<span class="criteriaLabel">
							</td>
							<td>
								<span class="criteriaLabel">
								<fl:getMessage code="F70AB" alt="Sous catgorie"/>
								</span>
								<%			try {
												Vector<Vector<String>> values = dico.getRefList(session, "E2_", "Te1");
								%>				<select name="EnvSubCategoryID"  id="EnvSubCategoryID">
													<option value=""></option>
								<%				if (values != null) {
													for (Vector<String> row : values) {
														String refID = row.firstElement();
														String refDisp = row.elementAt(1);
								%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
								<%					}
												}
								%>					</select>
								<%			}catch (FrontlineException fle) {
											}
								%>
								<span class="criteriaLabel">
							</td>
							<td class="smallFieldPart"><a href="javascript:addEnvies()">
								<img src="<fl:webapp/>/icons/ico/save_all_long.gif" id="bt_addEnv" title="<fl:getMessage code="A000F" alt="Ajouter"/>"></a>
							</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
							<td colspan="3">
								<span class="criteriaLabel">
									<fl:getMessage code="F2024" alt="Notes"/>
								</span>
								<fl:input property="EnvComments" width="auto"/>	
							</td>
						</tr>
						<tr><td  colspan="2" class="dataLabel">&nbsp;</td></tr>
					</table>
					</form>
					</fl:access>
					<fl:grid  name="ENV_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=ENV_EMB&EnvTiersID=\" + id %>"/>
					</td>
					
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="prestas" title="<%= Utils.getMessage(session, \"LF006\", false, true, \"Prestations\") %>" onselect="refreshPrestats();">
		<table class="container" cellpadding="0">
				<tr>
				<td class="column2">
					<%--
					<table class="container" cellpadding="0">
						<tr><td class="dataLabel"><fl:getMessage code="LF09D" alt="Chambres"/></td></tr>
						<tr><td class="dataLabel">&nbsp;</td></tr>
					</table>
					<fl:grid  name="ROO_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=ROO_EMB&RooTiers=\" + id %>"/>
					--%>
					<fl:access name="Fermetures_" operation="create">
					<form name="fermetures" class="fieldTable">
					<table class="container" cellpadding="0">
						<tr><td colspan="3" class="titreInterneSmalltabs"><fl:getMessage code="LF099" alt="Fermetures"/></td></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td colspan="3">
						<span class="criteriaLabel">
						<fl:getMessage code="FF1A2" alt="Millsime"/>
						</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Mil", "Te1");
						%>				<select name="FerMilID"  id="FerMilID" style="background-color: #FDCBCC">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
						<span class="criteriaLabel">
						<fl:getMessage code="F2029" alt="Catgorie"/>
						</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Ctg", "Te1");
						%>				<select name="FerCategorie"  id="FerCategorie" style="background-color: #FDCBCC">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
						</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr><td colspan="3" class="dataValue"><fl:getMessage code="LF197" alt="Fermeture Hebdomadaire"/></td></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td>
							<textarea id="FerHebdoText" name="FerHebdoText" class="input textarea" style="width:100%; width:100%;"></textarea>
						</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr><td colspan="3" class="dataValue"><fl:getMessage code="LF196" alt="Fermeture Annuelle"/></td></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td >
							<span class="criteriaLabel">
							<fl:getMessage code="L3128" alt="Du"/>
							</span>
							<input id="FerPlageBgDt" name="FerPlageBgDt" value="" class="input text chpsTextObligatoire" style="text-align: right; width: 10%" type="text">
							<span class="criteriaLabel">
							<fl:getMessage code="L63B4" alt="Au"/>
							</span>
							<input id="FerPlageEndDt" name="FerPlageEndDt" value="" class="input text chpsTextObligatoire" style="text-align: right; width: 10%" type="text">
						</td>
						<td class="smallFieldPart"><a href="javascript:addFermeture()">
							<img src="<fl:webapp/>/icons/ico/save_all_long.gif" id="bt_add" title="<fl:getMessage code="A000F" alt="Ajouter"/>"></a>
						</td>
						</tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
					</table>
					</form>
					</fl:access>
					<fl:grid  name="FER_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=FER_EMB&FerTiersID=\" + id %>"/>
					<table class="container" cellpadding="0">
						<tr><td class="dataLabel">&nbsp;</td></tr>
						<tr><td class="ligne_separation_couleur"/></tr>		
						<tr><td class="dataLabel">&nbsp;</td></tr>
						<tr><td class="titreInterneSmalltabs"><fl:getMessage code="LF0A9" alt="Divers"/></td></tr>
						<tr><td class="dataLabel">&nbsp;</td></tr>
					</table>
					<table class="container" cellpadding="0">
						<fl:fieldRead property="EntSpokLngID_"/> 	 
						<fl:fieldRead property="EntBankCardID_"/>
						<fl:fieldRead property="EntThema_"/>
					</table>	
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column2">
				<fl:access name="Room_" operation="create">
					<form name="chambres" class="fieldTable">
					<table class="container" cellpadding="0">
						<tr><td colspan="3" class="titreInterneSmalltabs"><fl:getMessage code="LF09D" alt="Chambres"/></td></tr>
						<tr><td colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td >
							<span class="criteriaLabel">
							<fl:getMessage code="FF160" alt="Nombre couchage"/>
							</span>
							<input id="RooCouchageNb" name="RooCouchageNb" value="" class="input number" style="text-align: right; width: auto" onblur="ctrlNumField(this, 'integer', '<fl:getMessage code="M302E" alt="Format incorrect. Veuillez corriger." js="true"/>');" type="text">
							<span class="criteriaLabel">
							<fl:getMessage code="F6110" alt="Nombre"/>
							</span>
							<input id="RooNumber" name="RooNumber" value="" class="input number" style="text-align: right; width: auto" onblur="ctrlNumField(this, 'integer', '<fl:getMessage code="M302E" alt="Format incorrect. Veuillez corriger." js="true"/>');" type="text">
						</td>
						<td class="smallFieldPart"><a href="javascript:addChambre()">
							<img src="<fl:webapp/>/icons/ico/save_all_long.gif" id="bt_add" title="<fl:getMessage code="A000F" alt="Ajouter"/>"></a>
						</td>
						</tr>
						<tr><td  colspan="3" class="dataLabel">&nbsp;</td></tr>
						<tr>
							<td colspan="3">
							<span class="criteriaLabel">
							<fl:getMessage code="FF1A2" alt="Millsime"/>
							</span>
							<%			try {
											Vector<Vector<String>> values = dico.getRefList(session, "Mil", "Te1");
							%>				<select name="RooMillesimeID"  id="RooMillesimeID" style="background-color: #FDCBCC">
							<%				if (values != null) {
												for (Vector<String> row : values) {
													String refID = row.firstElement();
													String refDisp = row.elementAt(1);
							%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
							<%					}
											}
							%>					</select>
							<%			}
										catch (FrontlineException fle) {
										}
							%>
							<span class="criteriaLabel">
							<fl:getMessage code="FF139" alt="Type de chambre"/>
							</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Tch", "Te1");
						%>				<select name="RooTypeChambre"  id="RooTypeChambre" style="background-color: #FDCBCC">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					
							<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
							</td>
						</tr>
						<tr><td  colspan="3" class="dataLabel">&nbsp;</td></tr>
					</table>
					</form>
					</fl:access>
					<fl:grid  name="ROO_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=ROO_EMB&RooTiers=\" + id %>"/>
					
					<table class="container" cellpadding="0">
						<tr><td class="dataLabel">&nbsp;</td></tr>
						<tr><td class="ligne_separation_couleur"/></tr>
						<tr><td class="dataLabel">&nbsp;</td></tr>
						<tr><td class="titreInterneSmalltabs"><fl:getMessage code="LF0A8" alt="Restaurants"/></td></tr>
						<tr><td class="dataLabel">&nbsp;</td></tr>
					</table>
					<fl:grid  name="RESTOS" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=RESTOS&EntRatachHotelID_=\" + id %>"/>
					<fl:access name="Price_" operation="create">
					<form name="prix" class="fieldTable">
					<table class="container" cellpadding="0">
						<tr><td class="dataLabel">&nbsp;</td></tr>
						<tr><td colspan="4" class="ligne_separation_couleur"/></tr>
						<tr><td colspan="4" class="dataLabel">&nbsp;</td></tr>
						<tr><td colspan="4" class="titreInterneSmalltabs"><fl:getMessage code="F60B8" alt="Prix"/></td></tr>
						<tr><td colspan="4" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td colspan="3">
						<span class="criteriaLabel">
						<fl:getMessage code="FF1A2" alt="Millsime"/>
						</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Mil", "Te1");
						%>				<select name="PrxMillesimeID"  id="PrxMillesimeID" style="background-color: #FDCBCC">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
						<%-- 
						<span class="criteriaLabel">
						
						<fl:getMessage code="F60D3" alt="Type de prix"/>
						</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Pxt", "Te1");
						%>				<select name="PrxTypeID"  id="PrxTypeID" style="background-color: #FDCBCC" onchange="loadTypePrestation(this.value);">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
						--%>
						<span class="criteriaLabel">
						<fl:getMessage code="FF1DE" alt="Type de prestation"/>
						</span>
						<%			try {
										Vector<Vector<String>> values = dico.getRefList(session, "Pes", "Te1");
						%>				<select name="PrxPrestationID"  id="PrxPrestationID" style="background-color: #FDCBCC">
						<%				if (values != null) {
											for (Vector<String> row : values) {
												String refID = row.firstElement();
												String refDisp = row.elementAt(1);
						%>					<option value="<%= Utils.formatToWeb(refID, true) %>"><%= Utils.formatToWeb(refDisp, false) %></option>
						<%					}
										}
						%>					</select>
						<%			}
									catch (FrontlineException fle) {
									}
						%>
						</td>
						<td class="smallFieldPart"><a href="javascript:addPrix()">
							<img src="<fl:webapp/>/icons/ico/save_all_long.gif" id="bt_add" title="<fl:getMessage code="A000F" alt="Ajouter"/>"></a>
						</td>
						</tr>
						<tr><td colspan="4" class="dataLabel">&nbsp;</td></tr>
						<tr>
						<td colspan="3">
							<span class="criteriaLabel">
							<fl:getMessage code="FF1B7" alt="Prix min."/>
							</span>
							<input id="PrxMin" name="PrxMin" value="" class="input number chpsTextObligatoire" style="text-align: right ;width: 10%" onblur="ctrlNumField(this, 'float', '<fl:getMessage code="M302E" alt="Format incorrect. Veuillez corriger." js="true"/>');" type="text">
							<span class="criteriaLabel">
							<fl:getMessage code="FF1B8" alt="Prix max."/>
							</span>
							<input id="PrxMax" name="PrxMax" value="" class="input number" style="text-align: right;  width: 10%" onblur="ctrlNumField(this, 'float', '<fl:getMessage code="M302E" alt="Format incorrect. Veuillez corriger." js="true"/>');" type="text">
						</td>
						</tr>
						<tr><td class="dataLabel">&nbsp;</td></tr>
						<tr><td  colspan="4" class="dataLabel">&nbsp;</td></tr>
					</table>
					</form>
					</fl:access>
					<fl:grid  name="PRX_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=PRX_EMB&PrxTiersID=\" + id %>"/>
				</td>
				</tr>
		</table>

		</fl:sTab>

		<%-- Photos --%>
		<fl:sTab id="photos" title="<%= Utils.getMessage(session, \"LF008\", false, true, \"Photos\") %>"  onselect="refreshPhotos();">
			<fl:grid name="PHOTO_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=PHOTO_EMB&Po_Tiers=\" + id %>"/>
		</fl:sTab>
		
		<%-- Affiliation --%>
		<fl:sTab id="Missions" title="<%= Utils.getMessage(session, \"LF07E\", \"Affiliation\") %>" onselect="refreshMissions();">
			<fl:grid name="AUDIT" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=AUDIT&Ds_HotelID=\" + id  %>"/>
			<fl:grid name="CLAS_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CLAS_EMB&Cl_Tiers=\" + id  %>"/>
			<div><br/></div>
		</fl:sTab>

		<%-- Contrats --%>
		<fl:sTab id="Contrats" title="<%= Utils.getMessage(session, \"\", false, true, \"Contrats\") %>"  onselect="refreshCTR();">
			<fl:grid name="CTR_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CTR_EMB&EntID=\" + id  %>"/>
		</fl:sTab>

		<%-- Instances --%>
		<fl:sTab id="INSTANCE" title="<%= Utils.getMessage(session, \"LF085\", \"Instances\") %>" onselect="refreshInstances();">
			<fl:grid name="INSTANCE" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=INSTANCE&EvtTiers_=\" + id  %>"/>
		</fl:sTab>

		<%-- Solicitation --%>
		<fl:sTab id="SOLS" title="<%= Utils.getMessage(session, \"L652F\", false, true, \"Sollicitations\") %>" onselect="refreshSols();">
			<fl:grid name="SOL_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=SOL_EMB&SolTiersConcerne_=\" + id %>"/>
		</fl:sTab>

	</fl:smallTabs>
	<% } else if(isAssociation){%>
		<fl:smallTabs name="EntRead" >	
			<%-- Infos Socit --%>
			<fl:sTab id="infosoc" title="<%= Utils.getMessage(session, \"LF005\", false, true, \"Infos socit\") %>">
			<table class="container" cellpadding="0">
			<tr>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="EntDispName_"/>
					<fl:fieldRead property="EntSiret"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="EntSiren"/>
					<fl:fieldRead property="EntRCS_"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="EntCodeAPE_"/>
					<fl:fieldRead property="EntTVAIntracom_"/>
				</table>
			</td>
			</tr>
			</table>
			</fl:sTab>
			<%-- Contacts --%>
			<fl:sTab id="contact" title="<%= Utils.getMessage(session, \"L3106\", false, true, \"Contacts\") %>" onselect="refreshPersons();">
				<div><fl:grid  name="PER_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=PER_EMB&PerEntID=\" + Enterprise.getID() %>"/></div>
			</fl:sTab>
			<%-- Cotisations --%>
			<fl:sTab id="Cotisation" title="<%= Utils.getMessage(session, \"LF09F\", false, true, \"Cotisation\") %>" onselect="refreshCmds();">
				<fl:grid name="CMD_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CMD_EMB&OppEntID=\" + id + \"&OppStoID=\" + cmdStsRefID %>"/>
			</fl:sTab>
			<%-- Correspondances --%>
			<fl:sTab id="Correspondances" title="<%= Utils.getMessage(session, \"LF031\", \"Correspondances\") %>" onselect="refreshCorresps();">
				<fl:grid  name="CORRESLIST" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CORRESLIST&IntTiersConc_=\" + Enterprise.getID()%>" />
			</fl:sTab>
			<%-- Todos --%>
			<fl:sTab id="Todos" title="<%= Utils.getMessage(session, \"LF011\", \"Todos\") %>" onselect="refreshInts();">
				<fl:grid  name="INTERALIST" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=INTERALIST&IntTiersConc_=\" + Enterprise.getID()%>" />
			</fl:sTab>
			<%-- Fichiers --%>
			<fl:sTab id="FATTACH" title="<%= Utils.getMessage(session, \"L201C\", \"Documents joints\") %>">
			<fl:attach name="Enterprise" colID="EntAttID" edit="false" listFobs="true" />
			</fl:sTab>
			<%-- Instances --%>
			<fl:sTab id="EVTASSO" title="<%= Utils.getMessage(session, \"LF085\", \"Instances\") %>" onselect="refreshInstancesAsso();">
				<fl:grid name="EVTASSO" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=EVTASSO&EvtTiers_=\" + id  %>"/>
			</fl:sTab>
		</fl:smallTabs>
	<% } else if (isPartenaire) {%>
		<fl:smallTabs name="EntRead" >	
			<%-- Contacts --%>
			<fl:sTab id="contact" title="<%= Utils.getMessage(session, \"L3106\", false, true, \"Contacts\") %>" onselect="refreshPersonsPart()">
				<div><fl:grid  name="PER_EMB_PT" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=PER_EMB_PT&PerEntID=\" + Enterprise.getID() %>"/></div>
			</fl:sTab>
			<%-- Infos Socit --%>
			<fl:sTab id="infosoc" title="<%= Utils.getMessage(session, \"LF005\", false, true, \"Infos socit\") %>">
			<table class="container" cellpadding="0">
			<tr>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="EntCorpName"/>
					<fl:fieldRead property="EntSiret"/>
					<fl:fieldRead property="EntSiren"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntRCS_"/>
					<fl:fieldRead property="EntCodeAPE_"/>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntTVAIntracom_"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<td class="titreInterneSmalltabs" colspan="5">
					<fl:getMessage code="LF00E" alt="Coordonnes GPS"/>
					</td>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="EntGPSX_"/>
					<fl:fieldRead property="EntGPSY_"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<td class="titreInterneSmalltabs" colspan="5">
					<fl:getMessage code="LF12D" alt="Coordonnes Bancaires"/>
					</td>
					<fl:fieldRead property="EntBanque_"/>
					<fl:fieldRead property="EntIBAN_"/>
					<fl:fieldRead property="EntBIC_"/>
				</table>
			</td>
			</tr>
			</table>
			</fl:sTab>
			<%-- Infos Partenaire 
			<fl:sTab id="Partners" title="<%= Utils.getMessage(session, \"LF12E\", \"Infos Partenaire\") %>">
			</fl:sTab>
			--%>
			<%-- Correspondances --%>
			<fl:sTab id="Correspondances" title="<%= Utils.getMessage(session, \"LF031\", \"Correspondances\") %>" onselect="refreshCorresps();">
				<fl:grid  name="CORRESLIST" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CORRESLIST&IntTiersConc_=\" + Enterprise.getID()%>" />
			</fl:sTab>
			<%-- Todos --%>
			<fl:sTab id="Todos" title="<%= Utils.getMessage(session, \"LF011\", \"Todos\") %>" onselect="refreshInts();">
				<fl:grid  name="INTERALIST" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=INTERALIST&IntTiersConc_=\" + Enterprise.getID()%>" />
			</fl:sTab>
			<%-- Contrats --%>
			<fl:sTab id="Contrats" title="<%= Utils.getMessage(session, \"\", false, true, \"Contrats\") %>"  onselect="refreshCTR();">
				<fl:grid name="CTR_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CTR_EMB&EntID=\" + id  %>"/>
			</fl:sTab>
			<%-- Fichiers --%>
			<fl:sTab id="FATTACH" title="<%= Utils.getMessage(session, \"L201C\", \"Documents joints\") %>">
			<fl:attach name="Enterprise" colID="EntAttID" edit="false" listFobs="true" />
			</fl:sTab>
		</fl:smallTabs>
	<%} %>
</fl:bigTabs>

