<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" %><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="com.edeal.frontline.FlContext" %><%@ page import="java.text.DecimalFormat" %><%@ page import="com.edeal.frontline.DataDictionary" %><%@ page import="com.edeal.frontline.Utils" %><%@ page import="com.edeal.frontline.FlLocale" %><%@ page import="com.edeal.frontline.FieldNotInitializedException" %><%@ page import="com.edeal.frontline.controller.actions.SelectAction" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.ExpenseBean" id="Expense" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	String id;
	try {
		id = Expense.getID();
	} catch (FieldNotInitializedException e) {
		id = "";
	}
	
	try {
		Expense.getExpProof();
	}catch (FieldNotInitializedException ex){
		Expense.setExpProof(1);
	}
	String yes = Utils.getMessage(session, "L2005", "Oui");	
	String no = Utils.getMessage(session, "L2006", "Non");

	String expExfID = flRequest.getParameter("expExfID");

	String expDate = (String)flRequest.getAttribute("expDate");
	String index = flRequest.getParameter("index");
	String expRecoverableDisplay = (String)flRequest.getAttribute("expRecoverableDisplay");
	Float expVATRate = (Float)flRequest.getAttribute("expVATRate");

	DecimalFormat df = FlLocale.getInstance(session).getDecimalFormat("#,##0.00");
%>
<html>
<head>
	<title><fl:getMessage code="L6135" alt="Note de frais"/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	<script language="javascript">
		var extID = new Array(<%= flRequest.getAttribute("extIDImplode") %>);
		var vatValue = new Array(<%= flRequest.getAttribute("vatValueImplode") %>);
		var extRecoverable = new Array(<%= flRequest.getAttribute("extRecoverableImplode") %>);

		function changeType() {			
			mf = document.forms[0];
			for (i = 0; i <  extID.length; i++) {
				if (mf.elements["ExpExtID"].value == extID[i]) {
					document.getElementById('ExpVATRate_value').innerHTML = checkFloat(vatValue[i]);
					mf.ExpVATRate.value= checkFloat(vatValue[i]);
					mf.ExpRecoverable.value = extRecoverable[i];
					
					if (mf.ExpRecoverable.value == 'true') {
						document.getElementById('ExpRecoverableDisplay_value').innerHTML = '<%= yes %>';
					} else {
						document.getElementById('ExpRecoverableDisplay_value').innerHTML = '<%= no %>';
					}
				}
			}
		}
		
		function doSubmit() {
			var f = document.forms[0];
			f.$$returnedHtmlHead.value = '<scr' + 'ipt language=\"javascript\">window.top.opener.expenseReturn(<%= index %>); window.top.close();</scr' + 'ipt>';
			f.$$returnedHtmlBody.value = 'Closing...';
			f.submit();
		}
		
		function doSubmitAndOne() {
			var f = document.forms[0];
			var url = '<fl:webapp/>/save_object_ajax.fl?type=Expense&$$presentFields=';
			var fields = '';
			var params = '';
			if (f.ExpExfID.value != '') { fields += 'ExpExfID'; params += '&ExpExfID=' + f.ExpExfID.value; }
			if (f.ExpDate.value != '') {  fields += ';ExpDate'; params += '&ExpDate=' + f.ExpDate.value; }
			if (f.ExpRecoverable.value != '') { fields += ';ExpRecoverable'; params += '&ExpRecoverable=' + f.ExpRecoverable.value; }
			if (f.ExpExtID.value != '') { fields += ';ExpExtID'; params += '&ExpExtID=' + f.ExpExtID.value; }
			if (f.ExpProof.value != '') { fields += ';ExpProof'; params += '&ExpProof=' + f.ExpProof.value; }
			if (f.ExpVATRate.value != '') { fields += ';ExpVATRate'; params += '&ExpVATRate=' + f.ExpVATRate.value; }
			if (f.ExpPayID.value != '') { fields += ';ExpPayID'; params += '&ExpPayID=' + f.ExpPayID.value; }
			if (f.ExpNotes.value != '') {fields += ';ExpRecoverable'; params += '&ExpNotes=' + f.ExpNotes.value;  }
			if (f.ExpActID.value != '') { fields += ';ExpActID'; params += '&ExpActID=' + f.ExpActID.value; }
			if (f.ExpUCITAmount.value != '') { fields += ';ExpUCITAmount'; params += '&ExpUCITAmount=' + f.ExpUCITAmount.value; }
			url += fields+params;
			doAjax(url, callback_save);
		}

		function callback_save(arrIndex) {
			if (eDealXmlhttpArr[arrIndex].readyState == 4) {
				var f = document.forms[0];
				f.ExpUCITAmount.value = '';
				f.ExpRecoverable.value = '';
				f.ExpProof.value = '1';
				f.ExpNotes.value = '';
				f.ExpActID.value = '';
				f.id.value = '';
				f.lblExpActID.value = '';
				window.top.opener.expenseReturn(<%= index %>);
			}
		}
	</script>
</head>
<body>
<div class="main_body" style="border:none;height:100%">
<fl:bigTabs ignoreList="true" standalone="true" objectTitle="<%= Utils.getMessage(session, \"A306A\", false, true, \"Ligne de frais\") %>">
<form method="post" action="<fl:webapp/>/save_expense.fl">
	<input type="hidden" name="typ" value="Expense" />
	<input type="hidden" name="$$returnedHtmlHead" value="" />
	<input type="hidden" name="$$returnedHtmlBody" value="" />
	<input type="hidden" name="$$presentFields" value="" />
	<input type="hidden" name="id" value="<%= id %>" />
 	<input type="hidden" name="ExpExfID" value="<%= expExfID %>" />
 	<input type="hidden" name="ExpDate" value="<%= expDate %>" />
 	<input type="hidden" name="ExpVATRate" value="<%= df.format(expVATRate.floatValue()) %>" />
 	<input type="hidden" name="ExpRecoverable" value="<%= Expense.isExpRecoverable() ? "true" : "false" %>">
		<table class="container" cellpadding="0">
			<tr>
				<td class="column3">
					<table class="data_column" cellpadding="0">
						<tr class="fieldline">
							<td><fl:label field="ExfBegDate" code="F2019"/></td>
							<td class="dataValue"><div><%= expDate %></div></td>
						</tr>
						<fl:fieldEdit property="ExpExtID" onchange="changeType();"/>
						<fl:fieldEdit property="ExpProof" labelCode="F604B"/>
					</table>
			</td>
			<td><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td class="dataLabel"><div><label for="ExpVATRate" title="<fl:getMessage code="F6054" alt="TVA"/>"><fl:getMessage code="F6054" alt="TVA"/></label></div></td>
						<td class="dataValue"><div id="ExpVATRate_value"><%= df.format(expVATRate.floatValue()) %></div></td>
					</tr>
					<fl:fieldEdit width="90%" property="ExpUCITAmount" labelCode="F6042" postText="&nbsp;&euro;" />
					<fl:fieldEdit property="ExpActID"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td class="dataLabel"><div><label for="ExpRecoverableDisplay" title="<fl:getMessage code="F6055" alt="Rcuprable"/>"><fl:getMessage code="F6055" alt="Rcuprable"/></label></div></td>
						<td class="dataValue"><div id="ExpRecoverableDisplay_value"><%= expRecoverableDisplay %></div></td>
					</tr>
					<fl:fieldEdit property="ExpPayID" labelCode="L613F"/>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titrePartie"><fl:getMessage code="F2024" alt="Notes"/></td>
		</tr>
		<tr>
			<td class="dataValue noPaddingLeft"><fl:input property="ExpNotes" nodiv="false"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
</form>


	<div style="width: 100%;text-align: center;">
		<a href="javascript:doSubmit();" title="<fl:getMessage code="A0003" alt="Enregistrer"/>"><img border="0" src="<fl:webapp/>/icons/ico/valid_green_long.gif"/ width="74px" height="17px"></a>&nbsp;&nbsp;&nbsp;
		<a href="javascript:window.top.opener.expenseReturn(<%= index %>);window.close();" title="<fl:getMessage code="A3035" alt="Fermer"/>"><img border="0" src="<fl:webapp/>/icons/ico/fermer_red_long.gif" width="74px" height="17px"/></a>
		<% if ("".equals(id)) { %>
			&nbsp;&nbsp;&nbsp;<a href="javascript:doSubmitAndOne();" title="<fl:getMessage code="A0003" alt="Enregistrer"/>&nbsp;+"><img border="0" src="<fl:webapp/>/icons/ico/save_all_long.gif" width="74px" height="17px"/></a>
		<% } %>
	</div>
	</fl:bigTabs>
</div>	
</body>
</html>
