<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@page session="true"%><%@ page import="com.edeal.frontline.navigation.FlRequest"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="com.edeal.frontline.AccessDeniedException" %>
<%@ page import="java.lang.reflect.Method" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<jsp:useBean class="com.edeal.frontline.ExpenseFileBean" id="ExpenseFile" scope="request"/>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	FlContext context = (new FlRequest(request)).getContext();
	DataDictionary dico = context.getDataDictionary();
	
	String redact = dico.getRefIdByCode("ExfEfsID", "REDACT");
	String valcom = dico.getRefIdByCode("ExfEfsID", "VALCOM");

	String actID = (String) session.getAttribute("actorID");
	ActorBean actor = null;
	try {
		actor = new ActorBean(actID, session);
	} catch (AccessDeniedException ade) {
	}
	
	boolean isAdmin = false;
	try {
		String customPackage = context.getContextParameter("CustomPackage");
		Class customProcessClass = Class.forName((customPackage == null ? "" : customPackage + ".") + "ActorBeanExtension");
		Class[] parameters = { FlContext.class, Object.class };
		Method isAdminMethode = customProcessClass.getMethod("isAdmin", parameters);
		Object[] arg = { context, actor };
		isAdmin = ((Boolean)isAdminMethode.invoke(customProcessClass, arg)).booleanValue();
	} catch (Exception e) {
	} 

	String exfActID = null;
	String exfEfsID = null;
	try {
		exfActID = ExpenseFile.getExfActID();
	} catch (FieldNotInitializedException fnie) {
	}

	try {
		exfEfsID = ExpenseFile.getExfEfsID();
	} catch (FieldNotInitializedException fnie) {
	}
%>
<script language="javascript">
	function doDelete() {
		if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
			window.location = '<fl:link url="/delete_expenseFile.fl?id=" /><%= ExpenseFile.getID() %>';
		}
	}
</script>
<fl:access name="ExpenseFile" operation="create">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:submit()"/>
                    <p class="actions_tabletext"><fl:getMessage code="A0003" alt="Enregistrer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<%
	if (redact.equals(exfEfsID) || valcom.equals(exfEfsID)) {
		if ((actID.equals(exfActID) && redact.equals(exfEfsID)) || isAdmin) {
%>
			<fl:access name="ExpenseFile" operation="delete">
			    <tr>
			        <td class="actions_cell_left"></td>
			        <td>
			            <div class="actions_tablecell_1">
			                <a href="javascript:doDelete()"/>
			                    <p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
			                </a>
			            </div>
			        </td>
			        <td class="actions_cell_right"></td>
				</tr>     
				<tr>
					<td class="actions_cell_left"></td>
					<td class="actions_tablecell_seperator"></td>
					<td class="actions_cell_right"></td>
				</tr>
			</fl:access>
<%
		}
	}
%>
<fl:access name="Expense" operation="create">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:addExpenseEntry();"/>
                    <p class="actions_tabletext"><fl:getMessage code="A306A" alt="Ligne de frais"/>&nbsp;+</p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<tr>
    <td class="actions_cell_left"></td>
    <td>
        <div class="actions_tablecell_1">
            <a href="javascript:doBuildRoute();"/>
                <p class="actions_tabletext"><fl:getMessage code="L615B" alt="Construire itinraire"/></p>
            </a>
        </div>
    </td>
    <td class="actions_cell_right"></td>
</tr>

