<%/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="com.edeal.frontline.*" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.ExpenseFileBean" id="ExpenseFile" scope="request"/>
<jsp:useBean class="com.edeal.frontline.ExpenseKMBean" id="ExpenseKM" scope="request"/>
<%
	String id;
	try {
	    id = ExpenseFile.getID();
	} catch (FieldNotInitializedException fnie) {
		id = null;
	}
	
	Date begDate;
	try {
		begDate = ExpenseFile.getExfBegDate();
	} catch (Exception e) {
		begDate = new Date();
	}
	
	SimpleDateFormat sdf = FlLocale.getInstance(session).getDateFormat();
	String preText = "(" + Utils.getMessage(session, "L6064", "S") + ". ";
%>
<script language="javascript">
	function editExp(id) {
		var expExfID = '<%= ExpenseFile.getID() %>';
		window.open('<fl:webapp/>/edit_expense.fl?id=' + id + '&expExfID=' + expExfID + '&expDate=' + expenseDate + '&index=' + dayIndex, 'CreateExpense', 'menubar=no, status=no, toolbar=no, scrollbars=no, resizable=yes, width=800, height=400');
	}

	function delExp(id) {
		if (window.confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>') == true) {
			var url = '<fl:webapp/>/delete_object_ajax.fl?type=Expense&id=' + id;
			doAjax(url, expenseAjaxCallback);
		}
	}

	function expenseAjaxCallback(arrIndex) {
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			hideWaiting();
			eval(eDealXmlhttpArr[arrIndex].responseText);
			setTimeout('doCallback()', 10);
		}
	}

	function doCallback() {
		selectDay(dayIndex);
	}

	function expenseReturn(index) {
		setTimeout('selectDay(' + index + ')', 10);
	}
	
	function selectDay(index) {
		dayIndex = index;
		switch (dayIndex)
		{
			case 0: _grid__Expenses0_js_.render();break;
			case 1: _grid__Expenses1_js_.render();break;
			case 2: _grid__Expenses2_js_.render();break;
			case 3: _grid__Expenses3_js_.render();break;
			case 4: _grid__Expenses4_js_.render();break;
			case 5:	_grid__Expenses5_js_.render();break;
			case 6: _grid__Expenses6_js_.render();break;
			default: _grid__Expenses0_js_.render();
		}		
	}
	
	var expenseDate = '<%= sdf.format(begDate) %>';
	var dayIndex = 0;
	function changeDay(index) {
		dayIndex = index;
		switch (dayIndex)
		{
			case 0: _grid__Expenses0_js_.render("date",expenseDate);break;
			case 1: _grid__Expenses1_js_.render("date",expenseDate);break;
			case 2: _grid__Expenses2_js_.render("date",expenseDate);break;
			case 3: _grid__Expenses3_js_.render("date",expenseDate);break;
			case 4: _grid__Expenses4_js_.render("date",expenseDate);break;
			case 5:	_grid__Expenses5_js_.render("date",expenseDate);break;
			case 6: _grid__Expenses6_js_.render("date",expenseDate);break;
			default: _grid__Expenses0_js_.render("date",expenseDate);
		}		
	}
	
	function doOnLoad(){
		_grid__Expenses0_js_.render("date","<%= sdf.format(begDate) %>")
	}
	
</script>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L645C\", false, true, \"Note de frais\") %>" ou="<%= \"/read_expenseFile.fl?id=\" + id %>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3" class="titreFiche">
					<fl:getMessage code="L64DB" alt="Note de"/>&nbsp;  <fl:getProperty name="ExpenseFile" property="ExfActID" alt="&nbsp;" bean="true"/>&nbsp;<fl:getProperty name="ExpenseFile" property="ExfNumEmployee" alt="&nbsp;" preText="(" postText=")" /> 
					<fl:getMessage code="F6145" alt="Pour la semaine du"/>&nbsp;<fl:getProperty name="ExpenseFile" property="ExfBegDate" format="date" alt=""/> 
			</td>
		</tr>
		<tr class="ligne_separation"><td colspan="3"></td></tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
			<tr>
				<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="ExfNumber"/>
					<fl:fieldRead property="ExfUCAmountTotal" labelCode="F6044" postText="&nbsp;&euro;"/>
					<fl:fieldRead property="ExkRoute" labelCode="L6136" />
					<fl:fieldRead property="ExkKM" labelCode="F611B" postText="&nbsp;km"/>
					<fl:fieldRead property="ExkUCAmount" labelCode="L3055" postText="&nbsp;&euro;"/>
					<fl:fieldRead property="ExfProof" labelCode="F604B"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="ExfKM" labelCode="F6043"/>
					<fl:fieldRead property="ExfUCAdvanced" labelCode="F6045" postText="&nbsp;&euro;"/>
					<fl:fieldRead property="ExfUCAmountPayement" labelCode="F6046" postText="&nbsp;&euro;"/>
					<fl:fieldRead property="ExfEmitDate" labelCode="F6047"/>
					<fl:fieldRead property="ExfMangerDate" labelCode="F6048"/>
					<fl:fieldRead property="ExfAccountDate" labelCode="F6049"/>
					<fl:fieldRead property="ExfPayementDate" labelCode="F604A"/>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td colspan="3"></td></tr>
	</table>	
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
	<fl:notes name="ExfNotes" title="<%= Utils.getMessage(session, \"F2024\", \"Notes\") %>" nbPix="30"><fl:getProperty name="ExpenseFile" property="ExfNotes" alt=""/></fl:notes>
	<fl:smallTabs name="ExfRead">
		<fl:sTab id="MONDAY" title="<%= Utils.getMessage(session, \"F60A0\", \"Lundi\") %>" onselect="changeDay(0);">
			<div>
			<fl:grid name="Expenses0" height="150" ajaxUrl="<%= \"/list_expenses.fl?ExfID=\" + id + \"&index=0\" %>"/>
			</div>
		</fl:sTab>
		<fl:sTab id="TUESDAY" title="<%= Utils.getMessage(session, \"F60A1\", \"Mardi\") %>" onselect="changeDay(1);">
			<div>
			<fl:grid name="Expenses1" height="150" ajaxUrl="<%= \"/list_expenses.fl?ExfID=\"+id+\"&index=1\" %>"/>
			</div>
		</fl:sTab>
		<fl:sTab id="WEDNESDAY" title="<%= Utils.getMessage(session, \"F60A2\", \"Mercredi\") %>" onselect="changeDay(2);">
			<div>
			<fl:grid name="Expenses2" height="150" ajaxUrl="<%= \"/list_expenses.fl?ExfID=\"+id+\"&index=2\" %>"/>
			</div>
		</fl:sTab>
		<fl:sTab id="THURSDAY" title="<%= Utils.getMessage(session, \"F60A3\", \"Jeudi\") %>" onselect="changeDay(3);">
			<div>
			<fl:grid name="Expenses3" height="150" ajaxUrl="<%= \"/list_expenses.fl?ExfID=\"+id+\"&index=3\" %>"/>
			</div>
		</fl:sTab>
		<fl:sTab id="FRIDAY" title="<%= Utils.getMessage(session, \"F60A4\", \"Vendredi\") %>" onselect="changeDay(4);">
			<div>
			<fl:grid name="Expenses4" height="150" ajaxUrl="<%= \"/list_expenses.fl?ExfID=\"+id+\"&index=4\" %>"/>
			</div>
		</fl:sTab>
		<fl:sTab id="SATURDAY" title="<%= Utils.getMessage(session, \"F60A5\", \"Samedi\") %>" onselect="changeDay(5);">
			<div>
			<fl:grid name="Expenses5" height="150" ajaxUrl="<%= \"/list_expenses.fl?ExfID=\"+id+\"&index=5\" %>"/>
			</div>
		</fl:sTab>
		<fl:sTab id="SUNDAY" title="<%= Utils.getMessage(session, \"F60A6\", \"Dimanche\") %>" onselect="changeDay(6);">
			<div>
			<fl:grid name="Expenses6" height="150" ajaxUrl="<%= \"/list_expenses.fl?ExfID=\"+id+\"&index=6\" %>"/>
			</div>
		</fl:sTab>
	</fl:smallTabs>	
</fl:bigTabs>
