<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@ page import="java.text.DateFormat" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.GregorianCalendar" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.InteractionBean" id="Interaction" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
//
FlLocale locale = FlLocale.getInstance(session);
//

DataDictionary dico = context.getDataDictionary();
DateFormat df = FlLocale.getInstance(session).getDateFormat();
Date now = new Date();
String today = df.format(now);
GregorianCalendar cal = FlLocale.getInstance(session).getCalendar();
cal.setTime(now);
cal.add(GregorianCalendar.DAY_OF_YEAR, 1);
Date tommorow = cal.getTime();
while(Utils.isBankHoliday(tommorow, locale) || (cal.get(GregorianCalendar.DAY_OF_WEEK) == GregorianCalendar.SATURDAY) || (cal.get(GregorianCalendar.DAY_OF_WEEK) == GregorianCalendar.SUNDAY)) {
	cal.add(GregorianCalendar.DAY_OF_YEAR, 1);
	tommorow = cal.getTime();
}
String nextDay = df.format(tommorow);
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>
		<title><fl:getMessage code="L3031" alt="Occupé / Absent"/></title>
		<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
		<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
		<style type="text/css">
		li {
			display: list-item;
			list-style-image: url("<fl:link url="/icons/ico/flecheD.gif"/>");
		}
		</style>
		<script type="text/javascript" language="javascript">
		var htmlHead = '\<scr' + 'ipt language=\"javascript\">window.opener.location=\"<fl:link url="<%= \"/read_interaction.fl?id=\" + Interaction.getID() %>" list="true"/>\"; self.close();\<\/scr' + 'ipt\>';
		var htmlBody = 'Closing...';
		function doCallBack(idx) {
			var f = document.forms[0];
			if (idx == 1) {
				f.IntDate.value = '<%= Utils.formatToJavascript(today) %>';
				f.IntDetails.value = "<%= Utils.getMessage(session, "L30B3", true, "Appelé le") %> <%= Utils.formatToWebDate(session, new Date(), false) %> <%= Utils.getMessage(session, "L2059", false, true, "à") %> <%= Utils.formatToWebTime(session, new Date(), true) %>, <%=Utils.getMessage(session, "L30B4", "le rappeler") %>\n" + f.IntDetails.value;
				f.$$returnedHtmlHead.value = htmlHead;
				f.$$returnedHtmlBody.value = htmlBody;
				presentFieldsValue();
				f.submit();
			} else if (idx == 2) {
				f.IntDate.value = '<%= Utils.formatToJavascript(today) %>';
				f.IntDetails.value = "<%= Utils.getMessage(session, "L30B3", true, "Appelé le") %> <%= Utils.formatToWebDate(session, new Date(), false) %> <%= Utils.getMessage(session, "L2059", false, true, "à") %> <%= Utils.formatToWebTime(session, new Date(), true) %>, <%= Utils.getMessage(session, "L3033", "il rappelle") %>\n" + f.IntDetails.value;
				f.$$returnedHtmlHead.value = htmlHead;
				f.$$returnedHtmlBody.value = htmlBody;
				presentFieldsValue();
				f.submit();
			} else if (idx == 3) {
				f.IntDate.value = '<%= Utils.formatToJavascript(nextDay) %>';
				f.IntDetails.value = "<%= Utils.getMessage(session, "L30B3", true, "Appelé le") %> <%= Utils.formatToWebDate(session, new Date(), false) %> <%= Utils.getMessage(session, "L2059", false, true, "à")%> <%= Utils.formatToWebTime(session, new Date(), true) %>, <%= Utils.getMessage(session, "L30B6", "le rappeler le") %> <%= Utils.formatToJavascript(nextDay) %>" + "\n" + f.IntDetails.value;
				f.$$returnedHtmlHead.value = htmlHead;
				f.$$returnedHtmlBody.value = htmlBody;
				presentFieldsValue();
				f.submit();
			}
		}
		</script>
	</head>
	<body>
		<div id="object_css" style="top: 0px; left: 0px; height: 100%;">
			<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L3031\", false, true, \"Occupé / Absent\") %>" ignoreList="true" showFooter="false">
				<table class="container">
					<tr>
						<td>
							<ul>
								<li><a href="javascript:doCallBack(1)">&nbsp;<fl:getMessage code="L3032" alt="Je rappelle"/></a></li>
								<li><a href="javascript:doCallBack(2)">&nbsp;<fl:getMessage code="L3033" alt="Il rappelle"/></a></li>
								<li><a href="javascript:doCallBack(3)">&nbsp;<fl:getMessage code="L3034" alt="Je rappelle demain"/></a></li>
							</ul>
						</td>
					</tr>
				</table>
			</fl:bigTabs>
		</div>
		<fl:form action="/save_interaction.fl" bean="Interaction">
			<input type="hidden" id="$$returnedHtmlHead" name="$$returnedHtmlHead" value="Closing..."/>
			<input type="hidden" id="$$returnedHtmlBody" name="$$returnedHtmlBody" value="Closing..."/>
			<input type="hidden" id="IntDate" name="IntDate" value="<fl:getProperty name="Interaction" property="IntDate" alt=""/>"/>
			<input type="hidden" id="IntDetails" name="IntDetails" value="<fl:getProperty name="Interaction" property="IntDetails" alt="" edit="true"/>"/>
		</fl:form>
	</body>
</html>