<%@ page language="java"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="java.util.Map" %>
<%@ page import="com.edeal.frontline.navigation.WebUtils" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="com.edeal.frontline.AccessDeniedException" %>
<%@ page import="com.edeal.frontline.InteractionBean" %>
<%@ page import="java.util.Vector" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	// List code
	String lc = flRequest.getRequestParameterOrAttribute("lc");
	if (lc == null) {
		lc = flRequest.getRequestParameterOrAttribute("code");
	}
	if (lc == null) {
		lc = "TRASHMAIL";
	}
	request.setAttribute("lc", lc);
	// search criteria
	String sc = flRequest.getRequestParameterOrAttribute("sc");
	// object uri
	String ou = flRequest.getRequestParameterOrAttribute("ou");
	// id
	String SfwID = flRequest.getRequestParameterOrAttribute("SfwID");
	String objTitle = flRequest.getRequestParameterOrAttribute("obj.title");
	String nb = flRequest.getSearchCriteria("$$nb");
	Map searchCriteria = new Hashtable();
	if (sc != null) {
		searchCriteria = WebUtils.parseQueryString(sc);
	}
	Vector vectbeginDate = (Vector) searchCriteria.get("beginDate");
	Vector vectendDate = (Vector) searchCriteria.get("endDate");
	String beginDate = null;
	String endDate = null;
	
	if (vectbeginDate != null ) beginDate = (String) vectbeginDate.firstElement();
	if (vectendDate != null ) endDate = (String) vectendDate.firstElement();
	
	request.setAttribute("selectedTab", "0");
%>

<script language="javascript">
	function doSubmit() {
		var f = document.forms[0];
		var beginDate = f.beginDate.value;
		var endDate = f.endDate.value;
	
		var queryString = 'fromLog=1';
		if (beginDate != '' && queryString.indexOf("?") <= -1) {
			queryString += '&beginDate='+ beginDate ;
		}else if (beginDate != '' && queryString.indexOf("?") > -1) {
			queryString += '&beginDate='+ beginDate ;
		}
		if (endDate != '' && queryString.indexOf("?") <= -1) {
			queryString += '&endDate='+ endDate ;
		}else if (endDate != '' && queryString.indexOf("?") > -1) {
			queryString += '&endDate='+ endDate ;
		}
		f.sc.value = queryString;
		return true;
	}
</script>
<form action="<fl:link url="/list_trash_mail.fl"/>" method="post" onsubmit="doSubmit()">

<fl:bigTabs listTitle="<%= Utils.getMessage(session, \"L647C\", false, true, \"Recherche trash mail\") %>" ou="rr" criteriaTitle="oo" objectTitle="rr" cu="opp">
	<table class="container" cellpadding="0">
		<tr>
			<td>
				<div class="criteriaTableDiv">
					<span class="criteriaLabel"><fl:getMessage code="L6367" alt="De"/>&nbsp;</span><input class="criteriaField" type="text" value="<%= (beginDate != null)? Utils.formatToWeb(beginDate,false) : "" %>" name="beginDate" size="10" onFocus="this.select()" onBlur="if (this.value != '') { ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>')}">
					&nbsp;<a href="javascript:openCalendar(document.forms[0].beginDate);" onMouseOver="window.status='<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';return true;" onMouseOut="window.status=' '; return true"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" border="0" width="15" height="15"></a>
					<span class="criteriaLabel"><fl:getMessage code="L3127" alt="au"/>&nbsp;</span><input class="criteriaField" type="text" name="endDate" value="<%= (endDate != null)? Utils.formatToWeb(endDate,false) : "" %>" size="10" onFocus="this.select()" onBlur="if (this.value != '') { ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>')}">
					<a href="javascript:openCalendar(document.forms[0].endDate);" onMouseOver="window.status='<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';return true;" onMouseOut="window.status=' '; return true"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" border="0" width="15" height="15"></a>
				</div>
			<td>
			<td class="separation"><div class="separation"></div></td>
	        <td valign="top" style="width: 15%;">
	            <table class="container" cellpadding="0">
					<tr>
						<td>
							<input type="image" src="<fl:webapp/>/icons/ico/valid_green2_long.gif" border="0"  tabindex="999" align="left">
						</td>
					</tr>
	            </table>
	        </td>
		</tr>
	</table>
</fl:bigTabs>
</form>