<%@page import="com.edeal.frontline.helper.custom.InteractionHelper"%>
<%@page import="com.edeal.frontline.Utils"%>
<%@page session="true"%><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="com.edeal.frontline.FlContext" %><%@ page import="com.edeal.frontline.DataDictionary" %><%@ page import="com.edeal.frontline.FieldNotInitializedException" %><%@ page import="com.edeal.frontline.FrontlineException" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean id="Interaction" class="com.edeal.frontline.InteractionBean" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String id = Interaction.getID();
boolean isDone = false;
try {
	isDone = "DONE".equals(dico.getRefCode("IntStiID", Interaction.getIntStiID()));
} catch (FieldNotInitializedException fnie) {
} catch (FrontlineException fe) {
}

String intAtvID = null;
try {
	intAtvID = Interaction.getIntAtvID();
} catch (FieldNotInitializedException e) {
}

String almID = (String)flRequest.getAttribute("AlmID");
boolean existsAlert = almID != null;

String inboundMailIntAtvID = null;
try {
	inboundMailIntAtvID = dico.getRefIdByCode("IntAtvID", "INEMAIL");
} catch (FrontlineException e) {
}
String outboundMailIntAtvID = null;
try {
	outboundMailIntAtvID = dico.getRefIdByCode("IntAtvID", "OUTEMAIL");
} catch (FrontlineException e) {
}

InteractionHelper interactionHelper = new InteractionHelper(Interaction);

String corrID = null;
try {
	corrID = dico.getRefIdByCode("IntType_", "COR");
} catch (FrontlineException e) {
	corrID = "";
}

String todoID = null;
try {
	todoID = dico.getRefIdByCode("IntType_", "ACT");
} catch (FrontlineException e) {
	todoID = "";
}

// Dtecter le type de l'intraction

String typeIntID = null;
try {
	typeIntID = (String)Interaction.getCustomProperty("IntType_");
} catch (FieldNotInitializedException e) {
	typeIntID = "";
}

%>
<script type="text/javascript" language="javascript">
	function createAlarm() {
		window.open('<fl:webapp/>/create_alarm_popup.fl?popup=1&initIntID=<fl:getProperty name="Interaction" property="IntID" alt=""/>', 'create_alarm', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=775,height=450');
	}

	function modifyAlarm() {
		window.open('<fl:webapp/>/edit_alarm_popup.fl?popup=1&id=<%= almID %>', 'create_alarm', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=690,height=450');
	}

	function doPrint() {
		window.open('<fl:link url="<%= \"/print_interaction.fl?id=\" + id %>"/>', 'RDVPRINT', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=700,height=600');
	}

	function isBusy() {
		window.open('<fl:link url="<%= \"/busy_interaction.fl?id=\" + id %>" list="false"/>', 'BusyWindow', 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=400,height=150,screenX=80,screenY=10');
	}

	function doRepeat() {
		window.open('<fl:link url="<%= \"/repeat_interaction.fl?id=\" + id %>"/>', 'repeat', 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=800,height=360');
	}

	function doDelete() {
		if (window.confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>') == true) {
			window.location = '<fl:link url="<%= \"/delete_interaction.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>';
		}
	}
	
	$(document).ready(function() {
		checkC3TCTI();
	});
</script>
<fl:access name="Interaction" operation="READ">
	<tr C3TItemNowLoading="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<img src="<fl:webapp/>/icons/dico-loader.gif"/> Connexion I-Reflet...
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItemNowLoading="true"  style="display:none;">
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItem="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:selectToTransfert('<%=id%>', 'interaction');">
					<p class="actions_tabletext"><fl:getMessage code="L6431" alt="Transfrer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItem="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItem="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:openCallWindow();">
					<p class="actions_tabletext"><fl:getMessage code="L831E" alt="Fentre d'appel"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr C3TItem="true" style="display:none;">
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>

<fl:access name="Interaction" operation="EDIT">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link list="true" url="<%= \"/edit_interaction.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access name="Interaction" operation="DELETE">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doDelete();">
					<p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access name="Interaction" operation="CREATE">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<% if (typeIntID.equalsIgnoreCase(corrID)) { %>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="<%= \"/create_interaction.fl\" + ( id != null ? \"?&IntType_=\" + todoID + \"&initIntOrigID=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="FF072" alt="Todo"/> +</p>
				</a>
			</div>
			<%} else if(typeIntID.equalsIgnoreCase(todoID)) {%>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="<%= \"/create_interaction.fl\" + ( id != null ? \"?&IntType_=\"+ corrID +\"&initIntOrigID=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="LF034" alt="Correspondance"/> +</p>
				</a>
			</div>
			<%} %>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
	<% if (!existsAlert) { %>
<fl:access name="Alarm" operation="CREATE">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:createAlarm()">
					<p class="actions_tabletext"><fl:getMessage code="L62E7" alt="Crer alerte"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
	<% } else { %>
<fl:access name="Alarm" operation="CREATE">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:modifyAlarm()">
					<p class="actions_tabletext"><fl:getMessage code="L62F3" alt="Modifier alerte"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
	<% } %>
	<% if (!isDone && Interaction.hasAbsentDisplay()) { %>
<fl:access name="Interaction" operation="EDIT">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:isBusy();">
					<p class="actions_tabletext"><fl:getMessage code="L3031" alt="Occup / Absent"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
	<% } %>
	<% if (Interaction.hasPrintDisplay()) { %>
<fl:access name="Interaction" operation="READ">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doPrint()">
					<p class="actions_tabletext"><fl:getMessage code="L6127" alt="Imprimer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>	
</fl:access>
	<% } %>
	
<fl:access name="Interaction" operation="CREATE">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doRepeat()">
					<p class="actions_tabletext"><fl:getMessage code="L612F" alt="Rpter"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>	
</fl:access>
<!-- 
<tr>
	<td class="actions_cell_left"></td>
	<td>
		<div class="actions_tablecell_1">
			<a href="javascript:sendInvitation()">
				<p class="actions_tabletext"><fl:getMessage code="L826A" alt="Inviter"/></p>
			</a>
		</div>
	</td>
	<td class="actions_cell_right"></td>
</tr>
 -->
	