<%--
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
--%>
<%@ page language="java"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Vector" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
%><html>
	<head>
		<link rel="stylesheet" type="text/css" href="<fl:link url="/sales/opportunity/select_destinitaire_css.jsp"/>">
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
		<script language="javascript">
		function doSubmit(f) {
			var strURL = '<fl:webapp/>/select_entper_destinitaire_list.fl?type=' + encodeURIComponent(f.type.value) + '&crit=' + encodeURIComponent(f.crit.value);

			if (f.type.value == 'Person') {
				strURL += '&entID=' + f.entID.value;
			}

			doAjax(strURL);
		}

		function validateEnterprise(id) {
			var f = document.forms[1];

			f.crit.value = '';		
			f.entID.value = id;
			
			doSubmit(f);
		}

		function selectPerson(entID, perID, entName, perName) {
			var f = opener.document.forms[0];
			
			f.OppEntID.value = entID;
			f.lblOppEntID.value = entName;
			f.OppPerID.value = perID;
			f.lblOppPerID.value = perName;
			
			window.close();
		}
		
		function selectEnterprise(entID, entName) {
			var f = opener.document.forms[0];
			
			f.OppEntID.value = entID;
			f.lblOppEntID.value = entName;
			f.OppPerID.value = '';
			f.lblOppPerID.value = '';
			
			window.close();
		}
		</script>
		<style type="text/css">
			form {
				display: inline;
			}
		</style>
	</head>
	<body onload="document.forms[0].crit.focus()">
		<div style="width: 750px">
			<table class="global" cellpadding="0">
				<tr>
					<td class="header_top_left"></td>
					<td class="header_top_middle" style="width: 343px"></td>
					<td class="header_top_right"></td>
					<td class="header_top_left"></td>
					<td class="header_top_middle" style="width: 343px"></td>
					<td class="header_top_right"></td>
				</tr>
				<tr>
					<td class="header_center_left"></td>
					<td class="header_center_middle title">
						<form action="javascript:doSubmit(window.document.forms[0])">
							<input type="hidden" name="type" value="Enterprise">
							<div style="display: inline">
								<div class="criteria">
									<fl:getMessage code="F002B" alt="Entreprise"/> : 
									<span class="criteria_field"><input id="crit" name="crit" type="text" size="20" value=""></span>
								</div>
							</div>
							<input type="image" src="<fl:link url="/icons/ico/valider.gif"/>" class="search_button">
						</form>
					</td>
					<td class="header_center_right"></td>
					<td class="header_center_left"></td>
					<td class="header_center_middle title">
						<form action="javascript:doSubmit(window.document.forms[1])">
							<div style="display: inline">
								<div class="criteria">
									<input type="hidden" name="type" value="Person">
									<input type="hidden" name="entID" value="">
									<fl:getMessage code="F2025" alt="Nom"/> : 
									<span class="criteria_field"><input id="crit" name="crit" type="text" size="20" value=""></span>
								</div>
							</div>
							<input type="image" src="<fl:link url="/icons/ico/valider.gif"/>" class="search_button">
						</form>
					</td>
					<td class="header_center_right"></td>
				</tr>
				<tr>
					<td class="header_bottom_left"></td>
					<td class="header_bottom_middle"></td>
					<td class="header_bottom_right"></td>
					<td class="header_bottom_left"></td>
					<td class="header_bottom_middle"></td>
					<td class="header_bottom_right"></td>
				</tr>
				<tr style="height: 250px">
					<td class="body_left"></td>
					<td class="body_middle"><div><fl:grid name="ent_group" width="275px" height="250px"></fl:grid></div></td>
					<td class="body_right"></td>
					<td class="body_left"></td>
					<td class="body_middle"><div><fl:grid name="per_group" width="20%" height="250px"></fl:grid></div></td>
					<td class="body_right"></td>
				</tr>
				<tr>
					<td class="body_bottom_left"></td>
					<td class="body_bottom_middle"><img src="<fl:link url="/icons/popup/pop14.gif"/>" width="9" height="18"></td>
					<td class="body_bottom_right"></td>
					<td class="body_bottom_left"></td>
					<td class="body_bottom_middle"><img src="<fl:link url="/icons/popup/pop14.gif"/>" width="9" height="18"></td>
					<td class="body_bottom_right"></td>
				</tr>
			</table>
			<div class="validation"><a href="javascript:window.top.close();"><img src="<fl:link url="/icons/ico/close.gif"/>" class="cancel_button"></a></div>
		</div>
		<div id="waiting" style="display:none"><fl:getMessage code="L639B" alt="Chargement ..."/></div>
	</body>
</html>
