<%@ page import="com.edeal.frontline.helper.MultifunctionHelper"%>
<%@ page import="com.edeal.frontline.helper.ContextHelper"%>
<%@ page session="true" import="com.edeal.frontline.*"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.custom.*" %>
<%@ page import="com.edeal.frontline.helper.custom.DocumentHelper" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PersonBean" id="Person" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String id;
try {
	id = Person.getID();
} catch (FieldNotInitializedException e) {
	id = null;
}
String entID;
try {
	entID = Person.getPerEntID();
} catch (FieldNotInitializedException e) {
	entID = null;
}

String corrID;
try {
	corrID = dico.getRefIdByCode("IntType_", "COR");
} catch (FieldNotInitializedException e) {
	corrID = "";
}

String deleteUrl = "";

// l'id de la fonction "guest" 

String guestFctID;
try {
	guestFctID = dico.getRefIdByCode("PerFctID", "GST");
} catch (FieldNotInitializedException e) {
	guestFctID = "";
}

// on rcupre la fonction du contact
String perFctID;
try {
	perFctID = Person.getPerFctID();
} catch (FieldNotInitializedException e) {
	perFctID = null;
}


if (ContextHelper.hasMultifunction(context)) {
	if (ContextHelper.isB2C(context)) {
		deleteUrl = "/delete_function_b2c.fl";
	} else {
		deleteUrl = "/delete_function.fl";
	}		
} else {
	if (ContextHelper.isB2C(context)) {
		deleteUrl = "/delete_person_b2c.fl";
	} else {
		deleteUrl = "/delete_person.fl";
	}
}

String perFctParentID = null;
if (ContextHelper.hasMultifunction(context)) {
	try { 
		perFctParentID = Person.getPerFctParentID();
	} catch (FieldNotInitializedException e){
	} 
}

Boolean isArchived = false;
try {
	isArchived = Person.isPerFctIsActive();
} catch (FieldNotInitializedException e) {
}
MultifunctionHelper mltFunHlp = new MultifunctionHelper(Person);
%>
<script language="javascript">
function doDelete() {
	if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
		window.parent.location = '<fl:link url="<%= deleteUrl + ( id != null ? \"?id=\" + id : \"\") %>"/>';
	}
}
function doWord(id,obj,informat) {
	format = "Word";
	if (informat && informat == "PDF") {
		format = "PDF";
	}
	window.open('<fl:webapp/>/fusion_document_person.fl?format=' + format + '&idObj='+id+'&object='+obj, 'listOpp', 'menubar=no,status=no,toolbar=no,scrollbars=auto,resizable=yes,width=860,height=460');
}
</script>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div  class="actions_tablecell_1 actions_nolabel" style="padding-left:0px;">
				<%--
				<span>
					<% if (ContextHelper.hasMultifunction(context)) { 
						if (isArchived) {
					%>
					<a style="text-align: left;" href="<fl:link list="true" menu="true" url="<%= \"/read_person_consolidated.fl?id=\" + perFctParentID %>"/>">
						<img src="<fl:webapp/>/icons/functionbar/consolidated_function.png" style="width: 15; height: 15;" alt="<fl:getMessage code="A4011" alt="Vue consolide"/>" title="<fl:getMessage code="A4011" alt="Vue consolide"/>">
					</a>&nbsp;
					<a href="<fl:webapp/>/create_person.fl?PerFctParentID=<%= perFctParentID %>">
						<img src="<fl:webapp/>/icons/functionbar/create_function.png" style="width: 15; height: 15;" alt="<fl:getMessage code="AA001" alt="Fonction +"/>" title="<fl:getMessage code="AA001" alt="Fonction +"/>">
					</a>&nbsp;
					<%-- 
					<a href="<fl:link list="true" menu="true" url="<%= \"/archive_function.fl?id=\" + id %>"/>">
						<img src="<fl:webapp/>/icons/functionbar/archive_function.png" style="width: 15; height: 15;" alt="<fl:getMessage code="AA002" alt="Archiver fonction"/>" title="<fl:getMessage code="AA002" alt="Archiver fonction"/>">
					</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				
					<% } else { %>	
					<a href="<fl:link list="true" menu="true" url="<%= \"/reactive_function.fl?id=\" + id %>"/>">
						<img src="<fl:webapp/>/icons/functionbar/create_function.png" style="width: 15; height: 15;" alt="<fl:getMessage code="LF00A" alt="Ractiver fonction"/>" title="<fl:getMessage code="LF00A" alt="Ractiver fonction"/>">
					</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<% } 
					}
					%>
				</span>
					 --%>
			<% if (DocumentHelper.hasDocumentWordML(session, context, "Person")) { %>				
				<span>
					<a class="doc_fusion word" title="<fl:getMessage code="L6126" alt="Gnrer Document Word"/>" href="javascript:doWord('<fl:getProperty name="Person" property="PerID" alt=""/>','Person','Word');">
						<img src="<fl:webapp/>/icons/ico_word_inv.gif" border=0 width="15" height="15" alt="<fl:getMessage code="L6126" alt="Gnrer Document Word"/>">
					</a>&nbsp;
					<a class="doc_fusion pdf" title="<fl:getMessage code="L6557" alt="Gnrer Document PDF"/>" href="javascript:doWord('<fl:getProperty name="Person" property="PerID" alt=""/>','Person', 'PDF');">
						<img src="<fl:webapp/>/icons/ico_acrobat_inv.gif" border=0 width="15" height="15" alt="<fl:getMessage code="L6557" alt="Gnrer Document PDF"/>">
					</a>&nbsp;
				</span>
			<% } %>				
				<span>
					<fl:access name="Interaction" operation="create">
					<a  class="doc_fusion pdf" title="<fl:getMessage code="F808B" alt="Envoyer par e-mail"/>" href="javascript:sendMailWithDocuments('<%= id %>', 'Person', null, 'PerMail')">
						<img src="<fl:webapp/>/icons/ico_interaction/mail.png" border="0" width="15"height="15" alt="<fl:getMessage code="F808B" alt="Envoyer par e-mail"/>">
					</a>
					</fl:access>
				</span>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
<fl:access operation="edit" name="Person">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link list="true" url="<%= \"/edit_person.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
		<tr>
		<td class="actions_cell_left">
		</td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:webapp/>/create_person.fl?PerFctParentID=<%= perFctParentID %>"/>
					<img src="<fl:webapp/>/icons/functionbar/create_function.png" style="width: 15; height: 15;" alt="<fl:getMessage code="AA001" alt="Fonction +"/>" title="<fl:getMessage code="AA001" alt="Fonction +"/>">
					<p class="actions_tabletext"><fl:getMessage code="AA001" alt="Fonction +"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>		
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>	
</fl:access>
<fl:access operation="delete" name="Person">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doDelete();">
					<p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>	
</fl:access>
<% if (isArchived) { %>
<fl:access operation="create" name="Opportunity">
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_opportunity.fl?" />&initOpp=ORD&initOppPerID=<%= id %>&initOppEntID=<%= (entID == null ? "" : entID) %>">
					<p class="actions_tabletext"><fl:getMessage code="LF035" alt="Commande"/> +</p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
					<a href="<fl:webapp/>/create_person.fl?PerFctParentID=<%= perFctParentID %>">
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>

<% if( !guestFctID.equalsIgnoreCase(perFctID)) { %>
<fl:access operation="create" name="Contrat_">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="<%= \"/create_contrat_contact_.fl\" + ( id != null ? \"?initSgContact=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="LF015" alt="Contrat"/> +</p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<%} if(guestFctID.equalsIgnoreCase(perFctID)) { %>

<fl:access operation="create" name="Interaction">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
			<a href="<fl:link url="<%= \"/create_cmdgiftcheque_.fl\" + ( id != null ? \"?initCgcCustomer=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="FF1CA" alt="Commander des chques cadeaux"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<%} %>

<fl:access operation="create" name="Interaction">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_interaction.fl?" />&IntType_=<%= corrID %>&initIntPerID=<%= id %>">
					<p class="actions_tabletext"><fl:getMessage code="LF034" alt="Correspondance"/> +</p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access operation="create" name="Solicitation">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_solicitation.fl?" />&initSolSolliciteurs_=<%= id %>">
					<p class="actions_tabletext"><fl:getMessage code="L60E8" alt="Sollicitation"/> +</p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access operation="create" name="Reservation_">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="/create_reservation_.fl?" />&initRs_Contact=<%= id %>">
					<p class="actions_tabletext"><fl:getMessage code="LF012" alt="Rservation"/> +</p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<tr>
		<td class="actions_cell_left">
		</td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:webapp/>/read_person_consolidated.fl?id=<%= perFctParentID %>"/>
					<img src="<fl:webapp/>/icons/functionbar/consolidated_function.png" style="width: 15; height: 15;" alt="<fl:getMessage code="A4011" alt="Vue consolide"/>" title="<fl:getMessage code="A4011" alt="Vue consolide"/>">
					<p class="actions_tabletext"><fl:getMessage code="A4011" alt="Vue consolide"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
</tr>
<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
</tr>

<tr>
	<td class="actions_cell_left"></td>
	<td>
		<div class="actions_tablecell_1">
			<a href="<fl:link list="true" url="<%= \"/perquicklook.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
				<p class="actions_tabletext"><fl:getMessage code="L7009" alt="Quicklook"/></p>
			</a>
		</div>
	</td>
	<td class="actions_cell_right"></td>
</tr>

<%
	boolean salesInvestIsActive = SalesInvestBean.isSalesInvestActive(context);
	if (salesInvestIsActive) {
%>
<fl:access name="SalesInvest" operation="create">
	
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="<%= \"/create_salesinvest.fl\" + ( id != null ? \"?SinPerID=\" + id : \"\") + ( entID != null ? \"&SinEntID=\" + entID : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="L64EC" alt="Invest. ciaux"/>&nbsp;+</p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<%	} 
%>
<% } %>
<%@include file="/marketing/formresponse/person_read_action.jsp" %>
