<%@page session="true" import="com.edeal.frontline.*"%>
<%@page import="com.edeal.frontline.navigation.FlRequest"%>
<%@page import="com.edeal.frontline.controller.actions.GetSilhouetteFromEmailOrCookieAction"%>
<%@page import="com.edeal.frontline.custom.SilhouetteBeanExtension"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	String emailOrCookie = flRequest.getRequestParameterOrAttribute(GetSilhouetteFromEmailOrCookieAction.parEmailOrCookie);
	String silID = SilhouetteBeanExtension.getSilhouetteIDFromEmailOrCookie(emailOrCookie, context);
%>
<html>
<head>
<title><%= Utils.getMessage(session, "L65DA", "Une silhouette a t trouve") %></title>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/edeal/libraries/jquery/jquery.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/jsOnload.jsp"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/global_js.jsp"></script>
<script language="javascript">
function initPersonFromSilhouette() {
	window.opener.document.forms[0].action = '<fl:webapp/>/refresh_person_from_silhouette.fl?<%=GetSilhouetteFromEmailOrCookieAction.parEmailOrCookie%>=<%=emailOrCookie%>';
	doExitConf = false;
	window.opener.document.forms[0].submit();
	window.close();
}

function read_silhouette() {
	window.open('<fl:webapp/>/read_silhouette_popup.fl?id=<%= silID %>', '<fl:getMessage code="L643C" alt="Silhouette" js="true"/>', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=700,height=390');
}
</script>
</head>
<body>
<div id="object_css" style="top: 0px; left: 0px; bottom: 0px; height: 100%;">
<fl:bigTabs ignoreList="true" objectTitle="<%= Utils.getMessage(session, \"F002F\", false, true, \"Silhouette\")  %>">
	<div style="margin-left: 20px;">
		<table>
			<tr><td height="10px"></td></tr>
		</table>
		<fl:getMessage code="L65DA" alt="Une silhouette a t trouve"/>.<br>
		<fl:getMessage code="M611B" alt="Voulez-vous l\'utiliser ?"/><br>
		<a href="javascript:read_silhouette();"><fl:getMessage code="M611C" alt="Voir la silhouette."/></a>
	</div>
	<div style="border:none; width: 100%; text-align: center;">
		<a href="javascript:initPersonFromSilhouette()" title="Valider"><img src="<fl:webapp/>/icons/ico/valid_green_long.gif"></a>
		&nbsp;&nbsp;&nbsp;
		<a href="javascript:window.close();" title="Annuler"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif"></a>
	</div>
</fl:bigTabs>
</div>
</body>
</html>
