<%@page session="true" import="com.edeal.frontline.*"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.SimulationBean" id="Simulation" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	String id;
	try {
		id = Simulation.getID();
	} catch (FieldNotInitializedException e) {
		id = null;
	}

	SimulationBean sim = null;
	String canCalcErr = "";
	try {
		sim = new SimulationBean(id, context);
		canCalcErr = sim.canCalculate();
	} catch (AccessDeniedException e) {
	}
%>
<script language="javascript">

	function doDelete() {
		if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
			window.parent.location = '<fl:link url="<%= \"/delete_simulation.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>';
		}
	}
	
</script>
<fl:access operation="edit" name="Simulation">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link list="true" url="<%= \"/edit_simulation.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access operation="delete" name="Simulation">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doDelete();">
					<p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access operation="edit" name="Simulation">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doCalculate();">
					<p class="actions_tabletext"><fl:getMessage code="A3034" alt="Calculer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access operation="edit" name="Simulation">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doRealize();">
					<p class="actions_tabletext"><fl:getMessage code="L6107" alt="Raliser"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
	