<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" %><%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %><%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="java.util.Vector" %>
<%@ page import="java.util.Iterator" %><%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.GregorianCalendar" %><%@ page import="java.util.Calendar" %>
<%@ page import="com.edeal.frontline.controller.actions.SelectAction" %>
<%@ page import="com.edeal.frontline.ObjectsBean" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	
	// List code
	String lc = flRequest.getRequestParameterOrAttribute("lc");
	if (lc == null) {
		lc = flRequest.getRequestParameterOrAttribute("code");
	}
	if (lc == null) {
		lc = "CPGTIMELINE";
	}
	request.setAttribute("lc", lc);
	// search criteria
	String sc = flRequest.getRequestParameterOrAttribute("sc");
	// object uri
	String ou = flRequest.getRequestParameterOrAttribute("ou");
	// id

	String SfwID = flRequest.getRequestParameterOrAttribute("SfwID");
	
	String objTitle = flRequest.getRequestParameterOrAttribute("Obj.title");
	
	//recuperation des valeurs de critre
	
	String dateBeg = flRequest.getSearchCriteria("CpgDateBeg");
	String dateEnd = flRequest.getSearchCriteria("CpgDateEnd");
	String CpgID = flRequest.getSearchCriteria("CpgID");
	String CpgDept = flRequest.getSearchCriteria("CpgDept");
	String scale = flRequest.getSearchCriteria("SCALE");
	String entite = flRequest.getSearchCriteria("CpgEnt");

	
	request.setAttribute("selectedTab", "0");
%>

<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/jsOnload.jsp"></script>

<script language="javascript">
	var queryString = "";
	
	function doSubmit() {
		var f = document.forms[0];
		queryString += 'SCALE=' + f.Scale[f.Scale.selectedIndex].value;
	
		// If we're doing an autocomplete operation, we need to catch
		// the return key when selecting an object by keyboard	
		try {
			if (acCurHighlightedDiv != null) {
				return;
			} 
		} catch (error) {
		}		

		if (f.CpgDateBeg.value != '') queryString += '&CpgDateBeg=' + f.CpgDateBeg.value;
		if (f.CpgDateEnd.value != '')queryString += '&CpgDateEnd=' + f.CpgDateEnd.value;

		
		if (f.CpgEnt.selectedIndex != 0) {
			queryString += '&CpgEnt=' + f.CpgEnt[f.CpgEnt.selectedIndex].value;
		}
		
		if (f.StgCpgID.value != '') {
			queryString += '&CpgID=' + f.StgCpgID.value;
		}
		
		if (f.CpgDept.value != '') {
			queryString += '&CpgDept=' + f.CpgDept.value;
		}
		
		f.sc.value = queryString;
		f.submit();
		
	}
	
function critOnKeyPress(event) {
	var keyPress = 0;
	try {
		keyPress = event.which;
	} catch (error) {
	}
	
	if (keyPress == 0) {
		try {
			keyPress = window.event.keyCode;
		} catch (error) {
		}
	}
	
	// Someone pressed the enter key, AND we're not AC'ing
	if (keyPress == 13 && acCurHighlightedDiv == null) {
		doSubmit();
	}
}

function doOnLoad() {
	window.document.forms[0].onsubmit = doSubmit;
	document.onkeypress = critOnKeyPress;
}

</script>
<form action="<fl:link url="/list_campaign_timeline.fl"/>" method="get">
	<input type="hidden" name="lc" value="<%= Utils.formatToWeb(lc, true) %>">
	<input type="hidden" name="sc" value="">
	<input type="hidden" name="ou" value="<%= Utils.formatToWeb(ou, true) %>">
	<input type="hidden" name="cu" value="/criteria_campaign_timeline.fl">
	<input type="hidden" name="lu" value="/list_campaign_timeline.fl">
	<input type="hidden" name="obj.title" value="<%= Utils.formatToWeb(objTitle, true) %>">
	<input type="hidden" name="criteria.title" value="<fl:getMessage code="A0004" alt="Calendrier" />">
<% if (SfwID != null) { %>
	<input type="hidden" name="SfwID" value="<%= SfwID %>">
<% } %>
<fl:bigTabs criteriaTitle="<%= Utils.getMessage(session, \"A0004\", false, true, \"Calendrier\") %>">

	<table class="container" cellpadding="0">
		<tr>
			<td>
				<div class="criteriaTableDiv">
				<%		ObjectsBean deptBean = dico.getTable("rad","Dpt");
						String deptLabel = null;
						if (CpgDept != null) {
							deptLabel = Utils.formatToWeb(deptBean.toString(session,CpgDept),false);
						}else {
							deptLabel = Utils.getMessage(session,"L635C","<Dpartement>");
						}
				%>
				
					<input id="CpgDept" name="CpgDept" type="hidden" value="<%= (CpgDept != null)? CpgDept : "" %>">
					<input id="lblCpgDept" name="lblCpgDept" class="criteriaField" type="text" value="<%= deptLabel  %>" autocomplete="off" onfocus="displayOnFocus(this);">
					<a href="javascript:var win = window.open('<fl:webapp/>/select.fl?type=Department&field=CpgDept', 'SelectDepartment', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=600,height=350')" tabindex="3"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon"></a>
					<a href="javascript:var f = window.document.forms[0]; f.CpgDept.value = ''; f.lblCpgDept.value = '<fl:getMessage code="L635C" alt="<Dpartement>" js="true"/>'; void('')" tabindex="4"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon"></a>
					<script language="javascript">runOnTime('installFobAC(document.forms[0].lblCpgDept);', 200);</script>
								
					<select class="criteriaField leftMargin10" id="CpgEnt" name="CpgEnt">
						<option value=""><fl:getMessage code="L635B" alt="<Entit>"/></option>
						<% Vector vectEnt = dico.getRefList("CpgEnt");
							for (int k = 0; k < vectEnt.size(); k++) {
								Vector vectValue = (Vector) vectEnt.elementAt(k);
								String entID = (String) vectValue.elementAt(0);
								String entVal = (String) vectValue.elementAt(1);
						%>
							<option value="<%= entID %>" <%= (entite != null && entite.equals(entID)) ? " Selected" : "" %>><%= Utils.formatToWeb(entVal,false)%></option>
						<% } %>
						
					</select> 					
 					<select name="Scale" class="criteriaField leftMargin10">
						<option value="DEFAULT" <%= (scale != null && scale.equals("DEFAULT")) ? " Selected" : "" %>>&lt;<fl:getMessage code="L6541" alt="Echelle"/>&gt;</option>
						<option value="DAY" <%= (scale != null && scale.equals("DAY")) ? " Selected" : "" %>><fl:getMessage code="F6021" alt="Jour"/></option>
						<option value="WEEK" <%= (scale != null && scale.equals("WEEK")) ? " Selected" : "" %>><fl:getMessage code="L0016" alt="Semaine"/></option>
						<option value="MONTH" <%= (scale != null && scale.equals("MONTH")) ? " Selected" : "" %>><fl:getMessage code="L200B" alt="Mois"/></option>
						<!-- <option value="FIVEWEEKS" <%= (scale != null && scale.equals("FIVEWEEKS")) ? " Selected" : "" %>><fl:getMessage code="L635F" alt="5 Semaines"/></option>
						<option value="THMONTHS" <%= (scale != null && scale.equals("THMONTHS")) ? " Selected" : "" %>><fl:getMessage code="L6620" alt="3 Mois"/></option> -->
					</select>			
					<br><br>
			
				<%		ObjectsBean objBean = dico.getTable("rad","Cpg");
						String cpgLabel = null;
						if (CpgID != null) {
							cpgLabel = Utils.formatToWeb(objBean.toString(session,CpgID),false);
						}else {
							cpgLabel = Utils.getMessage(session,"L635A","<Campagne>");
						}
				%>
					<input id="StgCpgID" name="StgCpgID" type="hidden" value="<%= (CpgID != null && !"".equals(CpgID))? CpgID : "" %>">
					<input id="lblStgCpgID" name="lblStgCpgID" class="criteriaField" onfocus="displayOnFocus(this);" type="text" value="<%= cpgLabel %>" autocomplete="off">
					<a href="javascript:var win = window.open('<fl:webapp/>/select.fl?type=Campaign&field=StgCpgID', 'SelectCampaign', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=500,height=500')" tabindex="3"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon"></a>
					<a href="javascript:var f = window.document.forms[0]; f.StgCpgID.value = ''; f.lblStgCpgID.value = '<fl:getMessage code="L635A" alt="<Campagne>" js="true"/>'; void('')" tabindex="4"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon"></a>
					<script language="javascript">runOnTime("installFobAC(document.forms[0].lblStgCpgID);", 200);</script>

					<span class="criteriaLabel">
					<fl:getMessage code="F6138" alt="Date de dbut"/></span>
					
					
					<input name="CpgDateBeg" class="criteriaField" type="text" value="<%= (dateBeg != null)? dateBeg : "" %>" onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="10" size="10" maxlength="10">
					<a href="javascript:openCalendar(document.forms[0].CpgDateBeg)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
					<span class="criteriaLabel">
					<fl:getMessage code="F6132" alt="Date de fin"/>
					</span>
					<input name="CpgDateEnd" class="criteriaField" type="text" value="<%= (dateEnd != null)? dateEnd : "" %>" onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="11" size="10" maxlength="10">
					<a href="javascript:openCalendar(document.forms[0].CpgDateEnd)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
				</div>
			</td>
			<td class="separation"><div class="separation"></div></td>
	        <td valign="top" style="width: 15%;">
	            <table class="container" cellpadding="0" style="width: 100%;">
					<tr rowspan="2" valign="baseline">
						<td>
							<a href="javascript:doSubmit();"><img src="<fl:webapp/>/icons/ico/valid_green2_long.gif"></a>
						</td>
					</tr>
	            </table>
	        </td>
		</tr>
	</table>                
</fl:bigTabs>
</form>