<%@page session="true" import="com.edeal.frontline.*,java.util.*,java.text.*,javax.xml.parsers.DocumentBuilderFactory,java.io.*,org.jdom.*,org.jdom.output.*"%>
<%@page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%	
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();

	String TimelineH = (String) flRequest.getAttribute("TimelineH");
	String TimelineB = (String) flRequest.getAttribute("TimelineB");
	
	String query = "?SfwID=" + flRequest.getRequestParameterOrAttribute("SfwID");
	//EvtDate
	String dateBeg = (String) flRequest.getSearchCriteria("EvtDate");
	if (dateBeg != null) {
		query += "&EvtDate=" + dateBeg;
	}	
	//EvtEndDate
	String dateEnd = (String) flRequest.getSearchCriteria("EvtEndDate");
	if (dateEnd != null) {
		query += "&EvtEndDate=" + dateEnd;
	}	
	
	//EvtCategory
	String category = (String) flRequest.getSearchCriteria("EvtCategory");
	if (category != null) {
		query += "&EvtCategory=" + category ;
	}	
	
	request.setAttribute("selectedTab", "1");
%>
<head>
<script>
	Timeline_urlPrefix = "<fl:webapp/>/js/timeline/api/";
	SimileAjax_urlPrefix = "<fl:webapp/>/js/timeline/api/";
	Timeline_ajax_url = "<fl:webapp/>/js/timeline/api/simile-ajax-api.js";
	Timeline_parameters='bundle=true';
</script>
<script src="<fl:webapp/>/js/timeline/api/simile-ajax-api.js?timeline-use-local-resources=true" type="text/javascript"></script>
<script src="<fl:webapp/>/js/timeline/api/timeline-api.js?timeline-use-local-resources=true" type="text/javascript"></script>
</head>
<script language="javascript">

var tl;
function initTimeLine() {

 var eventSource = new Timeline.DefaultEventSource();
 var theme = Timeline.ClassicTheme.create();
 theme.event.bubble.width = 220;
 theme.event.bubble.height = 90;
  var bandInfos = [
    Timeline.createBandInfo({
        eventSource:    eventSource,
        width:          "70%", 
        magnify:        10,
        intervalUnit:   <%= TimelineH %>,  
        intervalPixels: 500,
        theme:          theme
    }),
           
       Timeline.createBandInfo({
        eventSource:    eventSource,
        width:          "30%", 
        intervalUnit:  <%= TimelineB %>, 
        intervalPixels: 800,
        showEventText:  false, 
        trackHeight:    0.5,
        trackGap:       0.2,
        theme:          theme
    })
  ];
  bandInfos[1].syncWith = 0;
  bandInfos[1].highlight = true;

  if(window.SimileAjax != null && window.SimileAjax.History != null){
		window.SimileAjax.History.enabled = false;
  }
  tl = Timeline.create(document.getElementById("timeline-campaign"), bandInfos);
  Timeline.loadJSON('<fl:webapp/>/get_event_json_tl.fl<%= query %>', function(json, url) { 
  		eventSource.loadJSON(json, url); 
  });
  
}

var resizeTimerID = null;
function onResize() {
    if (resizeTimerID == null) {
        resizeTimerID = window.setTimeout(function() {
            resizeTimerID = null;
            tl.layout();
        }, 500);
    }
}
setTimeout("initTimeLine()", 1000);
//runOnTime("initTimeLine()");

</script>
<fl:bigTabs ou="/list_event_timeline.fl" objectTitle="<%= Utils.getMessage(session, \"L6540\", false, true, \"Calendrier timeline\") %>">
	<table class="container" cellpadding="0" width="100%">
		<tr>
			<td>
				<div id="timeline-campaign" style="min-width:800px; height:420px; border: 1px solid #aaa"></div>
			</td>
		</tr>
	</table>
</fl:bigTabs>

