<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page session="true" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.GregorianCalendar" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="com.edeal.frontline.controller.actions.SelectAction" %>
<%@ page import="com.edeal.frontline.ObjectsBean" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	// List code
	String lc = flRequest.getRequestParameterOrAttribute("lc");
	if (lc == null) {
		lc = flRequest.getRequestParameterOrAttribute("code");
	}
	if (lc == null) {
		lc = "EVENTTIMELINE";
	}
	request.setAttribute("lc", lc);
	// search criteria
	String sc = flRequest.getRequestParameterOrAttribute("sc");
	// object uri
	String ou = flRequest.getRequestParameterOrAttribute("ou");
	// id

	String SfwID = flRequest.getRequestParameterOrAttribute("SfwID");
	
	String objTitle = flRequest.getRequestParameterOrAttribute("Obj.title");
	
	//recuperation des valeurs de critre
	
	String dateBeg = flRequest.getSearchCriteria("EvtDate");
	String dateEnd = flRequest.getSearchCriteria("EvtEndDate");
	String scale = flRequest.getSearchCriteria("SCALE");
	String category = flRequest.getSearchCriteria("EvtCategory");

	
	request.setAttribute("selectedTab", "0");
%>

<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/jsOnload.jsp"></script>

<script language="javascript">
	var queryString = "";
	
	function doSubmit() {
		var f = document.forms[0];
		queryString += 'SCALE=' + f.Scale[f.Scale.selectedIndex].value;
	
		// If we're doing an autocomplete operation, we need to catch
		// the return key when selecting an object by keyboard	
		try {
			if (acCurHighlightedDiv != null) {
				return;
			} 
		} catch (error) {
		}		

		if (f.EvtDate && f.EvtDate.value != '') { 
			queryString += '&EvtDate=' + f.EvtDate.value;
		}
		if (f.EvtEndDate && f.EvtEndDate.value != '') {
			queryString += '&EvtEndDate=' + f.EvtEndDate.value;
		}
		
		if (f.EvtCode && f.EvtCode.value != '') {
			queryString += '&EvtCode=' + f.EvtCode.value;
		}
		if (f.EvtCategory && f.EvtCategory.selectedIndex != 0) {
			queryString += '&EvtCategory=' + f.EvtCategory[f.EvtCategory.selectedIndex].value;
		}
		f.sc.value = queryString;
		f.submit();
		
	}
	
function critOnKeyPress(event) {
	var keyPress = 0;
	try {
		keyPress = event.which;
	} catch (error) {
	}
	
	if (keyPress == 0) {
		try {
			keyPress = window.event.keyCode;
		} catch (error) {
		}
	}
	
	// Someone pressed the enter key, AND we're not AC'ing
	if (keyPress == 13 && acCurHighlightedDiv == null) {
		doSubmit();
	}
}

function doOnLoad() {
	window.document.forms[0].onsubmit = doSubmit;
	document.onkeypress = critOnKeyPress;
}

</script>
<form action="<fl:link url="/list_event_timeline.fl"/>" method="get">
	<input type="hidden" name="lc" value="<%= Utils.formatToWeb(lc, true) %>">
	<input type="hidden" name="sc" value="">
	<input type="hidden" name="ou" value="<%= Utils.formatToWeb(ou, true) %>">
	<input type="hidden" name="cu" value="/criteria_event_timeline.fl">
	<input type="hidden" name="lu" value="/list_event_timeline.fl">
	<input type="hidden" name="obj.title" value="<%= Utils.formatToWeb(objTitle, true) %>">
	<input type="hidden" name="criteria.title" value="<fl:getMessage code="A0004" alt="Calendrier" />">
<% if (SfwID != null) { %>
	<input type="hidden" name="SfwID" value="<%= SfwID %>">
<% } %>
<fl:bigTabs criteriaTitle="<%= Utils.getMessage(session, \"A0004\", false, true, \"Calendrier\") %>">

	<table class="container" cellpadding="0">
		<tr>
			<td>
				<div class="criteriaTableDiv">		
					<select name="Scale" class="criteriaField leftMargin10">
						<option value="DEFAULT" <%= (scale != null && scale.equals("DEFAULT")) ? " Selected" : "" %>>&lt;<fl:getMessage code="L6541" alt="Echelle"/>&gt;</option>
						<option value="DAY" <%= (scale != null && scale.equals("DAY")) ? " Selected" : "" %>><fl:getMessage code="F6021" alt="Jour"/></option>
						<option value="WEEK" <%= (scale != null && scale.equals("WEEK")) ? " Selected" : "" %>><fl:getMessage code="L0016" alt="Semaine"/></option>
						<option value="MONTH" <%= (scale != null && scale.equals("MONTH")) ? " Selected" : "" %>><fl:getMessage code="L200B" alt="Mois"/></option>	
					</select>			
					<select class="criteriaField leftMargin10" id="EvtCategory" name="EvtCategory">
						<option value=""><fl:getMessage code="L613A" alt="<Catgorie>"/></option>
						<% Vector vectCat = dico.getRefList("EvtCategory");
							for (int k = 0; k < vectCat.size(); k++) {
								Vector vectValue = (Vector) vectCat.elementAt(k);
								String catID = (String) vectValue.elementAt(0);
								String catVal = (String) vectValue.elementAt(1);
						%>
							<option value="<%= catID %>" <%= (category != null && category.equals(catID)) ? " Selected" : "" %>><%= Utils.formatToWeb(catVal, false) %></option>
						<% } %>
						
					</select> 	
					<br><br>
					
					<span class="criteriaLabel">
					<fl:getMessage code="F6138" alt="Date de dbut"/></span>
					<input name="EvtDate" class="criteriaField" type="text" value="<%= (dateBeg != null) ? dateBeg : "" %>" onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="10" size="10" maxlength="10">
					<a href="javascript:openCalendar(document.forms[0].EvtDate)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
					<span class="criteriaLabel">
					<fl:getMessage code="F6132" alt="Date de fin"/>
					</span>
					<input name="EvtEndDate" class="criteriaField" type="text" value="<%= (dateEnd != null) ? dateEnd : "" %>" onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M202B" alt="Format de date incorrect. Veuillez corriger." js="true"/>');" tabindex="11" size="10" maxlength="10">
					<a href="javascript:openCalendar(document.forms[0].EvtEndDate)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" class="icon"></a>
				</div>
			</td>
			<td class="separation"><div class="separation"></div></td>
	        <td valign="top" style="width: 15%;">
	            <table class="container" cellpadding="0" style="width: 100%;">
					<tr rowspan="2" valign="baseline">
						<td>
							<a href="javascript:doSubmit();"><img src="<fl:webapp/>/icons/ico/valid_green2_long.gif"></a>
						</td>
					</tr>
	            </table>
	        </td>
		</tr>
	</table>                
</fl:bigTabs>
</form>