<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page session="true" import="com.edeal.frontline.*,java.util.*,java.text.*"%>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.helper.custom.FormHelper" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>

<jsp:useBean class="com.edeal.frontline.FormBean" id="Form" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	FlLocale locale =  FlLocale.getInstance(session);
	
	String id = null;
	try {
		id = Form.getID();
	} catch (FieldNotInitializedException fnie) {
	}
	
	int seqNum = 0;
	try {
		seqNum = Form.getFrmSeqNum();
	} catch (FieldNotInitializedException fnie) {
		seqNum = CounterFactory.getCounter(context , "FormNum");		
	}
	
	DecimalFormat df = locale.getDecimalFormat("0000");
	
	
	String frmEventID = null;

	try {
		frmEventID = Form.getFrmEventID();
	} catch(FieldNotInitializedException fnie){
	}

%>

<style type="text/css">
.dataValueX {
	width: 30%;
	overflow: hidden;
	margin: 0px;
	padding: 0px;
	padding-left: 10px;
	font-size: small;
	font-size: expression("x-small");
	color: rgb(0, 0, 0);
	font-family: Arial, Verdana, sans-serif;
	vertical-align: top;
	padding: 4px;
}
.borderLineOne {
	border-right: 1px dashed #9EC6D0;
	border-bottom: 1px dashed #9EC6D0;
}
.borderLineTwo {
	border-right: 1px dashed #9EC6D0;
}
</style>
<script type="text/javascript">
function doOnLoad(){
	var msg = '<%= request.getAttribute("nbDeleted")%>';
	
	if (msg != 'null' && msg.length >0){
		alert(msg + ' <fl:getMessage code="L615C" alt="rponses supprimes" js="true"/>');
	}
}

</script>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L63EE\", false, true, \"Questionnaire\") %>" ou="<%= \"/read_form.fl\" + (id != null ? \"?id=\" + id : \"id\") %>">
	<div>
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3" class="titreFiche"><fl:getProperty name="Form" property="FrmLabel" alt="" /></td>
		</tr>
		<tr class="ligne_separation"><td colspan="3"></td></tr>	
			<tr>
				<td class="column2">
					<table class="container" cellpadding="0">			
						<tr class="fieldline">
							<td class="dataLabel"><fl:getMessage code="F202D" alt="Numro"/></td>
							<td class="dataValue"><input type="hidden" name="FrmSeqNum" value="<%= "" + seqNum %>"><%= df.format((long)seqNum) %></td>
						</tr>
						<fl:fieldRead property="FrmCategory"/>
						<fl:fieldRead property="FrmTabMode" alt="" valueIfFalse="<%= Utils.getMessage(session, \"L2006\", false, true, \"Non\") %>" valueIfTrue="<%= Utils.getMessage(session, \"L2005\", false, true, \"Oui\") %>" />
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column2">
					<table class="container" cellpadding="0">
							<fl:fieldRead property="FrmStatus"/>				
						<fl:fieldRead property="FrmAvailableFromDt"/>
						<fl:fieldRead property="FrmAvailableToDt"/>					
					</table>
				</td>
		</tr>		
		<tr><td colspan="3" class="ligne_separation"/></tr>
		</table>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<fl:smallTabs name="FormQuestDetails" >
	<fl:sTab id="formEvent" title="<%= Utils.getMessage(session, \"L305F\", false, true, \"Evnement\") %>">
		<table class="container" cellpadding="0">
				<tr>
					<td class="column2">
						<table class="container" cellpadding="0">			
							<fl:fieldRead property="FrmEventID" alt="" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_event.fl\") %>"/>
						</table>
					</td>
				</tr>
				<tr>	
					<td class="column2">
						<table class="container" cellpadding="0">																				
							<fl:fieldRead property="FrmParStatus"/>						
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table class="data_column" cellpadding="0">						
							<fl:fieldRead property="FrmParStatusRule"/>	
						</table>			
					</td>
				</tr>
			</table>
	</fl:sTab>

	<fl:sTab id="formQuest" title="<%= Utils.getMessage(session, \"L606D\", false, true, \"Questions\") + \"/\" + Utils.getMessage(session, \"L6094\", false, true, \"Paragraphes\") %>">
		<table class="container">
				<tr>
					<td class="headerDataGrid" style="width: 20%;">
						<fl:getMessage code="L6094" alt="Paragraphes"/>
					</td>
					<td class="headerDataGrid" style="width: 80%;">
						<fl:getMessage code="L606D" alt="Questions"/>
					</td>
				</tr>
					<%
					if (id != null) {
						String[][] query = {{"LfqFormID = " + Utils.formatToSQL(context, id)}};
						String[] fields = {"LfqID", "LfqFormQuestionID", "LfqFormQuestionID:FqtLabel", "LfqParagraph", "LfqPosition"};
						String[] orderBy = {"LfqPosition"};
						
						Vector linksList = LinkFormQuestionBean.listSummary(session , fields, query, orderBy);
						if (linksList != null && linksList.size() > 0) {
							for (int i=0 ; i < linksList.size() ; i++) {
								Hashtable curLink = (Hashtable) linksList.elementAt(i);
								String curLfqFormQuestionID = (String) curLink.get("LfqFormQuestionID");
								String curLfqParagraph = (String) curLink.get("LfqParagraph");
								String fqtLabel = (String) curLink.get("LfqFormQuestionID:FqtLabel");
				%>
				<% if  (curLfqFormQuestionID == null) {
				%>
					<tr class="<%= (i%2 != 0) ? "tabSimpleFdBlanc":"tabSimpleFdBleu" %>">
						<td colspan="2" style="vertical-align:top;text-align:left ; width: 20%">
								<%= Utils.getMessage(session, "L616E", "(P)") + " " + curLfqParagraph %>
						</td>
					</tr>					
				<% } else {
				%>
					<tr class="<%= (i%2 != 0) ? "tabSimpleFdBlanc":"tabSimpleFdBleu" %>">
						<td>&nbsp;</td>
						<td style="vertical-align:top;text-align:left ; width: 20%">
								<%= Utils.getMessage(session, "L616F", "(Q)") + " " + fqtLabel %>
						</td>
						
					</tr>				
				<%	}
				%>

				<%			}
				
						}
						
					}
				%>

		</table>
	</fl:sTab>	
	<fl:sTab id="FormIntroConc" title="<%= Utils.getMessage(session, \"F619E\", \"Introduction\") + \"/\" + Utils.getMessage(session, \"F619D\", \"Conclusion\") %>">
		<fl:notes name="FrmWebIntro" title="<%= Utils.getMessage(session, \"F619E\", \"Introduction\") %>" nbPix="35"><fl:getProperty name="Form" property="FrmWebIntro" alt="&nbsp;" edit="false" /></fl:notes>
		<fl:notes name="FrmWebConclusion" title="<%= Utils.getMessage(session, \"F619D\", \"Conclusion\") %>" nbPix="35"><fl:getProperty name="Form" property="FrmWebConclusion" alt="&nbsp;" edit="false" /></fl:notes>
		<fl:notes name="FrmWebTermsOfUse" title="<%= Utils.getMessage(session, \"F619F\", \"Mentions lgales\") %>" nbPix="35"><fl:getProperty name="Form" property="FrmWebTermsOfUse" alt="&nbsp;" edit="false" /></fl:notes>
	</fl:sTab>
	<fl:sTab id="FormHeadFoot" title="<%= Utils.getMessage(session, \"F61A0\", \"En-tte\") + \"/\" + Utils.getMessage(session, \"F61A1\", \"Pied de page\") %>">
		<fl:notes name="FrmWebHeader" title="<%= Utils.getMessage(session, \"F61A0\", \"En-tte\") %>" nbPix="35"><fl:getProperty name="Form" property="FrmWebHeader" alt="&nbsp;" edit="false" /></fl:notes>
		<fl:notes name="FrmWebFooter" title="<%= Utils.getMessage(session, \"F61A1\", \"Pied de page\") %>" nbPix="35"><fl:getProperty name="Form" property="FrmWebFooter" alt="&nbsp;" edit="false" /></fl:notes>
	</fl:sTab>
	<fl:sTab id="FormDetails" title="<%= Utils.getMessage(session, \"F2024\", true, \"Notes\") %>">
		<div>
			<table class="container">
				<tr class="fieldline">
					<td class="dataValue">
						<fl:getProperty name="Form" property="FrmDetails" alt=" "/>
					</td>
				</tr>
			</table>				
		</div>
	</fl:sTab>	
		
</fl:smallTabs>				
	
	</div>
</fl:bigTabs>