<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*,java.text.*"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.FormQuestionBean" id="FormQuestion" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	FlLocale locale = FlLocale.getInstance(session);
	
	String id=null;
	try {
	    id = FormQuestion.getID();
	} catch (FieldNotInitializedException fnie) {
	}
	
	String type="";
	String idType=null;
	try{
		idType = FormQuestion.getFqtType();
	}catch(FieldNotInitializedException fnie){}
	
	if (idType != null){
		type = dico.getRefCode("FqtType", idType);
	}

	int associatedTxt = 0;
	try{
		associatedTxt = FormQuestion.getFqtAssociatedText();
	}catch(FieldNotInitializedException fnie){
		associatedTxt = 0;
	}
	
	String typeDisp="";
	try{
		typeDisp = dico.getRefCode("FqtDispType", FormQuestion.getFqtDispType());
	}catch(FieldNotInitializedException fnie){}
	
	int hasOther = 0;
	try{
		hasOther = FormQuestion.getFqtHasOther();
	}catch(FieldNotInitializedException fnie){
		hasOther = 0;
	}		
	
	
	
%>
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L63ED\", false, true, \"Fiche Question\")%>" ou="<%= \"/read_formquestion.fl\" + (id != null ? \"?id=\" + id : \"\")%>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="5" class="titreFiche"><fl:getProperty name="FormQuestion" property="FqtLabel" alt="" /></td>
		</tr>
		<tr class="ligne_separation"><td colspan="5"></td></tr>	
		<tr>
			<td class="column3">
				<table class="container" cellpadding="0">			
					<fl:fieldRead property="FqtSeqNum" alt=""/>
					<% if ("FRE".equals(type)){%>
					<fl:fieldRead property="FqtInputSize" alt="" />
					<%}else if ("REF".equals(type)){%>
					<fl:fieldRead property="FqtRefTable" alt="" bean="true"/>
					<%}%>
					<%	//A modifier aussi 
						if ("REF".equals(type)||("LST".equals(type))) {%>
					<tr class="fieldline">
						<td class="dataLabel"><fl:getMessage code="F604F" alt="Texte associ"/></td>
						<td class="dataValue">
							<% if (associatedTxt == 0) { %> 
								<fl:getMessage code="L2006" alt="Non"/>
							<% } else { %>
								<fl:getMessage code="L2005" alt="Oui"/>
							<% } %>			
						</td>
					</tr>
					<%}%>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="container" cellpadding="0">
					<fl:fieldRead property="FqtCategory" alt="" />
					<fl:fieldRead property="FqtRequired" valueCodeIfTrue="L2005" valueCodeIfFalse="L2006" alt=" "/>
					<%	//A modifier pour avoir vrai ou faux
						if ("REF".equals(type)||("LST".equals(type))){%>
							<fl:fieldRead property="FqtDispType" alt="" />
					<%}%>
					<%	if ((associatedTxt==0)&&("LST".equals(type))&&(("RADIO".equals(typeDisp)||"CHECK".equals(typeDisp)))){%>
					<tr class="fieldline">
						<td class="dataLabel"><fl:getMessage code="F610F" alt="Insrer bloc autre"/></td>
						<td class="dataValue">
							<% if (hasOther == 0) { %> 
								<fl:getMessage code="L2006" alt="Non"/>
							<% } else { %>
								<fl:getMessage code="L2005" alt="Oui"/>
							<% } %>			
						</td>
					</tr>
					<%}%>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="container" cellpadding="0">
					<fl:fieldRead property="FqtType" alt="" bean="true"/>
					<fl:fieldRead property="FqtHelpText" alt=""/>
					<fl:fieldRead property="FqtToBeValidated" valueCodeIfTrue="L2005" valueCodeIfFalse="L2006" alt=""/>
					<%if ("RADIO".equals(typeDisp)||"CHECK".equals(typeDisp)){%>
					<fl:fieldRead property="FqtColumnsNb" alt="" />
					<%}%>
				</table>
			</td>
		</tr>
		<tr><td colspan="5" class="ligne_separation"/></tr>
	</table>
	<% if ("LST".equals(type)){	%>
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
	<fl:smallTabs name="REFTabs">
		<fl:sTab id="REP" title="<%= Utils.getMessage(session, \"L6137\", \"Liste Rponses Possibles\") %>">		
			<table class="container" cellpadding="0">
			<tr>
<%	
				String field ="FqtLstAnswer0";
				for (int i=0; i<15; i++){
					field = "FqtLstAnswer"+i;
			%>
				<% if (i == 0 || i == 5 || i == 10) {
				%>
				<td class="column3">
					<table class="container" cellpadding="0">
				<% } 
				%>	
<%					try {
						Class mclas = Class.forName("com.edeal.frontline.FormQuestionBean");
						java.lang.reflect.Method meth = mclas.getMethod("get" + field, null);
						meth.invoke(FormQuestion, null);
%>
						<fl:fieldRead property="<%= field%>"/>
<%		
					} catch (java.lang.reflect.InvocationTargetException ite) {
%>						<fl:fieldRead property="<%= field%>"/>
<%
					}
%>
				<% if (i == 4 || i == 9 || i == 14) {
				%>
					</table>
				</td>
				<%  if (i < 14) { %> <td class="separation"><div class="separation"></div></td><% } %>
				<% } %>	
			<%	}  %>
			</tr>
			</table>			
			</fl:sTab>
	</fl:smallTabs>
<%
			} // End if type == LST
%>		
<%
			if ("REF".equals(type)){				
				String fqtRefTable = null;
				try {
					fqtRefTable = FormQuestion.getFqtRefTable();
				} catch (FieldNotInitializedException fnie) {
				}				
				Vector listRef = null;
				String refName=null;
				try{
					listRef = dico.getRefList(session, fqtRefTable, "Te1");
				}catch(FrontlineException fe){}
				if (listRef!=null){
			
%>		
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
	<fl:smallTabs name="REFTabs">
		<fl:sTab id="REF" title="<%= Utils.getMessage(session, \"L6019\", \"Valeurs de rfrence\") %>">
			<table class="container" cellpadding="0">
			<tr>
				<td class="column2">
					<table class="container" cellpadding="0">
<%					
						for(int i=0; i<listRef.size(); i++){
								refName = (String) ((Vector) listRef.get(i)).get(1);				
								%>
								
									<tr><td class="dataValue"><%= refName%></td></tr>
								<%
						}
					
				%>
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>	
				<td class="column2">&nbsp;</td>
			</tr>
			</table>				
		</fl:sTab>
	</fl:smallTabs>
<%	
			}
} //End if type = REF
%>

</fl:bigTabs>