<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page import="com.edeal.frontline.navigation.FlRequest,com.edeal.frontline.*,java.util.*" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<link href="<fl:webapp/>/css/common_css.jsp" rel="stylesheet" type="text/css">
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	
	String lc = flRequest.getRequestParameterOrAttribute("lc");
	if (lc == null) {
		lc = flRequest.getRequestParameterOrAttribute("code");
	}
	if (lc == null) {
		lc = "FORMRESPONSE";
	}
	request.setAttribute("lc", lc);
	
	String cause = flRequest.getRequestParameterOrAttribute("cause");
	String msg="";
	
		if (cause!=null){
			msg = Utils.getMessage(session, "L63F6", "Code incorrect");		
		}
	
	request.setAttribute("selectedTab", "0");

%>

<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/jsOnload.jsp"></script>
<script language="javascript">
	function doSubmit() {
	var f = document.forms[0];
		if ((f.cplCode.value == '' || f.cplCode.value=='<%=Utils.getMessage(session, "M602D", true, "<Code>")%>') 
		&& (f.FrpPersonID.value == '' || f.FrpFormID.value == '' )){
			alert('<fl:getMessage code="M60F5" alt="Veuillez saisir un code ou choisir un couple Personne / Questionnaire." js="true"/>');
		}
		else {
			var pos = f.cplCode.value.indexOf('-');
			if (f.cplCode.value != '' && f.cplCode.value !='<%=Utils.getMessage(session, "M602D", true, "<Code>")%>' 
			&& (pos < 0 || pos >= f.cplCode.length - 1)) {
				alert('<fl:getMessage code="L6145" alt="Format du code incorrect." js="true"/>');
				f.cplCode.focus();
			
			} else {
				document.forms[0].submit();			
			}		
		}
	}
</script>
<form action="<fl:link url="/find_form_pers.fl?selectedTab=1"/>" method="post">
	<input type="hidden" name="criteria.title" value="<fl:getMessage code="L6143" alt="Saisie des rponses"/>">
	<input type="hidden" name="cu" value="/list_formresponse_criteria.fl">
	<fl:bigTabs criteriaTitle="<%= Utils.getMessage(session, \"L6143\", false, true, \"Saisie des rponses\")%>"  listTitle="<%= Utils.getMessage(session, \"L6143\", false, true, \"Saisie des rponses\") %>">
			<table class="container" cellpadding="0">
				<tr>
					<td>
						<div class="criteriaTableDiv">			
							<input id="FrpPersonID" name="FrpPersonID" type="hidden" value="">
							<input id="lblFrpPersonID" name="lblFrpPersonID" class="criteriaField" type="text" value="&lt;<fl:getMessage code="F002E" alt="Personne"/>&gt;" autocomplete="off" onfocus="displayOnFocus(this);">
							<a href="javascript:var win = window.open('<fl:webapp/>/select.fl?type=Person&field=FrpPersonID', 'SelectEnterprise', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=600,height=400')" tabindex="3"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon"></a>
							<a href="javascript:var f = window.document.forms[0]; f.FrpPersonID.value = ''; f.lblFrpPersonID.value = '<<fl:getMessage code="F002E" alt="Personne"/>>'; void('')" tabindex="4"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon"></a>
							<script language="javascript">runOnTime('installFobAC(document.forms[0].lblFrpPersonID);', 200);</script>
							&nbsp;
							
							<input id="FrpFormID" name="FrpFormID" type="hidden" value="">
							<input id="lblFrpFormID" name="lblFrpFormID" class="criteriaField leftMargin10" type="text" value="&lt;<fl:getMessage code="L613C" alt="Questionnaire"/>&gt;" autocomplete="off" onfocus="displayOnFocus(this);">
							<a href="javascript:var win = window.open('<fl:webapp/>/select.fl?type=Form&field=FrpFormID', 'SelectForm', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=600,height=400')" tabindex="3"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon"></a>
							<a href="javascript:var f = window.document.forms[0]; f.FrpFormID.value = ''; f.lblFrpFormID.value = '<<fl:getMessage code="L613C" alt="Questionnaire"/>>'; acLastCompleteValues['lblFrpFormID'] = '<<fl:getMessage code="L613C" alt="Questionnaire" js="true"/>>';acLastCompleteValues['FrpFormID'] = ''; void('')" tabindex="4"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon"></a>						
							<script language="javascript">runOnTime('installFobAC(document.forms[0].lblFrpFormID);', 200);</script>
							<br><BR>
							<input type="text" size="30" class="criteriaField"  id="cplCode" name="cplCode" onfocus="if (this.value=='<fl:getMessage code="M602D" alt="<Code>" js="true"/>') this.value=''" onblur="if (this.value=='') this.value='<fl:getMessage code="M602D" alt="<Code>" js="true"/>'" value="<fl:getMessage code="M602D" alt="<Code>" js="true"/>"/>
							&nbsp;<SPAN class="dataLabel"><%=msg%></SPAN>
						</div>
					</td>
					<td class="separation"><div class="separation"></div></td>
                    <td valign="top" style="width: 15%;">
	                    <table class="container" cellpadding="0">
	                          <tr class="ligne_separation"><td></td></tr>
							<tr>
								<td>
									<a href="javaScript:doSubmit()"><img src="<fl:webapp/>/icons/ico/valid_green2_long.gif"/></a>
								</td>
							</tr>
	                    </table>
	                </td>
				</tr>
			</table>
</fl:bigTabs>
</form>