<%@page session="true" import="com.edeal.frontline.*, java.util.*, com.edeal.frontline.controller.ControllerServlet"%><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String bodyPageURL = Utils.getRequestParameter(context, request, "bodyPageURL");
	String actionBodyURL = Utils.getRequestParameter(context, request, "actionPageURL");
	if (bodyPageURL == null) {
		bodyPageURL = (String)request.getAttribute("body");
	}
	if (actionBodyURL == null) {
		actionBodyURL = (String)request.getAttribute("action");
	}
	
	logger.debug("body page url:"+actionBodyURL);
	
	String strActDisp = null;
	String actID = (String)session.getAttribute("actorID");
	try {
		strActDisp = dico.getTable("sql", "Actor").toString(session, actID);
	} catch (Throwable ex) {
	}

	Vector jsIncludes = (Vector)request.getAttribute(ControllerServlet.JS_INCLUDES_ATTR);
	if (jsIncludes == null) {
		jsIncludes = new Vector();
	}
	
	Iterator iter = jsIncludes.iterator();
	
	Vector jsBeenIncluded = (Vector)request.getAttribute(ControllerServlet.JS_BEEN_INCLUDED_ATTR);
	if (jsBeenIncluded == null) {
		jsBeenIncluded = new Vector();
	}
	
	
	String actionsPage = request.getParameter("actionsPageURL");
	logger.debug("action page url:"+actionsPage);
	if (actionsPage == null) {
		actionsPage = (String)request.getAttribute("action");
	}


    bodyPageURL="/sales/person/read.jsp";
    actionsPage="/sales/person/read_action.jsp";
%>
<html>
<head>
	<title><fl:getMessage code="L2025" alt="E-DEAL"/> CRM <%= strActDisp == null ? "" : " - " + Utils.formatToWeb(strActDisp, false) %></title>
	<link rel="stylesheet" href="<fl:webapp/>/css/common_css.jsp" type="text/css">
	<link rel="stylesheet" href="<fl:webapp/>/css/tooltip.css" type="text/css">
	<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/sidebar/sidebar.css">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/sidebar/actions_css.jsp">
	<%
		while (iter.hasNext()) {
			String nextInclude = (String)iter.next();
			if (!jsBeenIncluded.contains(nextInclude)) {
				jsBeenIncluded.add(nextInclude);
			}
	%>
	<script type="text/javascript" language="javascript" src="<fl:webapp/><%= nextInclude %>"></script>
	<%
		}
		
		request.setAttribute(com.edeal.frontline.controller.ControllerServlet.JS_BEEN_INCLUDED_ATTR, jsBeenIncluded);
	%>
</head>
<body>
	<div>
		<div id="object_body">
			<jsp:include page="<%= bodyPageURL %>" />
		</div>
		<div id="object_actions">
			<div class="sidebar_div">
		<table class="container" cellpadding="0">
			<tr>
				<td><img src="<fl:webapp/>/icons/sidebar/actions/frame_upper_left.gif"></td>
				<td background="<fl:webapp/>/icons/sidebar/actions/frame_upper_center.gif" class="actions_titlebar"><fl:getMessage code="A0010" alt="Actions"/></td>
				<td><img src="<fl:webapp/>/icons/sidebar/actions/frame_upper_right.gif"></td>
			</tr>
			<jsp:include page="<%= actionsPage %>" />
			<tr>
				<td><img src="<fl:webapp/>/icons/sidebar/actions/frame_lower_left.gif"></td>
				<td background="<fl:webapp/>/icons/sidebar/actions/frame_lower_center.gif"></td>
				<td><img src="<fl:webapp/>/icons/sidebar/actions/frame_lower_right.gif"></td>
			</tr>
		</table>
			</div>
		</div>
	</div>
</body>
</html>
