<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true" import="com.edeal.frontline.*"%><%@page import="java.util.*" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="java.text.DecimalFormat" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.InvoiceBean" id="Invoice" scope="request"/>
<jsp:useBean class="com.edeal.frontline.SupplierBean" id="Supplier" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	
	String id = null;
	try {
		id = Invoice.getID();
	} catch (FieldNotInitializedException fnie) {
	}
	
	try {
		String supID = Invoice.getInvSupplID();
		Supplier = new SupplierBean(supID, context);
		request.setAttribute("Supplier", Supplier);
	} catch (Exception e) {
	}
	
	float montantTtl = 0;
	try {
		montantTtl = ((Float)flRequest.getAttribute("montantTtl")).floatValue();
	} catch (Exception e) {
	}

	DecimalFormat intFormat = FlLocale.getInstance(session).getDecimalFormat("#,##0;- #,##0");
	DecimalFormat floatFormat = FlLocale.getInstance(session).getDecimalFormat("#,##0.##;- #,##0.##");
%>
<script language="javascript">
	function refreshIne() {
		_grid__InvIne_js_.render()
	}
</script>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">

<fl:bigTabs listTitle="<%= Utils.getMessage(session, \"L63BF\", false, true, \"Liste des factures\") %>" objectTitle="<%= Utils.getMessage(session, \"L63C0\", false, true, \"Fiche facture\") %>" ou="<%=\"/read_invoice.fl\" + ( id != null ? \"?id=\" + id : \"\")%>" >
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3" class="titreFiche"><a href="<fl:link url="<%= \"/read_supplier.fl?id=\" + Supplier.getID() %>"/>"><fl:getProperty name="Supplier" property="SplRS" alt="" /></a></td>
		</tr>
		<tr class="ligne_separation"><td colspan="3"></td></tr>
		<tr>
			<td class="column2">
				<table class="container" cellpadding="0">
					<% try {
						Supplier.getSplAd1();
					%>
						<tr class="fieldline">
							<td id="Sup.Address1_value" class="dataValue noPaddingLeft">
								<fl:getProperty name="Supplier" property="SplAd1" alt=""/>
							</td>
						</tr>
					<% } catch (Exception e) {} %>
					<% try {
						Supplier.getSplAd2();
					%>
						<tr class="fieldline">
							<td id="Sup.Address2_value" class="dataValue noPaddingLeft">
								<fl:getProperty name="Supplier" property="SplAd2" alt=""/>
							</td>
						</tr>
					<% } catch (Exception e) {} %>
					<% try {
						Supplier.getSplAd3();
					%>
						<tr class="fieldline">
							<td id="Sup.Address3_value" class="dataValue noPaddingLeft">
								<fl:getProperty name="Supplier" property="SplAd3" alt=""/>
							</td>
						</tr>
					<% } catch (Exception e) {} %>
					<% 
						StringBuffer buf = new StringBuffer();
						try {
							buf.append(Supplier.getSplZip() + "&nbsp;");
						} catch (Exception e) {
						}
						
						try {
							buf.append(Supplier.getSplCity());
						} catch (Exception e) {
						}
						
						if (! "".equals(buf.toString())) {
					%>
						<tr class="fieldline">
							<td id="Sup.ZipCity_value" class="dataValue noPaddingLeft">
								<%= buf.toString() %>
							</td>
						</tr>
					<% } %>
					<% try {
						Supplier.getSplCtrID();
					%>
						<tr class="fieldline">
							<td id="Sup.Country_value" class="dataValue noPaddingLeft">
								<fl:getProperty name="Supplier" property="SplCtrID" bean="true" alt=""/>
							</td>
						</tr>
					<% } catch (Exception e) {} %>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="InvNumInv"/>
					<fl:fieldRead property="InvEntID"/>
					<fl:fieldRead property="InvDateInv"/>
					<tr class="fieldline">
						<td id="SplPhone_label" class="dataLabel"><fl:label field="SplTel"/></td>
						<td id="SplPhone_value" class="dataValue">
							<fl:getProperty name="Supplier" property="SplTel" alt="&nbsp;"/>
						</td>
					</tr>
					<tr class="fieldline">
						<td id="SplFax_label" class="dataLabel"><fl:label field="SplFax"/></td>
						<td id="SplFax_value" class="dataValue">
							<fl:getProperty name="Supplier" property="SplFax" alt="&nbsp;"/>
						</td>
					</tr>
					<tr class="fieldline">
						<td id="SplWeb_label" class="dataLabel"><fl:label field="SplWeb"/></td>
						<td id="SplWeb_value" class="dataValue">
							<a href="<fl:getProperty name="Supplier" property="SplWeb" alt="&nbsp;"/>" target="_blank"><fl:getProperty name="Supplier" property="SplWeb" alt="&nbsp;"/></a>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>

	<fl:smallTabs name="InvRead">
		<fl:sTab id="NOTES" title="<%= Utils.getMessage(session, \"F2024\", false, true, \"Notes\") %>">
			<div>
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td id="InvNotes_value" class="dataValue">
							<fl:getProperty name="Invoice" property="InvNotes" alt=""/>
						</td>
					</tr>
				</table>
			</div>
		</fl:sTab>
		<fl:sTab id="DETAILS" title="<%= Utils.getMessage(session, \"L1035\", false, true, \"Dtail\") %>" onselect="refreshIne();">
			<fl:grid height="100px" name="InvIne" ajaxUrl="/list_custom_invine_ajax.fl">
				<fl:gridColumn pos="0" width="200"/>
				<fl:gridColumn pos="1" width="150"/>
				<fl:gridColumn pos="2" width="90"/>
				<fl:gridColumn pos="3" width="60"/>
				<fl:gridColumn pos="4" width="100"/>
				<fl:gridColumn pos="5" width="75" posttext=" %" />
			</fl:grid>
			<table class="container" cellpadding="0">	
				<tr>
					<td class="titreInterneSmalltabs"><fl:getMessage code="F1058" alt="Total"/></td>
				</tr>
				<tr class="ligne_separation_couleur"><td colspan="5"></td></tr>
			</table>
			<table class="container" cellpadding="1" style="width:50%" align="center">
				<tr style="vertical-align: top">
					<td class="dataLabel" style="width: 33%;text-align: center; white-space: nowrap;">
						<fl:getMessage code="F1058" alt="Total"/>
					</td>
					<td class="dataLabel" style="width: 33%;text-align: center; white-space: nowrap;">
						<fl:getMessage code="L6329" alt="Total Factur"/>
					</td>
					<td class="dataLabel" style="width: 34%;text-align: center; white-space: nowrap;">
						<fl:getMessage code="L200A" alt="Ecart"/>
					</td>
				</tr>
				<tr style="vertical-align: top">
					<td class="tabSimpleFdBleu dataValue" style="width: 33%;text-align: center; white-space: nowrap; border-bottom: thin dashed #9EC6D0;">
						<%= intFormat.format(montantTtl) %>&nbsp;&euro;
					</td>
					<td class="tabSimpleFdBleu dataValue" style="width: 33%;text-align: center; white-space: nowrap;">
						<%= intFormat.format(Invoice.getInvAmt()) %>&nbsp;&euro;
					</td>
					<td class="tabSimpleFdBleu dataValue" style="width: 34%;text-align: center; white-space: nowrap;">
						<%= intFormat.format(Invoice.getInvAmt() - montantTtl) %>&nbsp;&euro;
					</td>
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="ADMIN" title="<%= Utils.getMessage(session, \"L6326\", false, true, \"Administratif\") %>">
			<table class="container" cellpadding="0">
				<tr>
					<td class="column2">
						<table class="data_column" cellpadding="0">
							<fl:fieldRead labelCode="F60D8" property="InvPayClass"/>
							<fl:fieldRead labelCode="F6114" property="InvStatus"/>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table class="data_column" cellpadding="0">
							<fl:fieldRead labelCode="F6113" property="InvDueDate"/>
						</table>
					</td>
				</tr>
			</table>
		</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>
<%
/******************************************************************************
 * 
 *
 * m.ichahane@e-deal.ma : 2006/08/30 10:11:25 : Mustapha
 * 
 *
 *****************************************************************************/
 %>
