<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*"%><%@page import="java.util.*" %><%@ page import="java.util.Vector" %><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><jsp:useBean class="com.edeal.frontline.InvoiceEntryBean" id="InvoiceEntry" scope="request"/><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	
	String id = null;
	try {
		id = InvoiceEntry.getID();
	} catch (FieldNotInitializedException fnie) {
	}
	
	String IneInvID;
	String IneSupplID;
	InvoiceBean Invoice;
	SupplierBean Supplier;

	try {
		IneInvID = InvoiceEntry.getIneInvId();
		Invoice = new InvoiceBean(IneInvID, context);
		IneSupplID = Invoice.getInvSupplID();
		Supplier = new SupplierBean(IneSupplID, context);
		
		request.setAttribute("Invoice", Invoice);
		request.setAttribute("Supplier", Supplier);
	} catch (Exception e) {
		Invoice = null;
		Supplier = null;
		IneInvID = null;
		IneSupplID = null;
	}
%>
<script type="text/javascript" language="javascript">
	function doSubmit() {
		return true;
	}
	
	function submitAndAnother() {
		var f = document.forms[0];
		f.action = '<fl:link url="<%= \"/save_invoiceEntryPlus.fl?IneInvId=\" + Invoice.getID() %>" menu="true"/>';
		f.submit();
	}
	
	function returnToInvoice() {
		window.location = '<fl:link url="<%= \"/read_invoice.fl?id=\" + Invoice.getID() %>"/>';
	}
</script>
<fl:form action="/save_invoiceEntry.fl" bean="InvoiceEntry">
	
<% if (IneInvID != null) { %><input type="hidden" name="IneInvId" value="<%= IneInvID %>"><% } %>
<% if (IneSupplID != null) { %><input type="hidden" name="IneSupplId" value="<%= IneSupplID %>"><% } %>
<fl:bigTabs ignoreList="true" objectTitle="<%= Utils.getMessage(session, \"L63C1\", false, true, \"Ligne facture\") %>" ou="<%=\"/edit_invoiceEntry.fl\" + ( id != null ? \"?id=\" + id : \"\")%>" >
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3">
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td class="labelTitreFiche">
							<fl:label field="IneDescr" labelClassName="titreFiche"/>
						</td>
						<td class="fieldTitreFiche">
							<fl:input property="IneDescr" mandatoryMsgCode="A3065" onblur="if (this.form.IneDescr.value == '') this.form.IneDescr.value = this.value;"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>		
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr>
						<td class="dataLabel"><fl:getMessage code="F60E0" alt="N Facture"/></td>
						<td class="dataValue"><fl:getProperty name="Invoice" property="InvNumInv" alt="&nbsp;"/></td>
					</tr>
					<tr>
						<td class="dataLabel"><fl:getMessage code="F60DD" alt="Fournisseur"/></td>
						<td class="dataValue"><fl:getProperty name="Supplier" property="SplRS" alt="&nbsp;"/></td>
					</tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit property="IneExpId"/>
					<fl:fieldEdit property="IneNumUnits" mandatoryMsgCode="A3064"/>
					<fl:fieldEdit property="IneUnitPrice" mandatoryMsgCode="M60CD" postText="&nbsp;&euro;"/>
				</table>
			</td>
		</tr>
	</table>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titrePartie"><fl:getMessage code="F2024" alt="Notes"/></td>
		</tr>
		<tr>
			<td class="dataValue noPaddingLeft"><fl:input property="IneNotes" nodiv="false"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<%--<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>--%>
	</table>
</fl:bigTabs>
</fl:form>
