<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true" import="com.edeal.frontline.*"%><%@page import="java.util.*" %>
<%@ page import="com.edeal.frontline.grid.GridData" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.JournalistBean" id="Journalist" scope="request"/>
<script type="text/javascript" language="javascript">
	function doSubmit() {
		var f = document.forms[0];
		var prbProMail = false;
		var prbPerMail = false;
		
		if (f.JouProMail){
			var JouProMailVal = f.JouProMail.value;
			if (JouProMailVal != null && JouProMailVal.length > 0){
				if (!checkEmail(JouProMailVal)){ 
					f.JouProMail.focus();
					prbProMail = true;
				}
			}
		}
		
		if (f.JouPerMail){
			var JouPerMailVal = document.getElementById('JouPerMail').value;
			if (JouPerMailVal != null && JouPerMailVal.length > 0){
				if (!checkEmail(JouPerMailVal)){ 
					document.getElementById('JouPerMail').focus();
					prbPerMail = true;
				}
			}
		}
		
		if ((prbProMail)&&(prbPerMail)) {
			alert('<fl:getMessage code="L6634" alt="Veuillez vrifier votre adresse lectronique professionnelle et votre adresse lectronique personnelle" js="true"/>');
			return false;
		} else if ((prbProMail)&&(!prbPerMail)) {
			alert('<fl:getMessage code="L6635" alt="Veuillez vrifier votre adresse lectronique professionnelle" js="true"/>');
			return false;
		}else if ((!prbProMail)&&(prbPerMail)) {
			alert('<fl:getMessage code="L6636" alt="Veuillez vrifier votre adresse lectronique personnelle" js="true"/>');
			return false;
		}
		return true;
	}		
</script>
<%
	String id=null;

    FlRequest flRequest = new FlRequest(request);
    FlContext context = flRequest.getContext();
    
    try {
	id = Journalist.getID();
	} catch (FieldNotInitializedException fnie) {
	  }
	  
	String JourCtrID;
	try {
		JourCtrID = Journalist.getJouProCtrID();
	} catch (Exception e) {
		JourCtrID = "";
	}
    
%>
<fl:form action="/save_journalist.fl" bean="Journalist">
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">

<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"F201B\", \"Journaliste\")%>" ou="<%=\"/edit_journalist.fl\" + ( id!=null ? \"?id=\" + id : \"\")%>" >
	<table class="container" cellpadding="0">
		<tr>
			<td class="labelTitreFiche"><fl:label field="JouFstName" labelClassName="labelTitreFiche" code="L2094"/></td>
			<td style="padding-left: 10px; width: 75px;"><fl:input name="Journalist" property="JouCivID" alt=""/></td>
			<td style="padding-left: 10px;"><fl:input name="Journalist" property="JouFstName"/></td>
			<td style="padding-left: 10px;" nowrap><fl:input name="Journalist" property="JouName" mandatoryMsgCode="M60A2"/><span id="JourName_msg" class="mandatory_alert" style="display: none">!</span></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table class="container" cellpadding="0">	
		<tr>
			<td class="column2">
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td class="dataLabel" rowspan="5"><fl:label forInput="JouProAd1" code="L2036" label="Adresse professionnelle"/></td>
						<td class="dataValue">
							<fl:input property="JouProAd1"/>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataValue">
							<fl:input property="JouProAd2"/>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataValue">
							<fl:input property="JouProAd3"/>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataValue">
							<div class="fieldTable" >
								<table class="fieldTable" cellpadding="0">
									<tr>
										<td class="smallFieldPart"><fl:input property="JouProZip" size="5" width="auto" nodiv="true"/></td>
										<td class="bigFieldPart"><fl:input property="JouProCity" nodiv="true" onblur="this.value = checkString(this.value, 'upper');"/></td>
									</tr>
								</table>
							</div>
						</td>
					</tr>
					<tr class="fieldline">
						<td class="dataValue"><fl:input property="JouProCtrID"/><input type="hidden" name="country" value="<%= JourCtrID %>"></td>
					</tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>			
			<td class="column2">
				<table class="container" cellpadding="0">
					<fl:fieldEdit name="Journalist" property="JouProPhone"/>
					<fl:fieldEdit name="Journalist" property="JouProFax"/>
					<fl:fieldEdit name="Journalist" property="JouProMobile"/>
					<fl:fieldEdit name="Journalist" property="JouProMail"/>
				</table>
		    </td>
		</tr>
		<tr class="ligne_separation"><td>&nbsp;</td></tr>
	</table>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titrePartie"><fl:getMessage code="F2024" alt="Notes"/></td>
		</tr>
		<tr>
			<td class="dataValue noPaddingLeft"><fl:input property="JouRemarks" nodiv="false"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<%--<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>--%>
	</table>
	<fl:smallTabs name="JouRead">
		<fl:sTab id="ADR_PERSO" title="<%= Utils.getMessage(session, \"L2037\", \"Adresse personnelle\") %>">			
			<table class="container" cellpadding="0">	
				<tr>
					<td class="column2">
						<table class="data_column" cellpadding="0">
							<tr class="fieldline">
								<td class="dataLabel"><fl:label forInput="JouPerAd1" code="F2012" label="Adresse"/></td>
								<td class="dataValue">
									<div>
										<input class="input text" type="text" id="JouPerAd1" name="JouPerAd1" value="<fl:getProperty name="Journalist" property="JouPerAd1" alt=""/>"/>
									</div>
								</td>
							</tr>
							<tr class="fieldline">
								<td class="dataLabel"><div>&nbsp;</div></td>
								<td class="dataValue">
									<div>
										<input class="input text" type="text" id="JouPerAd2" name="JouPerAd2" value="<fl:getProperty name="Journalist" property="JouPerAd2" alt=""/>"/>
									</div>
								</td>
							</tr>
							<tr class="fieldline">
								<td class="dataLabel"><div>&nbsp;</div></td>
								<td class="dataValue">
									<div>
										<input class="input text" type="text" id="JouPerAd3" name="JouPerAd3" value="<fl:getProperty name="Journalist" property="JouPerAd3" alt=""/>"/>
									</div>
								</td>
							</tr>
							<tr class="fieldline">
								<td class="dataLabel"><div>&nbsp;</div></td>
								<td class="dataValue" nowrap>
									<div class="fieldTable" >
										<table class="fieldTable" cellpadding="0">
											<tr>
												<td class="smallFieldPart">
													<input class="input text" type="text" id="JouPerZip" name="JouPerZip" value="<fl:getProperty name="Journalist" property="JouPerZip" alt=""/>" size="4" style="width: auto;"/>
												</td>
												<td class="bigFieldPart">
													<input class="input text" type="text" id="JouPerCity" name="JouPerCity" value="<fl:getProperty name="Journalist" property="JouPerCity" alt=""/>" style="width:100%" onblur="this.value = checkString(this.value, 'upper');"/>
												</td>
											</tr>
										</table>
									</div>
								</td>
							</tr>
							<tr class="fieldline">
								<td class="dataLabel"><div>&nbsp;</div></td>
								<td class="dataValue"><fl:input property="JouPerCtrID"/></td>
							</tr>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table>
						    <tr class="fieldline">
						       <td class="dataLabel"><fl:label forInput="JouPerPhone" code="F2073" label="Tlphone"/></td>
						       <td class="dataValue">
								<div>
        						<input class="input text" type="text" id="JouPerPhone" name="JouPerPhone"  value="<fl:getProperty name="Journalist" property="JouPerPhone" alt=""/>"/>
								</div>
							   </td>
						    </tr>
						    <tr class="fieldline">
						       <td class="dataLabel"><fl:label forInput="JouPerMobile" code="F201D" label="Mobile"/></td>
						       <td class="dataValue">
								<div>
        						<input class="input text" type="text" id="JouPerMobile" name="JouPerMobile"  value="<fl:getProperty name="Journalist" property="JouPerMobile" alt=""/>"/>
								</div>
							   </td>
						    </tr>
						    <tr class="fieldline">
						       <td class="dataLabel"><fl:label forInput="JouPerFax" code="F2013" label="Fax"/></td>
						       <td class="dataValue">
								<div>
        						<input class="input text" type="text" id="JouPerFax" name="JouPerFax"  value="<fl:getProperty name="Journalist" property="JouPerFax" alt=""/>"/>
								</div>
							   </td>
						    </tr>
						    <tr class="fieldline">
						       <td class="dataLabel"><fl:label forInput="JouPerMail" code="F201E" label="e-mail"/></td>
						       <td class="dataValue">
								<div>
        						<input class="input text" type="text" id="JouPerMail" name="JouPerMail"  value="<fl:getProperty name="Journalist" property="JouPerMail" alt=""/>"/>
								</div>
							   </td>
						    </tr>
						</table>
					</td>
				</tr>
			</table>			
		</fl:sTab>
		<fl:sTab id="PROFILE" title="<%= Utils.getMessage(session, \"L2038\", \"Profil\") %>">
			<table class="container">
				<tr valign="top">
					<td style="width: 50%">
						<table class="container">
							<fl:fieldEdit property="JouSupID" label="<%=Utils.getMessage(session, \"F201A\", \"Support\")%>"/>
							<fl:autodisplay name="Journalist" zone="JouProf1" tableDivTag="false" edit="true"/>
						</table>
					</td>
	
					<td class="separation"><img src="<fl:webapp/>/icons/spacer.gif" height="20" width="20"></td>
					<td style="width: 50%">
						<table class="container">
							<fl:autodisplay name="Journalist" zone="JouProf2" tableDivTag="false" edit="true"/>
						</table>
					</td>
				</tr>
			</table>
		</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>
</fl:form>
