<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Vector"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>

<jsp:useBean class="com.edeal.frontline.MeasuringMediaBean" id="MeasuringMedia" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
com.edeal.frontline.DataDictionary dico = context.getDataDictionary();

String id = null;
String titre=null;
boolean exclu=false;
boolean publicationType=false;

	try{
	id = MeasuringMedia.getID();
	}
	catch (FieldNotInitializedException e){
	}

	try{
		publicationType = MeasuringMedia.isMemPublicationType();
	} catch (FieldNotInitializedException e){
	}
	
	try {
	exclu=MeasuringMedia.isMemExclusive();
	}catch(FieldNotInitializedException e){}
	
	String typeCitation = "&nbsp;";

	
	String nomSup = "";
	try {
		String supID = MeasuringMedia.getMemSupID();
		com.edeal.frontline.ObjectsBean obj = dico.getTable("sql", "Support");
		nomSup = obj.toString(session, supID);
	} catch (FieldNotInitializedException fnie) {
	} catch (com.edeal.frontline.FrontlineException fe) {
	}
	
	boolean hasTitle = false;
	try{
		String title = MeasuringMedia.getMemATitle();
		
		if (title != null) hasTitle = true;
	}catch(FieldNotInitializedException fnie){}
	
	
%>


<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L6112\", \"Pige\")%>" ou="<%= \"/read_measuringmedia.fl?id=\" + id %>">

	<table class="container" cellpadding="0" width="100%">

		<%if (hasTitle){%>
		<tr>
			<td class="titreFiche">
				<fl:getProperty name="MeasuringMedia" property="MemATitle" alt="" />
			</td>
		</tr>
		<%}%>
		
		<tr class="ligne_separation"><td>&nbsp;</td></tr>
		
	</table>

	<input type="hidden" name="MemSupID" value="<fl:getProperty name="MeasuringMedia" property="MemSupID" alt=""/>" />
	<table class="container" cellpadding="0" width="100%">
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 50%">
				<table class="datacolumn" cellpadding="0" width="100%">	
					<fl:fieldRead property="MemSupID" bean="true" href="true" disp="<%=flRequest.computeURL(\"/read_support.fl\")%>"/>	
					<fl:fieldRead property="MemDate" format="date"/>
					<fl:fieldRead property="MemNumber"/>
					
					<fl:fieldRead property="MemCptID" bean="true" href="true" disp="<%=flRequest.computeURL(\"/read_competitor.fl\")%>"/>
				</table>
			</td>
			
			<td class="separation"><div class="separation"></div></td>
			
			<td class="dataValue" style="vertical-align:top; width: 50%">
				<table class="datacolumn" cellpadding="0" width="100%">		
					<fl:fieldRead property="MemPagID"/>					
					
					<fl:fieldRead property="MemPublicationType" valueIfFalse="<%= Utils.getMessage(session, \"F2038\", \"Rdactionnel\") %>" valueIfTrue="<%= Utils.getMessage(session, \"F2037\", \"Publicit\") %>" alt=""/>
					<% if (publicationType)
						//Nous avons une publicit
						{%>
					<fl:fieldRead property="MemCode"/>
						<%} else { %>
						
						<tr class="fieldline">
							<td class="dataLabel"><fl:getMessage code="F2035" alt="URL"/></td>
							<td class="dataValue"><a href="<fl:getProperty name="MeasuringMedia" property="MemURL" alt=""/>" target="_blank"><fl:getProperty name="MeasuringMedia" property="MemURL" alt=""/></a></td>
					</tr>

					<tr>
						<td class="dataLabel">			
							<fl:getMessage code="F2034" alt="Exclusif" js="true"/>
						</td>
						<td class="dataValue">								
							<% if (exclu) {%>
								<fl:getMessage code="L2005" alt="Oui"/>
							<%}else{%>
								<fl:getMessage code="L2006" alt="Non"/>
							<%}%>
						</td>
						</tr>
						<%}%>
					
				</table>
			</td>
		</tr>
		</table>		
		<fl:notes name="MemDetails" title="Dtails"><fl:getProperty name="MeasuringMedia" property="MemDetails" alt="&nbsp;"/></fl:notes>
		
		
       	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
	<fl:smallTabs name="MemAttachment">
		<fl:sTab id="MemAttach" title="<%=Utils.getMessage(session, \"L201C\", false, true, \"Documents joints\")%>">
			<fl:attach name="MeasuringMedia" colID="MemAttID" edit="false"/>
			</fl:sTab>
	</fl:smallTabs>

</fl:bigTabs>