<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.EventBean" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.util.LinkedHashMap" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.edeal.frontline.initializers.PersonEventInitializer" %> 
<%@ page import="com.edeal.frontline.helper.EventBaseHelper.EventCategory" %> 
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PersonEventBean" id="PersonEvent" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();

String id = flRequest.getParameter("id");

LinkedHashMap<String, String> listInscriptionStatusIDAndDisplay = (LinkedHashMap<String, String>) flRequest.getAttribute(PersonEventInitializer.LIST_INSCRIPTION_STATUS);
if (listInscriptionStatusIDAndDisplay == null) {
	listInscriptionStatusIDAndDisplay = new LinkedHashMap<String, String>();
}

LinkedHashMap<String, String> listParticipationStatusIDAndDisplay = (LinkedHashMap<String, String>) flRequest.getAttribute(PersonEventInitializer.LIST_PARTICIPATION_STATUS);
if (listParticipationStatusIDAndDisplay == null) {
	listParticipationStatusIDAndDisplay = new LinkedHashMap<String, String>();
}

String pvtEventID = null;
Date eventEndDate = null;
try {
	pvtEventID = PersonEvent.getPvtEventID();
	eventEndDate = (Date) EventBean.lookup(context, "EvtEndDate", pvtEventID);
} catch (FieldNotInitializedException fnie) {
}

String pvtParStatus = null;
try {
	pvtParStatus = PersonEvent.getPvtParStatus();
} catch (FieldNotInitializedException fnie) {
}

String pvtInsStatus = null;
try {
	pvtInsStatus = PersonEvent.getPvtInsStatus();
} catch (FieldNotInitializedException fnie) {
}

%>

<script language="javascript">

function doPvtEventIDChange() {		
	var f = document.forms[0];
	f.action = "<fl:webapp/>/refresh_personevent.fl";
	f.submit();
}

function doSubmit() {
	var f = document.forms[0];
	if (f.PvtPersonID.value == '') {
		alert('<fl:getMessage code="M9040" alt="Veuillez slectionner une personne" js="true"/>');
		f.PvtPersonID.focus();
		return;
	}  
	
	f.submit();
}	
</script>

<fl:bigTabs ignoreList="" objectTitle="<%= Utils.getMessage(session, \"F2006\", false, true, \"Cible\") %>">
<fl:form action="/save_petarget.fl" bean="PersonEvent">
	<table class="container" cellpadding="0">
		<tr>
			<td width="80%">
				<table>
					<tr>					
						<td class="titreFiche">
							<fl:getProperty name="PersonEvent" property="PvtEventID" bean="true" href="true" alt="&nbsp;" disp="/read_event.fl"/>		
						</td>
					</tr>
				</table>
			</td>
			<td></td>
			<td width="20%" align="right">
				<table>
					<tr>					
						<td class="titreFiche">
							<fl:getMessage code="L82E1" alt="Fin le"/>&nbsp;<%= Utils.formatToWeb(session, eventEndDate, false, "date") %>
						</td>
					</tr>
				</table>
			</td>
		</tr> 
	</table>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>	 
		<tr>
			<td class="column2">	
				<table class="data_column" cellpadding="0">			
				  	<fl:fieldEdit property="PvtPersonID" mandatoryMsg="M9040"/>	
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit property="PvtActID" labelCode="L82E2" label="Affect "/>		
				</table>
			</td>
			
		</tr>
		<tr class="ligne_separation"><td></td></tr>	
		<tr>
			<td class="column2">	
				<table class="data_column" cellpadding="0">
				  	<tr class="fieldline">
				  		<td class="dataLabel" id="PvtInsStatus_label"><div><label title="<fl:getMessage code="F80AF" alt="Inscription"/>" for="PvtInsStatus"><fl:getMessage code="F80AF" alt="Inscription"/></label></div></td>
						<td class="dataValue">
							<div>
								<select name="PvtInsStatus" class="input select chpsTextObligatoire">
<% 							Iterator iter = listInscriptionStatusIDAndDisplay.keySet().iterator();
							while (iter.hasNext()) {
								String statusID = (String) iter.next();
								String statusDisplay = (String) listInscriptionStatusIDAndDisplay.get(statusID);
%> 
									<option value="<%= statusID %>" <%= statusID.equals(pvtInsStatus) ? "selected" : "" %>><%= statusDisplay %></option> 
<%
							}
%>										
								</select>
							</div>
						</td>
					</tr>			 
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">	
				<table class="data_column" cellpadding="0">
				 	<tr class="fieldline">
				  		<td class="dataLabel" id="PvtParStatus_label"><div><label title="Participation" for="PvtParStatus"><fl:getMessage code="L8186" alt="Participation"/></label></div></td>
						<td class="dataValue">
							<div>
								<select name="PvtParStatus" class="input select">
									<option value=""></option>
<%
								Iterator iter2 = listParticipationStatusIDAndDisplay.keySet().iterator();
								while (iter2.hasNext()) {
									String statusID = (String) iter2.next();
									String statusDisplay = (String) listParticipationStatusIDAndDisplay.get(statusID);
%> 
									<option value="<%= Utils.formatToWeb(statusID, true) %>" <%= statusID.equals(pvtParStatus) ? "selected" : "" %>><%= Utils.formatToWeb(statusDisplay, true) %></option> 
<%
								}
%>										
								</select>
							</div>
						</td>
					</tr>				
				</table>
			</td>
		</tr>
	</table>
</fl:form>
</fl:bigTabs>