<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<jsp:useBean class="com.edeal.frontline.EventBean" id="Event" scope="request"/>
<% 
	FlRequest flRequest=new FlRequest(request);
	boolean fIsCreationMode=true;
	try {
		fIsCreationMode=(Event.getID()==null);
	} catch (Exception e) {}
	
	String evtCategoryRefCode = null;
	try {
		String evtCategory = Event.getEvtCategory();
		DataDictionary dico = flRequest.getContext().getDataDictionary();
		evtCategoryRefCode = dico.getRefCode("EvtCategory", evtCategory);
	} catch (FrontlineException e) {}
	
	String actionUrl=flRequest.computeURL("/save_event_create_form.fl");
	
 %>
<script>
	function submit_to_form() {
		f=document.forms[0];
		if (f) {
			f.action='<%=actionUrl%>';
		}
		submit();
	}
</script>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:submit()">
					<p class="actions_tabletext"><fl:getMessage code="A0003" alt="Enregistrer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	
	<% if (fIsCreationMode && evtCategoryRefCode != null && "QSTWEB".equals(evtCategoryRefCode)) { %>
		 <tr>
	        <td class="actions_cell_left"></td>
	        <td class="actions_tablecell_seperator"></td>
	        <td class="actions_cell_right"></td>
	    </tr>
		<tr>
			<td class="actions_cell_left"></td>
			<td>
				<div class="actions_tablecell_1">
					<a href="javascript:submit_to_form()">
						<p class="actions_tabletext"><fl:getMessage code="A0003" alt="Enregistrer"/> + <fl:getMessage code="L613C" alt="Questionnaire"/></p>
					</a>
				</div>
			</td>
			<td class="actions_cell_right"></td>
		</tr>
	<% } %>