<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.EventBean" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.util.LinkedHashMap" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.edeal.frontline.initializers.PersonEventInitializer" %> 
<%@ page import="com.edeal.frontline.helper.EventBaseHelper.EventCategory" %> 
<%@ page import="com.edeal.frontline.PersonBean" %> 
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PersonEventBean" id="PersonEvent" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();

String id = null;
try {
    id = PersonEvent.getID();
} catch (FieldNotInitializedException fnie) {
}

String pvtEventID = null;
Date eventEndDate = null;
try {
	pvtEventID = PersonEvent.getPvtEventID();
	eventEndDate = (Date) EventBean.lookup(context, "EvtEndDate", pvtEventID);
} catch (FieldNotInitializedException fnie) {
}

PersonBean person = null;
try {
	person = new PersonBean(PersonEvent.getPvtPersonID(), context);
	eventEndDate = (Date) EventBean.lookup(context, "EvtEndDate", pvtEventID);
} catch (Exception fnie) {
}

%>

<script language="javascript">
function refreshInteraction() {
	_grid__INTT_EMB_js_.render();
}

function refreshOpportunity() {
	_grid__OPPT_EMB_js_.render();
}

function doOnLoad() {
	refreshInteraction();
}

</script>

<fl:bigTabs ignoreList="" objectTitle="<%= Utils.getMessage(session, \"F2006\", false, true, \"Cible\") %>" ou="<%= \"/read_petarget.fl?id=\" + id %>">
	<table class="container" cellpadding="0">
		<tr>
		<% if (eventEndDate == null) { %>
			<td width="100%">
		<% } else { %>	
			<td width="80%">
		<% } %>
				<table>
					<tr>					
						<td class="titreFiche">
							<%= person.toString() %><fl:getProperty name="PersonEvent" property="PvtEventID" bean="true" href="true" alt="&nbsp;" disp="/read_event.fl" preText="&nbsp;(" postText=")" />		
						</td>
					</tr>
				</table>
			</td>
			<td></td>
			<% if (eventEndDate == null) { %>
			<td></td>
			<% } else { %>
			<td width="20%" align="right">
				<table>
					<tr>					
						<td class="titreFiche">
							<fl:getMessage code="L82E1" alt="Fin le"/>&nbsp;<%= Utils.formatToWeb(session, eventEndDate, false, "date") %>
						</td>
					</tr>
				</table>
			</td>
			<% } %>
		</tr> 
	</table>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>	 
		<tr>
			<td class="column2">	
				<table class="data_column" cellpadding="0">			
				  	<fl:fieldRead property="PvtPersonID" bean="true" href="true" disp="/read_person.fl"/>	
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="PvtActID" labelCode="L82E2" label="Affect " bean="true" href="true" disp="/read_actor.fl"/>		
				</table>
			</td>
			
		</tr>
		<tr class="ligne_separation"><td></td></tr>	
		<tr>
			<td class="column2">	
				<table class="data_column" cellpadding="0">
				  	<tr class="fieldline">
				  		<fl:fieldRead property="PvtInsStatus"/>	
					</tr>			 
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">	
				<table class="data_column" cellpadding="0">
				 	<tr class="fieldline">
				  		<fl:fieldRead property="PvtParStatus"/>	
					</tr>				
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>	
		<tr class="ligne_separation"><td></td></tr>	
	</table>
	<table class="container" cellpadding="0">
		<tr class="fieldline">
			<td class="dataLabel">
				<fl:getMessage code="L81A2" alt="Mur"/>
			</td>
			<td class="dataValue"></td>
		</tr>
		<tr class="fieldline">
			<td colspan="2">
				<edWall id="wall1"
						useTemplate="process"
						group='wall2'
						isReadOnly="false" 
						isRequired="false" 
						async='{"url": "post_object.fl", "parameters":{"objId":"<%= id %>", "objType":"PersonEvent", "top":"10"}}'
						toolTip="">
				</edWall>
			</td
		</tr>
	</table>			
	<fl:smallTabs name="Process_Tabs">
		<fl:sTab id="Interaction" title="<%= Utils.getMessage(session, \"L2039\", true, \"Interactions\") %>" onselect="refreshInteraction();">
			<fl:grid name="INTT_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=INTT_EMB&IntPvtID=\" + id %>"/>
		</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>