<%@ page language="java"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
Vector vectJouID = (Vector)flRequest.getAttribute("ImpactJournalist");
Vector vectSupID = (Vector)flRequest.getAttribute("ImpactSupport");
int nbJou = vectJouID == null ? -1 : vectJouID.size();
int nbSup = vectSupID == null ? -1 : vectSupID.size();
%><html>
	<head>
		<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
		<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
		<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	  	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
	</head>
	<body style="padding-right: 10px">
		<div id="object_css" style="top:0px;left: 0px;height:100%;">
			<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L615F\", true, false, \"Evnements personne\") %>" ignoreList="true">
				<table class="container" cellpadding="0">
					<tbody>
						<tr class="fieldline">
							<td><fl:getMessage code="L30CB" alt="La population  t impacte"/></td>
						</tr>
						<tr class="ligne_separation">
							<td></td>
						</tr>
						<tr class="fieldline">
							<td>
							<% if (nbJou == 0) { %>
							<fl:getMessage code="L63A4" alt="Aucun journaliste n\'a t impact"/>
							<% } else if (nbJou == 1) { %>
							1 <fl:getMessage code="L63A5" alt="journaliste a t impact"/>
							<% } else { %>
							<%= FlLocale.getInstance(session).getDecimalFormat("#,##0").format(nbJou) %> <fl:getMessage code="L63A6" alt="journalistes ont t impacts"/>
							<% } %>
							</td>
						</tr>
						<tr class="fieldline">
							<td>
							<% if (nbSup == 0) { %>
							<fl:getMessage code="L63A9" alt="Aucun support n\'a t impact"/>
							<% } else if (nbSup == 1) { %>
							1 <fl:getMessage code="L63A8" alt="support a t impact"/>
							<% } else { %>
							<%= FlLocale.getInstance(session).getDecimalFormat("#,##0").format(nbSup) %> <fl:getMessage code="L63A7" alt="supports ont t impacts"/>
							<% } %>
							</td>
						</tr>
					</tbody>
				</table>
				<div align="center">
					<a href="#" onclick="self.close();"><img src="<fl:link url="/icons/ico/close.gif"/>" border="0" alt="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>" title="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>"></a>
				</div>
			</fl:bigTabs>
		</div>
	</body>
</html>
