<%
/******************************************************************************
 * Copyright (c) 2000-2009 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" contentType="text/html; charset=UTF-8" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="com.edeal.frontline.*" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.SalesInvestBean" id="SalesInvest" scope="request"/>
<%
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	String popID = flRequest.getRequestParameterOrAttribute("popID");
	String type = flRequest.getRequestParameterOrAttribute("PvtType");
	String montant = flRequest.getRequestParameterOrAttribute("PvtMontant");
	String actorID = (String) session.getAttribute("actorID");
	Integer nbEntry = (Integer) flRequest.getAttribute("NbSalesInvest");
%>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">

<div id="object_css" style="top:0px; left: 0px; height:100%;">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L64EC\", \"Invest. ciaux\") %>">
	<table class="container" cellpadding="0">
		<tr><td class="ligne_separation"/></tr>
		<tr valign="top">
			<td class="transparent" nowrap><fl:getMessage code="L64F5" alt="Invest. ciaux créés"/>&nbsp;:&nbsp;<%= (nbEntry != null) ? nbEntry.toString() : "0"  %>&nbsp;<fl:getMessage code="L6162" alt="entrées"/></td>
		</tr>
		<tr><td class="ligne_separation"/></tr>
	</table>
</fl:bigTabs>
	<div align="center">
		<a href="javaScript:window.top.close()"><img src="<fl:link url="/icons/ico/fermer_red_long.gif"/>" border="0" alt="<fl:getMessage code="L61B1" alt="Fermer la fenêtre"/>" title="<fl:getMessage code="L61B1" alt="Fermer la fenêtre"/>"></a>
	</div>
</div>
