<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PopulationBean" id="Population" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
String id = null;
try {
	id = Population.getID();
} catch (FieldNotInitializedException fnie) {
}
%>
<!-- Javascript include -->


<script type="text/javascript" language="javascript">
function doSubmit() {
	var f = document.forms[0];
	if (f.nb.value == '') {
		window.alert("<fl:getMessage code="M301E" alt="Vous devez prciser la quantit." js="true"/>");
		f.nb.focus();
		return ;
	}
	if (parseInt(toSysNum(f.nb.value)) <= 0) {
		window.alert("<fl:getMessage code="M6050" alt="Vous devez entrer un nombre strictement positif." js="true"/>");
		f.nb.focus();
		return ;
	}
	if (parseInt(toSysNum(f.nb.value)) > <fl:getProperty name="Population" property="PopTotNbr" alt="0" format="###0"/>) {
		window.alert("<fl:getMessage code="M6051" alt="Vous devez entrer un nombre infrieur au nombre de contacts dans la population." js="true"/>");
		f.nb.focus();
		return ;
	}
	
	f.action = '<%=flRequest.computeURL("/execute_population_split.fl")%>';
	
	f.submit();
}
</script>
<fl:form action="javascript:doSubmit();" bean="Population">
	<input type="hidden" name="PopType" id="PopType" value="<fl:getProperty name="Population" property="PopType" alt=""/>"/>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"F000C\", false, true, \"Population\") %>" ou="<%= \"/population_split.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
						<table class="container" cellpadding="0">
							<tr>
								<td class="titreFiche">
									<img src="<fl:link url="/icons/fleche-titre.gif"/>" style="width: 7px; height: 22px; padding-left: 5px; padding-right: 5px; vertical-align: middle">
									<fl:getMessage code="L6165" alt="Dcoupage de"/> <fl:getProperty name="Population" property="PopName" alt="&nbsp;"/>
								</td>
							</tr>
							<tr class="ligne_separation">
								<td></td>
							</tr>
							<tr>
								<td class="dataValue" style="vertical-align:top; width: 100%">
									<table class="data_column" cellpadding="0">
<% if (id != null) { %>
										<tr class="fieldline">
											<td class="dataLabel"><fl:getMessage code="L6166" alt="en"/></td>
											<td class="dataValue">
												<input type="text" name="nb" value="" size="5" onblur="ctrlNumField(this, 'integer', '<fl:getMessage code="M302F" alt="Format de nombre incorrect. Veuillez corriger." js="true"/>');">
												<fl:getMessage code="L6167" alt="sous-populations"/>
											</td>
										</tr>
<% } %>
									</table>
								</td>
							</tr>
							<tr class="ligne_separation">
								<td></td>
							</tr>
						</table>
</fl:bigTabs>
</fl:form>
