<%@ page language="java" contentType="text/plain;charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@page import="com.edeal.frontline.controller.actions.UnicityAction"%>
<%@page import="com.edeal.frontline.controller.actions.custom.PopulationV2OperationsPrecheckAction"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
FlRequest flRequest = new FlRequest(request);
String formName = flRequest.getRequestParameterOrAttribute("formName");
if (formName != null) {
	try {
		Integer.parseInt(formName);
	} catch (NumberFormatException nfe) {
		formName = "'" + formName + "'";
	}
} else {
	formName = "0";
}

boolean alreadyExists = "1".equals(flRequest.getAttribute(UnicityAction.UNICITY_EXISTS_KEY));
boolean notsameType = "1".equals(flRequest.getAttribute(PopulationV2OperationsPrecheckAction.POPPRECHECK_TYPEERR));
String popIDToReplace = flRequest.getParameter("PopIDToReplace");

if (alreadyExists) {
	String oldID = (String)flRequest.getAttribute(UnicityAction.UNICITY_OLDKEY);
%>
	if (window.confirm('<fl:getMessage code="M609A" alt="Une population portant le même nom existe déjà. Voulez-vous l\\\'écraser par la nouvelle?" js="true"/>')) {
		var f = window.document.forms[<%= formName %>];
		f.PopIDToReplace.value = '<%= oldID %>';
		submit();
	}
<%
} else if (notsameType) {
%>
	alert('<fl:getMessage code="M6118" alt="Les populations choisies ne sont pas consistantes, elles doivent avoir les mêmes objets" js="true"/>');
<% } else if (StringUtils.isNotEmpty(popIDToReplace)) { %>
	if (confirm('<fl:getMessage code="M606B" alt="Le résultat de l\'opération remplacera le contenu de la population" js="true"/>. <fl:getMessage code="M606C" alt="Voulez-vous continuer?" js="true"/>')) {
		submit();
	}
<%
} else {
%>
	submit();
<% } %>
