<%/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PricingLineBean" id="PricingLine" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
String id = null;
String pricingID = null;
String str = null;
try {
    id = PricingLine.getID();
} catch (FieldNotInitializedException fnie) {
}
try {
    pricingID = PricingLine.getPrlPricing();
} catch (FieldNotInitializedException fnie) {
}

boolean isProduct = false;
try{
	str = PricingLine.getPrlPrdID();
}catch(FieldNotInitializedException fnie) {
}
	if (str!=null) {isProduct=true;}

float price = -1;	
boolean havePrice = false;
try{
	price = PricingLine.getPrlVariationAbs();
}catch(FieldNotInitializedException fnie) {
}
	if (price!=-1) {havePrice=true;}	
	
String saved = flRequest.getRequestParameterOrAttribute("saved");
String idParent=null;
try {
    idParent = PricingLine.getPrlPricing();
} catch (FieldNotInitializedException fnie) {
}
	
%>
<script type="text/javascript">

</script>



<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L62C7\", false, true, \"Ligne catalogue\") %>" ou="<%= \"/edit_pricing.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
    <table class="container" cellpadding="0">
		<tr>
			<td colspan="2" class="titreFiche">
				<fl:getProperty name="PricingLine" property="PrlPricing" bean="true" alt="&nbsp;" href="true" disp="<%=flRequest.computeURL(\"/read_pricing.fl\")%>"/>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
    <table class="container" cellpadding="0">
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<% if (isProduct){ %>
						<fl:fieldRead property="PrlPrdID" bean="true" href="true" disp="<%=flRequest.computeURL(\"/read_product.fl\")%>"/>
					<% } else { %>
						<fl:fieldRead property="PrlFamilyID" bean="true" href="true" disp="<%=flRequest.computeURL(\"/read_productfamily.fl\")%>"/>
					<% } 
					  
					   if (havePrice) { %>
						<fl:fieldRead property="PrlVariationAbs" postText="&nbsp;&euro;"/>
					<% } else { %>
						<fl:fieldRead property="PrlVariationRel" postText="&nbsp;%"/>
					<% } %>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="PrlStartDate" alt="&nbsp"/>
					<fl:fieldRead property="PrlEndDate" alt="&nbsp"/>
				</table>
			</td>
		</tr>
	</table>
	<fl:notes name="PrlNote" title="<%= Utils.getMessage(session, \"F2024\", \"Notes\") %>" nbPix="30"><fl:getProperty name="PricingLine" property="PrlNote" alt=""/></fl:notes>
</fl:bigTabs>