<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.text.*,java.util.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@taglib uri="http://www.e-deal.com/taglib/ft" prefix="ft" %>
<fl:allowAnonymousAccess/>
<jsp:useBean class="com.edeal.frontline.ProductBean" id="Product" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
String contextPath = (String) session.getAttribute("contextPath");
FlContext context = null;
if (contextPath != null) {
	context = Frontline.getContext(contextPath);
} else {
	context = Frontline.getContext(request.getContextPath());
}
DataDictionary dico = context.getDataDictionary();
String color = "#000000";
String familyActID = null;
try {
	String[] fields = {"PrfID", "PrfColor:RefTe2", "PrfActID"};
	String[][] query = {{"PrfID = " + Utils.formatToSQL(context, Product.getPrdFamilyID())}};
	Vector list = ProductFamilyBean.listSummary(session, fields, query);
	if (list != null && list.size() > 0) {
		String te2 = (String)((Hashtable)list.elementAt(0)).get("PrfColor:RefTe2");
		familyActID = (String)((Hashtable)list.elementAt(0)).get("PrfActID");
		
		color = te2 != null ? te2 : color;
	}
} catch (FieldNotInitializedException fnie) {
}

String actID = null;
try {
	actID = Product.getPrdActID();
} catch (FieldNotInitializedException fnie) {
	actID = familyActID;
}
%>
<html>
<head>
<title><fl:getProperty name="Product" property="PrdName" alt=""/></title>
<style type="text/css">
.prdname {
	color: <%= color %>;
	font-size: x-large;
	font-family: Verdana;
	font-weight: bolder
}
.family {
	color: <%= color %>;
	font-size: x-large;
	font-family: Verdana;
	font-weight: bolder;
	border-bottom-color:<%= color %>;
	border-bottom-style:solid;
	border-bottom-width: medium
}
.subtitle {
	color: #999999;
	font-size: large;
	font-family: Verdana;
	font-weight: bold;
	font-variant: small-caps
}
.data {
	font-family: Times;
	padding-left:10px;
	text-align: justify
}
.contact {
	font-family: Times;
	border-color: #000000;
	border-style: solid;
	border-width: thin
}
</style>
</head>
<body>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<tr valign="top">
		<td width="100%"><img src="<fl:webapp/>/icons/ico/header.jpg" border="0" style="width:100%"></td>
	</tr>
	<tr valign="top">
		<td width="100%" align="center">
			<table width="75%" cellpadding="3" cellspacing="3" border="0" align="center">
				<tr valign="top">
					<td colspan="2" class="family"><fl:getProperty name="Product" property="PrdFamilyID" bean="true" alt="&nbsp;"/></td>
				</tr>
				<tr valign="top">
					<td colspan="2" class="prdname"><fl:getProperty name="Product" property="PrdName" alt="&nbsp;"/></td>
				</tr>
				<tr valign="top">
					<td width="50%">
						<table width="100%">
							<tr valign="top">
								<td class="subtitle"><fl:getMessage code="F2045" alt="Descriptif collaborateur"/></td>
							</tr>
							<tr valign="top">
								<td class="data"><fl:getProperty name="Product" property="PrdProdCard" alt="&nbsp;" edit="false"/></td>
							</tr>
						</table>
						<table width="100%">
							<tr valign="top">
								<td class="subtitle"><fl:getMessage code="F2046" alt="Points forts"/></td>
							</tr>
							<tr valign="top">
								<td class="data"><fl:getProperty name="Product" property="PrdStrength" alt="&nbsp;" edit="false"/></td>
							</tr>
						</table>
					</td>
					<td width="50%">
						<table width="100%">
							<tr valign="top">
								<td class="subtitle"><fl:getMessage code="F2047" alt="Points Faibles"/></td>
							</tr>
							<tr valign="top">
								<td class="data"><fl:getProperty name="Product" property="PrdWeakness" alt="&nbsp;" edit="false"/></td>
							</tr>
						</table>
						<p></p>
						<%
						try {
							String picID = Product.getPrdPicID();
						%>
						<center><img src="<fl:webapp/>/download?id=<%= picID %>" border="0" style="height: 200px" align="center"></center>
						<p></p>
						<%
						} catch (FieldNotInitializedException fnie) {
						}
						%>
						<%
						String[] actFields = {"ActFstName", "ActName", "ActMail", "ActMobile", "ActFax"};
						String[][] actQuery = {{"ActID = " + Utils.formatToSQL(context, actID)}};
						Vector actList = ActorBean.listSummary(context, actFields, actQuery);
						if (actList != null && actList.size() > 0) {
							Hashtable row = (Hashtable)actList.elementAt(0);
							String actName = (row.get("ActFstName") != null ? (String)row.get("ActFstName") + " " : "") + (row.get("ActName") != null ? (String)row.get("ActName") : "");
							String actPhone = (String)row.get("ActMobile");
							String actFax = (String)row.get("ActFax");
							String actMail = (String)row.get("ActMail");
						%>
						<table width="100%" class="contact" style="padding-left: 10px">
							<tr valign="top">
								<td class="subtitle">&gt; <fl:getMessage code="L61F9" alt="Contact"/></td>
							</tr>
							<tr valign="top">
								<td class="data">
									<span style="font-weight: bolder"><%= Utils.formatToWeb(context.getLicenceManager().getLicence().getCorpName(), false) %></span><br>
									<span style="font-weight: bolder"><%= Utils.formatToWeb(actName, false) %></span><br>
									<fl:getMessage code="F0049" alt="Tl."/> : <%= Utils.formatToWeb(actPhone, false) %><br>
									<fl:getMessage code="F2013" alt="Fax"/> : <%= Utils.formatToWeb(actFax, false) %><br>
									<fl:getMessage code="F201E" alt="e-mail"/> : <ft:email idObjMod="<%actID%>" typObjMod="Actor"><%= Utils.formatToWeb(actMail, true) %></ft:email>
								</td>
							</tr>
						</table>
						<%
						}
						%>
					</td>
				</tr>
				<tr valign="top">
					<td colspan="2">&nbsp;</td>
				</tr>
				<% String label = Utils.getMessage(session, "L62EB", "Fiche") + "&nbsp;"; %>
				<tr valign="top">
					<td colspan="2" style="font-size: x-large;font-family: Arial;font-weight: bolder; border-bottom-color: #000000;border-bottom-style: solid;border-bottom-width: medium;text-align: right"><fl:getProperty name="Product" property="PrdCode" alt="&nbsp;" preText="<%= label %>"/></td>
				</tr>
				<tr valign="top">
					<td colspan="2"><fl:getMessage code="L62EC" alt="Edit le"/> <fl:getProperty name="Product" property="PrdUpd" alt="&nbsp;" format="date"/></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr valign="top">
		<td width="100%"><img src="<fl:webapp/>/icons/ico/footer.jpg" border="0" style="width:100%"></td>
	</tr>
</table>
</body>
</html>