<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.ProductFamilyBean" id="ProductFamily" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
String id = null;
try {
    id = ProductFamily.getID();
} catch (FieldNotInitializedException fnie) {
}
%>
<script type="text/javascript">
function refreshProduct(){
	_grid__PRDFAM_EMB_js_.render();
}

function selectProd(idProd){
	var url = '<%=flRequest.computeURL("/read_product.fl", true, false, true)%>'+'&id='+idProd;
	window.location = url;
}

function viewActor(actID){
	var url = '<%=flRequest.computeURL("/read_actor.fl")%>'+'&id='+actID;
	window.location = url;
}

function doOnLoad(){
	refreshProduct();
}
</script>

<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L62E4\",false, true, \"Famille de produit\") %>" ou="<%= \"/read_productfamily.fl\" + (id != null ? \"?id=\" + id : \"\")%>">
    <table class="container" cellpadding="0">
		<tr>
			<td class="titreFiche">
				<fl:getProperty name="ProductFamily" property="PrfTitle" alt="&nbsp;"/>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
    <table class="container" cellpadding="0">
		<tr class="fieldline">
			<td class="column2">
				<table class="container" cellpadding="0">					
					<fl:fieldRead property="PrfCode"/>	
					<fl:fieldRead property="PrfActID" bean="true"/>
					<fl:fieldRead property="PrfQualification"/>			
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="container" cellpadding="0">					
					<fl:fieldRead property="PrfColor"/>					
				</table>
			</td>
		</tr>
	</table>
	<fl:notes name="PrfDesc" title="<%= Utils.getMessage(session,\"L2007\", \"Description\") %>" nbPix="30"><fl:getProperty name="ProductFamily" property="PrfDesc" alt=""/></fl:notes>				
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
	<fl:smallTabs name="ProductFamilyTabs">
		<fl:sTab hideLink="false" id="DescCol" title="<%= Utils.getMessage(session, \"F2048\", false, true, \"Produits\")%>" onselect="refreshProduct()">
			<div style="height:270px">
				<fl:grid height="184" width="100%" name="PRDFAM_EMB" ajaxUrl="<%= \"/embedded_list_ajax.fl?PrdFamilyID=\" + ProductFamily.getID() %>"/>
			</div>
		</fl:sTab>
		<fl:sTab id="PRODUCTFAMILY1" title="<%= context.getAutoDisplayManager().getTitle(session, \"ProductFamily\", \"Famille Produit 1\") %>" visible="<%= context.getAutoDisplayManager().hasEntry(\"ProductFamily\", \"Famille Produit 1\") %>">
			<fl:autodisplay name="ProductFamily" zone="Famille Produit 1"/>
		</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>
