<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" contentType="text/plain;charset=UTF-8"%><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="java.util.Vector" %><%@ page import="java.util.Hashtable" %><%@ page import="java.util.Date" %><%@ page import="java.text.DateFormat" %><%@ page import="com.edeal.frontline.FlLocale" %><%@ page import="java.text.NumberFormat" %><%@ page import="com.edeal.frontline.Utils" %><%@ page import="com.edeal.frontline.FlContext" %><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	
	Vector result = (Vector)flRequest.getAttribute("result");
	Hashtable row;
	if (result != null && result.size() > 0) {
		row = (Hashtable)result.elementAt(0);
	} else {
		row = new Hashtable();
	}
	
	String[] fields = (String[])flRequest.getAttribute("fields");
	if (fields == null || fields.length < 5) {
		fields = new String[] { "", "", "", "", "" };
	}
	
	String PgeID = flRequest.getParameter("PgeID");
	String link;
	if (Utils.isNullEmptyString(PgeID)) {
		link = "<a href=\\\"javascript:addProd();\\\"><img src=\\\"" + context.getContextName() + "/icons/ico/cochevalid.gif\\\" class=\\\"icon\\\"></a>";
	} else {
		link = "<a href=\\\"javascript:SavePge(\\\'"+ PgeID + "\\\');\\\"><img src=\\\"" + context.getContextName() + "/icons/ico/cochevalid.gif\\\" class=\\\"icon\\\"></a>";
	}
	
	DateFormat df = FlLocale.getInstance(session).getDateFormat();
	NumberFormat mf = FlLocale.getInstance(session).getDecimalFormat("#,##0.00");
	String PrdCode = (String)row.get(fields[0]);
	String PrdFamily = (String)row.get(fields[1]);
	String PrdNom = (String)row.get(fields[2]);
	Date PrdDate = (Date)row.get(fields[3]);
	Double PrdPrice = (Double)row.get(fields[4]);
	String PrdID = (String)row.get(fields[5]);
	Integer PgeNombre = (Integer)row.get("PgeNombre");

%>
document.getElementById('PrdFamily').innerHTML = '<%= PrdFamily == null ? "" : Utils.formatToJavascript(PrdFamily) %>';
document.getElementById('PgePrdCode').innerHTML = '<%= PrdCode == null ? "" : Utils.formatToJavascript(PrdCode) %>';
document.getElementById('PrdNom').innerHTML = '<%= PrdNom == null ? "" : Utils.formatToJavascript(PrdNom) %>';
document.getElementById('PrdDate').innerHTML = '<%= PrdDate == null ? "" : df.format(PrdDate) %>';
document.getElementById('PrdPrice').innerHTML = '<%= PrdPrice == null ? "" : mf.format(PrdPrice.doubleValue()) %> €';
document.forms[0].PrdID.value = '<%= PrdID == null ? "" : PrdID %>';
document.getElementById('PrdLink').innerHTML = '<%= link %>';
document.forms[0].PgeNombre.value = '<%= PgeNombre == null ? "" : PgeNombre.toString() %>';
