<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true" import="com.edeal.frontline.*"%>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.helper.EventBaseHelper.EventCategory" %> 
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.ScriptBean" id="Script" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();

	String id = null;
	try {
		id = Script.getID();
	} catch (FieldNotInitializedException fnie) {
	}

	
	String scrEventID = null;
	try {
		scrEventID = Script.getScrEventID();
	} catch (FieldNotInitializedException fnie) {
	}

	
	Vector listElements;
	try {
		String[] lseFields = { "LseID" };
		String[][] lseQuery = {{ "LseScriptID = " + Utils.formatToSQL(context, id) }};
		listElements = LinkScriptElementBean.listSummary(context, lseFields, lseQuery);
	} catch (Exception e) {
		listElements = new Vector();
	}
	
	String SfwID = request.getParameter("SfwID");
	
%>
<style type="text/css">
.dataValueX {
	overflow: hidden;
	margin: 0px;
	padding: 0px;
	padding-left: 10px;
	font-size: small;
	font-size: expression("x-small");
	color: rgb(0, 0, 0);
	font-family: Arial, Verdana, sans-serif;
	vertical-align: top;
	padding: 4px;
}
.borderLineOne {
	border-right: 1px dashed #9EC6D0;
	border-bottom: 1px dashed #9EC6D0;
	
}
.borderLineTwo {
	border-right: 1px dashed #9EC6D0;
}
</style>

<script type="text/javascript" language="javascript">
	function doSubmit() {
		var mf = document.forms[0];
		if (mf.ScrLabel.value == '') {
			window.alert('<fl:getMessage code="M2002" alt="Veuillez spcifier un libell." js="true"/>');
			mf.ScrLabel.focus();
			return false;
		}
		if (mf.ScrEventID.value == '') {
			alert('<fl:getMessage code="M6068" alt="Un script doit tre associ  un vnement. Veuillez slectionner un vnement." js="true"/>');
			return false;
		}
		return true;
	}
	
	function waitNrefresh(){
		setTimeout('refreshSelectedLse()',5);
	}
	
	function doRefresh(){
		window.location = '<%= flRequest.computeURL("/read_script.fl?id=" + id, true, true, true) %>';
	}
	
	function viewPage(pageID){
		var win = window.open('<%= flRequest.computeURL("/read_scriptpage.fl") %>'+'&id='+pageID, '','menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=800,height=200');
	}
	
	function viewLinkScriptElement(sceID){
		var win = window.open('<%= flRequest.computeURL("/read_linkscriptelement.fl") %>'+'&id='+sceID,'','menubar=no,status=yes,toolbar=no,resizable=yes,width=810,height=330');
	}

	function doOnLoad(){
		var msg = '<%= request.getAttribute("nbDeleted") %>';
		
		if (msg != 'null' && msg.length >0){
			alert(msg+' <fl:getMessage code="L615C" alt="rponses supprimes" js="true"/>');
		}
	}
	
	function refreshList(){
			doAjax('<fl:webapp/>/linkScriptElement_list_ajax.fl?ScrID=<%= id %>&SfwID=<%= SfwID %>');
	}

	function refreshSelectedLse(){
		setTimeout("refreshList()", 100);
	}
	
</script>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L63F9\", false, true, \"Script\") %>" ou="<%= \"/read_script.fl\" + ( id != null ? \"?id=\" + id : \"\") %>" >
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3" class="titreFiche"><fl:getProperty name="Script" property="ScrLabel" alt=""/>
			</td>
		</tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
		<fl:autodisplay name="Script" zone="ScriptProfile"/>
		<fl:notes name="SceDescription" title="Description"><fl:getProperty name="Script" property="ScrDetails" alt="&nbsp;"/></fl:notes>
		<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
		<fl:smallTabs name="ScriptTabs">
		<fl:sTab id="LISTEREP" title="<%= Utils.getMessage(session, \"L305F\", \"Evnement\") %>">
			<table class="container" cellpadding="0">
				<tr>
					<td class="column2">
						<table class="container" cellpadding="0">																				
							<fl:fieldRead property="ScrEventID" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_event.fl?id=\" + scrEventID) %>"/>
						</table>
					</td>
				</tr>
				<tr class="ligne_separation"><td></td></tr>
				<tr>	
					<td class="column2">
						<table class="container" cellpadding="0">																					
							<fl:fieldRead property="ScrParStatus"/>			
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table class="data_column" cellpadding="0">							
							<fl:fieldRead property="ScrParStatusRule"/>			
						</table>			
					</td>
				</tr>
			</table>
			
		</fl:sTab>

		<fl:sTab id="EltSCRIPT" title="<%= Utils.getMessage(session, \"L61E8\", \"Elment de script\") %>" onselect="javascript:refreshSelectedLse();">	
				<div id="ELTSCRIPT1">
				<table cellpadding="0" style="width: 100%;">
							<tr>
								<td>
									&nbsp;
								</td>
							</tr>
				</table>
				</div>	
		</fl:sTab>
</fl:smallTabs>
</fl:bigTabs>
<script>
	function doPreview(){
	<%if (listElements.size() > 0 && scrEventID != null){%>
		var win = window.open("<fl:webapp/>/preview_scriptresponse.fl?scriptID=<%= id %>&preview=1&lsePosition=0&hasNotes=<%= Script.isScrHasNotes()%>" , "ViewSrp",'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=1000,height=800');
	<%}else if (scrEventID == null){%>
		alert('<fl:getMessage code="M60D9" alt="Veuillez spcifier un vnement" js="true"/>');
	<%}else{%>
		alert('<fl:getMessage code="L61FF" alt="Aucun lment de script n\\\'est rattach  ce script." js="true"/>');
	<%}%>
	}
</script>
