<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true"%><%@ page import="com.edeal.frontline.navigation.FlRequest"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<jsp:useBean class="com.edeal.frontline.ScriptBean" id="Script" scope="request"/>
<%    
    String id = null;
    FlRequest flRequest = new FlRequest(request);
    try{
    	id = Script.getID();
    }catch(FieldNotInitializedException fnie){
    }
    
%>
<script language="javascript">
function doDelete(){
	if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
		window.parent.location = '<fl:link url="<%= \"/delete_script.fl?id=\" + id %>"/>';
	}		
}

function addPage(){
	window.open('<%=flRequest.computeURL("/create_scriptpage.fl?ScpScriptID="+id)%>','','menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=800,height=200');
}

function addScriptElement(){
	window.open('<%=flRequest.computeURL("/create_linkscriptelement.fl?LseScriptID="+id)%>','','menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=800,height=180');
}


function doPurge(){
	if (confirm('<fl:getMessage code="M607D" alt="Etes-vous sr de vouloir purger les rponses pour ce script?" js="true"/>')) {
		window.parent.location = '<fl:link url="<%= \"/purge_scriptresponse.fl?id=\" + id%>"/>';
	}		
}

</script>

<fl:access name="Script" operation="edit">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/edit_script.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access name="Script" operation="delete">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="javascript:doDelete();">
                    <p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access name="Script" operation="create">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
				<p class="actions_tabletext" ><a href="<%=flRequest.computeURL("/script_copy.fl?id="+id+"")%>"><fl:getMessage code="L662A" alt="Dupliquer"/></a></p>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access name="ScriptPage" operation="create">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
				<p class="actions_tabletext" ><a href="javascript:addPage()"><fl:getMessage code="L6416" alt="Page +"/></a></p>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access name="ScriptElement" operation="create">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
				<p class="actions_tabletext" ><a href="javascript:addScriptElement();"><fl:getMessage code="L61EF" alt="Elment de script"/>&nbsp;+</a></p>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
   <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
				<p class="actions_tabletext" ><a href="javascript:doPreview();"><fl:getMessage code="L6147" alt="Prvisualiser"/></a></p>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    
<fl:access operation="delete" name="ScriptResponse">
     <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
     <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
				<p class="actions_tabletext" ><a href="javascript:doPurge();"><fl:getMessage code="L614A" alt="Purge des rponses"/></a></p>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>    