<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true" import="com.edeal.frontline.*,java.util.*,java.text.*, java.lang.*, java.lang.reflect.*,com.edeal.frontline.navigation.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.ScriptElementBean" id="ScriptElement" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();

String id = null;
	try{
		id = ScriptElement.getID();
	}catch(FieldNotInitializedException fnie){
		id = flRequest.getRequestParameterOrAttribute("id");
	}
	

int seqNum = 0;
try {
	seqNum = ScriptElement.getSceSeqNum();
} catch (FieldNotInitializedException fnie) {
	seqNum = CounterFactory.getCounter(context , "ScriptElementNum");
	ScriptElement.setSceSeqNum(seqNum);
}
DecimalFormat df = FlLocale.getInstance(session).getDecimalFormat("0000");

try { ScriptElement.getSceLanguage(); }
catch (FieldNotInitializedException e) { ScriptElement.setSceLanguage((String)session.getAttribute("actorLng")); }

try {
	ScriptElement.getSceType();
} catch (FieldNotInitializedException fnie) {
	ScriptElement.setSceType(dico.getRefIdByCode("SceType", "FRE"));
}
String sceType = null;
try {
	sceType = ScriptElement.getSceType();
} catch (FieldNotInitializedException fnie) {
}

int hasAnswers = 0;
try {
	hasAnswers = ScriptElement.getSceHasAnswers();
} catch (FieldNotInitializedException e) {

}


String sizeTab="100%";
if (hasAnswers==1){
	sizeTab="50%";
}

try {
	ScriptElement.getSceDispType();
} catch (FieldNotInitializedException fnie) {
	ScriptElement.setSceDispType(dico.getRefIdByCode("SceDispType", "COMBO"));
}
String sceDispType = null;
try {
	sceDispType = ScriptElement.getSceDispType();
} catch (FieldNotInitializedException fnie) {
}

int sceAssociatedText = 0;
try {
	sceAssociatedText = ScriptElement.getSceAssociatedText();
} catch (FieldNotInitializedException fnie) {
}

//if script element has recorded answers, it should not be modified
boolean canBeModified = true;
if (id != null) {
	String[][] query3 = {{"SerLseID:LseScriptElementID = " + Utils.formatToSQL(context, id)}};
	String[] fields3 = {"SerID"};
	//Utils.showQuery(fields3, query3);
	Vector responses = ScriptElementResponseBean.listSummary(session , fields3, query3);
	//logger.debug("Responses " + responses);
	if (responses != null && responses.size() > 0) {
		canBeModified = false;
	}
}

//if we are importing values from a reference table, delete existing values then grab and set new ones
String importRefTableID = Utils.getRequestParameter(context, request, "ImportRefTableID");
if (importRefTableID != null && !"".equals(importRefTableID)) {
	Vector values = dico.getRefList(session, importRefTableID, "Te1");	
	Class sceClass = Class.forName("com.edeal.frontline.ScriptElementBean");
	for (int i = 0 ; i < 15 ; i++) {
		Class[] params = {new String().getClass()};
		Method method = sceClass.getMethod("setSceLstAnswer" + i, params);
		if (i < values.size()) {
			Object[] objects = {(String)((Vector)values.elementAt(i)).elementAt(1)};
			method.invoke(ScriptElement, objects);
		} else {
			Object[] objects = {new String()};
			method.invoke(ScriptElement, objects);
		}
	}
}

//Refresh variables
String isRefresh = Utils.getRequestParameter(context, request, "IsRefresh");
String linksValues = Utils.getRequestParameter(context, request, "LinksValues");
String linksTexts = Utils.getRequestParameter(context, request, "LinksTexts");


%>
<meta HTTP-EQUIV="Pragma" CONTENT="no-cache">
<html>
<head>
<title><fl:getMessage code="L61EF" alt="Elment de script"/></title>

<style type="text/css">
.dataValueX {
	overflow: hidden;
	margin: 0px;
	padding: 0px;
	padding-left: 10px;
	font-size: small;
	font-size: expression("x-small");
	color: rgb(0, 0, 0);
	font-family: Arial, Verdana, sans-serif;
	vertical-align: top;
	padding: 4px;
}
.borderLineOne {
	border-right: 1px dashed #9EC6D0;
	border-bottom: 1px dashed #9EC6D0;
	
}
.borderLineTwo {
	border-right: 1px dashed #9EC6D0;
}
</style>
<script language="javascript">
function beforeSubmit() {
	var mf = document.forms[0];
	var mySelect = mf.Links;
	var i;
	var allKeys = "";
	for (i=0 ; i < mySelect.options.length ; i++) {
		allKeys += (i == 0 ? "" : "|") + mySelect.options[i].value;
	}

	mf.LinksKeys.value = allKeys;
	
	if(mf.answers.checked == true) { 
		mf.SceHasAnswers.value = parseInt('1');
	 } else { 
		mf.SceHasAnswers.value = parseInt('0');
	 } 
	prepNums();
	presentFieldsValue();
}

<%--
Clotilde June 2002
The content of prepNums used to be in beforeSubmit. I'm creating a function so I can call it from doRefresh, because we also
need to prep the numbers when we refresh, which wasn't the case...
--%>
function prepNums() {
	var mf = document.forms[0];
<% if ( (hasAnswers == 1) && ((sceType.equals(dico.getRefIdByCode("SceType", "REF")) || sceType.equals(dico.getRefIdByCode("SceType", "LST"))) && (sceDispType.equals(dico.getRefIdByCode("SceDispType", "RADIO")) || sceDispType.equals(dico.getRefIdByCode("SceDispType", "CHECK")))) ) { %>
	prepNumsForSubmit(separateurDecimal, separateurMilliers, mf.SceColumnsNb);
<% } %>
<% if ( (hasAnswers == 1) && (sceType.equals(dico.getRefIdByCode("SceType", "FRE")))) { %>
	prepNumsForSubmit(separateurDecimal, separateurMilliers, mf.SceInputSize);
<% } %>
}

function doSubmit() {
	if (<%= canBeModified %> == false) {
		alert('<fl:getMessage code="M606F" alt="Cet lment de script est utilis par au moins un script. Il n\'est donc pas possible de le modifier." js="true"/>');
		return false;
	}

	beforeSubmit();
	return true;
}

function doImportRefTable() {
	var mf = document.forms[0];
	if (mf.ImportRefTable.selectedIndex > 0) {
		mf.ImportRefTableID.value = mf.ImportRefTable.options[mf.ImportRefTable.selectedIndex].value;
		doRefresh();
	} else {
		alert('<fl:getMessage code="M6070" alt="Veuillez choisir une table de rfrence pour en importer les valeurs." js="true"/>');		
	}
}

function doRefresh() {
	var mf = document.forms[0];
	mf.IsRefresh.value='1';
	if(mf.answers.checked == true) { 
		mf.SceHasAnswers.value = parseInt('1');	
	 } else { 
		mf.SceHasAnswers.value = parseInt('0');
	 } 
	//calcLinksTexts();
	prepNums();
	presentFieldsValue();
	mf.action = '<%=flRequest.computeURL("/refresh_scriptelement.fl")+ (id!=null ? "&id="+id : "")%>';	
	doExitConf = false;
	mf.submit();
}

function calcLinksTexts(){
	var f = document.forms[0];
	var i = 0;
	
	f.LinksTexts.value = '';
	f.LinksValues.value = '';
	
	for (i=0; i<getSize(f.Links); i++){
			if (i==0){
				f.LinksTexts.value = f.Links[i].text;
				f.LinksValues.value = f.Links[i].value;				
			}else{
				f.LinksTexts.value = f.LinksTexts.value + '|' + f.Links[i].text;
				f.LinksValues.value = f.LinksValues.value + '|' + f.Links[i].value;						
			}
	}
}

function getSize(list){
    /* Mozilla ignores whitespace, 
       IE doesn't - count the elements 
       in the list */
    var len = list.childNodes.length;
    var nsLen = 0;
    //nodeType returns 1 for elements
    for(i=0; i<len; i++){
        if(list.childNodes.item(i).nodeType==1)
            nsLen++;
    }

    return nsLen;
}

function addObjection() {
	var win = window.open('<fl:webapp/>/select_link_objarg.fl?type=ObjectionArgument&field=LsoScriptElementID&formIndex=0', 'LinkSelect', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=800,height=400'); 
}

function moveSelect(monSelect, laDirection)
{
   var i, p, n;

   p = monSelect.selectedIndex;
   n = monSelect.options.length;

   if (p == -1)
      return;
   if ( (p == 0) && (laDirection == 1) )
      return;
   if ( (p == n-1) && (laDirection == -1) )
      return;

   nouvOrdreText = new Array(n);
   nouvOrdreValue = new Array(n);

   for (i=0 ; i<n ; i++)
   {
      if ( (laDirection == 1) && (i == p-1) ) {
         nouvOrdreText[i] = monSelect.options[p].text;
         nouvOrdreValue[i] = monSelect.options[p].value;
      } else if ( (laDirection == 1) && (i == p) ) {
         nouvOrdreText[i] = monSelect.options[p-1].text;
         nouvOrdreValue[i] = monSelect.options[p-1].value;
      } else if ( (laDirection == -1) && (i == p) ) {
         nouvOrdreText[i] = monSelect.options[p+1].text;
         nouvOrdreValue[i] = monSelect.options[p+1].value;
      } else if ( (laDirection == -1) && (i == p+1) ) {
         nouvOrdreText[i] = monSelect.options[p].text;
         nouvOrdreValue[i] = monSelect.options[p].value;
      } else {
         nouvOrdreText[i] = monSelect.options[i].text;
         nouvOrdreValue[i] = monSelect.options[i].value;
      }
   }

   while (monSelect.options.length > 0) {
   	monSelect.options[monSelect.options.length - 1] = null;
   }

   for (i = 0 ; i < nouvOrdreValue.length ; i++) {
      monSelect.options[i] = new Option(nouvOrdreText[i], nouvOrdreValue[i]);
   }

   monSelect.selectedIndex = p - laDirection;
}

function removeSelect(monSelect) {
	var i, p, n;
	
	p = monSelect.selectedIndex;
	n = monSelect.options.length;
	
	if (p == -1)
		return;
	
	if (p == n-1) {
		monSelect.options[n-1] = null;
		return;
	}
	
	for (i=p ; i < n-1 ; i++) {
		monSelect.options[i].value = monSelect.options[i+1].value;
		monSelect.options[i].text = monSelect.options[i+1].text;
	}
	monSelect.options[n-1] = null;
}

function moveLineUp() {
	var mf = window.document.forms[0];
	moveSelect(mf.Links, 1);
}
function moveLineDown() {
	var mf = window.document.forms[0];
	moveSelect(mf.Links, -1);
}
function removeLine() {
	var mf = window.document.forms[0];
	removeSelect(mf.Links);
}

</script>
<title><fl:getMessage code="L2025" alt="e-Deal"/></title>
</head>

<fl:form multivalSeparator=";" action="<%=\"/save_scriptelement.fl\"+(id!=null ? \"?id=\"+id :\"\")%>" bean="ScriptElement">
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L61EF\", false, true, \"Elment de script\")%>" ou="<%=\"/edit_scriptelement.fl\" +(id!=null ? \"?id=\"+id :\"\")%>" listTitle="<%=Utils.getMessage(session, \"L61F0\", false, true, \"Liste des lments de script\")%>">

 	<input type="hidden" name="$$presentFields">
	<input type="hidden" name="ImportRefTableID" value="">
	<input type="hidden" name="IsRefresh" value="">
	<input type="hidden" name="LinksTexts" value="<%=(linksTexts!=null ? ""+linksTexts : "")%>">
	<input type="hidden" name="LinksValues" value="<%=(linksValues !=null ? ""+linksValues : "")%>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3">
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td class="labelTitreFiche">
							<fl:label field="SceLabel" labelClassName="titreFiche"/>
						</td>
						<td class="fieldTitreFiche">
							<fl:input property="SceLabel" mandatoryMsgCode="M2002"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
		<tr>
			<td class="column2">
				<table class="container" cellpadding="0">
					<fl:fieldEdit property="SceSeqNum" readOnly="true"/> 
					<fl:fieldEdit property="SceCategory"/>
					
					<tr class="fieldline">
					
						<td class="dataLabel"><fl:label code="L6149"/></td>
						<td class="dataValue">
						<div>
							<input class="checkbox" style="margin-left: 0px;" type="checkbox" name="answers" onClick="doRefresh()"  <%= hasAnswers == 1 ? "checked" : ""%>></div>
							<input type="hidden" name="SceHasAnswers" value="<%= hasAnswers %>">
						</td>
					</tr>
<% if (hasAnswers == 1) { %>
					<fl:fieldEdit property="SceType" onchange="doRefresh()"/> 

	<% if (sceType.equals(dico.getRefIdByCode("SceType", "REF"))) { %>
							<tr class="fieldline">
								<td class="dataLabel"><fl:label code="F6011"/></td>
								<td class="dataValue">
									<div class="input select"><select name="SceRefTable" onChange="doRefresh()" class="input select">
							    		<option></option>
		    		<% 
		    		String[] tabFields = {"TabID", "TabName"};
		    		String[] tabOrderBy = {"TabName"};
		    		Vector tablesList = TablesBean.listSummary(session, tabFields, tabOrderBy);
		    		String oldSceTabID = null;
		    		try {
		    			oldSceTabID = ScriptElement.getSceRefTable();
		    		} catch (FieldNotInitializedException e) {
		    		}
		    		if (tablesList != null && !tablesList.isEmpty()) {
		    			for (int i = 0; i < tablesList.size(); i++) {
		    				Hashtable line = (Hashtable)tablesList.elementAt(i);
		    				String tabID = (String)line.get("TabID");
		    				String tabName = (String) line.get("TabName");
		    				%>
		    							<option value="<%= Utils.formatToWeb(tabID, true) %>" <%= tabID.equalsIgnoreCase(oldSceTabID) ? "selected" : "" %> ><%= Utils.formatToWeb(tabName, true) %></option>
		    				<%
		    			}
		    		}
		    		%>
					    			</select></div>
								</td>
							</tr>
	<% } %>
	<% if (sceType.equals(dico.getRefIdByCode("SceType", "LST"))) { %>
							<tr class="fieldline">
								<td class="dataLabel"><fl:label code="F6011"/></td>
								<td class="dataValue">
									<div class="fieldTable" ><table class="fieldTable" cellpadding="0"><tr><td class="principalText">
									<div class="input select"><select name="ImportRefTable" class="input select">
							    			<option></option>
		    		<% 
		    		String[] tabFields = {"TabID", "TabName"};
		    		String[] tabOrderBy = {"TabName"};
		    		Vector tablesList = TablesBean.listSummary(session, tabFields, tabOrderBy);
		    		String oldSceTabID = null;
		    		try {
		    			oldSceTabID = ScriptElement.getSceRefTable();
		    		} catch (FieldNotInitializedException e) {
		    		}
		    		if (tablesList != null && !tablesList.isEmpty()) {
		    			for (int i = 0; i < tablesList.size(); i++) {
		    				Hashtable line = (Hashtable)tablesList.elementAt(i);
		    				String tabID = (String)line.get("TabID");
		    				String tabName = (String) line.get("TabName");
		    				%>
		    			<option value="<%= Utils.formatToWeb(tabID, true) %>"><%= Utils.formatToWeb(tabName, true) %></option>
		    				<%
		    			}
		    		}
		    		%>
					    				</select></div>
					    				</td>
					    				<td class="postText">&nbsp;
					    					<a href="javascript:doImportRefTable()"><fl:getMessage code="A0015" alt="Importer"/></a>
					    				</td>
					    			</tr></table></div>
								</td>
							</tr>
	<% } %>
	<% if ( (sceType.equals(dico.getRefIdByCode("SceType", "REF")) || sceType.equals(dico.getRefIdByCode("SceType", "LST"))) && (sceDispType.equals(dico.getRefIdByCode("SceDispType", "RADIO")) || sceDispType.equals(dico.getRefIdByCode("SceDispType", "CHECK"))) ) { %>
							<fl:fieldEdit property="SceColumnsNb"/> 
	<% } %>

<% } %>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">	
				<table class="container" cellpadding="0">												
					<fl:fieldEdit property="SceLanguage"/>			
					<fl:fieldEdit property="SceJSPPage"/>
					<tr class="fieldline">
						<td id="SceImage_label" class="dataLabel">
							<fl:label code="F6025"/>
						</td>
						<td id="SceImage_value" class="dataValue">
							<div class="fieldTable" >
								<fl:attach name="ScriptElement" colID="SceImage" edit="true"/>
							</div>
						</td>
					</tr>			
<% if (hasAnswers == 1 && sceType.equals(dico.getRefIdByCode("SceType", "FRE"))) { %>
						<fl:fieldEdit property="SceInputSize"/> 
<% } %>
<% if (hasAnswers == 1) { %>
	<% if (sceType.equals(dico.getRefIdByCode("SceType", "REF")) || sceType.equals(dico.getRefIdByCode("SceType", "LST"))) { %>
							<fl:fieldEdit property="SceDispType" onchange="doRefresh()"/>
	<% } %>
<% if (sceType.equals(dico.getRefIdByCode("SceType", "REF")) || sceType.equals(dico.getRefIdByCode("SceType", "LST"))) { %>
							<tr class="fieldline">
								<td class="dataLabel"><fl:label code="F604F"/></td>
								<td class="dataValue">
				<%
					int associatedText = 0;
					try {
						associatedText = ScriptElement.getSceAssociatedText();
					} catch (FieldNotInitializedException fnie) {
					}
				%>
									<div class="input select">
									<select name="SceAssociatedText" onChange="doRefresh()" class="input select">
										<option value="0" <%= associatedText == 0 ? "selected" : "" %> ><fl:getMessage code="L2006" alt="Non"/></option>
										<option value="20" <%= associatedText == 0? "" : "selected" %> ><fl:getMessage code="L2005" alt="Oui"/></option>
									</select>
									</div>
								</td>
							</tr>
	<% } %>

	<%////////MODIFIER PAR UHMAROC (L'ajout d'un div pour le <select>)
	if ((sceAssociatedText == 0) && sceType.equals(dico.getRefIdByCode("SceType", "LST")) && (sceDispType.equals(dico.getRefIdByCode("SceDispType", "RADIO")) || sceDispType.equals(dico.getRefIdByCode("SceDispType", "CHECK"))) ) { %>
						<tr class="fieldline">
								<td class="dataLabel"><fl:label code="F6052"/></td>
								<td class="dataValue">
				<%
					int hasOther = 0;
					try {
						hasOther = ScriptElement.getSceHasOther();
					} catch (FieldNotInitializedException fnie) {
					}
				%>
								<div class="input select">
									<select name="SceHasOther" class="input select">
										<option value="0" <%= hasOther == 0 ? "selected" : "" %> ><fl:getMessage code="L2006" alt="Non"/></option>
										<option value="20" <%= hasOther == 0 ? "" : "selected" %> ><fl:getMessage code="L2005" alt="Oui"/></option>
									</select>
								</div>
							</td>
						</tr>
	<% } %>
<% } %>
				</table>
			</td>						
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titrePartie"><fl:getMessage code="L2007" alt="Description"/></td>
		</tr>
		<tr>
			<td class="dataValue noPaddingLeft"><fl:input property="SceDescription" nodiv="false"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>

<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<fl:smallTabs name="ElmentScriptTabs">

<% if (hasAnswers == 1 && sceType.equals(dico.getRefIdByCode("SceType", "LST"))) { %>
	<fl:sTab id="LISTEREP" title="<%= Utils.getMessage(session, \"L6137\", \"Liste Rponses Possibles\") %>">
		<table class="container" cellpadding="0">
			<tr>
				<td class="column3">
					<table class="container" cellpadding="0">
						<fl:fieldEdit property="SceLstAnswer0" label="1"/>
						<fl:fieldEdit property="SceLstAnswer1" label="2"/>
						<fl:fieldEdit property="SceLstAnswer2" label="3"/>
						<fl:fieldEdit property="SceLstAnswer3" label="4"/>
						<fl:fieldEdit property="SceLstAnswer4" label="5"/>	
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column3">
					<table class="container" cellpadding="0">
						<fl:fieldEdit property="SceLstAnswer5" label="6"/>
						<fl:fieldEdit property="SceLstAnswer6" label="7"/>	
						<fl:fieldEdit property="SceLstAnswer7" label="8"/>	
						<fl:fieldEdit property="SceLstAnswer8" label="9"/>	
						<fl:fieldEdit property="SceLstAnswer9" label="10"/>	
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column3">
					<table class="container" cellpadding="0">
						<fl:fieldEdit property="SceLstAnswer10" label="11"/>	
						<fl:fieldEdit property="SceLstAnswer11" label="12"/>	
						<fl:fieldEdit property="SceLstAnswer12" label="13"/>	
						<fl:fieldEdit property="SceLstAnswer13" label="14"/>	
						<fl:fieldEdit property="SceLstAnswer14" label="15"/>	
					</table>
				</td>
			</tr>
		</table>
	</fl:sTab>
<% } %>
<% 
	String sceRefTable = null;
	try {
		sceRefTable = ScriptElement.getSceRefTable();
	} catch (FieldNotInitializedException fnie) {
	}
	if (hasAnswers == 1 && sceType.equals(dico.getRefIdByCode("SceType", "REF")) && sceRefTable != null) { %>
	<fl:sTab id="REFERENTIEL" title="<%= Utils.getMessage(session, \"L6019\", \"Valeurs de rfrence\") %>">
		<table class="container" cellpadding="0">
			<tr>
				<td class="column2">
					<table class="container" cellpadding="0">
	<%
		boolean isBlueRef = false;
		try {
			Vector refList = dico.getRefList(session, sceRefTable , "Te1");
			if (refList != null && refList.size() > 0) {
				for (int i=0 ; i < refList.size() ; i++) {
					String refValTe1 = (String) ((Vector) refList.elementAt(i)).elementAt(1);
	%>
					<tr class="fieldline">
						<td style="<%= (isBlueRef?  "background : #EBF4F6" : "background : #FFFFFF" )%>" class="dataValueX borderLineOne" width="10%" >
							<%= i+1 %>
						</td>
						<td style="<%= (isBlueRef?  "background : #EBF4F6" : "background : #FFFFFF" )%>" class="dataValueX borderLineOne" width="80%" >
							<%= refValTe1 %>
						</td>
					</tr>
<%
				isBlueRef = !isBlueRef;
				}
			}
		} catch (FrontlineException fe) {
		}
%>
					</table>
				</td>
			</tr>
		</table>
	</fl:sTab>
<% }//End if hasAnswer == 1 and type = REF
%>

<fl:sTab id="OBJECTION" title="<%= Utils.getMessage(session, \"L61FC\", \"Liste des objections / arguments\") %>">
		<table class="container" cellpadding="0">
			<tr class="fieldline">
				<td class="column2">
					<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td nowrap class="dataLabel">
								<a href="javascript:addObjection()"><fl:getMessage code="L61FA" alt="Objection / Argument"/> +</a>
								<br>
								<a href="javascript:moveLineUp()"><img src="<fl:webapp/>/icons/ico/flecheH.gif" border="0"></a> &nbsp;
								<a href="javascript:removeLine()"><img src="<fl:webapp/>/icons/ico/supprimer.gif" border="0"></a> &nbsp;
								<a href="javascript:moveLineDown()"><img src="<fl:webapp/>/icons/ico/flecheB.gif" border="0"></a>								
							</td>
							<td class="dataValue">
							<input type="hidden" name="toEvalSelectLinks" value=""><input type="hidden" name="LinksKeys">				
							<select name="Links" size="20"  onFocus="if (window.document.forms[0].toEvalSelectLinks.value != '') {eval(window.document.forms[0].toEvalSelectLinks.value); window.document.forms[0].toEvalSelectLinks.value = ''}" multiple style="width:100%">
<%
	if (isRefresh != null && "1".equals(isRefresh)) {
		
		Vector linksValuesVec = Utils.explodeList(linksValues , "|");
		Vector linksTextsVec = Utils.explodeList(linksTexts , "|");
		for (int i=0 ; i<linksValuesVec.size() ; i++) {
			String curVal = (String) linksValuesVec.elementAt(i);
			String curTxt = (String) linksTextsVec.elementAt(i);
%>
								<option value="<%= curVal %>"><%= curTxt %></option>
<%
		}
	} else {
		if (id != null) {
			String[][] query = {{"LsoScriptElementID = " + Utils.formatToSQL(context, id)}};
			String[] fields = {"LsoID" , "LsoObjectionID" , "LsoObjectionID:ObaObjection", "LsoPosition"};
			String[] orderBy = {"LsoPosition"};
			
			Vector linksList = LinkScriptElementObjectionBean.listSummary(session , fields, query, orderBy);
			if (linksList != null && linksList.size() > 0) {
				for (int i=0 ; i < linksList.size() ; i++) {
					Hashtable curLink = (Hashtable) linksList.elementAt(i);
					String curLsoObjectionID = (String) curLink.get("LsoObjectionID");
					String objection = (String) curLink.get("LsoObjectionID:ObaObjection");
	%>
								<option value="<%= curLsoObjectionID %>"><%= objection %></option>
	<%			}
			}				
		}
	}

%>
							</select>
						</td>
					</tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">&nbsp;</td>
		</tr>
	</table>
</fl:sTab>
</fl:smallTabs>
</fl:bigTabs>	
</fl:form>
