<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*,java.text.*,java.lang.reflect.*, com.edeal.frontline.navigation.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>

<jsp:useBean class="com.edeal.frontline.ScriptElementTransitionBean" id="ScriptElementTransition" scope="request"/>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%

final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();


// get scriptelementtransition ID parameter.
String id = null;
	try{
		id = ScriptElementTransition.getID();
	}catch(Exception e){}

// BEGIN get first LinkScriptElementID info.
String lse1ID = null;
try {
	lse1ID = ScriptElementTransition.getSetLse1ID();
} catch (FieldNotInitializedException e) {}

if (lse1ID == null)
	logger.warn("scriptelementtransition/edit_body.jsp : I really need a linkscriptelement ID to do this!!");

String scriptID = (String)request.getAttribute("scriptID");
String dispLse1 = (String)request.getAttribute("dispLse1");
boolean canAddResponseCriteria = ((Boolean) request.getAttribute("canAddResponseCriteria")).booleanValue();
String cannotAddResponseCriteriaMsg = (String) request.getAttribute("cannotAddResponseCriteriaMsg");

String sceID = flRequest.getRequestParameterOrAttribute("sceID");




String lse2ID = null;
try {
	lse2ID = ScriptElementTransition.getSetLse2ID();
} catch (FieldNotInitializedException e) {}

String dispLse2 = flRequest.getRequestParameterOrAttribute("dispLse2");
String sce2ID = flRequest.getRequestParameterOrAttribute("sce2ID");


//get both criteria ids
String setCriSerID = null;
try {
	setCriSerID = ScriptElementTransition.getSetCriSerID();
} catch (FieldNotInitializedException e) {}
String setCriPerID = null;
try {
	setCriPerID = ScriptElementTransition.getSetCriPerID();
} catch (FieldNotInitializedException e) {}

//Id du linkScriptElement --> permet de retourner sur la popUp a la suppression
String lseID = flRequest.getRequestParameterOrAttribute("LseID");


%>
<html>
<head>


<script language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
<script language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
<script language="javascript" src="<fl:webapp/>/js/utils.js"></script>
<script language="javascript" type="text/javascript" src="<fl:webapp/>/js/smalltabs.jsp"></script>

<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>

<script language="javascript">
function doDelete(){
	
	var url = '<%= flRequest.computeURL("/delete_object_ajax.fl?type=ScriptElementTransition&id="+id)%>';	
	doAjax(url, waitNmove);
}

function waitNmove(arrIndex) {
	if (eDealXmlhttpArr[arrIndex].readyState == 4) {
		var url = '<%= flRequest.computeURL("/read_linkscriptelement.fl?id="+lseID)%>';
		
		window.top.opener.myReload();
		window.top.close();
	}
}

function waitNclose(arrIndex){
	if (eDealXmlhttpArr[arrIndex].readyState==4){
	winClose()
	}
}

function winClose(){
	window.top.close();
}


function doEdit(){
	window.top.location='<%=flRequest.computeURL("/edit_scriptelementtransition.fl?id="+id)%>';
}

</script>


<title><fl:getMessage code="L2025" alt="e-Deal"/></title>
</head>
<body>
<div class="main_body" style="border:none; height: 100%">
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L621B\", false, true, \"Transition\")%>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3" class="titreFiche">
				<fl:getProperty name="ScriptElementTransition" property="SetPosition" alt="" edit="false"/>
			</td>
		</tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
		<tr><td>
			<table class="container" cellpadding="0">
				<tr>
					<td class="column2">
						<table class="container" cellpadding="0">																				
							<tr class="fieldline">
								<td class="dataLabel"><fl:label code="L621C"/>
								</td>
								<td class="dataValue">
									<a href="<%=flRequest.computeURL("/view_scriptelement.fl?popUp=1&id="+sceID)%>" ><%= dispLse1 %></a>
								</td>
							</tr>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table class="data_column" cellpadding="0">
							<tr class="fieldline">
								<td class="dataLabel">
									<fl:label code="L6419"/>
								</td>
								<td class="dataValue">
									<a href="<%=flRequest.computeURL("/view_scriptelement.fl?popUp=1&id="+sce2ID)%>"><%= dispLse2 %></a>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td></tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
	</table>
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
	<fl:smallTabs name="ScriptTabs">
	<fl:sTab id="TRANS" title="<%= Utils.getMessage(session, \"L621E\",\"Critre de rponse\") %>">	
		<table class="container" width="100%">	
			<tr class="fieldline">
				<td colspan="4" class="dataLabel">
				<% if (setCriSerID == null) { %>
					<% if (canAddResponseCriteria) { %>
						<fl:getMessage code="L6223" alt="Pas de critre de rponse."/>
					<% } else { %>
						<%= cannotAddResponseCriteriaMsg %>
					<% } %>
				<% } else { %>
					<jsp:include page="/marketing/scriptelementresponsecriteria/view.jsp" flush="true">
						<jsp:param name="id" value="<%= setCriSerID %>"/>
						<jsp:param name="Node" value=""/>
						<jsp:param name="Edit" value="0"/>
					</jsp:include>
				<% } %>
				</td>
			</tr>
			<tr><td class="ligne_separation"></td></tr>
	</table>
	</fl:sTab>
	<fl:sTab id="TRANS2" title="<%= Utils.getMessage(session, \"L621F\",\"Critre sur la personne\") %>">	
		<table class="container" width="100%">	
			<tr><td class="ligne_separation"></td></tr>
			
			<tr class="fieldline">
				<td colspan="4" class="dataLabel">
				
				<% if (setCriPerID == null) { %>
					<fl:getMessage code="L6224" alt="Pas de critre sur la personne."/>
				<% } else { %>
					<jsp:include page="../criteria/view.jsp" flush="true">
						<jsp:param name="id" value="<%= setCriPerID %>"/>
						<jsp:param name="Node" value=""/>
						<jsp:param name="Edit" value="0"/>
					</jsp:include>
				<% } %>
				</td>
			</tr>
		</table>
	</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>
	<table class="container">
		<tr class="ligne_separation"><td></td></tr>		
		<tr class="fieldline">
		    <td width="40%">&nbsp;</td>
		    <td><a href="javascript:doEdit();"><img src="<fl:webapp/>/icons/ico/zoom.gif"/></a></td>
		    <td>&nbsp;</td>
		    <td><a href="javascript:window.top.close();"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif"/></a></td>	    	    	
		   	<td>&nbsp;</td>
		    <td><a href="javascript:doDelete();"><img src="<fl:webapp/>/icons/ico/supprimer_long.gif"/></a></td>	    	    	
		    <td width="40%">&nbsp;</td>  
		</tr>
	</table>
</div>
</body>
