<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*,java.text.*,java.lang.reflect.*,com.edeal.frontline.navigation.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>

<jsp:useBean class="com.edeal.frontline.LinkScriptElementBean" id="LinkScriptElement" scope="request"/>
<link rel="stylesheet" href="<fl:webapp/>/css/common_css.jsp" type="text/css" >

<style type="text/css">
.dataValueX {
	overflow: hidden;
	margin: 0px;
	padding: 0px;
	padding-left: 10px;
	font-size: small;
	font-size: expression("x-small");
	color: rgb(0, 0, 0);
	font-family: Arial, Verdana, sans-serif;
	vertical-align: top;
	padding: 4px;
}
.borderLineOne {
	border-right: 1px dashed #9EC6D0;
	border-bottom: 1px dashed #9EC6D0;
	
}
.borderLineTwo {
	border-right: 1px dashed #9EC6D0;
}
</style>
<%	
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();

	//transition id
	String paramID = Utils.getRequestParameter(context, request, "id");
	//"1" if this is for edition
	String paramEdit = Utils.getRequestParameter(context, request, "Edit");
		
	boolean isEdit = false;
	if(paramEdit == null) {
		paramEdit = "0";
		isEdit = false;
	} else {
		isEdit = "1".equals(paramEdit);
	}
	
	//get info about the two scriptelements this transition links, and about the criterias
	String fields[] = {"SetID", "SetLse1ID", "SetLse2ID", 
				"SetLse1ID:LseScriptElementID", "SetLse1ID:LseScriptElementID:SceLabel", 
				"SetLse2ID:LseScriptElementID", "SetLse2ID:LseScriptElementID:SceLabel", 
				"SetCriPerID", "SetCriSerID", "SetPosition"};
	String query[][] = {{"SetID = " + Utils.formatToSQL(context, paramID)}};
	Vector setList = ScriptElementTransitionBean.listSummary(session, fields, query);
	if (setList.size() == 0)
		logger.warn("scriptelementtransition/view.jsp : could not find ScriptElementTransition w/ id : " + paramID);
	Hashtable setHashtable = (Hashtable)setList.elementAt(0);
	String setCriSerID = (String)setHashtable.get("SetCriSerID");
	String setCriPerID = (String)setHashtable.get("SetCriPerID");
	
%><table class="container"  width="100%">
	<tr class="ligne_separation"><td></td></tr>
	<tr class="fieldline">
		<td style="background : #EBF4F6" class="dataValue borderLineOne" style="text-align : left">
		<% if (isEdit) { %>
			<a href="javascript:doEditTransition('<%=paramID%>')"><img src="<fl:webapp/>/icons/ico/zoom.gif" border="0" alt="<fl:getMessage code="L6220" alt="Editer"/>"></a>
			<a href="javascript:doDeleteTransition('<%=paramID%>')"><img src="<fl:webapp/>/icons/ico/supprimer.gif" border="0" alt="<fl:getMessage code="A0007" alt="Supprimer"/>"></a>
		<%-- if this is not edition, show magnifyinger to read --%>
		<% } else { %><a href="javascript:doReadTransition('<%=paramID%>')"><img src="<fl:webapp/>/icons/ico/zoom.gif" border="0" alt="<fl:getMessage code="L60EF" alt="Consulter"/>"></a><% } %>
		&nbsp;<%= Utils.formatToWeb(setHashtable.get("SetPosition"),false) %>&nbsp;-
		<% if (setHashtable.get("SetLse2ID:LseScriptElementID") != null) { %>
		&nbsp;<fl:getMessage code="L621D" alt="Vers l\'lment de script"/>&nbsp;<a href="<%=flRequest.computeURL("/view_scriptelement.fl?popUp=1&id="+setHashtable.get("SetLse2ID:LseScriptElementID"))%>" ><%=setHashtable.get("SetLse2ID:LseScriptElementID:SceLabel")%></a>
		<% } else { %>
		&nbsp;<fl:getMessage code="L622B" alt="Fin de script"/>
		<% } %>
		<%-- if this is edition, show magnifyinger to edit and trashcan --%>
	</td>
	</tr>
	<tr class="fieldline">
		<td style="background : #FFFFFF" class="dataValue borderLineOne" style="text-align : left">
		<% if (setCriSerID != null) { %>
			<fl:getMessage code="L621E" alt="Critre de rponse"/> :
			<jsp:include page="/marketing/scriptelementresponsecriteria/view.jsp" flush="true">
				<jsp:param name="id" value="<%= setCriSerID %>"/>
				<jsp:param name="Node" value=""/>
				<jsp:param name="Edit" value="0"/>
			</jsp:include>
		<% } else { %>
			<fl:getMessage code="L6223" alt="Pas de critre de rponse."/><br>
		<% } %>
		<% if (setCriPerID != null) { %>
			<fl:getMessage code="L621F" alt="Critre sur la personne"/> :
			<jsp:include page="/marketing/criteria/view.jsp" flush="true">
				<jsp:param name="id" value="<%= setCriPerID %>"/>
				<jsp:param name="Node" value=""/>
				<jsp:param name="Edit" value="0"/>
			</jsp:include>
		<% } else { %>
			<fl:getMessage code="L6224" alt="Pas de critre sur la personne."/>
		<% } %>	
		</td>
	</tr>
</table>
