<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="javax.swing.tree.DefaultMutableTreeNode" %>
<%@ page import="com.edeal.frontline.CriteriaBean" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.SelectionBean" id="Selection" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String id = null;
try {
	id = Selection.getID();
} catch (FieldNotInitializedException fnie) {
}
boolean isCreate = id == null;
String salesModel = context.getContextParameter("SalesModel");
boolean isB2C = "B2C".equalsIgnoreCase(salesModel);
String refPerID = dico.getRefIdByCode("SelMaxTyp", "PER");
String selMaxTypID = null;
try {
	selMaxTypID = Selection.getSelMaxTyp();
} catch (FieldNotInitializedException ex) {
	selMaxTypID = refPerID;
}

if (isCreate) { // Why do we need "isCreate" if this name of the file is "create.jsp"??
	Selection.setSelMax(1);
}
%>
	<link rel="stylesheet" href="<fl:webapp/>/css/smalltabs_css.jsp" type="text/css">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/smalltabs.jsp"></script>
	<script type="text/javascript" language="javascript">

		
	function doSubmit() {
		var f = document.forms[0];
		return true;
	}
	var maxFreezed = <%= refPerID.equals(selMaxTypID) ? "true" : "false" %>;
	function doCheckMaxFld() {
		var f = document.forms[0];
		var s = f.SelMaxTyp;
		maxFreezed = (s.options[s.selectedIndex].value == '<%= refPerID %>');
		if(maxFreezed) {
			f.SelMax.value = 1;
		}
	}
	function hasSelected() {
		var f = document.forms[0];
		if (f.CriID == null) {
			return false;
		}
		var result = false;
		if (f.CriID.length) {
			for (var i = 0; !result && i < f.CriID.length; i++) {
				result = result || f.CriID[i].checked;
			}
		} else {
			result = f.CriID.checked;
		}
		return result;
	}
	</script>
<fl:form action="/save_selection_create.fl" bean="Selection">
<% if (isB2C) { %>
	<input type="hidden" name="SelMax" value="1">
	<input type="hidden" name="SelMaxTyp" value="<%= refPerID %>">
<% } %>
	<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L60F1\", \"Ciblage\") %>" ou="<%= \"/edit_selection.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
		<table class="container" cellpadding="0">
			<tr>
				<td class="titreFiche" colspan="3">
					<table class="fieldline">
						<td class="labelTitreFiche"><fl:label field="SelName" labelClassName="titreFiche"/></td>
						<td class="fieldTitreFiche"><fl:input property="SelName" mandatoryMsgCode="M60A2"/></td>
					</table>
				</td>
			</tr>
			<tr class="ligne_separation"><td colspan="3"></td></tr>
			<tr>
				<td class="column2">
					<table class="container" cellpadding="0">
						<fl:fieldEdit property="SelCode" mandatoryMsgCode="M3033" unicityMsgCode="M60CE" onblur="this.value = checkString(this.value, 'upper')" />
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column2">
					<table class="container" cellpadding="0">
						<% if (!isB2C) { %>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label field="SelMax"/></td>
							<td class="dataValue">
								<div class="fieldTable" >
									<table class="fieldTable">
										<tr>
											<td class="bigFieldPart noPaddingLeft"><fl:input property="SelMax" onfocus="if(maxFreezed) this.blur();" mandatoryMsgCode="M303C" nodiv="true"/></td>
											<td class="smallFieldPart" style="padding-left: 10px"><fl:input property="SelMaxTyp" onchange="doCheckMaxFld();" width="auto" nodiv="true"/></td>
										</tr>
									</table>
								</div>
							</td>
						</tr>
						<fl:fieldEdit property="SelDefault"/>
						<% } %>
					</table>
				</td>
			</tr>
		</table>
		<table class="container" cellpadding="0">
			<tr class="ligne_separation"><td></td></tr>
			<tr><td class="titrePartie"><fl:getMessage code="L2007" alt="Description"/></td></tr>
			<tr><td class="dataValue noPaddingLeft"><fl:input property="SelDescription" width="100%" rows="5" nodiv="true"/></td></tr>
			<tr class="ligne_separation"><td></td></tr>
		</table>
	</fl:bigTabs>
</fl:form>
