<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Locale" %>
<%@ page import="java.text.DateFormat" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.PopulationBean" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean id="Selection" class="com.edeal.frontline.SelectionBean" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
boolean canGenerate = true;

try {
	PopulationBean.getGeneration(context, 0);
} catch (FrontlineException ex) {
	canGenerate = false;
}
String actID = (String) session.getAttribute("actorID");
ActorBean actor = new ActorBean(actID,context);
String actCode = actor.getActCode();
%>
<html>
<head>
	<title><fl:getMessage code="L2025" alt="E-DEAL"/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
  	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
  	<script type="text/javascript" language="javascript">
	var alreadyAsked  = false;
  	function check_popname() {
  		var f = document.forms[0];
  		if (!f.SelName.value) {
  			return;
  		}
		var url = '<fl:webapp/>/check_popname.fl?field=PopName';
		url += "&type=Population";
		url += "&value=" + encodeURIComponent(f.SelName.value);
		url += "&msg=<%= flRequest.urlEncode(Utils.getMessage(session, "M609A", false, true, "Une population portant le même nom existe déjà.\n Voulez-vous l'écraser par la nouvelle?")) %>";
		ajaxResponseWaited = true;
		doAjax(url);
	}
	function generate() {
		if (!alreadyAsked) {
			check_popname();
		}
	}
	function doSubmit() {
		var f = document.forms[0];
		f.action = '<fl:webapp/>/generate_population.fl';
		f.$$returnedHtmlHead.value = '<scr' + 'ipt type="text/javascript" language="javascript">window.opener.location = "<fl:link url="/list_criteria.fl?lc=POPULATION"/>";window.top.close();</scr' + 'ipt>';
		return true; 
	}
  	</script>
</head>
<body style="padding-right: 10px">
	<div id="object_css" style="top:0px;left: 0px;height:100%;">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L30FD\", false, true, \"Exécution du ciblage\") %>">
<%
	if (canGenerate) {
%>
<fl:form action="javascript:doSubmit();" bean="Selection">
	<input type="hidden" name="CtrID" id="CtrID" value="<fl:getProperty name="Selection" property="SelID" alt=""/>"/>
	<input type="hidden" name="CtrType" id="CtrType" value="Selection"/>
	<input type="hidden" name="oldPopID" id="oldPopID" value=""/>
	<input type="hidden" name="$$returnedHtmlHead" id="$$returnedHtmlHead" value=""/>
	<input type="hidden" name="$$returnedHtmlBody" id="$$returnedHtmlBody" value="Closing..."/>
	<%--<table class="column2 container" cellpadding="0">
		<fl:fieldEdit property="SelName" mandatoryMsgCode="M3033" onchange="alreadyAsked = false;"/>
	</table>--%>
			<table class="container" cellpadding="0">
				<tr class="fieldline">
					<td colspan="3">
						<table class="container" cellpadding="0">
							<tr class="titreFiche">
								<td class="labelTitreFiche">
									<fl:label field="SelName" labelClassName="titreFiche"/>
								</td>
								<td class="fieldTitreFiche">									
									<%--<fl:input name="Selection" property="SelName" mandatoryMsgCode="M3033" onchange="alreadyAsked = false;"/>--%>
								<%
									Date toDay = new Date();									
									DateFormat dfs = DateFormat.getDateInstance(DateFormat.SHORT,Locale.FRANCE);
									
									String valToDisplay = Selection.getSelName() + " - " + actCode + " - " + dfs.format(new Date());									
								%>
								<div><input type="hidden" name="mandatory" value="SelName"><input type="hidden" id="mandatory.SelName" name="mandatory.SelName" value="Veuillez sp&eacute;cifier le nom du ciblage."><input id="SelName" name="SelName" type="text" value="<%= valToDisplay%>" maxlength="100" class="input text chpsTextObligatoire" onchange="alreadyAsked = false;"><span id="SelName_msg" class="mandatory_alert" style="display: none">!</span></div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr class="ligne_separation"><td colspan="3"></td></tr>
				<tr>
					<td class="column2">
					<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel"><fl:getMessage code="F6148" alt="Auto suppression"/></td>
							<td class="">
								<input type="checkbox" name="PopAutoDel">
								<!-- fl:input property="PopAutoDel" name="Population"/-->
							</td>							
						</tr>
					</table>						
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
					</td>
				</tr>				
				<tr class="ligne_separation"><td colspan="3"></td></tr>
			</table>	
	
</fl:form>
</fl:bigTabs>
<br>
<table class="container">
<div align="center">
		<a href="javascript:generate();"><img src="<fl:link url="/icons/ico/valid_green_long.gif"/>" border="0" alt="<fl:getMessage code="A2001" alt="Valider"/>" title="<fl:getMessage code="A2001" alt="Valider"/>"></a>&nbsp;&nbsp;&nbsp;
		<a href="#" onclick="self.close();"><img src="<fl:link url="/icons/ico/fermer_red_long.gif"/>" border="0" alt="<fl:getMessage code="L61B1" alt="Fermer la fenêtre"/>" title="<fl:getMessage code="L61B1" alt="Fermer la fenêtre"/>"></a>
	</div>
</table>

<%
	} else {
%>
<table class="container" cellpadding="0">
	<tr>
		<td><fl:getMessage code="M6021" alt="Trop de génération en cours. Veuillez réessayer ultérieurement."/></td>
	</tr>
</table>
<div align="center">
	<a href="#" onclick="self.close();"><img src="<fl:link url="/icons/ico/valid_green_long.gif"/>" border="0" alt="<fl:getMessage code="L61B1" alt="Fermer la fenêtre"/>" title="<fl:getMessage code="L61B1" alt="Fermer la fenêtre"/>"></a>
</div>
<%
	}
%>

<table class="container">

</table>
</div>
<div id="waiting" style="display:none"><fl:getMessage code="L639B" alt="Chargement ..."/></div>
</body>
</html>
/**********************************************************************
*
* m.ichahane@e-deal.ma	06/09/2006 14:00:05 mustapha 
*
*
***********************************************************************/
