<%@ page language="java"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="java.util.Map" %>
<%@ page import="com.edeal.frontline.navigation.WebUtils" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="com.edeal.frontline.AccessDeniedException" %>
<%@ page import="com.edeal.frontline.InteractionBean" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String preview = flRequest.getSearchCriteria("$$preview");
String nb = flRequest.getSearchCriteria("$$nb");
String name = flRequest.getSearchCriteria("Name");
String code = flRequest.getSearchCriteria("Code");
String type = flRequest.getSearchCriteria("Type");
// List code
String lc = flRequest.getRequestParameterOrAttribute("lc");
if (lc == null) {
	lc = flRequest.getRequestParameterOrAttribute("code");
}
if (lc == null) {
	lc = "SELECTION";
}
request.setAttribute("lc", lc);
// search criteria
String sc = flRequest.getRequestParameterOrAttribute("sc");
// object uri
String ou = flRequest.getRequestParameterOrAttribute("ou");
// id
String objTitle = flRequest.getRequestParameterOrAttribute("obj.title");
if (objTitle == null) {
	objTitle = Utils.getMessage(session, "M1004", false, true, "Liste des ciblages");
}
String SfwID = flRequest.getRequestParameterOrAttribute("SfwID");
Map searchCriteria = new Hashtable();
if (sc != null) {
	searchCriteria = WebUtils.parseQueryString(sc);
}
request.setAttribute("selectedTab", "0");
%>

<script language="javascript">
function doSubmit() {
	var f = document.forms[0];
	var nb = f.$$nb.options[f.$$nb.selectedIndex].value;
	var code = f.Code.value;
	var type = f.Type.options[f.Type.selectedIndex].value;
	var name = f.Name.value;
	var preview = f.$$preview.checked;
	var queryString = '$$nb=' + nb;
	if (name != '' && name != '<fl:getMessage code="L2040" alt="<Nom>" js="true"/>') {
		queryString += '&Name=' + name;
	} else {
		f.Name.value = '';
	}
	if (code != '' && code != '<fl:getMessage code="M602D" alt="<Code>" js="true"/>') {
		queryString += '&Code=' + code;
	} else {
		f.Code.value = '';
	}
	if (type != '') {
		queryString += '&Type=' + type;
	}
	if (preview) {
		queryString += '&$$preview=true'
	}
	f.sc.value = queryString;
	return true;
}
</script>
<form action="<fl:link url="/list_selection.fl"/>" method="get" onsubmit="doSubmit()">
<input type="hidden" name="lc" value="<%= Utils.formatToWeb(lc, true) %>">
<input type="hidden" name="sc" value="">
<input type="hidden" name="ou" value="<%= Utils.formatToWeb(ou, true) %>">
<input type="hidden" name="cu" value="/list_criteria_selection.fl">
<input type="hidden" name="lu" value="/list_selection.fl">
<input type="hidden" name="obj.title" value="<%= Utils.formatToWeb(objTitle, true) %>">
<input type="hidden" name="criteria.title" value="<fl:getMessage code="L6485" alt="Recherche ciblage"/>">
<input type="hidden" name="list.title" value="<fl:getMessage code="M1004" alt="Liste des ciblages"/>">
<% if (SfwID != null) { %>
<input type="hidden" name="SfwID" value="<%= SfwID %>">
<% } %>
<fl:bigTabs criteriaTitle="<%= Utils.getMessage(session, \"L6485\", \"Recherche ciblage\") %>">
	<table class="container" cellpadding="0">
		<tr>
			<td>
				<div class="criteriaTableDiv">
					<select name="Type" class="criteriaField leftMargin10">
						<option value="" <%= !"Selection".equalsIgnoreCase(type) && !"Requester".equalsIgnoreCase(type) ? "selected" : "" %> ><fl:getMessage code="L60E4" alt="<Type>"/></option>
						<option value="Selection" <%= "Selection".equalsIgnoreCase(type) ? "selected" : "" %> ><fl:getMessage code="A0011" alt="Ciblage"/></option>
						<option value="Requester" <%= "Requester".equalsIgnoreCase(type) ? "selected" : "" %> ><fl:getMessage code="L60E2" alt="Requester"/></option>
					</select>
					<input name="Code" class="criteriaField leftMargin10" type="text" value="<%= code == null ? Utils.getMessage(session, "M602D", "<Code>") : Utils.formatToWeb(code, true) %>" onfocus="this.select();" onblur="if(this.value == '') this.value = '<fl:getMessage code="M602D" alt="<Code>" js="true"/>';" tabindex="1">
					<input name="Name" class="criteriaField leftMargin10" type="text" value="<%= name == null ? Utils.getMessage(session, "L2040", "<Nom>") : Utils.formatToWeb(name, true) %>" onfocus="this.select();" onblur="if(this.value == '') this.value = '<fl:getMessage code="L2040" alt="<Nom>" js="true"/>';" tabindex="2">
				</div>
			</td>
			<td class="separation"><div class="separation"></div></td>
            <td valign="top" style="width: 15%;">
                <table class="container" cellpadding="0">
					<tr>
						<td style="white-space: nowrap; width: 10%; text-align: left;">
							<input name="$$preview" id="$$preview" type="checkbox" value="1" <%= preview != null ? "checked" : "" %>>
							<span class="dataLabel" style="width: auto;"><label for="$$preview"><fl:getMessage code="L6319" alt="aperu"/></label></span>
						</td>
					</tr>
                    <tr class="ligne_separation"><td></td></tr>
					<tr>
						<td colspan="2" style="text-align: left;">
							<select name="$$nb">
								<option value="20" <%= nb == null || "20".equals(nb) ? "selected" : "" %> >20&nbsp;/&nbsp;<fl:getMessage code="M60CC" alt="page" /></option>
								<option value="50" <%= "50".equals(nb) ? "selected" : "" %> >50&nbsp;/&nbsp;<fl:getMessage code="M60CC" alt="page" /></option>
								<option value="All" <%= "All".equals(nb) ? "selected" : "" %> ><fl:getMessage code="L302C" alt="Toutes"/></option>
							</select>
						</td>
					</tr>
                    <tr class="ligne_separation"><td></td></tr>
					<tr>
						<td>
							<input type="image" src="<fl:webapp/>/icons/ico/valid_green2_long.gif" border="0"  tabindex="999" align="left">
						</td>
					</tr>
                </table>
            </td>
		</tr>
	</table>
</fl:bigTabs>
</form>