<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.CriteriaBean" %>
<%@ page import="javax.swing.tree.DefaultMutableTreeNode" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.SelectionBean" id="Selection" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String id = null;
try {
	id = Selection.getID();
} catch (FieldNotInitializedException fnie) {
}
boolean isCreate = id == null;
String salesModel = context.getContextParameter("SalesModel");
boolean isB2C = "B2C".equalsIgnoreCase(salesModel);
String refPerID = dico.getRefIdByCode("SelMaxTyp", "PER");
String selMaxTypID = null;
try {
	selMaxTypID = Selection.getSelMaxTyp();
} catch (FieldNotInitializedException ex) {
}
Vector criteriaGroups = (Vector)flRequest.getAttribute("criteria_list");
if (criteriaGroups == null) {
	criteriaGroups = new Vector();
}
boolean hasCriteria = false;
for (int i = 0; i < criteriaGroups.size(); i++) {
	Hashtable crit = (Hashtable)criteriaGroups.elementAt(i);
	if (crit.get("criteria_tree") != null) {
		hasCriteria = true;
	}
}
%>
<link rel="stylesheet" href="<fl:webapp/>/css/smalltabs_css.jsp" type="text/css">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L60F1\", \"Ciblage\") %>" ou="<%= \"/read_selection.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3" class="titreFiche">
				<fl:getProperty name="Selection" property="SelName" alt="<%= Utils.getMessage(session, \"L60F1\", \"Ciblage\") %>"/>
			</td>
		</tr>
		<tr class="ligne_separation"><td colspan="3"></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="SelCode"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<% if (!isB2C) { %>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="L3101" label="max."/></td>
							<td class="dataValue">
								<div>
									<fl:getProperty name="Selection" property="SelMax" alt="1" format="int"/>
									<fl:getMessage code="L3103" alt="interlocuteurs"/> <fl:getProperty name="Selection" property="SelMaxTyp" alt=""/>.
								</div>
							</td>
						</tr>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label field="SelDefault"/><!-- fl:getMessage code="L3102" alt="Si aucun interlocuteur ne répond aux critères, adresser à"/---></td>
							<td class="dataValue">
								<div>			
									<fl:getProperty name="Selection" property="SelDefault" alt=""/>
								</div>
							</td>
						</tr>
					<% } %>
				</table>
			</td>
		</tr>
	</table>
	<fl:notes name="SelDescription" title="<%= Utils.getMessage(session, \"L2007\", \"Description\") %>"><fl:getProperty name="Selection" property="SelDescription" alt="&nbsp;"/></fl:notes>
<%
if (hasCriteria) {
%>
	<fl:smallTabs name="CriteriaTabs"><% 
	for (int i = 0; i < criteriaGroups.size(); i++) { 
		Hashtable group = (Hashtable)criteriaGroups.elementAt(i);
		String title = (String)group.get("title");
		String objSql = (String)group.get("objsql");
		DefaultMutableTreeNode tree = (DefaultMutableTreeNode)group.get("criteria_tree");
	
		if (tree != null) {
			flRequest.setAttribute("criteria_tree", tree);
			String criID = "";
			try {
				criID = ((CriteriaBean)tree.getUserObject()).getID();
			} catch (Exception e) {
			}
			flRequest.setAttribute("criID", criID);
%>
				<fl:sTab id="<%= \"sTab\" + i %>" title="<%= title %>">
					<table class="container" cellpadding="0">
						<tr>
							<td class="dataValue" style="padding-left: 20px">
								<jsp:include page="/marketing/criteria/read.jsp" flush="true">
									<jsp:param name="Edit" value="0"/>
								</jsp:include>
							</td>
						</tr>
						<tr class="ligne_separation"><td></td></tr>
					</table>
				</fl:sTab>
<%
				flRequest.removeAttribute("criID");
			}
		}
%>
	</fl:smallTabs>
<%
	}else{
	%>
	<div class="alertbandeau"><br>&nbsp;&nbsp;<fl:getMessage code="L641D" alt="Aucun ciblage défini"/></div>
	<%}%>
</fl:bigTabs>

