<%@page import="com.edeal.frontline.helper.custom.SelectionModelHelper"%>
<%@page import="com.edeal.frontline.helper.ContextHelper"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2010 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true" import="com.edeal.frontline.*,com.edeal.frontline.navigation.FlRequest,com.edeal.frontline.custom.*,java.util.*"%>
<%@page import="com.edeal.frontline.navigation.EdealBigTabsNavigation"%>
<%@page import="com.edeal.frontline.navigation.EdealBigTabsNavigation.BigTabsParams"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.Selection2Bean" id="Selection2" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	EdealBigTabsNavigation ebtn = new EdealBigTabsNavigation(flRequest);
	DataDictionary dico = context.getDataDictionary();
   
	//je recupre l'id de la selection
	String se2ID = null;
	try { 
		se2ID = Selection2.getSe2ID(); 
	}catch (FieldNotInitializedException e) {}

	//je regarde si c'est une condition type ou pas 
	boolean condition_type = false;
	int type = 0;    
	try {
		type = Selection2.getSe2Condition();
		condition_type = type == 1;
	}catch (FieldNotInitializedException e) {}
 
   String edit = "edit";
 
   //on regarde si ce ciblage ou condition type ont une racine ou pas. si c'est le cas alors on doit afficher les critres
   String critereRacine = null;
   boolean isVisible = false;
   try{
    	critereRacine = Selection2.getSe2Cr2ID();
    	isVisible = critereRacine!= null && !"null".equals(critereRacine);
   }catch (FieldNotInitializedException ex) {}
 	
   String errorID = (String)request.getAttribute("ErrorID");
   
   String se2Model = null;
   try {
	  se2Model = Selection2.getSe2Model();
   } catch (FrontlineException fe) {}
   boolean displaySe2FctUnique = ContextHelper.hasMultifunction(context) && SelectionModelHelper.doesReturnPersonObjects(Selection2);
   
   /* Add query condition base on inactive model table ref
    * to Selection model list
    */
   Vector inactiveModelCodes = dico.getRefCodeList("Uin", "Code");
   String s2ModelQuery = null;
   if(inactiveModelCodes != null && !inactiveModelCodes.isEmpty()){
	   StringBuilder builder = new StringBuilder();
	   Iterator<Vector> inaModelCodeIt = inactiveModelCodes.iterator();
	   while(inaModelCodeIt.hasNext()){
		   Vector<String> rowValues = inaModelCodeIt.next();
		   if(rowValues.size() > 1){
			   builder.append("SmdCode <> ");
			   builder.append("'");
			   builder.append(rowValues.get(1));
			   builder.append("'");
			   if(inaModelCodeIt.hasNext()){
				   builder.append(" AND ");
			   }
		   }
	   }
	   s2ModelQuery = Utils.formatToJavascript(builder.toString());
   }
%>

<script language="javascript">
<%	if(errorID != null) {
		String errorMsg = null;
		if(errorID.equals("NOTBROS")) {
			errorMsg = Utils.getMessage(session, "M3035", true, "Les critres slectionns ne se trouvent pas au mme niveau");
		} else if(errorID.equals("ALONE")) {
			errorMsg = Utils.getMessage(session, "M3036", true, "Veuillez slectionner plusieurs critres");
		} else if(errorID.equals("ROOTSELECTED")) {
			errorMsg = Utils.getMessage(session, "M3037", true, "Il n'est pas possible de dgrouper la racine");
		} else if(errorID.equals("TOOMANY")) {
			errorMsg = Utils.getMessage(session, "M3038", true, "Veuillez ne slectionner qu'un seul groupe de critres");
		} else if(errorID.equals("LEAFSELECTED")) {
			errorMsg = Utils.getMessage(session, "M3039", true, "Veuillez slectionner un groupe de critres");
		} else {
			errorMsg = Utils.getMessage(session, "M303A", true, "Erreur inconnue") + " (" + errorID + ")";
		}
%>
function doInit() {
	window.alert('<%= Utils.formatToJavascript(errorMsg) %>');
}
<%	} %>
function hasSelected() {
	var f = document.forms[1];
	if (f.id == null) {
		return false;
	}
	var result = false;
	if(f.id.length) {
		for(i = 0; !result && i < f.id.length; i++) {
			result = result || f.id[i].checked;
		}
	} else {
		result = f.id.checked;
	}
	return result;
}

var submitFlag = false;

function doAdd(grpID) {
	var f = document.forms[0];
	
	if (f.Se2Model.value == '') {
		alert('<fl:getMessage code="M6103" js="true" alt="Veuillez spcifier un schma."/>');
		return;
	}
	
	var url = '<fl:webapp/>/edit_criteria2.fl?se2ID=<%= Selection2.getID() %>&SfwID=<%= ebtn.getBigTabsParameterValue(BigTabsParams.SoftwareModule) %>';
	
	url += '&Se2Model=' + f.Se2Model.value;
	
	if (grpID != '') {
		url += '&GrpID=' + grpID;
	}

	window.open(url, 'Criteria2', 'menubar=no,status=yes,toolbar=no,scrollbars=yes,resizable=yes,width=1024,height=250');
}

function doEdit(id) {
	window.open('<fl:webapp/>/edit_criteria2.fl?id='+id+'&SfwID=<%= flRequest.getRequestParameterOrAttribute("SfwID") %>', 'Criteria2', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=1024,height=270');
}

function doEditTemp(tmp){
	window.open('<fl:link url="<%=\"/template.fl\"%>"/>&id='+tmp, 'Criteria2','menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=800,height=300');
}

function doEditAg(id) {
	window.open('<fl:webapp/>/agraggate.fl?se2ID=<%=Selection2.getID()%>&edit=<%=edit%>&id='+ id + '&SfwID=<%= flRequest.getRequestParameterOrAttribute("SfwID") %>', 'WCriteria2', 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=800,height=200');
}

function doSubmit() {
	var f = document.forms[0];
	if (f.Se2Code.value == "") {
		window.alert("<fl:getMessage code="L6294" alt="Vous devez spcifier un code." js="true"/>");
		f.Se2Code.focus();
		return false;
	}
	if (f.Se2Name.value == "") {
		window.alert("<fl:getMessage code="F6134" alt="Veuillez spcifier un nom." js="true"/>");
		f.Se2Name.focus();
		return false;
	}
	if (f.Se2Model.value == "") {
		window.alert("<fl:getMessage code="F6135" alt="Veuillez spcifier un schma." js="true"/>");
		return false;
	}
	f.action = '<fl:link url="/save_selection2_edit.fl"/>';
	f.submit();
	return true;
}

<% if (errorID!=null) { %>
      function doOnLoad() {
            doInit();
      }
<% } %>

function canWeChoseModel() {
	var f = document.forms['criteria_form'];
	if (!f.id || f.id == null) {
		return true;
	}
	
	return (f.id.length == 0);
}

function refreshSelection() {
	document.forms[0].action = '<fl:webapp/>/refresh_selection2.fl?SfwID=<%= ebtn.getBigTabsParameterValue(EdealBigTabsNavigation.BigTabsParams.SoftwareModule) %>';
	document.forms[0].submit();
}

function doOnLoad() {
	loadModelDescription();
}
function doSe2ModelChange() {
	loadModelDescription();
}
function loadModelDescription() {
	var idModel = $("#Se2Model").val();
	if (idModel != "") {
		$.get('<fl:webapp/>/get_model_description.fl?smdID=' + idModel, function(data) {
			$("#SmdDescr").html(data);
		});
	}
}
</script>


<fl:bigTabs ou="<%= \"/edit_selection2.fl\"+(se2ID != null? \"?id=\" + se2ID : \"\") %>" objectTitle="<%= condition_type ? Utils.getMessage(session, \"L659E\", \"Question type\") : Utils.getMessage(session, \"A0011\", \"Ciblage\") %>" ignoreList="true">
<fl:form method="post" action="" bean="Selection2">
		
<input name="Se2Condition" type="hidden" value="<fl:getProperty name="Selection2" property="Se2Condition" alt=""/>">	

<table class="container" cellpadding="0">	   
	<tr>
		<td colspan="5">
			<table class="container" cellpadding="0">
				<tr class="fieldline">
					<td class="labelTitreFiche">
						<fl:label field="Se2Name" labelClassName="titreFiche" code="F2025"/>
					</td>
					<td class="fieldTitreFiche">
						<fl:input property="Se2Name" mandatoryMsgCode="L63B1"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr><td colspan="3" class="ligne_separation"/></tr>			
	<tr>
	  <td class="column2">
			<table class="container" cellpadding="0">
				<tr class="fieldline">
					<td class="dataLabel">
						<fl:label code="F2000"/>
					</td>
					<td class="dataValue" colspan="3">
						<fl:input property="Se2Code" mandatoryMsgCode="L6294"/>
					</td>
				</tr>
				<tr class="fieldline">
						<td class="dataLabel">
							<fl:label code="L305F"/>
						</td>
						<td class="dataValue" colspan="3">
							<fl:input property="Se2Event"/>
						</td>
					</tr>
			</table>
		</td>
		<td class="separation"><div class="separation"></div></td>
		<td class="column2">
			<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td class="dataLabel">
							<fl:label code="L65A2"/>
						</td>
						<td class="dataValue" colspan="3">
								<div class="input fieldTable">
									<table class="fieldTable" cellpadding="0">
										<tr>
											<td class="principalText bigFieldPart">
												<div class="fobLeftDiv">
													<input type="hidden" name="mandatory" value="Se2Model">
													<input type="hidden" id="mandatory.Se2Model" name="mandatory.Se2Model" value="<fl:getMessage code="M6103" alt="Veuillez spcifier un schma."/>">
													<input id="Se2Model" name="Se2Model" type="hidden" class="input" value="<fl:getProperty name="Selection2" property="Se2Model" alt="" />">
													<input id="lblSe2Model" name="lblSe2Model" type="text" value="<fl:getProperty name="Selection2" property="Se2Model" bean="true" alt="&nbsp;" />" autocomplete="off" onfocus="if (canWeChoseModel()) {displayOnFocus(this);acResizeDisplayDiv(this);} else { alert('<fl:getMessage code="M808E" alt="Vous ne pouvez pas changer le modle tant qu\\\'il y a des critres attachs. Veuillez les supprimer, ou crer un autre ciblage" js="true"/>'); try { this.blur(); } catch (error) {} }" class="input fob chpsTextObligatoire">
												</div>
											</td>
											<td class="smallFieldPart">
												<span id="Se2Model_icons">
												<% if(s2ModelQuery != null && ! "".equals(s2ModelQuery)){ %>
													<a href="javascript:if (canWeChoseModel()) { var win = window.open('<fl:webapp/>/select.fl?type=SelectionModel&field=Se2Model&formIndex=0&query=<%= s2ModelQuery %>', 'SelectActor', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=800,height=400'); } else { alert('<fl:getMessage code="M808E" alt="Vous ne pouvez pas changer le modle tant qu\\\'il y a des critres attachs. Veuillez les supprimer, ou crer un autre ciblage" js="true"/>'); }"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon" alt="<fl:getMessage code="A2003" alt="Slectionner"/>" title="<fl:getMessage code="A2003" alt="Slectionner"/>"></a>&nbsp;<a class="fob" href="javascript: if (canWeChoseModel()) { var f = window.document.forms[0]; f.Se2Model.value = f.lblSe2Model.value = ''; acLastCompleteValues['lblSe2Model'] = '';acLastCompleteValues['Se2Model'] = ''; void(''); } else { alert('<fl:getMessage code="M808F" alt="Vous ne pouvez pas supprimerle modle tant qu\\\'il y a des critres attachs. Veuillez les supprimer, ou crer un autre ciblage" js="true"/>'); }"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon" alt="<fl:getMessage code="A3005" alt="Vider le champ"/>" title="<fl:getMessage code="A3005" alt="Vider le champ"/>"></a>
												<% } else { %>
													<a href="javascript:if (canWeChoseModel()) { var win = window.open('<fl:webapp/>/select.fl?type=SelectionModel&field=Se2Model&formIndex=0', 'SelectActor', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=800,height=400'); } else { alert('<fl:getMessage code="M808E" alt="Vous ne pouvez pas changer le modle tant qu\\\'il y a des critres attachs. Veuillez les supprimer, ou crer un autre ciblage" js="true"/>'); }"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon" alt="<fl:getMessage code="A2003" alt="Slectionner"/>" title="<fl:getMessage code="A2003" alt="Slectionner"/>"></a>&nbsp;<a class="fob" href="javascript: if (canWeChoseModel()) { var f = window.document.forms[0]; f.Se2Model.value = f.lblSe2Model.value = ''; acLastCompleteValues['lblSe2Model'] = '';acLastCompleteValues['Se2Model'] = ''; void(''); } else { alert('<fl:getMessage code="M808F" alt="Vous ne pouvez pas supprimerle modle tant qu\\\'il y a des critres attachs. Veuillez les supprimer, ou crer un autre ciblage" js="true"/>'); }"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon" alt="<fl:getMessage code="A3005" alt="Vider le champ"/>" title="<fl:getMessage code="A3005" alt="Vider le champ"/>"></a>
												<% } %>
												</span>
												<script language="javascript">runOnTime("installFobAC(document.forms[0].lblSe2Model);", 1000);</script>
												<span id="Se2Model_msg" class="mandatory_alert" style="display: none">!</span>
											</td>
										</tr>
									</table>
								</div>
						</td>
					</tr>
					<% if (displaySe2FctUnique) { %>
				<fl:fieldEdit property="Se2FctUnique"/>
				<% } %>
					
			</table>
		</td>
	 </tr>
	 <tr class="ligne_separation"><td colspan="5">&nbsp;</td></tr>
	</table>
	<table class="container" cellpadding="0">
		<tr>
			<td width="49%">
				<table class="container" cellpadding="0">
					<tr class="ligne_separation"><td></td></tr>
					<tr>
						<td class="titrePartie"><fl:getMessage code="L2007" alt="Description"/></td>
					</tr>
					<tr class="ligne_separation_couleur"><td></td></tr>
					<tr class="ligne_separation"><td></td></tr>
					<tr>
						<td class="dataValue noPaddingLeft"><fl:input property="Se2Description" rows="8" nodiv="false"/></td>
					</tr>
					<tr class="ligne_separation"><td></td></tr>
				</table>
			</td>
			<td width="2%"></td>
			<td width="49%" style="vertical-align:top;">
				<table class="container" cellpadding="0">
					<tr class="ligne_separation"><td></td></tr>
					<tr>
						<td class="titrePartie"><fl:getMessage code="L811B" alt="Description du modle"/></td>
					</tr>
					<tr class="ligne_separation_couleur"><td></td></tr>
					<tr class="ligne_separation"><td></td></tr>
					<tr>
						<td class="dataValue noPaddingLeft">
							<div class="input textarea" style="width:100%;" class="input textarea" id="SmdDescr" >
							</div>
						</td>
					</tr>
					<tr class="ligne_separation"><td></td></tr>
				</table>
			</td>
		</tr>
	</table>
</fl:form>	
&nbsp;
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<fl:smallTabs name="CriteriaTabs">
<fl:sTab id="criteria" title="<%=Utils.getMessage(session, \"L6189\", false, true, \"Critres\")%>">
<form name="criteria_form" action="" method="post">
<table cellspacing="3" cellpadding="3" border="0" width="95%" align="center">
	
		<% if (isVisible){ %>
	       	<tr valign="top">
				<td>
	    			<jsp:include page="/marketing/criteria2/view.jsp" flush="true">
						<jsp:param name="id" value="<%= critereRacine %>"/>
						<jsp:param name="Node" value=""/>
						<jsp:param name="Edit" value="1"/>
						<jsp:param name="SelID" value="<%= Selection2.getID() %>"/>
	   				</jsp:include>
			     </td>
			</tr>
	  <% } %>
	
</table>
</form>
<table cellspacing="3" cellpadding="3" border="0" width="95%" align="center">
<%
		if(!isVisible) {
%>		<tr valign="top">
			<td class="transparent">
			        <a href="javascript:doAdd('')"><img border="0" src="<fl:webapp/>/icons/ico/save_all_long.gif" width="74px" height="17px"/></a> 
			</td>
		</tr>
<%
		}
%>

</table>
</fl:sTab>
</fl:smallTabs>						
</fl:bigTabs>