<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*, com.edeal.frontline.navigation.*"%>
<%@ page import="javax.swing.tree.DefaultMutableTreeNode" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%

	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();

	SelectionJournalistBean obj = (SelectionJournalistBean)request.getAttribute("SelectionJournalist");
	
	String id = null;
	try{
		id = obj.getID();
	}catch(Exception e){}

	String errorID = (String)request.getAttribute("ErrorID");

	String[] strObjSql = {"Support", "Journalist"};
	String[] strRootFld = {"SjoCriSupID", "SjoCriJouID"};
	String[] strObjDisp = new String[strObjSql.length];
	String[] strRootCriID = new String[strObjSql.length];

	boolean hasCrit = false;

	for(int i = 0; i < strObjSql.length; i++) {
		ObjectsBean objBean = dico.getTable("sql", strObjSql[i]);
		try {
			strObjDisp[i] = objBean.getObjDisplay();
		} catch (FieldNotInitializedException ex) {
			strObjDisp[i] = strObjSql[i];
		}
		try {
			strRootCriID[i] = (String)obj.getClass().getMethod("get" + strRootFld[i], null).invoke(obj, null);
			hasCrit = hasCrit || strRootCriID[i] != null;
		} catch (Exception ex) {
			//logger.error("STACK TRACE",ex);
		}
	}
		

boolean isCreate = id == null;
String salesModel = context.getContextParameter("SalesModel");
boolean isB2C = "B2C".equalsIgnoreCase(salesModel);
String refPerID = dico.getRefIdByCode("SelMaxTyp", "PER");

Vector criteriaGroups = (Vector)flRequest.getAttribute("criteria_list");
if (criteriaGroups == null) {
	criteriaGroups = new Vector();
}
boolean hasCriteria = false;
for (int i = 0; i < criteriaGroups.size(); i++) {
	Hashtable crit = (Hashtable)criteriaGroups.elementAt(i);
	if (crit.get("criteria_tree") != null) {
		hasCriteria = true;
	}
}

	if(errorID != null) {
		String errorMsg = null;
		if(errorID.equals("NOTBROS")) {
			errorMsg = Utils.getMessage(session, "M3035", "Les critres slectionns ne se trouvent pas au mme niveau");
		} else if(errorID.equals("ALONE")) {
			errorMsg = Utils.getMessage(session, "M3036", "Veuillez slectionner plusieurs critres");
		} else if(errorID.equals("ROOTSELECTED")) {
			errorMsg = Utils.getMessage(session, "M3037", "Il n'est pas possible de dgrouper la racine");
		} else if(errorID.equals("TOOMANY")) {
			errorMsg = Utils.getMessage(session, "M3038", "Veuillez ne slectionner qu'un seul groupe de critres");
		} else if(errorID.equals("LEAFSELECTED")) {
			errorMsg = Utils.getMessage(session, "M3039", "Veuillez slectionner un groupe de critres");
		} else {
			errorMsg = Utils.getMessage(session, "M303A", "Erreur inconnue") + " (" + errorID + ")";
		}

%><script language="javascript">

function doInit() {
	window.alert('<%= Utils.formatToJavascript(errorMsg) %>');
}

</script>

<%
	}

%>

<link rel="stylesheet" href="<fl:webapp/>/css/smalltabs_css.jsp" type="text/css">
<body<% if(errorID != null) { %> onLoad="doInit();"<% } %>>

<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L64C8\", \"Ciblage journaliste\")%>" ou="<%=\"/read_selectionjournalist.fl\" +(id != null ? \"?id=\"+id : \"\")%>">

<table class="container">
	<tr>
		<td width="100%" class="titreFiche">
			<fl:getProperty name="SelectionJournalist" property="SjoName" preText="<%= Utils.getMessage(session, \"L60F1\", \"Ciblage\")+\" \" %>" alt="<%=Utils.getMessage(session, \"L60F1\", \"Ciblage\")%>" />
		</td>
	</tr>
	<tr class="ligne_separation"><td></td></tr>
</table>

<% if (hasCriteria) { %>
	<fl:smallTabs name="CriteriaTabs">
	<% 
	for (int i = 0; i < criteriaGroups.size(); i++) { 
	
	
		Hashtable group = (Hashtable)criteriaGroups.elementAt(i);
		String title = (String)group.get("title");
		String objSql = (String)group.get("objsql");
		DefaultMutableTreeNode tree = (DefaultMutableTreeNode)group.get("criteria_tree");
		if (tree != null) {
			flRequest.setAttribute("criteria_tree", tree);
			String criID = "";
			try {
				criID = ((CriteriaBean)tree.getUserObject()).getID();
			} catch (Exception e) {
			}
			flRequest.setAttribute("CriID", criID);
	%>
			<fl:sTab id="<%=\"sTab\"+i%>" title="<%=title%>">
				<table width="100%" class="container">
					<tr>
						<td class="dataValue" style="padding-left: 20px">
							<jsp:include page="/marketing/criteria/read.jsp" flush="true">
								<jsp:param name="Edit" value="0"/>
							</jsp:include>
						</td>
					</tr>
					<tr class="ligne_separation">
						<td></td>
					</tr>
				</table>
			</fl:sTab>
	<% 
			flRequest.removeAttribute("CriID");
		}
	} 
	%>
	</fl:smallTabs>
	<%
	}else{
	%>
	<div class="alertbandeau"><br>&nbsp;&nbsp;<fl:getMessage code="L641D" alt="Aucun ciblage dfini"/></div>
	<%}%>
</fl:bigTabs>
</body>