<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*,java.util.*"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.SelectionJournalistBean" id="SelectionJournalist" scope="request" />

<%
	String sjoName= null;
	try{
		sjoName = SelectionJournalist.getSjoName();	
	}catch(Exception e){
		sjoName = "";
	}
	
	Hashtable hashPopulation = null;
	try {
		hashPopulation = SelectionJournalist.countPopulation();
	} catch (Exception ex) {
		hashPopulation = new Hashtable();
	}

	int nbSup = hashPopulation.get("NbSupport") == null ? -1 : ((Number)hashPopulation.get("NbSupport")).intValue();
	int nbJou = hashPopulation.get("NbJournalist") == null ? -1 : ((Number)hashPopulation.get("NbJournalist")).intValue();
	int nbUniJou = hashPopulation.get("NbUniqueJournalist") == null ? -1 : ((Number)hashPopulation.get("NbUniqueJournalist")).intValue();
	int nbTot = hashPopulation.get("NbTotal") == null ? 0 : ((Number)hashPopulation.get("NbTotal")).intValue();
%>
<html>
<head>
<link rel="stylesheet" href="<fl:webapp/>/css/common_css.jsp" type="text/css">
<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
<title><fl:getMessage code="L2025" alt="e-Deal"/></title>
</head>
<body>
<div class="main_body" style="border:none; height: 100%">
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L30F7\", false, true, \"Test du ciblage\")%>" >
<table class="container" width="50%" align="center">

	<tr class="fieldline">
		<td colspan="2" class="titreFiche">
			<fl:getProperty name="SelectionJournalist" property="SjoName" alt="<%=Utils.getMessage(session, \"L60F1\", \"Ciblage\")%>" />
		</td>
	</tr>

<%	if(nbSup >= 0) { %>
		<tr class="fieldline">
			<td class="dataValue" style="width: 15%; text-align: center;"><%= nbSup %></td>
			<td class="dataLabel" style="width: 85%"><fl:getMessage code="L60D5" alt="Supports distincts"/></td>
		</tr>
<%	} else if(nbUniJou >= 0) { %>
		<tr class="fieldline">
			<td class="dataValue" style="width: 15%; text-align: center;"><%= nbJou %></td>
			<td class="dataLabel" style="width: 85%"><fl:getMessage code="L206B" alt="Journalistes"/></td>
		</tr>
			
		<tr class="fieldline">
			<td class="dataValue" style="width: 15%; text-align: center;"><%= nbUniJou %></td>
			<td class="dataLabel" style="width: 85%"><fl:getMessage code="L60D4" alt="Journalistes distincts"/></td>
		</tr>
<%	} else if(nbJou >= 0) { %>
		<tr class="fieldline">
			<td class="dataValue" style="width: 15%; text-align: center;"><%= nbJou %></td>
			<td class="dataLabel" style="width: 85%"><fl:getMessage code="L60D4" alt="Journalistes distincts"/></td>
		</tr>
<%	} %>
		<tr class="fieldline">
			<td class="dataValue" style="width: 15%; text-align: center;"><%= nbTot %></td>
			<td class="dataLabel" style="width: 85%"><fl:getMessage code="L3106" alt="Contacts"/></td>
		</tr>
</table>
<table class="container">
	<tr>
		<td width="40%">&nbsp;</td>
		<td width="10%"><a href="javascript:window.top.close();"><img src="<fl:webapp/>/icons/ico/close.gif" alt="<fl:getMessage code="A2002" alt="Annuler"/>" border="0"></a></td>
		<td width="40%">&nbsp;</td>
	</tr>
</table>


</fl:bigTabs>
</div>
</body>
</html>
