<%
/******************************************************************************
 * Copyright (c) 2000-2011 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>

<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/smalltabs_css.jsp">
<jsp:useBean class="com.edeal.frontline.SelectionModelBean" id="SelectionModel" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	String nameLabel = null;
	String descrLabel = null;
	try {
		nameLabel = SelectionModel.getSmdNameLabel();
		descrLabel = SelectionModel.getSmdDescrLabel();
	} catch (FieldNotInitializedException fnie) {
	}
	logger.debug("descrLabel: " + descrLabel);
	logger.debug("nameLabel: " + nameLabel);
	String id = null;
	try {
		id = SelectionModel.getID();
	} catch (FieldNotInitializedException fnie) {
	}
%>
<script type="text/javascript" language="javascript">

function doSubmit() {	
	var f = document.forms[0];
	if (f.SmdCode.value == "") {
		window.alert("<fl:getMessage code="L6294" alt="Vous devez spcifier un code." js="true"/>");
		f.SmdCode.focus();
		
	}
	else if (f.SmdName.value == "") {
		window.alert("<fl:getMessage code="M6104" alt="Veuillez spcifier un nom." js="true"/>");
		f.SmdName.focus();
		
	}
	else if (f.SmdXMLDef.value == "") {
		window.alert("<fl:getMessage code="M6105" alt="Veuillez spcifier une dfinition." js="true"/>");
		f.SmdXMLDef.focus();

	} else 
	{
	f.submit();
	}
}

function doSelect(pFld) {
	var f = document.forms[0];
	//window.open('<fl:webapp/>/admin/requester/select_label.jsp?fld=' + pFld + '&lng=' + encodeURIComponent(f.lngID.value), 'SelectLabel', 'menubar=no,status=yes,toolbar=no,scrollbars=yes,resizable=yes,width=600,height=500');
	window.open('<fl:link url="/select_label.fl?1=1"/>&field=' + pFld, 'select_label', 'width=1000,height=500,menubar=no,status=no,resizable=yes');
	
}

function doRemove(pFld) {
	var f = document.forms[0];
	f.elements[pFld].value = '';
	f.elements['lbl' + pFld].value = '';
}

</script>

<fl:form action="/save_selectionmodel.fl" bean="SelectionModel">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L65BC\", \"Univers de ciblage\") %>" ou="<%= \"/edit_selectionmodel.fl\"+(id != null? \"?id=\" + id : \"\") %>">
		<table class="container" cellpadding="0">
			<tr>
				<td colspan="5">
					<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="labelTitreFiche">
								<fl:label field="SmdName" labelClassName="titreFiche"/>
							</td>
							<td class="fieldTitreFiche">
								<fl:input property="SmdName" mandatoryMsgCode="L63B1"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td colspan="5" class="ligne_separation"/></tr>
			<tr>
			<td class="column3">
				<table class="container" cellpadding="0">
						<fl:fieldEdit property="SmdCode"  mandatoryMsgCode="M60BF" unicityMsgCode="M60CE"/>
						<tr class="fieldline">
							<td class="dataLabel">
								<fl:label code="L65A4"/>
							</td>
							<td class="dataValue" colspan="3">
								<fl:input property="SmdObj2" column3="true"/>
							</td>
						</tr>
						<tr class="fieldline">
							<td class="dataLabel">
								<fl:label code="L65A7"/>
							</td>
							<td class="dataValue" colspan="3">
								<fl:input property="SmdObj5" column3="true"/>
							</td>
						<tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel">
								<fl:label code="F617C"/>
							</td>
							<td class="dataValue" colspan="3">
								<div class="input fieldTable" >
									<table class="fieldTable" cellpadding="0">
										<tr>
										<td class="principalText bigFieldPart">
											<div style="" class="fobLeftDiv"><input name="SmdNameLabel" type="hidden" value="<%=Utils.formatToWeb(nameLabel, true)%>" ><input name="lblSmdNameLabel" type="text" value="<%= nameLabel == null ? "" : Utils.getMessage(session, nameLabel,  Utils.getMessage(session, "L60E0", "<non spcifi>")) %>" class="input fob"></div>
										</td>
										<td class="smallFieldPart">
											<span id="SmdObj3_icons"><a href="javascript:doSelect('SmdNameLabel')"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon" alt="S&eacute;lectionner" title="S&eacute;lectionner"></a>&nbsp;<a href="javascript:doRemove('SmdNameLabel')"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon" alt="Vider le champ" title="Vider le champ"></a></span>
										</td>	
										</tr>
									</table>
								</div>
							</td>
						</tr>
						<tr class="fieldline">
							<td class="dataLabel">
								<fl:label code="L65A5"/>
							</td>
							<td class="dataValue" colspan="3">
								<fl:input property="SmdObj3" column3="true"/>
							</td>
						</tr>
						<fl:fieldEdit name="SelectionModel" property="SmdLstID" query="LstObjID:ObjSQL='PopulationEntry'" />
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column3">
				<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel">
								<fl:label code="L65A3"/>
							</td>
							<td class="dataValue" colspan="3">
								<fl:input property="SmdObj1" column3="true"/>
							</td>
						</tr>
						<tr class="fieldline">
							<td class="dataLabel">
								<fl:label code="L65A6"/>
							</td>
							<td class="dataValue" colspan="3">
								<fl:input property="SmdObj4" column3="true"/>
							</td>
						<tr>
						<fl:fieldEdit property="SmdOrigin"/>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td colspan="5">&nbsp;</td></tr>
		</table>
		<table class="container" cellpadding="0">
			<tr class="ligne_separation"><td></td></tr>
			<tr>
				<td class="titrePartie"><fl:getMessage code="F617A" alt="Dfinition"/></td>
			</tr>
			<tr class="ligne_separation_couleur"><td></td></tr>
			<tr class="ligne_separation"><td></td></tr>
			<tr>
				<td class="dataValue noPaddingLeft"><fl:input property="SmdXMLDef" mandatoryMsgCode="M6106" height="300px" rows="8" nodiv="false"/></td>
			</tr>
			<tr class="ligne_separation"><td></td></tr>
		</table>
		<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
		<fl:smallTabs name="CampaignTabs">
		<fl:sTab id="DESCRIP" title="<%= Utils.getMessage(session, \"L2007\", false, true, \"Description\") %>">
			<table class="container" cellpadding="0">
				<tr>
					<td class="column2">
						<table class="data_column" cellpadding="0">
							<tr class="fieldline">
								<td id="SmdDescrLabel_label" class="dataLabel"><div style="width: 100%;">
									<label for="SmdDescrLabel" title="<fl:getMessage code="F617B" alt="Libell pour description"/>">
									<fl:getMessage code="F617B" alt="Libell pour description"/></label></div>
								</td>
								<td id="SmdDescrLabel_label" class="dataValue">
									<div class="input fieldTable" >
									<table class="fieldTable" cellpadding="0">
									<tr>
										<td class="principalText bigFieldPart">
										<div style="" class="fobLeftDiv">
											<input name="lblSmdDescrLabel" type="text" value="<%= descrLabel == null ? "" : Utils.getMessage(session, descrLabel,  Utils.getMessage(session, "L60E0", "<non spcifi>")) %>" onFocus="this.blur();" class="input fob">
											<input name="SmdDescrLabel" type="hidden" value="<%= Utils.formatToWeb(descrLabel, true) %>">
										</div>
										</td>
										<td class="smallFieldPart">
										<span id="SmdObj3_icons">
											<a href="javascript:doSelect('SmdDescrLabel')"><img src="<fl:webapp/>/icons/ico/rechercher.gif" class="icon" alt="<fl:getMessage code="A2003" alt="Slectionner"/>" title="<fl:getMessage code="A2003" alt="Slectionner"/>"></a>
											<a href="javascript:doRemove('SmdDescrLabel')"><img src="<fl:webapp/>/icons/ico/supprimer.gif" class="icon" alt="<fl:getMessage code="A3005" alt="Vider le champ"/>" title="<fl:getMessage code="A3005" alt="Vider le champ"/>"></a>			
										</span>
										</td>
									</div></td></tr></table>
								</div>
								</td>
								
							</tr>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table class="container" cellpadding="0">
							<fl:fieldEdit property="SmdDescr" mandatoryMsgCode="M60FD"/>
						</table>
					</td>
				</tr>
			</table>
		</fl:sTab>
		</fl:smallTabs>
	</fl:bigTabs>
</fl:form>
