<%@page session="true" import="com.edeal.frontline.*"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.StageBean" id="Stage" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	
	String id;
	try {
		id = Stage.getID();
	} catch (FieldNotInitializedException e) {
		id = null;
	}
	
	String stgCpgID;
	try {
		stgCpgID = Stage.getStgCpgID();
	} catch (FieldNotInitializedException e) {
		stgCpgID = null;
	}
%>
<script language="javascript">
	function doDelete() {
		if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
			window.location = '<fl:link url="<%= \"/delete_stage.fl\" + ( id != null ? \"?id=\" + id : \"\") + (stgCpgID != null ? \"&stgCpgID=\" + stgCpgID : \"\") %>"/>';
		}
	}
	
	function doCopy() {
		window.location = '<fl:link url="<%= \"/copy_stage.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>';
	}
</script>
<fl:access operation="edit" name="Stage">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link list="true" url="<%= \"/edit_stage.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access operation="delete" name="Stage">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doDelete();">
					<p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access operation="create" name="Interaction">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link url="<%= \"/create_interaction.fl\" + ( id != null ? \"?initIntStgID=\" + id : \"\") + ( stgCpgID != null ? \"&initIntCpgID=\" + stgCpgID : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="L30B2" alt="Interaction"/> +</p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access operation="create" name="Stage">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:doCopy();">
					<p class="actions_tabletext"><fl:getMessage code="L610D" alt="Copier"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
	