<%@page session="true" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.DateParseException" %>
<%@ page import="java.util.GregorianCalendar" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String strDate = flRequest.getRequestParameterOrAttribute("date");
	Date date = null;
	try {
		date = Utils.formatDateFromWeb(session, strDate != null ? strDate : Utils.formatToWebDate(session, new Date(), true));
		strDate="";
	} catch (DateParseException dpe) {
	}
	String actor = flRequest.getRequestParameterOrAttribute("actor");
	if (actor == null) {
		actor = (String)session.getAttribute("actorID");
	}
	// positionnement du calendrier au lundi
	GregorianCalendar calendar = FlLocale.getInstance(session).getCalendar();
	if (date != null) {
		calendar.setTime(date);
	}
	String type = flRequest.getRequestParameterOrAttribute("type");
	calendar.set(Calendar.HOUR_OF_DAY, 0);
	calendar.set(Calendar.MINUTE, 0);
	calendar.set(Calendar.SECOND, 0);
	calendar.set(Calendar.MILLISECOND, 0);
	SimpleDateFormat sdf = FlLocale.getInstance(session).getSimpleDateFormat("EEEE dd");
	SimpleDateFormat monthFormat = FlLocale.getInstance(session).getSimpleDateFormat("M");
	SimpleDateFormat yearFormat = FlLocale.getInstance(session).getSimpleDateFormat("yyyy");
	String pNbAgenda = flRequest.getRequestParameterOrAttribute("nbAgenda");
	int nbAgenda = 0;
	try {
		nbAgenda = Integer.parseInt(pNbAgenda);
	} catch (NumberFormatException nfe) {
	}
	nbAgenda++;
%>
<!-- 	<table class="container" cellpadding="0"> -->
<!-- 					<tr> -->
<!-- 						<td><img src="<fl:webapp/>/icons/sidebar/actions/frame_upper_left.gif"></td> -->
<!-- 						<td background="<fl:webapp/>/icons/sidebar/actions/frame_upper_center.gif" class="actions_titlebar"><fl:getMessage code="A0010" alt="Actions"/></td> -->
<!-- 						<td><img src="<fl:webapp/>/icons/sidebar/actions/frame_upper_right.gif"></td> -->
<!-- 					</tr> -->
<% if (!"DAY".equalsIgnoreCase(type)) { %>
					<tr>
						<td class="actions_cell_left"></td>
						<td><div class="actions_tablecell_1"><a href="<fl:webapp/>/day_agenda.fl?actor=<%= actor %>&date=<%=FlLocale.getInstance(session).getDateFormat().format(new Date())%>"><p class="actions_tabletext"><fl:getMessage code="F6021" alt="Jour"/></p></a></div></td>
						<td class="actions_cell_right"></td>
					</tr>
					<tr>
						<td class="actions_cell_left"></td>
						<td class="actions_tablecell_seperator"></td>
						<td class="actions_cell_right"></td>
					</tr>
<% } %>
<% if (!"WORKWEEK".equalsIgnoreCase(type)) { %>
					<tr>
						<td class="actions_cell_left"></td>
						<td><div class="actions_tablecell_1"><a href="<fl:webapp/>/workweek_agenda.fl?actor=<%= actor %>"><p class="actions_tabletext"><fl:getMessage code="L63F0" alt="Semaine de travail"/></p></a></div></td>
						<td class="actions_cell_right"></td>
					</tr>
					<tr>
						<td class="actions_cell_left"></td>
						<td class="actions_tablecell_seperator"></td>
						<td class="actions_cell_right"></td>
					</tr>
<% } %>
<% if (!"WEEK".equalsIgnoreCase(type)) { %>
					<tr>
						<td class="actions_cell_left"></td>
						<td><div class="actions_tablecell_1"><a href="<fl:webapp/>/week_agenda.fl?actor=<%= actor %>"><p class="actions_tabletext"><fl:getMessage code="L6227" alt="Semaine"/></p></a></div></td>
						<td class="actions_cell_right"></td>
					</tr>
					<tr>
						<td class="actions_cell_left"></td>
						<td class="actions_tablecell_seperator"></td>
						<td class="actions_cell_right"></td>
					</tr>
<% } %>
<% if (!"MONTH".equalsIgnoreCase(type)) { %>
					<tr>
						<td class="actions_cell_left"></td>
						<td><div class="actions_tablecell_1"><a href="<fl:webapp/>/month_agenda.fl?actor=<%= actor %>"><p class="actions_tabletext"><fl:getMessage code="L200B" alt="Mois"/></p></a></div></td>
						<td class="actions_cell_right"></td>
					</tr>
					<tr>
						<td class="actions_cell_left"></td>
						<td class="actions_tablecell_seperator"></td>
						<td class="actions_cell_right"></td>
					</tr>
<% } %>
					<tr>
						<td class="actions_cell_left"></td>
						<td><div class="actions_tablecell_1"><a href="javascript:changeActor()"><p class="actions_tabletext"><fl:getMessage code="L309C" alt="Agenda de"/></p></a></div></td>
						<td class="actions_cell_right"></td>
					</tr>
					<tr>
						<td class="actions_cell_left"></td>
						<td class="actions_tablecell_seperator"></td>
						<td class="actions_cell_right"></td>
					</tr>
					<tr>
						<td class="actions_cell_left"></td>
						<td><div class="actions_tablecell_1"><a href="javascript:calcAvailability()"><p class="actions_tabletext"><fl:getMessage code="L6229" alt="Calcul dispo."/></p></a></div></td>
						<td class="actions_cell_right"></td>
					</tr>
<!-- 					<tr> -->
<!-- 						<td><img src="<fl:webapp/>/icons/sidebar/actions/frame_lower_left.gif"></td> -->
<!-- 						<td background="<fl:webapp/>/icons/sidebar/actions/frame_lower_center.gif"></td> -->
<!-- 						<td><img src="<fl:webapp/>/icons/sidebar/actions/frame_lower_right.gif"></td> -->
<!-- 					</tr> -->
<!-- 				</table> -->
				<form>
					<input type="hidden" name="ActID" id="ActID" value="<%= actor %>"/>
					<input type="hidden" name="lblActID" id="lblActID" value=""/>
					<input type="hidden" name="nbAgenda" id="nbAgenda" value="<%= nbAgenda %>"/>	
					<input type="hidden" name="date" value="<%= Utils.formatToWebDate(session, calendar.getTime(), false) %>"/>
					<input type="hidden" name="actor" value="<%=actor%>"/>			
				</form>
