<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.controller.ControllerServlet" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="com.edeal.frontline.ObjectsBean" %>
<%@ page import="com.edeal.frontline.controller.actions.SelectAction" %>

<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.AlarmBean" id="Alarm" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();

DataDictionary dico = context.getDataDictionary();
ObjectsBean actorBean = dico.getTable("sql", "Actor");
String xmlListSelect = actorBean.getObjSelectListID();

String id = null;
try {
	id = Alarm.getID();
} catch (FieldNotInitializedException fnie) {
}

String almOppID;
try {
	almOppID = Alarm.getAlmOppID();
} catch (FieldNotInitializedException e) {
	almOppID = null;
}

String almIntID;
try {
	almIntID = Alarm.getAlmIntID();
} catch (FieldNotInitializedException e) {
	almIntID = null;
}

String submitUrl;
if (almIntID != null) {
	submitUrl = "window.opener.location = \\'" + flRequest.computeURL("/read_interaction.fl?id=" + almIntID) + "\\';";
} else if (almOppID != null) {
	submitUrl = "window.opener.location = \\'" + flRequest.computeURL("/read_opportunity.fl?id=" + almOppID) + "\\';";
} else {
	submitUrl = "window.opener.location.reload();";
}

boolean isCreate = id == null;
String actID = null;

if(isCreate){
	actID = flRequest.getRequestParameterOrAttribute("actID");
} else {
	try{
		actID = Alarm.getAlmActID();
	} catch (FieldNotInitializedException fnie) {
	}
}

Vector actors = (Vector)flRequest.getAttribute("actors");
if (actors == null) {
	actors = new Vector();
}
java.util.Vector jsBeenIncluded = (java.util.Vector)request.getAttribute(ControllerServlet.JS_BEEN_INCLUDED_ATTR);
if (jsBeenIncluded == null) {
	jsBeenIncluded = new java.util.Vector();
}
//****************************************************************************
boolean popup = flRequest.getRequestParameterOrAttribute("popup") != null;

%>
<% if (popup) { %>
<html>
<head>
	<title><% if (isCreate) { %><fl:getMessage code="L6170" alt="Création d\'une alerte"/><% } else { %><fl:getMessage code="L62E2" alt="Modification d\'une alerte"/><% } %></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	<% if (!jsBeenIncluded.contains("/js/master_js.jsp")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	<%}
	if (!jsBeenIncluded.contains("/js/ajax/sarissa.js")) {%>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
	<%}
	if (!jsBeenIncluded.contains("/js/ajax/ajax.js")) {%>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
	<%}
	if (!jsBeenIncluded.contains("/js/presentField.js")) {%>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
	<% }
	}
	if (!jsBeenIncluded.contains("/js/checkFields.jsp")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<%}
	if (!jsBeenIncluded.contains("/js/utils.js")) {%>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
	<%}
	if (!jsBeenIncluded.contains("/js/calendar.jsp")) {%>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/calendar.jsp"></script>
	<%}if (!jsBeenIncluded.contains("/js/calendar.jsp")) {%>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
	<%}%>
	
		<!--[if IE 7]>
		<script type="text/javascript" language="javascript" src="./js/edeal/libraries/json.org/json2/json2.js"></script>
	<![endif]-->
	<script type="text/javascript" language="javascript" src="./js/edeal/context/edContext.js"></script>
	<script type="text/javascript" language="javascript" src="./js/edeal/application/edApplication.js"></script>
	<script type="text/javascript" language="javascript" src="./js/edeal/libraries/includeJS/include.js"></script>
	<script type="text/javascript" language="javascript" src="./js/edeal/tools/utils.js"></script>
	<script type="text/javascript" language="javascript" src="./js/edeal/managers/edManager.js"></script>
	
	<script language="javascript">
		$(document).ready(loadMainContent);	
		function loadMainContent() {
			var context = new edContext('{}');
			
			$(document).one("edApplication_onInitialize", computeEdViews);
			var application = new edApplication({path: "<fl:webapp/>/"});
		}
		
		function computeEdViews() {
			edManager.createEdViewsFromHTML();
		}
	</script>
	
	<script type="text/javascript" language="javascript">
	function doSubmit() {
		var f = document.forms[0];
<% if (popup) { %>
		f.$$returnedHtmlHead.value = '<scr' + 'ipt language="javascript" type="text/javascript"><%= submitUrl %>self.close()</scr'+ 'ipt>';
<% } %>
		return true;
	}
	</script>
<% if (popup) { %>
</head>
<body style="height: 90%; overflow: auto;">
	<div id="object_css" style="top:0px;left: 0px;height:90%;">
<% } %>
<fl:form action="<%= isCreate ? \"/save_alarm_create.fl\" : \"/save_alarm_edit.fl\" %>" bean="Alarm">
	<input type="hidden" name="AlmIntID" value="<fl:getProperty name="Alarm" property="AlmIntID" alt=""/>">
	<input type="hidden" name="AlmOppID" value="<fl:getProperty name="Alarm" property="AlmOppID" alt=""/>">
	<% if (popup) { %>
	<input type="hidden" name="popup" value="1">
	<input type="hidden" name="$$returnedHtmlHead" value="">
	<input type="hidden" name="$$returnedHtmlBody" value="Closing...">
	<% } %>
	<input type="hidden" name="mandatory" value="Acteurs">
	<input type="hidden" id="mandatory.Acteurs" name="mandatory.Acteurs" value="<fl:getMessage code="M300F" alt="Veuillez renseigner au moins un acteur." js="true"/>">
	<% if(!isCreate) { %>
		<input id="Acteurs" name="Acteurs" type="hidden" value="<%= actID %>">
	<% } %>
	<input name="evalActeurs" type="hidden" value="">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L638D\", \"Alerte\") %>" ou="<%= \"/edit_alarm.fl\" + (id != null ? \"?id=\" + id : \"\") %>" ignoreList="true">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="5" class="width: 100%; margin: 0px; padding: 0px;">
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td><fl:label field="AlmSubject" labelClassName="labelTitreFiche" code="F203B"/></td>
						<td class="fieldTitreFiche"><fl:input property="AlmSubject" mandatoryMsgCode="F60BF"/></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<% if (isCreate) { %>
					<tr class="fieldline">
						<td class="dataLabel">
							<div>
								<label for="AlmActID" title="<fl:getMessage code="F609C" alt="Acteurs concernés"/>"><fl:getMessage code="F609C" alt="Acteurs concernés"/></label>
							</div>
							<edLink image='icons/ico/rechercher.gif' 
								values="<fl:getMessage code="A2003" alt="Sélectionner"/>" 
								target="POPUP" 
								url='xml_select_multiple_list.fl?id=<%=xmlListSelect%>&field=Acteurs'
							></edLink>						
						</td>
						<td class="dataValue">
							<edAutoComplete id="Acteurs" 
								isMultiValued="true"
								isRequired="true" 
								values='[<% for (int i = 0; i < actors.size(); i++) { ActorBean currAct = (ActorBean) actors.elementAt(i);	if (i>0) {%>","<%}%>{"value":"<%= Utils.formatToWeb(currAct.getID(), true) %>", "label":"<%= Utils.formatToWeb(currAct.toString(), false) %>"}<%}%>]'
								autocomplete='{"objname": "ActID", "searchtype": "FOB", "minimumCharacters": 2}'
								actions='{"sort": {"active": false}, "add": {"active": true, "authorizedouble": false}, "remove": {"active": true}}'>
							</edAutoComplete>
						</td>
					</tr>
					<tr><td><span id="Acteurs_msg" class="mandatory_alert" style="display: none">&nbsp;</span></td></tr>
					<% } else { %>
						<fl:fieldEdit property="AlmActID" mandatoryMsgCode="M300F"/>
						<tr><td><span id="Acteurs_msg" class="mandatory_alert" style="display: none">&nbsp;</span></td></tr>
					<% } %>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit property="AlmDate" mandatoryMsgCode="M2006"/>
				</table>
			</td>
		</tr>
	</table>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="titrePartie"><fl:getMessage code="F6002" alt="Message"/></td>
		</tr>
		<tr>
			<td class="dataValue noPaddingLeft"><fl:input property="AlmMessage" width="100%" rows="5" nodiv="false"/></td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
</fl:bigTabs>
</fl:form>
<% if (popup) { %>
	
	<div style="width: 100%;text-align: center;"><a href="javascript:submit()"><img src="<fl:link url="/icons/ico/valid_green_long.gif"/>"></a>&nbsp;&nbsp;&nbsp;<a href="javascript:window.top.close();"><img src="<fl:link url="/icons/ico/fermer_red_long.gif"/>"></a></div>
	</div>
</body>
</html>
<% } %>
