<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.AlarmBean" id="Alarm" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String id = null;
try {
	id = Alarm.getID();
} catch (FieldNotInitializedException fnie) {
}
String sessionActID = (String)session.getAttribute("actorID");
%>
<html>
<head>
	<title><fl:getProperty name="Alarm" property="AlmSubject" alt=""/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
	<!-- <script type="text/javascript" language="javascript" src="<fl:webapp/>/js/notes.js"></script> -->
	<style type="text/css">
		.button {
			border-style: solid;
			border-width: 1px;
			border-color:  rgb(132, 166, 174);
			font-weight: bold;
			font-size: 11px;
			padding: 3px; 
		}
		.dmcscrollv{
			overflow:hidden;
			overflow-x: -moz-scrollbars-auto;
			overflow-y: auto;
			overflow : -moz-scrollbars-auto;
		}	
		.dmcscrollh{
			overflow:auto;
			overflow-x: auto;
			overflow-y: auto;
			overflow : -moz-scrollbars-horizontal;
		}	
	</style>
	<script type="text/javascript" language="javascript">
		function doSubmit() {
			var f = document.forms[0];
			presentFieldsValue();
			var value = f.AlmInterval.options[f.AlmInterval.selectedIndex].value;
			f.AlmDate.value = value;
			f.$$returnedHtmlHead.value = "<scr" + "ipt type='text/javascript' language='javascript'>self.close();</scr" + "ipt>";
			f.submit();
		}
		
		function doDelete() {
			var f = document.forms[0];
			f.action = '<fl:webapp/>/popup_alarm_delete.fl';
			presentFieldsValue();
			f.$$returnedHtmlHead.value = "<scr" + "ipt type='text/javascript' language='javascript'>self.close();</scr" + "ipt>";
			f.submit();
		}
	</script>
</head>
<body>
<fl:form action="/popup_alarm_edit.fl" bean="Alarm">
	<input type="hidden" name="AlmDate" id="AlmDate" value="<fl:getProperty name="Alarm" property="AlmDate" alt=""/>"/>
	<input type="hidden" name="$$returnedHtmlHead" id="$$returnedHtmlHead" value=""/>
	<input type="hidden" name="$$returnedHtmlBody" id="$$returnedHtmlBody" value="Closing..."/>
<div id="object_css" style="top:0px; left: 0px; height: 100%;" class="dmcscrollv">
<fl:bigTabs objectTitle="<%= Alarm.getAlmSubject() %>" ou="<%= \"/edit_alarm.fl\" + (id != null ? \"?id=\" + id : \"\") %>" showFooter="false">
						<table class="container" cellpadding="0">
							<tr>
								<td class="column2">
									<table class="container" cellpadding="0">
										<fl:fieldRead property="AlmDate"/>
									</table>
								</td>
							<%
							try {
								String creID = Alarm.getCreID();
								if (!creID.equals(sessionActID)) {
							%>
							</tr>
							<tr>
								<td class="column2">
									<table class="container" cellpadding="0">
										<fl:fieldRead property="AlmCreID" bean="true"/>
										
									</table>
								</td>
							<%
								}
							} catch (FieldNotInitializedException fnie) {
							}
							%>
							</tr>
						</table>
						<div style="width:100%;">
						<fl:notes name="AlmMessage" title="<%= Utils.getMessage(session, \"F6002\", \"Message\") %>" nbPix="30"><fl:getProperty name="Alarm" property="AlmMessage" alt=""/></fl:notes>
						</div>
						<table class="container" cellpadding="0">
							<tr>
								<td style="text-align: right;">
									<select name="AlmInterval" id="AlmInterval"  style="vertical-align: text-top;">
<%	
		Date almDate = new Date();
		
		try {
			almDate = Alarm.getAlmDate();
		}catch (FieldNotInitializedException e){
		}
		
		Vector refLabel = dico.getRefList(session, "Rap","Te1");
		Vector refDelta = dico.getRefList(session, "Rap","Nu1");

		for (int i=0; i<refLabel.size() ; i++){
				Vector row = (Vector) refLabel.elementAt(i);
				Vector rowDelta = (Vector) refDelta.elementAt(i);
				String refValue =(String) row.elementAt(1);
				Number deltaN = (Number) rowDelta.elementAt(1);
				
				Calendar toTime = FlLocale.getInstance(session).getCalendar();
				toTime.add(Calendar.MINUTE,deltaN.intValue());
				Date afterTime = toTime.getTime();
							 
%>

					<option value="<%= Utils.formatToWeb(afterTime,true)%>"><%= refValue %></option>
<% 		}
%>
									</select>
									<span class="button"><a href="javascript:doSubmit()"><fl:getMessage code="L62EA" alt="Rappeller"/></a></span>
									&nbsp;&nbsp;&nbsp;&nbsp;<span class="button"><a href="javascript:doDelete()"><fl:getMessage code="L62E9" alt="Supprimer alerte"/></span>
								</td>
							</tr>
						</table>
</fl:bigTabs>
</div>	
</fl:form>
</body>
</html>
