<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.AlarmBean" id="Alarm" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
String id = null;
try {
	id = Alarm.getID();
} catch (FieldNotInitializedException fnie) {
}
boolean popup = flRequest.getRequestParameterOrAttribute("popup") != null;
%>
<% if (popup) { %>
<html>
<head>
	<title><fl:getProperty name="Alarm" property="AlmSubject" alt=""/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
<% } %>
<!-- Javascript include -->
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
<% if (popup) { %>
</head>
<body>
	<div id="object_css" style="top:0px;left: 0px;height:100%;">
<% } %>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L638D\", \"Alerte\") %>" ou="<%= \"/edit_alarm.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
	<table class="container" cellpadding="0" cellspacing="0">
		<tr>
			<td colspan="3" class="titreFiche">
				<fl:getProperty name="Alarm" property="AlmSubject" alt="&nbsp;"/>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					
					<fl:fieldRead property="AlmActID" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_actor.fl\" %>"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="AlmDate"/>
					<%
						try {
							Alarm.getAlmIntID();
					%>
							<fl:fieldRead property="AlmIntID" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_interaction.fl\" %>" alt="&nbsp;"/>
					<%
						} catch (FieldNotInitializedException fnie) {
						}

						try {
							Alarm.getAlmOppID();
					%>
							<fl:fieldRead property="AlmOppID" bean="true"/>
					<%
						} catch (FieldNotInitializedException fnie) {
						}
					%>
				</table>
			</td>
		</tr>
	</table>
	<fl:notes name="AlmMessage" title="<%= Utils.getMessage(session, \"F6002\", \"Message\") %>" nbPix="30"><fl:getProperty name="Alarm" property="AlmMessage" alt=""/></fl:notes>
</fl:bigTabs>
<% if (popup) { %>
		<div class="validation"><a href="javascript:submit()"><img src="<fl:link url="/icons/ico/cochevalid.gif"/>" class="valid_button"></a><a href="javascript:window.top.close();"><img src="<fl:link url="/icons/ico/close.gif"/>" class="cancel_button"></a></div>
	</div>
</body>
</html>
<% } %>