<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" %><%@ page import="com.edeal.frontline.FlContext" %><%@ page import="com.edeal.frontline.Utils" %><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="com.edeal.frontline.EnterpriseBean" %><%@ page import="com.edeal.frontline.controller.actions.SelectAction" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	String id = flRequest.getParameter("id");
	EnterpriseBean Enterprise = new EnterpriseBean(id, session);
%>
<html>
<head>
	<title><fl:getMessage code="L6181" alt="Fusionner"/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
	<script type="text/javascript" src="<fl:link url="/js/edeal/libraries/jquery/jquery.js"/>"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/jsOnload.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/global_js.jsp"></script>
	
	<script language="javascript">
		function doChangeEntreprise() {
			window.open('<fl:webapp/>/select.fl?type=Enterprise&field=EntID&query=' + escape(<%= "'EntID <> " + Utils.formatToJavascript(Utils.formatToSQL(context, id )) + "'" %>), 'ChoixEntreprise' , 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=<%= SelectAction.SELECT_WINDOW_WIDTH %>,height=410');
		}
		
		function doFusion() {
			var f = document.forms[0];
			
			if (f.EntID.value == '') {
				window.alert('<fl:getMessage code="M301C" alt="Veuillez spcifier une entreprise." js="true"/>');
				return;
			}
			doAjax('<fl:webapp/>/fusion_enterprise_ajax.fl?from=<%= id %>&to=' + f.EntID.value+ '&del='+f.suppression.checked+ '&lct='+f.implantation.checked);
		}
	</script>
</head>

<body>
<div id="object_css" style="top: 0px; left: 0px; bottom: 0px; height: 100%;">
<fl:bigTabs ignoreList="true" objectTitle="<%= Utils.getMessage(session, \"L6181\", false, true, \"Fusionner\") %>">
<form method="post" action="#">
	<input type="hidden" name="from" value="<%= id %>">
	<table style="width: 100%;" border="0" cellpadding="3" cellspacing="3" align="center">
		<tr valign="top">
			<td class="titreFiche" colspan="2" style="padding-left: 0px;">
				<fl:getMessage code="L662B" alt="Fiche esclave"/>:&nbsp;<%= Enterprise.getEntCorpName() %>
			</td>
		</tr>
		<tr>
			<td class="dataLabel" style="vertical-align: middle;">&nbsp;<fl:getMessage code="L662C" alt="Fiche matre"/>:</td>
			<td nowrap><% String qr = "EntID<>" + Utils.formatToJavascript(Utils.formatToSQL(context, id)); %>
				<input id="EntID" type="hidden" value="" name="EntID"/>
				<input id="lblEntID" name="lblEntID" type="text" value="" autocomplete="off" onfocus="displayOnFocus(this);acResizeDisplayDiv(this);" class="input fob chpsTextObligatoire" style="width: 90%">
				<script language="javascript">var _EntID_query = '<%= qr %>';runOnTime("installFobAC(document.forms[0].lblEntID);");</script>
				<a href="javascript:doChangeEntreprise();"><img style="vertical-align: middle;" src="<fl:webapp/>/icons/ico/rechercher.gif" border="0" alt="<fl:getMessage code="A3017" alt="Choisir une entreprise"/>"></a>
			</td>			
		</tr>
		<tr>
			<td colspan="2" class="dataLabel" style="vertical-align: middle;"><input id="implantation" name="implantation" type="checkbox"><fl:getMessage code="F61EB" alt="Crer une implantation"/></input></td>
		</tr>
		<tr>
			<td colspan="2" class="dataLabel" style="vertical-align: middle;"><input id="suppression" name="suppression" type="checkbox"><fl:getMessage code="F61EA" alt="Supprimer la fiche esclave"/></input></td>
		</tr>
	</table>
</form>
</fl:bigTabs>
<br>
<table class="container" width="100%">
	<tr class="fieldline">
		<td colspan="2" style="text-align: center;">
			<a href="javascript:doFusion()"><img src="<fl:webapp/>/icons/ico/valid_green_long.gif"></a>&nbsp;&nbsp;&nbsp;<a href="javascript:window.close()"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif"></a>
		</td>
	</tr>
</table>
</div>
</body>
</html>