<%
/******************************************************************************
 * Copyright (c) 2000-2010 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%><%@ page import="java.util.*" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.EnterpriseBean" id="Enterprise" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();	
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	try {
		id = Enterprise.getID();
	} catch (FieldNotInitializedException e) {
	}
	
	Vector vectorDelay = null;
	Vector vectorNbOfDays = null;
	try{
		vectorDelay = dico.getRefList("Qld","Te1");
		vectorNbOfDays = dico.getRefList("Qld","Nu1");
	}catch(FrontlineException fe){
	}
	
	
%>

<script type="text/javascript" language="javascript">
function printQuickLook() {
	var urlQL = '<fl:webapp/>/printquicklook.fl?id=<%= id %>&print=true';
	if (document.getElementById('oppCheck').checked){
		oppDate = document.getElementById('oppDate').value;
		urlQL += '&datOpp=' + oppDate;
	}
	if (document.getElementById('intCheck').checked){
	    intDate = document.getElementById('intDate').value;
	    urlQL += '&datInt=' + intDate;
	}
	
	popupCenter(urlQL, 'PrintQuickLook', '800', '1000', 'menubar=no, status=no, toolbar=no, scrollbars=yes, resizable=yes');
}

</script>
	
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<input type="checkbox" id="oppCheck" name="oppCheck"/><label id="opp_label" for="opp"><fl:getMessage code="L700B" alt="Limiter aux offres des"/></label>
			    <select name="oppDate" id="oppDate">
			    	<%
			    	if ((vectorDelay != null) && (vectorDelay.size() > 0) && (vectorNbOfDays.size() > 0) && (vectorNbOfDays != null)){
						for (int j=0 ; j < vectorDelay.size() ; j++) {
							Vector vectDelay = (Vector) vectorDelay.elementAt(j);
							Vector vectNbOfDays = (Vector) vectorNbOfDays.elementAt(j);
							String delay = (String) vectDelay.elementAt(1);
							Number nbOfDays = (Number) vectNbOfDays.elementAt(1);
							GregorianCalendar gcOpp = new GregorianCalendar();
			    			gcOpp.setTime(new Date());
			    			gcOpp.add(GregorianCalendar.DAY_OF_YEAR, -nbOfDays.intValue());
			    			Date newdateOpp = gcOpp.getTime();
			    			String sNewdateOpp = Utils.formatToWebDate(session, newdateOpp, false);
							%>
			    			<option value="<%= Utils.formatToWeb(sNewdateOpp, false)%>"> <%= Utils.formatToWeb(delay, false)%> </option>
			    			<%
			    		} 
			    	}
			    	%>
			    </select>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				 <input type="checkbox" id="intCheck" name="intCheck"/><label id="int_label" for="int"><fl:getMessage code="L700C" alt="Limiter aux interactions des"/></label>
				 <select name="intDate" id="intDate">
			    	<% 
			    	
			    	if ((vectorDelay!=null) && (vectorDelay.size() > 0) && (vectorNbOfDays.size() > 0) && (vectorNbOfDays != null)){
						for (int j=0 ; j < vectorDelay.size() ; j++) {
							Vector vectDelay = (Vector) vectorDelay.elementAt(j);
							Vector vectNbOfDays = (Vector) vectorNbOfDays.elementAt(j);
							String delay = (String) vectDelay.elementAt(1);
							Number nbOfDays = (Number) vectNbOfDays.elementAt(1);
				    		GregorianCalendar gcInt = new GregorianCalendar();
				    		gcInt.setTime(new Date());
				    		gcInt.add(GregorianCalendar.DAY_OF_YEAR, -nbOfDays.intValue());
				    		Date newdateInt = gcInt.getTime();
				    		String sNewdateInt = Utils.formatToWebDate(session, newdateInt, false);
			    			%>
			    			<option value="<%= sNewdateInt %>"> <%= delay %> </option>
			    		<%} 
			    	}%>
			    </select>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
</tr>

<fl:access name="Enterprise" operation="READ">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:refreshOppsInts();">
					<p class="actions_tabletext"><fl:getMessage code="L7007" alt="Actualiser"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>

<fl:access name="Enterprise" operation="READ">
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:printQuickLook();">
					<p class="actions_tabletext"><fl:getMessage code="L6127" alt="Imprimer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
</fl:access>
<fl:access name="Enterprise" operation="READ">
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:link list="true" url="<%= \"/read_enterprise.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
					<p class="actions_tabletext"><fl:getMessage code="S0049" alt="Retour"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	
</fl:access>



