<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Enumeration" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
Vector resp = (Vector)flRequest.getAttribute("resp");
int size = resp.size();
%>
<!-- Javascript include -->
<script type="text/javascript" language="javascript">
	function changeComm() {
		var actors = document.getElementById('actors');
		var actID = actors.options[actors.selectedIndex].value;
		document.getElementById('table_content').style.visibility = 'hidden';
		
		if (actID == '') {
			document.getElementById('sectors').style.visibility = 'hidden';
			document.getElementById('sectors_label').style.visibility = 'hidden';
			return;
		}
		
		doAjax('<fl:webapp/>/load_sectors_ajax.fl?actID=' + actID);
	}
	
	function changeSector() {
		var sectors = document.getElementById('sectors');
		var entSector= sectors.options[sectors.selectedIndex].value;
	
		if (entSector == '') {
			document.getElementById('table_content').style.visibility = 'hidden';
			return;
		}

		var actors = document.getElementById('actors');
		var actID = actors.options[actors.selectedIndex].value;
        var params={};
        var ajaxUrl=_grid__RETREL_js_.getAjaxUrl();
        
		document.getElementById('table_content').style.visibility = 'inherit';
		params["EntActID"]=actID;
		if(sectors.options[sectors.selectedIndex].value != "<fl:getMessage code="L6023" alt="Sans secteur" js="true"/>"){
			params["EntSector"]=entSector;
		}
		else{
			params["EntSector"]="";
		}
		_grid__RETREL_js_.callAjaxForHtml(ajaxUrl,params,false);
	}
</script>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"F3013\", false, true, \"Retard relatif\") %>" ou="/retardRelatif.fl">
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="dataValue" style="vertical-align:top; width: 100%">
				<form>
					<table class="data_column" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel" style="width: 1%"><fl:getMessage code="F300B" alt="Commercial"/></td>
							<td class="dataValue" style="width: 20%">
								<select id="actors" name="actors" onchange="changeComm()">
									<option value="" selected></option>
									<%
									for (int i = 0; i < size; i++) {
										StringBuffer buf = new StringBuffer();
										Hashtable row = (Hashtable)resp.elementAt(i);
										
										String val = (String)row.get("ActCivID");
										if (val != null && !"".equals(val)) {
											buf.append(val + " ");
										}
										
										val = (String)row.get("ActName");
										if (val != null && !"".equals(val)) {
											buf.append(val + " ");
										}
										
										val = (String)row.get("ActFstName");
										if (val != null && !"".equals(val)) {
											buf.append(val + " ");
										}
									%>
									<option value="<%= row.get("EntActID") %>"><%= Utils.formatToWeb(buf.toString(), false) %></option>
									<%
									}
									%>
								</select>
							</td>
							<td class="dataLabel" style="width: 1%"><label id="sectors_label" for="sectors" style="visibility: hidden"><fl:getMessage code="F300D" alt="Secteur"/></label></td>
							<td class="dataValue" style="width: 20%">
								<select id="sectors" name="sectors" onchange="changeSector()" style="visibility: hidden">
									<option value=""></option>
								</select>
							</td>
						</tr>
					</table>
				</form>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td id="table_content" style="vertical-align: top; width: 100%; height: 150px; visibility: hidden;">
				<fl:grid name="RETREL" displayFirst="true" ajaxUrl="/embedded_list_ajax.fl?code=RETREL" height="300"></fl:grid>			
			</td>
		</tr>
	</table>
</fl:bigTabs>
<fl:title title="<%= Utils.getMessage(session, \"F3013\", false, true, \"Retard relatif\") %>"/>
