<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<jsp:useBean id="Actor" class="com.edeal.frontline.ActorBean" scope="request"/><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();

	String pField = flRequest.getRequestParameterOrAttribute("field");
%>
<html>
<head>
	<title><fl:getMessage code="L611C" alt="Choix secteurs"/></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
	<script language="JavaScript">
	function doSelect(pDisp) {
		var dst = window.top.opener;
		dst.document.forms[0].<%= pField %>.value = pDisp;
		if(dst.do<%= pField %>Change) {
			dst.do<%= pField %>Change();
		}
		window.top.close();
	}
	</script>
</head>
<body style="padding-right: 10px">
	<div id="object_css" style="top:0px;left: 0px;height:100%;">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"F300D\", \"Secteur\") %>">
								<table class="container" cellpadding="0">
<%	
try {
	Vector sectors = Actor.getActSector();
	for (int i = 0; i < sectors.size(); i++) {
		String disp = sectors.elementAt(i) == null ? "" : (String)sectors.elementAt(i);
%>
									<tr>
										<td class="dataValue" style="vertical-align:top; width: 100%">
											<a href="javascript:doSelect('<%= Utils.formatToJavascript(disp) %>')"><img src="<fl:webapp/>/icons/ico/cochevalid.gif" border="0" width="17" height="17" alt="<fl:getMessage code="A2003" alt="Slectionner"/>"></a>
											<%= Utils.formatToWeb(disp, false) %>
										</td>
									</tr>
<%	
	}
} catch (FieldNotInitializedException fnie) {
%>
									<tr>
										<td class="dataValue" style="vertical-align:top; width: 100%"><fl:getMessage code="L0001" alt="Aucune entre disponible"/></td>
									</tr>
<%	
}
%>
								</table>
		</fl:bigTabs>
	</div>
</body>
</html>
