<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Envies_Bean"%>
<%@ page import="com.edeal.frontline.Utils" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Envies_Bean" id="Envies_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	

	try {
	    id = Envies_.getID();
	} catch (FieldNotInitializedException fnie) {}

	String entid = flRequest.getRequestParameterOrAttribute("initEnvTiersID");
	if(entid == null){
		try {
			entid = Envies_.getEnvTiersID();
		} catch (FieldNotInitializedException fnie) {}
	}
	
	String envSubCategoryID = null;
	try {
		envSubCategoryID = Envies_.getEnvSubCategoryID();
	} catch (FieldNotInitializedException e) {
		envSubCategoryID = "";
	}

	
%>
<script type="text/javascript" language="javascript">
	function loadSubCategory(catID) {
		if (catID == undefined || catID == null || catID == '') {
			$("#EnvSubCategoryID").html("<option value=''>&nbsp;</option>");
			$("#EnvSubCategoryID").width($("#div_EnvSubCategoryID").width());
			return;
		}
		$.getJSON("<fl:webapp/>/get_envies__subcategory.fl?catID=" + catID, function(data) {
			if (data != null) {
				var optContent = "<option value=''>&nbsp;</option>";
				for (var i = 0; i < data.length; i++) {
					var optValue = data[i].value;
					var optText = data[i].text;
					optContent += "<option"
					if (optValue == '<%= envSubCategoryID %>') {
						optContent += " selected";
					}	
					optContent += " value='" + optValue + "'>" + optText + "</option>"
				}
				$("#EnvSubCategoryID").html(optContent);
				$("#EnvSubCategoryID").width($("#div_EnvSubCategoryID").width());//For IE7
			}	
		});
	}
	
	function doSubmit() {
		var f = document.forms[0];		
		return true;
	}

	function createAndContinue() {
		var f = document.forms[0];
		f.action = "continue_envies_.fl?initEnvTiersID=<%= entid %>";
		submit();
	}
	
	function doOnLoad() {
		loadSubCategory($('#EnvcategoryID option:selected').val());
	}
	
</script>
<fl:form action="save_envies_.fl" bean="Envies_">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"LF06F\", \"Envie\") %>" ou="<%= \"edit_envies_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
    <table class="container" cellpadding="0">
	<!-- 	<tr>
			<td colspan="5" width="100%">
				<table>
					<tr>					
						<td style="width: 100%" class="titreFiche">
							JSP edit Envies_
							<br>
						</td>
					</tr>
				</table>
			</td>
		</tr>

		<tr class="ligne_separation"><td></td></tr> -->
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldLine">
						<!-- <fl:fieldEdit property="EnvcategoryID" mandatoryMsgCode="MF07F" alt=""/> -->
						<fl:fieldEdit property="EnvcategoryID" alt=" " mandatoryMsgCode="MF07F" onchange="loadSubCategory(this.value);"/>
						<!-- <fl:fieldEdit property="EnvSubCategoryID" mandatoryMsgCode="MF080" alt=""/> -->
						<tr class="fieldline">
							<td class="dataLabel" id="EnvSubCategoryID_label">
								<div>
									<fl:label field="EnvSubCategoryID"/>
								</div>
							</td>
							<td class="dataValue" id="EnvSubCategoryID_value">
								<div class="input select chpsTextObligatoire" id="div_EnvSubCategoryID">
									<!-- <input type="hidden" value="EnvSubCategoryID" name="mandatory">
									<input id="mandatory.EnvSubCategoryID" type="hidden" value="Veuillez slectionner une sous-catgorie" name="mandatory.EnvSubCategoryID"> -->
									<select class="input select" name="EnvSubCategoryID" id="EnvSubCategoryID">
									</select>
									<span id="EnvSubCategoryID_msg" class="mandatory_alert" style="display: none">!</span>
								</div>
							</td>
						</tr>
						<fl:fieldEdit property="EnvTiersID" mandatoryMsgCode="MF02B"/>
					</tr>
				</table>
				
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldLine">
						<fl:fieldEdit property="EnvCatXMLID"/>
						<fl:fieldEdit property="EnvSubCatXMLID"/>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table class="container" cellpadding="0">
		<tr><td class="titrePartie"><fl:getMessage code="F6038" alt="Commentaire"/></td></tr>
		<tr><td class="dataValue noPaddingLeft"><fl:input property="EnvComments" rows="5" nodiv="false"/></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
<%-- <fl:smallTabs name="Envies__Tabs">
	<fl:sTab id="STab1" title="STab1">
		<div>
			STab 1
		</div>
	</fl:sTab>

</fl:smallTabs> --%>
</fl:bigTabs>
</fl:form>
