<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Equipement_Bean"%>
<%@ page import="com.edeal.frontline.Utils" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Equipement_Bean" id="Equipement_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	
	try {
	    id = Equipement_.getID();
	} catch (FieldNotInitializedException fnie) {}
	
	String entid = flRequest.getRequestParameterOrAttribute("initEq_TiersID");
	if(entid == null){
		try {
			entid = Equipement_.getEq_TiersID();
		} catch (FieldNotInitializedException fnie) {}
	}
%>
<script type="text/javascript" language="javascript">
	function doSubmit() {
		var f = document.forms[0];		
		return true;
	}

	function createAndContinue() {
		var f = document.forms[0];
		f.action = "continue_equipement_.fl?initEq_TiersID=<%= entid %>";
		submit();
	}
</script>
<fl:form action="save_equipement_.fl" bean="Equipement_">
<input type="hidden" name="Eq_TiersID" value="<fl:getProperty property="Eq_TiersID" alt="" name="Equipement_"/>"/>
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"FF03E\", false, true, \"Equipement\") %>" ou="<%= \"edit_equipement_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
    <table class="container" cellpadding="0">
		<%-- <tr>
			<td colspan="5" width="100%">
				<table>
					<tr>					
						<td style="width: 100%" class="titreFiche">
							<fl:getMessage code="FF03E" alt="Equipement"/>
							<br>
						</td>
					</tr>
				</table>
			</td>
		</tr> --%>

		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldLine">
						<fl:fieldEdit property="Eq_NameID" mandatoryMsgCode="MF046" alt=""/>
						<fl:fieldEdit property="Eq_LngID" mandatoryMsgCode="MF02C" type="list" alt=""/>
						<fl:fieldEdit property="Eq_TiersID" mandatoryMsgCode="MF02B"/>
						<fl:fieldEdit property="Eq_TransmisLe"/>
						<fl:fieldEdit property="Eq_IntExtID" alt=""/>
						<fl:fieldEdit property="Eq_TypeID" alt=""/>
					</tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldLine">
						<fl:fieldEdit property="Eq_BaliseGuide" mandatoryMsgCode="MF048"/>
						<fl:fieldEdit property="Eq_OrderGuide" mandatoryMsgCode="MF047"/>
						<fl:fieldEdit property="Eq_IDXML"/>
						<fl:fieldEdit property="Eq_TotalCouverts"/>
						<fl:fieldEdit property="Eq_TotalSeminarRoom"/>
						<fl:fieldEdit property="Eq_SearchCriteria" dispTrue="<%=Utils.getMessage(session, \"L2005\", false, true, \"Oui\") %>" dispFalse="<%=Utils.getMessage(session, \"L2006\", false, true, \"Non\") %>"/>
						<fl:fieldEdit property="Eq_DispHotel" dispTrue="<%=Utils.getMessage(session, \"L2005\", false, true, \"Oui\") %>" dispFalse="<%=Utils.getMessage(session, \"L2006\", false, true, \"Non\") %>"/>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table class="container" cellpadding="0">
		<tr><td class="titrePartie"><fl:getMessage code="F2024" alt="Notes"/></td></tr>
		<tr><td class="dataValue noPaddingLeft"><fl:input property="Eq_Comment" rows="5" nodiv="false"/></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
<fl:smallTabs name="Equipement__Tabs">
	<fl:sTab id="ATTACHMENT" title="<%= Utils.getMessage(session, \"L201C\", \"Documents joints\") %>">
		<fl:attach name="Equipement_" colID="Eq_AttID" edit="true" />
	</fl:sTab>
</fl:smallTabs>
</fl:bigTabs>
</fl:form>
