<%@page import="com.edeal.frontline.grid.GridData.GridCellContent"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
 
 //**listAjax.jsp**//
%><%@ page language="java" contentType="text/plain;charset=UTF-8"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.grid.*" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.*" %>
<jsp:useBean class="com.edeal.frontline.ExpenseKMBean" id="ExpenseKM" scope="request"/>
<jsp:useBean class="com.edeal.frontline.ExpenseFileBean" id="ExpenseFile" scope="request"/>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	//response.setCharacterEncoding("UTF8");
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	int index;
	try {
		index = Integer.parseInt(flRequest.getParameter("index"));
	} catch (Exception e) {
		index = 0;
	}
	
	String code = "Expenses" + index;
	GridData grid = (GridData)request.getAttribute("Expenses");
	String curDate = (String)request.getAttribute("curDate");
	
	String route;
	try {
		route = Utils.formatToJavascript(ExpenseKM.getExkRoute());
	} catch (FieldNotInitializedException e) {
		route = "";
	}
	
	boolean isRead;
	try {
		isRead = Boolean.valueOf(flRequest.getParameter("isRead")).booleanValue();
	} catch (Exception e) {
		isRead = false;
	}
	boolean isEmbedded = flRequest.getAttribute("Expenses_Embedded") != null;

EdealGrid edealGrid=new EdealGrid();
edealGrid.setName(code);
edealGrid.buildColumns(session, flRequest.getContext(),grid);
String pEditMode=flRequest.getParameter("editmode");
boolean fUpdateMode=("true".equals(pEditMode));
String type = (String)flRequest.getAttribute("objSql");
if(grid.getNbRows()==0){
%>
<fl:label code="L0001" label="Aucune entrée disponible "/>
<%}else{%>
<div id="grid-data" class="data">
<table >
<thead>
	<tr>
	    <%
		int formIndex=1;
		for (EdealGridColumn gridColumn: edealGrid.getColumns()) {
			if (!gridColumn.getDataType().equals(EdealGridColumn.DataType.PREVIEW)) { %>
			<%=gridColumn.getHeader(edealGrid.getJsGridName(),edealGrid.getName(),flRequest)%>
		<%}
		}
	%></tr>
</thead>
<tbody><%
	ArrayList<String> rowsId = grid.getRowsId();
	//ArrayList<String> previewValue = new ArrayList();
	boolean oddRow = false;
	
	for(int rowidx = 0; rowidx < grid.getData().length; rowidx++) {
		String id2 = "";
		oddRow = !oddRow ;
		String objectID="";
		if (rowsId != null && rowsId.size()>0 && rowsId.get(rowidx) != null) {
			objectID=rowsId.get(rowidx);
			id2 = " id=\"" + objectID + "\"";		
		}%>
		<tr<%= id2 %> class="<%= (oddRow ? "even" : "odd") %> bean" tabindex="<%=rowidx%>">
	 	<%Object[] row = grid.getData()[rowidx];
			for (int colidx = 0; colidx < row.length; colidx++) {
				EdealGridColumn eGCol = edealGrid.getColumn(colidx);%>					
				<td align="<%= eGCol.getAlignment() %>"><%= eGCol.format((GridCellContent)row[colidx]) %></td>
			<%}			
		%></tr>
		<%
	}
	if (type!=null && request.getAttribute(type)!=null) {
		request.removeAttribute(type);
	}
%></tbody>
</table>
</div>
<%}%>