<%@ page language="java"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="java.util.Map" %>
<%@ page import="com.edeal.frontline.navigation.WebUtils" %>
<%@ page import="com.edeal.frontline.ActorBean" %>
<%@ page import="com.edeal.frontline.AccessDeniedException" %>
<%@ page import="com.edeal.frontline.InteractionBean" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.lang.reflect.Method" %>
<%@ page import="com.edeal.frontline.controller.actions.SelectAction" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String nb = "All";
	String actID = (String)session.getAttribute("actorID");
	String exfEfsID = Utils.getRequestParameter(context, request, "exfEfsID");
	String redact = dico.getRefIdByCode("ExfEfsID", "REDACT");
	String valact = dico.getRefIdByCode("ExfEfsID", "VALACT");
	String valman = dico.getRefIdByCode("ExfEfsID", "VALMAN");
	String valcom = dico.getRefIdByCode("ExfEfsID", "VALCOM");

	String lc = flRequest.getRequestParameterOrAttribute("lc");
	if (lc == null) {
		lc = flRequest.getRequestParameterOrAttribute("code");
	}
	if (lc == null) {
		lc = "INTERACTION";
	}
	request.setAttribute("lc", lc);
	String sc = flRequest.getRequestParameterOrAttribute("sc");
	String ou = flRequest.getRequestParameterOrAttribute("ou");
	String objTitle = flRequest.getRequestParameterOrAttribute("obj.title");

	ActorBean actor = null;
	boolean isAccountant = false;
	boolean isAdmin = false;
	boolean isManager = false;
	String customPackage = context.getContextParameter("CustomPackage");
	try  {
		actor = new ActorBean(actID, session);
		try {
			Class customProcessClass = Class.forName((customPackage == null ? "" : customPackage + ".") + "ActorBeanExtension");
			Class[] parameters = {Class.forName("com.edeal.frontline.FlContext"), Class.forName("java.lang.Object")};
			Method isAccountantMethode = customProcessClass.getMethod("isAccountant", parameters);
			Object[] arg = {context, actor};
			isAccountant = ((Boolean)isAccountantMethode.invoke(customProcessClass, arg)).booleanValue();
		} catch (Exception e) {
		} 
		
		try {
			Class customProcessClass = Class.forName((customPackage == null ? "" : customPackage + ".") + "ActorBeanExtension");
			Class[] parameters = {Class.forName("com.edeal.frontline.FlContext"), Class.forName("java.lang.Object")};
			Method isAdminMethode = customProcessClass.getMethod("isAdmin", parameters);
			Object[] arg = {context, actor};
			isAdmin = ((Boolean)isAdminMethode.invoke(customProcessClass, arg)).booleanValue();
		} catch (Exception e) {
		} 
		
		try {
			Class customProcessClass = Class.forName((customPackage == null ? "" : customPackage + ".") + "ActorBeanExtension");
			Class[] parameters = {Class.forName("com.edeal.frontline.FlContext"), Class.forName("java.lang.Object")};
			Method isManagerMethode = customProcessClass.getMethod("isManager", parameters);
			Object[] arg = {context, actor};
			isManager = ((Boolean)isManagerMethode.invoke(customProcessClass, arg)).booleanValue();
		} catch (Exception e) {
		} 
	} catch (AccessDeniedException ex) {
	}
	
	boolean toValidate = false;
	try {
		toValidate = Boolean.valueOf(flRequest.getParameter("validate")).booleanValue();
	} catch (Exception e) {
	}
	
	Vector managedActors = null;
	if (toValidate && !isAccountant) {
		try {
			Class customProcessClass = Class.forName((customPackage == null ? "" : customPackage + ".") + "ActorBeanExtension");
			Class[] parameters = {Class.forName("com.edeal.frontline.FlContext"), Class.forName("java.lang.Object")};
			Method getManagedActorsMethode = customProcessClass.getMethod("getManagedActors", parameters);
			Object[] arg = {context, actor};
			managedActors = (Vector) getManagedActorsMethode.invoke(customProcessClass, arg);
		} catch (Exception e) {
		} 
	}
%>
<script language="javascript">
	function doSubmit() {
		var f = document.forms[0];
		var sc = '';
		var ampersand = true;
		
		if (f.ExfNumber.value == '<fl:getMessage code="L6139" alt="<Numro>" js="true"/>') {
			f.ExfNumber.value = '';
		} else {
			sc += 'ExfNumber=' + f.ExfNumber.value;
			ampersand = false;
		}
		
		if (f.ExfBegDate$From.value != '') {
			sc += (ampersand ? '' : '&') + 'ExfBegDate$From=' + f.ExfBegDate$From.value;
			ampersand = false;
		}
		
		if (f.ExfBegDate$To.value != '') {
			sc += (ampersand ? '' : '&') + 'ExfBegDate$To=' + f.ExfBegDate$To.value;
			ampersand = false;
		}
		
		if (f.ExfActID.value != '') {
			sc += (ampersand ? '' : '&') + 'ExfActID=' + f.ExfActID.value;
			ampersand = false;
		}
		
		if (f.ExfEfsID[f.ExfEfsID.selectedIndex].value != '') {
			sc += (ampersand ? '' : '&') + 'ExfEfsID=' + f.ExfEfsID[f.ExfEfsID.selectedIndex].value
		}
		
		sc += (ampersand ? '' : '&') + '$$nb=' + f.$$nb[f.$$nb.selectedIndex].value;

		f.sc.value = escape(sc);
		
		return true;
	}
	
	function doChangeActor() {
		var fenetreChoix = window.open('<fl:webapp/>/select.fl?type=Actor&field=ActID' , 'ChoixActeur' , 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=<%= SelectAction.SELECT_WINDOW_WIDTH %>,height=500');
	}
</script>
<form action="<fl:link url="/list_expenseFile.fl"/>" method="post" onsubmit="doSubmit();">
<input type="hidden" name="sc" value="">
<input type="hidden" name="ou" value="<%= Utils.formatToWeb(ou, true) %>">
<input type="hidden" name="obj.title" value="<%= Utils.formatToWeb(objTitle, true) %>">
<input type="hidden" name="list.title" value="<fl:getMessage code="L6131" alt="Liste des notes des frais"/>" />
<input type="hidden" name="criteria.title" value="<fl:getMessage code="FL6400" alt="Nouvelle recherche"/>" />
<input type="hidden" name="cu" value="/list_criteria_expenseFile.fl">
<input type="hidden" name="lu" value="/list_expenseFile.fl">
<fl:bigTabs lc="EXPENSEFILE" selectedTab="0" criteriaTitle="<%= Utils.getMessage(session, \"FL6400\", false, true, \"Nouvelle recherche\") %>">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td width="78%" valign="bottom" bgcolor="#ffffff">
			<table class="container" cellpadding="0">
				<tr valign="bottom">
					<td>
						<table border="0" cellpadding="1" cellspacing="1">
							<tr valign="bottom">
								<td style="vertical-align:bottom"><input name="ExfNumber" class="criteriaField" type="text" value="<fl:getMessage code="L6139" alt="<Numro>"/>" onfocus="this.select();" onblur="if(this.value == '') this.value = '<fl:getMessage code="L6139" alt="<Numro>" js="true"/>';" tabindex="1"></td>
								<td style="vertical-align:bottom">
									<select name="ExfEfsID" class="select">
										<option value=""><fl:getMessage code="L646C" alt="<Tous>"/></option>
										<%
											Vector vec = dico.getRefList(session, "ExfEfsID");
											for (int i = 0; i < vec.size(); i++) {
												Vector curVec = (Vector) vec.elementAt(i);
												String efsID = (String) curVec.elementAt(0);
												String efsValue = (String) curVec.elementAt(1);
										%>						
												<option value="<%= efsID %>" <%= efsID.equals(exfEfsID) ? "selected" : "" %>><%= Utils.formatToWeb(efsValue, false) %></option>
										<%
											}
										%>
									</select>
								</td>
								<% if (toValidate && !isAccountant) { %>
									<select name="ExfActID" class="select">
										<option value=""><%= Utils.formatToWeb(Utils.getMessage(session, "L6142", "Tous"), false) %></option>
										<%
										for (int i = 0; i < managedActors.size(); i++) {
											ActorBean managedActor = (ActorBean) managedActors.elementAt(i);
											String maID = null;
											String maCompleteName = null;
											try {
												maID = managedActor.getID();
											} catch (FieldNotInitializedException fnie) {
											}
											maCompleteName = managedActor.toString();
										%>
											<option value="<%= maID %>"><%= Utils.formatToWeb(maCompleteName, false) %></option>
										<%
										}
										%>
									</select>
								<% } else { %>
									<td nowrap style="vertical-align:bottom">
										<input name="ExfActID" type="hidden" value="">
										<input name="lblExfActID" class="criteriaField" type="text" value="<fl:getMessage code="L646B" alt="<Acteur>"/>" readonly onfocus="this.blur();">
										<a href="javascript:var win = window.open('<fl:webapp/>/select.fl?type=Actor&field=ExfActID', 'SelectActor', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=<%= SelectAction.SELECT_WINDOW_WIDTH %>,height=350')" tabindex="4"><img src="<fl:webapp/>/icons/ico/rechercher.gif" border="0" width="17" height="17"></a>
										<a href="javascript:var f = window.document.forms[0]; f.ExfActID.value = ''; f.lblExfActID.value = '<fl:getMessage code="L646B" alt="<Acteur>" js="true"/>'; void('')" tabindex="5"><img src="<fl:webapp/>/icons/ico/supprimer.gif" border="0" width="17" height="17"></a>
									</td>
								<% } %>
							</tr>
						</table>
					</td>
				</tr>
				<tr valign="bottom">
					<td>
						<table border="0" cellpadding="1" cellspacing="1">
							<tr valign="bottom">
								<td class="dataLabel" style="vertical-align:bottom">
									<fl:getMessage code="F2002" alt="Date dbut"/>&nbsp;<fl:getMessage code="L646D" alt="entre"/>
									<input name="ExfBegDate$From" class="criteriaField" type="text" value="" onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M302E" alt="Format incorrect. Veuillez corriger" js="true"/>');" tabindex="4" size="10" maxlength="10">
									<a href="javascript:openCalendar(document.forms[0].ExfBegDate$From)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" border="0" width="17" height="17"></a>
									&nbsp;<fl:getMessage code="L604B" alt="et"/>&nbsp; <input name="ExfBegDate$To" class="criteriaField" type="text" value="" onfocus="this.select();" onblur="ctrlDateField(this, '<fl:getMessage code="M302E" alt="Format incorrect. Veuillez corriger" js="true"/>');" tabindex="5" size="10" maxlength="10">
									<a href="javascript:openCalendar(document.forms[0].ExfBegDate$To)" onmouseover="window.status = '<fl:getMessage code="A2000" alt="Afficher le calendrier" js="true"/>';" onmouseout="window.status = '';"><img src="<fl:webapp/>/icons/ico/clock_neutre.gif" border="0" width="17" height="17"></a>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr class="ligne_separation"><td></td></tr>
				<tr class="ligne_separation_couleur"><td></td></tr>				
				<tr class="ligne_separation"><td></td></tr>
				<tr>
					<td>
						<table class="container" cellpadding="0">
							<tr>
								<td style="width:10%">
									<select class="criteriaField" name="$$nb">
										<option value="50" <%= "50".equals(nb) ? "selected" : "" %>>50 / <fl:getMessage code="M60CC" alt="page"/></option>
										<option value="10" <%= "10".equals(nb) ? "selected" : "" %>>10 / <fl:getMessage code="M60CC" alt="page"/></option>
										<option value="20" <%= "20".equals(nb) ? "selected" : "" %>>20 / <fl:getMessage code="M60CC" alt="page"/></option>
										<option value="100" <%= "100".equals(nb) ? "selected" : "" %>>100 / <fl:getMessage code="M60CC" alt="page"/></option>
									</select>
								</td>
								<td style="width:4.5%">&nbsp;</td>					
								<td>
									<input type="image" src="<fl:webapp/>/icons/ico/valid_green2_long.gif" onclick="document.forms[0].submit();" border="0" tabindex="999" align="left">
								</td>
							</tr>
						</table>
					</td>
				</tr>				
			</table>
		</td>
	</tr>
</table>
</fl:bigTabs>
</form>