<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest"%>
<%@ page import="com.edeal.frontline.FlContext"%>
<%@ page import="com.edeal.frontline.DataDictionary"%>
<%@ page import="java.util.Date"%>
<%@ page import="java.util.Vector"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException"%>
<%@ page import="com.edeal.frontline.custom.GiftCheque_Bean"%>
<%@ page import="com.edeal.frontline.ActorBean"%>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.GiftCheque_Bean" id="GiftCheque_" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	
	Boolean roleADM = false;
	
	
	// On rcupre l'ID de l'acteur connect
	String actID = null;
	 
	if (session != null) {
	  actID = (String)session.getAttribute("effectiveActorID");
	  if (actID == null) {
	    actID = (String)session.getAttribute("actorID");
	    if (actID == null) {
	      throw new FrontlineException("there is not an actor ID in session");
	    }
	  }
	}
	
	// on vrifie si l'acteur est du rle ADM_CC
	try {
		ActorBean act = new ActorBean(actID, context);
		Vector<String> actRolesIDs = new Vector<String>();
		// On rcupre les roles
		actRolesIDs.addAll(act.getRoles());
	
		String roleADMCCID = dico.getRefIdByCode("ActRoles", "ADM_CC"); /* Role Administrateur chque cadeaux*/
		String actRoleIDactuel = null;
		if(!(actRolesIDs.isEmpty())) {
			// on parcours les rles
			for (int i = 0; i < actRolesIDs.size(); i++) {
				actRoleIDactuel = (String) actRolesIDs.elementAt(i);
				if(actRoleIDactuel.equals(roleADMCCID)) {
					roleADM = true;
				} 
			}
		}
		} catch (FieldNotInitializedException e) {
		} catch (FrontlineException e) {
		}

	try {
	    id = GiftCheque_.getID();
	} catch (FieldNotInitializedException fnie) {}

    // ramener les ids des 13 tats possibles du Dossier
    /*
    CR 	Cre
    TP 	A imprimer 
    PR 	Imprim 
    IN 	Factur 	 
    PO 	Point 
    TB 	A payer
	KO 	Invalid 
	OT 	Prim  	 
	NU 	Inutilisable 
	PA 	Pay 	 
	RE 	Remplac 	 
	*/
    
    String cheqCreeStateID = null;
    String cheqAimpStateID = null;
    String cheqimpStateID = null;
    String cheqFactStateID = null;
    String cheqPointeStateID = null;
    String cheqApayerStateID = null;
    String cheqInvalideStateID = null;
    String cheqPerimeStateID = null;
    String cheqInutilisableStateID = null;
    String cheqPayeStateID = null;
    String cheqRemplaceStateID = null;
    
    try {
    	cheqCreeStateID = dico.getRefIdByCode("Ch_", "Te1", "CR");
        cheqAimpStateID = dico.getRefIdByCode("Ch_", "Te1", "TP");
        cheqimpStateID = dico.getRefIdByCode("Ch_", "Te1", "PR");
        cheqFactStateID = dico.getRefIdByCode("Ch_", "Te1", "IN");
        cheqPointeStateID = dico.getRefIdByCode("Ch_", "Te1", "PO");
        cheqApayerStateID = dico.getRefIdByCode("Ch_", "Te1", "TB");
        cheqInvalideStateID = dico.getRefIdByCode("Ch_", "Te1", "KO");
        cheqPerimeStateID = dico.getRefIdByCode("Ch_", "Te1", "OT");
        cheqInutilisableStateID = dico.getRefIdByCode("Ch_", "Te1", "NU");
        cheqPayeStateID = dico.getRefIdByCode("Ch_", "Te1", "PA");
        cheqRemplaceStateID = dico.getRefIdByCode("Ch_", "Te1", "RE");
    } catch (Exception e) {
    	cheqCreeStateID = "";
        cheqAimpStateID = "";
        cheqimpStateID = "";
        cheqFactStateID = "";
        cheqPointeStateID = "";
        cheqApayerStateID = "";
        cheqInvalideStateID = "";
        cheqPerimeStateID = "";
        cheqInutilisableStateID = "";
        cheqPayeStateID = "";
        cheqRemplaceStateID = "";
    }
    
 	// Dtecter l'tat du Chque cadeau
    String statutID = null;
    try {
    	statutID = GiftCheque_.getGchStatusID();
    } catch (FieldNotInitializedException e) {
    	statutID = "";
    }
	
 	// Dtecter l'tat de validit du chque cadeau
    Boolean valide = true;
    try {
    	Date dateValidite = GiftCheque_.getGchValidityDt();
        // Date du jour :
        Date dateDuJour = new Date();
    	if(dateValidite != null && dateValidite.before(dateDuJour)){
    		valide = false;
    	}
    } catch (FieldNotInitializedException e) {
    }
	
	
%>
<script language="javascript">
function doDelete(){

	if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
		window.parent.location = '<fl:link url="<%= \"/delete_giftcheque_.fl?id=\" + id%>"/>';
	}		
}
function doWord(id,obj,informat) {
	format = "Word";
	if (informat && informat == "PDF") {
		format = "PDF";
	}
	window.open('<fl:webapp/>/fusion_document_person.fl?format=' + format + '&idObj='+id+'&object='+obj, 'listOpp', 'menubar=no,status=no,toolbar=no,scrollbars=auto,resizable=yes,width=860,height=460');
}

function bordereau() {
	window.open('<fl:link list="false" url="<%= \"/choisir_bordereau_.fl?$$presentFields=&id=\" + id %>"/>','GiftCheque_', 'width=750,height=310,scrollbars=yes,resizable=yes,toolbar=no');
}

function adherent() {
	window.open('<fl:link list="false" url="<%= \"/choisir_adherent_.fl?$$presentFields=&id=\" + id %>"/>','GiftCheque_', 'width=750,height=310,scrollbars=yes,resizable=yes,toolbar=no');
}

function cheqperime() {
	var conf = confirm('Le chque cadeau est prim. Voulez-vous le remplacer?');
	if (conf) {
		window.parent.location = '<fl:link url="<%= \"/remplacer_giftcheque_.fl?id=\" + id%>"/>';
		
	}
}

</script>

<% if(cheqCreeStateID.equalsIgnoreCase(statutID) || cheqAimpStateID.equalsIgnoreCase(statutID) ) { %>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/edit_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="A0008" alt="Modifier"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
	<!-- 
		<span>
			<a class="doc_fusion word" title="<fl:getMessage code="L6126" alt="Gnrer Document Word"/>" href="javascript:doWord('<fl:getProperty name="GiftCheque_" property="GchID" alt=""/>','GiftCheque_','Word');">
				<img src="<fl:webapp/>/icons/ico_word_inv.gif" border=0 width="15" height="15" alt="<fl:getMessage code="L6126" alt="Gnrer Document Word"/>">
			</a>&nbsp;
			<a class="doc_fusion pdf" title="<fl:getMessage code="L6557" alt="Gnrer Document PDF"/>" href="javascript:doWord('<fl:getProperty name="GiftCheque_" property="GchID" alt=""/>','GiftCheque_', 'PDF');">
				<img src="<fl:webapp/>/icons/ico_acrobat_inv.gif" border=0 width="15" height="15" alt="<fl:getMessage code="L6557" alt="Gnrer Document PDF"/>">
			</a>&nbsp;
		</span>
 	-->
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%} %>
<% if(cheqCreeStateID.equalsIgnoreCase(statutID)) { %>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/aimprimer_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF123" alt="Le chque est  imprimer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%} else if(cheqAimpStateID.equalsIgnoreCase(statutID)) { %>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/imprimer_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF120" alt="Imprimer le chque"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<%} else if(cheqimpStateID.equalsIgnoreCase(statutID)) { %>
<fl:access operation="edit" name="PaymentSlip_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="javascript:bordereau()">
                    <p class="actions_tabletext"><fl:getMessage code="LF126" alt="Ajouter  un bordereau Existant" js="true"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access operation="edit" name="PaymentSlip_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/create_paymentslip_.fl\" + ( id != null ? \"?initGchID=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF125" alt="Ajouter  un nouveau bordereau"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%} else if(cheqFactStateID.equalsIgnoreCase(statutID)) { %>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
        <% if(valide){%>
            <div class="actions_tablecell_1">
            	<a href="javascript:adherent()">
                    <p class="actions_tabletext"><fl:getMessage code="LF128" alt="Pointer le chque Cadeau" js="true"/></p>
                </a>
            </div>
         <%} else { %>
            <div class="actions_tablecell_1">
            	<a href="javascript:cheqperime()">
                    <p class="actions_tabletext"><fl:getMessage code="LF128" alt="Pointer le chque Cadeau" js="true"/></p>
                </a>
            </div>
         <%} %>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            	<a href="<fl:link list="true" url="<%= \"/remplacer_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF129" alt="Remplacer le chque" /></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            	<a href="<fl:link list="true" url="<%= \"/perimer_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF141" alt="Rendre le chque prim" /></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            	<a href="<fl:link list="true" url="<%= \"/inutiliser_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF142" alt="Rendre le chque inutilisable" /></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>

<%} else if(cheqPointeStateID.equalsIgnoreCase(statutID)) { %>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            	<a href="<fl:link list="true" url="<%= \"/payer_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="FF1E7" alt="Payer le chque" /></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%} else if(cheqPerimeStateID.equalsIgnoreCase(statutID)) { %>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
          <div class="actions_tablecell_1">
          	<a href="javascript:adherent()">
                  <p class="actions_tabletext"><fl:getMessage code="LF128" alt="Pointer le chque Cadeau" js="true"/></p>
              </a>
          </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            	<a href="<fl:link list="true" url="<%= \"/remplacer_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF129" alt="Remplacer le chque" /></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%} 


if(cheqCreeStateID.equalsIgnoreCase(statutID) || cheqimpStateID.equalsIgnoreCase(statutID) || cheqAimpStateID.equalsIgnoreCase(statutID)) { %>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/invalider_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF122" alt="Invalider le chque"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%} 

if(roleADM) { %>
<fl:access operation="edit" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
                <a href="<fl:link list="true" url="<%= \"/remplacer_giftcheque_.fl\" + ( id != null ? \"?id=\" + id : \"\") %>"/>">
                    <p class="actions_tabletext"><fl:getMessage code="LF143" alt="R-imputer le chque"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
<%} %>

<!-- 
<fl:access operation="delete" name="GiftCheque_">
    <tr>
        <td class="actions_cell_left"></td>
        <td>
            <div class="actions_tablecell_1">
            <a href="javascript:doDelete();">
                    <p class="actions_tabletext"><fl:getMessage code="A0007" alt="Supprimer"/></p>
                </a>
            </div>
        </td>
        <td class="actions_cell_right"></td>
    </tr>
    <tr>
        <td class="actions_cell_left"></td>
        <td class="actions_tablecell_seperator"></td>
        <td class="actions_cell_right"></td>
    </tr>
</fl:access>
 -->