<%@page import="com.edeal.frontline.helper.InteractionBaseHelper.ContextObjectInformation"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.util.HashMap"%>
<%@page import="com.edeal.frontline.ObjectsBean"%>
<%@page import="com.edeal.frontline.helper.InteractionBaseHelper"%>
<%@page import="com.edeal.frontline.InteractionBean"%>
<%@page import="com.edeal.frontline.ActorBean"%>
<%@page import="org.json.JSONArray"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.CorrespondentBean" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@ page import="com.edeal.frontline.SalesInvestBean" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.CorrespondentBean" %>
<%@ page import="com.edeal.frontline.SolicitationBean" %>
<%@ page import="com.edeal.frontline.helper.ContextHelper" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.InteractionBean" id="Interaction" scope="request" />
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
InteractionBaseHelper ibh = new InteractionBaseHelper(Interaction);

String id = null;
try {
	id = Interaction.getID();
} catch (FieldNotInitializedException fnie) {
}

String idSolicitation = null;
try {
	idSolicitation = (String)Interaction.getCustomProperty("IntSolicitation_");
} catch (FieldNotInitializedException fnie) {
}

String correspondentListString = Utils.formatStringForHtmlED(ibh.getCorrespondentJSONArray().toString());

ObjectsBean actorBean = dico.getTable("sql", "Actor");
String xmlListSelectID = null;
try {
	xmlListSelectID = actorBean.getObjSelectListID();
} catch (FieldNotInitializedException e) { 
}
String xmlListSelect = "";
if (xmlListSelectID != null) {
	xmlListSelect = "xml_select_multiple_list.fl?id=" + xmlListSelectID + "&field=IntActID";
} else {
	xmlListSelect = "select_multiple.fl?type=Actor&field=IntActID";
}
String inboundMailIntAtvID = null;
String outboundMailIntAtvID = null;
try {
	inboundMailIntAtvID = dico.getRefIdByCode("IntAtvID", "INEMAIL");
} catch (FrontlineException e) {
}
try {
	outboundMailIntAtvID = dico.getRefIdByCode("IntAtvID", "OUTEMAIL");
} catch (FrontlineException e) {
}
FlLocale locale = FlLocale.getInstance(session);
String typeInterID = null;
String typeInteraction = "";
String titreFen;
String codetitreFen;
Boolean prompTypeInteraction = false;
try{
	typeInterID = (String)Interaction.getCustomProperty("IntType_");
}catch(FieldNotInitializedException e){
	typeInterID = "";
	prompTypeInteraction = true;
}
if(typeInterID.equals(dico.getRefIdByCode("IntType_", "ACT"))){
	titreFen = "Todo";
	codetitreFen ="FF072";
	typeInteraction = "TODO";
} else if (typeInterID.equals(dico.getRefIdByCode("IntType_", "COR"))){
	titreFen = "Correspondance";
	codetitreFen ="FF09A";
	typeInteraction = "CORR";
} else {
	titreFen = "Interaction";
	codetitreFen ="L30B2";
}

String initIntActID = null; 
String initIntTimeBeg = null;

String initIntDate = flRequest.getRequestParameterOrAttribute("initIntDate");
initIntActID = flRequest.getRequestParameterOrAttribute("initIntActID");
initIntTimeBeg =  flRequest.getRequestParameterOrAttribute("initIntTimeBeg");

String param = flRequest.getRequestParameterOrAttribute("done");
String initIntAtvID = flRequest.getRequestParameterOrAttribute("initIntAtvID");
boolean isFromAgenda = "1".equals(flRequest.getRequestParameterOrAttribute("fromAgenda"));
boolean isIntExceptionalCostActive = SalesInvestBean.isIntExceptionalCostActive(context);

if (param != null && param.equals("1")) {
	Interaction.setIntStiID(dico.getRefIdByCode("IntStiID", "DONE"));
}

String correspondentEntId = "";
Vector<String> vIntCorID = new Vector<String>();

if(initIntAtvID == null || "".equals(initIntAtvID)) {
	try {
		initIntAtvID = Interaction.getIntAtvID();	
	} catch (FieldNotInitializedException e) {
	}
}

//category code
String catCode = null;
if (initIntAtvID != null && !"".equals(initIntAtvID)) {
	try {
		catCode = (String) dico.getRefDisp("Acv", "Te2", initIntAtvID);
	} catch (FrontlineException e) {}
}
String subCatCode = null;
if (initIntAtvID != null && !"".equals(initIntAtvID)) {
	try {
		subCatCode = (String) dico.getRefCode("Acv", null, initIntAtvID);
	} catch (FrontlineException e) {}
}

try {
	vIntCorID.addAll(Interaction.getIntCorID());
} catch (FieldNotInitializedException e) {
	//nothing todo
}

for (int i = 0; i < vIntCorID.size(); i++) {
	CorrespondentBean corBean = new CorrespondentBean(vIntCorID.get(i), session);
	try {
		if (i > 1) {
			correspondentEntId += ",";
		}
		correspondentEntId += "'" + corBean.getCorEntID() + "'";
	} catch (FieldNotInitializedException fnie) {
	}
}


String intReqContratID_ = null;
String intContratID_ = null;

intReqContratID_ = flRequest.getRequestParameterOrAttribute("initIntContratID_");

if(intReqContratID_ != null && !"".equals(intReqContratID_)) {
	intContratID_ = intReqContratID_;
} else {
	try {
		intContratID_ = (String)Interaction.getCustomProperty("IntContratID_");
	} catch (FieldNotInitializedException e) {
		intContratID_ = "";
	}
}

%>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet"
	type="text/css">
<style type="text/css">
td.dataLabel div.withCalendar {
	float: left;
	width: auto;
	padding-right: 4px;
}
</style>
<script type="text/javascript" language="javascript">


function doRefresh() {
	var f = document.forms[0];
	//var tyID = f.IntType_.value;
	//alert(tyID);
	//presentFieldsValue();
	<% if(isFromAgenda) {%>
	f.action = '<fl:link url="/refresh_interaction_popup.fl"/>';
	<% } else{%>
	f.action = '<fl:link url="/refresh_interaction.fl"/>';
	<%}%>
	doExitConf = false;
	f.submit();
}
function doSubmit() {
	var f = document.forms[0];
	
	if(f.IntTimeEnd.value == '') doEditTimeEnd();
	
	
	<% if (Interaction.hasAutomaticEndDisplay()) { %>
	if (f.IntTimeEnd.value == '') {
		var dt = new Date();
		f.IntTimeEnd.value = (dt.getHours() < 10 ? '0' + dt.getHours() : dt.getHours()) + '<%= locale.getHourSeparator()%>' + (dt.getMinutes() < 10 ? '0' + dt.getMinutes() : dt.getMinutes());
	}
	<% } %>
	// on verifie que HeureDebut < HeureFin
	if (f.IntTimeBeg.value != '' && f.IntTimeEnd.value != '') {
		if (compareDate('', f.IntTimeBeg.value, '', f.IntTimeEnd.value) > 0) {
			window.alert("<fl:getMessage code="M300A" alt="L'heure de fin doit tre suprieure   l'heure de dbut" js="true"/>");
			f.IntTimeBeg.focus();
			return false;
		}
	}
	<%
	Hashtable origData = (Hashtable)request.getAttribute("Origin_data");
	Date origDate = null;
	if (origData != null) {
		origDate = (Date)origData.get("IntDate");
	}
	if (origDate != null) {
			%>
	
	if(<%=prompTypeInteraction%>) {
		return false;
	}
			
	// on verifie que la date de l'interaction est superieure a celle de son origine
	if(f.IntDate.value != '') {
		var dateOrig = '<%= Utils.formatToWebDate(session, origDate,true) %>';
		var dateCur = f.IntDate.value;
		var dateDiff = compareDate(dateCur, '', dateOrig, '');
		if(dateDiff < 0) {
	  		window.alert('<fl:getMessage code="M3009" alt="La date d\\\'une interaction doit tre suprieure  celle de son origine" js="true"/> (<%= Utils.formatToWebDate(session, origDate, true) %>)');
	  		f.IntDate.focus();
	  		return false;
	  	}
	}
			<%
	}
	%>
	<% if (flRequest.getParameter("fromAgenda") != null) { %>
	var htmlHead = "<scr" + "ipt language=\"javascript\">";
	htmlHead += "window.parent.opener.location.reload();";
	htmlHead += "self.close();";
	htmlHead += "</scr" + "ipt>";
    f.$$returnedHtmlHead.value = htmlHead;
	<% } %>	
	
	return true;
}
	
	function doWord(id,obj,informat) {
		format = "Word";
		if (informat && informat == "PDF") {
			format = "PDF";
		}
		window.open('<fl:webapp/>/fusion_document.fl?format=' + format + '&idObj='+id+'&object='+obj, 'listOpp', 'menubar=no,status=no,toolbar=no,scrollbars=auto,resizable=yes,width=860,height=460');
	}
	
	function doDisplayDocs(corEntPerID){		
		if (corEntPerID.split(':')[1]!=''){
		//Id of Person			
			document.getElementById("correspWord").href="javascript:doWord(\""+corEntPerID.split(':')[1]+"\",\"Person\",\"Word\")";
			document.getElementById("correspPDF").href="javascript:doWord(\""+corEntPerID.split(':')[1]+"\",\"Person\",\"PDF\")";			
		}			
		else{
			//Id of Enterprise
			document.getElementById("correspWord").href="javascript:doWord(\""+corEntPerID.split(':')[0]+"\",\"Enterprise\",\"Word\")";
			document.getElementById("correspPDF").href="javascript:doWord(\""+corEntPerID.split(':')[0]+"\",\"Enterprise\",\"PDF\")";											
							
		}	
		if(corEntPerID.split(':')[0]!=''){
			doFilterOpp(corEntPerID.split(':')[0]);
		}
			document.getElementById("icones").style.display="block";	
	}
	
	function doFilterOpp(id){
		doAjax("<fl:webapp/>/correspondent_opp.fl?id="+id,oppCallBack);		
	}
	
	function oppCallBack(arrIndex) {
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			hideWaiting();								
			document.getElementById("OppField").innerHTML=eDealXmlhttpArr[arrIndex].responseText;
		}
	}
	
	function entPerIDCallBack(arrIndex) {
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			hideWaiting();
			corEntPerID=eDealXmlhttpArr[arrIndex].responseText.replace(' ','');
			doDisplayDocs(corEntPerID);							
		}
	}
	
	function getCorEntPerID(){
		if(document.getElementById("lblIntCorID").selectedIndex==-1){
			document.getElementById("icones").style.display="none";
		}
		else {
			var id=document.getElementById("lblIntCorID").options[document.getElementById("lblIntCorID").selectedIndex].value;
			if (id.indexOf(':')==-1){
				//Id of Correspondent				
				doAjax("<fl:webapp/>/correspondent_ent.fl?id="+id,entPerIDCallBack);				
			}
		}
	}

	$(document).ready(function() {
		$("#Interaction_form #IntAtvID option[value='<%= initIntAtvID%>']").selected = true;
		
		$(document).on("onallviewsrendered", function() {
			checkVisibility();
			var viewActor = edManager.getViewByID("IntActID");
			viewActor.on("onrenderlist", checkVisibility);
			viewActor.on("onaddmodeltocollection", checkVisibility);
			viewActor.on("onremovemodelfromcollection", checkVisibility);
		});
		
	});
	
	function checkVisibility() {
		var viewActor = edManager.getViewByID("IntActID");
		if (viewActor.model.length == 0) {
			if (edManager.getViewByID("computeAvailability")) {
				edManager.getViewByID("computeAvailability").hide();
				edManager.getViewByID("checkAvailability").hide();
			}
		} else {
			if (edManager.getViewByID("computeAvailability")) {
				edManager.getViewByID("computeAvailability").show();
				edManager.getViewByID("checkAvailability").show();
			}
		}
	}
	
	function convertPerIDToCorID(params) {
		if (params) {
			if (params.length > 1) {
				var newModel = params[0];
				var view = params[1];
				if (newModel.get("value") != "") {
					//view.displayNowLoading();
					var url = "get_correspondentID_From_PerID.fl";
					var data = {
						perID: newModel.get("value")
					}
					//console.log("person id = ", data);
					$.ajax({
						url: url ,
						data: data,
						//dataType:this.options.async.datatype,
						context: this,
						success: function(data, textStatus, jqXHR) {
							//console.log("new cor id = ", data);
							if (data.corId) {
								newModel.set({"value": data.corId}, {silent:true});
							}
							//view.removeNowLoading();
						},
						error: function(jqXHR, textStatus, errorThrown) {
							//view.removeNowLoading();
							console.log("error :");
							console.log("jqXHR :");
							console.log(jqXHR);
							console.log("textStatus :");
							console.log(textStatus);
							console.log("errorThrown :");
							console.log(errorThrown);
						}
					});
				}
			}
		}
	}
	
	function displayFusion(view) {
		if (view.$el.attr("val") != "") {
			var url = "correspondent_ent.fl";
			var data = {
				//id: view.$el.attr("val")
				id: view.model.get("value")
			}
			//console.log("person id = ", data);
			$.ajax({
				url: url ,
				data: data,
				//dataType:this.options.async.datatype,
				context: this,
				success: function(data, textStatus, jqXHR) {
					//console.log(data);
					var perId = $.trim(data.split(":")[1]);
					var entId = $.trim(data.split(":")[0]);

					if (perId != "" || entId != "") {
						if ($("#corFusion").css("display") == "none") {
							$("#corFusion").css("display", "");
							$("#corFusion").position({
								my: "left",
								at: "left",
								of: view.$el
							});						
						}
	
						$("#corFusion").position({
							my: "right",
							at: "left",
							of: view.$el,
							using: function(newPos) {
								$(this).animate(newPos, 100);
						    }
						});
	
						if (!(perId.length > 16 || entId.length > 16)) {
							if (perId != "") {
								edManager.getViewByID("wordFusion").options.js="doWord('" + perId + "','Person','Word')";
								edManager.getViewByID("wordFusion").render();
								edManager.getViewByID("pdfFusion").options.js="doWord('" + perId + "','Person','Pdf')";
								edManager.getViewByID("pdfFusion").render();
							} else {
								if (entId != "") {
									edManager.getViewByID("wordFusion").options.js="doWord('" + entId + "','Person','Word')";
									edManager.getViewByID("wordFusion").render();
									edManager.getViewByID("pdfFusion").options.js="doWord('" + entId + "','Person','Pdf')";
									edManager.getViewByID("pdfFusion").render();
								}	
							}
						} 
						
						/*if (corEntPerID.split(':')[1]!=''){
							//Id of Person			
							document.getElementById("correspWord").href="javascript:doWord(\""+corEntPerID.split(':')[1]+"\",\"Person\",\"Word\")";
							document.getElementById("correspPDF").href="javascript:doWord(\""+corEntPerID.split(':')[1]+"\",\"Person\",\"PDF\")";			
						}else{
							//Id of Enterprise
							document.getElementById("correspWord").href="javascript:doWord(\""+corEntPerID.split(':')[0]+"\",\"Enterprise\",\"Word\")";
							document.getElementById("correspPDF").href="javascript:doWord(\""+corEntPerID.split(':')[0]+"\",\"Enterprise\",\"PDF\")";											
						}	
						/*if(corEntPerID.split(':')[0]!=''){
							doFilterOpp(corEntPerID.split(':')[0]);
						}
						document.getElementById("icones").style.display="block";*/	
						
						//doDisplayDocs(corEntPerID);
					}
				},
				error: function(jqXHR, textStatus, errorThrown) {
					//view.removeNowLoading();
					console.log("error :");
					console.log("jqXHR :");
					console.log(jqXHR);
					console.log("textStatus :");
					console.log(textStatus);
					console.log("errorThrown :");
					console.log(errorThrown);
				}
			});
		}
		//doAjax("<fl:webapp/>/correspondent_ent.fl?id="+id,entPerIDCallBack);
	}
	
	var hidetimeout;
	
	function hideFusion() {
		clearTimeout(hidetimeout);
		hidetimeout = setTimeout(function() {
			//console.log(edManager.getViewByID("IntCorID").$el.attr("mouseovered"));
			if (!(edManager.getViewByID("IntCorID").$el.attr("mouseovered") == "true")) {
				$("#corFusion").hide('slide',{direction:'right'},100);
			}
		}, 1000);
	}
	
	function doIntType_Change() {	
		doRefresh();
	}
</script>

<fl:form action="/save_interaction.fl" bean="Interaction">
	<input type="hidden" name="IntOrigID" id="IntOrigID" value="<fl:getProperty name="Interaction" property="IntOrigID" alt=""/>">
	<% if(idSolicitation != null && !idSolicitation.equalsIgnoreCase("") ) {%>
	<input type="hidden" name="IntSolicitation_" id="IntSolicitation_" value="<%=idSolicitation%>">
	<%} %>
	<% if(!prompTypeInteraction) {%>
	<input type="hidden" name="IntType_" id="IntType_" value="<%=typeInterID%>">
	<%} %>
	<% if(intContratID_ != null && !intContratID_.equalsIgnoreCase("") ) {%>
	<input type="hidden" name="IntContratID_" value="<%=intContratID_%>">
	<%} %>	
	
	<% if (flRequest.getParameter("fromAgenda") != null) { %>
	<input type="hidden" name="fromAgenda" value="1">
	<input type="hidden" name="$$returnedHtmlHead" value="">
	<input type="hidden" name="$$returnedHtmlBody" value="Closing...">
	<% } %>
	<input type="hidden" name="initIntDate"
		value="<%= Utils.formatToWeb(initIntDate, true) %>">
	<% if(prompTypeInteraction) {%>
	<input type="hidden" name="initIntDate"	value="<%= Utils.formatToWeb(initIntDate, true) %>">	
	<input type="hidden" name="initIntActID" value="<%=initIntActID%>">
	<input type="hidden" name="initIntTimeBeg"	value="<%= Utils.formatToWeb(initIntTimeBeg, true)%>">
	<fl:bigTabs
		objectTitle="<%= Utils.getMessage(session, codetitreFen, titreFen) %>"
		ou="<%= \"/edit_interaction.fl\" + (id != null ? \"?id=\" + id : \"\") %>">	
		<table class="container" cellpadding="0">
    	<fl:fieldEdit property="IntType_" alt="" onchange="doIntType_Change();"/>
		</table>
	</fl:bigTabs>	
	<%} else {%>	
	<fl:bigTabs
		objectTitle="<%= Utils.getMessage(session, codetitreFen, titreFen) %>"
		ou="<%= \"/edit_interaction.fl\" + (id != null ? \"?id=\" + id : \"\") %>">	
		<table class="container" cellpadding="0">
			<tr>
				<td class="column2">
					<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="dataLabel"><fl:label field="IntDate"/></td>
							<td class="dataValue">
								<table class="container" cellpadding="0">
								<tr class="fieldline">
									<td nowrap="nowrap">
										<fl:input property="IntDate" mandatoryMsgCode="M2006" onchange="this.form.initIntDate.value = this.value;" nodiv="true" />
									</td>
									<% if (Interaction.hasTimePeriodDisplay()) { 
											Date begHour = null;
											try {
												begHour = Interaction.getIntTimeBeg();
											} catch (FieldNotInitializedException fnie) {
											}
											Date endHour = null;
											try {
												endHour = Interaction.getIntTimeEnd();
											} catch (FieldNotInitializedException fnie) {
											}
											String begHourS = Utils.formatToWebTime(session, begHour, true);
											String endHourS = Utils.formatToWebTime(session, endHour, true);
											boolean isMorning = false;
											boolean isAfternoon = false;
											boolean isAllDay = false;
											if ("08:30:00".equals(begHourS) && "12:00:00".equals(endHourS)) {
												isMorning = true;
											} else if ("14:00:00".equals(begHourS) && "17:30:00".equals(endHourS)) {
												isAfternoon = true;
											} else if ("08:30:00".equals(begHourS) && "17:30:00".equals(endHourS)) {
												isAllDay = true;
											}
											%>
										<td nowrap="nowrap" style="width:100%; padding-left:10px;">
											<input name="IntTimeBeg" type="hidden" value="<fl:getProperty name="Interaction" property="IntTimeBeg" alt="" format="HH:mm"/>">
											<input name="IntTimeEnd" type="hidden" value="<fl:getProperty name="Interaction" property="IntTimeEnd" alt="" format="HH:mm"/>">
											<input name="periode" id="periode_1" type="radio" class="radio" <%= isMorning ? "checked" : "" %> value="" onclick="document.forms[0].IntTimeBeg.value='08:30';document.forms[0].IntTimeEnd.value='12:00';">
											<label class="radioLabel" for="periode_1"><fl:getMessage code="L62AC" alt="matin" /></label><br /> 
											<input name="periode" id="periode_2" type="radio" class="radio" <%= isAfternoon ? "checked" : "" %> value="" onclick="document.forms[0].IntTimeBeg.value='14:00';document.forms[0].IntTimeEnd.value='17:30';">
											<label class="radioLabel" for="periode_2"><fl:getMessage code="F60AC" alt="aprs-midi" /></label/><br /> 
											<input name="periode" id="periode_3" type="radio" class="radio" <%= isAllDay ? "checked" : "" %> value="" onclick="document.forms[0].IntTimeBeg.value='08:30';document.forms[0].IntTimeEnd.value='17:30';">
											<label class="radioLabel" for="periode_3">
												<fl:getMessage code="L62AD" alt="Toute la journe" />
											</label>
										</td>
									<% } else { %>
								</table>
							</td>
						</tr>
						<%
						if(typeInteraction.equals("CORR")){%>
						<fl:fieldEdit property="IntCatID" mandatoryMsgCode="MF03D" alt=""/>
						<%}%>
						
						<%if(typeInteraction.equals("CORR")){%>
						<fl:fieldEdit property="IntTimeBeg" format="HH:mm" mandatoryMsgCode="MF03A"/>
						<%} else if(typeInteraction.equals("TODO")) {%>
						
						<fl:fieldEdit property="IntTimeBeg" format="HH:mm"/>
						<%} %>
						<fl:fieldEdit property="IntTimeEnd" format="HH:mm"/>
						<% } %>
						<tr class="ligne_separation"><td></td></tr>
						<tr class="ligne_separation"><td></td></tr>
						
						<%---------------------- Tester s'il faut afficher la liste des correspondants en dehors du cas d'une TODO------------------------%>
						<%if(typeInteraction.equals("CORR")){%>
							<tr class="fieldline">
								<td class="dataLabel"><fl:label field="IntCorID" />
									<edLink 
										image='icons/ico/rechercher.gif' 
										values="<fl:getMessage code="A2003" alt="Slectionner"/>" 
										js='doSelectCorrespondent();'
									></edLink>
								</td>
								<td class="dataValue">
									<edAutoComplete id="IntCorID" 
										isMultiValued="true"
										isRequired="true"
										values='<%=correspondentListString%>'
										autocomplete='{"objname": "PerID", "searchtype": "COR", "minimumCharacters": 2}'
										actions='{"sort": {"active": false}, "add": {"active": true, "authorizedouble": false}, "remove": {"active": true}}'
										oncollectionchanged='convertPerIDToCorID(event);'
										onaddmodeltocollection='convertPerIDToCorID(event);'
									</edAutoComplete> 
								</td>
							</tr>
							<fl:fieldEdit property="IntTiersConc_"/>
						<%}	%>
						<%---------------------- Seulement si c'est une TODO------------------------%>
						<%
						if(typeInteraction.equals("TODO")){%>
							<fl:fieldEdit property="IntPrevMail_"/>
						<%}%>
						<%---------------------- Seulement si c'est une TODO------------------------%>
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column2">
					<table class="container" cellpadding="0">
							<fl:fieldEdit property="IntTheme_" mandatoryMsgCode="MF03B" alt=""/>
							<fl:fieldEdit property="IntSubject" mandatoryMsgCode="MF03C"/>
						<tr class="ligne_separation"><td></td></tr>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label field="IntActID" />
								<edLink 
									image='icons/ico/rechercher.gif' 
									values="<fl:getMessage code="A2003" alt="Slectionner"/>"
									target="POPUP"
									url='<%= xmlListSelect %>'
									options='{"id": "Select", "resizeable":"yes","scrollbars":"yes","menubar":"no","toolbar":"no","height":"780","width":"800"}'
								></edLink>
								<edLink id="checkAvailability"
									image='icons/ico/disponibilite.gif' 
									values="<fl:getMessage code="A3029" alt="Vrifier la disponibilit des acteurs"/>" 
									js='doVerifDisp()'
									style="display:none;"
									>
								</edLink>
								<edLink id="computeAvailability" 
									image='icons/ico/dispo_calcul.gif' 
									values="<fl:getMessage code="A1013" alt="Calculer la disponibilit"/>" 
									js='doComputeDisp()'
									style="display:none;"
									>
								</edLink>
							</td>
							<td class="dataValue">
								<fl:input property="IntActID" mandatoryMsgCode="M3046"/>
							</td>
						</tr>
							<fl:fieldEdit property="IntStiID" mandatoryMsgCode="MF03E" alt=""/>
						<% 
					 	if ("CORROUT".equals(subCatCode)) { %>
							<tr class="fieldline">
								<fl:fieldEdit property="IntRefDocID"/>
							</tr>
							<tr class="fieldline">
								<td class="dataLabel"><fl:label field="IntSentMailID"/></td>
								<td class="dataValue">
									<fl:attach name="Interaction" colID="IntSentMailID" edit="true"/>
								</td>
							</tr>
						<% } %>	
					</table>
				</td>
			</tr>
		</table>
		<table class="container" cellpadding="0">
		<tr><td class="titrePartie"><fl:getMessage code="F2024" alt="Notes"/></td></tr>
		<tr><td class="dataValue noPaddingLeft"><fl:input property="IntNotes_" rows="5" nodiv="false"/></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		</table>	
		<fl:smallTabs name="InteractionTabs">
		<%---------------------- Seulement si c'est une TODO------------------------%>
		<% if(typeInteraction.equals("TODO")){%>
		<fl:sTab id="STab1" title="Correspondances">
				<table class="container" cellpadding="0">
							<fl:fieldEdit property="IntCorr_" query="IntType_:RefVal = 'COR'" />
				</table>
		</fl:sTab>
		<%}%>
		<%---------------------- Seulement si c'est une CORR------------------------%>
		<% if(typeInteraction.equals("CORR")){%>
		<fl:sTab id="STab2" title="Todos">
				<table class="container" cellpadding="0">
							<fl:fieldEdit property="IntTodo_" query="IntType_:RefVal = 'ACT'" />
				</table>
		</fl:sTab>
		<%}%>
		<fl:sTab id="ATTACHMENT"
				title="<%= Utils.getMessage(session, \"L201C\", \"Documents joints\") %>">
				<fl:attach name="Interaction" colID="IntAttID" />
			</fl:sTab>
		<%---------------------- Seulement si c'est une Correspondance------------------------%>
		<% if(typeInteraction.equals("CORR")){%>
		<fl:sTab id="STab3" title="Rservations">
				<table class="container" cellpadding="0">
							<fl:fieldEdit property="IntReserv_"/>
				</table>
		</fl:sTab>
		<%}%>
	
			</fl:smallTabs>
	</fl:bigTabs>
<%} %>	
	<div id="corFusion" style="display: none; width:35px;">
		<edLink id="wordFusion"
			image='icons/ico_word_inv.gif' 
			values="<fl:getMessage code="L6126" alt="Gnrer Document Word"/>" 
			onmouseenter="clearTimeout(hidetimeout);"
			onmouseleave="hideFusion();"
			>
		</edLink>
		<edLink id="pdfFusion"
			image='icons/ico_acrobat_inv.gif' 
			values="<fl:getMessage code="L6557" alt="Gnrer Document PDF"/>"  
			onmouseenter="clearTimeout(hidetimeout);"
			onmouseleave="hideFusion();"
			>
		</edLink>
	</div>
</fl:form>
<!-- CKEditor -->
<script type="text/javascript" src="<fl:webapp/>/js/wysiwyg/ckeditor/ckeditor.js"></script>
<script type="text/javascript" src="<fl:webapp/>/js/wysiwyg/ckeditor/adapters/jquery.js"></script>
<script type="text/javascript">
var simpleLinkURL = '';
var simpleLinkText = '';

var editor = CKEDITOR.replace('IntReport',
{
    toolbar : [
            	['Format','Font','FontSize','-','Bold','Italic','Underline','StrikeThrough','-','Undo','Redo','-','Cut','Copy','Paste','Find','Replace','-','Outdent','Indent','-','Print'],
              ['NumberedList','BulletedList','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],
              ['Table','-','Link','TextColor','BGColor','Source']
            ]
});

CKEDITOR.on( 'dialogDefinition', function( ev ){
	var dialogName = ev.data.name;
	var dialogDefinition = ev.data.definition;
	if ( dialogName == 'image' ){
		dialogDefinition.removeContents('advanced');
		// Get a reference to the 'Image Info' tab.
         var infoTab = dialogDefinition.getContents('info');
         // Remove unnecessary widgets from the 'Image Info' tab.         
         infoTab.remove('txtHeight');         
         infoTab.remove('txtWidth');   
         infoTab.remove('txtBorder');
         infoTab.remove('txtHSpace');
         infoTab.remove('txtVSpace');
         infoTab.remove('cmbAlign');
         infoTab.remove('btnLockSizes');//
		 infoTab.remove('btnResetSize');
         infoTab.remove('previewImage');   
         infoTab.remove('ImagePreviewLoader');   
         infoTab.remove('ImagePreviewBox');   
         infoTab.remove('previewImage');   
	}
});


function insertContents(value) {
	editor.setData(value);
}
function getContents() {
	return editor.getData();
}

function isEmptyContents() {
	var editor_val = editor.document.getBody().getText();
	if (editor_val != '') {
		return false ;
	}   
	return true ;
	//return ( ("" == getContents()) || ('<br />\n' == getContents()) || ('<br />' == getContents()));
}


</script>