<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%
/******************************************************************************
 * Copyright (c) 2000-2009 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" contentType="text/html; charset=UTF-8" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.controller.ControllerServlet" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
java.util.Vector jsBeenIncluded = (java.util.Vector)request.getAttribute(ControllerServlet.JS_BEEN_INCLUDED_ATTR);
if (jsBeenIncluded == null) {
	jsBeenIncluded = new java.util.Vector();
}
%>
<html>
<head>
	<title></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
	
	<% if (!jsBeenIncluded.contains("/js/master_js.jsp")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/master_js.jsp"></script>
	<% }
	if (!jsBeenIncluded.contains("/js/ajax/sarissa.js")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
	<% }
	if (!jsBeenIncluded.contains("/js/ajax/ajax.js")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
	<% }
	if (!jsBeenIncluded.contains("/js/presentField.js")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
	<% }
	if (!jsBeenIncluded.contains("/js/checkFields.jsp")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<% }
	if (!jsBeenIncluded.contains("/js/utils.js")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>
	<% }
	if (!jsBeenIncluded.contains("/js/calendar.jsp")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/calendar.jsp"></script>
	<% }
	if (!jsBeenIncluded.contains("/js/ac/fobAC_js.jsp")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
	<% }
	if (!jsBeenIncluded.contains("/js/ac/fobAC_js.jsp")) { %>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/sales/interaction/interaction_js.jsp"></script>
	<% } %>
	<!--[if IE 7]>
	<script type="text/javascript" language="javascript" src="./js/edeal/libraries/json.org/json2/json2.js"></script>
	<![endif]-->
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/edeal/context/edContext.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/edeal/application/edApplication.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/edeal/libraries/includeJS/include.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/edeal/tools/utils.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/edeal/managers/edManager.js"></script>
  	<script language="javascript">
		$(document).ready(loadMainContent);	
		function loadMainContent() {
			var context = new edContext('{}');
			
			$(document).one("edApplication_onInitialize", computeEdViews);
			var application = new edApplication({path: "<fl:webapp/>/"});
		}
		
		function computeEdViews() {
			edManager.createEdViewsFromHTML();
		}
	</script>
</head>
<body>
	<div id="object_css" style="top:0px;left: 0px;">
		<jsp:include page="/sales/interaction/edit.jsp"/>
		<div style="width: 100%; text-align: center">
			<a href="javascript:submit()"><img src="<fl:webapp/>/icons/ico/valid_green2_long.gif" border="0" alt="<fl:getMessage code="A0003" alt="Enregistrer"/>"></a>&nbsp;&nbsp;&nbsp;<a href="javascript:window.close()"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif" alt="<fl:getMessage code="A3035" alt="Fermer"/>"></a>
		</div>
	</div>
</body>
</html>
