<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Vector" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.InteractionBean" id="Interaction" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
Vector corrs = (Vector)request.getAttribute("Correspondent_data");
String firstEnterprise = (String)flRequest.getAttribute("PrincipalGroup");
String activity = "";
try {
	activity = (String) dico.getRefDisp("Acv", "Te2", Interaction.getIntAtvID());
} catch (Exception e) {
}
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>
		<title><fl:getMessage code="L2025" alt="E-DEAL"/></title>
		<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
		<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
		<script type="text/javascript" src="<fl:link url="/js/edeal/libraries/jquery/jquery.js"/>"></script>
		<script type="text/javascript" src="<fl:link url="/js/ajax/ajax.js"/>"></script>
		<script language="javascript" type="text/javascript" src="<fl:webapp/>/js/smalltabs.jsp"></script>
		<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
		<style type="text/css">
		.titre {
			font-size: 28pt;
			font-weight: bold;
			text-align: left;
			color: #84A6AE;
		}
		.footer {
			text-align: center;
			font-size: 9px;
			color: gray;
		}
		.data {
			padding: 6px;
			/* border: thin solid black; */
			vertical-align: top;
		}
		</style>
		<script type="text/javascript">
			setTimeout("window.print();", 2000);
		</script>
		
	</head>
	<body>
	<fl:bigTabs objectTitle="<%= activity %>" showFooter="false">
		<table class="container" cellpadding="0" style="height: 100%">
			<tr>
				<td>
					<table class="container" cellpadding="0" style="height: 100%">
						<tr>
							<td class="titreFiche">
								<fl:getProperty name="Interaction" property="IntSubject" alt=""/><br/>
								<%= Utils.formatToWeb(firstEnterprise, false) %>
							</td>
						</tr>	
						<tr>
							<td class="data" style="width: 10%; white-space: nowrap;vertical-align: middle;">
								<span style="font-weight: bold;"><fl:getMessage code="Lxxx" alt="Le"/></span> <fl:getProperty name="Interaction" property="IntDate" alt="..."/><br>
								<span style="font-weight: bold;"><fl:getMessage code="L6539" alt="De"/></span> <fl:getProperty name="Interaction" property="IntTimeBeg" alt="&nbsp;"/> <span style="font-weight: bold;"><fl:getMessage code="L2059" alt=""/></span>  <fl:getProperty name="Interaction" property="IntTimeEnd" alt="&nbsp;"/><br>
								<span style="font-weight: bold;">
								<%if(activity != null && "RDV".equals(activity)){ %>
									<fl:getMessage code="F7061" alt="Emplacement"/>
								<%} else { %>
									<fl:getMessage code="F6099" alt="Coordonnes"/>
								<%} %>
								:</span> <fl:getProperty name="Interaction" property="IntPlace" alt="..."/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr class="ligne_separation">
				<td></td>
			</tr>
			<tr valign="top">
				<td>
					<fl:smallTabs name="EntRead8" >	
					<fl:sTab id="FATTACH" title="<%= Utils.getMessage(session, \"L3024\", \"Correspondant(s)\") %>">
					<table class="container" cellpadding="0" style="height: 100%">
						<tr>
							<td class="data">
<%
if (corrs != null && corrs.size() > 0) {
	for (int i = 0; i < corrs.size(); i++) {
		Hashtable row = (Hashtable)corrs.elementAt(i);
		String corDisp = (String)row.get("corDisp");
		String corTitle = (String)row.get("corTitle");
		String corID = (String)row.get("corID");
		String corType = (String)row.get("corType");
		String corPhone = (String)row.get("corPhone");
		String corGrpDisp = (String)row.get("corGrpDisp");
		String corGrpID = (String)row.get("corGrpID");
		String corGrpType = (String)row.get("corGrpType");
		String corGrpPhone = (String)row.get("corGrpPhone");
		String phone = corPhone != null ? corPhone : corGrpPhone;
%>								<span style="font-weight: bold;"><%= Utils.formatToWeb(corDisp, false) %> (<%= Utils.formatToWeb(corGrpDisp, false) %>)</span>
								&nbsp;<%= Utils.formatToWeb(phone, false) %>
								<br/><%= i < (corrs.size() - 1) ? "<br/>" : "" %>
<%
	}
}
%>
							</td>
						</tr>
					</table>
				</fl:sTab>
				</fl:smallTabs>
					<fl:smallTabs name="ACT" >			
						<fl:sTab id="ACT" title="<%= Utils.getMessage(session, \"F1050\", \"Acteur(s)\") %>">
							<table class="container" cellpadding="0" style="height: 100%">
								<tr>	
									<td class="data">
										<fl:getProperty name="Interaction" property="IntActID" bean="true" separator="<br/>" alt="&nbsp;"/> 
									</td>
								</tr>
							</table>
						</fl:sTab>
					</fl:smallTabs>
				</td>
			</tr>
			<tr class="ligne_separation">
				<td></td>
			</tr>
			<tr class="ligne_separation">
				<td></td>
			</tr>
			
			<!--<tr class="ligne_separation_couleur">
				<td></td>
			</tr>  -->
			
			<!--<tr class="ligne_separation">
				<td></td>
			</tr>-->
			<tr valign="top">
				<td>
					<fl:smallTabs name="EntRead8" >	
						<fl:sTab id="FATTACH" title="<%= Utils.getMessage(session, \"F2024\", \"Notes\") %>">
							<table class="container">
								<tr style="vertical-align: top">
									<td class="data"><fl:getProperty name="Interaction" property="IntDetails" alt="&nbsp;"/></td>
								</tr>
							</table>
						</fl:sTab>
					</fl:smallTabs>
				</td>
			</tr>
				</table>
			</fl:bigTabs>
			<table class="container">
			<tr valign="top">
				<td style="height: 100%">
					<table class="container" style="height: 100%">
						<tr align="center">
							<td style="height: 100%;"><a title="<fl:getMessage code="A3035" alt="Fermer"/>" href="javascript:window.top.close();"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif" /></a></td>
						</tr>
					</table>
				</td>
			</tr>
			
			<tr>
				<td style="text-align: center" valign="bottom">
					<span class="footerText" ><fl:getMessage code="L0049" alt="imprim avec E-DEAL CRM Software - www.e-deal.com"/></span>
				</td>
			</tr>
	</table>
		
		
		
	</body>
</html>
