<%@page import="com.edeal.frontline.DataDictionary"%>
<%@page import="com.edeal.frontline.ObjectsBean"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
ObjectsBean actorBean = dico.getTable("sql", "Actor");

String xmlActortListID = null;
try {
	xmlActortListID = actorBean.getObjSelectListID();
} catch (FieldNotInitializedException e) { 
} 

String selectActorLinkMultiple = "";
if (xmlActortListID != null) {
	selectActorLinkMultiple = "xml_select_multiple_list.fl?id=" + xmlActortListID + "&field=IntActID";
} else {
	selectActorLinkMultiple = "xml_select_multiple_list.fl?code=ACTOR&field=IntActID";
}

%>
<style>
<!--
.correspondantContainer {
	width: 50%;
	vertical-align: top;
	
}
.intResultContainer {
	width: 50%;
	vertical-align: top;
}

.correspondantContainer .dataLabel,
.intResultContainer .dataLabel {
	vertical-align: top;
	padding-right: 50px;
	width: 0;
}
.correspondantContainer .dataValue,
.intResultContainer .dataValue {
	width: 100%;
	padding-right: 115px;
}
-->
</style>
<script language="javascript">
function convertPerIDToCorID(params) {
	if (params) {
		if (params.length > 1) {
			var newModel = params[0];
			var view = params[1];
			if (newModel.get("value") != "") {
				//view.displayNowLoading();
				var url = "get_correspondentID_From_PerID.fl";
				var data = {
					perID: newModel.get("value")
				}
				//console.log("person id = ", data);
				$.ajax({
					url: url ,
					data: data,
					//dataType:this.options.async.datatype,
					context: this,
					success: function(data, textStatus, jqXHR) {
						//console.log("new cor id = ", data);
						if (data.corId) {
							newModel.set({"value": data.corId}, {silent:true});
						}
						//view.removeNowLoading();
					},
					error: function(jqXHR, textStatus, errorThrown) {
						//view.removeNowLoading();
						console.log("error :");
						console.log("jqXHR :");
						console.log(jqXHR);
						console.log("textStatus :");
						console.log(textStatus);
						console.log("errorThrown :");
						console.log(errorThrown);
					}
				});
			}
		}
	}
}

</script>

<fieldset class="fieldset">
	<legend class="legend"><fl:getMessage code="L82FE" alt="Indiquer le destinataire"/></legend>
	<table style="width: 100%">
		<tr>
			<td class="correspondantContainer">
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td class="dataLabel"><fl:label field="IntActID" />
							<edLink 
								image='icons/ico/rechercher.gif' 
								values="<fl:getMessage code="A2003" alt="Slectionner"/>" 
								target="POPUP" 
								url="<fl:webapp/>/<%= selectActorLinkMultiple %>"
							></edLink>
						</td>
						<td class="dataValue">
							<edAutoComplete id="IntActID" 
								isMultiValued="true"
								isRequired="true" 
								values='<%=ibh.getActorJSONArray().toString()%>'
								autocomplete='{"objname": "ActID", "searchtype": "FOB", "minimumCharacters": 2}'
								actions='{"sort": {"active": false}, "add": {"active": true, "authorizedouble": false}, "remove": {"active": true}}'
							></edAutoComplete> 
						</td>
					</tr>
					<%
					if (Interaction.hasCorrespondentDisplay()) {
					
						String correspondentListString = Utils.formatStringForHtmlED(ibh.getCorrespondentJSONArray().toString()); %>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label field="IntCorID" />
								<edLink image='icons/ico/rechercher.gif' 
									values="<fl:getMessage code="A2003" alt="Slectionner"/>" 
									js='doSelectCorrespondent();'></edLink>
							</td>
							<td class="dataValue">
								<edAutoComplete id="IntCorID" 
										isMultiValued="true"
										<%if (Interaction.isActivityHasDisplay(0)) { %>
											isRequired="true"
										<%} %> 
										values='<%=correspondentListString%>'
										autocomplete='{"objname": "PerID", "searchtype": "COR", "minimumCharacters": 2}'
										actions='{"sort": {"active": false}, "add": {"active": true, "authorizedouble": false}, "remove": {"active": true}}'
										oncollectionchanged='convertPerIDToCorID(event);'
										onaddmodeltocollection='convertPerIDToCorID(event);'
										>
								</edAutoComplete>
							</td>
						</tr>
					<% } %>
				</table>
			</td>
			<td class="intResultContainer">
				<table style="width: 100%">
					<tr>
						<fl:fieldEdit property="IntResult" type="buttons" except="<%= ibh.getResultSkipIDs(flRequest) %>"></fl:fieldEdit>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</fieldset>


