<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Localite_Bean"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Localite_Bean" id="Localite_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	

	try {
	    id = Localite_.getID();
	} catch (FieldNotInitializedException fnie) {}

	/*Pour savoir si le pays est FR afin dafficher le code INSEE */
	String codePays = null;
	boolean affInsee = false;
	try{
		codePays = (String)Localite_.getLo_Pays();
	}catch(FieldNotInitializedException e){
		codePays = "";
	}
	
	if(codePays.equals(dico.getRefIdByCode("Lo_Pays", "FR"))){
		affInsee = true;
	}
	
	/*Pour savoir si la localit est rattache  une autre localit */
	String codeLocParente = null;
	boolean affAcces = true;
	try{
		codeLocParente = (String)Localite_.getLo_RattID();
	}catch(FieldNotInitializedException e){
		codeLocParente = "";
		affAcces = false;
	}
	
	
	
%>

<script type="text/javascript" language="javascript">

	
</script>

<fl:bigTabs objectTitle="Localit" ou="<%= \"read_localite_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
        <table class="container" cellpadding="0">
		<tr>
			<td colspan="5" width="100%">
				<table>
					<tr>					
						<td style="width: 100%" class="titreFiche">
							<%= Localite_.getLo_Nom()%>
						</td>
					</tr>
				</table>
			</td>
		</tr>
    	
    	<tr><td colspan="5" class="ligne_separation"/></tr>
    
		<tr class="ligne_separation"><td></td></tr>

        <tr><td colspan="5" class="ligne_separation"/></tr>


		<tr class="ligne_separation"><td></td></tr>
		
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
						<fl:fieldRead property="Lo_NomTri"/>
					<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="L8293" alt="Localisation"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>
					<tr><td colspan="5" class="ligne_separation"/></tr>
						<fl:fieldRead property="Lo_Pays"/>
						<fl:fieldRead property="Lo_Reg"/>
						<fl:fieldRead property="Lo_Dep"/>
						<fl:fieldRead property="Lo_Cdpost"/>
						<fl:fieldRead property="Lo_RattID" separator="<br>" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_localite_.fl\") %>"/>
						<% if (affAcces){ %>
						<fl:fieldRead property="Lo_Acces"/>
						<%} %>
				</table>
				
			</td>
			<td class="separation"><div class="separation"></div></td>
			
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<% if (affInsee){ %>
					<fl:fieldRead property="Lo_Insee"/>
					<%}%>
					<fl:fieldRead property="Lo_Nbhab"/>
					<fl:fieldRead property="Lo_Alt"/>
					<tr class="ligne_separation"><td></td></tr>
					
					<td class="titreInterneSmalltabs" colspan="5">
					<fl:getMessage code="LF00E" alt="Coordonnes GPS"/>
					</td>
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<fl:fieldRead property="Lo_GpsX"/>
					<fl:fieldRead property="Lo_GpsY"/>
				</table>
				
			</td>
			
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
</fl:bigTabs>