<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Marque_Bean"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Marque_Bean" id="Marque_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	

	try {
	    id = Marque_.getID();
	} catch (FieldNotInitializedException fnie) {}

	boolean isActive = false;
	try {
		isActive = Marque_.isMa_Statut();
	} catch (FieldNotInitializedException e) {
	}
	
	
%>
<script type="text/javascript" language="javascript">
	function doSubmit() {
		var f = document.forms[0];		
		return true;
	}
	
	function doMa_StatutChange() {	
		doRefreshMarque_();
	}
	
	function doRefreshMarque_() {		
		var f = document.forms[0];
		f.action = "<fl:webapp/>/refresh_marque_.fl";
		f.submit();
	}

</script>
<fl:form action="save_marque_.fl" bean="Marque_">
<fl:bigTabs objectTitle="Marque" ou="<%= \"edit_marque_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
    <table class="container" cellpadding="0">
    	<tr>
				<td colspan="5">
					<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="labelTitreFiche">
								<fl:label field="Ma_Nom" labelClassName="titreFiche"/>
							</td>
							<td class="fieldTitreFiche">
								<fl:input property="Ma_Nom" mandatoryMsgCode="MF013" />
							</td>
						</tr>
					</table>
				</td>
		</tr>

        <tr><td colspan="5" class="ligne_separation"/></tr>

		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
				<% if(id == null) { %>
					<fl:fieldEdit property="Ma_Statut" onchange="javascript:doMa_StatutChange();"/>
				<%} %>
					<fl:fieldEdit property="Ma_Mpar"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0" >
						<fl:fieldEdit property="Ma_Dda" mandatoryMsgCode="MF015"/>
				</table>
				<table id="DateNonObl" class="data_column" cellpadding="0" >
						<%if(isActive) {%>
						<fl:fieldEdit property="Ma_Dfa"/>
						<%} else {%>
						<fl:fieldEdit property="Ma_Dfa" mandatoryMsgCode="MF018"/>
						<%}%>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table class="container" cellpadding="0">
			<tr class="ligne_separation"><td></td></tr>
			<tr>
				<td class="titrePartie"><fl:getMessage code="L64B4" alt="Commentaires"/></td>
			</tr>
			<tr>
				<td class="dataValue noPaddingLeft">
					<fl:input property="Ma_Comm" style="width:100%" nodiv="false"/>
				</td>
			</tr>
			<tr class="ligne_separation"><td></td></tr>
			<tr class="ligne_separation_couleur"><td></td></tr>
			<tr class="ligne_separation"><td></td></tr>
		</table>
	<fl:smallTabs name="Marque__Tabs">
	<fl:sTab id="STab1" title="Produits d'appartenance">
		<table class="container" cellpadding="0">
					<fl:fieldEdit property="Ma_RgprodID" mandatoryMsgCode="MF016"/>
		</table>
	</fl:sTab>
	
	<fl:sTab id="Stab2" title="Equipements pr-requis">
		<table class="container" cellpadding="0">
					<fl:fieldEdit property="Ma_EqpreID" mandatoryMsgCode="MF017"/>
		</table>
	</fl:sTab>
	
	<fl:sTab id="ATTACHMENT" title="Fichiers">
				<fl:attach name="Marque_" colID="Ma_FichID" edit="true" />
	</fl:sTab>


</fl:smallTabs>
</fl:bigTabs>
</fl:form>
