<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" import="com.edeal.frontline.*"%><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ page import="java.util.Vector"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.custom.*" %>
<jsp:useBean class="com.edeal.frontline.OpportunityBean" id="Opportunity" scope="request"/>
<% 
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	String salesModel = context.getContextParameter("SalesModel");
	String oppID;
	try {
		oppID = Opportunity.getID();
	} catch (FieldNotInitializedException e) {
		oppID = null;
	}
	
	DataDictionary dico = context.getDataDictionary();
	String needDetected;
	try {
		needDetected = dico.getRefIdByCode("Sto", "Te1", "NEED");
	} catch (Exception e) {
		needDetected = null;
	}
	
	// If "NEED" doesn't exist for some reason, just take the first one
	if (needDetected == null) {
		Vector vect = dico.getRefCodeList("OppStoID");
		Vector firstElement = (Vector)vect.firstElement();
		needDetected = (String)firstElement.firstElement();
	}
	
%>
<script language="javascript">
function products() {
	var oppid=$('input[name$="id"]').val();
	var prdfamilleproduit_id=$('input[name$="prdfamilleproduit_id"]').val();
	var qteProdNegFlag_flag=$('input[name$="OppFactAvoir_"]').val();
	if (oppid!= '') {
		if(prdfamilleproduit_id!=null) {
			if( qteProdNegFlag_flag!=null && qteProdNegFlag_flag == 'true') {
				window.open('<fl:link list="false" url="<%= \"/edit_productopportunity.fl?\" %>"/>&negSelProd=true&OppID=' + oppid + '&PrdFamilleProduit_=' + prdfamilleproduit_id,'ChoixProduit', 'width=1248,height=748,resizable');
			} else {
				window.open('<fl:link list="false" url="<%= \"/edit_productopportunity.fl?\" %>"/>&OppID=' + oppid + '&PrdFamilleProduit_=' + prdfamilleproduit_id,'ChoixProduit', 'width=1248,height=748,resizable');	
			}
		} else {
			if( qteProdNegFlag_flag!=null && qteProdNegFlag_flag == 'true') {
				window.open('<fl:link list="false" url="<%= \"/edit_productopportunity.fl?\" %>"/>&negSelProd=true&OppID=' + oppid,'ChoixProduit', 'width=1248,height=748,resizable');
			} else {
				window.open('<fl:link list="false" url="<%= \"/edit_productopportunity.fl?\" %>"/>&OppID=' + oppid,'ChoixProduit', 'width=1248,height=748,resizable');	
			}
		}
	} else {
		saveNewOppAndOpenProducts();
	}			
}

function saveNewOppAndOpenProducts() {
	if (!doSubmit()) {
		return;
	}
	
	var mf = document.forms[0];
	
	var strUrl = '<fl:link url="/save_newopportunity_show_products_ajax.fl?type=Opportunity&$$presentFields="/>';

	var oppTitle = mf.OppTitle.value;
	if (oppTitle != '') {
		strUrl += '&OppTitle=' + escape(oppTitle); 
	}
	
	var oppPerID = mf.OppPerID.value;
	if (oppPerID != null && oppPerID != '') {
		strUrl += '&OppPerID=' + oppPerID;
	}
	
	var oppEntID = mf.OppEntID.value;
	if (oppEntID != null && oppEntID != '') {
		strUrl += '&OppEntID=' + oppEntID;
	}
	
	var oppAccountID = mf.OppAccountID_.value;
	if (oppAccountID != null && oppAccountID != '') {
		strUrl += '&OppAccountID_=' + oppAccountID;
	}
		
	var oppStoID = mf.OppStoID.value;
	if (oppStoID == null || oppStoID == '') {
		oppStoID = '<%= needDetected %>';
	}
	strUrl += '&OppStoID=' + oppStoID;
	doAjax(strUrl);
}

function ajaxReturn(index) {
	if (eDealXmlhttpArr[index].readyState == 4) {
		var response = eDealXmlhttpArr[index].responseText;
	}
}

function doRefreshPros() {
	var mf = document.forms[0];
	doAjax('<fl:webapp/>/refresh_prodOpp_ajax.fl?listOnly=true&OppID=' + mf.id.value);
}	

function refreshPros() {
	setTimeout("doRefreshPros();", 20);
}
	
function doSubmit(document) {
	mf = window.document.forms[0];
if(mf.OppModReg_){
	if(mf.OppModReg_) {
		if(!checkField(mf.OppModReg_.value, 'text', true, '', '')) {
			alert("<fl:getMessage code="MF095" alt="Veuillez choisir un mode de rglement." js="true"/>");
			mf.OppModReg_.focus();
			return false;
		}
	}
	
	if (!checkField(mf.OppEntID.value, 'text', true, '', '') && !checkField(mf.OppPerID.value, 'text', true, '', '')) {
		alert("<fl:getMessage code="MF096" alt="Veuillez slectionner un client." js="true"/>");
		return false;
	}
}	
	return true;
}	
</script>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:verifPresenceArticles()">
					<p class="actions_tabletext"><fl:getMessage code="A0003" alt="Enregistrer"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
	<tr>
		<td class="actions_cell_left"></td>
		<td class="actions_tablecell_seperator"></td>
		<td class="actions_cell_right"></td>
	</tr>
<%-- if(oppID != null) {--%>
	<tr>
		<td class="actions_cell_left"></td>
		<td>
			<div class="actions_tablecell_1">
				<a href="javascript:products();">
					<p class="actions_tabletext"><fl:getMessage code="LF184" alt="Articles"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
<%--} --%>
	