<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite. 
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>   
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="java.text.DecimalFormat" %>
<%@ page import="java.util.List" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.SalesInvestBean" %>
<%@ page import="com.edeal.frontline.PersonBean" %>
<%@ page import="com.edeal.frontline.EnterpriseBean" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@taglib uri="http://www.e-deal.com/taglib/ft" prefix="ft" %>
<jsp:useBean class="com.edeal.frontline.OpportunityBean" id="Opportunity" scope="request"/>
<jsp:useBean class="com.edeal.frontline.PersonBean" id="Person" scope="request"/>
<jsp:useBean class="com.edeal.frontline.EnterpriseBean" id="Enterprise" scope="request"/>

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();

	DataDictionary dico = context.getDataDictionary();
	

	DecimalFormat df = FlLocale.getInstance(session).getDecimalFormat("#,##0.00");
	
	
	
	String id = null;
	try {
		id = Opportunity.getID();
		//flRequest.getSession().setAttribute("oppID",id);
	} catch (FieldNotInitializedException e) {
	}
	

	String oppStoID = null;
	try {
		oppStoID = Opportunity.getOppStoID();
	} catch (FieldNotInitializedException e) {
	}
	double oppNetApayer_ = 0;
	try{
		oppNetApayer_ = (Double)Opportunity.getCustomProperty("OppNetApayer_");
	}catch(FieldNotInitializedException fe){
		
	}
			
	String oppEntID = null;
	try {
		oppEntID = Opportunity.getOppEntID();
	} catch (FieldNotInitializedException e) {
	}
	
	
	// on rcupre l'iD du Fournissuer
	String oppBizProviderID = null;
	try {
		oppBizProviderID = Opportunity.getOppBizProviderID();
	} catch (FieldNotInitializedException e) {
	}
	String oppBillTiersID_ = null;
	try {
		oppBillTiersID_ = (String)Opportunity.getCustomProperty("OppBillTiersID_");
	} catch (FieldNotInitializedException e) {
	}
	
	String enjPond = "";
	try {
		double stake = Opportunity.getOppStake();
		Double prob = (Double)dico.getRefDisp(session, "Opb", "Nu1", Opportunity.getOppOpbID());
		double enjEurPond = (double)(stake * prob.doubleValue()) / 100;
		
		enjPond = df.format(enjEurPond);
	} catch (FieldNotInitializedException e) {
	}
	
	// Dtecter statut de l'opportunit 

	String statutID  = null;;
	try {
		statutID = Opportunity.getOppStoID();
	} catch (FieldNotInitializedException e) {
		statutID = "";
	}

	// ramener les ids des 5 statuts de l'opportunit

	String devisStateID = null;
	String devrefStateID = null;
	String commandeStateID = null;
	String factureStateID = null;
	String besoinStateID = null;
	try {
		devisStateID = dico.getRefIdByCode("Sto", "Te1", "DEV");
		devrefStateID = dico.getRefIdByCode("Sto", "Te1", "DEVREF");
		commandeStateID = dico.getRefIdByCode("Sto", "Te1", "ORD");
		factureStateID = dico.getRefIdByCode("Sto", "Te1", "FAC");
		besoinStateID = dico.getRefIdByCode("Sto", "Te1", "NEED");
	} catch (Exception e) {
		devisStateID = "";
		devrefStateID = "";
		commandeStateID = "";
		factureStateID = "";
		besoinStateID = "";
	}
	
	String salesModel = context.getContextParameter("SalesModel");
	boolean isB2C = "B2C".equalsIgnoreCase(salesModel);
	
	String titreOnglet = "";
	String titrePage = "";
	
	List cptID = (List)flRequest.getAttribute("cptIDs");
	List cptName = (List)flRequest.getAttribute("cptNames");
	
	if(statutID.equalsIgnoreCase(devisStateID)) {
		titreOnglet = Utils.getMessage(session, "LF078", "Dtail devis");
		titrePage = Utils.getMessage(session, "L653F", "Devis");
	} else if(statutID.equalsIgnoreCase(commandeStateID)) {
		titreOnglet = Utils.getMessage(session, "LF077", "Dtail commande");
		titrePage = Utils.getMessage(session, "LF035", "Commande");
	} else if(statutID.equalsIgnoreCase(factureStateID)) {
		titreOnglet = Utils.getMessage(session, "LF074", "Dtail facture");
		titrePage = Utils.getMessage(session, "F60D4", "Facture");
	} else {
		titreOnglet = Utils.getMessage(session, "LF079", "Dtail opportunit");
		titrePage = Utils.getMessage(session, "L3025", "Opportunit");
	}
	
%>
<script language="javascript">
	function doOnLoad(){
		doRefreshPros();
	}

	function doRefreshPros() {
		doAjax('<fl:webapp/>/refresh_prodOpp_ajax.fl?listOnly=true&OppID=<%= id %>');
	}	

	function refreshPros() {
		setTimeout("doRefreshPros();", 20);
	}
	
	function refreshInts() {
		_grid__OPPINTERAC_js_.render()
	}
	
	function refreshOpps() {
		_grid__CompOpp_js_.render()
	}
	
		function entCallBack(arrIndex) {
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			hideWaiting();
			var ent=eDealXmlhttpArr[arrIndex].responseText.replace(' ','');
			document.getElementById("correspWord").href="javascript:doWord(\""+ent+"\",\"Enterprise\",\"Word\")";
			document.getElementById("correspPDF").href="javascript:doWord(\""+ent+"\",\"Enterprise\",\"PDF\")";	
			doFilterOpp(ent);						
		}
	}
	
	function doOppDetails(id,oppID){
		doAjax("<fl:webapp/>/competitor_opps_ajax.fl?id="+id+"&oppID="+oppID,compCallBack);		
	}
	
	function compCallBack(arrIndex) {
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			hideWaiting();
			refreshOpps();							
		}
	}
</script>
<fl:bigTabs objectTitle="<%=titrePage%>" ou="<%= \"/read_opportunity.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
	<input type="hidden" name="id" value="<%=id%>">
	<input type="hidden" name="oppStatut" value="<%=oppStoID%>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="5" class="titreFiche">
				<% if(statutID.equalsIgnoreCase(devisStateID)) { %>
				<fl:getProperty name="Opportunity" property="oppTitle" alt="&nbsp;"/><fl:getProperty name="Opportunity" property="OppNumDev_" alt="&nbsp;" preText="&nbsp;-&nbsp;"/>
				<%} else if(statutID.equalsIgnoreCase(commandeStateID)) { %>
				<fl:getProperty name="Opportunity" property="oppTitle" alt="&nbsp;"/><fl:getProperty name="Opportunity" property="OppNumComm_" alt="&nbsp;" preText="&nbsp;-&nbsp;"/>
				<%} else if(statutID.equalsIgnoreCase(factureStateID)) { %>
				<fl:getProperty name="Opportunity" property="oppTitle" alt="&nbsp;"/><fl:getProperty name="Opportunity" property="OppNumFact_" alt="&nbsp;" preText="&nbsp;-&nbsp;"/>
				<%} %>
			</td>
		</tr>
		<tr class="ligne_separation">
			<td colspan="10"></td>
		</tr>
	</table>
	<table class="container" cellpadding="0">	
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<%if(statutID.equalsIgnoreCase(besoinStateID)) {%>
					<fl:fieldRead property="OppDate" labelCode="L3053" format="date"/>
					<fl:fieldRead property="OppStake" format="money" postText=" &euro;"/>					
					<fl:fieldRead property="OppOpbID" postText="%"/>
					<tr class="fieldline">
						<td id="enjPond_label" class="dataLabel"><fl:label code="L30C0" label="Enjeu pondr"/></td>
						<td id="enjPond_value" class="dataValue"><div title="<%= enjPond %> &euro;"><%= enjPond %>&nbsp;&euro;</div></td>
					</tr>
					<%}
					if(statutID.equalsIgnoreCase(devisStateID) || statutID.equalsIgnoreCase(commandeStateID)) {
					if(statutID.equalsIgnoreCase(devisStateID))  {%>
					<fl:fieldRead property="OppDatDev_" labelCode="FF0ED" format="date"/>
					<fl:fieldRead property="OppCnlDev_" />
					<%} else {%>
					<fl:fieldRead property="OppDatComm_" labelCode="FF0EE" format="date"/>
					<fl:fieldRead property="OppCnlCom_" />
					<%} %>
					<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="FF0A9" alt="Client"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>					
					<%if(statutID.equalsIgnoreCase(devisStateID))  {%>
					<fl:fieldRead property="OppEntID" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_enterprise.fl\" %>" alt="&nbsp;"/>
					<%} else {%>
					<fl:fieldRead property="OppEntID" label="Identification Entreprise" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_enterprise.fl\" %>" alt="&nbsp;"/>
					<%} %>
					<% if(oppEntID != null){
						EnterpriseBean entClient = new EnterpriseBean(oppEntID, context);
						String phone = "";
						try {
							phone = entClient.getEntPhone();;
						} catch (FieldNotInitializedException e) {}
						String mail = "";
						try {
							mail = (String)entClient.getCustomProperty("EntMail_");
						} catch (FieldNotInitializedException e) {}
					%>
					<tr class="fieldline">
						<td id="phoneClient_label" class="dataLabel"><fl:label code="FF0AC" label="Tlphone principal"/></td>
						<td id="phoneClient_value" class="dataValue">
							 <div title="<%= phone %>">
								<a onclick="javascript:doCall('<%= phone %>', 'Enterprise', '<%= oppEntID %>')" href="#"><%= phone %></a>
							</div>
						 </td>
					</tr>
					<tr class="fieldline">
						<td id="mailClient_label" class="dataLabel"><fl:label code="FF0AB" label="Mail principal"/></td>
						<td id="mailClient_value" class="dataValue"><a href="mailto:<%= mail %>" title="<%= mail %>"><%= mail %></div></td>
					</tr>	
					<% } 
					if(statutID.equalsIgnoreCase(devisStateID))  {%>
					<fl:fieldRead property="OppPerID" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_person.fl\" %>" alt="&nbsp;"/>
					<%} else {%>
					<fl:fieldRead property="OppPerID" label="Identification Personne" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_person.fl\" %>" alt="&nbsp;"/>
					<%} %>
					<% 
						String oppPerID = null;
						try{
							oppPerID = Opportunity.getOppPerID();
						}catch(FieldNotInitializedException fe){
							
						}
						if(oppPerID != null){
							PersonBean perClient = new PersonBean(oppPerID, context);
							String phone = "";
							try {
								phone = perClient.getPerPhone();;
							} catch (FieldNotInitializedException e) {}
							String mail = "";
							try {
								mail = (String)perClient.getPerMail();
							} catch (FieldNotInitializedException e) {}
					%>
					<tr class="fieldline">
						<td id="phoneClient_label" class="dataLabel"><fl:label code="FF0AC" label="Tlphone principal"/></td>
						<td id="phoneClient_value" class="dataValue">
							<div title="<%= phone %>">
								<a onclick="javascript:doCall('<%= phone %>', 'Person', '<%= oppPerID %>')" href="#"><%= phone %></a>
							</div>
						</td>
					</tr>
					<tr class="fieldline">
						<td id="mailClient_label" class="dataLabel"><fl:label code="FF0AB" label="Mail principal"/></td>
						<td id="mailClient_value" class="dataValue"><a href="mailto:<%= mail %>" title="<%= mail %>"><%= mail %></div></td>
					</tr>	
					<% } %>
					<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="L63E9" alt="Fournisseur"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>	
					<fl:fieldRead label="Fournissseur" property="oppBizProviderID" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_enterprise.fl\" %>" alt="&nbsp;"/>
					<%} else if(statutID.equalsIgnoreCase(factureStateID)) { %>
					<fl:fieldRead property="OppRefFact_" />
					<fl:fieldRead property="OppDatFact_" labelCode="FF0FD" format="date"/>
					<fl:fieldRead property="OppActID" bean="true" labelCode="FF107" href="true" disp="<%= request.getContextPath() + \"/read_actor.fl\" %>"/>
					<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="FF0F0" alt="Bnficiaire"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>
					<fl:fieldRead property="OppCompteClient_" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_contrat_.fl\" %>" alt="&nbsp;"/>
					<fl:fieldRead property="OppEntID" label="Nom d'afichage Client" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_enterprise.fl\" %>" alt="&nbsp;"/>
					<%
					// on rcupre les champs concernant l'adresse du client (Tiers)
					if (oppEntID != null) {
						 EnterpriseBean entClient = new EnterpriseBean(oppEntID, context);
							
							try {
								Enterprise.setEntID(entClient.getEntID());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setEntCorpName(entClient.getEntCorpName());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setEntCode(entClient.getEntCode());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setEntCtrID(entClient.getEntCtrID());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setEntCity(entClient.getEntCity());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setEntZip(entClient.getEntZip());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setEntPhone(entClient.getEntPhone());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setEntFax(entClient.getEntFax());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setEntWeb(entClient.getEntWeb());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setEntSiret(entClient.getEntSiret());
							} catch (FieldNotInitializedException e) {
							}
							
							try {
								Enterprise.setCustomProperty("EntBP_", (String)entClient.getCustomProperty("EntBP_"));
							} catch (FieldNotInitializedException e) {
								Enterprise.setCustomProperty("EntBP_","");
							}
							String voieNum = "";
							try {
								voieNum = (String)entClient.getCustomProperty("EntVoieNum_");
							} catch (FrontlineException e) {
							}
							String entNatureVoieID_ = null;
							try {
								entNatureVoieID_ = (String)entClient.getCustomProperty("EntNatureVoieID_");
								entNatureVoieID_ = (String)dico.getRefDisp(FlLocale.getInstance(session), "Ev_", "Te1", entNatureVoieID_);
							} catch (FrontlineException e) {
								entNatureVoieID_ = "";
							}
							String  entLblVoie_ = "";
							try {
								entLblVoie_ = (String)entClient.getCustomProperty("EntLblVoie_");
							} catch (FrontlineException e) {
								entLblVoie_ = "";
							}
							String  entBP = "";
							try {
								entBP = (String)entClient.getCustomProperty("EntBP_");
							} catch (FrontlineException e) {
								entBP = "";
							}
							
							String  entIntraCom = "";
							try {
								entIntraCom = (String)entClient.getCustomProperty("EntTVAIntracom_");
							} catch (FrontlineException e) {
								entIntraCom = "";
							}
							
							String cplAdr = "";
							try {
								cplAdr = (String)entClient.getCustomProperty("EntGeoCplt_");
							} catch (FrontlineException e) {
							}
							
							String remCour = "";
							try {
								remCour = (String)entClient.getCustomProperty("EntPtRmCourrier_");
							} catch (FrontlineException e) {
							}
							
							String lieuDit = "";
							try {
								lieuDit = (String)entClient.getCustomProperty("EntLieuDit_");
							} catch (FrontlineException e) {
							}
							
							String entBanque = "";
							try {
								entBanque = (String)entClient.getCustomProperty("EntBanque_");
							} catch (FrontlineException e) {
							}
							
							String entIBAN = "";
							try {
								entIBAN = (String)entClient.getCustomProperty("EntIBAN_");
							} catch (FrontlineException e) {
							}
							
							String entBIC = "";
							try {
								entBIC = (String)entClient.getCustomProperty("EntBIC_");
							} catch (FrontlineException e) {
							}
							
					%>
					
					
					
					<tr class="fieldline">
						<td id="EntCorpName_label" class="dataLabel"><fl:label code="FF202" label="Nom de la socit Client"/></td>
						<td id="EntCorpName_value" class="dataValue"><fl:getProperty name="Enterprise" property="EntCorpName" alt=""/></td>
					</tr>
					
					<tr class="fieldline">
					<td id="EntGeoCplt__label" class="dataLabel"><fl:label code="FF026" label="Numro de TVA intracommunautaire" /></td>
					<td id="EntGeoCplt__value" class="dataValue"><div title="<%=entIntraCom%>"></div><%=entIntraCom%></td>
					</tr>
					
					<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="FF13B" alt="Adresse Bnficiaire"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>
					<tr class="fieldline">
						<td id="EntVoie_label" class="dataLabel"><fl:label code="FF02E" label="Voie"/></td>
						<td id="EntVoie_value" class="dataValue"><div title="<%=Utils.formatToWeb(voieNum + ", " + entNatureVoieID_ + " " + entLblVoie_,false)%>"><%=Utils.formatToWeb(voieNum + ", " + entNatureVoieID_ + " " + entLblVoie_,false)%></div></td>
					</tr>
					<tr class="fieldline">
					<td id="EntGeoCplt__label" class="dataLabel"><fl:label code="LF072" label="Compl. Adresse" /></td>
					<td id="EntGeoCplt__value" class="dataValue"><div title="<%=cplAdr%>"></div><%=cplAdr%></td>
					</tr>
					
					<tr class="fieldline">
					<td id="EntPtRmCourrier__label" class="dataLabel"><fl:label code="FF00F" label="Point Remise Courrier"/></td>
					<td id="EntPtRmCourrier__value" class="dataValue"><div title="<%=remCour%>"><%=remCour%></div></td>
					</tr>
					<fl:fieldRead property="EntBP_"/>
					<tr class="fieldline">
					<td id="EntLieuDit__label" class="dataLabel"><fl:label code="FF00E" label="Lieu-Dit"/></td>
					<td id="EntLieuDit__value" class="dataValue"><div title="<%=lieuDit%>"><%=lieuDit%></div></td>
					</tr>
					<td class="dataLabel"><fl:getMessage code="FF096" alt="Code Postal/Ville"/></td>
					<td id="Ent.Zip_value" class="dataValue">
						<div title="">
							<fl:getProperty name="Enterprise" property="EntZip" alt="" postText="&nbsp;"/><fl:getProperty name="Enterprise" property="EntCity" alt="" postText=""/><% try { Enterprise.getEntZip(); Enterprise.getEntCity(); %><br><% } catch(FieldNotInitializedException e) { try { Enterprise.getEntCity(); %><br><% } catch (FieldNotInitializedException ex) {}} %>
						</div>
					</td>
					<fl:fieldRead property="EntCtrID" alt="" />
					<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="FF13C" alt="Informations Bancaires du Client"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>   
					<tr class="fieldline">
						<td id="EntBanque_label" class="dataLabel"><fl:label code="FF027" label="Banque"/></td>
						<td id="EntBanque_value" class="dataValue"><div title="<%=entBanque%>"><%=entBanque%></div></td>
					</tr>
					<tr class="fieldline">
						<td id="EntIBAN_label" class="dataLabel"><fl:label code="FF060" label="IBAN"/></td>
						<td id="EntIBAN_value" class="dataValue"><div title="<%=entIBAN%>"><%=entIBAN%></div></td>
					</tr> 
					<tr class="fieldline">
						<td id="EntBIC_label" class="dataLabel"><fl:label code="FF028" label="BIC"/></td>
						<td id="EntBIC_value" class="dataValue"><div title="<%=entBIC%>"><%=entBIC%></div></td>
					</tr>    
					   <%}
					} %>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="dataValue" style="vertical-align: top; width: 50%">
				<table class="data_column" cellpadding="0">
					
					<%-- <fl:fieldRead label="Fournisseur" property="OppAccountID_" />   --%>
				<% if(statutID.equalsIgnoreCase(devisStateID)) { %>
					<fl:fieldRead property="OppDatExp_" format="date"/>
				<% } if(statutID.equalsIgnoreCase(commandeStateID)) { %>
					<fl:fieldRead property="OppTypCom_"/>
					<fl:fieldRead property="OppModReg_"/>
					<tr class="ligne_separation"><td></td></tr>	
					<fl:fieldRead property="OppStatComm_"/>
					<fl:fieldRead property="OppDatExp_" format="date"/>
					<tr class="ligne_separation"><td></td></tr>	
					<fl:fieldRead property="OppActID" bean="true" labelCode="FF107" href="true" disp="<%= request.getContextPath() + \"/read_actor.fl\" %>"/>
				<%} else if(statutID.equalsIgnoreCase(factureStateID)) { %>
					<fl:fieldRead property="OppNumComm_"/>
					<fl:fieldRead property="OppNetApayer_" format="money" postText="&euro;"/>
					<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="LF073" alt="Vendeur"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>   
					<fl:fieldRead label="Nom" property="OppBizProviderID" bean="true" href="true" disp="<%= request.getContextPath() + \"/read_enterprise.fl\" %>" alt="&nbsp;"/>
					<%
					// on rcupre les champs concernant l'adresse du Fournisseur (Tiers)
					if (oppBizProviderID != null) {
						 EnterpriseBean entFournisseur = new EnterpriseBean(oppBizProviderID, context);
							try {
								Enterprise.setEntID(entFournisseur.getEntID());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntID("");
							}
							try {
								Enterprise.setEntCorpName(entFournisseur.getEntCorpName());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntCorpName("");
							}
							try {
								Enterprise.setEntCode(entFournisseur.getEntCode());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntCode("");
							}
							try {
								Enterprise.setEntCtrID(entFournisseur.getEntCtrID());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntCtrID("");
							}
							try {
								Enterprise.setEntCity(entFournisseur.getEntCity());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntCity("");
							}
							try {
								Enterprise.setEntPhone(entFournisseur.getEntPhone());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntPhone("");
							}
							try {
								Enterprise.setEntZip(entFournisseur.getEntZip());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntZip("");
							}
							try {
								Enterprise.setEntFax(entFournisseur.getEntFax());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntFax("");
							}
							try {
								Enterprise.setEntWeb(entFournisseur.getEntWeb());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntWeb("");
							}
							try {
								Enterprise.setEntSiret(entFournisseur.getEntSiret());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntSiret("");
							}
	
							try {
								Enterprise.setCustomProperty("EntBP_", (String)entFournisseur.getCustomProperty("EntBP_"));
							} catch (FieldNotInitializedException e) {
								Enterprise.setCustomProperty("EntBP_","");
							}
							String voieNum = "";
							try {
								voieNum = (String)entFournisseur.getCustomProperty("EntVoieNum_");
							} catch (FrontlineException e) {
							}
							String entNatureVoieID_ = null;
							try {
								entNatureVoieID_ = (String)entFournisseur.getCustomProperty("EntNatureVoieID_");
								entNatureVoieID_ = (String)dico.getRefDisp(FlLocale.getInstance(session), "Ev_", "Te1", entNatureVoieID_);
							} catch (FrontlineException e) {
								entNatureVoieID_ = "";
							}
							String  entLblVoie_ = "";
							try {
								entLblVoie_ = (String)entFournisseur.getCustomProperty("EntLblVoie_");
							} catch (FrontlineException e) {
								entLblVoie_ = "";
							}
							String  entBP = "";
							try {
								entBP = (String)entFournisseur.getCustomProperty("EntBP_");
							} catch (FrontlineException e) {
								entBP = "";
							}
							String cplAdr = "";
							try {
								cplAdr = (String)entFournisseur.getCustomProperty("EntGeoCplt_");
							} catch (FrontlineException e) {
							}
							
							String remCour = "";
							try {
								remCour = (String)entFournisseur.getCustomProperty("EntPtRmCourrier_");
							} catch (FrontlineException e) {
							}
							String lieuDit = "";
							try {
								lieuDit = (String)entFournisseur.getCustomProperty("EntLieuDit_");
							} catch (FrontlineException e) {
							}
							String entBanque = "";
							try {
								entBanque = (String)entFournisseur.getCustomProperty("EntBanque_");
							} catch (FrontlineException e) {
							}
							String entIBAN = "";
							try {
								entIBAN = (String)entFournisseur.getCustomProperty("EntIBAN_");
							} catch (FrontlineException e) {
							}
							String entBIC = "";
							try {
								entBIC = (String)entFournisseur.getCustomProperty("EntBIC_");
							} catch (FrontlineException e) {
							}
					%>
					<fl:fieldRead property="EntCorpName"/>
					<fl:fieldRead property="EntPhone"/>
					<fl:fieldRead property="EntFax"/>
					<fl:fieldRead property="EntWeb"/>
					<fl:fieldRead property="EntSiret"/>
					<fl:fieldRead property="EntIntraVAT"/>
					<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="FF13F" alt="Adresse Vendeur"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>
					<tr class="fieldline">
						<td id="EntVoie_label" class="dataLabel"><fl:label code="FF02E" label="Voie"/></td>
						<td id="EntVoie_value" class="dataValue"><div title="<%=Utils.formatToWeb(voieNum + ", " + entNatureVoieID_ + " " + entLblVoie_,false)%>"><%=Utils.formatToWeb(voieNum + ", " + entNatureVoieID_ + " " + entLblVoie_,false)%></div></td>
					</tr>
					<tr class="fieldline">
					<td id="EntGeoCplt__label" class="dataLabel"><fl:label code="LF072" label="Compl. Adresse" /></td>
					<td id="EntGeoCplt__value" class="dataValue"><div title="<%=cplAdr%>"></div><%=cplAdr%></td>
					</tr>
					
					<tr class="fieldline">
					<td id="EntPtRmCourrier__label" class="dataLabel"><fl:label code="FF00F" label="Point Remise Courrier"/></td>
					<td id="EntPtRmCourrier__value" class="dataValue"><div title="<%=remCour%>"><%=remCour%></div></td>
					</tr>
					<fl:fieldRead property="EntBP_"/>
					<tr class="fieldline">
					<td id="EntLieuDit__label" class="dataLabel"><fl:label code="FF00E" label="Lieu-Dit"/></td>
					<td id="EntLieuDit__value" class="dataValue"><div title="<%=lieuDit%>"><%=lieuDit%></div></td>
					</tr>
					<td class="dataLabel"><fl:getMessage code="FF096" alt="Code Postal/Ville"/></td>
					<td id="Ent.Zip_value" class="dataValue">
						<div title="">
							<fl:getProperty name="Enterprise" property="EntZip" alt="" postText="&nbsp;"/><fl:getProperty name="Enterprise" property="EntCity" alt="" postText=""/><% try { Enterprise.getEntZip(); Enterprise.getEntCity(); %><br><% } catch(FieldNotInitializedException e) { try { Enterprise.getEntCity(); %><br><% } catch (FieldNotInitializedException ex) {}} %>
						</div>
					</td>
					<fl:fieldRead property="EntCtrID" alt="" />
					<%}
					} %>
					</table>
			</td>
		</tr>
	</table>
	<fl:notes name="OppNotes_" title="<%= Utils.getMessage(session, \"L64B4\", \"Commentaires\") %>"><fl:getProperty name="Opportunity" property="OppNotes_" alt=""/></fl:notes>
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
	<fl:smallTabs name="OppRead">
		<fl:sTab id="PRODUCT" title="<%=titreOnglet%>" onselect="refreshPros();">
			<div id="ProdOppTable" class="edealGrid">
				<table class="container" cellpadding="0" style="width: 100%;">
					<tr>
						<td>
							&nbsp;
						</td>
					</tr>
				</table>
			</div>
		</fl:sTab>
		<% if(statutID.equalsIgnoreCase(factureStateID)) { %>
		<fl:sTab id="COMPTA" title="<%= Utils.getMessage(session, \"LF152\", \"Comptabilit\") %>">
			<table class="container" style="margin-left: 50px;" cellpadding="0">
				<tr class="fieldline">
					<td class="column2">						
						<fl:fieldRead property="OppCodeCompta_"/>
						<fl:fieldRead property="OppCdCpAnalytic_" />						
					</td>
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="INVOICE" title="<%= Utils.getMessage(session, \"LF075\", \"Adresse de facturation\") %>">
			<table class="container" style="" cellpadding="0">
				<tr class="fieldline">
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="FF1FD" alt="Factur"/>
					</td>
					<td class="column2">						
						
						<%
						if (oppBillTiersID_ != null) {
						 EnterpriseBean entBill = new EnterpriseBean(oppBillTiersID_, context);
							try {
								Enterprise.setEntID(entBill.getEntID());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntID("");
							}
							try {
								Enterprise.setEntCorpName(entBill.getEntCorpName());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntCorpName("");
							}
							try {
								Enterprise.setEntCode(entBill.getEntCode());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntCode("");
							}
							try {
								Enterprise.setEntCtrID(entBill.getEntCtrID());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntCtrID("");
							}
							try {
								Enterprise.setEntCity(entBill.getEntCity());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntCity("");
							}
							try {
								Enterprise.setEntPhone(entBill.getEntPhone());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntPhone("");
							}
							try {
								Enterprise.setEntZip(entBill.getEntZip());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntZip("");
							}
							try {
								Enterprise.setEntFax(entBill.getEntFax());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntFax("");
							}
							try {
								Enterprise.setEntWeb(entBill.getEntWeb());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntWeb("");
							}
							try {
								Enterprise.setEntSiret(entBill.getEntSiret());
							} catch (FieldNotInitializedException e) {
								Enterprise.setEntSiret("");
							}
	
							try {
								Enterprise.setCustomProperty("EntBP_", (String)entBill.getCustomProperty("EntBP_"));
							} catch (FieldNotInitializedException e) {
								Enterprise.setCustomProperty("EntBP_","");
							}
							String voieNum = "";
							try {
								voieNum = (String)entBill.getCustomProperty("EntVoieNum_");
							} catch (FrontlineException e) {
							}
							String entNatureVoieID_ = null;
							try {
								entNatureVoieID_ = (String)entBill.getCustomProperty("EntNatureVoieID_");
								entNatureVoieID_ = (String)dico.getRefDisp(FlLocale.getInstance(session), "Ev_", "Te1", entNatureVoieID_);
							} catch (FrontlineException e) {
								entNatureVoieID_ = "";
							}
							String  entLblVoie_ = "";
							try {
								entLblVoie_ = (String)entBill.getCustomProperty("EntLblVoie_");
							} catch (FrontlineException e) {
								entLblVoie_ = "";
							}
							String  entBP = "";
							try {
								entBP = (String)entBill.getCustomProperty("EntBP_");
							} catch (FrontlineException e) {
								entBP = "";
							}
							String cplAdr = "";
							try {
								cplAdr = (String)entBill.getCustomProperty("EntGeoCplt_");
							} catch (FrontlineException e) {
							}
							
							String remCour = "";
							try {
								remCour = (String)entBill.getCustomProperty("EntPtRmCourrier_");
							} catch (FrontlineException e) {
							}
							String lieuDit = "";
							try {
								lieuDit = (String)entBill.getCustomProperty("EntLieuDit_");
							} catch (FrontlineException e) {
							}
							String entBanque = "";
							try {
								entBanque = (String)entBill.getCustomProperty("EntBanque_");
							} catch (FrontlineException e) {
							}
							String entIBAN = "";
							try {
								entIBAN = (String)entBill.getCustomProperty("EntIBAN_");
							} catch (FrontlineException e) {
							}
							String entBIC = "";
							try {
								entBIC = (String)entBill.getCustomProperty("EntBIC_");
							} catch (FrontlineException e) {
							}
						%>
					<fl:fieldRead property="EntCorpName"/>
					<%-- <fl:fieldRead property="EntPhone"/>
					<fl:fieldRead property="EntFax"/>
					<fl:fieldRead property="EntWeb"/>
					<fl:fieldRead property="EntSiret"/> --%>
					<tr class="ligne_separation"><td></td></tr>
					<td class="titreInterneSmalltabs" colspan="5">
						<fl:getMessage code="LF075" alt="Adresse de facturation"/>
					</td>
					<tr class="ligne_separation"><td></td></tr>
					<tr class="fieldline">
						<td id="EntVoie_label" class="dataLabel"><fl:label code="FF02E" label="Voie"/></td>
						<td id="EntVoie_value" class="dataValue"><div title="<%=Utils.formatToWeb(voieNum + ", " + entNatureVoieID_ + " " + entLblVoie_,false)%>"><%=Utils.formatToWeb(voieNum + ", " + entNatureVoieID_ + " " + entLblVoie_,false)%></div></td>
					</tr>
					<tr class="fieldline">
					<td id="EntGeoCplt__label" class="dataLabel"><fl:label code="LF072" label="Compl. Adresse" /></td>
					<td id="EntGeoCplt__value" class="dataValue"><div title="<%=cplAdr%>"></div><%=cplAdr%></td>
					</tr>
					
					<tr class="fieldline">
					<td id="EntPtRmCourrier__label" class="dataLabel"><fl:label code="FF00F" label="Point Remise Courrier"/></td>
					<td id="EntPtRmCourrier__value" class="dataValue"><div title="<%=remCour%>"><%=remCour%></div></td>
					</tr>
					<fl:fieldRead property="EntBP_"/>
					<tr class="fieldline">
					<td id="EntLieuDit__label" class="dataLabel"><fl:label code="FF00E" label="Lieu-Dit"/></td>
					<td id="EntLieuDit__value" class="dataValue"><div title="<%=lieuDit%>"><%=lieuDit%></div></td>
					</tr>
					<td class="dataLabel"><fl:getMessage code="FF096" alt="Code Postal/Ville"/></td>
					<td id="Ent.Zip_value" class="dataValue">
						<div title="">
							<fl:getProperty name="Enterprise" property="EntZip" alt="" postText="&nbsp;"/><fl:getProperty name="Enterprise" property="EntCity" alt="" postText=""/><% try { Enterprise.getEntZip(); Enterprise.getEntCity(); %><br><% } catch(FieldNotInitializedException e) { try { Enterprise.getEntCity(); %><br><% } catch (FieldNotInitializedException ex) {}} %>
						</div>
					</td>
					<fl:fieldRead property="EntCtrID" alt="" />
					<% } %>
					</td>
				</tr>
			</table>
		</fl:sTab>
		<% } %>
		<fl:sTab id="FATTACH" title="<%= Utils.getMessage(session, \"L201C\", \"Documents joints\") %>">
			<fl:attach name="Opportunity" colID="OppAttID" edit="false" listFobs="true"/>
		</div>
		</fl:sTab>		
	</fl:smallTabs>
</fl:bigTabs>
