<%@ page language="java"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Vector" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String field = flRequest.getParameter("field");
String multivalSeparator = flRequest.getParameter("multivalSeparator");
if (multivalSeparator == null || "".equals(multivalSeparator)) {
	multivalSeparator = "|";
}
String formIndex = flRequest.getParameter("formIndex");
try {
	Integer.parseInt(formIndex);
} catch (NumberFormatException nfe) {
	formIndex = "0";
}
formIndex = formIndex != null && !"".equals(formIndex) ? formIndex : "0";
Vector ids = (Vector)flRequest.getAttribute("ids");
if (ids == null) {
	ids = new Vector();
}
Vector types = (Vector)flRequest.getAttribute("types");
if (types == null) {
	types = new Vector();
}
Vector displays = (Vector)flRequest.getAttribute("displays");
if (displays == null) {
	displays = new Vector();
}

String perID=flRequest.getParameter("PerID");
String entID=flRequest.getParameter("EntID");
%><html>
	<head>
		
		<link rel="stylesheet" type="text/css" href="<fl:link url="/css/grid/edeal_grid_css.jsp"/>">
		<link rel="stylesheet" type="text/css" href="<fl:link url="/common/select/select_css.jsp"/>">
		<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp" type="text/css">
		<script type="text/javascript" src="<fl:link url="/js/edeal/libraries/jquery/jquery.js"/>"></script>
		<script type="text/javascript" src="<fl:link url="/js/ajax/ajax.js"/>"></script>
		<script type="text/javascript" src="<fl:link url="/js/utils.js"/>"></script>
		
		<style type="text/css">
		form {
			display: inline;
		}
		search_button {
			width: 74px;
			height: 17px;
			margin-left: 10px;
			border: none;
			vertical-align: middle;
			background: transparent;
		}
		</style>
		<script type="text/javascript" language="javascript">
		var vectID = new FlVector();
		var vectDisp = new FlVector();
		var vectType = new FlVector();
		
		function closeWindow() {
			window.top.close();
		}
		function doAddEntry(pEntID, pPerID, pDisp,pType) {
			if(!pEntID && !pPerID) return;
			if(!pEntID) pEntID = '';
			if(!pPerID) pPerID = '';
			var id = pPerID + ':' + pEntID;
			if(!vectID.contains(id)) {
				vectID.addElement(id);
				vectDisp.addElement(pDisp);
				vectType.addElement(pType);				
			}			
			validate();
		}
		
		function unselect(id) {
			var pos = -1;
			for (var i = 0; i < vectID.size(); i++) {
				if (vectID.elementAt(i) == id) {
					pos = i;
				}
			}
			if (pos == -1) {
				return;
			}
			vectID.removeElementAt(pos);
			vectDisp.removeElementAt(pos);
			vectType.removeElementAt(pos);
			// suppression de la ligne numerote pos dans myData_result
			myData_result = removeFrom(myData_result, pos);
			if (!myData_result) {
				myData_result = new Array();
			}
			myGrid_result.setRowCount(vectID.size());
			myGrid_result.refresh();
		}
		function removeFrom(tab, pos) {
			if (!tab) {
				return;
			}
			var tmp = new Array();
			var nbElements = tab.length;
			for (var i = 0; i < nbElements; i++) {
				if (i < pos) {
					tmp[i] =  tab[i];
				} else if (i > pos) {
					tmp[i - 1] = tab[i];
				}
			}
			return tmp;
		}
		
		function validate() {
			var strURL = '<fl:webapp/>/select_entry_valid.fl?formIndex=<%= formIndex %>&ids=' + vectID.toString('<%= multivalSeparator %>') + '&types=' + vectType.toString('<%= multivalSeparator %>') + '&multivalSeparator=' + encodeURIComponent('<%= multivalSeparator %>');
			doAjax(strURL);
		}
		
		
		function doSearch(type) {
			var jsGridObject=_grid__select_indiv_js_;
			if (type =="enterprise") {
				jsGridObject = _grid__select_enterprise_js_;
			}
			var value=document.getElementById(type+"_criteria").value; 
			jsGridObject.callAjaxForHtml(jsGridObject.getAjaxUrl(),{"query":encodeURIComponent(value+"%")},true,false,null,true);
			
		}
		
		function doSelectIndiv(groupID, type) {
			_grid__select_indiv_js_.callAjaxForHtml(_grid__select_indiv_js_.getAjaxUrl(),{"criteria":"PerEntID","query":groupID});
			
		}
		function doPreFillGrids() {
			var entID='<%= (entID==null?"":entID) %>';
			var perID='<%= (perID==null?"":perID) %>';
			
			if (perID!='') {
				_grid__select_indiv_js_.callAjaxForHtml(_grid__select_indiv_js_.getAjaxUrl(),{"criteria":"PerID","query":perID});
			}
			if(entID != ''){
				_grid__select_enterprise_js_.callAjaxForHtml(_grid__select_enterprise_js_.getAjaxUrl(),{"criteria":"EntID","query":entID});
				if (perID=='') {
					_grid__select_indiv_js_.callAjaxForHtml(_grid__select_indiv_js_.getAjaxUrl(),{"criteria":"PerEntID","query":entID});
				}
			}				
		}
		</script>
	</head>
	<body onload="doPreFillGrids()">
		<div style="width: 750px">
			<table class="global" cellpadding="0">
				<tr>
					<td class="header_top_left"></td>
					<td class="header_top_middle" style="width: 343px"></td>
					<td class="header_top_right"></td>
					<td class="header_top_left"></td>
					<td class="header_top_middle" style="width: 343px"></td>
					<td class="header_top_right"></td>
				</tr>
				<tr>
					
					<td class="header_center_left"></td>
					<td width="320px"class="header_center_middle title">
					<form action="javascript:doSearch('enterprise')">
							<div style="display: inline">
								<div class="criteria">							
									<span class="criteria_field">
									<fl:getMessage code="F002B" alt="Entreprise"/>
									</span>
									<span class="criteria_field"><input id="enterprise_criteria" type="text" size="20" value=""></span>
								</div>
							</div>
							<input  type="image" src="<fl:link url="/icons/ico/valid_green2_long.gif"/>" style="width:74px; height: 17px; margin-left: 10px; border: none; vertical-align: middle; background: transparent;">
						</form>
					</td>
					<td class="header_center_right"></td>
					<td class="header_center_left"></td>
					
					<td width="380px" class="header_center_middle title">
							<div style="display: inline">
								<form action="javascript:doSearch('person')">

								<div class="criteria">
									<span class="criteria_field">									
											<fl:getMessage code="F002E" alt="Personne"/>
									</span>
									<span class="criteria_field"><input id="person_criteria" type="text" size="20" value=""></span>
								</div>
							</div>
							<input type="image" src="<fl:link url="/icons/ico/valid_green2_long.gif"/>" style="width:74px; height: 17px; margin-left: 10px; border: none; vertical-align: middle; background: transparent;">
						</form>
					<td class="header_center_right"></td>
					
				</tr>
				<tr>
					<td class="header_bottom_left"></td>
					<td class="header_bottom_middle"></td>
					<td class="header_bottom_right"></td>
					<td class="header_bottom_left"></td>
					<td class="header_bottom_middle"></td>
					<td class="header_bottom_right"></td>
				</tr>
				<tr style="height: 250px">
					<td class="body_left"></td>
					<td class="body_middle"><div><fl:grid name="select_enterprise" width="100%" height="250px" ajaxUrl="/select_entry_list.fl?type=enterprise&criteria=EntCorpName"></fl:grid></div></td>
					<td class="body_right"></td>
					<td class="body_left"></td>
					<td class="body_middle"><div><fl:grid name="select_indiv" width="100%" height="250px" ajaxUrl="/select_entry_list.fl?type=person&criteria=PerName"></fl:grid></div></td>
					<td class="body_right"></td>
				</tr>
				<tr>
					<td class="body_bottom_left"></td>
					<td class="body_bottom_middle"><img src="<fl:link url="/icons/popup/pop14.gif"/>" width="9" height="18"></td>
					<td class="body_bottom_right"></td>
					<td class="body_bottom_left"></td>
					<td class="body_bottom_middle"><img src="<fl:link url="/icons/popup/pop14.gif"/>" width="9" height="18"></td>
					<td class="body_bottom_right"></td>
				</tr>
			</table>			
		
		</div>
	</body>
</html>
