<%@page import="com.edeal.frontline.helper.Contrat_BaseHelper"%>
<%@page import="com.edeal.frontline.helper.custom.Contrat_Helper"%>
<%@page import="java.util.Calendar"%>
<%@page import="java.util.Date"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2010 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.text.*" %>
<%@ page import="java.util.*" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	
	/**
	* Gnrer les commande de cotisations de l'anne courante
	*/
	Calendar cal = Calendar.getInstance();
	cal.setTime(new Date());
	int year = cal.get(Calendar.YEAR);
	String millesime = Integer.toString(year);
	DateFormat dfm = new SimpleDateFormat("yyyy-MM-dd");
	Date pDate = dfm.parse(year + "-01-01");
	Vector<String> logis = Contrat_Helper.getAllOnGoingLogisContracts(context, pDate, "L");
	String sLogis = Utils.implodeList(logis, "|");
	logger.error("++++++++++ "+ sLogis);
	Vector<String> logisException = Contrat_Helper.getAllOnGoingLogisContracts(context, pDate, "LE");
	String sLogisException = Utils.implodeList(logisException, "|");
	logger.error("++++++++++ "+ sLogisException);
	
	long nbLogis = logis.size();
	long nbLogisException = logisException.size();
%>
<script type="text/javascript">
	function doGenerate(){
		var url = "<fl:link url="<%= \"/generate_cotisation.fl\" + ( sLogis != null ? \"?sLogis=\" + sLogis : \"\" ) + ( sLogisException != null ? \"&sLogisException=\" + sLogisException : \"\" )%>"/>";
		doAjax(url);
	}
	
	function getNbGeneratedDevis() {
		var url = "<fl:link url="<%= \"/generate_cotisation.fl\" + ( sLogis != null ? \"?sLogis=\" + sLogis : \"\" ) + ( sLogisException != null ? \"&sLogisException=\" + sLogisException : \"\" ) + ( \"&millesime=\" + millesime )%>"/>";
		$.getJSON(url, function(data) {
			if (data != null) {
				$("#NbDevis").html(data);
			}	
		});
	}
</script>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"LF14C\", \"Gnration des commandes de cotisations annuelles\") %>" listTitle="" >
	<table class="container" cellpadding="0" width="200px">								
		<tr>
			<td colspan="5">
				&nbsp;
			</td>
		</tr>
	</table>
	<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td id="OppLogis__label" class="dataLabel">
							<fl:getMessage code="FF1EE" alt="Nombre de Logis"/>
						</td>
						<td id="OppLogis__label" class="dataValue">
							<%= Utils.formatToWeb(Long.toString(nbLogis), false) %>
						</td>
					</tr>
					<tr class="fieldline">
						<td id="OppLDevis__label" class="dataLabel">
							<fl:getMessage code="" alt="Nombre de devis gnrs"/>
						</td>
						<td id="OppDevis__label" class="dataValue">
							<div id="NbDevis"></div>
						</td>
					</tr>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">	
					<tr class="fieldline">
						<td id="OppLogisExcep__label" class="dataLabel">
							<fl:getMessage code="FF1EF" alt="Nombre de Logis d\'Exception"/>
						</td>
						<td id="OppLogisExcep__label" class="dataValue">
							<%= Utils.formatToWeb(Long.toString(nbLogisException), false) %>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</fl:bigTabs>