<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page language="java" contentType="text/plain;charset=UTF-8"%><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="com.edeal.frontline.FlContext" %><%@ page import="java.util.Vector" %><%@ page import="java.lang.reflect.Method" %><%@ page import="com.edeal.frontline.FieldNotInitializedException" %><%@ page import="com.edeal.frontline.EventBean" %><%@ page import="com.edeal.frontline.Utils" %><%@ page import="com.edeal.frontline.LocationBean" %><%@ page import="com.edeal.frontline.FrontlineException" %><%@ page import="java.util.Hashtable" %><%@ page import="com.edeal.frontline.EnterpriseBean" %><%@ page import="com.edeal.frontline.DataDictionary" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	String newLocID = flRequest.getParameter("newLocID");
	if (newLocID == null) {
		newLocID = "";
	}
	
	StringBuffer buf = new StringBuffer();
	String[] fields = { "LocEntID", "LocAd1", "LocAd2", "LocAd3", "LocZip", "LocCity", "LocCtrID:Val" };
	String[][] query = { { "LocID = " + Utils.formatToSQL(context, newLocID) } };
	
	Vector locs;
	try {
		locs = LocationBean.listSummary(context, fields, query);
	} catch (FrontlineException e) {
		locs = new Vector();
	}
	
	if (locs.size() == 0) {
		StringBuffer addr = new StringBuffer();
		String EntID = flRequest.getParameter("newEntID");
		EnterpriseBean ent = new EnterpriseBean(EntID, context);
			
		try {
			addr.append(ent.getEntAd1() + "<br>");
		} catch (FrontlineException e) {
		}
		
		try {
			addr.append(ent.getEntAd2() + "<br>");
		} catch (FrontlineException e) {
		}
		
		try {
			addr.append(ent.getEntAd3() + "<br>");
		} catch (FrontlineException e) {
		}
		
		boolean haveIt = false;
		try {
			addr.append(ent.getEntZip() + "&nbsp;");
			haveIt = true;
		} catch (FrontlineException e) {
		}
		
		try {
			addr.append(ent.getEntCity());
			haveIt = true;
		} catch (FrontlineException e) {
		}
		
		if (haveIt) {
			addr.append("<br>");
		}
		
		try {
			addr.append(dico.getRefDisp(session, "EntCtrID", ent.getEntCtrID()));
		} catch (FrontlineException e) {
		}
		
		buf.append("document.getElementById('PerEnt.Address_value').innerHTML='");
		buf.append(Utils.formatToJavascript(addr.toString()));
		buf.append("';");
	} else {
		Hashtable row = (Hashtable)locs.elementAt(0);

		buf.append("document.getElementById('PerEnt.Address_value').innerHTML='");

		String tempStr = (String)row.get("LocAd1");
		buf.append(tempStr == null ? "" : Utils.formatToJavascript(tempStr) + "<br>");

		tempStr = (String)row.get("LocAd3");
		buf.append(tempStr == null ? "" : Utils.formatToJavascript(tempStr) + "<br>");

		tempStr = (String)row.get("LocAd3");
		buf.append(tempStr == null ? "" : Utils.formatToJavascript(tempStr) + "<br>");

		boolean haveIt = false;
		tempStr = (String)row.get("LocZip");
		if (tempStr != null) {
			haveIt = true;
			buf.append(Utils.formatToJavascript(tempStr + "&nbsp;"));
		}
		
		tempStr = (String)row.get("LocCity");
		if (tempStr != null) {
			haveIt = true;
			buf.append(Utils.formatToJavascript(tempStr));
		}

		if (haveIt) {
			buf.append("<br>");
		}
		
		tempStr = (String)row.get("LocCtrID:Val");
		buf.append(tempStr == null ? "" : Utils.formatToJavascript(tempStr) + "<br>");
		
		buf.append("';");
	}
%><%= buf.toString() %>
