<%@page import="com.edeal.frontline.GeoLocalizable"%>
<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.EnterpriseBean" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="com.edeal.frontline.FrontlineException" %>
<%@ page import="com.edeal.frontline.LocationBean" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.PersonEventBean" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@ page import="com.edeal.frontline.SalesInvestBean" %>
<%@ page import="java.text.DateFormat" %>
<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page import="com.edeal.frontline.initializers.PersonReadInitializer" %>
<%@ page import="com.edeal.frontline.helper.ContextHelper" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ taglib uri="http://www.e-deal.com/taglib/ft" prefix="ft" %>
<jsp:useBean class="com.edeal.frontline.PersonBean" id="Person" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	
	String id = null;
	try {
		id = Person.getID();
	} catch (FieldNotInitializedException e) {
	}

	String Ad1 = null;
	try {
		Ad1 = Person.getPerAd1();	
	} catch(FieldNotInitializedException e) {
	}
	
	String oppType = null;
	try{
		oppType = dico.getRefIdByCode("OppStoID", "ORD");
	}catch(FrontlineException e){
		oppType = "";
	}
	
	String Ad2 = null;
	try {
		Ad2 = Person.getPerAd2();
	} catch(FieldNotInitializedException e) {
	}

	String Ad3 = null;
	try {
		Ad3 = Person.getPerAd3();
	} catch(FieldNotInitializedException e) {
	}
	
	String PerZip = null;
	try {
		PerZip = Person.getPerZip();
	} catch(FieldNotInitializedException e) {
	}

	String PerCity = null;
	try {
		PerCity = Person.getPerCity();
	} catch(FieldNotInitializedException e) {
	}

	boolean defaut = false;
	try {
		defaut = Person.isPerPersonalAddressDefault();
	} catch (FieldNotInitializedException e) {
	}
	
	//paramtres de config
	String salesModel = context.getContextParameter("SalesModel");
	String personAddress = context.getContextParameter("PersonAddress");
	String personScoring = context.getContextParameter("PersonScoring");
	
	StringBuffer fullName = new StringBuffer();
	if (id != null) {
		String val;
		try {
			val = Person.getPerCivID();
			fullName.append(dico.getRefDisp(session, "PerCivID", val) + " ");
		} catch (FieldNotInitializedException e) {
		}
		
		try {
			val = Person.getPerFstName();
			fullName.append(val + " ");
		} catch (FieldNotInitializedException e) {
		}
		
		try {
			val = Person.getPerName();
			fullName.append(val + " ");
		} catch (FieldNotInitializedException e) {
		}
	}
	String fullNameFormatted = Utils.formatToJavascript(fullName.toString()).trim();

	boolean hasEnterprise = false;
	if (!"B2C".equalsIgnoreCase(salesModel)) {
		try {
			EnterpriseBean enterprise = Person.getPerEnterprise();
			hasEnterprise = true;
			pageContext.setAttribute("Enterprise", enterprise);
		} catch (FieldNotInitializedException e) {
		}
	}
	
	boolean hasPersonalAddress = (Ad1 != null)||(Ad2 != null)||(Ad3 != null);
	
	String defaultString = "<br>(" + Utils.getMessage(session, "L207A", "Par dfaut") + ")";
	boolean haveBothAddys = hasEnterprise && hasPersonalAddress;
	
	if (!hasEnterprise && !hasPersonalAddress) {
		if ("NO".equalsIgnoreCase(personAddress))
			hasEnterprise = true;
		else
			hasPersonalAddress = true;
	}
	
	Vector vectPeh = (Vector) request.getAttribute("vectPeh");
	if (vectPeh == null) {
		vectPeh = new Vector();
	}
	
	String entLink = null;
	if (hasEnterprise) {
		EnterpriseBean ent = Person.getPerEnterprise();
		StringBuffer buf = new StringBuffer();
		buf.append(" - ");
		buf.append("<a href=\"");
		buf.append(flRequest.computeURL("/read_enterprise.fl?id=" + ent.getID()));
		buf.append("\">" + ent.getEntCorpName() + "</a>");		
		entLink = buf.toString();
	}

	String SfwID = flRequest.getRequestParameterOrAttribute("SfwID");
	if (SfwID == null) {
		SfwID = "";
	}
	
	String perMailStatusStr = (String)request.getAttribute(PersonReadInitializer.PER_MAIL_STATUS_STR);
	String perFaxStatusStr = (String)request.getAttribute(PersonReadInitializer.PER_FAX_STATUS_STR);
	String perFstName = null;
	try {
		perFstName = Person.getPerFstName();
	} catch (FieldNotInitializedException e) {
	}
	String perName = null;
	try {
		perName = Person.getPerName();
	} catch (FieldNotInitializedException e) {
	}
	String nameKey = "";
	nameKey = perFstName != null ? perFstName + "+" + perName : perName;
	
	
	Vector<?> nameVect = null, urlVect = null, iconVect = null, accountVect = null;
	
	try {
		nameVect = dico.getRefList("Mrp", "Te1");
		urlVect = dico.getRefList("Mrp", "Te2");
		iconVect = dico.getRefList("Mrp", "Te3");
		accountVect = dico.getRefList("Mrp", "Nu1");
	} catch (FrontlineException fe){
	}
	
	String perFctParentID = null;
	if (ContextHelper.hasMultifunction(context)) {
		try { 
			perFctParentID = Person.getPerFctParentID();
		} catch (FieldNotInitializedException e){
		} 
	}

	//Geolocalize enterprise address
	boolean isEnterpriseGeoLocalized = false;
	EnterpriseBean geoLocalizableEnterprise = null;
	if (hasEnterprise) {
		geoLocalizableEnterprise = Person.getPerEnterprise();	
		try {
			geoLocalizableEnterprise.getEntGeoCodeStatusID();
			isEnterpriseGeoLocalized = true;
		} catch (FieldNotInitializedException e) {
		}
	}

	//Geolocalize person address
	boolean isPersonGeoLocalized = true;
	try {
		Person.getPerGeoCodeStatusID();
	} catch (FieldNotInitializedException e) {
		isPersonGeoLocalized = false;
	}
	
	//Geolocalize location address
	boolean isLocationGeoLocalized = false;
	LocationBean geoLocalizableLocation = null;
	String perLocID = null;
	try {
		perLocID = Person.getPerLocID();
		try {
			geoLocalizableLocation = new LocationBean(perLocID, context);
			geoLocalizableLocation.getLocGeoCodeStatusID();
			isEnterpriseGeoLocalized = true;
		} catch (FieldNotInitializedException e) {	
		} catch (Exception e) {	
			logger.error("Exception when getting location ", e);
		}
	} catch (FieldNotInitializedException e) {
	}
	
	String perTitle = null;
	try {
		perTitle = Person.getPerTitle();
	} catch (FieldNotInitializedException e) {
	}
	
	String perFctID = null;
	try {
		perFctID = Person.getPerFctID();
	} catch (FieldNotInitializedException e) {
	} 
	
	// l'id de la fonction "guest" 
	String guestFctID;
	try {
		guestFctID = dico.getRefIdByCode("PerFctID", "GST");
	} catch (FieldNotInitializedException e) {
		guestFctID = "";
	}
	
%>

<!-- JQuery-ui is now included by master.jsp -->
<!-- <script type="text/javascript" src="<fl:webapp/>/js/jquery-ui-1.8.14.custom.min.js"></script> -->
<script type="text/javascript" language="javascript">
// 	function doSearchPerson(url, name) {
// 		popupCenter(url, name, '930', '600', 'menubar=no, status=no, toolbar=no, scrollbars=yes, resizable=yes');
// 	}

	function nbLinkCallBack(index) {
		if (eDealXmlhttpArr[index].readyState == 4) {
			var nbLink =eval(eDealXmlhttpArr[index].responseText);
			if (nbLink==0) {
			// no links => hide the div
				$("#linkscounter").hide();
			} else {
			// let's display the div
				$("#linkscounter").show();
				$("#linksnumber").html(nbLink);
			}
			hideWaiting();
		}
	}

	function loadNbLink() {
		var ajaxURL = '<fl:webapp/>/per_links_count.fl?id=<%= id %>';
		doAjax(ajaxURL, nbLinkCallBack);
	}
	

	runOnTime("loadNbLink();", 0);
	<% if (ContextHelper.hasMultifunction(context)) { %>
		$(document).ready(loadFunctionsBar);	
		function loadFunctionsBar() {
			var url = "get_function_bar.fl";
			var data = {id: '<%= id %>'};
			
			$.ajax({
				url: url ,
				data: data,
				dataType:"html",
				//timeout: 5000,
				success: function(data, textStatus, jqXHR) {
					$("#function_bar").width(($("#function_bar").width() - 10) + "px");
	                $("#function_bar").html(data);
	                //sortListInstall();
	                setTimeout(sortListInstall, 500);
				},
				error: function(jqXHR, textStatus, errorThrown) {
					console.log("error :");
					console.log("jqXHR :");
					console.log(jqXHR);
					console.log("textStatus :");
					console.log(textStatus);
					console.log("errorThrown :");
					console.log(errorThrown);
				}
			});
		}
	
	    var JSperFctParentID = '<%= perFctParentID %>';
	    var NewJSperFctParentID = '<%= perFctParentID %>';
		function sortListInstall() {
			//if ($("#sortlist").height() > 15) {	    	
			$("#sortlist").sortable({
			 	opacity: 0.6,
			 	revert: true,
			 	scrollSpeed: 40,
			 	tolerance: 'pointer',
			 	update: function(event, ui) {  
		    	    // var data = $(this).sortable("serialize"); 
		        	var sortID = $("#sortlist li");
		            var itemID = new Array();
		            $("#sortlist li").each(function(i){
						itemID.push($(this).attr('id'));
					});
					NewJSperFctParentID = itemID[0];
		            var jsondata = JSON.stringify(itemID);
		            //alert(jsondata);
					$.ajax ({
			        	url : "<fl:webapp/>/set_functions_positions.fl?parentID="+JSperFctParentID,
			            type : "POST",
			            data : jsondata,
						timeout: 200000,
						contentType: "application/json;charset=utf-8",
						dataType: 'json',
						success: analyseResult,
						error:function (xhr, ajaxOptions, thrownError){
							NewJSperFctParentID = JSperFctParentID;
			            	alert(xhr.status);
			                alert(thrownError);
			            	}    
		        	}); 
		        	function analyseResult(data) {
			        	if (data != null) {
			            	if (data.ERROR != "") {
			            		NewJSperFctParentID = JSperFctParentID;
			                	alert('Erreur lors du dplacement \n' + decodeURIComponent(data.ERROR));
			               	} else if (data.REFRESH == "OK") {
				               	JSperFctParentID = NewJSperFctParentID;
			            		loadFunctionBar();
			            	}	
			            } 
		            }
				}
			});
			//} else {
			//	$("#sortlist").css("display", "none");
			//}
		}
	<%}%>

	function openLink() {	
		//swapSmallTabs('EntRead', 'in', EntRead_divIds.indexOf('LNKS'));
		//selectSmallTab('EntRead',EntRead_divIds.indexOf('LNKS'));
		
		swapSmallTabs('EntRead', 'in', 6);
		selectSmallTab('EntRead', 6);
	}

	function list_log_web() {		
		window.open('<fl:webapp/>/list_log_web.fl?id=<%= id %>', 'LogList', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=700,height=350');
	}
	
// 	function doMail() {
// 		window.open('<fl:webapp/>/mail_messages.fl?ObjSql=Person&destID=<fl:getProperty name="Person" property="PerID" alt=""/>&email=' + encodeURIComponent('<fl:getProperty name="Person" property="PerMail" alt=""/>'), 'EMAIL', 'menubar=no,status=no,toolbar=no,scrollbars=yes,resizable=yes,width=700,height=270');
// 	}
	
	function refreshCorrs() {
		_grid__CORR2LIST_js_.render();
	}
	
	function refreshQuals() {
		_grid__APPETENCES_js_.render();
	}
	
	function refreshReservs() {
		_grid__RESVCONT_js_.render();
	}
	
	function refreshChqs() {
		_grid__CQF_CON_js_.render();
	}
	
	function refreshCmdccs() {
		_grid__CMDCCS_js_.render();
	}
	
	function refreshCards() {
		_grid__CFD_CON_js_.render();
	}
	
	function refreshTrans() {
		_grid__TRN_CON_js_.render();
	}
	
	function refreshContrs() {
		_grid__CTR_CON_js_.render();
	}

	function refreshSols() {
		_grid__SOL_CON_js_.render();
	}
	
	function refreshOpps() {
		_grid__CMDCONTACT_js_.render();
	}
	
	function refreshFcts() {
		_grid__FUNCLIST_js_.render();
	}
	
	
	function refreshEvents() {
		_grid__EVTPER_js_.render();
	}
	
	function doRefreshEvents() {
		window.setTimeout(refreshEvents, 10);
	}
	
	function refreshLnks() {
		_grid__PerLin_js_.render("PerFullName",encodeURIComponent('<%= fullNameFormatted %>'));
		
	}
	
	function refreshNetworks() {
		//links
		refreshLnks();
		//Functions
		refreshFun();
	}
	
	function refreshFun() {
		<% if (ContextHelper.hasMultifunction(context)) { %>
			<% if ("B2C".equalsIgnoreCase(salesModel)) { %>
			_grid__FUN_EMBB2C_js_.render("PerFctParentID",NewJSperFctParentID );
			<% } else { %>
			_grid__FUN_EMB_js_.render("PerFctParentID",NewJSperFctParentID );
			<% } %>
		<% } %>
	}
	
	function doLink() {
		if (navigator.appName == 'Microsoft Internet Explorer') {
			window.open('<fl:webapp/>/open_link_person.fl?perID=<%= id %>', 'LinkPer', 'menubar=no, status=no, toolbar=no, scrollbars=no, resizable=yes, width=800, height=230');
		} else {
			window.open('<fl:webapp/>/open_link_person.fl?perID=<%= id %>', 'LinkPer', 'menubar=no, status=no, toolbar=no, scrollbars=no, resizable=yes, width=800, height=200');
		}
	}
	
	function doLinkID(linID) {
		if (navigator.appName == 'Microsoft Internet Explorer') {
				window.open('<fl:webapp/>/open_link_person.fl?perID=<%= id %>&id=' + linID, 'LinkPer', 'menubar=no, status=no, toolbar=no, scrollbars=no, resizable=yes, width=800, height=230');
			} else {
				window.open('<fl:webapp/>/open_link_person.fl?perID=<%= id %>&id=' + linID, 'LinkPer', 'menubar=no, status=no, toolbar=no, scrollbars=no, resizable=yes, width=800, height=200');
			}
	}
	
	function delLink(linID) {
		if (confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=Link&id=' + linID, lnkDoReturn);
		}
	}

	function lnkDoReturn(arrIndex) {
		if (arrIndex && eDealXmlhttpArr[arrIndex].readyState != 4) {
				// we are in an ajax context if arrIndex is not null
				return;
		}
		window.setTimeout(refreshLnks, 10);
		window.setTimeout(loadNbLink, 20);
	}

	function doInscription() {
		window.open('<fl:webapp/>/edit_personevent.fl?initPerID=<%= id == null ? "" : id %>' , 'Inscription', 'width=800,height=300,menubar=no,status=no,toolbar=no,scrollbars=auto,resizable=no');
	}
	
	function editMarkedEvent(PvtID, eventTypeCode) {
		if (eventTypeCode == "TMK") {
			window.location = "<fl:webapp/>/read_petarget.fl?id="+PvtID;
		} else {
			window.open('<fl:webapp/>/edit_personevent.fl?id=' + PvtID + '&initPerID=<%= id == null ? "" : id %>' , 'Inscription', 'width=765,height=250,menubar=no,status=no,toolbar=no,scrollbars=auto,resizable=no');
		}
	}
	
	function deleteMarkedEvent(PvtID) {
		if (confirm('<fl:getMessage code="M6102" alt="Etes-vous sr de vouloir supprimer ce marquage ?" js="true"/>')) {
			doAjax('<fl:webapp/>/delete_object_ajax.fl?type=PersonEvent&id=' + PvtID , delPvtCallback);
		}
	}
	
	function delPvtCallback(arrIndex){
		if (eDealXmlhttpArr[arrIndex].readyState == 4) {
			hideWaiting();
			eval(eDealXmlhttpArr[arrIndex].responseText);
			setTimeout('refreshEvents()', 10);
		}
	}
	
	function viewResponse(id){
		window.open('<fl:webapp/>/read_formresponse.fl?id='+id, 'ViewFormResponse' , 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=810,height=500');
	}
	
	function previewScriptResponse(id,hasNotes,perID){
		window.open('<fl:webapp/>/read_scriptresponse.fl?scriptID='+id+'&preview=0&lsePosition=0&hasNotes='+hasNotes+'&perID='+perID, 'PreviewFormResponse' , 'menubar=no,status=no,toolbar=no,scrollbars=no,resizable=yes,width=800,height=500');
	}
	
	function doOnLoad() {
		refreshFcts();
		refreshCorrs();
		refreshReservs();
		refreshOpps();
		<% if (!guestFctID.equalsIgnoreCase(perFctID)) {%>
		refreshContrs();
		<%} else {%>
		refreshCmdccs();
		<% } %>
		refreshSols();
		refreshCards();
		refreshTrans();
		refreshChqs();
		
	}
	
	function doLoadPerson(perID) {
		window.location.href = '<fl:link list="true" menu="true" url="read_person.fl"/>&id=' + perID;
	}
	
	
</script>


<fl:bigTabs listTitle="<%= Utils.getMessage(session, \"L63C2\", \"Liste des personnes\") %>" objectTitle="<%= Utils.getMessage(session, \"F002E\", false, true, \"Personne\") %>" ou="/read_person.fl">
	<table class="container" cellpadding="0" cellspacing="0">
		<tr class="fieldline">
			<td colspan="5">
				<table class="container" cellpadding="0" cellspacing="0" width="100%">
					<tr class="fieldline">
						<td class="titreFiche" width="50%">
							<%= fullName.toString() %>
							<span>
								<%@include file="/sales/person/socialNetWorkLinkList.jsp" %>
							</span>
							<span id="linkscounter" style="display:none;">
								<img src="<fl:webapp/>/icons/user.png" class="icon" name="icon" border="0" width="17" height="17" style="vertical-align:baseline;" title="<fl:getMessage code="L6182" alt="Liens"/>">
								<a href="javascript:openLink();">
									<sup style="font-size: 11px;">
										<span id="linksnumber">#</span>
									</sup>
								</a>
							</span>
						</td>
						<%--
						<% if (ContextHelper.hasMultifunction(context)) { %>
						<td rowspan="2">
							<div class="sc_menu" id="function_bar"></div>			
						</td>
						<% } %>
						--%>
					</tr>
					<tr>
						<td width="50%">
							
			                <% if (ContextHelper.hasMultifunction(context)) { 
			                	if (perTitle != null) { %>
			                	<fl:getProperty property="PerTitle" alt=" " name="Person" preText="" postText="<%= \"\" + \" \" + Utils.getMessage(session, \"L813D\", \"chez\") %>"/>
			                <%  } else if (perFctID != null) { %>
			                	<fl:getProperty property="PerFctID" alt=" " name="Person" preText="" postText="<%= \"\" + \" \" + Utils.getMessage(session, \"L813D\", \"chez\") %>"/>
			                 <% }
			               	   } else { 
			                	if (perTitle != null) { %>
			                	<fl:getProperty property="PerTitle" alt=" " name="Person" preText="" postText="<%= \"\" + \" \" %>"/>
			                <%  } else if (perFctID != null) { %>
			                	<fl:getProperty property="PerFctID" alt=" " name="Person" preText="" postText="<%= \"\" + \" \" %>"/>
			                 <% } 
			                 } %>
			                <fl:getProperty property="PerEntID" alt=" " name="Person" bean="true" href="true" disp="/read_enterprise.fl"/>
			                <fl:getProperty property="PerFctEntryDt" alt=" " name="Person" preTextCode="L8146"/><%-- depuis le --%>
			                <fl:getProperty property="PerFctExitDt" alt=" " name="Person" preTextCode="L65C8"/><%-- jusqu'au --%>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		
		<tr class="ligne_separation">
				<td colspan="5"></td>
		</tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="PerDateNaiss_"/>
					<fl:fieldRead property="PerOptIN_" valueCodeIfTrue="L2005" valueCodeIfFalse="L2006"/>
					<fl:fieldRead property="PerCatSoc_" />
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldRead property="PerLngPrinc"/>
					<fl:fieldRead property="PerLngSec_"/>
					<fl:fieldRead property="PerCollege_" />	
				</table>
			</td>			
		</tr>
	</table>
	<fl:notes name="PerRemarks" title="<%= Utils.getMessage(session, \"F2024\", \"Notes\") %>" nbPix="32"><fl:getProperty name="Person" property="PerRemarks" alt="&nbsp;" edit="false" /></fl:notes>
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
	<fl:smallTabs name="tab1" >	
		<fl:sTab id="FCTS" title="<%= Utils.getMessage(session, \"L658A\", false, true, \"Fonctions\") %>" onselect="refreshFcts();">
			<fl:grid  name="FUNCLIST" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=FUNCLIST&PerFctParentID=\" + perFctParentID %>" />
		</fl:sTab>
	</fl:smallTabs>

	<fl:smallTabs name="tab2" >	
				<fl:sTab id="CORRESS" title="<%= Utils.getMessage(session, \"LF031\", false, true, \"Correspondances\") %>" onselect="refreshCorrs();">
			<fl:grid  name="CORR2LIST" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CORR2LIST&PerID=\" + id %>">
			</fl:grid>
		</fl:sTab>
	</fl:smallTabs>
	
	<%if( !guestFctID.equalsIgnoreCase(perFctID)) { %>
	<fl:smallTabs name="tab3" >	
		<fl:sTab id="CTRS" title="<%= Utils.getMessage(session, \"LF032\", false, true, \"Contrats\")%>"  onselect="refreshContrs();">
			<fl:grid name="CTR_CON" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CTR_CON&PerID=\" + id  %>"/>
		</fl:sTab>		
	</fl:smallTabs>
	<%} %>

	<fl:smallTabs name="tab4" >	
		<fl:sTab id="OPPS" title="<%= Utils.getMessage(session, \"LF030\", false, true, \"Commandes\") %>" onselect="refreshOpps();">
			<fl:grid name="CMDCONTACT" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CMDCONTACT&OppPerID=\" + id + \" &OppStoID=\" + oppType %>"/>
		</fl:sTab>
	</fl:smallTabs>
	
	<%if( guestFctID.equalsIgnoreCase(perFctID)) { %>
		<fl:smallTabs name="tab4" >
		<fl:sTab id="COMMANDESCC" title="<%= Utils.getMessage(session, \"LF14B\", false, true, \"Commandes CCs\") %>" onselect="refreshCmdccs();">
			<fl:grid  name="CMDCCS" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CMDCCS&PerID=\" + id %>">
			</fl:grid>
		</fl:sTab>
		</fl:smallTabs>
	<% } %>
	
	<fl:smallTabs name="tab5" >	
		<fl:sTab id="RESVS" title="<%=Utils.getMessage(session, \"LF02C\", false, true, \"Rservations\")%>" onselect="refreshReservs();">
				<fl:grid  name="RESVCONT" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=RESVCONT&Rs_Contact=\" + id %>" />
		</fl:sTab>
	</fl:smallTabs>
	
	<fl:smallTabs name="tab6" >	
		<fl:sTab id="FIDS" title="<%=Utils.getMessage(session, \"LF033\", false, true, \"Fidlisations\")%>" onselect="refreshCards();refreshChqs();refreshTrans();">
			<table>
			<tr>
			<td class="titreInterneSmalltabs" colspan="5">
			<fl:getMessage code="FF147" alt="Cartes de fidlit"/>
			</td>
			</tr>
			<tr class="ligne_separation"><td></td></tr>
			</table>
			<fl:grid name="CFD_CON" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CFD_CON&Cd_Guest=\" + id %>"/>
			<table>
			<tr class="ligne_separation"><td></td></tr>
			<tr>
			<td class="titreInterneSmalltabs" colspan="5">
			<fl:getMessage code="LF07F" alt="Chques de Fidlit"/>
			</td>
			</tr>
			<tr class="ligne_separation"><td></td></tr>
			</table>
			<fl:grid name="CQF_CON" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=CQF_CON&Cf_Guest=\" + id %>"/>
			<table>
			<tr class="ligne_separation"><td></td></tr>
			<tr>
			<td class="titreInterneSmalltabs" colspan="5">
			<fl:getMessage code="LF080" alt="Transactions de fidlit"/>
			</td>
			</tr>
			<tr class="ligne_separation"><td></td></tr>
			</table>
			<fl:grid name="TRN_CON" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=TRN_CON&Tf_Guest=\" + id %>"/>
		</fl:sTab>
	</fl:smallTabs>
	
	<fl:smallTabs name="tab7">
		<fl:sTab id="SOLS" title="<%= Utils.getMessage(session, \"L652F\", false, true, \"Sollicitations\") %>" onselect="refreshSols();">
			<fl:grid name="SOL_CON" ajaxUrl="<%= \"/embedded_list_ajax.fl?code=SOL_CON&SolSolliciteurs_=\" + id %>"/>
		</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>
