<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" import="com.edeal.frontline.PersonBean" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.helper.MultifunctionHelper" %>
<%@ page import="com.edeal.frontline.helper.ContextHelper" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PersonBean" id="Person" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();

String id;
try {
	id = Person.getID();
} catch (FieldNotInitializedException e) {
	id = null;
}

String perFctParentID = null;
if (ContextHelper.hasMultifunction(context)) {
	try { 
		perFctParentID = Person.getPerFctParentID();
	} catch (FieldNotInitializedException e){
	} 
}

Boolean isArchived = false;
try {
	isArchived = Person.isPerFctIsActive();
} catch (FieldNotInitializedException e) {
}
MultifunctionHelper mltFunHlp = new MultifunctionHelper(Person);
%>
	<tr>
		<td class="actions_cell_left">
		</td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:webapp/>/create_person.fl?PerFctParentID=<%= perFctParentID %>"/>
					<img src="<fl:webapp/>/icons/functionbar/create_function.png" style="width: 15; height: 15;" alt="<fl:getMessage code="AA001" alt="Fonction +"/>" title="<fl:getMessage code="AA001" alt="Fonction +"/>">
					<p class="actions_tabletext"><fl:getMessage code="AA001" alt="Fonction +"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>
		<tr>
		<td class="actions_cell_left">
		</td>
		<td>
			<div class="actions_tablecell_1">
				<a href="<fl:webapp/>/read_person.fl?id=<%= id %>"/>
					<img src="<fl:webapp/>/icons/functionbar/consolidated_function.png" style="width: 15; height: 15;" alt="<fl:getMessage code="FF1E1" alt="Vue Synthtique"/>" title="<fl:getMessage code="FF1E1" alt="Vue Synthtique"/>">
					<p class="actions_tabletext"><fl:getMessage code="FF1E1" alt="Vue Synthtique"/></p>
				</a>
			</div>
		</td>
		<td class="actions_cell_right"></td>
	</tr>

