<%
/******************************************************************************
 * Copyright (c) 2000-2006 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true" contentType="text/plain;charset=UTF-8" import="com.edeal.frontline.*"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="java.text.DecimalFormat" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.ProductBean" id="Product" scope="request"/>
<jsp:useBean class="com.edeal.frontline.OpportunityBean" id="Opportunity" scope="request"/>
<jsp:useBean class="com.edeal.frontline.ProductOpportunityBean" id="ProductOpportunity" scope="request"/><%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	DecimalFormat df = FlLocale.getInstance(session).getDecimalFormat("#,##0.##");

	String prdName = (String)flRequest.getAttribute("prdName");
	if (prdName == null) {
		prdName = "";
	}
	
	Double prdPrice = (Double)flRequest.getAttribute("prdPrice");
	if (prdPrice == null) {
		prdPrice = new Double(0);
	}
	
	String tvaVal = "";
	try {
		tvaVal = (String)Product.getCustomProperty("PrdTVADefaut_");
	} catch (FrontlineException e) {
	} 
	
	String taxeparaVal = "";
	try {
		taxeparaVal = (String)Product.getCustomProperty("PrdTaxeParafiscale_");
	} catch (FrontlineException e) {
	} 
	
	boolean gestStock = false;
	try {
		gestStock = (Boolean)Product.getCustomProperty("PrdGestionStocks_");
	} catch (FrontlineException e) {
	} 
	
	// image du produit selectionné
	String PrdPicID = null;
	try {
		PrdPicID = (String)Product.getPrdPicID();
	} catch (FrontlineException e) {
	} 
	String imgHtml = "";
	
	if(PrdPicID != null) {
	    String height = null; 
	    try{
	    	height = flRequest.getContext().getContextParameter("Devis.Thumbnail.Height");
	    } catch (FrontlineException fex) {
	    	height = "50";
	    }
	    
	    String width = null;
	    try{
	    	width = flRequest.getContext().getContextParameter("Devis.Thumbnail.Width");
	    } catch (FrontlineException fex) {
	    	width = "80";
	    }
		imgHtml = "<img alt=\"\" src=\"" + (String) session.getAttribute("contextPath") + "/download?id=" + PrdPicID + "\" height=\"" + height + "\" width=\"" + width + "\"/>";
	}
	
	
%>
var f = document.forms[0];
window.document.getElementById('edit_Code').innerHTML = '<fl:getProperty name="Product" property="PrdCode" alt="&nbsp;"/>';
window.document.getElementById('edit_Image').innerHTML = '<%=imgHtml%>';

window.document.getElementById('edit_ProUnitPrice').innerHTML = '<fl:getProperty name="Product" property="PrdPrice" format="#,##0.00" alt=""/>';
<% 
if(gestStock) {
%>
window.document.getElementById('edit_PrdStockActuel_').innerHTML = '<fl:getProperty name="Product" property="PrdStockActuel_" alt=""/>';
<%	
} else {
%> 
window.document.getElementById('edit_PrdStockActuel_').innerHTML = "Non geré";
<%}%>

f.ProUnitPrice.value = '<%= df.format(prdPrice.doubleValue()) %>';
f.ProQuantity.value = '<fl:getProperty name="ProductOpportunity" property="ProQuantity" alt=""/>';
f.ProPrice.value = '<fl:getProperty name="ProductOpportunity" property="ProPrice" format="#,##0.00" alt=""/>';
f.PrdTVADefaut_.value = '<%= tvaVal %>';
f.PrdTaxeParafiscale_.value = '<%= taxeparaVal %>';
f.ProDesignation.value = '<%= prdName %>';
f.ProID.value = '<fl:getProperty name="ProductOpportunity" property="ProID" alt=""/>';
f.ProPrdID.value = '<fl:getProperty name="Product" property="PrdID" alt=""/>';
f.ProOppID.value = '<fl:getProperty name="Opportunity" property="OppID" alt=""/>';
f.ProQuantity.select();
