<%
/******************************************************************************
 * Copyright (c) 2000-2007 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.*" %>
<%@ page import="com.edeal.frontline.custom.*" %>
<%@ page import="java.util.*" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.SalesInvestBean" id="SalesInvest" scope="request"/>
<%	
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();

	String id = null;
	try { id = SalesInvest.getID(); }
	catch (FieldNotInitializedException e) {}
%>
<head>
</head>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L64DD\", \"Invest. commercial\") %>" ou="<%= \"/read_salesinvest.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="3">
				<table class="container" cellpadding="0">
					<tr class="fieldline">
						<td class="titreFiche">
							<fl:getProperty name="SalesInvest" property="SinTitle" alt=""/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
		<tr>
			<td class="column2">
				<table class="container">
					<fl:fieldRead property="SinActID" bean="true" href="true" disp="/read_actor.fl"/>
					<fl:fieldRead property="SinDt"/>
					<fl:fieldRead property="SinMt" postText="&nbsp;&euro;"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table>
					<fl:fieldRead property="SinIntID" bean="true" href="true" disp="/read_interaction.fl"/>
					<fl:fieldRead property="SinPopID" bean="true" href="true" disp="/read_population.fl"/>
					<fl:fieldRead property="SinEventID" bean="true" href="true" disp="/read_event.fl"/>
				</table>
			</td>
		</tr>
		<tr><td colspan="3" class="ligne_separation"/></tr>
	</table>

	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">

	<div style="width: 100%; overflow: auto;">
	<fl:smallTabs name="SalesInvestTabs">
		<fl:sTab hideLink="true" id="Cible" title="<%= Utils.getMessage(session, \"F2006\", \"Cible\") %>">
			<table class="container" cellpadding="0">
				<tr><td colspan="3" class="ligne_separation"/></tr>
				<tr>
					<td class="column2">
						<table class="container">
							<fl:fieldRead property="SinOppID" bean="true" href="true" disp="/read_opportunity.fl"/>
							<fl:fieldRead property="SinPersID" bean="true" href="true" disp="/read_person.fl"/>
							<fl:fieldRead property="SinEntID" bean="true" href="true" disp="/read_enterprise.fl"/>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table>
							<fl:fieldRead property="SinJourID" bean="true" href="true" disp="/read_journalist.fl"/>
							<fl:fieldRead property="SinSuppID" bean="true" href="true" disp="/read_support.fl"/>
						</table>
					</td>
				</tr>
			</table>
		</fl:sTab>
	</fl:smallTabs>
	</div>
</fl:bigTabs>

