<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page language="java" contentType="text/plain;charset=UTF-8"%><%@ page import="com.edeal.frontline.*,java.util.*,java.text.*,java.lang.reflect.*"%><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();

String simID = flRequest.getParameter("SimID");
SimulationBean simObj = null;
try {
	simObj = new SimulationBean(simID, session);
} catch (AccessDeniedException ade) {
} catch (FrontlineException fe) {
}

session.setAttribute("Simulation", simObj);

int simActorType = 1;
try {
	simActorType = simObj.getSimActorType();
} catch (FieldNotInitializedException e) {
}

String triPar = "&nbsp;-&nbsp;" + Utils.getMessage(session, "L6175", "Tri par") + ": ";

if (simActorType == 1) {
	triPar += Utils.getMessage(session, "L607C", "Acteurs");
} else if (simActorType == 2) {
	triPar += Utils.getMessage(session, "L2085", "Rôles");
} else if (simActorType == 3) {
	triPar += Utils.getMessage(session, "F609D", "Prédéfini");
} else if (simActorType == 4) {
	triPar += Utils.getMessage(session, "F609E", "Personnalisé");
}
					
if (simObj != null) {
	if (! simObj.calculate()) { %>
		alert('<fl:getMessage code="M60D2" js="true" alt="Calcul non réussi, à cause d'un manque d'informations. Vérifiez que tous les champs sont rempli, y compris ceux de l'interaction."/>');
	<% } else {	%>
		var tmpAjax = document.getElementById("titleLabel_");
		tmpAjax.innerHTML = '<fl:getMessage code="L62A0" alt="Calculée le"/> <fl:getProperty name="Simulation" property="SimCalculationDate" alt=""/>';
		
		tmpAjax = document.getElementById("SimEndDate_value");
		tmpAjax.innerHTML = '<fl:getMessage code="F2003" alt="Date fin"/><fl:getProperty name="Simulation" alt="" format="dd/MM/yyyy" preText="&nbsp;-&nbsp;" property="SimEndDate"/>';
		
		tmpAjax = document.getElementById("SimMaxPerDay_value");
		tmpAjax.innerHTML = '<fl:getMessage code="F609B" alt="Max par jour"/><fl:getProperty name="Simulation" alt="" preText="&nbsp;-&nbsp;" property="SimMaxPerDay"/>';
		
		tmpAjax = document.getElementById("SimNbActors_value");
		tmpAjax.innerHTML = '<div title="<fl:getProperty name="Simulation" property="SimNbActors" alt="<%=Utils.getMessage(session, \"L62A3\", \"(Non calculé)\")%>"/>"><fl:getProperty name="Simulation" property="SimNbActors" alt="<%=Utils.getMessage(session, \"L62A3\", \"(Non calculé)\")%>"/><%= triPar %></div>';
		
		tmpAjax = document.getElementById("SimVolume_value");
		tmpAjax.innerHTML = '<div title="<fl:getProperty name="Simulation" property="SimVolume" alt="0"/>"><fl:getProperty name="Simulation" property="SimVolume" alt="0"/></div>';
		
		_isCalculated = true;
		simVolume = <fl:getProperty name="Simulation" property="SimVolume" alt="0"/>;
	<% } %>
<% } %>
