<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.CampaignBean" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.ObjectsBean" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.SimulationBean" id="Simulation" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	String id = null;
	try {
		id = Simulation.getID();
	} catch (FieldNotInitializedException fnie) {
	}

	boolean simCalculated = false;
	try {
		simCalculated = Simulation.isSimCalculated();
	} catch (FieldNotInitializedException e) {}
	
	String simDailyCoeffs = "1;1;1;1;1;0;0";
	String simDailyCoeff1, simDailyCoeff2, simDailyCoeff3, simDailyCoeff4, simDailyCoeff5, simDailyCoeff6, simDailyCoeff7;
	simDailyCoeff1 = simDailyCoeff2 = simDailyCoeff3 = simDailyCoeff4 = simDailyCoeff5 = simDailyCoeff6 = simDailyCoeff7 = "";
	
	try {
		simDailyCoeffs = Simulation.getSimDailyCoeffs();
	} catch (FieldNotInitializedException e) {
	}
	
	if (simDailyCoeffs!=null) {
		Vector dailyCoeffs = Utils.explodeList(simDailyCoeffs, ";");
		if (dailyCoeffs != null && dailyCoeffs.size() > 0) {
			simDailyCoeff1 = (String)dailyCoeffs.elementAt(0);	
			simDailyCoeff2 = (String)dailyCoeffs.elementAt(1);
			simDailyCoeff3 = (String)dailyCoeffs.elementAt(2);
			simDailyCoeff4 = (String)dailyCoeffs.elementAt(3);
			simDailyCoeff5 = (String)dailyCoeffs.elementAt(4);
			simDailyCoeff6 = (String)dailyCoeffs.elementAt(5);
			simDailyCoeff7 = (String)dailyCoeffs.elementAt(6);
		}
	}
	
	int simActorType = 1;
	try {
		simActorType = Simulation.getSimActorType();
	} catch (FieldNotInitializedException e) {
	}
	
	int simEndParameter = 0; // 0 is end date, 1 is max per day
	try {
		simEndParameter = Simulation.getSimEndParameter();
	} catch (FieldNotInitializedException e) {
	}
	
	int simVolume = 0;
	try {
		simVolume = Simulation.getSimVolume();
	} catch (FieldNotInitializedException e) {
	}
	
	String err = flRequest.getRequestParameterOrAttribute("doRealizeError");
%>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/sales/simulation/simulation_js.jsp<%= err == null ? "" : "?doRealizeError=true" %>"></script>
<script language="javascript">

function doCalculate() {

	if (window.confirm('<fl:getMessage code="M6093" alt="Etes-vous sr de vouloir calculer ce plan d\\\'action?" js="true"/>')==true) {
		var calcLink = '<fl:link url="<%= \"/sales/simulation/calculate.jsp?SimID=\" + id %>" />';
		doAjax(calcLink);
	}
}

var _isCalculated = <%= simCalculated ? "true" : "false" %>;
var simVolume = <%= simVolume %>;

function doRealize() {
	var msg;
	
	if (_isCalculated) {
		msg = '<%= Utils.getMessage(session, "M6094", true, "Souhaitez-vous vraiment raliser les") %> ' + simVolume + ' <%= Utils.getMessage(session, "M6095", true, "interactions de ce plan d\\\'action?") %>';
	} else {
		msg = '<%= Utils.getMessage(session, "M6096", true, "Ce plan d\\\'action n\\\'est pas encore calcul. Voulez-vous quand mme le raliser?") %>';
	}
	
	if (window.confirm(msg) == true) {
		var calcLink = '<fl:link url="<%= \"/realize_simulation_ajax.fl?id=\" + id %>" />';
		doAjax(calcLink);
	}
}

</script>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L62A2\", \"Plan d\\'action\") %>" ou="<%= \"/read_simulation.fl\" + (id != null ? \"?id=\" + id : \"\") %>" listTitle="<%= Utils.getMessage(session, \"L63C7\", false, true, \"Liste des plans d\\'actions\") %>">
	<table class="container" cellpadding="0">
		<tr>
			<td colspan="5" class="titreFiche"><fl:getProperty name="Simulation" property="SimCode" alt="" /></td>
		</tr>
		<tr class="ligne_separation">
			<td></td>
		</tr>
	</table>
	<table class="container" cellpadding="0">	
		<tr>
			<td class="column2">
				<table>
				    <tr class="fieldline">
				     <td class="dataLabel"><fl:getMessage code="F206F" alt="Etat"/></td>
				     <td class="dataValue" id="titleLabel_">
				     <% if (simCalculated) { %>				     
				     <fl:getMessage code="L62A0" alt="Calcule le"/>
				     <%}else{ %>
				     <fl:getMessage code="L62A1" alt="En attente de calcul."/>
				     <%}%>
				     <fl:getProperty name="Simulation" property="SimCrDt" format="dd/MM/yyyy" alt=""/>
				     </td> 
				    </tr>					
					<fl:fieldRead property="SimBeginDate"/>
					<%-- if (simEndParameter == 0) { --%>
							<tr class="fieldline">
								<td id="SimEndDate_label" class="dataLabel"><fl:getMessage code="F2003" alt="Date fin"/></td>
								<td id="SimEndDate_value" class="dataValue"><fl:getProperty name="Simulation" alt="" format="dd/MM/yyyy" preText="" property="SimEndDate"/></td>				
							</tr>
							<tr class="fieldline">
								<td id="SimMaxPerDay_label" class="dataLabel"><fl:getMessage code="F609B" alt="Max par jour"/></td>	
								<td id="SimMaxPerDay_value" class="dataValue"><fl:getProperty name="Simulation" alt="" preText="" property="SimMaxPerDay"/></td>								
							</tr>				
						<% if (simActorType == 1) { %>
							<tr class="fieldline">
								<td class="dataLabel"><fl:getMessage code="L607C" alt="Acteurs"/></td>	
								<td class="dataValue"><fl:getProperty name="Simulation" alt="" bean="true" separator="<br>" property="SimActors"/></td>								
							</tr>
							
						<% } else if (simActorType == 2) { %>
							<fl:fieldRead name="Simulation" separator="<br>" property="SimRoles"/>
						<% } else if (simActorType == 3) { %>
							<fl:fieldRead name="Simulation" property="SimPredefined"/>
						<% } else if (simActorType == 4) { %>
							<fl:fieldRead name="Simulation" property="SimPersonalized"/>
						<% } %>		
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table>
				    <fl:fieldRead href="true" disp="/read_populationv2.fl" bean="true" property="SimPopulation"/>
					<fl:fieldRead property="SimVolume"/>						
					<fl:fieldRead property="SimNbActors"/>
					<fl:fieldRead property="SimExclusion"/>
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td>&nbsp;</td></tr>
	</table>
	<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">

	<fl:smallTabs name="SimulationTabs">
		<fl:sTab id="COEFS" title="<%= Utils.getMessage(session, \"F609F\", false, true, \"Coefficients de rpartition\") %>">
			<table class="container" cellpadding="0">	
				<tr>
					<td class="column2">
						<table class="container" cellpadding="0">
							<tr class="fieldline">
								<td id="SimDailyCoeff1_label" class="dataLabel"><fl:getMessage code="F60A0" alt="Lundi"/></td>
								<td id="SimDailyCoeff1_value" class="dataValue"><%= simDailyCoeff1 %></td>
							</tr>
							<tr class="fieldline">
								<td id="SimDailyCoeff2_label" class="dataLabel"><fl:getMessage code="F60A1" alt="Mardi"/></td>
								<td id="SimDailyCoeff2_value" class="dataValue"><%= simDailyCoeff2 %></td>
							</tr>
							<tr class="fieldline">
								<td id="SimDailyCoeff3_label" class="dataLabel"><fl:getMessage code="F60A2" alt="Mercredi"/></td>
								<td id="SimDailyCoeff3_value" class="dataValue"><%= simDailyCoeff3 %></td>
							</tr>
							<tr class="fieldline">
								<td id="SimDailyCoeff4_label" class="dataLabel"><fl:getMessage code="F60A3" alt="Jeudi"/></td>
								<td id="SimDailyCoeff4_value" class="dataValue"><%= simDailyCoeff4 %></td>
							</tr>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="column2">
						<table class="container" cellpadding="0">
							<tr class="fieldline">
								<td id="SimDailyCoeff5_label" class="dataLabel"><fl:getMessage code="F60A4" alt="Vendredi"/></td>
								<td id="SimDailyCoeff5_value" class="dataValue"><%= simDailyCoeff5 %></td>
							</tr>
							<tr class="fieldline">
								<td id="SimDailyCoeff6_label" class="dataLabel"><fl:getMessage code="F60A5" alt="Samedi"/></td>
								<td id="SimDailyCoeff6_value" class="dataValue"><%= simDailyCoeff6 %></td>
							</tr>
							<tr class="fieldline">
								<td id="SimDailyCoeff7_label" class="dataLabel"><fl:getMessage code="F60A6" alt="Dimanche"/></td>
								<td id="SimDailyCoeff7_value" class="dataValue"><%= simDailyCoeff7 %></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</fl:sTab>
		<fl:sTab id="TYPE" title="<%= Utils.getMessage(session, \"L62A5\", false, true, \"Interaction Type\") %>">
			<table class="container" cellpadding="0">	
				<tr>
					<td class="dataValue" style="vertical-align:top; width: 50%">
						<table class="data_column" cellpadding="0">
							<fl:fieldRead property="SimIntAtvID" labelCode="F3010" />
							<tr class="fieldline">
								<td id="SimIntCpgID_label" class="dataLabel"><fl:getMessage code="L2026" alt="Campaign" /></td>
								<td id="SimIntCpgID_value" class="dataValue">
									<a href="<fl:link url="/read_campaign.fl?" />&id=<fl:getProperty name="Simulation" property="SimIntCpgID" alt="" />"><fl:getProperty name="Simulation" property="SimIntCpgID" alt="" bean="true" /></a>
								</td>
							</tr>
							<tr class="fieldline">
								<td id="SimIntStgID_label" class="dataLabel"><fl:getMessage code="L3046" alt="Stage" /></td>
								<td id="SimIntStgID_value" class="dataValue">
									<a href="<fl:link url="/read_stage.fl?" />&id=<fl:getProperty name="Simulation" property="SimIntStgID" alt="" />"><fl:getProperty name="Simulation" property="SimIntStgID" alt="" bean="true" /></a>
								</td>
							</tr>
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>
					<td class="dataValue" style="vertical-align: top; width: 50%">
						<table class="data_column" cellpadding="0">
							<fl:fieldRead property="SimIntStiID" labelCode="F1010" />
							<fl:fieldRead property="SimIntSubject" labelCode="F203B" />
							<fl:fieldRead property="SimIntDetails" labelCode="F2024" />
						</table>
					</td>
				</tr>
			</table>
		</fl:sTab>
	</fl:smallTabs>
</fl:bigTabs>
